/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2var1795z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1833za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_shrinkifyz00();
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun1827za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2select1819z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly1805za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2atom1793z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2extern1809z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez121790za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21831z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall1807z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2cast1811z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi1815z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62shrinkzd2nodez12zd2setq1813z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var1829za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set1825za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2sync1801z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail1817z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1823za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote1797z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo1821za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez121788za2zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2app1803z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc1799z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2081z00zzast_shrinkifyz00,
		BgL_bgl_string2081za700za7za7a2111za7, "shrink-variable!1788", 20);
	      DEFINE_STRING(BGl_string2083z00zzast_shrinkifyz00,
		BgL_bgl_string2083za700za7za7a2112za7, "shrink-node!1790", 16);
	      DEFINE_STRING(BGl_string2084z00zzast_shrinkifyz00,
		BgL_bgl_string2084za700za7za7a2113za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2086z00zzast_shrinkifyz00,
		BgL_bgl_string2086za700za7za7a2114za7, "shrink-node!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari2115z00,
		BGl_z62shrinkzd2variablez121788za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2116z00,
		BGl_z62shrinkzd2nodez121790za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2117z00,
		BGl_z62shrinkzd2nodez12zd2atom1793z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2118z00,
		BGl_z62shrinkzd2nodez12zd2var1795z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2119z00,
		BGl_z62shrinkzd2nodez12zd2kwote1797z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2120z00,
		BGl_z62shrinkzd2nodez12zd2sequenc1799z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2121z00,
		BGl_z62shrinkzd2nodez12zd2sync1801z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2122z00,
		BGl_z62shrinkzd2nodez12zd2app1803z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2123z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly1805za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2124z00,
		BGl_z62shrinkzd2nodez12zd2funcall1807z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2125z00,
		BGl_z62shrinkzd2nodez12zd2extern1809z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2126z00,
		BGl_z62shrinkzd2nodez12zd2cast1811z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2127z00,
		BGl_z62shrinkzd2nodez12zd2setq1813z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2128z00,
		BGl_z62shrinkzd2nodez12zd2conditi1815z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2129z00,
		BGl_z62shrinkzd2nodez12zd2fail1817z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2130z00,
		BGl_z62shrinkzd2nodez12zd2select1819z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za72131za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari2132z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2133z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2107z00zzast_shrinkifyz00,
		BgL_bgl_string2107za700za7za7a2134za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string2108z00zzast_shrinkifyz00,
		BgL_bgl_string2108za700za7za7a2135za7, "shrink-node!1790 ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2136z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo1821za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2137z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1823za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2138z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set1825za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2139z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun1827za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2140z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var1829za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2141z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21831z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2142z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1833za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2616, char *BgL_fromz00_2617)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2605;

				BgL_cportz00_2605 =
					bgl_open_input_string(BGl_string2108z00zzast_shrinkifyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2606;

					BgL_iz00_2606 = ((long) 0);
				BgL_loopz00_2607:
					if ((BgL_iz00_2606 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg2110z00_2609;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2611;

										BgL_locationz00_2611 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg2110z00_2609 =
												BGl_readz00zz__readerz00(BgL_cportz00_2605,
												BgL_locationz00_2611);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_auxz00_2638;

									BgL_auxz00_2638 = (int) (BgL_iz00_2606);
									CNST_TABLE_SET(BgL_auxz00_2638, BgL_arg2110z00_2609);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2612;

								BgL_auxz00_2612 = (int) ((BgL_iz00_2606 - ((long) 1)));
								{
									long BgL_iz00_2643;

									BgL_iz00_2643 = (long) (BgL_auxz00_2612);
									BgL_iz00_2606 = BgL_iz00_2643;
									goto BgL_loopz00_2607;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l1772z00_1213;

				BgL_l1772z00_1213 = BgL_globalsz00_3;
			BgL_zc3anonymousza31838ze3z83_1214:
				if (PAIRP(BgL_l1772z00_1213))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_1216;

							BgL_globalz00_1216 = CAR(BgL_l1772z00_1213);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_1217;

								BgL_sfunz00_1217 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1216))))->
									BgL_valuez00);
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g1771z00_1218;

									BgL_g1771z00_1218 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_sfunz00_1217)))->BgL_argsz00);
									{
										obj_t BgL_l1769z00_1220;

										BgL_l1769z00_1220 = BgL_g1771z00_1218;
									BgL_zc3anonymousza31840ze3z83_1221:
										if (PAIRP(BgL_l1769z00_1220))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg1842z00_1223;

													BgL_arg1842z00_1223 = CAR(BgL_l1769z00_1220);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg1842z00_1223));
												}
												{
													obj_t BgL_l1769z00_2659;

													BgL_l1769z00_2659 = CDR(BgL_l1769z00_1220);
													BgL_l1769z00_1220 = BgL_l1769z00_2659;
													goto BgL_zc3anonymousza31840ze3z83_1221;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg1845z00_1226;

									BgL_arg1845z00_1226 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1216))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1845z00_1226));
								}
							}
						}
						{
							obj_t BgL_l1772z00_2668;

							BgL_l1772z00_2668 = CDR(BgL_l1772z00_1213);
							BgL_l1772z00_1213 = BgL_l1772z00_2668;
							goto BgL_zc3anonymousza31838ze3z83_1214;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_2529,
		obj_t BgL_globalsz00_2530)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_2530);
		}
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 229 */
			{
				obj_t BgL_l1786z00_1231;

				BgL_l1786z00_1231 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31848ze3z83_1232:
				if (PAIRP(BgL_l1786z00_1231))
					{	/* Ast/shrinkify.scm 230 */
						{	/* Ast/shrinkify.scm 230 */
							obj_t BgL_arg1850z00_1234;

							BgL_arg1850z00_1234 = CAR(BgL_l1786z00_1231);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg1850z00_1234));
						}
						{
							obj_t BgL_l1786z00_2676;

							BgL_l1786z00_2676 = CDR(BgL_l1786z00_1231);
							BgL_l1786z00_1231 = BgL_l1786z00_2676;
							goto BgL_zc3anonymousza31848ze3z83_1232;
						}
					}
				else
					{	/* Ast/shrinkify.scm 230 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc2080z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string2081z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc2082z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string2083z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!1790 */
	obj_t BGl_z62shrinkzd2nodez121790za2zzast_shrinkifyz00(obj_t BgL_envz00_2535,
		obj_t BgL_nodez00_2536)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{
				BgL_nodez00_bglt BgL_nodez00_1253;

				BgL_nodez00_1253 = ((BgL_nodez00_bglt) BgL_nodez00_2536);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2084z00zzast_shrinkifyz00, ((obj_t) BgL_nodez00_1253));
		}}
	}



/* &shrink-variable!1788 */
	obj_t BGl_z62shrinkzd2variablez121788za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2537, obj_t BgL_variablez00_2538)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{
				BgL_variablez00_bglt BgL_variablez00_1238;

				BgL_variablez00_1238 = ((BgL_variablez00_bglt) BgL_variablez00_2538);
				{	/* Ast/shrinkify.scm 38 */
					bool_t BgL_testz00_2684;

					{	/* Ast/shrinkify.scm 38 */
						bool_t BgL_testz00_2685;

						{	/* Ast/shrinkify.scm 38 */
							obj_t BgL_auxz00_2686;

							{	/* Ast/shrinkify.scm 38 */
								BgL_objectz00_bglt BgL_auxz00_2687;

								BgL_auxz00_2687 = ((BgL_objectz00_bglt) BgL_variablez00_1238);
								BgL_auxz00_2686 = BGL_OBJECT_WIDENING(BgL_auxz00_2687);
							}
							BgL_testz00_2685 = CBOOL(BgL_auxz00_2686);
						}
						if (BgL_testz00_2685)
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_2684 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_2684 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2684)
						{	/* Ast/shrinkify.scm 38 */
							{	/* Ast/shrinkify.scm 39 */
								long BgL_arg1855z00_1242;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg1856z00_1243;

									{	/* Ast/shrinkify.scm 39 */
										obj_t BgL_arg1857z00_1244;

										{	/* Ast/shrinkify.scm 39 */
											BgL_objectz00_bglt BgL_objectz00_2181;

											BgL_objectz00_2181 =
												((BgL_objectz00_bglt) BgL_variablez00_1238);
											{	/* Ast/shrinkify.scm 39 */
												long BgL_arg1823z00_2182;

												{	/* Ast/shrinkify.scm 39 */
													long BgL_arg1824z00_2183;

													{	/* Ast/shrinkify.scm 39 */
														long BgL_res2002z00_2185;

														BgL_res2002z00_2185 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2181);
														BgL_arg1824z00_2183 = BgL_res2002z00_2185;
													}
													BgL_arg1823z00_2182 =
														(BgL_arg1824z00_2183 - OBJECT_TYPE);
												}
												BgL_arg1857z00_1244 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2182));
										}}
										BgL_arg1856z00_1243 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1857z00_1244);
									}
									{	/* Ast/shrinkify.scm 39 */
										long BgL_res2004z00_2192;

										BgL_res2004z00_2192 = BGL_CLASS_INDEX(BgL_arg1856z00_1243);
										BgL_arg1855z00_1242 = BgL_res2004z00_2192;
								}}
								{	/* Ast/shrinkify.scm 39 */
									BgL_objectz00_bglt BgL_objz00_2193;

									BgL_objz00_2193 = ((BgL_objectz00_bglt) BgL_variablez00_1238);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2193,
										BgL_arg1855z00_1242);
							}}
							{	/* Ast/shrinkify.scm 39 */
								BgL_objectz00_bglt BgL_auxz00_2700;

								BgL_auxz00_2700 = ((BgL_objectz00_bglt) BgL_variablez00_1238);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2700, BFALSE);
							}
							((obj_t) BgL_variablez00_1238);
						}
					else
						{	/* Ast/shrinkify.scm 38 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 40 */
					bool_t BgL_testz00_2704;

					{	/* Ast/shrinkify.scm 40 */
						bool_t BgL_testz00_2705;

						{	/* Ast/shrinkify.scm 40 */
							obj_t BgL_auxz00_2706;

							{	/* Ast/shrinkify.scm 40 */
								BgL_objectz00_bglt BgL_auxz00_2707;

								BgL_auxz00_2707 =
									((BgL_objectz00_bglt)
									(((BgL_variablez00_bglt) CREF(BgL_variablez00_1238))->
										BgL_valuez00));
								BgL_auxz00_2706 = BGL_OBJECT_WIDENING(BgL_auxz00_2707);
							}
							BgL_testz00_2705 = CBOOL(BgL_auxz00_2706);
						}
						if (BgL_testz00_2705)
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2704 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2704 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2704)
						{	/* Ast/shrinkify.scm 41 */
							BgL_valuez00_bglt BgL_o1096z00_1246;

							BgL_o1096z00_1246 =
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_1238))->
								BgL_valuez00);
							{	/* Ast/shrinkify.scm 41 */
								long BgL_arg1859z00_1247;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg1860z00_1248;

									{	/* Ast/shrinkify.scm 41 */
										obj_t BgL_arg1861z00_1249;

										{	/* Ast/shrinkify.scm 41 */
											BgL_objectz00_bglt BgL_objectz00_2204;

											BgL_objectz00_2204 =
												((BgL_objectz00_bglt) BgL_o1096z00_1246);
											{	/* Ast/shrinkify.scm 41 */
												long BgL_arg1823z00_2205;

												{	/* Ast/shrinkify.scm 41 */
													long BgL_arg1824z00_2206;

													{	/* Ast/shrinkify.scm 41 */
														long BgL_res2008z00_2208;

														BgL_res2008z00_2208 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2204);
														BgL_arg1824z00_2206 = BgL_res2008z00_2208;
													}
													BgL_arg1823z00_2205 =
														(BgL_arg1824z00_2206 - OBJECT_TYPE);
												}
												BgL_arg1861z00_1249 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2205));
										}}
										BgL_arg1860z00_1248 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1861z00_1249);
									}
									{	/* Ast/shrinkify.scm 41 */
										long BgL_res2010z00_2215;

										BgL_res2010z00_2215 = BGL_CLASS_INDEX(BgL_arg1860z00_1248);
										BgL_arg1859z00_1247 = BgL_res2010z00_2215;
								}}
								{	/* Ast/shrinkify.scm 41 */
									BgL_objectz00_bglt BgL_objz00_2216;

									BgL_objz00_2216 = ((BgL_objectz00_bglt) BgL_o1096z00_1246);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2216,
										BgL_arg1859z00_1247);
							}}
							{	/* Ast/shrinkify.scm 41 */
								BgL_objectz00_bglt BgL_auxz00_2722;

								BgL_auxz00_2722 = ((BgL_objectz00_bglt) BgL_o1096z00_1246);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2722, BFALSE);
							}
							return ((obj_t) BgL_o1096z00_1246);
						}
					else
						{	/* Ast/shrinkify.scm 40 */
							return BFALSE;
						}
				}
			}
		}
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method1789z00_1256;

				{	/* Ast/shrinkify.scm 37 */
					obj_t BgL_res2017z00_2246;

					{	/* Ast/shrinkify.scm 37 */
						BgL_objectz00_bglt BgL_objz00_2218;

						BgL_objz00_2218 = ((BgL_objectz00_bglt) BgL_variablez00_4);
						{	/* Ast/shrinkify.scm 37 */
							long BgL_objzd2classzd2numz00_2219;

							{	/* Ast/shrinkify.scm 37 */
								long BgL_res2011z00_2222;

								BgL_res2011z00_2222 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2218);
								BgL_objzd2classzd2numz00_2219 = BgL_res2011z00_2222;
							}
							{	/* Ast/shrinkify.scm 37 */
								obj_t BgL_arg1820z00_2220;

								BgL_arg1820z00_2220 =
									PROCEDURE_REF
									(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
									(int) (((long) 1)));
								{	/* Ast/shrinkify.scm 37 */
									obj_t BgL_arrayz00_2223;
									int BgL_offsetz00_2224;

									BgL_arrayz00_2223 = BgL_arg1820z00_2220;
									BgL_offsetz00_2224 = (int) (BgL_objzd2classzd2numz00_2219);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_offsetz00_2225;

										BgL_offsetz00_2225 =
											((long) (BgL_offsetz00_2224) - OBJECT_TYPE);
										{	/* Ast/shrinkify.scm 37 */
											long BgL_modz00_2226;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg1822z00_2227;

												BgL_arg1822z00_2227 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_res2014z00_2237;

													{	/* Ast/shrinkify.scm 37 */
														long BgL_auxz00_2735;

														BgL_auxz00_2735 = (long) (BgL_arg1822z00_2227);
														BgL_res2014z00_2237 =
															(BgL_offsetz00_2225 / BgL_auxz00_2735);
													}
													BgL_modz00_2226 = BgL_res2014z00_2237;
											}}
											{	/* Ast/shrinkify.scm 37 */
												long BgL_restz00_2228;

												{	/* Ast/shrinkify.scm 37 */
													int BgL_arg1821z00_2229;

													BgL_arg1821z00_2229 = (int) (((long) 16));
													{	/* Ast/shrinkify.scm 37 */
														long BgL_res2016z00_2241;

														{	/* Ast/shrinkify.scm 37 */
															long BgL_auxz00_2739;

															BgL_auxz00_2739 = (long) (BgL_arg1821z00_2229);
															BgL_res2016z00_2241 =
																(BgL_offsetz00_2225 % BgL_auxz00_2739);
														}
														BgL_restz00_2228 = BgL_res2016z00_2241;
												}}
												{	/* Ast/shrinkify.scm 37 */

													BgL_res2017z00_2246 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2223,
															(int) (BgL_modz00_2226)),
														(int) (BgL_restz00_2228));
					}}}}}}}}
					BgL_method1789z00_1256 = BgL_res2017z00_2246;
				}
				return
					PROCEDURE_ENTRY(BgL_method1789z00_1256) (BgL_method1789z00_1256,
					((obj_t) BgL_variablez00_4), BEOA);
			}
		}
	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2531,
		obj_t BgL_variablez00_2532)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_2532));
		}
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method1791z00_1257;

				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_res2024z00_2275;

					{	/* Ast/shrinkify.scm 46 */
						BgL_objectz00_bglt BgL_objz00_2247;

						BgL_objz00_2247 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Ast/shrinkify.scm 46 */
							long BgL_objzd2classzd2numz00_2248;

							{	/* Ast/shrinkify.scm 46 */
								long BgL_res2018z00_2251;

								BgL_res2018z00_2251 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2247);
								BgL_objzd2classzd2numz00_2248 = BgL_res2018z00_2251;
							}
							{	/* Ast/shrinkify.scm 46 */
								obj_t BgL_arg1820z00_2249;

								BgL_arg1820z00_2249 =
									PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
									(int) (((long) 1)));
								{	/* Ast/shrinkify.scm 46 */
									obj_t BgL_arrayz00_2252;
									int BgL_offsetz00_2253;

									BgL_arrayz00_2252 = BgL_arg1820z00_2249;
									BgL_offsetz00_2253 = (int) (BgL_objzd2classzd2numz00_2248);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_offsetz00_2254;

										BgL_offsetz00_2254 =
											((long) (BgL_offsetz00_2253) - OBJECT_TYPE);
										{	/* Ast/shrinkify.scm 46 */
											long BgL_modz00_2255;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg1822z00_2256;

												BgL_arg1822z00_2256 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_res2021z00_2266;

													{	/* Ast/shrinkify.scm 46 */
														long BgL_auxz00_2761;

														BgL_auxz00_2761 = (long) (BgL_arg1822z00_2256);
														BgL_res2021z00_2266 =
															(BgL_offsetz00_2254 / BgL_auxz00_2761);
													}
													BgL_modz00_2255 = BgL_res2021z00_2266;
											}}
											{	/* Ast/shrinkify.scm 46 */
												long BgL_restz00_2257;

												{	/* Ast/shrinkify.scm 46 */
													int BgL_arg1821z00_2258;

													BgL_arg1821z00_2258 = (int) (((long) 16));
													{	/* Ast/shrinkify.scm 46 */
														long BgL_res2023z00_2270;

														{	/* Ast/shrinkify.scm 46 */
															long BgL_auxz00_2765;

															BgL_auxz00_2765 = (long) (BgL_arg1821z00_2258);
															BgL_res2023z00_2270 =
																(BgL_offsetz00_2254 % BgL_auxz00_2765);
														}
														BgL_restz00_2257 = BgL_res2023z00_2270;
												}}
												{	/* Ast/shrinkify.scm 46 */

													BgL_res2024z00_2275 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2252,
															(int) (BgL_modz00_2255)),
														(int) (BgL_restz00_2257));
					}}}}}}}}
					BgL_method1791z00_1257 = BgL_res2024z00_2275;
				}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_2604;

					BgL_xz00_2604 =
						PROCEDURE_ENTRY(BgL_method1791z00_1257) (BgL_method1791z00_1257,
						((obj_t) BgL_nodez00_5), BEOA);
					return BUNSPEC;
				}
			}
		}
	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2539,
		obj_t BgL_nodez00_2540)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2540));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc2085z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc2087z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2088z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2089z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_syncz00zzast_nodez00, BGl_proc2090z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc2091z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2092z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2093z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc2094z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc2095z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc2096z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2097z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc2098z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_selectz00zzast_nodez00, BGl_proc2099z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2100z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2101z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2102z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2103z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2104z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2105z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2106z00zzast_shrinkifyz00,
				BGl_string2086z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!-jump-ex1833 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex1833za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2562, obj_t BgL_nodez00_2563)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 221 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1440;

				BgL_nodez00_1440 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2563);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1440))->BgL_exitz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1440))->
						BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-set-ex-1831 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd21831z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2564, obj_t BgL_nodez00_2565)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 212 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1433;

				BgL_nodez00_1433 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2565);
				{	/* Ast/shrinkify.scm 214 */
					BgL_varz00_bglt BgL_arg1939z00_1437;

					BgL_arg1939z00_1437 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1433))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1939z00_1437));
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1433))->BgL_bodyz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-var1829 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var1829za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2566, obj_t BgL_nodez00_2567)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 200 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1417;

				BgL_nodez00_1417 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2567);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1417))->BgL_bodyz00));
				{	/* Ast/shrinkify.scm 203 */
					obj_t BgL_g1785z00_1422;

					BgL_g1785z00_1422 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1417))->BgL_bindingsz00);
					{
						obj_t BgL_l1783z00_1424;

						BgL_l1783z00_1424 = BgL_g1785z00_1422;
					BgL_zc3anonymousza31933ze3z83_1425:
						if (PAIRP(BgL_l1783z00_1424))
							{	/* Ast/shrinkify.scm 203 */
								{	/* Ast/shrinkify.scm 204 */
									obj_t BgL_bindingz00_1427;

									BgL_bindingz00_1427 = CAR(BgL_l1783z00_1424);
									{	/* Ast/shrinkify.scm 204 */
										obj_t BgL_arg1935z00_1428;

										BgL_arg1935z00_1428 = CAR(BgL_bindingz00_1427);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
											((BgL_variablez00_bglt) BgL_arg1935z00_1428));
									}
									{	/* Ast/shrinkify.scm 205 */
										obj_t BgL_arg1937z00_1429;

										BgL_arg1937z00_1429 = CDR(BgL_bindingz00_1427);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1937z00_1429));
									}
								}
								{
									obj_t BgL_l1783z00_2823;

									BgL_l1783z00_2823 = CDR(BgL_l1783z00_1424);
									BgL_l1783z00_1424 = BgL_l1783z00_2823;
									goto BgL_zc3anonymousza31933ze3z83_1425;
								}
							}
						else
							{	/* Ast/shrinkify.scm 203 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-fun1827 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun1827za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2568, obj_t BgL_nodez00_2569)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 186 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1393;

				BgL_nodez00_1393 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2569);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1393))->BgL_bodyz00));
				{	/* Ast/shrinkify.scm 189 */
					obj_t BgL_g1782z00_1398;

					BgL_g1782z00_1398 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1393))->BgL_localsz00);
					{
						obj_t BgL_l1780z00_1400;

						BgL_l1780z00_1400 = BgL_g1782z00_1398;
					BgL_zc3anonymousza31924ze3z83_1401:
						if (PAIRP(BgL_l1780z00_1400))
							{	/* Ast/shrinkify.scm 189 */
								{	/* Ast/shrinkify.scm 190 */
									obj_t BgL_localz00_1403;

									BgL_localz00_1403 = CAR(BgL_l1780z00_1400);
									{	/* Ast/shrinkify.scm 190 */
										BgL_valuez00_bglt BgL_sfunz00_1404;

										BgL_sfunz00_1404 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1403))))->
											BgL_valuez00);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00((
												(BgL_variablez00_bglt) BgL_localz00_1403));
										{	/* Ast/shrinkify.scm 192 */
											obj_t BgL_g1779z00_1405;

											BgL_g1779z00_1405 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1404)))->
												BgL_argsz00);
											{
												obj_t BgL_l1777z00_1407;

												BgL_l1777z00_1407 = BgL_g1779z00_1405;
											BgL_zc3anonymousza31926ze3z83_1408:
												if (PAIRP(BgL_l1777z00_1407))
													{	/* Ast/shrinkify.scm 192 */
														{	/* Ast/shrinkify.scm 192 */
															obj_t BgL_arg1928z00_1410;

															BgL_arg1928z00_1410 = CAR(BgL_l1777z00_1407);
															BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
																((BgL_variablez00_bglt) BgL_arg1928z00_1410));
														}
														{
															obj_t BgL_l1777z00_2844;

															BgL_l1777z00_2844 = CDR(BgL_l1777z00_1407);
															BgL_l1777z00_1407 = BgL_l1777z00_2844;
															goto BgL_zc3anonymousza31926ze3z83_1408;
														}
													}
												else
													{	/* Ast/shrinkify.scm 192 */
														((bool_t) 1);
													}
											}
										}
										{	/* Ast/shrinkify.scm 193 */
											obj_t BgL_arg1930z00_1413;

											BgL_arg1930z00_1413 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1404)))->
												BgL_bodyz00);
											BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00((
													(BgL_nodez00_bglt) BgL_arg1930z00_1413));
										}
									}
								}
								{
									obj_t BgL_l1780z00_2850;

									BgL_l1780z00_2850 = CDR(BgL_l1780z00_1400);
									BgL_l1780z00_1400 = BgL_l1780z00_2850;
									goto BgL_zc3anonymousza31924ze3z83_1401;
								}
							}
						else
							{	/* Ast/shrinkify.scm 189 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-set1825 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set1825za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2570, obj_t BgL_nodez00_2571)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 177 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1382;

				BgL_nodez00_1382 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2571);
				{	/* Ast/shrinkify.scm 178 */
					bool_t BgL_testz00_2853;

					{	/* Ast/shrinkify.scm 178 */
						bool_t BgL_testz00_2854;

						{	/* Ast/shrinkify.scm 178 */
							obj_t BgL_auxz00_2855;

							{	/* Ast/shrinkify.scm 178 */
								BgL_objectz00_bglt BgL_auxz00_2856;

								BgL_auxz00_2856 = ((BgL_objectz00_bglt) BgL_nodez00_1382);
								BgL_auxz00_2855 = BGL_OBJECT_WIDENING(BgL_auxz00_2856);
							}
							BgL_testz00_2854 = CBOOL(BgL_auxz00_2855);
						}
						if (BgL_testz00_2854)
							{	/* Ast/shrinkify.scm 178 */
								BgL_testz00_2853 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 178 */
								BgL_testz00_2853 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2853)
						{	/* Ast/shrinkify.scm 178 */
							{	/* Ast/shrinkify.scm 178 */
								long BgL_arg1918z00_1387;

								{	/* Ast/shrinkify.scm 178 */
									obj_t BgL_arg1919z00_1388;

									{	/* Ast/shrinkify.scm 178 */
										obj_t BgL_arg1920z00_1389;

										{	/* Ast/shrinkify.scm 178 */
											BgL_objectz00_bglt BgL_objectz00_2451;

											BgL_objectz00_2451 =
												((BgL_objectz00_bglt) BgL_nodez00_1382);
											{	/* Ast/shrinkify.scm 178 */
												long BgL_arg1823z00_2452;

												{	/* Ast/shrinkify.scm 178 */
													long BgL_arg1824z00_2453;

													{	/* Ast/shrinkify.scm 178 */
														long BgL_res2069z00_2455;

														BgL_res2069z00_2455 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2451);
														BgL_arg1824z00_2453 = BgL_res2069z00_2455;
													}
													BgL_arg1823z00_2452 =
														(BgL_arg1824z00_2453 - OBJECT_TYPE);
												}
												BgL_arg1920z00_1389 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2452));
										}}
										BgL_arg1919z00_1388 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1920z00_1389);
									}
									{	/* Ast/shrinkify.scm 178 */
										long BgL_res2071z00_2462;

										BgL_res2071z00_2462 = BGL_CLASS_INDEX(BgL_arg1919z00_1388);
										BgL_arg1918z00_1387 = BgL_res2071z00_2462;
								}}
								{	/* Ast/shrinkify.scm 178 */
									BgL_objectz00_bglt BgL_objz00_2463;

									BgL_objz00_2463 = ((BgL_objectz00_bglt) BgL_nodez00_1382);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2463,
										BgL_arg1918z00_1387);
							}}
							{	/* Ast/shrinkify.scm 178 */
								BgL_objectz00_bglt BgL_auxz00_2869;

								BgL_auxz00_2869 = ((BgL_objectz00_bglt) BgL_nodez00_1382);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2869, BFALSE);
							}
							((obj_t) BgL_nodez00_1382);
						}
					else
						{	/* Ast/shrinkify.scm 178 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 179 */
					BgL_varz00_bglt BgL_arg1921z00_1390;

					BgL_arg1921z00_1390 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1382))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1921z00_1390));
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1382))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-ref1823 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref1823za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2572, obj_t BgL_nodez00_2573)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 169 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1372;

				BgL_nodez00_1372 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2573);
				{	/* Ast/shrinkify.scm 170 */
					bool_t BgL_testz00_2879;

					{	/* Ast/shrinkify.scm 170 */
						bool_t BgL_testz00_2880;

						{	/* Ast/shrinkify.scm 170 */
							obj_t BgL_auxz00_2881;

							{	/* Ast/shrinkify.scm 170 */
								BgL_objectz00_bglt BgL_auxz00_2882;

								BgL_auxz00_2882 = ((BgL_objectz00_bglt) BgL_nodez00_1372);
								BgL_auxz00_2881 = BGL_OBJECT_WIDENING(BgL_auxz00_2882);
							}
							BgL_testz00_2880 = CBOOL(BgL_auxz00_2881);
						}
						if (BgL_testz00_2880)
							{	/* Ast/shrinkify.scm 170 */
								BgL_testz00_2879 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 170 */
								BgL_testz00_2879 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2879)
						{	/* Ast/shrinkify.scm 170 */
							{	/* Ast/shrinkify.scm 170 */
								long BgL_arg1912z00_1377;

								{	/* Ast/shrinkify.scm 170 */
									obj_t BgL_arg1913z00_1378;

									{	/* Ast/shrinkify.scm 170 */
										obj_t BgL_arg1915z00_1379;

										{	/* Ast/shrinkify.scm 170 */
											BgL_objectz00_bglt BgL_objectz00_2431;

											BgL_objectz00_2431 =
												((BgL_objectz00_bglt) BgL_nodez00_1372);
											{	/* Ast/shrinkify.scm 170 */
												long BgL_arg1823z00_2432;

												{	/* Ast/shrinkify.scm 170 */
													long BgL_arg1824z00_2433;

													{	/* Ast/shrinkify.scm 170 */
														long BgL_res2064z00_2435;

														BgL_res2064z00_2435 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2431);
														BgL_arg1824z00_2433 = BgL_res2064z00_2435;
													}
													BgL_arg1823z00_2432 =
														(BgL_arg1824z00_2433 - OBJECT_TYPE);
												}
												BgL_arg1915z00_1379 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2432));
										}}
										BgL_arg1913z00_1378 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1915z00_1379);
									}
									{	/* Ast/shrinkify.scm 170 */
										long BgL_res2066z00_2442;

										BgL_res2066z00_2442 = BGL_CLASS_INDEX(BgL_arg1913z00_1378);
										BgL_arg1912z00_1377 = BgL_res2066z00_2442;
								}}
								{	/* Ast/shrinkify.scm 170 */
									BgL_objectz00_bglt BgL_objz00_2443;

									BgL_objz00_2443 = ((BgL_objectz00_bglt) BgL_nodez00_1372);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2443,
										BgL_arg1912z00_1377);
							}}
							{	/* Ast/shrinkify.scm 170 */
								BgL_objectz00_bglt BgL_auxz00_2895;

								BgL_auxz00_2895 = ((BgL_objectz00_bglt) BgL_nodez00_1372);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2895, BFALSE);
							}
							((obj_t) BgL_nodez00_1372);
						}
					else
						{	/* Ast/shrinkify.scm 170 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 171 */
					BgL_varz00_bglt BgL_arg1916z00_1380;

					BgL_arg1916z00_1380 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1372))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1916z00_1380));
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-make-bo1821 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo1821za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2574, obj_t BgL_nodez00_2575)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 161 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1362;

				BgL_nodez00_1362 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2575);
				{	/* Ast/shrinkify.scm 162 */
					bool_t BgL_testz00_2903;

					{	/* Ast/shrinkify.scm 162 */
						bool_t BgL_testz00_2904;

						{	/* Ast/shrinkify.scm 162 */
							obj_t BgL_auxz00_2905;

							{	/* Ast/shrinkify.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_2906;

								BgL_auxz00_2906 = ((BgL_objectz00_bglt) BgL_nodez00_1362);
								BgL_auxz00_2905 = BGL_OBJECT_WIDENING(BgL_auxz00_2906);
							}
							BgL_testz00_2904 = CBOOL(BgL_auxz00_2905);
						}
						if (BgL_testz00_2904)
							{	/* Ast/shrinkify.scm 162 */
								BgL_testz00_2903 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 162 */
								BgL_testz00_2903 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2903)
						{	/* Ast/shrinkify.scm 162 */
							{	/* Ast/shrinkify.scm 162 */
								long BgL_arg1907z00_1367;

								{	/* Ast/shrinkify.scm 162 */
									obj_t BgL_arg1908z00_1368;

									{	/* Ast/shrinkify.scm 162 */
										obj_t BgL_arg1909z00_1369;

										{	/* Ast/shrinkify.scm 162 */
											BgL_objectz00_bglt BgL_objectz00_2411;

											BgL_objectz00_2411 =
												((BgL_objectz00_bglt) BgL_nodez00_1362);
											{	/* Ast/shrinkify.scm 162 */
												long BgL_arg1823z00_2412;

												{	/* Ast/shrinkify.scm 162 */
													long BgL_arg1824z00_2413;

													{	/* Ast/shrinkify.scm 162 */
														long BgL_res2059z00_2415;

														BgL_res2059z00_2415 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2411);
														BgL_arg1824z00_2413 = BgL_res2059z00_2415;
													}
													BgL_arg1823z00_2412 =
														(BgL_arg1824z00_2413 - OBJECT_TYPE);
												}
												BgL_arg1909z00_1369 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2412));
										}}
										BgL_arg1908z00_1368 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1909z00_1369);
									}
									{	/* Ast/shrinkify.scm 162 */
										long BgL_res2061z00_2422;

										BgL_res2061z00_2422 = BGL_CLASS_INDEX(BgL_arg1908z00_1368);
										BgL_arg1907z00_1367 = BgL_res2061z00_2422;
								}}
								{	/* Ast/shrinkify.scm 162 */
									BgL_objectz00_bglt BgL_objz00_2423;

									BgL_objz00_2423 = ((BgL_objectz00_bglt) BgL_nodez00_1362);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2423,
										BgL_arg1907z00_1367);
							}}
							{	/* Ast/shrinkify.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_2919;

								BgL_auxz00_2919 = ((BgL_objectz00_bglt) BgL_nodez00_1362);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2919, BFALSE);
							}
							((obj_t) BgL_nodez00_1362);
						}
					else
						{	/* Ast/shrinkify.scm 162 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1362))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-select1819 */
	obj_t BGl_z62shrinkzd2nodez12zd2select1819z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2576, obj_t BgL_nodez00_2577)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 151 */
			{
				BgL_selectz00_bglt BgL_nodez00_1348;

				BgL_nodez00_1348 = ((BgL_selectz00_bglt) BgL_nodez00_2577);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1348))->BgL_testz00));
				{	/* Ast/shrinkify.scm 153 */
					obj_t BgL_g1776z00_1352;

					BgL_g1776z00_1352 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1348))->BgL_clausesz00);
					{
						obj_t BgL_l1774z00_1354;

						BgL_l1774z00_1354 = BgL_g1776z00_1352;
					BgL_zc3anonymousza31902ze3z83_1355:
						if (PAIRP(BgL_l1774z00_1354))
							{	/* Ast/shrinkify.scm 155 */
								{	/* Ast/shrinkify.scm 154 */
									obj_t BgL_clausez00_1357;

									BgL_clausez00_1357 = CAR(BgL_l1774z00_1354);
									{	/* Ast/shrinkify.scm 154 */
										obj_t BgL_arg1904z00_1358;

										BgL_arg1904z00_1358 = CDR(BgL_clausez00_1357);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1904z00_1358));
									}
								}
								{
									obj_t BgL_l1774z00_2935;

									BgL_l1774z00_2935 = CDR(BgL_l1774z00_1354);
									BgL_l1774z00_1354 = BgL_l1774z00_2935;
									goto BgL_zc3anonymousza31902ze3z83_1355;
								}
							}
						else
							{	/* Ast/shrinkify.scm 155 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-fail1817 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail1817z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2578, obj_t BgL_nodez00_2579)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 142 */
			{
				BgL_failz00_bglt BgL_nodez00_1341;

				BgL_nodez00_1341 = ((BgL_failz00_bglt) BgL_nodez00_2579);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1341))->BgL_procz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1341))->BgL_msgz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1341))->BgL_objz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-conditi1815 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi1815z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2580, obj_t BgL_nodez00_2581)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 133 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1334;

				BgL_nodez00_1334 = ((BgL_conditionalz00_bglt) BgL_nodez00_2581);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1334))->BgL_testz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1334))->BgL_truez00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1334))->BgL_falsez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-setq1813 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq1813z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2582, obj_t BgL_nodez00_2583)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 126 */
			{
				BgL_setqz00_bglt BgL_nodez00_1329;

				BgL_nodez00_1329 = ((BgL_setqz00_bglt) BgL_nodez00_2583);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1329))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-cast1811 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast1811z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2584, obj_t BgL_nodez00_2585)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 119 */
			{
				BgL_castz00_bglt BgL_nodez00_1324;

				BgL_nodez00_1324 = ((BgL_castz00_bglt) BgL_nodez00_2585);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1324))->BgL_argz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-extern1809 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern1809z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2586, obj_t BgL_nodez00_2587)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 111 */
			{
				BgL_externz00_bglt BgL_nodez00_1314;

				BgL_nodez00_1314 = ((BgL_externz00_bglt) BgL_nodez00_2587);
				{	/* Ast/shrinkify.scm 112 */
					bool_t BgL_testz00_2958;

					{	/* Ast/shrinkify.scm 112 */
						bool_t BgL_testz00_2959;

						{	/* Ast/shrinkify.scm 112 */
							obj_t BgL_auxz00_2960;

							{	/* Ast/shrinkify.scm 112 */
								BgL_objectz00_bglt BgL_auxz00_2961;

								BgL_auxz00_2961 = ((BgL_objectz00_bglt) BgL_nodez00_1314);
								BgL_auxz00_2960 = BGL_OBJECT_WIDENING(BgL_auxz00_2961);
							}
							BgL_testz00_2959 = CBOOL(BgL_auxz00_2960);
						}
						if (BgL_testz00_2959)
							{	/* Ast/shrinkify.scm 112 */
								BgL_testz00_2958 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 112 */
								BgL_testz00_2958 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2958)
						{	/* Ast/shrinkify.scm 112 */
							{	/* Ast/shrinkify.scm 112 */
								long BgL_arg1887z00_1319;

								{	/* Ast/shrinkify.scm 112 */
									obj_t BgL_arg1888z00_1320;

									{	/* Ast/shrinkify.scm 112 */
										obj_t BgL_arg1889z00_1321;

										{	/* Ast/shrinkify.scm 112 */
											BgL_objectz00_bglt BgL_objectz00_2355;

											BgL_objectz00_2355 =
												((BgL_objectz00_bglt) BgL_nodez00_1314);
											{	/* Ast/shrinkify.scm 112 */
												long BgL_arg1823z00_2356;

												{	/* Ast/shrinkify.scm 112 */
													long BgL_arg1824z00_2357;

													{	/* Ast/shrinkify.scm 112 */
														long BgL_res2044z00_2359;

														BgL_res2044z00_2359 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2355);
														BgL_arg1824z00_2357 = BgL_res2044z00_2359;
													}
													BgL_arg1823z00_2356 =
														(BgL_arg1824z00_2357 - OBJECT_TYPE);
												}
												BgL_arg1889z00_1321 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2356));
										}}
										BgL_arg1888z00_1320 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1889z00_1321);
									}
									{	/* Ast/shrinkify.scm 112 */
										long BgL_res2046z00_2366;

										BgL_res2046z00_2366 = BGL_CLASS_INDEX(BgL_arg1888z00_1320);
										BgL_arg1887z00_1319 = BgL_res2046z00_2366;
								}}
								{	/* Ast/shrinkify.scm 112 */
									BgL_objectz00_bglt BgL_objz00_2367;

									BgL_objz00_2367 = ((BgL_objectz00_bglt) BgL_nodez00_1314);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2367,
										BgL_arg1887z00_1319);
							}}
							{	/* Ast/shrinkify.scm 112 */
								BgL_objectz00_bglt BgL_auxz00_2974;

								BgL_auxz00_2974 = ((BgL_objectz00_bglt) BgL_nodez00_1314);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2974, BFALSE);
							}
							((obj_t) BgL_nodez00_1314);
						}
					else
						{	/* Ast/shrinkify.scm 112 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1314))->BgL_exprza2za2));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-funcall1807 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall1807z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2588, obj_t BgL_nodez00_2589)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 102 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1303;

				BgL_nodez00_1303 = ((BgL_funcallz00_bglt) BgL_nodez00_2589);
				{	/* Ast/shrinkify.scm 103 */
					bool_t BgL_testz00_2981;

					{	/* Ast/shrinkify.scm 103 */
						bool_t BgL_testz00_2982;

						{	/* Ast/shrinkify.scm 103 */
							obj_t BgL_auxz00_2983;

							{	/* Ast/shrinkify.scm 103 */
								BgL_objectz00_bglt BgL_auxz00_2984;

								BgL_auxz00_2984 = ((BgL_objectz00_bglt) BgL_nodez00_1303);
								BgL_auxz00_2983 = BGL_OBJECT_WIDENING(BgL_auxz00_2984);
							}
							BgL_testz00_2982 = CBOOL(BgL_auxz00_2983);
						}
						if (BgL_testz00_2982)
							{	/* Ast/shrinkify.scm 103 */
								BgL_testz00_2981 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 103 */
								BgL_testz00_2981 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2981)
						{	/* Ast/shrinkify.scm 103 */
							{	/* Ast/shrinkify.scm 103 */
								long BgL_arg1881z00_1308;

								{	/* Ast/shrinkify.scm 103 */
									obj_t BgL_arg1882z00_1309;

									{	/* Ast/shrinkify.scm 103 */
										obj_t BgL_arg1883z00_1310;

										{	/* Ast/shrinkify.scm 103 */
											BgL_objectz00_bglt BgL_objectz00_2333;

											BgL_objectz00_2333 =
												((BgL_objectz00_bglt) BgL_nodez00_1303);
											{	/* Ast/shrinkify.scm 103 */
												long BgL_arg1823z00_2334;

												{	/* Ast/shrinkify.scm 103 */
													long BgL_arg1824z00_2335;

													{	/* Ast/shrinkify.scm 103 */
														long BgL_res2039z00_2337;

														BgL_res2039z00_2337 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2333);
														BgL_arg1824z00_2335 = BgL_res2039z00_2337;
													}
													BgL_arg1823z00_2334 =
														(BgL_arg1824z00_2335 - OBJECT_TYPE);
												}
												BgL_arg1883z00_1310 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2334));
										}}
										BgL_arg1882z00_1309 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1883z00_1310);
									}
									{	/* Ast/shrinkify.scm 103 */
										long BgL_res2041z00_2344;

										BgL_res2041z00_2344 = BGL_CLASS_INDEX(BgL_arg1882z00_1309);
										BgL_arg1881z00_1308 = BgL_res2041z00_2344;
								}}
								{	/* Ast/shrinkify.scm 103 */
									BgL_objectz00_bglt BgL_objz00_2345;

									BgL_objz00_2345 = ((BgL_objectz00_bglt) BgL_nodez00_1303);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2345,
										BgL_arg1881z00_1308);
							}}
							{	/* Ast/shrinkify.scm 103 */
								BgL_objectz00_bglt BgL_auxz00_2997;

								BgL_auxz00_2997 = ((BgL_objectz00_bglt) BgL_nodez00_1303);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2997, BFALSE);
							}
							((obj_t) BgL_nodez00_1303);
						}
					else
						{	/* Ast/shrinkify.scm 103 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1303))->BgL_funz00));
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1303))->BgL_argsz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app-ly1805 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly1805za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2590, obj_t BgL_nodez00_2591)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 93 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1292;

				BgL_nodez00_1292 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2591);
				{	/* Ast/shrinkify.scm 94 */
					bool_t BgL_testz00_3006;

					{	/* Ast/shrinkify.scm 94 */
						bool_t BgL_testz00_3007;

						{	/* Ast/shrinkify.scm 94 */
							obj_t BgL_auxz00_3008;

							{	/* Ast/shrinkify.scm 94 */
								BgL_objectz00_bglt BgL_auxz00_3009;

								BgL_auxz00_3009 = ((BgL_objectz00_bglt) BgL_nodez00_1292);
								BgL_auxz00_3008 = BGL_OBJECT_WIDENING(BgL_auxz00_3009);
							}
							BgL_testz00_3007 = CBOOL(BgL_auxz00_3008);
						}
						if (BgL_testz00_3007)
							{	/* Ast/shrinkify.scm 94 */
								BgL_testz00_3006 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 94 */
								BgL_testz00_3006 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3006)
						{	/* Ast/shrinkify.scm 94 */
							{	/* Ast/shrinkify.scm 94 */
								long BgL_arg1875z00_1297;

								{	/* Ast/shrinkify.scm 94 */
									obj_t BgL_arg1876z00_1298;

									{	/* Ast/shrinkify.scm 94 */
										obj_t BgL_arg1877z00_1299;

										{	/* Ast/shrinkify.scm 94 */
											BgL_objectz00_bglt BgL_objectz00_2310;

											BgL_objectz00_2310 =
												((BgL_objectz00_bglt) BgL_nodez00_1292);
											{	/* Ast/shrinkify.scm 94 */
												long BgL_arg1823z00_2311;

												{	/* Ast/shrinkify.scm 94 */
													long BgL_arg1824z00_2312;

													{	/* Ast/shrinkify.scm 94 */
														long BgL_res2033z00_2314;

														BgL_res2033z00_2314 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2310);
														BgL_arg1824z00_2312 = BgL_res2033z00_2314;
													}
													BgL_arg1823z00_2311 =
														(BgL_arg1824z00_2312 - OBJECT_TYPE);
												}
												BgL_arg1877z00_1299 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2311));
										}}
										BgL_arg1876z00_1298 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1877z00_1299);
									}
									{	/* Ast/shrinkify.scm 94 */
										long BgL_res2035z00_2321;

										BgL_res2035z00_2321 = BGL_CLASS_INDEX(BgL_arg1876z00_1298);
										BgL_arg1875z00_1297 = BgL_res2035z00_2321;
								}}
								{	/* Ast/shrinkify.scm 94 */
									BgL_objectz00_bglt BgL_objz00_2322;

									BgL_objz00_2322 = ((BgL_objectz00_bglt) BgL_nodez00_1292);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2322,
										BgL_arg1875z00_1297);
							}}
							{	/* Ast/shrinkify.scm 94 */
								BgL_objectz00_bglt BgL_auxz00_3022;

								BgL_auxz00_3022 = ((BgL_objectz00_bglt) BgL_nodez00_1292);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3022, BFALSE);
							}
							((obj_t) BgL_nodez00_1292);
						}
					else
						{	/* Ast/shrinkify.scm 94 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1292))->BgL_funz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1292))->BgL_argz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app1803 */
	obj_t BGl_z62shrinkzd2nodez12zd2app1803z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2592, obj_t BgL_nodez00_2593)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 84 */
			{
				BgL_appz00_bglt BgL_nodez00_1281;

				BgL_nodez00_1281 = ((BgL_appz00_bglt) BgL_nodez00_2593);
				{	/* Ast/shrinkify.scm 85 */
					bool_t BgL_testz00_3031;

					{	/* Ast/shrinkify.scm 85 */
						bool_t BgL_testz00_3032;

						{	/* Ast/shrinkify.scm 85 */
							obj_t BgL_auxz00_3033;

							{	/* Ast/shrinkify.scm 85 */
								BgL_objectz00_bglt BgL_auxz00_3034;

								BgL_auxz00_3034 = ((BgL_objectz00_bglt) BgL_nodez00_1281);
								BgL_auxz00_3033 = BGL_OBJECT_WIDENING(BgL_auxz00_3034);
							}
							BgL_testz00_3032 = CBOOL(BgL_auxz00_3033);
						}
						if (BgL_testz00_3032)
							{	/* Ast/shrinkify.scm 85 */
								BgL_testz00_3031 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 85 */
								BgL_testz00_3031 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3031)
						{	/* Ast/shrinkify.scm 85 */
							{	/* Ast/shrinkify.scm 85 */
								long BgL_arg1869z00_1286;

								{	/* Ast/shrinkify.scm 85 */
									obj_t BgL_arg1870z00_1287;

									{	/* Ast/shrinkify.scm 85 */
										obj_t BgL_arg1871z00_1288;

										{	/* Ast/shrinkify.scm 85 */
											BgL_objectz00_bglt BgL_objectz00_2288;

											BgL_objectz00_2288 =
												((BgL_objectz00_bglt) BgL_nodez00_1281);
											{	/* Ast/shrinkify.scm 85 */
												long BgL_arg1823z00_2289;

												{	/* Ast/shrinkify.scm 85 */
													long BgL_arg1824z00_2290;

													{	/* Ast/shrinkify.scm 85 */
														long BgL_res2028z00_2292;

														BgL_res2028z00_2292 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2288);
														BgL_arg1824z00_2290 = BgL_res2028z00_2292;
													}
													BgL_arg1823z00_2289 =
														(BgL_arg1824z00_2290 - OBJECT_TYPE);
												}
												BgL_arg1871z00_1288 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2289));
										}}
										BgL_arg1870z00_1287 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1871z00_1288);
									}
									{	/* Ast/shrinkify.scm 85 */
										long BgL_res2030z00_2299;

										BgL_res2030z00_2299 = BGL_CLASS_INDEX(BgL_arg1870z00_1287);
										BgL_arg1869z00_1286 = BgL_res2030z00_2299;
								}}
								{	/* Ast/shrinkify.scm 85 */
									BgL_objectz00_bglt BgL_objz00_2300;

									BgL_objz00_2300 = ((BgL_objectz00_bglt) BgL_nodez00_1281);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2300,
										BgL_arg1869z00_1286);
							}}
							{	/* Ast/shrinkify.scm 85 */
								BgL_objectz00_bglt BgL_auxz00_3047;

								BgL_auxz00_3047 = ((BgL_objectz00_bglt) BgL_nodez00_1281);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3047, BFALSE);
							}
							((obj_t) BgL_nodez00_1281);
						}
					else
						{	/* Ast/shrinkify.scm 85 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 86 */
					BgL_varz00_bglt BgL_arg1872z00_1289;

					BgL_arg1872z00_1289 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1281))->BgL_funz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1872z00_1289));
				}
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1281))->BgL_argsz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-sync1801 */
	obj_t BGl_z62shrinkzd2nodez12zd2sync1801z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2594, obj_t BgL_nodez00_2595)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 76 */
			{
				BgL_syncz00_bglt BgL_nodez00_1275;

				BgL_nodez00_1275 = ((BgL_syncz00_bglt) BgL_nodez00_2595);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1275))->BgL_mutexz00));
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1275))->BgL_nodesz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-sequenc1799 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc1799z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2596, obj_t BgL_nodez00_2597)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 69 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1270;

				BgL_nodez00_1270 = ((BgL_sequencez00_bglt) BgL_nodez00_2597);
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1270))->BgL_nodesz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-kwote1797 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote1797z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2598, obj_t BgL_nodez00_2599)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-var1795 */
	obj_t BGl_z62shrinkzd2nodez12zd2var1795z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2600, obj_t BgL_nodez00_2601)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-atom1793 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom1793z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2602, obj_t BgL_nodez00_2603)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2107z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2107z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2107z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2107z00zzast_shrinkifyz00));
		}
	}

#ifdef __cplusplus
}
#endif
