/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	static obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	extern obj_t BGl_funz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza32084ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t);
	static BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31953ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62restorezd2valuezd2typesz121936z70zzast_envz00(obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62restorezd2valuezd2typesz121940z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121943z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121945z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121948z70zzast_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzast_envz00,
		BgL_bgl_za762za7c3anonymousza72282za7,
		BGl_z62zc3anonymousza31953ze3ze1zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762setza7d2genvza7122283za7, BGl_z62setzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2284z00,
		BGl_z62restorezd2valuezd2typesz121936z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2285z00,
		BGl_z62restorezd2valuezd2typesz121940z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl_za762findza7d2global2286z00, va_generic_entry,
		BGl_z62findzd2globalzb0zzast_envz00, BUNSPEC, -2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2287z00,
		BGl_z62restorezd2valuezd2typesz121943z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2288z00,
		BGl_z62restorezd2valuezd2typesz121945z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2289z00,
		BGl_z62restorezd2valuezd2typesz121948z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762unbindza7d2glob2290z00,
		BGl_z62unbindzd2globalz12za2zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl_za762globalza7d2buck2291z00,
		BGl_z62globalzd2bucketzd2positionz62zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762getza7d2globalza72292za7,
		BGl_z62getzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl_za762getza7d2genvza7b02293za7, BGl_z62getzd2genvzb0zzast_envz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl_za762alreadyza7d2res2294z00,
		BGl_z62alreadyzd2restoredzf3z43zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl_za762additionalza7d22295z00,
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00, 0L, BUNSPEC,
		0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762addza7d2genvza7122296za7, BGl_z62addzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2260z00zzast_envz00,
		BgL_bgl_string2260za700za7za7a2297za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string2261z00zzast_envz00,
		BgL_bgl_string2261za700za7za7a2298za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string2262z00zzast_envz00,
		BgL_bgl_string2262za700za7za7a2299za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string2263z00zzast_envz00,
		BgL_bgl_string2263za700za7za7a2300za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string2264z00zzast_envz00,
		BgL_bgl_string2264za700za7za7a2301za7, "eval", 4);
	      DEFINE_STRING(BGl_string2265z00zzast_envz00,
		BgL_bgl_string2265za700za7za7a2302za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string2266z00zzast_envz00,
		BgL_bgl_string2266za700za7za7a2303za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2268z00zzast_envz00,
		BgL_bgl_string2268za700za7za7a2304za7, "restore-value-types!1936", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762findza7d2global2305z00,
		BGl_z62findzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2270z00zzast_envz00,
		BgL_bgl_string2270za700za7za7a2306za7, "restore-value-types!", 20);
	      DEFINE_STRING(BGl_string2274z00zzast_envz00,
		BgL_bgl_string2274za700za7za7a2307za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string2275z00zzast_envz00,
		BgL_bgl_string2275za700za7za7a2308za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2276z00zzast_envz00,
		BgL_bgl_string2276za700za7za7a2309za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string2277z00zzast_envz00,
		BgL_bgl_string2277za700za7za7a2310za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string2278z00zzast_envz00,
		BgL_bgl_string2278za700za7za7a2311za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string2279z00zzast_envz00,
		BgL_bgl_string2279za700za7za7a2312za7,
		"eval now read @ get-global/module foreign the-global-environment ", 65);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl_za762initializa7a7eza72313za7,
		BGl_z62initializa7ezd2Genvz12z05zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl_za762restoreza7d2val2314z00,
		BGl_z62restorezd2valuezd2typesz12z70zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl_za762forza7d2eachza7d22315za7, va_generic_entry,
		BGl_z62forzd2eachzd2globalz12z70zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762bindza7d2global2316z00, BGl_z62bindzd2globalz12za2zzast_envz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762restoreza7d2glo2317z00,
		BGl_z62restorezd2globalz12za2zzast_envz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_2833, char *BgL_fromz00_2834)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_2824;

				BgL_cportz00_2824 =
					bgl_open_input_string(BGl_string2279z00zzast_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2825;

					BgL_iz00_2825 = ((long) 6);
				BgL_loopz00_2826:
					if ((BgL_iz00_2825 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg2281z00_2828;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_2830;

										BgL_locationz00_2830 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg2281z00_2828 =
												BGl_readz00zz__readerz00(BgL_cportz00_2824,
												BgL_locationz00_2830);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_2859;

									BgL_auxz00_2859 = (int) (BgL_iz00_2825);
									CNST_TABLE_SET(BgL_auxz00_2859, BgL_arg2281z00_2828);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_2831;

								BgL_auxz00_2831 = (int) ((BgL_iz00_2825 - ((long) 1)));
								{
									long BgL_iz00_2864;

									BgL_iz00_2864 = (long) (BgL_auxz00_2831);
									BgL_iz00_2825 = BgL_iz00_2864;
									goto BgL_loopz00_2826;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_3, BUNSPEC);
		}
	}



/* &set-genv! */
	obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2763,
		obj_t BgL_genvz00_2764)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2764);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_4,
				BGl_proc2259z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* &add-genv! */
	obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2766,
		obj_t BgL_genvz00_2767)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2767);
		}
	}



/* &<anonymous:1953> */
	obj_t BGl_z62zc3anonymousza31953ze3ze1zzast_envz00(obj_t BgL_envz00_2768,
		obj_t BgL_kz00_2769, obj_t BgL_bucketz00_2770)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 66 */
			{
				obj_t BgL_kz00_1390;
				obj_t BgL_bucketz00_1391;

				{	/* Ast/venv.scm 67 */
					bool_t BgL_auxz00_2870;

					BgL_kz00_1390 = BgL_kz00_2769;
					BgL_bucketz00_1391 = BgL_bucketz00_2770;
					{	/* Ast/venv.scm 67 */
						obj_t BgL_g1930z00_1393;

						BgL_g1930z00_1393 = CDR(BgL_bucketz00_1391);
						{
							obj_t BgL_l1880z00_1395;

							BgL_l1880z00_1395 = BgL_g1930z00_1393;
						BgL_zc3anonymousza31954ze3z83_1396:
							if (PAIRP(BgL_l1880z00_1395))
								{	/* Ast/venv.scm 87 */
									{	/* Ast/venv.scm 68 */
										obj_t BgL_newz00_1398;

										BgL_newz00_1398 = CAR(BgL_l1880z00_1395);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_1398,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 69 */
											obj_t BgL_modulez00_1399;

											BgL_modulez00_1399 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_1398)))->
												BgL_modulez00);
											{	/* Ast/venv.scm 69 */
												obj_t BgL_idz00_1400;

												BgL_idz00_1400 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_newz00_1398))))->
													BgL_idz00);
												{	/* Ast/venv.scm 70 */
													obj_t BgL_bucketz00_1401;

													BgL_bucketz00_1401 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_1400);
													{	/* Ast/venv.scm 71 */

														if (PAIRP(BgL_bucketz00_1401))
															{	/* Ast/venv.scm 75 */
																bool_t BgL_testz00_2884;

																if (
																	(BgL_modulez00_1399 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 75 */
																		BgL_testz00_2884 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 76 */
																		bool_t BgL_testz00_2887;

																		{	/* Ast/venv.scm 77 */
																			obj_t BgL_arg1964z00_1411;

																			{
																				BgL_globalz00_bglt BgL_auxz00_2888;

																				{	/* Ast/venv.scm 77 */
																					obj_t BgL_pairz00_2492;

																					BgL_pairz00_2492 =
																						CDR(BgL_bucketz00_1401);
																					BgL_auxz00_2888 =
																						((BgL_globalz00_bglt)
																						CAR(BgL_pairz00_2492));
																				}
																				BgL_arg1964z00_1411 =
																					(((BgL_globalz00_bglt)
																						CREF(BgL_auxz00_2888))->
																					BgL_modulez00);
																			}
																			BgL_testz00_2887 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg1964z00_1411);
																		}
																		if (BgL_testz00_2887)
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2884 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2884 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_2884)
																	{	/* Ast/venv.scm 83 */
																		obj_t BgL_newzd2bucketzd2_1404;

																		BgL_newzd2bucketzd2_1404 =
																			MAKE_PAIR(BgL_newz00_1398,
																			CDR(BgL_bucketz00_1401));
																		SET_CDR(BgL_bucketz00_1401,
																			BgL_newzd2bucketzd2_1404);
																	}
																else
																	{	/* Ast/venv.scm 86 */
																		obj_t BgL_arg1959z00_1406;
																		obj_t BgL_arg1960z00_1407;

																		BgL_arg1959z00_1406 =
																			CDR(BgL_bucketz00_1401);
																		BgL_arg1960z00_1407 =
																			MAKE_PAIR(BgL_newz00_1398,
																			CDR(CDR(BgL_bucketz00_1401)));
																		SET_CDR(BgL_arg1959z00_1406,
																			BgL_arg1960z00_1407);
																	}
															}
														else
															{	/* Ast/venv.scm 74 */
																obj_t BgL_arg1966z00_1413;

																{	/* Ast/venv.scm 74 */
																	obj_t BgL_list1967z00_1414;

																	{	/* Ast/venv.scm 74 */
																		obj_t BgL_arg1968z00_1415;

																		BgL_arg1968z00_1415 =
																			MAKE_PAIR(BgL_newz00_1398, BNIL);
																		BgL_list1967z00_1414 =
																			MAKE_PAIR(BgL_idz00_1400,
																			BgL_arg1968z00_1415);
																	}
																	BgL_arg1966z00_1413 = BgL_list1967z00_1414;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00,
																	BgL_idz00_1400, BgL_arg1966z00_1413);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1880z00_2905;

										BgL_l1880z00_2905 = CDR(BgL_l1880z00_1395);
										BgL_l1880z00_1395 = BgL_l1880z00_2905;
										goto BgL_zc3anonymousza31954ze3z83_1396;
									}
								}
							else
								{	/* Ast/venv.scm 87 */
									BgL_auxz00_2870 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2870);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			{
				obj_t BgL_l1931z00_1420;

				BgL_l1931z00_1420 =
					BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3anonymousza31970ze3z83_1421:
				if (PAIRP(BgL_l1931z00_1420))
					{	/* Ast/venv.scm 105 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l1931z00_1420));
						{
							obj_t BgL_l1931z00_2912;

							BgL_l1931z00_2912 = CDR(BgL_l1931z00_1420);
							BgL_l1931z00_1420 = BgL_l1931z00_2912;
							goto BgL_zc3anonymousza31970ze3z83_1421;
						}
					}
				else
					{	/* Ast/venv.scm 105 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* &additional-heap-restore-globals! */
	obj_t BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t
		BgL_envz00_2771)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_6, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 114 */
				BgL_typez00_bglt BgL_typez00_1427;

				BgL_typez00_1427 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00);
				{	/* Ast/venv.scm 115 */
					BgL_valuez00_bglt BgL_valuez00_1428;

					BgL_valuez00_1428 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_valuez00);
					{	/* Ast/venv.scm 116 */
						obj_t BgL_typeidz00_1429;

						BgL_typeidz00_1429 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1427))->BgL_idz00);
						{	/* Ast/venv.scm 117 */

							{	/* Ast/venv.scm 119 */
								BgL_typez00_bglt BgL_arg1974z00_1430;

								BgL_arg1974z00_1430 =
									BGl_findzd2typezd2zztype_envz00(BgL_typeidz00_1429);
								{	/* Ast/venv.scm 119 */
									BgL_globalz00_bglt BgL_oz00_2526;

									BgL_oz00_2526 = ((BgL_globalz00_bglt) BgL_newz00_6);
									((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_oz00_2526)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg1974z00_1430), BUNSPEC);
								}
							}
							BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_1428);
							{	/* Ast/venv.scm 123 */
								bool_t BgL_testz00_2928;

								{	/* Ast/venv.scm 123 */
									bool_t BgL_testz00_2929;

									{	/* Ast/venv.scm 123 */
										obj_t BgL_arg1984z00_1439;

										BgL_arg1984z00_1439 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_testz00_2929 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg1984z00_1439)))->
											BgL_qualifiedzd2typeszd2);
									}
									if (BgL_testz00_2929)
										{	/* Ast/venv.scm 123 */
											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_newz00_6)))->
														BgL_modulez00) == CNST_TABLE_REF(((long) 1))))
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2928 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2928 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 123 */
											BgL_testz00_2928 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2928)
									{	/* Ast/venv.scm 125 */
										obj_t BgL_arg1976z00_1432;
										obj_t BgL_arg1978z00_1433;
										obj_t BgL_arg1979z00_1434;

										BgL_arg1976z00_1432 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->BgL_modulez00);
										BgL_arg1978z00_1433 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->
											BgL_jvmzd2typezd2namez00);
										BgL_arg1979z00_1434 =
											BGl_shapez00zztools_shapez00(BgL_newz00_6);
										{	/* Ast/venv.scm 125 */
											obj_t BgL_list1980z00_1435;

											BgL_list1980z00_1435 =
												MAKE_PAIR(BgL_arg1979z00_1434, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg1976z00_1432, BgL_arg1978z00_1433,
												BgL_list1980z00_1435);
										}
									}
								else
									{	/* Ast/venv.scm 123 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* &restore-global! */
	obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t BgL_envz00_2772,
		obj_t BgL_newz00_2773)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2773);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_8)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_8,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* &already-restored? */
	obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t BgL_envz00_2774,
		obj_t BgL_funz00_2775)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2775);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* &get-genv */
	obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t BgL_envz00_2776)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t BgL_envz00_2777)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_14,
		obj_t BgL_modulez00_15)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			{	/* Ast/venv.scm 233 */
				obj_t BgL_bucketz00_1441;
				obj_t BgL_modulez00_1442;

				BgL_bucketz00_1441 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_14);
				if (NULLP(BgL_modulez00_15))
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_1442 = BNIL;
					}
				else
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_1442 = CAR(BgL_modulez00_15);
					}
				if (PAIRP(BgL_bucketz00_1441))
					{	/* Ast/venv.scm 236 */
						if (NULLP(CDR(BgL_bucketz00_1441)))
							{	/* Ast/venv.scm 238 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 238 */
								if (NULLP(BgL_modulez00_1442))
									{	/* Ast/venv.scm 240 */
										return CAR(CDR(BgL_bucketz00_1441));
									}
								else
									{
										obj_t BgL_globalsz00_1448;

										BgL_globalsz00_1448 = CDR(BgL_bucketz00_1441);
									BgL_zc3anonymousza31989ze3z83_1449:
										if (NULLP(BgL_globalsz00_1448))
											{	/* Ast/venv.scm 245 */
												return BFALSE;
											}
										else
											{	/* Ast/venv.scm 247 */
												bool_t BgL_testz00_2965;

												{	/* Ast/venv.scm 247 */
													obj_t BgL_auxz00_2966;

													{
														BgL_globalz00_bglt BgL_auxz00_2967;

														{	/* Ast/venv.scm 247 */
															obj_t BgL_pairz00_2558;

															BgL_pairz00_2558 = BgL_globalsz00_1448;
															BgL_auxz00_2967 =
																((BgL_globalz00_bglt) CAR(BgL_pairz00_2558));
														}
														BgL_auxz00_2966 =
															(((BgL_globalz00_bglt) CREF(BgL_auxz00_2967))->
															BgL_modulez00);
													}
													BgL_testz00_2965 =
														(BgL_auxz00_2966 == BgL_modulez00_1442);
												}
												if (BgL_testz00_2965)
													{	/* Ast/venv.scm 247 */
														return CAR(BgL_globalsz00_1448);
													}
												else
													{
														obj_t BgL_globalsz00_2973;

														BgL_globalsz00_2973 = CDR(BgL_globalsz00_1448);
														BgL_globalsz00_1448 = BgL_globalsz00_2973;
														goto BgL_zc3anonymousza31989ze3z83_1449;
													}
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 236 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global */
	obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t BgL_envz00_2778,
		obj_t BgL_idz00_2779, obj_t BgL_modulez00_2780)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2779, BgL_modulez00_2780);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_16, obj_t BgL_modulez00_17)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			{	/* Ast/venv.scm 256 */
				obj_t BgL_bucketz00_1458;

				BgL_bucketz00_1458 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_16);
				if (PAIRP(BgL_bucketz00_1458))
					{	/* Ast/venv.scm 258 */
						if (NULLP(CDR(BgL_bucketz00_1458)))
							{	/* Ast/venv.scm 260 */
								return BFALSE;
							}
						else
							{
								obj_t BgL_globalsz00_1464;

								BgL_globalsz00_1464 = CDR(BgL_bucketz00_1458);
							BgL_zc3anonymousza32000ze3z83_1465:
								if (NULLP(BgL_globalsz00_1464))
									{	/* Ast/venv.scm 267 */
										return BFALSE;
									}
								else
									{	/* Ast/venv.scm 269 */
										bool_t BgL_testz00_2985;

										{	/* Ast/venv.scm 269 */
											obj_t BgL_auxz00_2986;

											{
												BgL_globalz00_bglt BgL_auxz00_2987;

												{	/* Ast/venv.scm 269 */
													obj_t BgL_pairz00_2578;

													BgL_pairz00_2578 = BgL_globalsz00_1464;
													BgL_auxz00_2987 =
														((BgL_globalz00_bglt) CAR(BgL_pairz00_2578));
												}
												BgL_auxz00_2986 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_2987))->
													BgL_modulez00);
											}
											BgL_testz00_2985 = (BgL_auxz00_2986 == BgL_modulez00_17);
										}
										if (BgL_testz00_2985)
											{	/* Ast/venv.scm 269 */
												return CAR(BgL_globalsz00_1464);
											}
										else
											{
												obj_t BgL_globalsz00_2993;

												BgL_globalsz00_2993 = CDR(BgL_globalsz00_1464);
												BgL_globalsz00_1464 = BgL_globalsz00_2993;
												goto BgL_zc3anonymousza32000ze3z83_1465;
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 258 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global/module */
	obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2781,
		obj_t BgL_idz00_2782, obj_t BgL_modulez00_2783)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2782,
				BgL_modulez00_2783);
		}
	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_18, obj_t BgL_modulez00_19)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			{	/* Ast/venv.scm 278 */
				obj_t BgL_globalz00_1473;

				BgL_globalz00_1473 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_18,
					BgL_modulez00_19);
				{	/* Ast/venv.scm 279 */
					bool_t BgL_testz00_2998;

					if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1473,
							BGl_globalz00zzast_varz00))
						{	/* Ast/venv.scm 279 */
							BgL_testz00_2998 = ((bool_t) 0);
						}
					else
						{	/* Ast/venv.scm 279 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Ast/venv.scm 279 */
									BgL_testz00_2998 = ((bool_t) 0);
								}
							else
								{	/* Ast/venv.scm 279 */
									BgL_testz00_2998 = ((bool_t) 1);
								}
						}
					if (BgL_testz00_2998)
						{	/* Ast/venv.scm 282 */
							obj_t BgL_arg2009z00_1475;

							{	/* Ast/venv.scm 282 */
								obj_t BgL_list2010z00_1476;

								{	/* Ast/venv.scm 282 */
									obj_t BgL_arg2011z00_1477;

									BgL_arg2011z00_1477 = MAKE_PAIR(BgL_modulez00_19, BNIL);
									BgL_list2010z00_1476 =
										MAKE_PAIR(BgL_idz00_18, BgL_arg2011z00_1477);
								}
								BgL_arg2009z00_1475 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2260z00zzast_envz00, BgL_list2010z00_1476);
							}
							BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
										2)), BGl_string2261z00zzast_envz00, BgL_arg2009z00_1475);
						}
					else
						{	/* Ast/venv.scm 279 */
							BFALSE;
						}
				}
				return BgL_globalz00_1473;
			}
		}
	}



/* &get-global/module */
	obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2784,
		obj_t BgL_idz00_2785, obj_t BgL_modulez00_2786)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_2785,
				BgL_modulez00_2786);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_20,
		obj_t BgL_oz00_21, obj_t BgL_msgz00_22)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 288 */
			{	/* Ast/venv.scm 289 */
				bool_t BgL_testz00_3009;

				{	/* Ast/venv.scm 289 */
					bool_t BgL_testz00_3010;

					{	/* Ast/venv.scm 289 */
						int BgL_arg2028z00_1496;

						BgL_arg2028z00_1496 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_3010 = ((long) (BgL_arg2028z00_1496) > ((long) 0));
					}
					if (BgL_testz00_3010)
						{	/* Ast/venv.scm 289 */
							BgL_testz00_3009 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 289 */
							BgL_testz00_3009 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_3009)
					{	/* Ast/venv.scm 290 */
						BgL_globalz00_bglt BgL_i1104z00_1480;

						BgL_i1104z00_1480 = ((BgL_globalz00_bglt) BgL_oz00_21);
						{	/* Ast/venv.scm 291 */
							obj_t BgL_locz00_1481;
							obj_t BgL_oldz00_1482;
							obj_t BgL_newz00_1483;
							obj_t BgL_msgz00_1484;

							BgL_locz00_1481 =
								BGl_findzd2locationzd2zztools_locationz00(
								(((BgL_globalz00_bglt) CREF(BgL_i1104z00_1480))->BgL_srcz00));
							{	/* Ast/venv.scm 292 */
								obj_t BgL_arg2017z00_1486;

								{	/* Ast/venv.scm 292 */
									obj_t BgL_arg2018z00_1487;
									obj_t BgL_arg2019z00_1488;

									BgL_arg2018z00_1487 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_i1104z00_1480)))->
										BgL_idz00);
									BgL_arg2019z00_1488 =
										MAKE_PAIR((((BgL_globalz00_bglt) CREF(BgL_i1104z00_1480))->
											BgL_modulez00), BNIL);
									BgL_arg2017z00_1486 =
										MAKE_PAIR(BgL_arg2018z00_1487, BgL_arg2019z00_1488);
								}
								BgL_oldz00_1482 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2017z00_1486);
							}
							{	/* Ast/venv.scm 293 */
								obj_t BgL_arg2022z00_1490;

								{	/* Ast/venv.scm 293 */
									obj_t BgL_arg2023z00_1491;
									obj_t BgL_arg2024z00_1492;

									BgL_arg2023z00_1491 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_nz00_20))))->BgL_idz00);
									{	/* Ast/venv.scm 293 */
										obj_t BgL_arg2025z00_1493;

										BgL_arg2025z00_1493 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_nz00_20)))->BgL_modulez00);
										BgL_arg2024z00_1492 = MAKE_PAIR(BgL_arg2025z00_1493, BNIL);
									}
									BgL_arg2022z00_1490 =
										MAKE_PAIR(BgL_arg2023z00_1491, BgL_arg2024z00_1492);
								}
								BgL_newz00_1483 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2022z00_1490);
							}
							if (PAIRP(BgL_msgz00_22))
								{	/* Ast/venv.scm 294 */
									BgL_msgz00_1484 = CAR(BgL_msgz00_22);
								}
							else
								{	/* Ast/venv.scm 294 */
									BgL_msgz00_1484 = BGl_string2262z00zzast_envz00;
								}
							if (CBOOL(BgL_locz00_1481))
								{	/* Ast/venv.scm 295 */
									return
										BGl_userzd2warningzf2locationz20zztools_errorz00
										(BgL_locz00_1481, BgL_oldz00_1482, BgL_msgz00_1484,
										BgL_newz00_1483);
								}
							else
								{	/* Ast/venv.scm 295 */
									return
										BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1482,
										BgL_msgz00_1484, BgL_newz00_1483);
								}
						}
					}
				else
					{	/* Ast/venv.scm 289 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_23, obj_t BgL_srcz00_24)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 302 */
			{	/* Ast/venv.scm 304 */
				obj_t BgL_locz00_1498;

				BgL_locz00_1498 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_24);
				if (CBOOL(BgL_locz00_1498))
					{	/* Ast/venv.scm 307 */
						obj_t BgL_arg2029z00_1500;
						obj_t BgL_arg2030z00_1501;

						BgL_arg2029z00_1500 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg2030z00_1501 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1498,
							BgL_arg2029z00_1500, BGl_string2263z00zzast_envz00,
							BgL_arg2030z00_1501, BNIL);
					}
				else
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg2032z00_1503;
						obj_t BgL_arg2033z00_1504;

						BgL_arg2032z00_1503 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg2033z00_1504 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg2032z00_1503,
							BGl_string2263z00zzast_envz00, BgL_arg2033z00_1504, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_25, obj_t BgL_srcz00_26)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 313 */
			{	/* Ast/venv.scm 315 */
				obj_t BgL_locz00_1507;

				BgL_locz00_1507 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_26);
				if (CBOOL(BgL_locz00_1507))
					{	/* Ast/venv.scm 318 */
						obj_t BgL_arg2035z00_1509;
						obj_t BgL_arg2037z00_1510;

						BgL_arg2035z00_1509 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg2037z00_1510 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1507,
							BgL_arg2035z00_1509, BGl_string2263z00zzast_envz00,
							BgL_arg2037z00_1510);
					}
				else
					{	/* Ast/venv.scm 319 */
						obj_t BgL_arg2038z00_1511;
						obj_t BgL_arg2039z00_1512;

						BgL_arg2038z00_1511 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg2039z00_1512 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg2038z00_1511,
							BGl_string2263z00zzast_envz00, BgL_arg2039z00_1512);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_27, obj_t BgL_modulez00_28, BgL_valuez00_bglt BgL_valuez00_29,
		obj_t BgL_importz00_30, obj_t BgL_srcz00_31)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 336 */
			{	/* Ast/venv.scm 339 */
				obj_t BgL_oldz00_1513;

				{	/* Ast/venv.scm 339 */
					obj_t BgL_list2068z00_1548;

					BgL_list2068z00_1548 = MAKE_PAIR(BgL_modulez00_28, BNIL);
					BgL_oldz00_1513 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_27,
						BgL_list2068z00_1548);
				}
				if (BGl_isazf3zf3zz__objectz00(BgL_oldz00_1513,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 340 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Ast/venv.scm 342 */
								return ((BgL_globalz00_bglt) BgL_oldz00_1513);
							}
						else
							{	/* Ast/venv.scm 342 */
								if (
									(BgL_modulez00_28 ==
										(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_oldz00_1513)))->
											BgL_modulez00)))
									{	/* Ast/venv.scm 344 */
										BGl_warningzd2rebindzd2globalz12z12zzast_envz00(
											((BgL_globalz00_bglt) BgL_oldz00_1513), BgL_srcz00_31);
										return ((BgL_globalz00_bglt) BgL_oldz00_1513);
									}
								else
									{	/* Ast/venv.scm 344 */
										return
											((BgL_globalz00_bglt)
											BGl_errorzd2rebindzd2globalz12z12zzast_envz00(
												((BgL_globalz00_bglt) BgL_oldz00_1513), BgL_srcz00_31));
									}
							}
					}
				else
					{	/* Ast/venv.scm 349 */
						obj_t BgL_bucketz00_1517;
						BgL_globalz00_bglt BgL_newz00_1518;

						BgL_bucketz00_1517 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_27);
						{	/* Ast/venv.scm 350 */
							BgL_globalz00_bglt BgL_new1108z00_1544;

							{	/* Ast/venv.scm 350 */
								BgL_globalz00_bglt BgL_new1107z00_1546;

								BgL_new1107z00_1546 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Ast/venv.scm 350 */
									long BgL_arg2067z00_1547;

									{	/* Ast/venv.scm 350 */
										long BgL_res2223z00_2604;

										BgL_res2223z00_2604 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2067z00_1547 = BgL_res2223z00_2604;
									}
									{	/* Ast/venv.scm 350 */
										BgL_objectz00_bglt BgL_objz00_2605;

										BgL_objz00_2605 =
											((BgL_objectz00_bglt) BgL_new1107z00_1546);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2605,
											BgL_arg2067z00_1547);
								}}
								{	/* Ast/venv.scm 350 */
									BgL_objectz00_bglt BgL_auxz00_3085;

									BgL_auxz00_3085 = ((BgL_objectz00_bglt) BgL_new1107z00_1546);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3085, BFALSE);
								}
								BgL_new1108z00_1544 = BgL_new1107z00_1546;
							}
							((((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_new1108z00_1544)))->
									BgL_idz00) = ((obj_t) BgL_idz00_27), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_namez00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_valuez00) =
								((BgL_valuez00_bglt) BgL_valuez00_29), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_accessz00) =
								((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_fastzd2alphazd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_removablez00) =
								((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_occurrencez00) =
								((long) ((long) 0)), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_occurrencewz00) =
								((long) ((long) 0)), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1108z00_1544)))->BgL_userzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->
									BgL_modulez00) = ((obj_t) BgL_modulez00_28), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->
									BgL_importz00) = ((obj_t) BgL_importz00_30), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->
									BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->
									BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->
									BgL_libraryz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->
									BgL_pragmaz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->BgL_srcz00) =
								((obj_t) BgL_srcz00_31), BUNSPEC);
							{
								obj_t BgL_auxz00_3118;

								if ((BgL_importz00_30 == CNST_TABLE_REF(((long) 6))))
									{	/* Ast/venv.scm 353 */
										BgL_auxz00_3118 = BGl_string2264z00zzast_envz00;
									}
								else
									{	/* Ast/venv.scm 353 */
										BgL_auxz00_3118 =
											BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
											(BgL_modulez00_28);
									}
								((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->
										BgL_jvmzd2typezd2namez00) =
									((obj_t) BgL_auxz00_3118), BUNSPEC);
							}
							((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1544))->BgL_initz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							BgL_newz00_1518 = BgL_new1108z00_1544;
						}
						{	/* Ast/venv.scm 362 */
							bool_t BgL_testz00_3125;

							if (PAIRP(BgL_bucketz00_1517))
								{	/* Ast/venv.scm 362 */
									BgL_testz00_3125 = NULLP(CDR(BgL_bucketz00_1517));
								}
							else
								{	/* Ast/venv.scm 362 */
									BgL_testz00_3125 = ((bool_t) 1);
								}
							if (BgL_testz00_3125)
								{	/* Ast/venv.scm 362 */
									{	/* Ast/venv.scm 364 */
										obj_t BgL_arg2044z00_1520;

										{	/* Ast/venv.scm 364 */
											obj_t BgL_list2045z00_1521;

											{	/* Ast/venv.scm 364 */
												obj_t BgL_arg2046z00_1522;

												BgL_arg2046z00_1522 =
													MAKE_PAIR(((obj_t) BgL_newz00_1518), BNIL);
												BgL_list2045z00_1521 =
													MAKE_PAIR(BgL_idz00_27, BgL_arg2046z00_1522);
											}
											BgL_arg2044z00_1520 = BgL_list2045z00_1521;
										}
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_27,
											BgL_arg2044z00_1520);
									}
									return BgL_newz00_1518;
								}
							else
								{	/* Ast/venv.scm 367 */
									obj_t BgL_oldza2za2_1523;

									BgL_oldza2za2_1523 = CDR(BgL_bucketz00_1517);
									{	/* Ast/venv.scm 367 */
										obj_t BgL_midz00_1524;

										{	/* Ast/venv.scm 369 */
											obj_t BgL_arg2062z00_1540;

											{
												BgL_globalz00_bglt BgL_auxz00_3135;

												{	/* Ast/venv.scm 369 */
													obj_t BgL_pairz00_2615;

													BgL_pairz00_2615 = BgL_oldza2za2_1523;
													BgL_auxz00_3135 =
														((BgL_globalz00_bglt) CAR(BgL_pairz00_2615));
												}
												BgL_arg2062z00_1540 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_3135))->
													BgL_modulez00);
											}
											BgL_midz00_1524 =
												BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
												(BgL_arg2062z00_1540);
										}
										{	/* Ast/venv.scm 368 */

											{	/* Ast/venv.scm 371 */
												bool_t BgL_testz00_3140;

												{	/* Ast/venv.scm 371 */
													obj_t BgL_arg2060z00_1538;

													{
														BgL_globalz00_bglt BgL_auxz00_3141;

														{	/* Ast/venv.scm 371 */
															obj_t BgL_pairz00_2619;

															BgL_pairz00_2619 = BgL_oldza2za2_1523;
															BgL_auxz00_3141 =
																((BgL_globalz00_bglt) CAR(BgL_pairz00_2619));
														}
														BgL_arg2060z00_1538 =
															(((BgL_globalz00_bglt) CREF(BgL_auxz00_3141))->
															BgL_modulez00);
													}
													BgL_testz00_3140 =
														(BgL_arg2060z00_1538 ==
														BGl_za2moduleza2z00zzmodule_modulez00);
												}
												if (BgL_testz00_3140)
													{	/* Ast/venv.scm 371 */
														{	/* Ast/venv.scm 373 */
															bool_t BgL_testz00_3146;

															if ((BgL_idz00_27 == BgL_midz00_1524))
																{	/* Ast/venv.scm 373 */
																	BgL_testz00_3146 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 373 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 373 */
																			BgL_testz00_3146 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 373 */
																			BgL_testz00_3146 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_3146)
																{	/* Ast/venv.scm 374 */
																	obj_t BgL_arg2050z00_1527;

																	BgL_arg2050z00_1527 = CAR(BgL_oldza2za2_1523);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(BgL_arg2050z00_1527,
																		((obj_t) BgL_newz00_1518), BNIL);
																}
															else
																{	/* Ast/venv.scm 373 */
																	BFALSE;
																}
														}
														{	/* Ast/venv.scm 375 */
															obj_t BgL_arg2053z00_1530;
															obj_t BgL_arg2054z00_1531;

															BgL_arg2053z00_1530 = CDR(BgL_bucketz00_1517);
															{	/* Ast/venv.scm 375 */
																obj_t BgL_arg2055z00_1532;

																{	/* Ast/venv.scm 375 */
																	obj_t BgL_pairz00_2625;

																	BgL_pairz00_2625 = BgL_bucketz00_1517;
																	BgL_arg2055z00_1532 =
																		CDR(CDR(BgL_pairz00_2625));
																}
																BgL_arg2054z00_1531 =
																	MAKE_PAIR(
																	((obj_t) BgL_newz00_1518),
																	BgL_arg2055z00_1532);
															}
															SET_CDR(BgL_arg2053z00_1530, BgL_arg2054z00_1531);
														}
														return BgL_newz00_1518;
													}
												else
													{	/* Ast/venv.scm 378 */
														obj_t BgL_newza2za2_1533;

														BgL_newza2za2_1533 =
															MAKE_PAIR(
															((obj_t) BgL_newz00_1518), BgL_oldza2za2_1523);
														{	/* Ast/venv.scm 379 */
															bool_t BgL_testz00_3162;

															if ((BgL_idz00_27 == BgL_midz00_1524))
																{	/* Ast/venv.scm 379 */
																	BgL_testz00_3162 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 379 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 379 */
																			BgL_testz00_3162 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 379 */
																			BgL_testz00_3162 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_3162)
																{	/* Ast/venv.scm 380 */
																	obj_t BgL_arg2057z00_1535;

																	BgL_arg2057z00_1535 = CAR(BgL_oldza2za2_1523);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(((obj_t) BgL_newz00_1518),
																		BgL_arg2057z00_1535, BNIL);
																}
															else
																{	/* Ast/venv.scm 379 */
																	BFALSE;
																}
														}
														SET_CDR(BgL_bucketz00_1517, BgL_newza2za2_1533);
														return BgL_newz00_1518;
													}
											}
										}
									}
								}
						}
					}
			}
		}
	}



/* &bind-global! */
	BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t
		BgL_envz00_2787, obj_t BgL_idz00_2788, obj_t BgL_modulez00_2789,
		obj_t BgL_valuez00_2790, obj_t BgL_importz00_2791, obj_t BgL_srcz00_2792)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 336 */
			return
				BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2788, BgL_modulez00_2789,
				((BgL_valuez00_bglt) BgL_valuez00_2790), BgL_importz00_2791,
				BgL_srcz00_2792);
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_32, obj_t BgL_modulez00_33)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 387 */
			{	/* Ast/venv.scm 388 */
				obj_t BgL_globalz00_1549;

				{	/* Ast/venv.scm 388 */
					obj_t BgL_list2080z00_1567;

					BgL_list2080z00_1567 = MAKE_PAIR(BgL_modulez00_33, BNIL);
					BgL_globalz00_1549 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_32,
						BgL_list2080z00_1567);
				}
				if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1549,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 391 */
						obj_t BgL_bucketz00_1551;

						BgL_bucketz00_1551 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_32);
						{	/* Ast/venv.scm 392 */
							obj_t BgL_g1112z00_1552;

							BgL_g1112z00_1552 = CDR(BgL_bucketz00_1551);
							{
								obj_t BgL_curz00_1554;
								obj_t BgL_prevz00_1555;

								BgL_curz00_1554 = BgL_g1112z00_1552;
								BgL_prevz00_1555 = BgL_bucketz00_1551;
							BgL_zc3anonymousza32070ze3z83_1556:
								if ((CAR(BgL_curz00_1554) == BgL_globalz00_1549))
									{	/* Ast/venv.scm 395 */
										obj_t BgL_auxz00_3182;

										BgL_auxz00_3182 = CDR(BgL_curz00_1554);
										return SET_CDR(BgL_prevz00_1555, BgL_auxz00_3182);
									}
								else
									{
										obj_t BgL_prevz00_3187;
										obj_t BgL_curz00_3185;

										BgL_curz00_3185 = CDR(BgL_curz00_1554);
										BgL_prevz00_3187 = CDR(BgL_prevz00_1555);
										BgL_prevz00_1555 = BgL_prevz00_3187;
										BgL_curz00_1554 = BgL_curz00_3185;
										goto BgL_zc3anonymousza32070ze3z83_1556;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 390 */
						obj_t BgL_arg2076z00_1563;

						{	/* Ast/venv.scm 390 */
							obj_t BgL_arg2078z00_1565;

							{	/* Ast/venv.scm 390 */
								obj_t BgL_arg2079z00_1566;

								BgL_arg2079z00_1566 = MAKE_PAIR(BgL_modulez00_33, BNIL);
								BgL_arg2078z00_1565 =
									MAKE_PAIR(BgL_idz00_32, BgL_arg2079z00_1566);
							}
							BgL_arg2076z00_1563 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2078z00_1565);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string2265z00zzast_envz00,
							BGl_string2266z00zzast_envz00, BgL_arg2076z00_1563, BNIL);
					}
			}
		}
	}



/* &unbind-global! */
	obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t BgL_envz00_2793,
		obj_t BgL_idz00_2794, obj_t BgL_modulez00_2795)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 387 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2794,
				BgL_modulez00_2795);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_34, obj_t BgL_envz00_35)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 401 */
			{	/* Ast/venv.scm 402 */
				obj_t BgL_arg2081z00_1568;

				if (NULLP(BgL_envz00_35))
					{	/* Ast/venv.scm 402 */
						BgL_arg2081z00_1568 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 402 */
						BgL_arg2081z00_1568 = CAR(BgL_envz00_35);
					}
				{	/* Ast/venv.scm 403 */
					obj_t BgL_zc3anonymousza32084ze3z83_2796;

					BgL_zc3anonymousza32084ze3z83_2796 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32084ze3ze1zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32084ze3z83_2796,
						(int) (((long) 0)), BgL_procz00_34);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg2081z00_1568,
						BgL_zc3anonymousza32084ze3z83_2796);
				}
			}
		}
	}



/* &for-each-global! */
	obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t BgL_envz00_2797,
		obj_t BgL_procz00_2798, obj_t BgL_envz00_2799)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 401 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2798,
				BgL_envz00_2799);
		}
	}



/* &<anonymous:2084> */
	obj_t BGl_z62zc3anonymousza32084ze3ze1zzast_envz00(obj_t BgL_envz00_2800,
		obj_t BgL_kz00_2802, obj_t BgL_bucketz00_2803)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 403 */
			{	/* Ast/venv.scm 403 */
				obj_t BgL_procz00_2801;

				BgL_procz00_2801 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2800, (int) (((long) 0))));
				{
					obj_t BgL_kz00_1571;
					obj_t BgL_bucketz00_1572;

					{	/* Ast/venv.scm 403 */
						bool_t BgL_auxz00_3208;

						BgL_kz00_1571 = BgL_kz00_2802;
						BgL_bucketz00_1572 = BgL_bucketz00_2803;
						{	/* Ast/venv.scm 403 */
							obj_t BgL_g1935z00_1574;

							BgL_g1935z00_1574 = CDR(BgL_bucketz00_1572);
							{
								obj_t BgL_l1933z00_1576;

								BgL_l1933z00_1576 = BgL_g1935z00_1574;
							BgL_zc3anonymousza32085ze3z83_1577:
								if (PAIRP(BgL_l1933z00_1576))
									{	/* Ast/venv.scm 403 */
										{	/* Ast/venv.scm 403 */
											obj_t BgL_arg2087z00_1579;

											BgL_arg2087z00_1579 = CAR(BgL_l1933z00_1576);
											PROCEDURE_ENTRY(BgL_procz00_2801) (BgL_procz00_2801,
												BgL_arg2087z00_1579, BEOA);
										}
										{
											obj_t BgL_l1933z00_3217;

											BgL_l1933z00_3217 = CDR(BgL_l1933z00_1576);
											BgL_l1933z00_1576 = BgL_l1933z00_3217;
											goto BgL_zc3anonymousza32085ze3z83_1577;
										}
									}
								else
									{	/* Ast/venv.scm 403 */
										BgL_auxz00_3208 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_3208);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_36, obj_t BgL_modulez00_37)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 408 */
			{	/* Ast/venv.scm 409 */
				obj_t BgL_bucketz00_1583;

				BgL_bucketz00_1583 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_36);
				if (PAIRP(BgL_bucketz00_1583))
					{
						obj_t BgL_globalsz00_1587;
						long BgL_posz00_1588;

						{	/* Ast/venv.scm 412 */
							long BgL_auxz00_3223;

							BgL_globalsz00_1587 = CDR(BgL_bucketz00_1583);
							BgL_posz00_1588 = ((long) 0);
						BgL_zc3anonymousza32090ze3z83_1589:
							if (NULLP(BgL_globalsz00_1587))
								{	/* Ast/venv.scm 415 */
									BgL_auxz00_3223 = ((long) -1);
								}
							else
								{	/* Ast/venv.scm 417 */
									bool_t BgL_testz00_3226;

									{	/* Ast/venv.scm 417 */
										obj_t BgL_auxz00_3227;

										{
											BgL_globalz00_bglt BgL_auxz00_3228;

											{	/* Ast/venv.scm 417 */
												obj_t BgL_pairz00_2656;

												BgL_pairz00_2656 = BgL_globalsz00_1587;
												BgL_auxz00_3228 =
													((BgL_globalz00_bglt) CAR(BgL_pairz00_2656));
											}
											BgL_auxz00_3227 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_3228))->
												BgL_modulez00);
										}
										BgL_testz00_3226 = (BgL_auxz00_3227 == BgL_modulez00_37);
									}
									if (BgL_testz00_3226)
										{	/* Ast/venv.scm 417 */
											BgL_auxz00_3223 = BgL_posz00_1588;
										}
									else
										{
											long BgL_posz00_3235;
											obj_t BgL_globalsz00_3233;

											BgL_globalsz00_3233 = CDR(BgL_globalsz00_1587);
											BgL_posz00_3235 = (BgL_posz00_1588 + ((long) 1));
											BgL_posz00_1588 = BgL_posz00_3235;
											BgL_globalsz00_1587 = BgL_globalsz00_3233;
											goto BgL_zc3anonymousza32090ze3z83_1589;
										}
								}
							return BINT(BgL_auxz00_3223);
						}
					}
				else
					{	/* Ast/venv.scm 410 */
						return BINT(((long) -1));
		}}}
	}



/* &global-bucket-position */
	obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t BgL_envz00_2804,
		obj_t BgL_idz00_2805, obj_t BgL_modulez00_2806)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 408 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2805,
				BgL_modulez00_2806);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_proc2267z00zzast_envz00, BGl_valuez00zzast_varz00,
				BGl_string2268z00zzast_envz00);
		}
	}



/* &restore-value-types!1936 */
	obj_t BGl_z62restorezd2valuezd2typesz121936z70zzast_envz00(obj_t
		BgL_envz00_2808, obj_t BgL_valuez00_2809)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return BUNSPEC;
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			{	/* Ast/venv.scm 152 */
				obj_t BgL_method1937z00_1601;

				{	/* Ast/venv.scm 152 */
					obj_t BgL_res2242z00_2692;

					{	/* Ast/venv.scm 152 */
						BgL_objectz00_bglt BgL_objz00_2664;

						BgL_objz00_2664 = ((BgL_objectz00_bglt) BgL_valuez00_9);
						{	/* Ast/venv.scm 152 */
							long BgL_objzd2classzd2numz00_2665;

							{	/* Ast/venv.scm 152 */
								long BgL_res2236z00_2668;

								BgL_res2236z00_2668 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2664);
								BgL_objzd2classzd2numz00_2665 = BgL_res2236z00_2668;
							}
							{	/* Ast/venv.scm 152 */
								obj_t BgL_arg1820z00_2666;

								BgL_arg1820z00_2666 =
									PROCEDURE_REF
									(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
									(int) (((long) 1)));
								{	/* Ast/venv.scm 152 */
									obj_t BgL_arrayz00_2669;
									int BgL_offsetz00_2670;

									BgL_arrayz00_2669 = BgL_arg1820z00_2666;
									BgL_offsetz00_2670 = (int) (BgL_objzd2classzd2numz00_2665);
									{	/* Ast/venv.scm 152 */
										long BgL_offsetz00_2671;

										BgL_offsetz00_2671 =
											((long) (BgL_offsetz00_2670) - OBJECT_TYPE);
										{	/* Ast/venv.scm 152 */
											long BgL_modz00_2672;

											{	/* Ast/venv.scm 152 */
												int BgL_arg1822z00_2673;

												BgL_arg1822z00_2673 = (int) (((long) 16));
												{	/* Ast/venv.scm 152 */
													long BgL_res2239z00_2683;

													{	/* Ast/venv.scm 152 */
														long BgL_auxz00_3250;

														BgL_auxz00_3250 = (long) (BgL_arg1822z00_2673);
														BgL_res2239z00_2683 =
															(BgL_offsetz00_2671 / BgL_auxz00_3250);
													}
													BgL_modz00_2672 = BgL_res2239z00_2683;
											}}
											{	/* Ast/venv.scm 152 */
												long BgL_restz00_2674;

												{	/* Ast/venv.scm 152 */
													int BgL_arg1821z00_2675;

													BgL_arg1821z00_2675 = (int) (((long) 16));
													{	/* Ast/venv.scm 152 */
														long BgL_res2241z00_2687;

														{	/* Ast/venv.scm 152 */
															long BgL_auxz00_3254;

															BgL_auxz00_3254 = (long) (BgL_arg1821z00_2675);
															BgL_res2241z00_2687 =
																(BgL_offsetz00_2671 % BgL_auxz00_3254);
														}
														BgL_restz00_2674 = BgL_res2241z00_2687;
												}}
												{	/* Ast/venv.scm 152 */

													BgL_res2242z00_2692 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2669,
															(int) (BgL_modz00_2672)),
														(int) (BgL_restz00_2674));
					}}}}}}}}
					BgL_method1937z00_1601 = BgL_res2242z00_2692;
				}
				return
					PROCEDURE_ENTRY(BgL_method1937z00_1601) (BgL_method1937z00_1601,
					((obj_t) BgL_valuez00_9), BEOA);
			}
		}
	}



/* &restore-value-types! */
	obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t BgL_envz00_2810,
		obj_t BgL_valuez00_2811)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				((BgL_valuez00_bglt) BgL_valuez00_2811));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc2269z00zzast_envz00,
				BGl_string2270z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc2271z00zzast_envz00,
				BGl_string2270z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc2272z00zzast_envz00,
				BGl_string2270z00zzast_envz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc2273z00zzast_envz00,
				BGl_string2270z00zzast_envz00);
		}
	}



/* &restore-value-types!1948 */
	obj_t BGl_z62restorezd2valuezd2typesz121948z70zzast_envz00(obj_t
		BgL_envz00_2816, obj_t BgL_valuez00_2817)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 207 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1645;

				{	/* Ast/venv.scm 207 */
					bool_t BgL_auxz00_3272;

					BgL_valuez00_1645 = ((BgL_cfunz00_bglt) BgL_valuez00_2817);
					{

						{	/* Ast/venv.scm 207 */
							obj_t BgL_nextzd2method1947zd2_1659;

							BgL_nextzd2method1947zd2_1659 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_valuez00_1645),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							PROCEDURE_ENTRY(BgL_nextzd2method1947zd2_1659)
								(BgL_nextzd2method1947zd2_1659, ((obj_t) BgL_valuez00_1645),
								BEOA);
						}
						{
							obj_t BgL_argsz00_1651;

							BgL_argsz00_1651 =
								(((BgL_cfunz00_bglt) CREF(BgL_valuez00_1645))->
								BgL_argszd2typezd2);
						BgL_zc3anonymousza32125ze3z83_1652:
							if (PAIRP(BgL_argsz00_1651))
								{	/* Ast/venv.scm 211 */
									{	/* Ast/venv.scm 213 */
										BgL_typez00_bglt BgL_arg2127z00_1654;

										{	/* Ast/venv.scm 213 */
											obj_t BgL_arg2128z00_1655;

											BgL_arg2128z00_1655 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt)
															CAR(BgL_argsz00_1651))))->BgL_idz00);
											BgL_arg2127z00_1654 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg2128z00_1655);
										}
										{	/* Ast/venv.scm 213 */
											obj_t BgL_pairz00_2746;
											obj_t BgL_objz00_2747;

											BgL_pairz00_2746 = BgL_argsz00_1651;
											BgL_objz00_2747 = ((obj_t) BgL_arg2127z00_1654);
											SET_CAR(BgL_pairz00_2746, BgL_objz00_2747);
										}
									}
									{
										obj_t BgL_argsz00_3288;

										BgL_argsz00_3288 = CDR(BgL_argsz00_1651);
										BgL_argsz00_1651 = BgL_argsz00_3288;
										goto BgL_zc3anonymousza32125ze3z83_1652;
									}
								}
							else
								{	/* Ast/venv.scm 211 */
									BgL_auxz00_3272 = ((bool_t) 0);
								}
						}
					}
					return BBOOL(BgL_auxz00_3272);
				}
			}
		}
	}



/* &restore-value-types!1945 */
	obj_t BGl_z62restorezd2valuezd2typesz121945z70zzast_envz00(obj_t
		BgL_envz00_2818, obj_t BgL_valuez00_2819)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 200 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1640;

				BgL_valuez00_1640 = ((BgL_sfunz00_bglt) BgL_valuez00_2819);
				{

					{	/* Ast/venv.scm 200 */
						obj_t BgL_nextzd2method1944zd2_1644;

						BgL_nextzd2method1944zd2_1644 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1640),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_isfunz00zzinline_inlinez00);
						PROCEDURE_ENTRY(BgL_nextzd2method1944zd2_1644)
							(BgL_nextzd2method1944zd2_1644, ((obj_t) BgL_valuez00_1640),
							BEOA);
					}
					{	/* Ast/venv.scm 202 */
						BgL_nodez00_bglt BgL_arg2123z00_1643;

						{
							BgL_isfunz00_bglt BgL_auxz00_3300;

							{
								obj_t BgL_auxz00_3301;

								{	/* Ast/venv.scm 202 */
									BgL_objectz00_bglt BgL_auxz00_3302;

									BgL_auxz00_3302 = ((BgL_objectz00_bglt) BgL_valuez00_1640);
									BgL_auxz00_3301 = BGL_OBJECT_WIDENING(BgL_auxz00_3302);
								}
								BgL_auxz00_3300 = ((BgL_isfunz00_bglt) BgL_auxz00_3301);
							}
							BgL_arg2123z00_1643 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3300))->
								BgL_originalzd2bodyzd2);
						}
						return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg2123z00_1643);
					}
				}
			}
		}
	}



/* &restore-value-types!1943 */
	obj_t BGl_z62restorezd2valuezd2typesz121943z70zzast_envz00(obj_t
		BgL_envz00_2820, obj_t BgL_valuez00_2821)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 166 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1611;

				BgL_valuez00_1611 = ((BgL_sfunz00_bglt) BgL_valuez00_2821);
				{

					{	/* Ast/venv.scm 166 */
						obj_t BgL_nextzd2method1942zd2_1639;

						BgL_nextzd2method1942zd2_1639 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1611),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						PROCEDURE_ENTRY(BgL_nextzd2method1942zd2_1639)
							(BgL_nextzd2method1942zd2_1639, ((obj_t) BgL_valuez00_1611),
							BEOA);
					}
					{
						obj_t BgL_argsz00_1617;

						BgL_argsz00_1617 =
							(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1611))->BgL_argsz00);
					BgL_zc3anonymousza32103ze3z83_1618:
						if (PAIRP(BgL_argsz00_1617))
							{	/* Ast/venv.scm 172 */
								obj_t BgL_argz00_1620;

								BgL_argz00_1620 = CAR(BgL_argsz00_1617);
								if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1620,
										BGl_typez00zztype_typez00))
									{	/* Ast/venv.scm 175 */
										BgL_typez00_bglt BgL_arg2106z00_1622;

										{	/* Ast/venv.scm 175 */
											obj_t BgL_arg2107z00_1623;

											BgL_arg2107z00_1623 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt) BgL_argz00_1620)))->BgL_idz00);
											BgL_arg2106z00_1622 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg2107z00_1623);
										}
										{	/* Ast/venv.scm 175 */
											obj_t BgL_pairz00_2706;
											obj_t BgL_objz00_2707;

											BgL_pairz00_2706 = BgL_argsz00_1617;
											BgL_objz00_2707 = ((obj_t) BgL_arg2106z00_1622);
											SET_CAR(BgL_pairz00_2706, BgL_objz00_2707);
										}
									}
								else
									{	/* Ast/venv.scm 174 */
										if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1620,
												BGl_localz00zzast_varz00))
											{	/* Ast/venv.scm 177 */
												BgL_typez00_bglt BgL_newzd2typezd2_1625;

												{	/* Ast/venv.scm 177 */
													obj_t BgL_arg2110z00_1626;

													BgL_arg2110z00_1626 =
														(((BgL_typez00_bglt) CREF(
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_argz00_1620))))->BgL_typez00)))->
														BgL_idz00);
													BgL_newzd2typezd2_1625 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg2110z00_1626);
												}
												{	/* Ast/venv.scm 178 */
													BgL_localz00_bglt BgL_oz00_2716;

													BgL_oz00_2716 = ((BgL_localz00_bglt) BgL_argz00_1620);
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_oz00_2716)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_newzd2typezd2_1625),
														BUNSPEC);
												}
											}
										else
											{	/* Ast/venv.scm 176 */
												BGl_errorz00zz__errorz00(BGl_string2274z00zzast_envz00,
													BGl_string2275z00zzast_envz00,
													BGl_shapez00zztools_shapez00(BgL_argz00_1620));
											}
									}
								{
									obj_t BgL_argsz00_3338;

									BgL_argsz00_3338 = CDR(BgL_argsz00_1617);
									BgL_argsz00_1617 = BgL_argsz00_3338;
									goto BgL_zc3anonymousza32103ze3z83_1618;
								}
							}
						else
							{	/* Ast/venv.scm 171 */
								if (NULLP(BgL_argsz00_1617))
									{	/* Ast/venv.scm 185 */
										obj_t BgL_bodyz00_1631;

										BgL_bodyz00_1631 =
											(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1611))->
											BgL_bodyz00);
										if (BGl_isazf3zf3zz__objectz00(BgL_bodyz00_1631,
												BGl_nodez00zzast_nodez00))
											{	/* Ast/venv.scm 188 */
												BgL_typez00_bglt BgL_tresz00_1633;

												BgL_tresz00_1633 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_bodyz00_1631)))->
													BgL_typez00);
												BGl_hrtypezd2nodez12zc0zzast_hrtypez00((
														(BgL_nodez00_bglt) BgL_bodyz00_1631));
												{	/* Ast/venv.scm 190 */
													bool_t BgL_testz00_3349;

													{	/* Ast/venv.scm 190 */
														bool_t BgL_res2254z00_2730;

														{	/* Ast/venv.scm 190 */
															obj_t BgL_objz00_2729;

															BgL_objz00_2729 = ((obj_t) BgL_tresz00_1633);
															BgL_res2254z00_2730 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_2729,
																BGl_typez00zztype_typez00);
														}
														BgL_testz00_3349 = BgL_res2254z00_2730;
													}
													if (BgL_testz00_3349)
														{	/* Ast/venv.scm 191 */
															BgL_typez00_bglt BgL_arg2118z00_1635;

															BgL_arg2118z00_1635 =
																BGl_findzd2typezd2zztype_envz00(
																(((BgL_typez00_bglt) CREF(BgL_tresz00_1633))->
																	BgL_idz00));
															{	/* Ast/venv.scm 191 */
																BgL_nodez00_bglt BgL_oz00_2734;

																BgL_oz00_2734 =
																	((BgL_nodez00_bglt) BgL_bodyz00_1631);
																return
																	((((BgL_nodez00_bglt) CREF(BgL_oz00_2734))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2118z00_1635),
																	BUNSPEC);
															}
														}
													else
														{	/* Ast/venv.scm 190 */
															return BFALSE;
														}
												}
											}
										else
											{	/* Ast/venv.scm 187 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/venv.scm 184 */
										return
											BGl_errorz00zz__errorz00(BGl_string2276z00zzast_envz00,
											BGl_string2277z00zzast_envz00,
											BGl_shapez00zztools_shapez00(BgL_argsz00_1617));
									}
							}
					}
				}
			}
		}
	}



/* &restore-value-types!1940 */
	obj_t BGl_z62restorezd2valuezd2typesz121940z70zzast_envz00(obj_t
		BgL_envz00_2822, obj_t BgL_valuez00_2823)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 158 */
			{
				BgL_funz00_bglt BgL_valuez00_1602;

				BgL_valuez00_1602 = ((BgL_funz00_bglt) BgL_valuez00_2823);
				{	/* Ast/venv.scm 160 */
					bool_t BgL_testz00_3360;

					{	/* Ast/venv.scm 160 */
						obj_t BgL_arg2101z00_1609;

						BgL_arg2101z00_1609 =
							(((BgL_funz00_bglt) CREF(BgL_valuez00_1602))->
							BgL_predicatezd2ofzd2);
						BgL_testz00_3360 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2101z00_1609,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_3360)
						{
							obj_t BgL_auxz00_3363;

							{	/* Ast/venv.scm 161 */
								obj_t BgL_arg2099z00_1607;

								BgL_arg2099z00_1607 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt)
												(((BgL_funz00_bglt) CREF(BgL_valuez00_1602))->
													BgL_predicatezd2ofzd2))))->BgL_idz00);
								BgL_auxz00_3363 =
									((obj_t)
									BGl_findzd2typezd2zztype_envz00(BgL_arg2099z00_1607));
							}
							return
								((((BgL_funz00_bglt) CREF(BgL_valuez00_1602))->
									BgL_predicatezd2ofzd2) = ((obj_t) BgL_auxz00_3363), BUNSPEC);
						}
					else
						{	/* Ast/venv.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 156957722),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2278z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
