/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly2770za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit2750z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re2766za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62cleanupzd2nodez12zd2fail2752z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2sync2746z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app2778z70zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal2772z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2select2754z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit2776za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex2760za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2app2774z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se2768za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen2744z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b2764za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e2762za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez122741za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2setq2748z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va2758za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu2756za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string3200z00zzcfa_arithmeticz00,
		BgL_bgl_string3200za700za7za7c3227za7, "cleanup-node!2741", 17);
	      DEFINE_STRING(BGl_string3202z00zzcfa_arithmeticz00,
		BgL_bgl_string3202za700za7za7c3228za7, "cleanup-node!", 13);
	      DEFINE_STRING(BGl_string3219z00zzcfa_arithmeticz00,
		BgL_bgl_string3219za700za7za7c3229za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string3221z00zzcfa_arithmeticz00,
		BgL_bgl_string3221za700za7za7c3230za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string3222z00zzcfa_arithmeticz00,
		BgL_bgl_string3222za700za7za7c3231za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string3223z00zzcfa_arithmeticz00,
		BgL_bgl_string3223za700za7za7c3232za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string3224z00zzcfa_arithmeticz00,
		BgL_bgl_string3224za700za7za7c3233za7, "all c-eq? arithmetic-app ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3234z00,
		BGl_z62cleanupzd2nodez122741za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3235z00,
		BGl_z62cleanupzd2nodez12zd2sequen2744z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3236z00,
		BGl_z62cleanupzd2nodez12zd2sync2746z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3237z00,
		BGl_z62cleanupzd2nodez12zd2setq2748z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3238z00,
		BGl_z62cleanupzd2nodez12zd2condit2750z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3239z00,
		BGl_z62cleanupzd2nodez12zd2fail2752z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3240z00,
		BGl_z62cleanupzd2nodez12zd2select2754z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3241z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu2756za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3242z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va2758za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3243z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex2760za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3244z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e2762za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3245z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b2764za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3246z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re2766za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3247z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se2768za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3248z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly2770za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3249z00,
		BGl_z62cleanupzd2nodez12zd2funcal2772z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3250z00,
		BGl_z62cleanupzd2nodez12zd2app2774z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza73251za7,
		BGl_z62nodezd2setupz12zd2prezd2arit2776za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit3252za7,
		BGl_z62cfaz12zd2arithmeticzd2app2778z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3253z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari3254z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_5038, char *BgL_fromz00_5039)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_5029;

				BgL_cportz00_5029 =
					bgl_open_input_string(BGl_string3224z00zzcfa_arithmeticz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5030;

					BgL_iz00_5030 = ((long) 2);
				BgL_loopz00_5031:
					if ((BgL_iz00_5030 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg3226z00_5033;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_5035;

										BgL_locationz00_5035 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg3226z00_5033 =
												BGl_readz00zz__readerz00(BgL_cportz00_5029,
												BgL_locationz00_5035);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_auxz00_5061;

									BgL_auxz00_5061 = (int) (BgL_iz00_5030);
									CNST_TABLE_SET(BgL_auxz00_5061, BgL_arg3226z00_5033);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_5036;

								BgL_auxz00_5036 = (int) ((BgL_iz00_5030 - ((long) 1)));
								{
									long BgL_iz00_5066;

									BgL_iz00_5066 = (long) (BgL_auxz00_5036);
									BgL_iz00_5030 = BgL_iz00_5066;
									goto BgL_loopz00_5031;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l2702z00_2570;

				BgL_l2702z00_2570 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3anonymousza32782ze3z83_2571:
				if (PAIRP(BgL_l2702z00_2570))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_2573;

							BgL_nodez00_2573 = CAR(BgL_l2702z00_2570);
							{	/* Cfa/arithmetic.scm 64 */
								BgL_appz00_bglt BgL_i1150z00_2574;

								BgL_i1150z00_2574 = ((BgL_appz00_bglt) BgL_nodez00_2573);
								{	/* Cfa/arithmetic.scm 65 */
									BgL_variablez00_bglt BgL_fz00_2575;

									BgL_fz00_2575 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_i1150z00_2574)))->
													BgL_funz00)))->BgL_variablez00);
									{	/* Cfa/arithmetic.scm 65 */
										BgL_valuez00_bglt BgL_valz00_2576;

										BgL_valz00_2576 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_2575))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 66 */

											{	/* Cfa/arithmetic.scm 68 */
												bool_t BgL_testz00_5076;

												{	/* Cfa/arithmetic.scm 68 */
													BgL_typez00_bglt BgL_arg2785z00_2578;

													BgL_arg2785z00_2578 =
														(((BgL_variablez00_bglt) CREF(BgL_fz00_2575))->
														BgL_typez00);
													BgL_testz00_5076 =
														(((obj_t) BgL_arg2785z00_2578) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_5076)
													{	/* Cfa/arithmetic.scm 69 */
														BgL_typez00_bglt BgL_vz00_4661;

														BgL_vz00_4661 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_variablez00_bglt) CREF(BgL_fz00_2575))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_4661), BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 68 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 70 */
												bool_t BgL_testz00_5082;

												{	/* Cfa/arithmetic.scm 70 */
													BgL_typez00_bglt BgL_arg2787z00_2580;

													BgL_arg2787z00_2580 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_2573)))->
														BgL_typez00);
													BgL_testz00_5082 =
														(((obj_t) BgL_arg2787z00_2580) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_5082)
													{	/* Cfa/arithmetic.scm 71 */
														BgL_nodez00_bglt BgL_oz00_4666;
														BgL_typez00_bglt BgL_vz00_4667;

														BgL_oz00_4666 =
															((BgL_nodez00_bglt) BgL_nodez00_2573);
														BgL_vz00_4667 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_oz00_4666))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_4667), BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 70 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 73 */
												bool_t BgL_testz00_5090;

												{	/* Cfa/arithmetic.scm 73 */
													bool_t BgL_res3134z00_4670;

													{	/* Cfa/arithmetic.scm 73 */
														obj_t BgL_objz00_4669;

														BgL_objz00_4669 = ((obj_t) BgL_valz00_2576);
														BgL_res3134z00_4670 =
															BGl_isazf3zf3zz__objectz00(BgL_objz00_4669,
															BGl_sfunz00zzast_varz00);
													}
													BgL_testz00_5090 = BgL_res3134z00_4670;
												}
												if (BgL_testz00_5090)
													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_arg2789z00_2582;

														{	/* Cfa/arithmetic.scm 74 */
															obj_t BgL_l2696z00_2583;

															BgL_l2696z00_2583 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt) BgL_valz00_2576)))->
																BgL_argsz00);
															if (NULLP(BgL_l2696z00_2583))
																{	/* Cfa/arithmetic.scm 74 */
																	BgL_arg2789z00_2582 = BNIL;
																}
															else
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_head2698z00_2585;

																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_arg2796z00_2597;

																		BgL_arg2796z00_2597 =
																			BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l2696z00_2583));
																		{	/* Cfa/arithmetic.scm 74 */
																			obj_t BgL_res3136z00_4678;

																			BgL_res3136z00_4678 =
																				MAKE_PAIR(BgL_arg2796z00_2597, BNIL);
																			BgL_head2698z00_2585 =
																				BgL_res3136z00_4678;
																		}
																	}
																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_g2701z00_2586;

																		BgL_g2701z00_2586 = CDR(BgL_l2696z00_2583);
																		{
																			obj_t BgL_l2696z00_2588;
																			obj_t BgL_tail2699z00_2589;

																			BgL_l2696z00_2588 = BgL_g2701z00_2586;
																			BgL_tail2699z00_2589 =
																				BgL_head2698z00_2585;
																		BgL_zc3anonymousza32791ze3z83_2590:
																			if (NULLP(BgL_l2696z00_2588))
																				{	/* Cfa/arithmetic.scm 74 */
																					BgL_arg2789z00_2582 =
																						BgL_head2698z00_2585;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_newtail2700z00_2592;

																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_arg2794z00_2594;

																						BgL_arg2794z00_2594 =
																							BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																							(CAR(BgL_l2696z00_2588));
																						{	/* Cfa/arithmetic.scm 74 */
																							obj_t BgL_res3138z00_4685;

																							BgL_res3138z00_4685 =
																								MAKE_PAIR(BgL_arg2794z00_2594,
																								BNIL);
																							BgL_newtail2700z00_2592 =
																								BgL_res3138z00_4685;
																						}
																					}
																					SET_CDR(BgL_tail2699z00_2589,
																						BgL_newtail2700z00_2592);
																					{
																						obj_t BgL_tail2699z00_5109;
																						obj_t BgL_l2696z00_5107;

																						BgL_l2696z00_5107 =
																							CDR(BgL_l2696z00_2588);
																						BgL_tail2699z00_5109 =
																							BgL_newtail2700z00_2592;
																						BgL_tail2699z00_2589 =
																							BgL_tail2699z00_5109;
																						BgL_l2696z00_2588 =
																							BgL_l2696z00_5107;
																						goto
																							BgL_zc3anonymousza32791ze3z83_2590;
																					}
																				}
																		}
																	}
																}
														}
														{	/* Cfa/arithmetic.scm 74 */
															BgL_sfunz00_bglt BgL_oz00_4689;

															BgL_oz00_4689 =
																((BgL_sfunz00_bglt) BgL_valz00_2576);
															((((BgL_sfunz00_bglt) CREF(BgL_oz00_4689))->
																	BgL_argsz00) =
																((obj_t) BgL_arg2789z00_2582), BUNSPEC);
														}
													}
												else
													{	/* Cfa/arithmetic.scm 75 */
														bool_t BgL_testz00_5112;

														{	/* Cfa/arithmetic.scm 75 */
															bool_t BgL_res3139z00_4693;

															{	/* Cfa/arithmetic.scm 75 */
																obj_t BgL_objz00_4692;

																BgL_objz00_4692 = ((obj_t) BgL_valz00_2576);
																BgL_res3139z00_4693 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_4692,
																	BGl_cfunz00zzast_varz00);
															}
															BgL_testz00_5112 = BgL_res3139z00_4693;
														}
														if (BgL_testz00_5112)
															{	/* Cfa/arithmetic.scm 76 */
																obj_t BgL_g1151z00_2600;

																BgL_g1151z00_2600 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_valz00_2576)))->
																	BgL_argszd2typezd2);
																{
																	obj_t BgL_lz00_2602;

																	{	/* Cfa/arithmetic.scm 76 */
																		bool_t BgL_auxz00_5117;

																		BgL_lz00_2602 = BgL_g1151z00_2600;
																	BgL_zc3anonymousza32799ze3z83_2603:
																		if (PAIRP(BgL_lz00_2602))
																			{	/* Cfa/arithmetic.scm 77 */
																				{	/* Cfa/arithmetic.scm 79 */
																					obj_t BgL_auxz00_5120;

																					BgL_auxz00_5120 =
																						BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_lz00_2602));
																					SET_CAR(BgL_lz00_2602,
																						BgL_auxz00_5120);
																				}
																				{
																					obj_t BgL_lz00_5124;

																					BgL_lz00_5124 = CDR(BgL_lz00_2602);
																					BgL_lz00_2602 = BgL_lz00_5124;
																					goto
																						BgL_zc3anonymousza32799ze3z83_2603;
																				}
																			}
																		else
																			{	/* Cfa/arithmetic.scm 77 */
																				BgL_auxz00_5117 = ((bool_t) 0);
																			}
																		BBOOL(BgL_auxz00_5117);
																	}
																}
															}
														else
															{	/* Cfa/arithmetic.scm 75 */
																BFALSE;
															}
													}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2702z00_5127;

							BgL_l2702z00_5127 = CDR(BgL_l2702z00_2570);
							BgL_l2702z00_2570 = BgL_l2702z00_5127;
							goto BgL_zc3anonymousza32782ze3z83_2571;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l2704z00_2613;

				BgL_l2704z00_2613 = BgL_globalsz00_3;
			BgL_zc3anonymousza32806ze3z83_2614:
				if (PAIRP(BgL_l2704z00_2613))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg2808z00_2616;

							BgL_arg2808z00_2616 = CAR(BgL_l2704z00_2613);
							{	/* Cfa/arithmetic.scm 83 */
								BgL_valuez00_bglt BgL_funz00_4707;

								BgL_funz00_4707 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_arg2808z00_2616)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 83 */
									obj_t BgL_bodyz00_4708;

									BgL_bodyz00_4708 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_4707)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 83 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_4708));
									}
								}
							}
						}
						{
							obj_t BgL_l2704z00_5138;

							BgL_l2704z00_5138 = CDR(BgL_l2704z00_2613);
							BgL_l2704z00_2613 = BgL_l2704z00_5138;
							goto BgL_zc3anonymousza32806ze3z83_2614;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_2619)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 62 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2619, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_2619 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_2619;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2619,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 57 */
							{	/* Cfa/arithmetic.scm 58 */
								bool_t BgL_testz00_5146;

								{	/* Cfa/arithmetic.scm 58 */
									BgL_typez00_bglt BgL_arg2816z00_2625;

									BgL_arg2816z00_2625 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_2619))))->BgL_typez00);
									BgL_testz00_5146 =
										(
										((obj_t) BgL_arg2816z00_2625) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_5146)
									{	/* Cfa/arithmetic.scm 59 */
										BgL_localz00_bglt BgL_oz00_4645;
										BgL_typez00_bglt BgL_vz00_4646;

										BgL_oz00_4645 = ((BgL_localz00_bglt) BgL_tz00_2619);
										BgL_vz00_4646 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_oz00_4645)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4646), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 58 */
										BFALSE;
									}
							}
							return BgL_tz00_2619;
						}
					else
						{	/* Cfa/arithmetic.scm 57 */
							return BgL_tz00_2619;
						}
				}
		}
	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4963, obj_t BgL_globalsz00_4964)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_4964);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc3199z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string3200z00zzcfa_arithmeticz00);
		}
	}



/* &cleanup-node!2741 */
	obj_t BGl_z62cleanupzd2nodez122741za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4966, obj_t BgL_nodez00_4967)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}
	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method2742z00_2633;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res3150z00_4750;

					{	/* Cfa/arithmetic.scm 97 */
						BgL_objectz00_bglt BgL_objz00_4722;

						BgL_objz00_4722 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Cfa/arithmetic.scm 97 */
							long BgL_objzd2classzd2numz00_4723;

							{	/* Cfa/arithmetic.scm 97 */
								long BgL_res3144z00_4726;

								BgL_res3144z00_4726 = BGL_OBJECT_CLASS_NUM(BgL_objz00_4722);
								BgL_objzd2classzd2numz00_4723 = BgL_res3144z00_4726;
							}
							{	/* Cfa/arithmetic.scm 97 */
								obj_t BgL_arg1820z00_4724;

								BgL_arg1820z00_4724 =
									PROCEDURE_REF
									(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
									(int) (((long) 1)));
								{	/* Cfa/arithmetic.scm 97 */
									obj_t BgL_arrayz00_4727;
									int BgL_offsetz00_4728;

									BgL_arrayz00_4727 = BgL_arg1820z00_4724;
									BgL_offsetz00_4728 = (int) (BgL_objzd2classzd2numz00_4723);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_offsetz00_4729;

										BgL_offsetz00_4729 =
											((long) (BgL_offsetz00_4728) - OBJECT_TYPE);
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_modz00_4730;

											{	/* Cfa/arithmetic.scm 97 */
												int BgL_arg1822z00_4731;

												BgL_arg1822z00_4731 = (int) (((long) 16));
												{	/* Cfa/arithmetic.scm 97 */
													long BgL_res3147z00_4741;

													{	/* Cfa/arithmetic.scm 97 */
														long BgL_auxz00_5166;

														BgL_auxz00_5166 = (long) (BgL_arg1822z00_4731);
														BgL_res3147z00_4741 =
															(BgL_offsetz00_4729 / BgL_auxz00_5166);
													}
													BgL_modz00_4730 = BgL_res3147z00_4741;
											}}
											{	/* Cfa/arithmetic.scm 97 */
												long BgL_restz00_4732;

												{	/* Cfa/arithmetic.scm 97 */
													int BgL_arg1821z00_4733;

													BgL_arg1821z00_4733 = (int) (((long) 16));
													{	/* Cfa/arithmetic.scm 97 */
														long BgL_res3149z00_4745;

														{	/* Cfa/arithmetic.scm 97 */
															long BgL_auxz00_5170;

															BgL_auxz00_5170 = (long) (BgL_arg1821z00_4733);
															BgL_res3149z00_4745 =
																(BgL_offsetz00_4729 % BgL_auxz00_5170);
														}
														BgL_restz00_4732 = BgL_res3149z00_4745;
												}}
												{	/* Cfa/arithmetic.scm 97 */

													BgL_res3150z00_4750 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_4727,
															(int) (BgL_modz00_4730)),
														(int) (BgL_restz00_4732));
					}}}}}}}}
					BgL_method2742z00_2633 = BgL_res3150z00_4750;
				}
				return
					PROCEDURE_ENTRY(BgL_method2742z00_2633) (BgL_method2742z00_2633,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_4968,
		obj_t BgL_nodez00_4969)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_4969));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3201z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_syncz00zzast_nodez00, BGl_proc3203z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc3204z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3205z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc3206z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_selectz00zzast_nodez00, BGl_proc3207z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3208z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3209z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3210z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3211z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3212z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3213z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3214z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3215z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3216z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc3217z00zzcfa_arithmeticz00,
				BGl_string3202z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc3218z00zzcfa_arithmeticz00,
				BGl_string3219z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc3220z00zzcfa_arithmeticz00,
				BGl_string3221z00zzcfa_arithmeticz00);
		}
	}



/* &cfa!-arithmetic-app2778 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app2778z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4988, obj_t BgL_nodez00_4989)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 287 */
			{
				BgL_appz00_bglt BgL_nodez00_2874;

				BgL_nodez00_2874 = ((BgL_appz00_bglt) BgL_nodez00_4989);
				{
					obj_t BgL_argszd2approxzd2_2924;
					obj_t BgL_argszd2approxzd2_2936;
					obj_t BgL_typez00_2937;
					obj_t BgL_speczd2typeszd2_2938;
					obj_t BgL_argszd2approxzd2_2953;
					obj_t BgL_speczd2typeszd2_2954;

					{	/* Cfa/arithmetic.scm 328 */
						obj_t BgL_argszd2approxzd2_2882;

						{	/* Cfa/arithmetic.scm 328 */
							obj_t BgL_l2733z00_2905;

							BgL_l2733z00_2905 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_2874)))->BgL_argsz00);
							if (NULLP(BgL_l2733z00_2905))
								{	/* Cfa/arithmetic.scm 328 */
									BgL_argszd2approxzd2_2882 = BNIL;
								}
							else
								{	/* Cfa/arithmetic.scm 328 */
									obj_t BgL_head2735z00_2907;

									{	/* Cfa/arithmetic.scm 328 */
										BgL_approxz00_bglt BgL_arg2945z00_2919;

										{	/* Cfa/arithmetic.scm 328 */
											obj_t BgL_arg2946z00_2920;

											BgL_arg2946z00_2920 = CAR(BgL_l2733z00_2905);
											BgL_arg2945z00_2919 =
												BGl_cfaz12z12zzcfa_cfaz00(
												((BgL_nodez00_bglt) BgL_arg2946z00_2920));
										}
										{	/* Cfa/arithmetic.scm 328 */
											obj_t BgL_res3190z00_4925;

											{	/* Cfa/arithmetic.scm 328 */
												obj_t BgL_obj1z00_4923;

												BgL_obj1z00_4923 = ((obj_t) BgL_arg2945z00_2919);
												BgL_res3190z00_4925 = MAKE_PAIR(BgL_obj1z00_4923, BNIL);
											}
											BgL_head2735z00_2907 = BgL_res3190z00_4925;
										}
									}
									{	/* Cfa/arithmetic.scm 328 */
										obj_t BgL_g2738z00_2908;

										BgL_g2738z00_2908 = CDR(BgL_l2733z00_2905);
										{
											obj_t BgL_l2733z00_2910;
											obj_t BgL_tail2736z00_2911;

											BgL_l2733z00_2910 = BgL_g2738z00_2908;
											BgL_tail2736z00_2911 = BgL_head2735z00_2907;
										BgL_zc3anonymousza32940ze3z83_2912:
											if (NULLP(BgL_l2733z00_2910))
												{	/* Cfa/arithmetic.scm 328 */
													BgL_argszd2approxzd2_2882 = BgL_head2735z00_2907;
												}
											else
												{	/* Cfa/arithmetic.scm 328 */
													obj_t BgL_newtail2737z00_2914;

													{	/* Cfa/arithmetic.scm 328 */
														BgL_approxz00_bglt BgL_arg2943z00_2916;

														{	/* Cfa/arithmetic.scm 328 */
															obj_t BgL_arg2944z00_2917;

															BgL_arg2944z00_2917 = CAR(BgL_l2733z00_2910);
															BgL_arg2943z00_2916 =
																BGl_cfaz12z12zzcfa_cfaz00(
																((BgL_nodez00_bglt) BgL_arg2944z00_2917));
														}
														{	/* Cfa/arithmetic.scm 328 */
															obj_t BgL_res3192z00_4932;

															{	/* Cfa/arithmetic.scm 328 */
																obj_t BgL_obj1z00_4930;

																BgL_obj1z00_4930 =
																	((obj_t) BgL_arg2943z00_2916);
																BgL_res3192z00_4932 =
																	MAKE_PAIR(BgL_obj1z00_4930, BNIL);
															}
															BgL_newtail2737z00_2914 = BgL_res3192z00_4932;
														}
													}
													SET_CDR(BgL_tail2736z00_2911,
														BgL_newtail2737z00_2914);
													{
														obj_t BgL_tail2736z00_5222;
														obj_t BgL_l2733z00_5220;

														BgL_l2733z00_5220 = CDR(BgL_l2733z00_2910);
														BgL_tail2736z00_5222 = BgL_newtail2737z00_2914;
														BgL_tail2736z00_2911 = BgL_tail2736z00_5222;
														BgL_l2733z00_2910 = BgL_l2733z00_5220;
														goto BgL_zc3anonymousza32940ze3z83_2912;
													}
												}
										}
									}
								}
						}
						{	/* Cfa/arithmetic.scm 330 */
							obj_t BgL_tyz00_2883;

							BgL_argszd2approxzd2_2924 = BgL_argszd2approxzd2_2882;
							{
								obj_t BgL_argsz00_2927;

								BgL_argsz00_2927 = BgL_argszd2approxzd2_2924;
							BgL_zc3anonymousza32950ze3z83_2928:
								if (NULLP(BgL_argsz00_2927))
									{	/* Cfa/arithmetic.scm 296 */
										BgL_tyz00_2883 = BFALSE;
									}
								else
									{	/* Cfa/arithmetic.scm 298 */
										obj_t BgL_tz00_2930;

										{	/* Cfa/arithmetic.scm 298 */
											BgL_typez00_bglt BgL_arg2954z00_2933;

											{
												BgL_approxz00_bglt BgL_auxz00_5225;

												{	/* Cfa/arithmetic.scm 298 */
													obj_t BgL_pairz00_4895;

													BgL_pairz00_4895 = BgL_argsz00_2927;
													BgL_auxz00_5225 =
														((BgL_approxz00_bglt) CAR(BgL_pairz00_4895));
												}
												BgL_arg2954z00_2933 =
													(((BgL_approxz00_bglt) CREF(BgL_auxz00_5225))->
													BgL_typez00);
											}
											if (
												(((obj_t) BgL_arg2954z00_2933) ==
													BGl_za2intza2z00zztype_cachez00))
												{	/* Cfa/arithmetic.scm 298 */
													BgL_tz00_2930 = BGl_za2longza2z00zztype_cachez00;
												}
											else
												{	/* Cfa/arithmetic.scm 298 */
													BgL_tz00_2930 = ((obj_t) BgL_arg2954z00_2933);
												}
										}
										if ((BgL_tz00_2930 == BGl_za2_za2z00zztype_cachez00))
											{
												obj_t BgL_argsz00_5235;

												BgL_argsz00_5235 = CDR(BgL_argsz00_2927);
												BgL_argsz00_2927 = BgL_argsz00_5235;
												goto BgL_zc3anonymousza32950ze3z83_2928;
											}
										else
											{	/* Cfa/arithmetic.scm 299 */
												BgL_tyz00_2883 = BgL_tz00_2930;
											}
									}
							}
							{	/* Cfa/arithmetic.scm 336 */
								bool_t BgL_testz00_5237;

								BgL_argszd2approxzd2_2936 = BgL_argszd2approxzd2_2882;
								BgL_typez00_2937 = BgL_tyz00_2883;
								{
									BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5260;

									{
										obj_t BgL_auxz00_5261;

										{	/* Cfa/arithmetic.scm 336 */
											BgL_objectz00_bglt BgL_auxz00_5262;

											BgL_auxz00_5262 = ((BgL_objectz00_bglt) BgL_nodez00_2874);
											BgL_auxz00_5261 = BGL_OBJECT_WIDENING(BgL_auxz00_5262);
										}
										BgL_auxz00_5260 =
											((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5261);
									}
									BgL_speczd2typeszd2_2938 =
										(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5260))->
										BgL_speczd2typeszd2);
								}
								{	/* Cfa/arithmetic.scm 305 */
									bool_t BgL__ortest_1175z00_2940;

									if (CBOOL(BgL_typez00_2937))
										{	/* Cfa/arithmetic.scm 305 */
											BgL__ortest_1175z00_2940 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 305 */
											BgL__ortest_1175z00_2940 = ((bool_t) 1);
										}
									if (BgL__ortest_1175z00_2940)
										{	/* Cfa/arithmetic.scm 305 */
											BgL_testz00_5237 = BgL__ortest_1175z00_2940;
										}
									else
										{	/* Cfa/arithmetic.scm 305 */
											if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_typez00_2937, BgL_speczd2typeszd2_2938)))
												{
													obj_t BgL_argsz00_2943;

													BgL_argsz00_2943 = BgL_argszd2approxzd2_2936;
												BgL_zc3anonymousza32957ze3z83_2944:
													if (NULLP(BgL_argsz00_2943))
														{	/* Cfa/arithmetic.scm 308 */
															BgL_testz00_5237 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 310 */
															obj_t BgL_tz00_2946;

															{	/* Cfa/arithmetic.scm 310 */
																BgL_typez00_bglt BgL_arg2962z00_2950;

																{
																	BgL_approxz00_bglt BgL_auxz00_5246;

																	{	/* Cfa/arithmetic.scm 310 */
																		obj_t BgL_pairz00_4904;

																		BgL_pairz00_4904 = BgL_argsz00_2943;
																		BgL_auxz00_5246 =
																			((BgL_approxz00_bglt)
																			CAR(BgL_pairz00_4904));
																	}
																	BgL_arg2962z00_2950 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_auxz00_5246))->BgL_typez00);
																}
																if (
																	(((obj_t) BgL_arg2962z00_2950) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 310 */
																		BgL_tz00_2946 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 310 */
																		BgL_tz00_2946 =
																			((obj_t) BgL_arg2962z00_2950);
																	}
															}
															{	/* Cfa/arithmetic.scm 311 */
																bool_t BgL_testz00_5254;

																if ((BgL_tz00_2946 == BgL_typez00_2937))
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_5254 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_5254 =
																			(BgL_tz00_2946 ==
																			BGl_za2_za2z00zztype_cachez00);
																	}
																if (BgL_testz00_5254)
																	{
																		obj_t BgL_argsz00_5258;

																		BgL_argsz00_5258 = CDR(BgL_argsz00_2943);
																		BgL_argsz00_2943 = BgL_argsz00_5258;
																		goto BgL_zc3anonymousza32957ze3z83_2944;
																	}
																else
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_5237 = ((bool_t) 0);
																	}
															}
														}
												}
											else
												{	/* Cfa/arithmetic.scm 306 */
													BgL_testz00_5237 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_5237)
									{	/* Cfa/arithmetic.scm 336 */
										{	/* Cfa/arithmetic.scm 339 */
											bool_t BgL_testz00_5267;

											{	/* Cfa/arithmetic.scm 339 */
												bool_t BgL_testz00_5268;

												BgL_argszd2approxzd2_2953 = BgL_argszd2approxzd2_2882;
												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5284;

													{
														obj_t BgL_auxz00_5285;

														{	/* Cfa/arithmetic.scm 339 */
															BgL_objectz00_bglt BgL_auxz00_5286;

															BgL_auxz00_5286 =
																((BgL_objectz00_bglt) BgL_nodez00_2874);
															BgL_auxz00_5285 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5286);
														}
														BgL_auxz00_5284 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5285);
													}
													BgL_speczd2typeszd2_2954 =
														(((BgL_arithmeticzd2appzd2_bglt)
															CREF(BgL_auxz00_5284))->BgL_speczd2typeszd2);
												}
												{
													obj_t BgL_argsz00_2957;

													BgL_argsz00_2957 = BgL_argszd2approxzd2_2953;
												BgL_zc3anonymousza32965ze3z83_2958:
													if (NULLP(BgL_argsz00_2957))
														{	/* Cfa/arithmetic.scm 318 */
															BgL_testz00_5268 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 320 */
															bool_t BgL_testz00_5271;

															{	/* Cfa/arithmetic.scm 320 */
																obj_t BgL_arg2969z00_2962;

																{	/* Cfa/arithmetic.scm 320 */
																	BgL_typez00_bglt BgL_arg2970z00_2963;

																	{
																		BgL_approxz00_bglt BgL_auxz00_5272;

																		{	/* Cfa/arithmetic.scm 320 */
																			obj_t BgL_pairz00_4913;

																			BgL_pairz00_4913 = BgL_argsz00_2957;
																			BgL_auxz00_5272 =
																				((BgL_approxz00_bglt)
																				CAR(BgL_pairz00_4913));
																		}
																		BgL_arg2970z00_2963 =
																			(((BgL_approxz00_bglt)
																				CREF(BgL_auxz00_5272))->BgL_typez00);
																	}
																	if (
																		(((obj_t) BgL_arg2970z00_2963) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 320 */
																			BgL_arg2969z00_2962 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 320 */
																			BgL_arg2969z00_2962 =
																				((obj_t) BgL_arg2970z00_2963);
																		}
																}
																BgL_testz00_5271 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg2969z00_2962,
																		BgL_speczd2typeszd2_2954));
															}
															if (BgL_testz00_5271)
																{
																	obj_t BgL_argsz00_5282;

																	BgL_argsz00_5282 = CDR(BgL_argsz00_2957);
																	BgL_argsz00_2957 = BgL_argsz00_5282;
																	goto BgL_zc3anonymousza32965ze3z83_2958;
																}
															else
																{	/* Cfa/arithmetic.scm 320 */
																	BgL_testz00_5268 = ((bool_t) 0);
																}
														}
												}
												if (BgL_testz00_5268)
													{	/* Cfa/arithmetic.scm 340 */
														BgL_typez00_bglt BgL_arg2926z00_2888;

														{
															BgL_approxz00_bglt BgL_auxz00_5291;

															{
																BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5292;

																{
																	obj_t BgL_auxz00_5293;

																	{	/* Cfa/arithmetic.scm 340 */
																		BgL_objectz00_bglt BgL_auxz00_5294;

																		BgL_auxz00_5294 =
																			((BgL_objectz00_bglt) BgL_nodez00_2874);
																		BgL_auxz00_5293 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_5294);
																	}
																	BgL_auxz00_5292 =
																		((BgL_arithmeticzd2appzd2_bglt)
																		BgL_auxz00_5293);
																}
																BgL_auxz00_5291 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_5292))->BgL_approxz00);
															}
															BgL_arg2926z00_2888 =
																(((BgL_approxz00_bglt) CREF(BgL_auxz00_5291))->
																BgL_typez00);
														}
														BgL_testz00_5267 =
															(
															((obj_t) BgL_arg2926z00_2888) ==
															BGl_za2_za2z00zztype_cachez00);
													}
												else
													{	/* Cfa/arithmetic.scm 339 */
														BgL_testz00_5267 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_5267)
												{	/* Cfa/arithmetic.scm 339 */
													{	/* Cfa/arithmetic.scm 343 */
														BgL_approxz00_bglt BgL_arg2924z00_2886;

														{
															BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5302;

															{
																obj_t BgL_auxz00_5303;

																{	/* Cfa/arithmetic.scm 343 */
																	BgL_objectz00_bglt BgL_auxz00_5304;

																	BgL_auxz00_5304 =
																		((BgL_objectz00_bglt) BgL_nodez00_2874);
																	BgL_auxz00_5303 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5304);
																}
																BgL_auxz00_5302 =
																	((BgL_arithmeticzd2appzd2_bglt)
																	BgL_auxz00_5303);
															}
															BgL_arg2924z00_2886 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	CREF(BgL_auxz00_5302))->BgL_approxz00);
														}
														BGl_approxzd2setzd2typez12z12zzcfa_approxz00
															(BgL_arg2924z00_2886,
															((BgL_typez00_bglt) BgL_tyz00_2883));
													}
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Cfa/arithmetic.scm 339 */
													BFALSE;
												}
										}
									}
								else
									{	/* Cfa/arithmetic.scm 345 */
										bool_t BgL_testz00_5313;

										if (
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt)
																	(((BgL_varz00_bglt) CREF(
																				(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_nodez00_2874)))->
																					BgL_funz00)))->BgL_variablez00)))))->
													BgL_idz00) == CNST_TABLE_REF(((long) 1))))
											{	/* Cfa/arithmetic.scm 345 */
												BgL_testz00_5313 = ((bool_t) 0);
											}
										else
											{	/* Cfa/arithmetic.scm 345 */
												BgL_testz00_5313 = ((bool_t) 1);
											}
										if (BgL_testz00_5313)
											{	/* Cfa/arithmetic.scm 345 */
												{
													obj_t BgL_l2739z00_2893;

													BgL_l2739z00_2893 = BgL_argszd2approxzd2_2882;
												BgL_zc3anonymousza32930ze3z83_2894:
													if (PAIRP(BgL_l2739z00_2893))
														{	/* Cfa/arithmetic.scm 346 */
															{	/* Cfa/arithmetic.scm 346 */
																obj_t BgL_az00_2896;

																BgL_az00_2896 = CAR(BgL_l2739z00_2893);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_az00_2896),
																	CNST_TABLE_REF(((long) 2)));
															}
															{
																obj_t BgL_l2739z00_5329;

																BgL_l2739z00_5329 = CDR(BgL_l2739z00_2893);
																BgL_l2739z00_2893 = BgL_l2739z00_5329;
																goto BgL_zc3anonymousza32930ze3z83_2894;
															}
														}
													else
														{	/* Cfa/arithmetic.scm 346 */
															((bool_t) 1);
														}
												}
												{	/* Cfa/arithmetic.scm 347 */
													BgL_approxz00_bglt BgL_arg2933z00_2899;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5331;

														{
															obj_t BgL_auxz00_5332;

															{	/* Cfa/arithmetic.scm 347 */
																BgL_objectz00_bglt BgL_auxz00_5333;

																BgL_auxz00_5333 =
																	((BgL_objectz00_bglt) BgL_nodez00_2874);
																BgL_auxz00_5332 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5333);
															}
															BgL_auxz00_5331 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_5332);
														}
														BgL_arg2933z00_2899 =
															(((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5331))->BgL_approxz00);
													}
													BGl_approxzd2setzd2typez12z12zzcfa_approxz00
														(BgL_arg2933z00_2899,
														((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00));
												}
											}
										else
											{	/* Cfa/arithmetic.scm 345 */
												BFALSE;
											}
									}
							}
						}
					}
					{
						BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5340;

						{
							obj_t BgL_auxz00_5341;

							{	/* Cfa/arithmetic.scm 350 */
								BgL_objectz00_bglt BgL_auxz00_5342;

								BgL_auxz00_5342 = ((BgL_objectz00_bglt) BgL_nodez00_2874);
								BgL_auxz00_5341 = BGL_OBJECT_WIDENING(BgL_auxz00_5342);
							}
							BgL_auxz00_5340 =
								((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5341);
						}
						return
							(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5340))->
							BgL_approxz00);
					}
				}
			}
		}
	}



/* &node-setup!-pre-arit2776 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit2776za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4990, obj_t BgL_nodez00_4991)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 244 */
			{
				BgL_appz00_bglt BgL_nodez00_2815;

				BgL_nodez00_2815 = ((BgL_appz00_bglt) BgL_nodez00_4991);
				{	/* Cfa/arithmetic.scm 255 */
					BgL_variablez00_bglt BgL_fz00_2820;

					BgL_fz00_2820 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2815)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/arithmetic.scm 255 */
						BgL_valuez00_bglt BgL_valz00_2821;

						BgL_valz00_2821 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2820))->BgL_valuez00);
						{	/* Cfa/arithmetic.scm 256 */

							{	/* Cfa/arithmetic.scm 258 */
								bool_t BgL_testz00_5352;

								{	/* Cfa/arithmetic.scm 258 */
									BgL_typez00_bglt BgL_arg2891z00_2823;

									BgL_arg2891z00_2823 =
										(((BgL_variablez00_bglt) CREF(BgL_fz00_2820))->BgL_typez00);
									BgL_testz00_5352 =
										(
										((obj_t) BgL_arg2891z00_2823) ==
										BGl_za2objza2z00zztype_cachez00);
								}
								if (BgL_testz00_5352)
									{	/* Cfa/arithmetic.scm 258 */
										{	/* Cfa/arithmetic.scm 261 */
											BgL_typez00_bglt BgL_vz00_4830;

											BgL_vz00_4830 =
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(BgL_fz00_2820))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4830), BUNSPEC);
										}
										{	/* Cfa/arithmetic.scm 262 */
											BgL_nodez00_bglt BgL_oz00_4832;
											BgL_typez00_bglt BgL_vz00_4833;

											BgL_oz00_4832 = ((BgL_nodez00_bglt) BgL_nodez00_2815);
											BgL_vz00_4833 =
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
											((((BgL_nodez00_bglt) CREF(BgL_oz00_4832))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4833), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 258 */
										BFALSE;
									}
							}
							{	/* Cfa/arithmetic.scm 264 */
								bool_t BgL_testz00_5361;

								{	/* Cfa/arithmetic.scm 264 */
									bool_t BgL_res3170z00_4836;

									{	/* Cfa/arithmetic.scm 264 */
										obj_t BgL_objz00_4835;

										BgL_objz00_4835 = ((obj_t) BgL_valz00_2821);
										BgL_res3170z00_4836 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_4835,
											BGl_sfunz00zzast_varz00);
									}
									BgL_testz00_5361 = BgL_res3170z00_4836;
								}
								if (BgL_testz00_5361)
									{	/* Cfa/arithmetic.scm 265 */
										obj_t BgL_arg2893z00_2825;

										{	/* Cfa/arithmetic.scm 265 */
											obj_t BgL_l2727z00_2826;

											BgL_l2727z00_2826 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_valz00_2821)))->
												BgL_argsz00);
											if (NULLP(BgL_l2727z00_2826))
												{	/* Cfa/arithmetic.scm 265 */
													BgL_arg2893z00_2825 = BNIL;
												}
											else
												{	/* Cfa/arithmetic.scm 265 */
													obj_t BgL_head2729z00_2828;

													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_arg2901z00_2840;

														BgL_arg2901z00_2840 =
															BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
															(BgL_l2727z00_2826));
														{	/* Cfa/arithmetic.scm 265 */
															obj_t BgL_res3172z00_4844;

															BgL_res3172z00_4844 =
																MAKE_PAIR(BgL_arg2901z00_2840, BNIL);
															BgL_head2729z00_2828 = BgL_res3172z00_4844;
														}
													}
													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_g2732z00_2829;

														BgL_g2732z00_2829 = CDR(BgL_l2727z00_2826);
														{
															obj_t BgL_l2727z00_2831;
															obj_t BgL_tail2730z00_2832;

															BgL_l2727z00_2831 = BgL_g2732z00_2829;
															BgL_tail2730z00_2832 = BgL_head2729z00_2828;
														BgL_zc3anonymousza32895ze3z83_2833:
															if (NULLP(BgL_l2727z00_2831))
																{	/* Cfa/arithmetic.scm 265 */
																	BgL_arg2893z00_2825 = BgL_head2729z00_2828;
																}
															else
																{	/* Cfa/arithmetic.scm 265 */
																	obj_t BgL_newtail2731z00_2835;

																	{	/* Cfa/arithmetic.scm 265 */
																		obj_t BgL_arg2899z00_2837;

																		BgL_arg2899z00_2837 =
																			BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l2727z00_2831));
																		{	/* Cfa/arithmetic.scm 265 */
																			obj_t BgL_res3174z00_4851;

																			BgL_res3174z00_4851 =
																				MAKE_PAIR(BgL_arg2899z00_2837, BNIL);
																			BgL_newtail2731z00_2835 =
																				BgL_res3174z00_4851;
																		}
																	}
																	SET_CDR(BgL_tail2730z00_2832,
																		BgL_newtail2731z00_2835);
																	{
																		obj_t BgL_tail2730z00_5380;
																		obj_t BgL_l2727z00_5378;

																		BgL_l2727z00_5378 = CDR(BgL_l2727z00_2831);
																		BgL_tail2730z00_5380 =
																			BgL_newtail2731z00_2835;
																		BgL_tail2730z00_2832 = BgL_tail2730z00_5380;
																		BgL_l2727z00_2831 = BgL_l2727z00_5378;
																		goto BgL_zc3anonymousza32895ze3z83_2833;
																	}
																}
														}
													}
												}
										}
										{	/* Cfa/arithmetic.scm 265 */
											BgL_sfunz00_bglt BgL_oz00_4855;

											BgL_oz00_4855 = ((BgL_sfunz00_bglt) BgL_valz00_2821);
											((((BgL_sfunz00_bglt) CREF(BgL_oz00_4855))->BgL_argsz00) =
												((obj_t) BgL_arg2893z00_2825), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 266 */
										bool_t BgL_testz00_5383;

										{	/* Cfa/arithmetic.scm 266 */
											bool_t BgL_res3175z00_4859;

											{	/* Cfa/arithmetic.scm 266 */
												obj_t BgL_objz00_4858;

												BgL_objz00_4858 = ((obj_t) BgL_valz00_2821);
												BgL_res3175z00_4859 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_4858,
													BGl_cfunz00zzast_varz00);
											}
											BgL_testz00_5383 = BgL_res3175z00_4859;
										}
										if (BgL_testz00_5383)
											{	/* Cfa/arithmetic.scm 267 */
												obj_t BgL_g1169z00_2843;

												BgL_g1169z00_2843 =
													(((BgL_cfunz00_bglt) CREF(
															((BgL_cfunz00_bglt) BgL_valz00_2821)))->
													BgL_argszd2typezd2);
												{
													obj_t BgL_lz00_2845;

													BgL_lz00_2845 = BgL_g1169z00_2843;
												BgL_zc3anonymousza32904ze3z83_2846:
													if (PAIRP(BgL_lz00_2845))
														{	/* Cfa/arithmetic.scm 269 */
															obj_t BgL_auxz00_5390;

															BgL_auxz00_5390 =
																BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
																(BgL_lz00_2845));
															SET_CAR(BgL_lz00_2845, BgL_auxz00_5390);
														}
													else
														{
															obj_t BgL_lz00_5394;

															BgL_lz00_5394 = CDR(BgL_lz00_2845);
															BgL_lz00_2845 = BgL_lz00_5394;
															goto BgL_zc3anonymousza32904ze3z83_2846;
														}
												}
											}
										else
											{	/* Cfa/arithmetic.scm 266 */
												BGl_errorz00zz__errorz00
													(BGl_string3219z00zzcfa_arithmeticz00,
													BGl_string3222z00zzcfa_arithmeticz00,
													((obj_t) BgL_nodez00_2815));
											}
									}
							}
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
								MAKE_PAIR(
								((obj_t) BgL_nodez00_2815),
								BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
							{	/* Cfa/arithmetic.scm 275 */
								obj_t BgL_arg2909z00_2852;

								BgL_arg2909z00_2852 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2815)))->BgL_argsz00);
								BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2909z00_2852);
							}
							{	/* Cfa/arithmetic.scm 276 */
								obj_t BgL_speczd2typeszd2_2853;

								{
									BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5403;

									{
										obj_t BgL_auxz00_5404;

										{	/* Cfa/arithmetic.scm 276 */
											BgL_objectz00_bglt BgL_auxz00_5405;

											BgL_auxz00_5405 = ((BgL_objectz00_bglt) BgL_nodez00_2815);
											BgL_auxz00_5404 = BGL_OBJECT_WIDENING(BgL_auxz00_5405);
										}
										BgL_auxz00_5403 =
											((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_5404);
									}
									BgL_speczd2typeszd2_2853 =
										(((BgL_prezd2arithmeticzd2appz00_bglt)
											CREF(BgL_auxz00_5403))->BgL_speczd2typeszd2);
								}
								{	/* Cfa/arithmetic.scm 276 */
									BgL_appz00_bglt BgL_nodez00_2854;

									{	/* Cfa/arithmetic.scm 277 */
										long BgL_arg2914z00_2864;

										{	/* Cfa/arithmetic.scm 277 */
											obj_t BgL_arg2915z00_2865;

											{	/* Cfa/arithmetic.scm 277 */
												obj_t BgL_arg2916z00_2866;

												{	/* Cfa/arithmetic.scm 277 */
													BgL_objectz00_bglt BgL_objectz00_4868;

													BgL_objectz00_4868 =
														((BgL_objectz00_bglt) BgL_nodez00_2815);
													{	/* Cfa/arithmetic.scm 277 */
														long BgL_arg1823z00_4869;

														{	/* Cfa/arithmetic.scm 277 */
															long BgL_arg1824z00_4870;

															{	/* Cfa/arithmetic.scm 277 */
																long BgL_res3177z00_4872;

																BgL_res3177z00_4872 =
																	BGL_OBJECT_CLASS_NUM(BgL_objectz00_4868);
																BgL_arg1824z00_4870 = BgL_res3177z00_4872;
															}
															BgL_arg1823z00_4869 =
																(BgL_arg1824z00_4870 - OBJECT_TYPE);
														}
														BgL_arg2916z00_2866 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															(int) (BgL_arg1823z00_4869));
												}}
												BgL_arg2915z00_2865 =
													BGl_classzd2superzd2zz__objectz00
													(BgL_arg2916z00_2866);
											}
											{	/* Cfa/arithmetic.scm 277 */
												long BgL_res3179z00_4879;

												BgL_res3179z00_4879 =
													BGL_CLASS_INDEX(BgL_arg2915z00_2865);
												BgL_arg2914z00_2864 = BgL_res3179z00_4879;
										}}
										{	/* Cfa/arithmetic.scm 277 */
											BgL_objectz00_bglt BgL_objz00_4880;

											BgL_objz00_4880 = ((BgL_objectz00_bglt) BgL_nodez00_2815);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4880,
												BgL_arg2914z00_2864);
									}}
									{	/* Cfa/arithmetic.scm 277 */
										BgL_objectz00_bglt BgL_auxz00_5419;

										BgL_auxz00_5419 = ((BgL_objectz00_bglt) BgL_nodez00_2815);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_5419, BFALSE);
									}
									BgL_nodez00_2854 = BgL_nodez00_2815;
									{	/* Cfa/arithmetic.scm 277 */

										{	/* Cfa/arithmetic.scm 278 */
											BgL_appz00_bglt BgL_tmp1171z00_2855;

											BgL_tmp1171z00_2855 =
												((BgL_appz00_bglt) BgL_nodez00_2854);
											{	/* Cfa/arithmetic.scm 278 */
												BgL_appz00_bglt BgL_tmp1172z00_2856;
												BgL_arithmeticzd2appzd2_bglt BgL_wide1173z00_2857;

												BgL_tmp1172z00_2856 =
													((BgL_appz00_bglt) BgL_tmp1171z00_2855);
												BgL_wide1173z00_2857 =
													((BgL_arithmeticzd2appzd2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_arithmeticzd2appzd2_bgl))));
												{	/* Cfa/arithmetic.scm 278 */
													obj_t BgL_auxz00_5427;
													BgL_objectz00_bglt BgL_auxz00_5425;

													BgL_auxz00_5427 = ((obj_t) BgL_wide1173z00_2857);
													BgL_auxz00_5425 =
														((BgL_objectz00_bglt) BgL_tmp1172z00_2856);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_5425,
														BgL_auxz00_5427);
												}
												{	/* Cfa/arithmetic.scm 278 */
													long BgL_arg2910z00_2858;

													{	/* Cfa/arithmetic.scm 278 */
														long BgL_res3180z00_4883;

														BgL_res3180z00_4883 =
															BGL_CLASS_INDEX
															(BGl_arithmeticzd2appzd2zzcfa_info2z00);
														BgL_arg2910z00_2858 = BgL_res3180z00_4883;
													}
													{	/* Cfa/arithmetic.scm 278 */
														BgL_objectz00_bglt BgL_objz00_4884;

														BgL_objz00_4884 =
															((BgL_objectz00_bglt) BgL_tmp1172z00_2856);
														((BgL_appz00_bglt)
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4884,
																BgL_arg2910z00_2858));
												}} BgL_tmp1172z00_2856;
											}
											{	/* Cfa/arithmetic.scm 278 */
												BgL_appz00_bglt BgL_new1174z00_2859;

												BgL_new1174z00_2859 =
													((BgL_appz00_bglt) BgL_tmp1171z00_2855);
												{
													BgL_approxz00_bglt BgL_auxz00_5441;
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5435;

													{	/* Cfa/arithmetic.scm 280 */
														bool_t BgL_testz00_5442;

														{	/* Cfa/arithmetic.scm 280 */
															BgL_typez00_bglt BgL_arg2913z00_2862;

															BgL_arg2913z00_2862 =
																(((BgL_variablez00_bglt) CREF(BgL_fz00_2820))->
																BgL_typez00);
															BgL_testz00_5442 =
																(((obj_t) BgL_arg2913z00_2862) ==
																BGl_za2_za2z00zztype_cachez00);
														}
														if (BgL_testz00_5442)
															{	/* Cfa/arithmetic.scm 280 */
																BgL_auxz00_5441 =
																	BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
															}
														else
															{	/* Cfa/arithmetic.scm 282 */
																BgL_typez00_bglt BgL_arg2912z00_2861;

																BgL_arg2912z00_2861 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_fz00_2820))->BgL_typez00);
																BgL_auxz00_5441 =
																	BGl_makezd2typezd2approxz00zzcfa_approxz00
																	(BgL_arg2912z00_2861);
															}
													}
													{
														obj_t BgL_auxz00_5436;

														{	/* Cfa/arithmetic.scm 278 */
															BgL_objectz00_bglt BgL_auxz00_5437;

															BgL_auxz00_5437 =
																((BgL_objectz00_bglt) BgL_new1174z00_2859);
															BgL_auxz00_5436 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5437);
														}
														BgL_auxz00_5435 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5436);
													}
													((((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5435))->BgL_approxz00) =
														((BgL_approxz00_bglt) BgL_auxz00_5441), BUNSPEC);
												}
												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5450;

													{
														obj_t BgL_auxz00_5451;

														{	/* Cfa/arithmetic.scm 278 */
															BgL_objectz00_bglt BgL_auxz00_5452;

															BgL_auxz00_5452 =
																((BgL_objectz00_bglt) BgL_new1174z00_2859);
															BgL_auxz00_5451 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5452);
														}
														BgL_auxz00_5450 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5451);
													}
													((((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5450))->BgL_speczd2typeszd2) =
														((obj_t) BgL_speczd2typeszd2_2853), BUNSPEC);
												}
												return ((obj_t) BgL_new1174z00_2859);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* unspecified-type */
	obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_2868)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 253 */
			if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2868, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 247 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 247 */
					if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2868,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 249 */
							{	/* Cfa/arithmetic.scm 250 */
								BgL_localz00_bglt BgL_oz00_4817;
								BgL_typez00_bglt BgL_vz00_4818;

								BgL_oz00_4817 = ((BgL_localz00_bglt) BgL_lz00_2868);
								BgL_vz00_4818 =
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_oz00_4817)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_vz00_4818), BUNSPEC);
							}
							return BgL_lz00_2868;
						}
					else
						{	/* Cfa/arithmetic.scm 249 */
							return BgL_lz00_2868;
						}
				}
		}
	}



/* &cleanup-node!-app2774 */
	obj_t BGl_z62cleanupzd2nodez12zd2app2774z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4992, obj_t BgL_nodez00_4993)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 231 */
			{
				BgL_appz00_bglt BgL_nodez00_2801;

				{	/* Cfa/arithmetic.scm 232 */
					bool_t BgL_auxz00_5467;

					BgL_nodez00_2801 = ((BgL_appz00_bglt) BgL_nodez00_4993);
					{	/* Cfa/arithmetic.scm 233 */
						BgL_varz00_bglt BgL_arg2885z00_2805;

						BgL_arg2885z00_2805 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2801))->BgL_funz00);
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
							((BgL_nodez00_bglt) BgL_arg2885z00_2805));
					}
					{	/* Cfa/arithmetic.scm 234 */
						obj_t BgL_g2726z00_2806;

						BgL_g2726z00_2806 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2801))->BgL_argsz00);
						{
							obj_t BgL_l2724z00_2808;

							BgL_l2724z00_2808 = BgL_g2726z00_2806;
						BgL_zc3anonymousza32886ze3z83_2809:
							if (PAIRP(BgL_l2724z00_2808))
								{	/* Cfa/arithmetic.scm 234 */
									{	/* Cfa/arithmetic.scm 234 */
										obj_t BgL_arg2888z00_2811;

										BgL_arg2888z00_2811 = CAR(BgL_l2724z00_2808);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2888z00_2811));
									}
									{
										obj_t BgL_l2724z00_5477;

										BgL_l2724z00_5477 = CDR(BgL_l2724z00_2808);
										BgL_l2724z00_2808 = BgL_l2724z00_5477;
										goto BgL_zc3anonymousza32886ze3z83_2809;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 234 */
									BgL_auxz00_5467 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5467);
				}
			}
		}
	}



/* &cleanup-node!-funcal2772 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal2772z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4994, obj_t BgL_nodez00_4995)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 223 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2787;

				{	/* Cfa/arithmetic.scm 224 */
					bool_t BgL_auxz00_5481;

					BgL_nodez00_2787 = ((BgL_funcallz00_bglt) BgL_nodez00_4995);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2787))->BgL_funz00));
					{	/* Cfa/arithmetic.scm 226 */
						obj_t BgL_g2723z00_2792;

						BgL_g2723z00_2792 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2787))->BgL_argsz00);
						{
							obj_t BgL_l2721z00_2794;

							BgL_l2721z00_2794 = BgL_g2723z00_2792;
						BgL_zc3anonymousza32881ze3z83_2795:
							if (PAIRP(BgL_l2721z00_2794))
								{	/* Cfa/arithmetic.scm 226 */
									{	/* Cfa/arithmetic.scm 226 */
										obj_t BgL_arg2883z00_2797;

										BgL_arg2883z00_2797 = CAR(BgL_l2721z00_2794);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2883z00_2797));
									}
									{
										obj_t BgL_l2721z00_5490;

										BgL_l2721z00_5490 = CDR(BgL_l2721z00_2794);
										BgL_l2721z00_2794 = BgL_l2721z00_5490;
										goto BgL_zc3anonymousza32881ze3z83_2795;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 226 */
									BgL_auxz00_5481 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5481);
				}
			}
		}
	}



/* &cleanup-node!-app-ly2770 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly2770za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4996, obj_t BgL_nodez00_4997)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 215 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2780;

				BgL_nodez00_2780 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4997);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2780))->BgL_funz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2780))->BgL_argz00));
			}
		}
	}



/* &cleanup-node!-box-se2768 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se2768za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4998, obj_t BgL_nodez00_4999)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 207 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2773;

				BgL_nodez00_2773 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4999);
				{	/* Cfa/arithmetic.scm 209 */
					BgL_varz00_bglt BgL_arg2875z00_2777;

					BgL_arg2875z00_2777 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2773))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2875z00_2777));
				}
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2773))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-box-re2766 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re2766za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5000, obj_t BgL_nodez00_5001)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 200 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2767;

				BgL_nodez00_2767 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_5001);
				{	/* Cfa/arithmetic.scm 201 */
					BgL_varz00_bglt BgL_arg2874z00_4804;

					BgL_arg2874z00_4804 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2767))->BgL_varz00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2874z00_4804));
				}
			}
		}
	}



/* &cleanup-node!-make-b2764 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b2764za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5002, obj_t BgL_nodez00_5003)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 193 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2761;

				BgL_nodez00_2761 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_5003);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2761))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-jump-e2762 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e2762za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5004, obj_t BgL_nodez00_5005)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 185 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2754;

				BgL_nodez00_2754 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5005);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2754))->BgL_exitz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2754))->
						BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-set-ex2760 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex2760za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5006, obj_t BgL_nodez00_5007)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 177 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2747;

				BgL_nodez00_2747 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5007);
				{	/* Cfa/arithmetic.scm 179 */
					BgL_varz00_bglt BgL_arg2869z00_2751;

					BgL_arg2869z00_2751 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2747))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2869z00_2751));
				}
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2747))->BgL_bodyz00));
			}
		}
	}



/* &cleanup-node!-let-va2758 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va2758za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5008, obj_t BgL_nodez00_5009)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 167 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2729;

				BgL_nodez00_2729 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_5009);
				{	/* Cfa/arithmetic.scm 169 */
					obj_t BgL_g2720z00_2733;

					BgL_g2720z00_2733 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2729))->BgL_bindingsz00);
					{
						obj_t BgL_l2718z00_2735;

						BgL_l2718z00_2735 = BgL_g2720z00_2733;
					BgL_zc3anonymousza32861ze3z83_2736:
						if (PAIRP(BgL_l2718z00_2735))
							{	/* Cfa/arithmetic.scm 169 */
								{	/* Cfa/arithmetic.scm 169 */
									obj_t BgL_bz00_2738;

									BgL_bz00_2738 = CAR(BgL_l2718z00_2735);
									{	/* Cfa/arithmetic.scm 169 */
										obj_t BgL_arg2863z00_2739;

										BgL_arg2863z00_2739 = CDR(BgL_bz00_2738);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2863z00_2739));
									}
								}
								{
									obj_t BgL_l2718z00_5530;

									BgL_l2718z00_5530 = CDR(BgL_l2718z00_2735);
									BgL_l2718z00_2735 = BgL_l2718z00_5530;
									goto BgL_zc3anonymousza32861ze3z83_2736;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 169 */
								((bool_t) 1);
							}
					}
				}
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2729))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 171 */
					bool_t BgL_testz00_5534;

					{	/* Cfa/arithmetic.scm 171 */
						BgL_typez00_bglt BgL_arg2868z00_2745;

						BgL_arg2868z00_2745 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2729)))->BgL_typez00);
						BgL_testz00_5534 =
							(((obj_t) BgL_arg2868z00_2745) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5534)
						{	/* Cfa/arithmetic.scm 171 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2729)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2729))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 171 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-let-fu2756 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu2756za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5010, obj_t BgL_nodez00_5011)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 157 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2712;

				BgL_nodez00_2712 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_5011);
				{	/* Cfa/arithmetic.scm 159 */
					obj_t BgL_g2717z00_2716;

					BgL_g2717z00_2716 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2712))->BgL_localsz00);
					{
						obj_t BgL_l2715z00_2718;

						BgL_l2715z00_2718 = BgL_g2717z00_2716;
					BgL_zc3anonymousza32853ze3z83_2719:
						if (PAIRP(BgL_l2715z00_2718))
							{	/* Cfa/arithmetic.scm 159 */
								{	/* Cfa/arithmetic.scm 159 */
									obj_t BgL_arg2855z00_2721;

									BgL_arg2855z00_2721 = CAR(BgL_l2715z00_2718);
									{	/* Cfa/arithmetic.scm 159 */
										BgL_valuez00_bglt BgL_funz00_4782;

										BgL_funz00_4782 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_arg2855z00_2721)))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 159 */
											obj_t BgL_bodyz00_4783;

											BgL_bodyz00_4783 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_4782)))->
												BgL_bodyz00);
											{	/* Cfa/arithmetic.scm 159 */

												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_bodyz00_4783));
											}
										}
									}
								}
								{
									obj_t BgL_l2715z00_5554;

									BgL_l2715z00_5554 = CDR(BgL_l2715z00_2718);
									BgL_l2715z00_2718 = BgL_l2715z00_5554;
									goto BgL_zc3anonymousza32853ze3z83_2719;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 159 */
								((bool_t) 1);
							}
					}
				}
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2712))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 161 */
					bool_t BgL_testz00_5558;

					{	/* Cfa/arithmetic.scm 161 */
						BgL_typez00_bglt BgL_arg2860z00_2727;

						BgL_arg2860z00_2727 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2712)))->BgL_typez00);
						BgL_testz00_5558 =
							(((obj_t) BgL_arg2860z00_2727) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5558)
						{	/* Cfa/arithmetic.scm 161 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2712)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2712))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 161 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-select2754 */
	obj_t BGl_z62cleanupzd2nodez12zd2select2754z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5012, obj_t BgL_nodez00_5013)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 149 */
			{
				BgL_selectz00_bglt BgL_nodez00_2697;

				{	/* Cfa/arithmetic.scm 150 */
					bool_t BgL_auxz00_5568;

					BgL_nodez00_2697 = ((BgL_selectz00_bglt) BgL_nodez00_5013);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_2697))->BgL_testz00));
					{	/* Cfa/arithmetic.scm 152 */
						obj_t BgL_g2714z00_2702;

						BgL_g2714z00_2702 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_2697))->BgL_clausesz00);
						{
							obj_t BgL_l2712z00_2704;

							BgL_l2712z00_2704 = BgL_g2714z00_2702;
						BgL_zc3anonymousza32849ze3z83_2705:
							if (PAIRP(BgL_l2712z00_2704))
								{	/* Cfa/arithmetic.scm 152 */
									{	/* Cfa/arithmetic.scm 152 */
										obj_t BgL_clausez00_2707;

										BgL_clausez00_2707 = CAR(BgL_l2712z00_2704);
										{	/* Cfa/arithmetic.scm 152 */
											obj_t BgL_arg2851z00_2708;

											BgL_arg2851z00_2708 = CDR(BgL_clausez00_2707);
											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_arg2851z00_2708));
										}
									}
									{
										obj_t BgL_l2712z00_5578;

										BgL_l2712z00_5578 = CDR(BgL_l2712z00_2704);
										BgL_l2712z00_2704 = BgL_l2712z00_5578;
										goto BgL_zc3anonymousza32849ze3z83_2705;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 152 */
									BgL_auxz00_5568 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5568);
				}
			}
		}
	}



/* &cleanup-node!-fail2752 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail2752z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5014, obj_t BgL_nodez00_5015)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 140 */
			{
				BgL_failz00_bglt BgL_nodez00_2689;

				BgL_nodez00_2689 = ((BgL_failz00_bglt) BgL_nodez00_5015);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2689))->BgL_procz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2689))->BgL_msgz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2689))->BgL_objz00));
			}
		}
	}



/* &cleanup-node!-condit2750 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit2750z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5016, obj_t BgL_nodez00_5017)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 131 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2681;

				BgL_nodez00_2681 = ((BgL_conditionalz00_bglt) BgL_nodez00_5017);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2681))->BgL_testz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2681))->BgL_truez00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2681))->BgL_falsez00));
			}
		}
	}



/* &cleanup-node!-setq2748 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq2748z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5018, obj_t BgL_nodez00_5019)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 124 */
			{
				BgL_setqz00_bglt BgL_nodez00_2675;

				BgL_nodez00_2675 = ((BgL_setqz00_bglt) BgL_nodez00_5019);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_2675))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-sync2746 */
	obj_t BGl_z62cleanupzd2nodez12zd2sync2746z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5020, obj_t BgL_nodez00_5021)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 113 */
			{
				BgL_syncz00_bglt BgL_nodez00_2654;

				BgL_nodez00_2654 = ((BgL_syncz00_bglt) BgL_nodez00_5021);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_2654))->BgL_mutexz00));
				if (NULLP((((BgL_syncz00_bglt) CREF(BgL_nodez00_2654))->BgL_nodesz00)))
					{	/* Cfa/arithmetic.scm 116 */
						return BFALSE;
					}
				else
					{	/* Cfa/arithmetic.scm 116 */
						{	/* Cfa/arithmetic.scm 117 */
							obj_t BgL_g2711z00_2660;

							BgL_g2711z00_2660 =
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_2654))->BgL_nodesz00);
							{
								obj_t BgL_l2709z00_2662;

								BgL_l2709z00_2662 = BgL_g2711z00_2660;
							BgL_zc3anonymousza32831ze3z83_2663:
								if (PAIRP(BgL_l2709z00_2662))
									{	/* Cfa/arithmetic.scm 117 */
										{	/* Cfa/arithmetic.scm 117 */
											obj_t BgL_arg2833z00_2665;

											BgL_arg2833z00_2665 = CAR(BgL_l2709z00_2662);
											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_arg2833z00_2665));
										}
										{
											obj_t BgL_l2709z00_5610;

											BgL_l2709z00_5610 = CDR(BgL_l2709z00_2662);
											BgL_l2709z00_2662 = BgL_l2709z00_5610;
											goto BgL_zc3anonymousza32831ze3z83_2663;
										}
									}
								else
									{	/* Cfa/arithmetic.scm 117 */
										((bool_t) 1);
									}
							}
						}
						{	/* Cfa/arithmetic.scm 118 */
							bool_t BgL_testz00_5612;

							{	/* Cfa/arithmetic.scm 118 */
								BgL_typez00_bglt BgL_arg2839z00_2672;

								BgL_arg2839z00_2672 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2654)))->BgL_typez00);
								BgL_testz00_5612 =
									(
									((obj_t) BgL_arg2839z00_2672) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_5612)
								{	/* Cfa/arithmetic.scm 118 */
									return
										((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_2654)))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													CREF(((BgL_nodez00_bglt)
															CAR
															(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00((
																		((BgL_syncz00_bglt)
																			CREF(BgL_nodez00_2654))->
																		BgL_nodesz00))))))->BgL_typez00)), BUNSPEC);
								}
							else
								{	/* Cfa/arithmetic.scm 118 */
									return BFALSE;
								}
						}
					}
			}
		}
	}



/* &cleanup-node!-sequen2744 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen2744z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5022, obj_t BgL_nodez00_5023)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 103 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2634;

				BgL_nodez00_2634 = ((BgL_sequencez00_bglt) BgL_nodez00_5023);
				{	/* Cfa/arithmetic.scm 105 */
					bool_t BgL_testz00_5625;

					{	/* Cfa/arithmetic.scm 105 */
						obj_t BgL_auxz00_5626;

						BgL_auxz00_5626 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2634))->BgL_nodesz00);
						BgL_testz00_5625 = PAIRP(BgL_auxz00_5626);
					}
					if (BgL_testz00_5625)
						{	/* Cfa/arithmetic.scm 105 */
							{	/* Cfa/arithmetic.scm 106 */
								obj_t BgL_g2708z00_2639;

								BgL_g2708z00_2639 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2634))->
									BgL_nodesz00);
								{
									obj_t BgL_l2706z00_2641;

									BgL_l2706z00_2641 = BgL_g2708z00_2639;
								BgL_zc3anonymousza32819ze3z83_2642:
									if (PAIRP(BgL_l2706z00_2641))
										{	/* Cfa/arithmetic.scm 106 */
											{	/* Cfa/arithmetic.scm 106 */
												obj_t BgL_arg2821z00_2644;

												BgL_arg2821z00_2644 = CAR(BgL_l2706z00_2641);
												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_arg2821z00_2644));
											}
											{
												obj_t BgL_l2706z00_5635;

												BgL_l2706z00_5635 = CDR(BgL_l2706z00_2641);
												BgL_l2706z00_2641 = BgL_l2706z00_5635;
												goto BgL_zc3anonymousza32819ze3z83_2642;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 106 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/arithmetic.scm 107 */
								bool_t BgL_testz00_5637;

								{	/* Cfa/arithmetic.scm 107 */
									BgL_typez00_bglt BgL_arg2827z00_2651;

									BgL_arg2827z00_2651 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_2634)))->BgL_typez00);
									BgL_testz00_5637 =
										(
										((obj_t) BgL_arg2827z00_2651) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_5637)
									{	/* Cfa/arithmetic.scm 107 */
										return
											((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_2634)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														CREF(((BgL_nodez00_bglt)
																CAR
																(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																	((((BgL_sequencez00_bglt)
																				CREF(BgL_nodez00_2634))->
																			BgL_nodesz00))))))->BgL_typez00)),
											BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 107 */
										return BFALSE;
									}
							}
						}
					else
						{	/* Cfa/arithmetic.scm 105 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3223z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
