/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static long BGl_za2checkza2z00zzcoerce_convertz00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt,
		obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7702275za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d2276za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ2277z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2267z00zzcoerce_convertz00,
		BgL_bgl_string2267za700za7za7c2278za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string2268z00zzcoerce_convertz00,
		BgL_bgl_string2268za700za7za7c2279za7, "", 0);
	      DEFINE_STRING(BGl_string2269z00zzcoerce_convertz00,
		BgL_bgl_string2269za700za7za7c2280za7, "Type error", 10);
	      DEFINE_STRING(BGl_string2270z00zzcoerce_convertz00,
		BgL_bgl_string2270za700za7za7c2281za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string2271z00zzcoerce_convertz00,
		BgL_bgl_string2271za700za7za7c2282za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string2272z00zzcoerce_convertz00,
		BgL_bgl_string2272za700za7za7c2283za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_2981, char *BgL_fromz00_2982)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_toplevelzd2initzd2zzcoerce_convertz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_2973;

				BgL_cportz00_2973 =
					bgl_open_input_string(BGl_string2272z00zzcoerce_convertz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2974;

					BgL_iz00_2974 = ((long) 10);
				BgL_loopz00_2975:
					if ((BgL_iz00_2974 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg2274z00_2977;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_2979;

										BgL_locationz00_2979 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg2274z00_2977 =
												BGl_readz00zz__readerz00(BgL_cportz00_2973,
												BgL_locationz00_2979);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_auxz00_3007;

									BgL_auxz00_3007 = (int) (BgL_iz00_2974);
									CNST_TABLE_SET(BgL_auxz00_3007, BgL_arg2274z00_2977);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_2980;

								BgL_auxz00_2980 = (int) ((BgL_iz00_2974 - ((long) 1)));
								{
									long BgL_iz00_3012;

									BgL_iz00_3012 = (long) (BgL_auxz00_2980);
									BgL_iz00_2974 = BgL_iz00_3012;
									goto BgL_loopz00_2975;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = ((long) 0);
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
				((long) 0), BUNSPEC);
		}
	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 58 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 60 */
					int BgL_stz00_1589;

					BgL_stz00_1589 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 63 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 68 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 68 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(((long) 1) +
										BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 71 */
										obj_t BgL_arg1975z00_1591;
										obj_t BgL_arg1976z00_1592;
										obj_t BgL_arg1978z00_1593;

										BgL_arg1975z00_1591 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg1976z00_1592 =
											STRUCT_REF(BgL_locz00_37, (int) (((long) 1)));
										{	/* Coerce/convert.scm 74 */
											obj_t BgL_arg1980z00_1595;
											obj_t BgL_arg1981z00_1596;

											BgL_arg1980z00_1595 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg1981z00_1596 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 73 */
												obj_t BgL_list1982z00_1597;

												{	/* Coerce/convert.scm 73 */
													obj_t BgL_arg1983z00_1598;

													{	/* Coerce/convert.scm 73 */
														obj_t BgL_arg1984z00_1599;

														BgL_arg1984z00_1599 =
															MAKE_PAIR(BgL_arg1981z00_1596, BNIL);
														BgL_arg1983z00_1598 =
															MAKE_PAIR(BgL_arg1980z00_1595,
															BgL_arg1984z00_1599);
													}
													BgL_list1982z00_1597 =
														MAKE_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg1983z00_1598);
												}
												BgL_arg1978z00_1593 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string2267z00zzcoerce_convertz00,
													BgL_list1982z00_1597);
										}}
										{	/* Coerce/convert.scm 71 */
											obj_t BgL_list1979z00_1594;

											BgL_list1979z00_1594 =
												MAKE_PAIR(BgL_arg1978z00_1593, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg1975z00_1591,
												BgL_arg1976z00_1592, BgL_list1979z00_1594);
						}}}}
					else
						{	/* Coerce/convert.scm 63 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(((long) 1) + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 67 */
								obj_t BgL_arg1985z00_1600;

								{	/* Coerce/convert.scm 67 */
									obj_t BgL_arg1988z00_1602;
									obj_t BgL_arg1989z00_1603;

									BgL_arg1988z00_1602 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg1989z00_1603 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 66 */
										obj_t BgL_list1990z00_1604;

										{	/* Coerce/convert.scm 66 */
											obj_t BgL_arg1992z00_1605;

											{	/* Coerce/convert.scm 66 */
												obj_t BgL_arg1993z00_1606;

												BgL_arg1993z00_1606 =
													MAKE_PAIR(BgL_arg1989z00_1603, BNIL);
												BgL_arg1992z00_1605 =
													MAKE_PAIR(BgL_arg1988z00_1602, BgL_arg1993z00_1606);
											}
											BgL_list1990z00_1604 =
												MAKE_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg1992z00_1605);
										}
										BgL_arg1985z00_1600 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2267z00zzcoerce_convertz00,
											BgL_list1990z00_1604);
								}}
								{	/* Coerce/convert.scm 65 */
									obj_t BgL_list1986z00_1601;

									BgL_list1986z00_1601 = MAKE_PAIR(BgL_arg1985z00_1600, BNIL);
									BGl_warningz00zz__errorz00(BgL_list1986z00_1601);
						}}}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1589);
				}
			else
				{	/* Coerce/convert.scm 59 */
					return BFALSE;
				}
		}
	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}
	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_2961)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}
	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 117 */
			{	/* Coerce/convert.scm 119 */
				obj_t BgL_fnamez00_1614;
				obj_t BgL_posz00_1615;

				{	/* Coerce/convert.scm 119 */
					bool_t BgL_testz00_3051;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 119 */
							BgL_testz00_3051 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 119 */
							BgL_testz00_3051 = ((bool_t) 0);
						}
					if (BgL_testz00_3051)
						{	/* Coerce/convert.scm 119 */
							BgL_fnamez00_1614 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 119 */
							BgL_fnamez00_1614 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 120 */
					bool_t BgL_testz00_3058;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 120 */
							BgL_testz00_3058 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 120 */
							BgL_testz00_3058 = ((bool_t) 0);
						}
					if (BgL_testz00_3058)
						{	/* Coerce/convert.scm 120 */
							BgL_posz00_1615 = STRUCT_REF(BgL_locz00_49, (int) (((long) 1)));
						}
					else
						{	/* Coerce/convert.scm 120 */
							BgL_posz00_1615 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 122 */
					obj_t BgL_arg2001z00_1616;

					{	/* Coerce/convert.scm 122 */
						obj_t BgL_arg2003z00_1617;
						obj_t BgL_arg2004z00_1618;

						{	/* Coerce/convert.scm 122 */
							obj_t BgL_arg2006z00_1619;
							obj_t BgL_arg2007z00_1620;

							{	/* Coerce/convert.scm 122 */
								obj_t BgL_arg2008z00_1621;

								{	/* Coerce/convert.scm 122 */
									obj_t BgL_arg2009z00_1622;

									BgL_arg2009z00_1622 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg2008z00_1621 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg2009z00_1622);
								}
								BgL_arg2006z00_1619 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2008z00_1621);
							}
							{	/* Coerce/convert.scm 123 */
								obj_t BgL_arg2010z00_1623;

								{	/* Coerce/convert.scm 123 */
									obj_t BgL_arg2011z00_1624;

									{	/* Coerce/convert.scm 123 */
										obj_t BgL_arg2012z00_1625;
										obj_t BgL_arg2013z00_1626;

										{	/* Coerce/convert.scm 123 */
											obj_t BgL_arg2014z00_1627;

											BgL_arg2014z00_1627 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 123 */
												obj_t BgL_res2231z00_2747;

												{	/* Coerce/convert.scm 123 */
													obj_t BgL_symbolz00_2745;

													BgL_symbolz00_2745 = BgL_arg2014z00_1627;
													{	/* Coerce/convert.scm 123 */
														obj_t BgL_arg1330z00_2746;

														BgL_arg1330z00_2746 =
															SYMBOL_TO_STRING(BgL_symbolz00_2745);
														BgL_res2231z00_2747 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1330z00_2746);
												}}
												BgL_arg2012z00_1625 = BgL_res2231z00_2747;
										}}
										{	/* Coerce/convert.scm 124 */
											obj_t BgL_arg2017z00_1628;
											obj_t BgL_arg2018z00_1629;

											{	/* Coerce/convert.scm 124 */
												obj_t BgL_res2232z00_2750;

												{	/* Coerce/convert.scm 124 */
													obj_t BgL_symbolz00_2748;

													BgL_symbolz00_2748 = BgL_tiz00_50;
													{	/* Coerce/convert.scm 124 */
														obj_t BgL_arg1330z00_2749;

														BgL_arg1330z00_2749 =
															SYMBOL_TO_STRING(BgL_symbolz00_2748);
														BgL_res2232z00_2750 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1330z00_2749);
												}}
												BgL_arg2017z00_1628 = BgL_res2232z00_2750;
											}
											BgL_arg2018z00_1629 = MAKE_PAIR(BgL_idz00_51, BNIL);
											BgL_arg2013z00_1626 =
												MAKE_PAIR(BgL_arg2017z00_1628, BgL_arg2018z00_1629);
										}
										BgL_arg2011z00_1624 =
											MAKE_PAIR(BgL_arg2012z00_1625, BgL_arg2013z00_1626);
									}
									BgL_arg2010z00_1623 =
										MAKE_PAIR(BgL_posz00_1615, BgL_arg2011z00_1624);
								}
								BgL_arg2007z00_1620 =
									MAKE_PAIR(BgL_fnamez00_1614, BgL_arg2010z00_1623);
							}
							BgL_arg2003z00_1617 =
								MAKE_PAIR(BgL_arg2006z00_1619, BgL_arg2007z00_1620);
						}
						{	/* Coerce/convert.scm 121 */
							obj_t BgL_arg2019z00_1630;

							BgL_arg2019z00_1630 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg2004z00_1618 = MAKE_PAIR(BFALSE, BgL_arg2019z00_1630);
						}
						BgL_arg2001z00_1616 =
							MAKE_PAIR(BgL_arg2003z00_1617, BgL_arg2004z00_1618);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg2001z00_1616);
		}}}
	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 131 */
			{	/* Coerce/convert.scm 133 */
				obj_t BgL_auxz00_1633;

				BgL_auxz00_1633 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
				{	/* Coerce/convert.scm 133 */
					BgL_nodez00_bglt BgL_uvaluez00_1634;

					{	/* Coerce/convert.scm 134 */
						bool_t BgL_testz00_3090;

						{	/* Coerce/convert.scm 134 */
							bool_t BgL_res2233z00_2752;

							{	/* Coerce/convert.scm 134 */
								obj_t BgL_objz00_2751;

								BgL_objz00_2751 = ((obj_t) BgL_valuez00_54);
								BgL_res2233z00_2752 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2751,
									BGl_varz00zzast_nodez00);
							}
							BgL_testz00_3090 = BgL_res2233z00_2752;
						}
						if (BgL_testz00_3090)
							{	/* Coerce/convert.scm 135 */
								BgL_varz00_bglt BgL_duplicated1105z00_1651;
								BgL_varz00_bglt BgL_new1104z00_1652;

								BgL_duplicated1105z00_1651 =
									((BgL_varz00_bglt) BgL_valuez00_54);
								{	/* Coerce/convert.scm 135 */
									BgL_varz00_bglt BgL_new1106z00_1653;

									BgL_new1106z00_1653 =
										((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_varz00_bgl))));
									{	/* Coerce/convert.scm 135 */
										long BgL_arg2037z00_1654;

										{	/* Coerce/convert.scm 135 */
											long BgL_res2234z00_2754;

											BgL_res2234z00_2754 =
												BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
											BgL_arg2037z00_1654 = BgL_res2234z00_2754;
										}
										{	/* Coerce/convert.scm 135 */
											BgL_objectz00_bglt BgL_objz00_2755;

											BgL_objz00_2755 =
												((BgL_objectz00_bglt) BgL_new1106z00_1653);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2755,
												BgL_arg2037z00_1654);
									}}
									{	/* Coerce/convert.scm 135 */
										BgL_objectz00_bglt BgL_auxz00_3098;

										BgL_auxz00_3098 =
											((BgL_objectz00_bglt) BgL_new1106z00_1653);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3098, BFALSE);
									}
									BgL_new1104z00_1652 = BgL_new1106z00_1653;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1104z00_1652)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_duplicated1105z00_1651)))->BgL_locz00)),
									BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1104z00_1652)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_varz00_bglt) CREF(BgL_new1104z00_1652))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												CREF(BgL_duplicated1105z00_1651))->BgL_variablez00)),
									BUNSPEC);
								BgL_uvaluez00_1634 = ((BgL_nodez00_bglt) BgL_new1104z00_1652);
							}
						else
							{	/* Coerce/convert.scm 134 */
								BgL_uvaluez00_1634 = BgL_valuez00_54;
							}
					}
					{	/* Coerce/convert.scm 134 */
						BgL_nodez00_bglt BgL_resz00_1635;

						{	/* Coerce/convert.scm 139 */
							obj_t BgL_arg2024z00_1638;

							{	/* Coerce/convert.scm 139 */
								obj_t BgL_arg2025z00_1639;

								{	/* Coerce/convert.scm 139 */
									obj_t BgL_arg2026z00_1640;
									obj_t BgL_arg2027z00_1641;

									{	/* Coerce/convert.scm 139 */
										obj_t BgL_arg2028z00_1642;

										{	/* Coerce/convert.scm 139 */
											obj_t BgL_arg2029z00_1643;
											obj_t BgL_arg2030z00_1644;

											{	/* Coerce/convert.scm 139 */
												obj_t BgL_arg2031z00_1645;

												{	/* Coerce/convert.scm 139 */
													obj_t BgL_arg2032z00_1646;

													{	/* Coerce/convert.scm 139 */
														obj_t BgL_arg2033z00_1647;
														obj_t BgL_arg2034z00_1648;

														{	/* Coerce/convert.scm 139 */
															obj_t BgL_res2235z00_2759;

															{	/* Coerce/convert.scm 139 */
																obj_t BgL_arg1330z00_2758;

																BgL_arg1330z00_2758 =
																	SYMBOL_TO_STRING(BgL_auxz00_1633);
																BgL_res2235z00_2759 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1330z00_2758);
															}
															BgL_arg2033z00_1647 = BgL_res2235z00_2759;
														}
														{	/* Coerce/convert.scm 139 */
															obj_t BgL_res2236z00_2762;

															{	/* Coerce/convert.scm 139 */
																obj_t BgL_symbolz00_2760;

																BgL_symbolz00_2760 = CNST_TABLE_REF(((long) 6));
																{	/* Coerce/convert.scm 139 */
																	obj_t BgL_arg1330z00_2761;

																	BgL_arg1330z00_2761 =
																		SYMBOL_TO_STRING(BgL_symbolz00_2760);
																	BgL_res2236z00_2762 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1330z00_2761);
															}}
															BgL_arg2034z00_1648 = BgL_res2236z00_2762;
														}
														BgL_arg2032z00_1646 =
															string_append(BgL_arg2033z00_1647,
															BgL_arg2034z00_1648);
													}
													BgL_arg2031z00_1645 =
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg2032z00_1646));
												}
												BgL_arg2029z00_1643 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg2031z00_1645);
											}
											BgL_arg2030z00_1644 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg2028z00_1642 =
												MAKE_PAIR(BgL_arg2029z00_1643, BgL_arg2030z00_1644);
										}
										BgL_arg2026z00_1640 = MAKE_PAIR(BgL_arg2028z00_1642, BNIL);
									}
									BgL_arg2027z00_1641 =
										MAKE_PAIR
										(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
										(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1633), BNIL);
									BgL_arg2025z00_1639 =
										MAKE_PAIR(BgL_arg2026z00_1640, BgL_arg2027z00_1641);
								}
								BgL_arg2024z00_1638 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2025z00_1639);
							}
							BgL_resz00_1635 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg2024z00_1638, BgL_locz00_52);
						}
						{	/* Coerce/convert.scm 138 */

							{	/* Coerce/convert.scm 143 */
								obj_t BgL_arg2022z00_1636;

								{	/* Coerce/convert.scm 143 */
									obj_t BgL_pairz00_2767;

									BgL_pairz00_2767 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((BgL_letzd2varzd2_bglt) BgL_resz00_1635)))->
										BgL_bindingsz00);
									BgL_arg2022z00_1636 = CAR(BgL_pairz00_2767);
								}
								{	/* Coerce/convert.scm 143 */
									obj_t BgL_pairz00_2768;
									obj_t BgL_objz00_2769;

									BgL_pairz00_2768 = BgL_arg2022z00_1636;
									BgL_objz00_2769 = ((obj_t) BgL_uvaluez00_1634);
									SET_CDR(BgL_pairz00_2768, BgL_objz00_2769);
							}}
							return ((obj_t) BgL_resz00_1635);
						}
					}
				}
			}
		}
	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_2962, obj_t BgL_locz00_2963, obj_t BgL_tiz00_2964,
		obj_t BgL_valuez00_2965)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 131 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2963,
				BgL_tiz00_2964, ((BgL_nodez00_bglt) BgL_valuez00_2965));
		}
	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_55, BgL_typez00_bglt BgL_toz00_56, obj_t BgL_locz00_57,
		BgL_nodez00_bglt BgL_nodez00_58)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 153 */
			{	/* Coerce/convert.scm 156 */
				bool_t BgL_testz00_3137;

				if ((((obj_t) BgL_toz00_56) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 156 */
						BgL_testz00_3137 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 156 */
						BgL_testz00_3137 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_56,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_testz00_3137)
					{	/* Coerce/convert.scm 157 */
						obj_t BgL_nodez00_1656;

						BgL_nodez00_1656 =
							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
							(((BgL_typez00_bglt) CREF(BgL_toz00_56))->BgL_idz00),
							BgL_nodez00_58);
						{	/* Coerce/convert.scm 158 */
							obj_t BgL_arg2039z00_1657;

							BgL_arg2039z00_1657 = BGl_currentzd2functionzd2zztools_errorz00();
							{	/* Coerce/convert.scm 158 */
								obj_t BgL_arg1998z00_2777;

								{	/* Coerce/convert.scm 158 */
									obj_t BgL_arg1999z00_2778;
									obj_t BgL_arg2000z00_2779;

									BgL_arg1999z00_2778 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
									BgL_arg2000z00_2779 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
									BgL_arg1998z00_2777 =
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string2268z00zzcoerce_convertz00, BgL_arg1999z00_2778,
										BgL_arg2000z00_2779);
								}
								BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_57,
									BgL_arg2039z00_1657, BGl_string2269z00zzcoerce_convertz00,
									BgL_arg1998z00_2777);
							}
						}
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
							((BgL_nodez00_bglt) BgL_nodez00_1656));
						return
							((obj_t)
							BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1656), BUNSPEC, BgL_fromz00_55,
								((bool_t) 0)));
					}
				else
					{	/* Coerce/convert.scm 161 */
						obj_t BgL_arg2041z00_1659;

						BgL_arg2041z00_1659 = BGl_currentzd2functionzd2zztools_errorz00();
						{	/* Coerce/convert.scm 161 */
							obj_t BgL_arg1994z00_2784;

							{	/* Coerce/convert.scm 161 */
								obj_t BgL_arg1996z00_2785;
								obj_t BgL_arg1997z00_2786;

								BgL_arg1996z00_2785 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
								BgL_arg1997z00_2786 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
								BgL_arg1994z00_2784 =
									BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
									(BGl_string2268z00zzcoerce_convertz00, BgL_arg1996z00_2785,
									BgL_arg1997z00_2786);
							}
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_57,
								BgL_arg2041z00_1659, BGl_string2269z00zzcoerce_convertz00,
								BgL_arg1994z00_2784, BNIL);
						}
					}
			}
		}
	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 169 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 173 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 175 */
					BgL_typez00_bglt BgL_toz00_1662;
					BgL_typez00_bglt BgL_fromz00_1663;

					BgL_toz00_1662 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61);
					BgL_fromz00_1663 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60);
					{	/* Coerce/convert.scm 177 */
						bool_t BgL_testz00_3170;

						if ((((obj_t) BgL_fromz00_1663) == ((obj_t) BgL_toz00_1662)))
							{	/* Coerce/convert.scm 177 */
								BgL_testz00_3170 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 177 */
								BgL_testz00_3170 =
									(((BgL_typez00_bglt) CREF(BgL_fromz00_1663))->
									BgL_magiczf3zf3);
							}
						if (BgL_testz00_3170)
							{	/* Coerce/convert.scm 177 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 179 */
								obj_t BgL_coercerz00_1665;
								obj_t BgL_locz00_1666;

								BgL_coercerz00_1665 =
									BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1663,
									BgL_toz00_1662);
								BgL_locz00_1666 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_59))->BgL_locz00);
								{	/* Coerce/convert.scm 181 */
									bool_t BgL_testz00_3178;

									if (STRUCTP(BgL_coercerz00_1665))
										{	/* Coerce/convert.scm 181 */
											BgL_testz00_3178 =
												(STRUCT_KEY(BgL_coercerz00_1665) ==
												CNST_TABLE_REF(((long) 8)));
										}
									else
										{	/* Coerce/convert.scm 181 */
											BgL_testz00_3178 = ((bool_t) 0);
										}
									if (BgL_testz00_3178)
										{	/* Coerce/convert.scm 185 */
											obj_t BgL_g1107z00_1668;
											obj_t BgL_g1108z00_1669;

											BgL_g1107z00_1668 =
												STRUCT_REF(BgL_coercerz00_1665, (int) (((long) 2)));
											BgL_g1108z00_1669 =
												STRUCT_REF(BgL_coercerz00_1665, (int) (((long) 3)));
											{
												obj_t BgL_checksz00_1671;
												obj_t BgL_coercesz00_1672;
												BgL_nodez00_bglt BgL_nodez00_1673;

												{
													obj_t BgL_auxz00_3188;

													BgL_checksz00_1671 = BgL_g1107z00_1668;
													BgL_coercesz00_1672 = BgL_g1108z00_1669;
													BgL_nodez00_1673 = BgL_nodez00_59;
												BgL_zc3anonymousza32046ze3z83_1674:
													if (NULLP(BgL_checksz00_1671))
														{	/* Coerce/convert.scm 189 */
															if (NULLP(BgL_coercesz00_1672))
																{	/* Coerce/convert.scm 190 */
																	BgL_auxz00_3188 = ((obj_t) BgL_nodez00_1673);
																}
															else
																{	/* Coerce/convert.scm 193 */
																	obj_t BgL_arg2050z00_1677;
																	obj_t BgL_arg2051z00_1678;

																	BgL_arg2050z00_1677 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1663));
																	BgL_arg2051z00_1678 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1662));
																	BgL_auxz00_3188 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2270z00zzcoerce_convertz00,
																		BgL_arg2050z00_1677, BgL_arg2051z00_1678);
																}
														}
													else
														{	/* Coerce/convert.scm 189 */
															if (NULLP(BgL_coercesz00_1672))
																{	/* Coerce/convert.scm 197 */
																	obj_t BgL_arg2053z00_1680;
																	obj_t BgL_arg2054z00_1681;

																	BgL_arg2053z00_1680 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1663));
																	BgL_arg2054z00_1681 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1662));
																	BgL_auxz00_3188 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2270z00zzcoerce_convertz00,
																		BgL_arg2053z00_1680, BgL_arg2054z00_1681);
																}
															else
																{	/* Coerce/convert.scm 200 */
																	obj_t BgL_arg2055z00_1682;
																	obj_t BgL_arg2056z00_1683;
																	BgL_nodez00_bglt BgL_arg2057z00_1684;

																	BgL_arg2055z00_1682 = CDR(BgL_checksz00_1671);
																	BgL_arg2056z00_1683 =
																		CDR(BgL_coercesz00_1672);
																	{	/* Coerce/convert.scm 202 */
																		obj_t BgL_arg2058z00_1685;
																		obj_t BgL_arg2059z00_1686;
																		obj_t BgL_arg2060z00_1687;
																		obj_t BgL_arg2061z00_1688;

																		{	/* Coerce/convert.scm 202 */
																			obj_t BgL_pairz00_2814;

																			BgL_pairz00_2814 = BgL_checksz00_1671;
																			BgL_arg2058z00_1685 =
																				CDR(CAR(BgL_pairz00_2814));
																		}
																		{	/* Coerce/convert.scm 203 */
																			obj_t BgL_pairz00_2818;

																			BgL_pairz00_2818 = BgL_coercesz00_1672;
																			BgL_arg2059z00_1686 =
																				CDR(CAR(BgL_pairz00_2818));
																		}
																		{	/* Coerce/convert.scm 204 */
																			obj_t BgL_pairz00_2822;

																			BgL_pairz00_2822 = BgL_checksz00_1671;
																			BgL_arg2060z00_1687 =
																				CAR(CAR(BgL_pairz00_2822));
																		}
																		{	/* Coerce/convert.scm 205 */
																			obj_t BgL_pairz00_2826;

																			BgL_pairz00_2826 = BgL_coercesz00_1672;
																			BgL_arg2061z00_1688 =
																				CAR(CAR(BgL_pairz00_2826));
																		}
																		BgL_arg2057z00_1684 =
																			BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																			(BgL_arg2058z00_1685, BgL_arg2059z00_1686,
																			BgL_arg2060z00_1687, BgL_arg2061z00_1688,
																			BgL_nodez00_1673, BgL_safez00_62);
																	}
																	{
																		BgL_nodez00_bglt BgL_nodez00_3219;
																		obj_t BgL_coercesz00_3218;
																		obj_t BgL_checksz00_3217;

																		BgL_checksz00_3217 = BgL_arg2055z00_1682;
																		BgL_coercesz00_3218 = BgL_arg2056z00_1683;
																		BgL_nodez00_3219 = BgL_arg2057z00_1684;
																		BgL_nodez00_1673 = BgL_nodez00_3219;
																		BgL_coercesz00_1672 = BgL_coercesz00_3218;
																		BgL_checksz00_1671 = BgL_checksz00_3217;
																		goto BgL_zc3anonymousza32046ze3z83_1674;
																	}
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_3188);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 181 */
											return
												((BgL_nodez00_bglt)
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_fromz00_1663, BgL_toz00_1662, BgL_locz00_1666,
													BgL_nodez00_59));
										}
								}
							}
					}
				}
		}
	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_2966, obj_t BgL_nodez00_2967, obj_t BgL_fromz00_2968,
		obj_t BgL_toz00_2969, obj_t BgL_safez00_2970)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 169 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_2967),
				((BgL_typez00_bglt) BgL_fromz00_2968),
				((BgL_typez00_bglt) BgL_toz00_2969), CBOOL(BgL_safez00_2970));
		}
	}



/* make-one-conversion */
	BgL_nodez00_bglt BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_fromz00_63, obj_t BgL_toz00_64, obj_t BgL_checkopz00_65,
		obj_t BgL_coerceopz00_66, BgL_nodez00_bglt BgL_nodez00_67,
		bool_t BgL_safez00_68)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 218 */
			{	/* Coerce/convert.scm 219 */
				bool_t BgL_testz00_3228;

				if ((BgL_checkopz00_65 == BTRUE))
					{	/* Coerce/convert.scm 219 */
						BgL_testz00_3228 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 219 */
						if (BgL_safez00_68)
							{	/* Coerce/convert.scm 219 */
								BgL_testz00_3228 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 219 */
								BgL_testz00_3228 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_3228)
					{	/* Coerce/convert.scm 219 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_66,
							BgL_nodez00_67, ((BgL_typez00_bglt) BgL_fromz00_63));
					}
				else
					{	/* Coerce/convert.scm 219 */
						if (BGl_isazf3zf3zz__objectz00(BgL_fromz00_63,
								BGl_tclassz00zzobject_classz00))
							{	/* Coerce/convert.scm 221 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(
									((BgL_typez00_bglt) BgL_fromz00_63), BgL_toz00_64,
									BgL_checkopz00_65, BgL_coerceopz00_66, BgL_nodez00_67);
							}
						else
							{	/* Coerce/convert.scm 221 */
								return
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
					}
			}
		}
	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_69)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 228 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 229 */
				bool_t BgL_testz00_3239;

				{	/* Coerce/convert.scm 229 */
					bool_t BgL_res2246z00_2833;

					{	/* Coerce/convert.scm 229 */
						obj_t BgL_objz00_2832;

						BgL_objz00_2832 = ((obj_t) BgL_nodez00_69);
						BgL_res2246z00_2833 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_2832,
							BGl_letzd2varzd2zzast_nodez00);
					}
					BgL_testz00_3239 = BgL_res2246z00_2833;
				}
				if (BgL_testz00_3239)
					{
						BgL_nodez00_bglt BgL_nodez00_3242;

						BgL_nodez00_3242 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_69)))->BgL_bodyz00);
						BgL_nodez00_69 = BgL_nodez00_3242;
						goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
					}
				else
					{	/* Coerce/convert.scm 229 */
						return BgL_nodez00_69;
					}
			}
		}
	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_70, obj_t BgL_toz00_71, obj_t BgL_checkzd2opzd2_72,
		obj_t BgL_coercezd2opzd2_73, BgL_nodez00_bglt BgL_nodez00_74)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 236 */
			{	/* Coerce/convert.scm 239 */
				obj_t BgL_auxz00_1696;

				BgL_auxz00_1696 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5))));
				{	/* Coerce/convert.scm 239 */
					obj_t BgL_locz00_1697;

					BgL_locz00_1697 =
						(((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->BgL_locz00);
					{	/* Coerce/convert.scm 240 */
						BgL_nodez00_bglt BgL_lnodez00_1698;

						{	/* Coerce/convert.scm 248 */
							obj_t BgL_arg2076z00_1712;

							{	/* Coerce/convert.scm 248 */
								obj_t BgL_arg2077z00_1713;

								{	/* Coerce/convert.scm 248 */
									obj_t BgL_arg2078z00_1714;
									obj_t BgL_arg2079z00_1715;

									{	/* Coerce/convert.scm 248 */
										obj_t BgL_arg2080z00_1716;

										{	/* Coerce/convert.scm 248 */
											obj_t BgL_arg2081z00_1717;
											obj_t BgL_arg2082z00_1718;

											{	/* Coerce/convert.scm 248 */
												obj_t BgL_arg2083z00_1719;

												{	/* Coerce/convert.scm 248 */
													obj_t BgL_arg2084z00_1720;

													BgL_arg2084z00_1720 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt) BgL_fromz00_70)))->
														BgL_idz00);
													BgL_arg2083z00_1719 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1696, BgL_arg2084z00_1720);
												}
												BgL_arg2081z00_1717 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg2083z00_1719);
											}
											BgL_arg2082z00_1718 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg2080z00_1716 =
												MAKE_PAIR(BgL_arg2081z00_1717, BgL_arg2082z00_1718);
										}
										BgL_arg2078z00_1714 = MAKE_PAIR(BgL_arg2080z00_1716, BNIL);
									}
									{	/* Coerce/convert.scm 250 */
										obj_t BgL_arg2085z00_1721;

										{	/* Coerce/convert.scm 250 */
											obj_t BgL_arg2087z00_1722;

											{	/* Coerce/convert.scm 250 */
												obj_t BgL_arg2088z00_1723;
												obj_t BgL_arg2089z00_1724;

												{	/* Coerce/convert.scm 250 */
													obj_t BgL_arg2090z00_1725;

													BgL_arg2090z00_1725 =
														MAKE_PAIR(BgL_auxz00_1696, BNIL);
													BgL_arg2088z00_1723 =
														MAKE_PAIR(BgL_checkzd2opzd2_72,
														BgL_arg2090z00_1725);
												}
												{	/* Coerce/convert.scm 252 */
													obj_t BgL_arg2091z00_1726;

													{	/* Coerce/convert.scm 252 */
														obj_t BgL_arg2093z00_1727;

														{	/* Coerce/convert.scm 252 */
															obj_t BgL_arg2094z00_1728;

															BgL_arg2094z00_1728 =
																(((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_toz00_71)))->
																BgL_idz00);
															BgL_arg2093z00_1727 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_1697, BgL_arg2094z00_1728,
																BgL_auxz00_1696);
														}
														BgL_arg2091z00_1726 =
															MAKE_PAIR(BgL_arg2093z00_1727, BNIL);
													}
													BgL_arg2089z00_1724 =
														MAKE_PAIR(BgL_auxz00_1696, BgL_arg2091z00_1726);
												}
												BgL_arg2087z00_1722 =
													MAKE_PAIR(BgL_arg2088z00_1723, BgL_arg2089z00_1724);
											}
											BgL_arg2085z00_1721 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg2087z00_1722);
										}
										BgL_arg2079z00_1715 = MAKE_PAIR(BgL_arg2085z00_1721, BNIL);
									}
									BgL_arg2077z00_1713 =
										MAKE_PAIR(BgL_arg2078z00_1714, BgL_arg2079z00_1715);
								}
								BgL_arg2076z00_1712 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2077z00_1713);
							}
							BgL_lnodez00_1698 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg2076z00_1712, BgL_locz00_1697);
						}
						{	/* Coerce/convert.scm 241 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 254 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_70,
										BgL_toz00_71, BgL_locz00_1697);
								}
							else
								{	/* Coerce/convert.scm 254 */
									BFALSE;
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1698);
							{	/* Coerce/convert.scm 256 */
								obj_t BgL_varz00_1699;

								{	/* Coerce/convert.scm 256 */
									obj_t BgL_pairz00_2854;

									{	/* Coerce/convert.scm 256 */
										obj_t BgL_pairz00_2853;

										BgL_pairz00_2853 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((BgL_letzd2varzd2_bglt) BgL_lnodez00_1698)))->
											BgL_bindingsz00);
										BgL_pairz00_2854 = CAR(BgL_pairz00_2853);
									}
									BgL_varz00_1699 = CAR(BgL_pairz00_2854);
								}
								{	/* Coerce/convert.scm 256 */
									BgL_nodez00_bglt BgL_coercezd2appzd2_1700;

									{	/* Coerce/convert.scm 258 */
										BgL_varz00_bglt BgL_arg2072z00_1706;

										{	/* Coerce/convert.scm 258 */
											BgL_varz00_bglt BgL_new1110z00_1707;

											{	/* Coerce/convert.scm 258 */
												BgL_varz00_bglt BgL_new1109z00_1708;

												BgL_new1109z00_1708 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Coerce/convert.scm 258 */
													long BgL_arg2073z00_1709;

													{	/* Coerce/convert.scm 258 */
														long BgL_res2251z00_2856;

														BgL_res2251z00_2856 =
															BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
														BgL_arg2073z00_1709 = BgL_res2251z00_2856;
													}
													{	/* Coerce/convert.scm 258 */
														BgL_objectz00_bglt BgL_objz00_2857;

														BgL_objz00_2857 =
															((BgL_objectz00_bglt) BgL_new1109z00_1708);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2857,
															BgL_arg2073z00_1709);
												}}
												{	/* Coerce/convert.scm 258 */
													BgL_objectz00_bglt BgL_auxz00_3284;

													BgL_auxz00_3284 =
														((BgL_objectz00_bglt) BgL_new1109z00_1708);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3284, BFALSE);
												}
												BgL_new1110z00_1707 = BgL_new1109z00_1708;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1110z00_1707)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1697), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1110z00_1707)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_71),
														((BgL_typez00_bglt) BgL_fromz00_70))), BUNSPEC);
											((((BgL_varz00_bglt) CREF(BgL_new1110z00_1707))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1699)), BUNSPEC);
											BgL_arg2072z00_1706 = BgL_new1110z00_1707;
										}
										BgL_coercezd2appzd2_1700 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_73,
											((BgL_nodez00_bglt) BgL_arg2072z00_1706),
											((BgL_typez00_bglt) BgL_fromz00_70));
									}
									{	/* Coerce/convert.scm 257 */
										BgL_nodez00_bglt BgL_condnz00_1701;

										BgL_condnz00_1701 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1698);
										{	/* Coerce/convert.scm 263 */

											{	/* Coerce/convert.scm 265 */
												BgL_localz00_bglt BgL_oz00_2859;
												BgL_typez00_bglt BgL_vz00_2860;

												BgL_oz00_2859 = ((BgL_localz00_bglt) BgL_varz00_1699);
												BgL_vz00_2860 = ((BgL_typez00_bglt) BgL_fromz00_70);
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_oz00_2859)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_2860), BUNSPEC);
											}
											{	/* Coerce/convert.scm 267 */
												obj_t BgL_arg2068z00_1702;

												{	/* Coerce/convert.scm 267 */
													obj_t BgL_pairz00_2864;

													BgL_pairz00_2864 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1698)))->
														BgL_bindingsz00);
													BgL_arg2068z00_1702 = CAR(BgL_pairz00_2864);
												}
												{	/* Coerce/convert.scm 267 */
													obj_t BgL_pairz00_2865;
													obj_t BgL_objz00_2866;

													BgL_pairz00_2865 = BgL_arg2068z00_1702;
													BgL_objz00_2866 = ((obj_t) BgL_nodez00_74);
													SET_CDR(BgL_pairz00_2865, BgL_objz00_2866);
											}}
											{	/* Coerce/convert.scm 268 */
												BgL_typez00_bglt BgL_vz00_2868;

												BgL_vz00_2868 = ((BgL_typez00_bglt) BgL_fromz00_70);
												((((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_2868), BUNSPEC);
											}
											{	/* Coerce/convert.scm 269 */
												BgL_conditionalz00_bglt BgL_oz00_2870;

												BgL_oz00_2870 =
													((BgL_conditionalz00_bglt) BgL_condnz00_1701);
												((((BgL_conditionalz00_bglt) CREF(BgL_oz00_2870))->
														BgL_truez00) =
													((BgL_nodez00_bglt) BgL_coercezd2appzd2_1700),
													BUNSPEC);
											}
											{	/* Coerce/convert.scm 271 */
												BgL_nodez00_bglt BgL_arg2070z00_1704;

												{	/* Coerce/convert.scm 271 */
													BgL_nodez00_bglt BgL_arg2071z00_1705;

													BgL_arg2071z00_1705 =
														(((BgL_conditionalz00_bglt) CREF(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1701)))->BgL_falsez00);
													BgL_arg2070z00_1704 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg2071z00_1705, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_70), ((bool_t) 0));
												}
												{	/* Coerce/convert.scm 270 */
													BgL_conditionalz00_bglt BgL_oz00_2876;

													BgL_oz00_2876 =
														((BgL_conditionalz00_bglt) BgL_condnz00_1701);
													((((BgL_conditionalz00_bglt) CREF(BgL_oz00_2876))->
															BgL_falsez00) =
														((BgL_nodez00_bglt) BgL_arg2070z00_1704), BUNSPEC);
											}}
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1698);
											return BgL_lnodez00_1698;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-one-class-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_75, obj_t BgL_toz00_76, obj_t BgL_checkzd2opzd2_77,
		obj_t BgL_coercezd2opzd2_78, BgL_nodez00_bglt BgL_nodez00_79)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 281 */
			{	/* Coerce/convert.scm 282 */
				bool_t BgL_testz00_3320;

				if (BGl_isazf3zf3zz__objectz00(BgL_toz00_76,
						BGl_tclassz00zzobject_classz00))
					{	/* Coerce/convert.scm 282 */
						BgL_testz00_3320 =
							BGl_typezd2subclasszf3z21zzobject_classz00(
							((BgL_typez00_bglt) BgL_fromz00_75),
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_76)));
					}
				else
					{	/* Coerce/convert.scm 282 */
						BgL_testz00_3320 = ((bool_t) 0);
					}
				if (BgL_testz00_3320)
					{	/* Coerce/convert.scm 282 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_78,
							BgL_nodez00_79, ((BgL_typez00_bglt) BgL_fromz00_75));
					}
				else
					{	/* Coerce/convert.scm 284 */
						obj_t BgL_auxz00_1731;

						BgL_auxz00_1731 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
						{	/* Coerce/convert.scm 284 */
							obj_t BgL_aux2z00_1732;

							BgL_aux2z00_1732 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)));
							{	/* Coerce/convert.scm 285 */
								obj_t BgL_locz00_1733;

								BgL_locz00_1733 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_79))->BgL_locz00);
								{	/* Coerce/convert.scm 286 */
									BgL_nodez00_bglt BgL_lnodez00_1734;

									{	/* Coerce/convert.scm 289 */
										obj_t BgL_arg2112z00_1758;

										{	/* Coerce/convert.scm 289 */
											obj_t BgL_arg2113z00_1759;

											{	/* Coerce/convert.scm 289 */
												obj_t BgL_arg2114z00_1760;
												obj_t BgL_arg2116z00_1761;

												{	/* Coerce/convert.scm 289 */
													obj_t BgL_arg2118z00_1762;

													{	/* Coerce/convert.scm 289 */
														obj_t BgL_arg2120z00_1763;
														obj_t BgL_arg2121z00_1764;

														{	/* Coerce/convert.scm 289 */
															obj_t BgL_arg2123z00_1765;

															{	/* Coerce/convert.scm 289 */
																obj_t BgL_arg2124z00_1766;

																{	/* Coerce/convert.scm 289 */
																	obj_t BgL_arg2125z00_1767;
																	obj_t BgL_arg2126z00_1768;

																	{	/* Coerce/convert.scm 289 */
																		obj_t BgL_res2254z00_2885;

																		{	/* Coerce/convert.scm 289 */
																			obj_t BgL_arg1330z00_2884;

																			BgL_arg1330z00_2884 =
																				SYMBOL_TO_STRING(BgL_auxz00_1731);
																			BgL_res2254z00_2885 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1330z00_2884);
																		}
																		BgL_arg2125z00_1767 = BgL_res2254z00_2885;
																	}
																	{	/* Coerce/convert.scm 289 */
																		obj_t BgL_res2255z00_2888;

																		{	/* Coerce/convert.scm 289 */
																			obj_t BgL_symbolz00_2886;

																			BgL_symbolz00_2886 =
																				CNST_TABLE_REF(((long) 6));
																			{	/* Coerce/convert.scm 289 */
																				obj_t BgL_arg1330z00_2887;

																				BgL_arg1330z00_2887 =
																					SYMBOL_TO_STRING(BgL_symbolz00_2886);
																				BgL_res2255z00_2888 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1330z00_2887);
																		}}
																		BgL_arg2126z00_1768 = BgL_res2255z00_2888;
																	}
																	BgL_arg2124z00_1766 =
																		string_append(BgL_arg2125z00_1767,
																		BgL_arg2126z00_1768);
																}
																BgL_arg2123z00_1765 =
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_arg2124z00_1766));
															}
															BgL_arg2120z00_1763 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg2123z00_1765);
														}
														BgL_arg2121z00_1764 = MAKE_PAIR(BUNSPEC, BNIL);
														BgL_arg2118z00_1762 =
															MAKE_PAIR(BgL_arg2120z00_1763,
															BgL_arg2121z00_1764);
													}
													BgL_arg2114z00_1760 =
														MAKE_PAIR(BgL_arg2118z00_1762, BNIL);
												}
												{	/* Coerce/convert.scm 291 */
													obj_t BgL_arg2127z00_1769;

													{	/* Coerce/convert.scm 291 */
														obj_t BgL_arg2128z00_1770;

														{	/* Coerce/convert.scm 291 */
															obj_t BgL_arg2129z00_1771;
															obj_t BgL_arg2130z00_1772;

															{	/* Coerce/convert.scm 291 */
																obj_t BgL_arg2131z00_1773;

																{	/* Coerce/convert.scm 291 */
																	obj_t BgL_arg2132z00_1774;
																	obj_t BgL_arg2133z00_1775;

																	{	/* Coerce/convert.scm 291 */
																		obj_t BgL_arg2134z00_1776;

																		{	/* Coerce/convert.scm 291 */
																			obj_t BgL_arg2135z00_1777;

																			{	/* Coerce/convert.scm 291 */
																				obj_t BgL_arg2136z00_1778;
																				obj_t BgL_arg2137z00_1779;

																				{	/* Coerce/convert.scm 291 */
																					obj_t BgL_res2257z00_2893;

																					{	/* Coerce/convert.scm 291 */
																						obj_t BgL_arg1330z00_2892;

																						BgL_arg1330z00_2892 =
																							SYMBOL_TO_STRING
																							(BgL_aux2z00_1732);
																						BgL_res2257z00_2893 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1330z00_2892);
																					}
																					BgL_arg2136z00_1778 =
																						BgL_res2257z00_2893;
																				}
																				{	/* Coerce/convert.scm 291 */
																					obj_t BgL_res2258z00_2896;

																					{	/* Coerce/convert.scm 291 */
																						obj_t BgL_symbolz00_2894;

																						BgL_symbolz00_2894 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Coerce/convert.scm 291 */
																							obj_t BgL_arg1330z00_2895;

																							BgL_arg1330z00_2895 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_2894);
																							BgL_res2258z00_2896 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1330z00_2895);
																					}}
																					BgL_arg2137z00_1779 =
																						BgL_res2258z00_2896;
																				}
																				BgL_arg2135z00_1777 =
																					string_append(BgL_arg2136z00_1778,
																					BgL_arg2137z00_1779);
																			}
																			BgL_arg2134z00_1776 =
																				string_to_symbol(BSTRING_TO_STRING
																				(BgL_arg2135z00_1777));
																		}
																		BgL_arg2132z00_1774 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg2134z00_1776);
																	}
																	BgL_arg2133z00_1775 =
																		MAKE_PAIR(BUNSPEC, BNIL);
																	BgL_arg2131z00_1773 =
																		MAKE_PAIR(BgL_arg2132z00_1774,
																		BgL_arg2133z00_1775);
																}
																BgL_arg2129z00_1771 =
																	MAKE_PAIR(BgL_arg2131z00_1773, BNIL);
															}
															{	/* Coerce/convert.scm 292 */
																obj_t BgL_arg2138z00_1780;

																{	/* Coerce/convert.scm 292 */
																	obj_t BgL_arg2139z00_1781;

																	{	/* Coerce/convert.scm 292 */
																		obj_t BgL_arg2141z00_1782;
																		obj_t BgL_arg2142z00_1783;

																		{	/* Coerce/convert.scm 292 */
																			obj_t BgL_arg2143z00_1784;

																			BgL_arg2143z00_1784 =
																				MAKE_PAIR(BgL_aux2z00_1732, BNIL);
																			BgL_arg2141z00_1782 =
																				MAKE_PAIR(BgL_checkzd2opzd2_77,
																				BgL_arg2143z00_1784);
																		}
																		{	/* Coerce/convert.scm 294 */
																			obj_t BgL_arg2146z00_1785;

																			{	/* Coerce/convert.scm 294 */
																				obj_t BgL_arg2147z00_1786;

																				{	/* Coerce/convert.scm 294 */
																					obj_t BgL_arg2148z00_1787;

																					BgL_arg2148z00_1787 =
																						(((BgL_typez00_bglt) CREF(
																								((BgL_typez00_bglt)
																									BgL_toz00_76)))->BgL_idz00);
																					BgL_arg2147z00_1786 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_1733,
																						BgL_arg2148z00_1787,
																						BgL_auxz00_1731);
																				}
																				BgL_arg2146z00_1785 =
																					MAKE_PAIR(BgL_arg2147z00_1786, BNIL);
																			}
																			BgL_arg2142z00_1783 =
																				MAKE_PAIR(BgL_auxz00_1731,
																				BgL_arg2146z00_1785);
																		}
																		BgL_arg2139z00_1781 =
																			MAKE_PAIR(BgL_arg2141z00_1782,
																			BgL_arg2142z00_1783);
																	}
																	BgL_arg2138z00_1780 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg2139z00_1781);
																}
																BgL_arg2130z00_1772 =
																	MAKE_PAIR(BgL_arg2138z00_1780, BNIL);
															}
															BgL_arg2128z00_1770 =
																MAKE_PAIR(BgL_arg2129z00_1771,
																BgL_arg2130z00_1772);
														}
														BgL_arg2127z00_1769 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
															BgL_arg2128z00_1770);
													}
													BgL_arg2116z00_1761 =
														MAKE_PAIR(BgL_arg2127z00_1769, BNIL);
												}
												BgL_arg2113z00_1759 =
													MAKE_PAIR(BgL_arg2114z00_1760, BgL_arg2116z00_1761);
											}
											BgL_arg2112z00_1758 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg2113z00_1759);
										}
										BgL_lnodez00_1734 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg2112z00_1758, BgL_locz00_1733);
									}
									{	/* Coerce/convert.scm 287 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 296 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00(
													((obj_t) BgL_fromz00_75), BgL_toz00_76,
													BgL_locz00_1733);
											}
										else
											{	/* Coerce/convert.scm 296 */
												BFALSE;
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_1734);
										{	/* Coerce/convert.scm 298 */
											obj_t BgL_varz00_1735;

											{	/* Coerce/convert.scm 298 */
												obj_t BgL_pairz00_2911;

												{	/* Coerce/convert.scm 298 */
													obj_t BgL_pairz00_2910;

													BgL_pairz00_2910 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1734)))->
														BgL_bindingsz00);
													BgL_pairz00_2911 = CAR(BgL_pairz00_2910);
												}
												BgL_varz00_1735 = CAR(BgL_pairz00_2911);
											}
											{	/* Coerce/convert.scm 298 */
												BgL_nodez00_bglt BgL_coercezd2appzd2_1736;

												{	/* Coerce/convert.scm 300 */
													BgL_varz00_bglt BgL_arg2106z00_1752;

													{	/* Coerce/convert.scm 300 */
														BgL_varz00_bglt BgL_new1112z00_1753;

														{	/* Coerce/convert.scm 300 */
															BgL_varz00_bglt BgL_new1111z00_1754;

															BgL_new1111z00_1754 =
																((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Coerce/convert.scm 300 */
																long BgL_arg2107z00_1755;

																{	/* Coerce/convert.scm 300 */
																	long BgL_res2262z00_2913;

																	BgL_res2262z00_2913 =
																		BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																	BgL_arg2107z00_1755 = BgL_res2262z00_2913;
																}
																{	/* Coerce/convert.scm 300 */
																	BgL_objectz00_bglt BgL_objz00_2914;

																	BgL_objz00_2914 =
																		((BgL_objectz00_bglt) BgL_new1111z00_1754);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2914,
																		BgL_arg2107z00_1755);
															}}
															{	/* Coerce/convert.scm 300 */
																BgL_objectz00_bglt BgL_auxz00_3391;

																BgL_auxz00_3391 =
																	((BgL_objectz00_bglt) BgL_new1111z00_1754);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_3391,
																	BFALSE);
															}
															BgL_new1112z00_1753 = BgL_new1111z00_1754;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1112z00_1753)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_1733), BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1112z00_1753)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														((((BgL_varz00_bglt) CREF(BgL_new1112z00_1753))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_1735)), BUNSPEC);
														BgL_arg2106z00_1752 = BgL_new1112z00_1753;
													}
													BgL_coercezd2appzd2_1736 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_78,
														((BgL_nodez00_bglt) BgL_arg2106z00_1752),
														((BgL_typez00_bglt) BgL_fromz00_75));
												}
												{	/* Coerce/convert.scm 299 */
													BgL_nodez00_bglt BgL_condnz00_1737;

													BgL_condnz00_1737 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_1734);
													{	/* Coerce/convert.scm 305 */

														{	/* Coerce/convert.scm 307 */
															BgL_localz00_bglt BgL_oz00_2916;
															BgL_typez00_bglt BgL_vz00_2917;

															BgL_oz00_2916 =
																((BgL_localz00_bglt) BgL_varz00_1735);
															BgL_vz00_2917 =
																((BgL_typez00_bglt) BgL_fromz00_75);
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt) BgL_oz00_2916)))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_2917), BUNSPEC);
														}
														{	/* Coerce/convert.scm 309 */
															obj_t BgL_arg2097z00_1738;

															{	/* Coerce/convert.scm 309 */
																obj_t BgL_pairz00_2921;

																BgL_pairz00_2921 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				BgL_lnodez00_1734)))->BgL_bindingsz00);
																BgL_arg2097z00_1738 = CAR(BgL_pairz00_2921);
															}
															{	/* Coerce/convert.scm 309 */
																obj_t BgL_pairz00_2922;
																obj_t BgL_objz00_2923;

																BgL_pairz00_2922 = BgL_arg2097z00_1738;
																BgL_objz00_2923 = ((obj_t) BgL_nodez00_79);
																SET_CDR(BgL_pairz00_2922, BgL_objz00_2923);
														}}
														{	/* Coerce/convert.scm 310 */
															obj_t BgL_binding2z00_1740;

															{	/* Coerce/convert.scm 310 */
																obj_t BgL_pairz00_2929;

																BgL_pairz00_2929 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				(((BgL_letzd2varzd2_bglt) CREF(
																							((BgL_letzd2varzd2_bglt)
																								BgL_lnodez00_1734)))->
																					BgL_bodyz00))))->BgL_bindingsz00);
																BgL_binding2z00_1740 = CAR(BgL_pairz00_2929);
															}
															{	/* Coerce/convert.scm 311 */
																BgL_castz00_bglt BgL_arg2099z00_1741;

																{	/* Coerce/convert.scm 311 */
																	BgL_castz00_bglt BgL_new1114z00_1742;

																	{	/* Coerce/convert.scm 311 */
																		BgL_castz00_bglt BgL_new1113z00_1746;

																		BgL_new1113z00_1746 =
																			((BgL_castz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_castz00_bgl))));
																		{	/* Coerce/convert.scm 311 */
																			long BgL_arg2101z00_1747;

																			{	/* Coerce/convert.scm 311 */
																				long BgL_res2264z00_2931;

																				BgL_res2264z00_2931 =
																					BGL_CLASS_INDEX
																					(BGl_castz00zzast_nodez00);
																				BgL_arg2101z00_1747 =
																					BgL_res2264z00_2931;
																			}
																			{	/* Coerce/convert.scm 311 */
																				BgL_objectz00_bglt BgL_objz00_2932;

																				BgL_objz00_2932 =
																					((BgL_objectz00_bglt)
																					BgL_new1113z00_1746);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_2932,
																					BgL_arg2101z00_1747);
																		}}
																		{	/* Coerce/convert.scm 311 */
																			BgL_objectz00_bglt BgL_auxz00_3423;

																			BgL_auxz00_3423 =
																				((BgL_objectz00_bglt)
																				BgL_new1113z00_1746);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_3423,
																				BFALSE);
																		}
																		BgL_new1114z00_1742 = BgL_new1113z00_1746;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1114z00_1742)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1733), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1114z00_1742)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3431;

																		{	/* Coerce/convert.scm 314 */
																			BgL_varz00_bglt BgL_new1116z00_1743;

																			{	/* Coerce/convert.scm 314 */
																				BgL_varz00_bglt BgL_new1115z00_1744;

																				BgL_new1115z00_1744 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Coerce/convert.scm 314 */
																					long BgL_arg2100z00_1745;

																					{	/* Coerce/convert.scm 314 */
																						long BgL_res2265z00_2935;

																						{	/* Coerce/convert.scm 314 */
																							obj_t BgL_classz00_2934;

																							BgL_classz00_2934 =
																								BGl_varz00zzast_nodez00;
																							BgL_res2265z00_2935 =
																								BGL_CLASS_INDEX
																								(BgL_classz00_2934);
																						}
																						BgL_arg2100z00_1745 =
																							BgL_res2265z00_2935;
																					}
																					{	/* Coerce/convert.scm 314 */
																						BgL_objectz00_bglt BgL_objz00_2936;

																						BgL_objz00_2936 =
																							((BgL_objectz00_bglt)
																							BgL_new1115z00_1744);
																						BGL_OBJECT_CLASS_NUM_SET
																							(BgL_objz00_2936,
																							BgL_arg2100z00_1745);
																				}}
																				{	/* Coerce/convert.scm 314 */
																					BgL_objectz00_bglt BgL_auxz00_3436;

																					BgL_auxz00_3436 =
																						((BgL_objectz00_bglt)
																						BgL_new1115z00_1744);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_3436, BFALSE);
																				}
																				BgL_new1116z00_1743 =
																					BgL_new1115z00_1744;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1116z00_1743)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1733), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1116z00_1743)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_fromz00_75)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1116z00_1743))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_1735)), BUNSPEC);
																			BgL_auxz00_3431 =
																				((BgL_nodez00_bglt)
																				BgL_new1116z00_1743);
																		}
																		((((BgL_castz00_bglt)
																					CREF(BgL_new1114z00_1742))->
																				BgL_argz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3431),
																			BUNSPEC);
																	}
																	BgL_arg2099z00_1741 = BgL_new1114z00_1742;
																}
																{	/* Coerce/convert.scm 311 */
																	obj_t BgL_pairz00_2938;
																	obj_t BgL_objz00_2939;

																	BgL_pairz00_2938 = BgL_binding2z00_1740;
																	BgL_objz00_2939 =
																		((obj_t) BgL_arg2099z00_1741);
																	SET_CDR(BgL_pairz00_2938, BgL_objz00_2939);
														}}}
														{	/* Coerce/convert.scm 318 */
															BgL_conditionalz00_bglt BgL_oz00_2940;

															BgL_oz00_2940 =
																((BgL_conditionalz00_bglt) BgL_condnz00_1737);
															((((BgL_conditionalz00_bglt)
																		CREF(BgL_oz00_2940))->BgL_truez00) =
																((BgL_nodez00_bglt) BgL_coercezd2appzd2_1736),
																BUNSPEC);
														}
														{	/* Coerce/convert.scm 320 */
															BgL_nodez00_bglt BgL_arg2104z00_1750;

															{	/* Coerce/convert.scm 320 */
																BgL_nodez00_bglt BgL_arg2105z00_1751;

																BgL_arg2105z00_1751 =
																	(((BgL_conditionalz00_bglt) CREF(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_1737)))->BgL_falsez00);
																BgL_arg2104z00_1750 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg2105z00_1751, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_75),
																	((bool_t) 0));
															}
															{	/* Coerce/convert.scm 319 */
																BgL_conditionalz00_bglt BgL_oz00_2946;

																BgL_oz00_2946 =
																	((BgL_conditionalz00_bglt) BgL_condnz00_1737);
																((((BgL_conditionalz00_bglt)
																			CREF(BgL_oz00_2946))->BgL_falsez00) =
																	((BgL_nodez00_bglt) BgL_arg2104z00_1750),
																	BUNSPEC);
														}}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00
															(BgL_lnodez00_1734);
														return BgL_lnodez00_1734;
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* do-convert */
	BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t
		BgL_coercezd2opzd2_80, BgL_nodez00_bglt BgL_nodez00_81,
		BgL_typez00_bglt BgL_fromz00_82)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 330 */
			if ((BgL_coercezd2opzd2_80 == BTRUE))
				{	/* Coerce/convert.scm 333 */
					return BgL_nodez00_81;
				}
			else
				{	/* Coerce/convert.scm 335 */
					BgL_nodez00_bglt BgL_nnodez00_1790;

					{	/* Coerce/convert.scm 335 */
						obj_t BgL_arg2151z00_1791;
						obj_t BgL_arg2152z00_1792;

						{	/* Coerce/convert.scm 335 */
							obj_t BgL_arg2153z00_1793;

							BgL_arg2153z00_1793 = MAKE_PAIR(((obj_t) BgL_nodez00_81), BNIL);
							BgL_arg2151z00_1791 =
								MAKE_PAIR(BgL_coercezd2opzd2_80, BgL_arg2153z00_1793);
						}
						BgL_arg2152z00_1792 =
							(((BgL_nodez00_bglt) CREF(BgL_nodez00_81))->BgL_locz00);
						BgL_nnodez00_1790 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg2151z00_1791, BgL_arg2152z00_1792);
					}
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_1790);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nnodez00_1790);
					return BgL_nnodez00_1790;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2271z00zzcoerce_convertz00));
		}
	}

#ifdef __cplusplus
}
#endif
