/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_heapz00();
	static obj_t BGl_objectzd2initzd2zzengine_heapz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62zc3anonymousza31527ze3ze1zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31552ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza31520ze3z83zzengine_heapz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31744ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza31569ze3ze1zzengine_heapz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31597ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1880z00zzengine_heapz00,
		BgL_bgl_string1880za700za7za7e1901za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1881z00zzengine_heapz00,
		BgL_bgl_string1881za700za7za7e1902za7, "Corrupted heap", 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl_za762dumpza7d2heapsza71903za7,
		BGl_z62dumpzd2heapszb0zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1884z00zzengine_heapz00,
		BgL_bgl_string1884za700za7za7e1904za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string1885z00zzengine_heapz00,
		BgL_bgl_string1885za700za7za7e1905za7, "\"", 1);
	      DEFINE_STRING(BGl_string1886z00zzengine_heapz00,
		BgL_bgl_string1886za700za7za7e1906za7, " (variables", 11);
	      DEFINE_STRING(BGl_string1887z00zzengine_heapz00,
		BgL_bgl_string1887za700za7za7e1907za7, " )\n", 3);
	      DEFINE_STRING(BGl_string1888z00zzengine_heapz00,
		BgL_bgl_string1888za700za7za7e1908za7, " (types", 7);
	      DEFINE_STRING(BGl_string1889z00zzengine_heapz00,
		BgL_bgl_string1889za700za7za7e1909za7, " )", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71910za7,
		BGl_z62zc3anonymousza31527ze3ze1zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71911za7,
		BGl_z62zc3anonymousza31552ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1890z00zzengine_heapz00,
		BgL_bgl_string1890za700za7za7e1912za7, " (includes", 10);
	      DEFINE_STRING(BGl_string1891z00zzengine_heapz00,
		BgL_bgl_string1891za700za7za7e1913za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1893z00zzengine_heapz00,
		BgL_bgl_string1893za700za7za7e1914za7, "   ", 3);
	      DEFINE_STRING(BGl_string1894z00zzengine_heapz00,
		BgL_bgl_string1894za700za7za7e1915za7, "\n    ", 5);
	      DEFINE_STRING(BGl_string1895z00zzengine_heapz00,
		BgL_bgl_string1895za700za7za7e1916za7, "", 0);
	      DEFINE_STRING(BGl_string1897z00zzengine_heapz00,
		BgL_bgl_string1897za700za7za7e1917za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string1898z00zzengine_heapz00,
		BgL_bgl_string1898za700za7za7e1918za7,
		"type class super jvm-type-name inline sifun qualified-type name module id variable native function dump-heap ",
		109);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71919za7,
		BGl_z62zc3anonymousza31597ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71920za7,
		BGl_z62zc3anonymousza31744ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1559, char *BgL_fromz00_1560)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1551;

				BgL_cportz00_1551 =
					bgl_open_input_string(BGl_string1898z00zzengine_heapz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1552;

					BgL_iz00_1552 = ((long) 13);
				BgL_loopz00_1553:
					if ((BgL_iz00_1552 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg1900z00_1555;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1557;

										BgL_locationz00_1557 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg1900z00_1555 =
												BGl_readz00zz__readerz00(BgL_cportz00_1551,
												BgL_locationz00_1557);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_auxz00_1586;

									BgL_auxz00_1586 = (int) (BgL_iz00_1552);
									CNST_TABLE_SET(BgL_auxz00_1586, BgL_arg1900z00_1555);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1558;

								BgL_auxz00_1558 = (int) ((BgL_iz00_1552 - ((long) 1)));
								{
									long BgL_iz00_1591;

									BgL_iz00_1591 = (long) (BgL_auxz00_1558);
									BgL_iz00_1552 = BgL_iz00_1591;
									goto BgL_loopz00_1553;
								}
							}
						}
				}
			}
		}
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_3)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l1472z00_729;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_auxz00_1596;

					BgL_l1472z00_729 = BgL_namesz00_3;
				BgL_zc3anonymousza31509ze3z83_730:
					if (PAIRP(BgL_l1472z00_729))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l1472z00_729));
							{
								obj_t BgL_l1472z00_1601;

								BgL_l1472z00_1601 = CDR(BgL_l1472z00_729);
								BgL_l1472z00_729 = BgL_l1472z00_1601;
								goto BgL_zc3anonymousza31509ze3z83_730;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_auxz00_1596 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1596);
				}
			}
		}
	}



/* &dump-heaps */
	obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t BgL_envz00_1525,
		obj_t BgL_namesz00_1526)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_1526);
		}
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_735;

				BgL_fnamez00_735 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_735))
					{	/* Engine/heap.scm 48 */
						obj_t BgL_portz00_737;

						BgL_portz00_737 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_735);
						if (BINARY_PORTP(BgL_portz00_737))
							{	/* Engine/heap.scm 53 */
								obj_t BgL_val1064z00_739;

								BgL_val1064z00_739 =
									BGl_zc3exitza31520ze3z83zzengine_heapz00(BgL_heapz00_4,
									BgL_portz00_737);
								close_binary_port(BgL_portz00_737);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val1064z00_739)))
									{	/* Engine/heap.scm 113 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val1064z00_739), CDR(BgL_val1064z00_739));
									}
								else
									{	/* Engine/heap.scm 113 */
										return BgL_val1064z00_739;
									}
							}
						else
							{	/* Engine/heap.scm 51 */
								obj_t BgL_arg1590z00_804;

								{	/* Engine/heap.scm 51 */
									obj_t BgL_list1591z00_805;

									BgL_list1591z00_805 = MAKE_PAIR(BgL_fnamez00_735, BNIL);
									BgL_arg1590z00_804 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1880z00zzengine_heapz00, BgL_list1591z00_805);
								}
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
									BgL_arg1590z00_804, BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}}
				else
					{	/* Engine/heap.scm 114 */
						obj_t BgL_mz00_806;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_list1592z00_807;

							BgL_list1592z00_807 = MAKE_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_806 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1880z00zzengine_heapz00, BgL_list1592z00_807);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)), BgL_mz00_806,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
	}



/* <exit:1520> */
	obj_t BGl_zc3exitza31520ze3z83zzengine_heapz00(obj_t BgL_heapz00_1549,
		obj_t BgL_portz00_1548)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 113 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1065z00_744;

			if (SET_EXIT(BgL_an_exit1065z00_744))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1065z00_744 = (void *) jmpbuf;
					{	/* Engine/heap.scm 113 */

						PUSH_EXIT(BgL_an_exit1065z00_744, ((long) 0));
						{	/* Engine/heap.scm 54 */
							obj_t BgL_val1066z00_745;

							{	/* Engine/heap.scm 54 */
								obj_t BgL_envsz00_746;

								BgL_envsz00_746 = input_obj(BgL_portz00_1548);
								{	/* Engine/heap.scm 54 */
									obj_t BgL__z00_747;

									{	/* Engine/heap.scm 55 */
										bool_t BgL_testz00_1631;

										{	/* Engine/heap.scm 55 */
											bool_t BgL_testz00_1632;

											{	/* Engine/heap.scm 55 */
												obj_t BgL_v1474z00_803;

												BgL_v1474z00_803 = create_vector((int) (((long) 1)));
												VECTOR_SET(BgL_v1474z00_803,
													(int) (((long) 0)), BgL_envsz00_746);
												BgL_testz00_1632 = ((bool_t) 1);
											}
											if (BgL_testz00_1632)
												{	/* Engine/heap.scm 56 */
													bool_t BgL__ortest_1067z00_800;

													{	/* Engine/heap.scm 56 */
														int BgL_arg1589z00_802;

														BgL_arg1589z00_802 = VECTOR_LENGTH(BgL_envsz00_746);
														BgL__ortest_1067z00_800 =
															((long) (BgL_arg1589z00_802) == ((long) 5));
													}
													if (BgL__ortest_1067z00_800)
														{	/* Engine/heap.scm 56 */
															BgL_testz00_1631 = BgL__ortest_1067z00_800;
														}
													else
														{	/* Engine/heap.scm 57 */
															int BgL_arg1586z00_801;

															BgL_arg1586z00_801 =
																VECTOR_LENGTH(BgL_envsz00_746);
															BgL_testz00_1631 =
																((long) (BgL_arg1586z00_801) == ((long) 6));
												}}
											else
												{	/* Engine/heap.scm 55 */
													BgL_testz00_1631 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_1631)
											{	/* Engine/heap.scm 55 */
												BgL__z00_747 = BFALSE;
											}
										else
											{	/* Engine/heap.scm 55 */
												BgL__z00_747 =
													BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
													BGl_string1881z00zzengine_heapz00, BgL_heapz00_1549);
									}}
									{	/* Engine/heap.scm 55 */
										obj_t BgL_targetz00_748;

										BgL_targetz00_748 =
											VECTOR_REF(BgL_envsz00_746, (int) (((long) 0)));
										{	/* Engine/heap.scm 59 */
											obj_t BgL_versionz00_749;

											BgL_versionz00_749 =
												VECTOR_REF(BgL_envsz00_746, (int) (((long) 1)));
											{	/* Engine/heap.scm 60 */
												obj_t BgL_specificz00_750;

												BgL_specificz00_750 =
													VECTOR_REF(BgL_envsz00_746, (int) (((long) 2)));
												{	/* Engine/heap.scm 61 */
													obj_t BgL_genvz00_751;

													BgL_genvz00_751 =
														VECTOR_REF(BgL_envsz00_746, (int) (((long) 3)));
													{	/* Engine/heap.scm 62 */
														obj_t BgL_tenvz00_752;

														BgL_tenvz00_752 =
															VECTOR_REF(BgL_envsz00_746, (int) (((long) 4)));
														{	/* Engine/heap.scm 63 */
															obj_t BgL_includesz00_753;

															{	/* Engine/heap.scm 64 */
																bool_t BgL_testz00_1656;

																{	/* Engine/heap.scm 64 */
																	int BgL_arg1580z00_797;

																	BgL_arg1580z00_797 =
																		VECTOR_LENGTH(BgL_envsz00_746);
																	BgL_testz00_1656 =
																		((long) (BgL_arg1580z00_797) == ((long) 6));
																}
																if (BgL_testz00_1656)
																	{	/* Engine/heap.scm 64 */
																		BgL_includesz00_753 =
																			VECTOR_REF(BgL_envsz00_746,
																			(int) (((long) 5)));
																	}
																else
																	{	/* Engine/heap.scm 64 */
																		BgL_includesz00_753 = BNIL;
																	}
															}
															{	/* Engine/heap.scm 64 */

																{	/* Engine/heap.scm 76 */
																	bool_t BgL_testz00_1662;

																	{	/* Engine/heap.scm 76 */
																		int BgL_arg1522z00_755;

																		BgL_arg1522z00_755 =
																			VECTOR_LENGTH(BgL_envsz00_746);
																		BgL_testz00_1662 =
																			(
																			(long) (BgL_arg1522z00_755) ==
																			((long) 6));
																	}
																	if (BgL_testz00_1662)
																		{	/* Engine/heap.scm 76 */
																			BGl_addzd2genvz12zc0zzast_envz00
																				(BgL_genvz00_751);
																		}
																	else
																		{	/* Engine/heap.scm 76 */
																			BGl_setzd2tenvz12zc0zztype_envz00
																				(BgL_tenvz00_752);
																			BGl_setzd2genvz12zc0zzast_envz00
																				(BgL_genvz00_751);
																		}
																}
																{	/* Engine/heap.scm 85 */
																	bool_t BgL_testz00_1669;

																	{	/* Engine/heap.scm 85 */
																		obj_t BgL_arg1545z00_766;

																		BgL_arg1545z00_766 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		BgL_testz00_1669 =
																			(((BgL_backendz00_bglt)
																				CREF(((BgL_backendz00_bglt)
																						BgL_arg1545z00_766)))->
																			BgL_qualifiedzd2typeszd2);
																	}
																	if (BgL_testz00_1669)
																		{	/* Engine/heap.scm 85 */
																			BGl_forzd2eachzd2globalz12z12zzast_envz00
																				(BGl_proc1882z00zzengine_heapz00, BNIL);
																		}
																	else
																		{	/* Engine/heap.scm 85 */
																			BFALSE;
																		}
																}
																BGl_hashtablezd2forzd2eachz00zz__hashz00
																	(BgL_genvz00_751,
																	BGl_proc1883z00zzengine_heapz00);
																{	/* Engine/heap.scm 99 */
																	obj_t BgL_arg1563z00_782;

																	{	/* Engine/heap.scm 99 */
																		obj_t BgL_res1851z00_1393;

																		{	/* Engine/heap.scm 99 */
																			obj_t BgL_auxz00_1675;

																			BgL_auxz00_1675 =
																				BGL_CURRENT_DYNAMIC_ENV();
																			BgL_res1851z00_1393 =
																				BGL_ENV_CURRENT_ERROR_PORT
																				(BgL_auxz00_1675);
																		}
																		BgL_arg1563z00_782 = BgL_res1851z00_1393;
																	}
																	{	/* Engine/heap.scm 101 */
																		obj_t BgL_zc3anonymousza31569ze3z83_1527;

																		BgL_zc3anonymousza31569ze3z83_1527 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza31569ze3ze1zzengine_heapz00,
																			(int) (((long) 0)), (int) (((long) 4)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza31569ze3z83_1527,
																			(int) (((long) 0)), BgL_heapz00_1549);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza31569ze3z83_1527,
																			(int) (((long) 1)), BgL_genvz00_751);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza31569ze3z83_1527,
																			(int) (((long) 2)), BgL_tenvz00_752);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza31569ze3z83_1527,
																			(int) (((long) 3)), BgL_includesz00_753);
																		BgL_val1066z00_745 =
																			BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																			(BgL_arg1563z00_782,
																			BgL_zc3anonymousza31569ze3z83_1527);
							}}}}}}}}}}}
							POP_EXIT();
							return BgL_val1066z00_745;
						}
					}
				}
		}
	}



/* &<anonymous:1569> */
	obj_t BGl_z62zc3anonymousza31569ze3ze1zzengine_heapz00(obj_t BgL_envz00_1530)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 100 */
			{	/* Engine/heap.scm 101 */
				obj_t BgL_heapz00_1531;
				obj_t BgL_genvz00_1532;
				obj_t BgL_tenvz00_1533;
				obj_t BgL_includesz00_1534;

				BgL_heapz00_1531 = PROCEDURE_REF(BgL_envz00_1530, (int) (((long) 0)));
				BgL_genvz00_1532 = PROCEDURE_REF(BgL_envz00_1530, (int) (((long) 1)));
				BgL_tenvz00_1533 = PROCEDURE_REF(BgL_envz00_1530, (int) (((long) 2)));
				BgL_includesz00_1534 =
					PROCEDURE_REF(BgL_envz00_1530, (int) (((long) 3)));
				{

					{	/* Engine/heap.scm 101 */
						obj_t BgL_port1478z00_785;

						{	/* Engine/heap.scm 101 */
							obj_t BgL_res1852z00_1395;

							{	/* Engine/heap.scm 101 */
								obj_t BgL_auxz00_1699;

								BgL_auxz00_1699 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1852z00_1395 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1699);
							}
							BgL_port1478z00_785 = BgL_res1852z00_1395;
						}
						BGL_DISPLAY_STRING(BGl_string1884z00zzengine_heapz00,
							BgL_port1478z00_785);
						bgl_display_obj(BgL_heapz00_1531, BgL_port1478z00_785);
						BGL_DISPLAY_STRING(BGl_string1885z00zzengine_heapz00,
							BgL_port1478z00_785);
						bgl_display_char(((unsigned char) '\n'), BgL_port1478z00_785);
					}
					{	/* Engine/heap.scm 102 */
						obj_t BgL_port1479z00_786;

						{	/* Engine/heap.scm 102 */
							obj_t BgL_res1853z00_1402;

							{	/* Engine/heap.scm 102 */
								obj_t BgL_auxz00_1706;

								BgL_auxz00_1706 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1853z00_1402 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1706);
							}
							BgL_port1479z00_786 = BgL_res1853z00_1402;
						}
						BGL_DISPLAY_STRING(BGl_string1886z00zzengine_heapz00,
							BgL_port1479z00_786);
						bgl_display_char(((unsigned char) '\n'), BgL_port1479z00_786);
					}
					BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_1532);
					{	/* Engine/heap.scm 104 */
						obj_t BgL_port1480z00_787;

						{	/* Engine/heap.scm 104 */
							obj_t BgL_res1854z00_1407;

							{	/* Engine/heap.scm 104 */
								obj_t BgL_auxz00_1712;

								BgL_auxz00_1712 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1854z00_1407 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1712);
							}
							BgL_port1480z00_787 = BgL_res1854z00_1407;
						}
						BGL_DISPLAY_STRING(BGl_string1887z00zzengine_heapz00,
							BgL_port1480z00_787);
						bgl_display_char(((unsigned char) '\n'), BgL_port1480z00_787);
					}
					{	/* Engine/heap.scm 105 */
						obj_t BgL_port1481z00_788;

						{	/* Engine/heap.scm 105 */
							obj_t BgL_res1855z00_1412;

							{	/* Engine/heap.scm 105 */
								obj_t BgL_auxz00_1717;

								BgL_auxz00_1717 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1855z00_1412 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1717);
							}
							BgL_port1481z00_788 = BgL_res1855z00_1412;
						}
						BGL_DISPLAY_STRING(BGl_string1888z00zzengine_heapz00,
							BgL_port1481z00_788);
						bgl_display_char(((unsigned char) '\n'), BgL_port1481z00_788);
					}
					BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_1533);
					{	/* Engine/heap.scm 107 */
						obj_t BgL_port1482z00_789;

						{	/* Engine/heap.scm 107 */
							obj_t BgL_res1856z00_1417;

							{	/* Engine/heap.scm 107 */
								obj_t BgL_auxz00_1723;

								BgL_auxz00_1723 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1856z00_1417 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1723);
							}
							BgL_port1482z00_789 = BgL_res1856z00_1417;
						}
						BGL_DISPLAY_STRING(BGl_string1889z00zzengine_heapz00,
							BgL_port1482z00_789);
						bgl_display_char(((unsigned char) '\n'), BgL_port1482z00_789);
					}
					if (PAIRP(BgL_includesz00_1534))
						{	/* Engine/heap.scm 108 */
							{	/* Engine/heap.scm 109 */
								obj_t BgL_port1483z00_791;

								{	/* Engine/heap.scm 109 */
									obj_t BgL_res1858z00_1424;

									{	/* Engine/heap.scm 109 */
										obj_t BgL_auxz00_1730;

										BgL_auxz00_1730 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1858z00_1424 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1730);
									}
									BgL_port1483z00_791 = BgL_res1858z00_1424;
								}
								BGL_DISPLAY_STRING(BGl_string1890z00zzengine_heapz00,
									BgL_port1483z00_791);
								bgl_display_char(((unsigned char) '\n'), BgL_port1483z00_791);
							}
							{	/* Engine/heap.scm 110 */
								obj_t BgL_port1484z00_792;

								{	/* Engine/heap.scm 110 */
									obj_t BgL_res1859z00_1429;

									{	/* Engine/heap.scm 110 */
										obj_t BgL_auxz00_1735;

										BgL_auxz00_1735 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1859z00_1429 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1735);
									}
									BgL_port1484z00_792 = BgL_res1859z00_1429;
								}
								bgl_display_obj(BgL_includesz00_1534, BgL_port1484z00_792);
								bgl_display_char(((unsigned char) '\n'), BgL_port1484z00_792);
							}
							{	/* Engine/heap.scm 111 */
								obj_t BgL_port1485z00_793;

								{	/* Engine/heap.scm 111 */
									obj_t BgL_res1860z00_1432;

									{	/* Engine/heap.scm 111 */
										obj_t BgL_auxz00_1740;

										BgL_auxz00_1740 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1860z00_1432 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1740);
									}
									BgL_port1485z00_793 = BgL_res1860z00_1432;
								}
								BGL_DISPLAY_STRING(BGl_string1889z00zzengine_heapz00,
									BgL_port1485z00_793);
								bgl_display_char(((unsigned char) '\n'), BgL_port1485z00_793);
						}}
					else
						{	/* Engine/heap.scm 108 */
							BFALSE;
						}
					{	/* Engine/heap.scm 112 */
						obj_t BgL_port1486z00_794;

						{	/* Engine/heap.scm 112 */
							obj_t BgL_res1861z00_1437;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_auxz00_1745;

								BgL_auxz00_1745 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1861z00_1437 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1745);
							}
							BgL_port1486z00_794 = BgL_res1861z00_1437;
						}
						BGL_DISPLAY_STRING(BGl_string1891z00zzengine_heapz00,
							BgL_port1486z00_794);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port1486z00_794);
		}}}}
	}



/* &<anonymous:1552> */
	obj_t BGl_z62zc3anonymousza31552ze3ze1zzengine_heapz00(obj_t BgL_envz00_1535,
		obj_t BgL_kz00_1536, obj_t BgL_bucketz00_1537)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 95 */
			{
				obj_t BgL_kz00_768;
				obj_t BgL_bucketz00_769;

				{	/* Engine/heap.scm 96 */
					bool_t BgL_auxz00_1750;

					BgL_kz00_768 = BgL_kz00_1536;
					BgL_bucketz00_769 = BgL_bucketz00_1537;
					{	/* Engine/heap.scm 96 */
						obj_t BgL_g1477z00_771;

						BgL_g1477z00_771 = CDR(BgL_bucketz00_769);
						{
							obj_t BgL_l1475z00_773;

							BgL_l1475z00_773 = BgL_g1477z00_771;
						BgL_zc3anonymousza31553ze3z83_774:
							if (PAIRP(BgL_l1475z00_773))
								{	/* Engine/heap.scm 98 */
									{	/* Engine/heap.scm 97 */
										obj_t BgL_newz00_776;

										BgL_newz00_776 = CAR(BgL_l1475z00_773);
										{	/* Engine/heap.scm 97 */
											obj_t BgL_arg1555z00_777;

											BgL_arg1555z00_777 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_776)))->
												BgL_modulez00);
											{	/* Engine/heap.scm 97 */
												obj_t BgL_list1556z00_778;

												BgL_list1556z00_778 =
													MAKE_PAIR(BgL_arg1555z00_777, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list1556z00_778);
											}
										}
									}
									{
										obj_t BgL_l1475z00_1759;

										BgL_l1475z00_1759 = CDR(BgL_l1475z00_773);
										BgL_l1475z00_773 = BgL_l1475z00_1759;
										goto BgL_zc3anonymousza31553ze3z83_774;
									}
								}
							else
								{	/* Engine/heap.scm 98 */
									BgL_auxz00_1750 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1750);
				}
			}
		}
	}



/* &<anonymous:1527> */
	obj_t BGl_z62zc3anonymousza31527ze3ze1zzengine_heapz00(obj_t BgL_envz00_1538,
		obj_t BgL_newz00_1539)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 87 */
			{
				obj_t BgL_newz00_759;

				BgL_newz00_759 = BgL_newz00_1539;
				{	/* Engine/heap.scm 89 */
					obj_t BgL_arg1531z00_761;
					obj_t BgL_arg1535z00_762;
					obj_t BgL_arg1541z00_763;

					BgL_arg1531z00_761 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_759)))->BgL_modulez00);
					BgL_arg1535z00_762 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_759)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1541z00_763 = BGl_shapez00zztools_shapez00(BgL_newz00_759);
					{	/* Engine/heap.scm 88 */
						obj_t BgL_list1542z00_764;

						BgL_list1542z00_764 = MAKE_PAIR(BgL_arg1541z00_763, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1531z00_761,
							BgL_arg1535z00_762, BgL_list1542z00_764);
					}
				}
			}
		}
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_5)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 121 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_5,
				BGl_proc1892z00zzengine_heapz00);
		}
	}



/* &<anonymous:1597> */
	obj_t BGl_z62zc3anonymousza31597ze3ze1zzengine_heapz00(obj_t BgL_envz00_1541,
		obj_t BgL_kz00_1542, obj_t BgL_bucketz00_1543)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 152 */
			{
				obj_t BgL_kz00_810;
				obj_t BgL_bucketz00_811;

				{	/* Engine/heap.scm 152 */
					bool_t BgL_auxz00_1770;

					BgL_kz00_810 = BgL_kz00_1542;
					BgL_bucketz00_811 = BgL_bucketz00_1543;
					{
						obj_t BgL_newz00_822;

						{	/* Engine/heap.scm 152 */
							obj_t BgL_g1490z00_813;

							BgL_g1490z00_813 = CDR(BgL_bucketz00_811);
							{
								obj_t BgL_l1488z00_815;

								BgL_l1488z00_815 = BgL_g1490z00_813;
							BgL_zc3anonymousza31598ze3z83_816:
								if (PAIRP(BgL_l1488z00_815))
									{	/* Engine/heap.scm 152 */
										BgL_newz00_822 = CAR(BgL_l1488z00_815);
										{	/* Engine/heap.scm 123 */
											obj_t BgL_modulez00_824;

											BgL_modulez00_824 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_822)))->
												BgL_modulez00);
											{	/* Engine/heap.scm 123 */
												obj_t BgL_idz00_825;

												BgL_idz00_825 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_newz00_822))))->
													BgL_idz00);
												{	/* Engine/heap.scm 124 */
													obj_t BgL_qtz00_826;

													BgL_qtz00_826 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_824);
													{	/* Engine/heap.scm 125 */
														obj_t BgL_jtz00_827;

														BgL_jtz00_827 =
															(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_newz00_822)))->
															BgL_jvmzd2typezd2namez00);
														{	/* Engine/heap.scm 126 */
															BgL_valuez00_bglt BgL_valz00_828;

															BgL_valz00_828 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt) BgL_newz00_822))))->
																BgL_valuez00);
															{	/* Engine/heap.scm 127 */
																obj_t BgL_kindz00_829;

																{	/* Engine/heap.scm 129 */
																	bool_t BgL_testz00_1785;

																	{	/* Engine/heap.scm 129 */
																		bool_t BgL_res1866z00_1457;

																		{	/* Engine/heap.scm 129 */
																			obj_t BgL_objz00_1456;

																			BgL_objz00_1456 =
																				((obj_t) BgL_valz00_828);
																			BgL_res1866z00_1457 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_objz00_1456,
																				BGl_sfunz00zzast_varz00);
																		}
																		BgL_testz00_1785 = BgL_res1866z00_1457;
																	}
																	if (BgL_testz00_1785)
																		{	/* Engine/heap.scm 129 */
																			BgL_kindz00_829 =
																				CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Engine/heap.scm 130 */
																			bool_t BgL_testz00_1789;

																			{	/* Engine/heap.scm 130 */
																				bool_t BgL_res1867z00_1459;

																				{	/* Engine/heap.scm 130 */
																					obj_t BgL_objz00_1458;

																					BgL_objz00_1458 =
																						((obj_t) BgL_valz00_828);
																					BgL_res1867z00_1459 =
																						BGl_isazf3zf3zz__objectz00
																						(BgL_objz00_1458,
																						BGl_cfunz00zzast_varz00);
																				}
																				BgL_testz00_1789 = BgL_res1867z00_1459;
																			}
																			if (BgL_testz00_1789)
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_829 =
																						CNST_TABLE_REF(((long) 2));
																				}
																			else
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_829 =
																						CNST_TABLE_REF(((long) 3));
																}}}
																{	/* Engine/heap.scm 128 */

																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port1487z00_830;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_res1868z00_1461;

																			{	/* Engine/heap.scm 132 */
																				obj_t BgL_auxz00_1794;

																				BgL_auxz00_1794 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res1868z00_1461 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_1794);
																			}
																			BgL_port1487z00_830 = BgL_res1868z00_1461;
																		}
																		BGL_DISPLAY_STRING
																			(BGl_string1893z00zzengine_heapz00,
																			BgL_port1487z00_830);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg1612z00_831;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg1618z00_832;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg1624z00_833;
																					obj_t BgL_arg1625z00_834;

																					BgL_arg1624z00_833 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_822);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg1628z00_835;

																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_arg1634z00_836;
																							obj_t BgL_arg1642z00_837;

																							{	/* Engine/heap.scm 135 */
																								obj_t BgL_arg1648z00_838;

																								BgL_arg1648z00_838 =
																									MAKE_PAIR(BgL_idz00_825,
																									BNIL);
																								BgL_arg1634z00_836 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 4)),
																									BgL_arg1648z00_838);
																							}
																							{	/* Engine/heap.scm 137 */
																								obj_t BgL_arg1649z00_839;

																								{	/* Engine/heap.scm 137 */
																									obj_t BgL_arg1653z00_840;
																									obj_t BgL_arg1656z00_841;

																									{	/* Engine/heap.scm 137 */
																										obj_t BgL_arg1657z00_842;

																										BgL_arg1657z00_842 =
																											MAKE_PAIR
																											(BgL_modulez00_824, BNIL);
																										BgL_arg1653z00_840 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 5)),
																											BgL_arg1657z00_842);
																									}
																									{	/* Engine/heap.scm 139 */
																										obj_t BgL_arg1658z00_843;

																										{	/* Engine/heap.scm 139 */
																											obj_t BgL_arg1669z00_844;
																											obj_t BgL_arg1670z00_845;

																											{	/* Engine/heap.scm 139 */
																												obj_t
																													BgL_arg1671z00_846;
																												{	/* Engine/heap.scm 139 */
																													obj_t
																														BgL_arg1672z00_847;
																													BgL_arg1672z00_847 =
																														(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_822))))->BgL_namez00);
																													BgL_arg1671z00_846 =
																														MAKE_PAIR
																														(BgL_arg1672z00_847,
																														BNIL);
																												}
																												BgL_arg1669z00_844 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 6)),
																													BgL_arg1671z00_846);
																											}
																											{	/* Engine/heap.scm 141 */
																												obj_t
																													BgL_arg1680z00_848;
																												{	/* Engine/heap.scm 141 */
																													obj_t
																														BgL_arg1684z00_849;
																													obj_t
																														BgL_arg1685z00_850;
																													{	/* Engine/heap.scm 141 */
																														obj_t
																															BgL_arg1687z00_851;
																														BgL_arg1687z00_851 =
																															MAKE_PAIR
																															(BgL_qtz00_826,
																															BNIL);
																														BgL_arg1684z00_849 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 7)),
																															BgL_arg1687z00_851);
																													}
																													{	/* Engine/heap.scm 142 */
																														obj_t
																															BgL_arg1696z00_852;
																														obj_t
																															BgL_arg1697z00_853;
																														{	/* Engine/heap.scm 142 */
																															bool_t
																																BgL_testz00_1814;
																															{	/* Engine/heap.scm 142 */
																																bool_t
																																	BgL_testz00_1815;
																																{	/* Engine/heap.scm 142 */
																																	bool_t
																																		BgL_res1869z00_1467;
																																	{	/* Engine/heap.scm 142 */
																																		obj_t
																																			BgL_objz00_1466;
																																		BgL_objz00_1466
																																			=
																																			((obj_t)
																																			BgL_valz00_828);
																																		BgL_res1869z00_1467
																																			=
																																			BGl_isazf3zf3zz__objectz00
																																			(BgL_objz00_1466,
																																			BGl_sfunz00zzast_varz00);
																																	}
																																	BgL_testz00_1815
																																		=
																																		BgL_res1869z00_1467;
																																}
																																if (BgL_testz00_1815)
																																	{	/* Engine/heap.scm 142 */
																																		BgL_testz00_1814
																																			=
																																			((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_828)))->BgL_classz00) == CNST_TABLE_REF(((long) 8)));
																																	}
																																else
																																	{	/* Engine/heap.scm 142 */
																																		BgL_testz00_1814
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_testz00_1814)
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg1696z00_852
																																		=
																																		BGl_string1894z00zzengine_heapz00;
																																}
																															else
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg1696z00_852
																																		=
																																		BGl_string1895z00zzengine_heapz00;
																																}
																														}
																														{	/* Engine/heap.scm 145 */
																															obj_t
																																BgL_arg1716z00_857;
																															obj_t
																																BgL_arg1719z00_858;
																															{	/* Engine/heap.scm 145 */
																																bool_t
																																	BgL_testz00_1822;
																																{	/* Engine/heap.scm 145 */
																																	bool_t
																																		BgL_testz00_1823;
																																	{	/* Engine/heap.scm 145 */
																																		bool_t
																																			BgL_res1870z00_1471;
																																		{	/* Engine/heap.scm 145 */
																																			obj_t
																																				BgL_objz00_1470;
																																			BgL_objz00_1470
																																				=
																																				((obj_t)
																																				BgL_valz00_828);
																																			BgL_res1870z00_1471
																																				=
																																				BGl_isazf3zf3zz__objectz00
																																				(BgL_objz00_1470,
																																				BGl_sfunz00zzast_varz00);
																																		}
																																		BgL_testz00_1823
																																			=
																																			BgL_res1870z00_1471;
																																	}
																																	if (BgL_testz00_1823)
																																		{	/* Engine/heap.scm 145 */
																																			BgL_testz00_1822
																																				=
																																				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_828)))->BgL_classz00) == CNST_TABLE_REF(((long) 8)));
																																		}
																																	else
																																		{	/* Engine/heap.scm 145 */
																																			BgL_testz00_1822
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_testz00_1822)
																																	{	/* Engine/heap.scm 146 */
																																		obj_t
																																			BgL_arg1724z00_860;
																																		{	/* Engine/heap.scm 146 */
																																			obj_t
																																				BgL_arg1726z00_861;
																																			{	/* Engine/heap.scm 146 */
																																				obj_t
																																					BgL_arg1729z00_862;
																																				BgL_arg1729z00_862
																																					=
																																					(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_828)))->BgL_bodyz00);
																																				BgL_arg1726z00_861
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BgL_arg1729z00_862);
																																			}
																																			BgL_arg1724z00_860
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1726z00_861,
																																				BNIL);
																																		}
																																		BgL_arg1716z00_857
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					9)),
																																			BgL_arg1724z00_860);
																																	}
																																else
																																	{	/* Engine/heap.scm 145 */
																																		BgL_arg1716z00_857
																																			=
																																			BGl_string1895z00zzengine_heapz00;
																																	}
																															}
																															{	/* Engine/heap.scm 149 */
																																obj_t
																																	BgL_arg1735z00_865;
																																{	/* Engine/heap.scm 149 */
																																	obj_t
																																		BgL_arg1739z00_866;
																																	{	/* Engine/heap.scm 149 */
																																		obj_t
																																			BgL_arg1740z00_867;
																																		BgL_arg1740z00_867
																																			=
																																			MAKE_PAIR
																																			(BgL_jtz00_827,
																																			BNIL);
																																		BgL_arg1739z00_866
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					10)),
																																			BgL_arg1740z00_867);
																																	}
																																	BgL_arg1735z00_865
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1739z00_866,
																																		BNIL);
																																}
																																BgL_arg1719z00_858
																																	=
																																	MAKE_PAIR
																																	(BGl_string1894z00zzengine_heapz00,
																																	BgL_arg1735z00_865);
																															}
																															BgL_arg1697z00_853
																																=
																																MAKE_PAIR
																																(BgL_arg1716z00_857,
																																BgL_arg1719z00_858);
																														}
																														BgL_arg1685z00_850 =
																															MAKE_PAIR
																															(BgL_arg1696z00_852,
																															BgL_arg1697z00_853);
																													}
																													BgL_arg1680z00_848 =
																														MAKE_PAIR
																														(BgL_arg1684z00_849,
																														BgL_arg1685z00_850);
																												}
																												BgL_arg1670z00_845 =
																													MAKE_PAIR
																													(BGl_string1894z00zzengine_heapz00,
																													BgL_arg1680z00_848);
																											}
																											BgL_arg1658z00_843 =
																												MAKE_PAIR
																												(BgL_arg1669z00_844,
																												BgL_arg1670z00_845);
																										}
																										BgL_arg1656z00_841 =
																											MAKE_PAIR
																											(BGl_string1894z00zzengine_heapz00,
																											BgL_arg1658z00_843);
																									}
																									BgL_arg1649z00_839 =
																										MAKE_PAIR
																										(BgL_arg1653z00_840,
																										BgL_arg1656z00_841);
																								}
																								BgL_arg1642z00_837 =
																									MAKE_PAIR
																									(BGl_string1894z00zzengine_heapz00,
																									BgL_arg1649z00_839);
																							}
																							BgL_arg1628z00_835 =
																								MAKE_PAIR(BgL_arg1634z00_836,
																								BgL_arg1642z00_837);
																						}
																						BgL_arg1625z00_834 =
																							MAKE_PAIR
																							(BGl_string1894z00zzengine_heapz00,
																							BgL_arg1628z00_835);
																					}
																					BgL_arg1618z00_832 =
																						MAKE_PAIR(BgL_arg1624z00_833,
																						BgL_arg1625z00_834);
																				}
																				BgL_arg1612z00_831 =
																					MAKE_PAIR(BgL_kindz00_829,
																					BgL_arg1618z00_832);
																			}
																			bgl_display_obj(BgL_arg1612z00_831,
																				BgL_port1487z00_830);
																		}
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port1487z00_830);
										}}}}}}}}
										{
											obj_t BgL_l1488z00_1856;

											BgL_l1488z00_1856 = CDR(BgL_l1488z00_815);
											BgL_l1488z00_815 = BgL_l1488z00_1856;
											goto BgL_zc3anonymousza31598ze3z83_816;
										}
									}
								else
									{	/* Engine/heap.scm 152 */
										BgL_auxz00_1770 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1770);
				}
			}
		}
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_6)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 157 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_6,
				BGl_proc1896z00zzengine_heapz00);
		}
	}



/* &<anonymous:1744> */
	obj_t BGl_z62zc3anonymousza31744ze3ze1zzengine_heapz00(obj_t BgL_envz00_1545,
		obj_t BgL_kz00_1546, obj_t BgL_newz00_1547)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 159 */
			{
				obj_t BgL_kz00_872;
				obj_t BgL_newz00_873;

				BgL_kz00_872 = BgL_kz00_1546;
				BgL_newz00_873 = BgL_newz00_1547;
				{	/* Engine/heap.scm 160 */
					obj_t BgL_idz00_875;

					BgL_idz00_875 =
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_newz00_873)))->BgL_idz00);
					{	/* Engine/heap.scm 160 */
						obj_t BgL_namez00_876;

						BgL_namez00_876 =
							(((BgL_typez00_bglt) CREF(
									((BgL_typez00_bglt) BgL_newz00_873)))->BgL_namez00);
						{	/* Engine/heap.scm 161 */

							if (BGl_isazf3zf3zz__objectz00(BgL_newz00_873,
									BGl_tclassz00zzobject_classz00))
								{	/* Engine/heap.scm 163 */
									BgL_typez00_bglt BgL_i1068z00_878;

									BgL_i1068z00_878 = ((BgL_typez00_bglt) BgL_newz00_873);
									{	/* Engine/heap.scm 164 */
										obj_t BgL_port1497z00_879;

										{	/* Engine/heap.scm 164 */
											obj_t BgL_res1874z00_1490;

											{	/* Engine/heap.scm 164 */
												obj_t BgL_auxz00_1867;

												BgL_auxz00_1867 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1874z00_1490 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1867);
											}
											BgL_port1497z00_879 = BgL_res1874z00_1490;
										}
										BGL_DISPLAY_STRING(BGl_string1893z00zzengine_heapz00,
											BgL_port1497z00_879);
										{	/* Engine/heap.scm 165 */
											obj_t BgL_arg1747z00_880;

											{	/* Engine/heap.scm 165 */
												obj_t BgL_arg1748z00_881;

												{	/* Engine/heap.scm 165 */
													obj_t BgL_arg1749z00_882;
													obj_t BgL_arg1750z00_883;

													BgL_arg1749z00_882 =
														BGl_shapez00zztools_shapez00(BgL_newz00_873);
													{	/* Engine/heap.scm 166 */
														obj_t BgL_arg1751z00_884;
														obj_t BgL_arg1754z00_885;

														{	/* Engine/heap.scm 166 */
															obj_t BgL_arg1755z00_886;

															{	/* Engine/heap.scm 166 */
																obj_t BgL_arg1756z00_887;

																{	/* Engine/heap.scm 166 */
																	obj_t BgL_arg1759z00_888;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_1872;

																		{
																			obj_t BgL_auxz00_1873;

																			{	/* Engine/heap.scm 166 */
																				BgL_objectz00_bglt BgL_auxz00_1874;

																				BgL_auxz00_1874 =
																					((BgL_objectz00_bglt)
																					BgL_i1068z00_878);
																				BgL_auxz00_1873 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1874);
																			}
																			BgL_auxz00_1872 =
																				((BgL_tclassz00_bglt) BgL_auxz00_1873);
																		}
																		BgL_arg1759z00_888 =
																			(((BgL_tclassz00_bglt)
																				CREF(BgL_auxz00_1872))->
																			BgL_itszd2superzd2);
																	}
																	BgL_arg1756z00_887 =
																		BGl_shapez00zztools_shapez00
																		(BgL_arg1759z00_888);
																}
																BgL_arg1755z00_886 =
																	MAKE_PAIR(BgL_arg1756z00_887, BNIL);
															}
															BgL_arg1751z00_884 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																BgL_arg1755z00_886);
														}
														{	/* Engine/heap.scm 167 */
															obj_t BgL_arg1764z00_889;

															{	/* Engine/heap.scm 167 */
																obj_t BgL_l1491z00_890;

																{
																	BgL_tclassz00_bglt BgL_auxz00_1883;

																	{
																		obj_t BgL_auxz00_1884;

																		{	/* Engine/heap.scm 167 */
																			BgL_objectz00_bglt BgL_auxz00_1885;

																			BgL_auxz00_1885 =
																				((BgL_objectz00_bglt) BgL_i1068z00_878);
																			BgL_auxz00_1884 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1885);
																		}
																		BgL_auxz00_1883 =
																			((BgL_tclassz00_bglt) BgL_auxz00_1884);
																	}
																	BgL_l1491z00_890 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_1883))->BgL_slotsz00);
																}
																if (NULLP(BgL_l1491z00_890))
																	{	/* Engine/heap.scm 167 */
																		BgL_arg1764z00_889 = BNIL;
																	}
																else
																	{	/* Engine/heap.scm 167 */
																		obj_t BgL_head1493z00_892;

																		{	/* Engine/heap.scm 167 */
																			obj_t BgL_arg1771z00_904;

																			BgL_arg1771z00_904 =
																				BGl_shapez00zztools_shapez00(CAR
																				(BgL_l1491z00_890));
																			{	/* Engine/heap.scm 167 */
																				obj_t BgL_res1876z00_1498;

																				BgL_res1876z00_1498 =
																					MAKE_PAIR(BgL_arg1771z00_904, BNIL);
																				BgL_head1493z00_892 =
																					BgL_res1876z00_1498;
																			}
																		}
																		{	/* Engine/heap.scm 167 */
																			obj_t BgL_g1496z00_893;

																			BgL_g1496z00_893 = CDR(BgL_l1491z00_890);
																			{
																				obj_t BgL_l1491z00_895;
																				obj_t BgL_tail1494z00_896;

																				BgL_l1491z00_895 = BgL_g1496z00_893;
																				BgL_tail1494z00_896 =
																					BgL_head1493z00_892;
																			BgL_zc3anonymousza31766ze3z83_897:
																				if (NULLP(BgL_l1491z00_895))
																					{	/* Engine/heap.scm 167 */
																						BgL_arg1764z00_889 =
																							BgL_head1493z00_892;
																					}
																				else
																					{	/* Engine/heap.scm 167 */
																						obj_t BgL_newtail1495z00_899;

																						{	/* Engine/heap.scm 167 */
																							obj_t BgL_arg1769z00_901;

																							BgL_arg1769z00_901 =
																								BGl_shapez00zztools_shapez00(CAR
																								(BgL_l1491z00_895));
																							{	/* Engine/heap.scm 167 */
																								obj_t BgL_res1878z00_1505;

																								BgL_res1878z00_1505 =
																									MAKE_PAIR(BgL_arg1769z00_901,
																									BNIL);
																								BgL_newtail1495z00_899 =
																									BgL_res1878z00_1505;
																							}
																						}
																						SET_CDR(BgL_tail1494z00_896,
																							BgL_newtail1495z00_899);
																						{
																							obj_t BgL_tail1494z00_1904;
																							obj_t BgL_l1491z00_1902;

																							BgL_l1491z00_1902 =
																								CDR(BgL_l1491z00_895);
																							BgL_tail1494z00_1904 =
																								BgL_newtail1495z00_899;
																							BgL_tail1494z00_896 =
																								BgL_tail1494z00_1904;
																							BgL_l1491z00_895 =
																								BgL_l1491z00_1902;
																							goto
																								BgL_zc3anonymousza31766ze3z83_897;
																						}
																					}
																			}
																		}
																	}
															}
															BgL_arg1754z00_885 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg1764z00_889, BNIL);
														}
														BgL_arg1750z00_883 =
															MAKE_PAIR(BgL_arg1751z00_884, BgL_arg1754z00_885);
													}
													BgL_arg1748z00_881 =
														MAKE_PAIR(BgL_arg1749z00_882, BgL_arg1750z00_883);
												}
												BgL_arg1747z00_880 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
													BgL_arg1748z00_881);
											}
											bgl_display_obj(BgL_arg1747z00_880, BgL_port1497z00_879);
										}
										return
											bgl_display_char(((unsigned char) '\n'),
											BgL_port1497z00_879);
								}}
							else
								{	/* Engine/heap.scm 168 */
									obj_t BgL_port1498z00_906;

									{	/* Engine/heap.scm 168 */
										obj_t BgL_res1879z00_1511;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_auxz00_1912;

											BgL_auxz00_1912 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res1879z00_1511 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1912);
										}
										BgL_port1498z00_906 = BgL_res1879z00_1511;
									}
									BGL_DISPLAY_STRING(BGl_string1893z00zzengine_heapz00,
										BgL_port1498z00_906);
									{	/* Engine/heap.scm 168 */
										obj_t BgL_arg1773z00_907;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_arg1774z00_908;

											{	/* Engine/heap.scm 168 */
												obj_t BgL_arg1775z00_909;

												{	/* Engine/heap.scm 168 */
													obj_t BgL_arg1776z00_910;

													{	/* Engine/heap.scm 168 */
														obj_t BgL_arg1779z00_911;

														BgL_arg1779z00_911 =
															MAKE_PAIR(BgL_namez00_876, BNIL);
														BgL_arg1776z00_910 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1779z00_911);
													}
													BgL_arg1775z00_909 =
														MAKE_PAIR(BgL_arg1776z00_910, BNIL);
												}
												BgL_arg1774z00_908 =
													MAKE_PAIR(BgL_idz00_875, BgL_arg1775z00_909);
											}
											BgL_arg1773z00_907 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg1774z00_908);
										}
										bgl_display_obj(BgL_arg1773z00_907, BgL_port1498z00_906);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port1498z00_906);
		}}}}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string1897z00zzengine_heapz00));
		}
	}

#ifdef __cplusplus
}
#endif
