/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/restore.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
	static obj_t BGl_z62zc3anonymousza31510ze3ze1zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_restorez00();
	static obj_t BGl_objectzd2initzd2zzheap_restorez00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00();
	static obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzheap_restorez00();
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31482ze3ze1zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31636ze3ze1zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_restorezd2heapzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza31657ze3ze1zzheap_restorez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_restorez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
	static obj_t BGl_zc3exitza31447ze3z83zzheap_restorez00(obj_t);
	extern obj_t BGl_za2unsafezd2heapza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza31590ze3z83zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t);
	static obj_t BGl_za2heapzd2markza2zd2zzheap_restorez00 = BUNSPEC;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1796z00,
		BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2modulezd2listzd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2module1797z00, va_generic_entry,
		BGl_z62heapzd2modulezd2listz62zzheap_restorez00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2heapzd2envz00zzheap_restorez00,
		BgL_bgl_za762restoreza7d2hea1798z00,
		BGl_z62restorezd2heapzb0zzheap_restorez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1772z00zzheap_restorez00,
		BgL_bgl_string1772za700za7za7h1799za7, "Heap", 4);
	      DEFINE_STRING(BGl_string1773z00zzheap_restorez00,
		BgL_bgl_string1773za700za7za7h1800za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1774z00zzheap_restorez00,
		BgL_bgl_string1774za700za7za7h1801za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1775z00zzheap_restorez00,
		BgL_bgl_string1775za700za7za7h1802za7, "]", 1);
	      DEFINE_STRING(BGl_string1776z00zzheap_restorez00,
		BgL_bgl_string1776za700za7za7h1803za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string1777z00zzheap_restorez00,
		BgL_bgl_string1777za700za7za7h1804za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1778z00zzheap_restorez00,
		BgL_bgl_string1778za700za7za7h1805za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1779z00zzheap_restorez00,
		BgL_bgl_string1779za700za7za7h1806za7, "~a vs. ~a", 9);
	      DEFINE_STRING(BGl_string1780z00zzheap_restorez00,
		BgL_bgl_string1780za700za7za7h1807za7, "Target language mismatch", 24);
	      DEFINE_STRING(BGl_string1781z00zzheap_restorez00,
		BgL_bgl_string1781za700za7za7h1808za7, "Heap is `~a', Bigloo is `~a'", 28);
	      DEFINE_STRING(BGl_string1782z00zzheap_restorez00,
		BgL_bgl_string1782za700za7za7h1809za7, "Release mismatch", 16);
	      DEFINE_STRING(BGl_string1783z00zzheap_restorez00,
		BgL_bgl_string1783za700za7za7h1810za7, "Specific version mismatch", 25);
	      DEFINE_STRING(BGl_string1786z00zzheap_restorez00,
		BgL_bgl_string1786za700za7za7h1811za7, ".", 1);
	      DEFINE_STRING(BGl_string1787z00zzheap_restorez00,
		BgL_bgl_string1787za700za7za7h1812za7, "Library", 7);
	      DEFINE_STRING(BGl_string1788z00zzheap_restorez00,
		BgL_bgl_string1788za700za7za7h1813za7, "restore-additional-heap", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71814za7,
		BGl_z62zc3anonymousza31482ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1791z00zzheap_restorez00,
		BgL_bgl_string1791za700za7za7h1815za7, "heap_restore", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71816za7,
		BGl_z62zc3anonymousza31510ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1792z00zzheap_restorez00,
		BgL_bgl_string1792za700za7za7h1817za7,
		"restore-additional-heap call-with-current-continuation __r4_control_features_6_9 call/cc restore-heap pass-started heap-mark ",
		125);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71818za7,
		BGl_z62zc3anonymousza31636ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71819za7,
		BGl_z62zc3anonymousza31657ze3ze1zzheap_restorez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapzd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1820z00,
		BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long
		BgL_checksumz00_1139, char *BgL_fromz00_1140)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_restorez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
					BGl_cnstzd2initzd2zzheap_restorez00();
					BGl_importedzd2moduleszd2initz00zzheap_restorez00();
					BGl_toplevelzd2initzd2zzheap_restorez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"heap_restore");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			{	/* Heap/restore.scm 15 */
				obj_t BgL_cportz00_1131;

				BgL_cportz00_1131 =
					bgl_open_input_string(BGl_string1792z00zzheap_restorez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1132;

					BgL_iz00_1132 = ((long) 6);
				BgL_loopz00_1133:
					if ((BgL_iz00_1132 == ((long) -1)))
						{	/* Heap/restore.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/restore.scm 15 */
							{	/* Heap/restore.scm 15 */
								obj_t BgL_arg1795z00_1135;

								{	/* Heap/restore.scm 15 */

									{	/* Heap/restore.scm 15 */
										obj_t BgL_locationz00_1137;

										BgL_locationz00_1137 = BBOOL(((bool_t) 0));
										{	/* Heap/restore.scm 15 */

											BgL_arg1795z00_1135 =
												BGl_readz00zz__readerz00(BgL_cportz00_1131,
												BgL_locationz00_1137);
										}
									}
								}
								{	/* Heap/restore.scm 15 */
									int BgL_auxz00_1167;

									BgL_auxz00_1167 = (int) (BgL_iz00_1132);
									CNST_TABLE_SET(BgL_auxz00_1167, BgL_arg1795z00_1135);
							}}
							{	/* Heap/restore.scm 15 */
								int BgL_auxz00_1138;

								BgL_auxz00_1138 = (int) ((BgL_iz00_1132 - ((long) 1)));
								{
									long BgL_iz00_1172;

									BgL_iz00_1172 = (long) (BgL_auxz00_1138);
									BgL_iz00_1132 = BgL_iz00_1172;
									goto BgL_loopz00_1133;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BNIL;
			return (BGl_za2heapzd2markza2zd2zzheap_restorez00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_489;

				BgL_headz00_489 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_490;
					obj_t BgL_tailz00_491;

					BgL_prevz00_490 = BgL_headz00_489;
					BgL_tailz00_491 = BgL_l1z00_1;
				BgL_loopz00_492:
					if (PAIRP(BgL_tailz00_491))
						{
							obj_t BgL_newzd2prevzd2_494;

							BgL_newzd2prevzd2_494 =
								MAKE_PAIR(CAR(BgL_tailz00_491), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_490, BgL_newzd2prevzd2_494);
							{
								obj_t BgL_tailz00_1182;
								obj_t BgL_prevz00_1181;

								BgL_prevz00_1181 = BgL_newzd2prevzd2_494;
								BgL_tailz00_1182 = CDR(BgL_tailz00_491);
								BgL_tailz00_491 = BgL_tailz00_1182;
								BgL_prevz00_490 = BgL_prevz00_1181;
								goto BgL_loopz00_492;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_489);
				}
			}
		}
	}



/* backend-heap-compatible? */
	bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t
		BgL_targetz00_3)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 36 */
			{	/* Heap/restore.scm 37 */
				BgL_backendz00_bglt BgL_i1064z00_497;

				BgL_i1064z00_497 =
					((BgL_backendz00_bglt) BGl_thezd2backendzd2zzbackend_backendz00());
				{	/* Heap/restore.scm 38 */
					bool_t BgL__ortest_1065z00_498;

					BgL__ortest_1065z00_498 =
						(BgL_targetz00_3 ==
						(((BgL_backendz00_bglt) CREF(BgL_i1064z00_497))->BgL_languagez00));
					if (BgL__ortest_1065z00_498)
						{	/* Heap/restore.scm 38 */
							return BgL__ortest_1065z00_498;
						}
					else
						{	/* Heap/restore.scm 38 */
							return
								(BgL_targetz00_3 ==
								(((BgL_backendz00_bglt) CREF(BgL_i1064z00_497))->
									BgL_heapzd2compatiblezd2));
						}
				}
			}
		}
	}



/* restore-heap */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2heapzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 43 */
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/restore.scm 44 */
					{	/* Heap/restore.scm 45 */
						obj_t BgL_list1409z00_502;

						{	/* Heap/restore.scm 45 */
							obj_t BgL_arg1414z00_503;

							{	/* Heap/restore.scm 45 */
								obj_t BgL_arg1417z00_504;

								BgL_arg1417z00_504 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1414z00_503 =
									MAKE_PAIR(BGl_string1772z00zzheap_restorez00,
									BgL_arg1417z00_504);
							}
							BgL_list1409z00_502 =
								MAKE_PAIR(BGl_string1773z00zzheap_restorez00,
								BgL_arg1414z00_503);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1409z00_502);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1772z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_508;
						obj_t BgL_hnamesz00_509;

						BgL_hooksz00_508 = BNIL;
						BgL_hnamesz00_509 = BNIL;
					BgL_zc3anonymousza31418ze3z83_510:
						if (NULLP(BgL_hooksz00_508))
							{	/* Heap/restore.scm 45 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 45 */
								bool_t BgL_testz00_1204;

								{	/* Heap/restore.scm 45 */
									obj_t BgL_fun1427z00_516;

									BgL_fun1427z00_516 = CAR(BgL_hooksz00_508);
									BgL_testz00_1204 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1427z00_516)
										(BgL_fun1427z00_516, BEOA));
								}
								if (BgL_testz00_1204)
									{
										obj_t BgL_hnamesz00_1212;
										obj_t BgL_hooksz00_1210;

										BgL_hooksz00_1210 = CDR(BgL_hooksz00_508);
										BgL_hnamesz00_1212 = CDR(BgL_hnamesz00_509);
										BgL_hnamesz00_509 = BgL_hnamesz00_1212;
										BgL_hooksz00_508 = BgL_hooksz00_1210;
										goto BgL_zc3anonymousza31418ze3z83_510;
									}
								else
									{	/* Heap/restore.scm 45 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1772z00zzheap_restorez00,
											BGl_string1774z00zzheap_restorez00,
											CAR(BgL_hnamesz00_509));
									}
							}
					}
					{	/* Heap/restore.scm 46 */
						obj_t BgL_fnamez00_519;

						BgL_fnamez00_519 =
							BGl_findzd2filezf2pathz20zz__osz00
							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (STRINGP(BgL_fnamez00_519))
							{	/* Heap/restore.scm 48 */
								obj_t BgL_portz00_521;

								BgL_portz00_521 =
									BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
									(BgL_fnamez00_519);
								if (BINARY_PORTP(BgL_portz00_521))
									{	/* Heap/restore.scm 49 */
										{	/* Heap/restore.scm 54 */
											obj_t BgL_list1431z00_523;

											{	/* Heap/restore.scm 54 */
												obj_t BgL_arg1433z00_524;

												{	/* Heap/restore.scm 54 */
													obj_t BgL_arg1436z00_525;

													{	/* Heap/restore.scm 54 */
														obj_t BgL_arg1437z00_526;

														BgL_arg1437z00_526 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg1436z00_525 =
															MAKE_PAIR(BGl_string1775z00zzheap_restorez00,
															BgL_arg1437z00_526);
													}
													BgL_arg1433z00_524 =
														MAKE_PAIR(BgL_fnamez00_519, BgL_arg1436z00_525);
												}
												BgL_list1431z00_523 =
													MAKE_PAIR(BGl_string1776z00zzheap_restorez00,
													BgL_arg1433z00_524);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list1431z00_523);
										}
										{	/* Heap/restore.scm 55 */
											obj_t BgL_val1073z00_527;

											BgL_val1073z00_527 =
												BGl_zc3exitza31447ze3z83zzheap_restorez00
												(BgL_portz00_521);
											close_binary_port(BgL_portz00_521);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1073z00_527)))
												{	/* Heap/restore.scm 109 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1073z00_527), CDR(BgL_val1073z00_527));
												}
											else
												{	/* Heap/restore.scm 109 */
													return BgL_val1073z00_527;
												}
										}
									}
								else
									{	/* Heap/restore.scm 50 */
										obj_t BgL_mz00_576;

										{	/* Heap/restore.scm 50 */
											obj_t BgL_list1519z00_577;

											BgL_list1519z00_577 = MAKE_PAIR(BgL_fnamez00_519, BNIL);
											BgL_mz00_576 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string1777z00zzheap_restorez00,
												BgL_list1519z00_577);
										}
										BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
											BgL_mz00_576, BGl_za2libzd2dirza2zd2zzengine_paramz00);
										return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
													5)));
							}}
						else
							{	/* Heap/restore.scm 110 */
								obj_t BgL_mz00_578;

								{	/* Heap/restore.scm 110 */
									obj_t BgL_list1520z00_579;

									BgL_list1520z00_579 =
										MAKE_PAIR(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
									BgL_mz00_578 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1777z00zzheap_restorez00, BgL_list1520z00_579);
								}
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
									BgL_mz00_578, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 5)));
				}}}
			else
				{	/* Heap/restore.scm 44 */
					return BFALSE;
				}
		}
	}



/* <exit:1447> */
	obj_t BGl_zc3exitza31447ze3z83zzheap_restorez00(obj_t BgL_portz00_1129)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 109 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1074z00_532;

			if (SET_EXIT(BgL_an_exit1074z00_532))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1074z00_532 = (void *) jmpbuf;
					{	/* Heap/restore.scm 109 */

						PUSH_EXIT(BgL_an_exit1074z00_532, ((long) 0));
						{	/* Heap/restore.scm 56 */
							bool_t BgL_val1075z00_533;

							{	/* Heap/restore.scm 56 */
								obj_t BgL_envsz00_534;

								BgL_envsz00_534 = input_obj(BgL_portz00_1129);
								{	/* Heap/restore.scm 56 */
									obj_t BgL__z00_535;

									{	/* Heap/restore.scm 57 */
										bool_t BgL_testz00_1253;

										if (VECTORP(BgL_envsz00_534))
											{	/* Heap/restore.scm 58 */
												int BgL_arg1518z00_575;

												BgL_arg1518z00_575 = VECTOR_LENGTH(BgL_envsz00_534);
												BgL_testz00_1253 =
													((long) (BgL_arg1518z00_575) == ((long) 5));
											}
										else
											{	/* Heap/restore.scm 57 */
												BgL_testz00_1253 = ((bool_t) 0);
											}
										if (BgL_testz00_1253)
											{	/* Heap/restore.scm 57 */
												BgL__z00_535 = BFALSE;
											}
										else
											{	/* Heap/restore.scm 57 */
												BgL__z00_535 =
													BGl_errorz00zz__errorz00
													(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
													BGl_string1778z00zzheap_restorez00, BgL_envsz00_534);
											}
									}
									{	/* Heap/restore.scm 57 */
										obj_t BgL_targetz00_536;

										BgL_targetz00_536 =
											VECTOR_REF(BgL_envsz00_534, (int) (((long) 0)));
										{	/* Heap/restore.scm 62 */
											obj_t BgL_versionz00_537;

											BgL_versionz00_537 =
												VECTOR_REF(BgL_envsz00_534, (int) (((long) 1)));
											{	/* Heap/restore.scm 63 */
												obj_t BgL_specificz00_538;

												BgL_specificz00_538 =
													VECTOR_REF(BgL_envsz00_534, (int) (((long) 2)));
												{	/* Heap/restore.scm 64 */
													obj_t BgL_genvz00_539;

													BgL_genvz00_539 =
														VECTOR_REF(BgL_envsz00_534, (int) (((long) 3)));
													{	/* Heap/restore.scm 65 */
														obj_t BgL_tenvz00_540;

														BgL_tenvz00_540 =
															VECTOR_REF(BgL_envsz00_534, (int) (((long) 4)));
														{	/* Heap/restore.scm 66 */

															if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_536))
																{	/* Heap/restore.scm 68 */
																	BFALSE;
																}
															else
																{	/* Heap/restore.scm 73 */
																	obj_t BgL_arg1451z00_542;

																	{	/* Heap/restore.scm 73 */
																		obj_t BgL_arg1454z00_543;

																		{	/* Heap/restore.scm 73 */
																			obj_t BgL_arg1457z00_546;

																			BgL_arg1457z00_546 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			BgL_arg1454z00_543 =
																				(((BgL_backendz00_bglt)
																					CREF(((BgL_backendz00_bglt)
																							BgL_arg1457z00_546)))->
																				BgL_languagez00);
																		}
																		{	/* Heap/restore.scm 71 */
																			obj_t BgL_list1455z00_544;

																			{	/* Heap/restore.scm 71 */
																				obj_t BgL_arg1456z00_545;

																				BgL_arg1456z00_545 =
																					MAKE_PAIR(BgL_arg1454z00_543, BNIL);
																				BgL_list1455z00_544 =
																					MAKE_PAIR(BgL_targetz00_536,
																					BgL_arg1456z00_545);
																			}
																			BgL_arg1451z00_542 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1779z00zzheap_restorez00,
																				BgL_list1455z00_544);
																		}
																	}
																	BGl_errorz00zz__errorz00
																		(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																		BGl_string1780z00zzheap_restorez00,
																		BgL_arg1451z00_542);
																}
															{	/* Heap/restore.scm 74 */
																bool_t BgL_testz00_1279;

																if (CBOOL
																	(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 74 */
																		BgL_testz00_1279 = ((bool_t) 1);
																	}
																else
																	{	/* Heap/restore.scm 74 */
																		BgL_testz00_1279 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_versionz00_537,
																			BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
																	}
																if (BgL_testz00_1279)
																	{	/* Heap/restore.scm 74 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 78 */
																		obj_t BgL_arg1466z00_548;

																		{	/* Heap/restore.scm 78 */
																			obj_t BgL_list1467z00_549;

																			{	/* Heap/restore.scm 78 */
																				obj_t BgL_arg1470z00_550;

																				BgL_arg1470z00_550 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																					BNIL);
																				BgL_list1467z00_549 =
																					MAKE_PAIR(BgL_versionz00_537,
																					BgL_arg1470z00_550);
																			}
																			BgL_arg1466z00_548 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1781z00zzheap_restorez00,
																				BgL_list1467z00_549);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1782z00zzheap_restorez00,
																			BgL_arg1466z00_548);
																	}
															}
															{	/* Heap/restore.scm 81 */
																bool_t BgL_testz00_1287;

																if (CBOOL
																	(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 81 */
																		BgL_testz00_1287 = ((bool_t) 1);
																	}
																else
																	{	/* Heap/restore.scm 81 */
																		BgL_testz00_1287 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_specificz00_538,
																			BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
																	}
																if (BgL_testz00_1287)
																	{	/* Heap/restore.scm 81 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 85 */
																		obj_t BgL_arg1473z00_552;

																		{	/* Heap/restore.scm 85 */
																			obj_t BgL_list1474z00_553;

																			{	/* Heap/restore.scm 85 */
																				obj_t BgL_arg1477z00_554;

																				BgL_arg1477z00_554 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																					BNIL);
																				BgL_list1474z00_553 =
																					MAKE_PAIR(BgL_specificz00_538,
																					BgL_arg1477z00_554);
																			}
																			BgL_arg1473z00_552 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1781z00zzheap_restorez00,
																				BgL_list1474z00_553);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1783z00zzheap_restorez00,
																			BgL_arg1473z00_552);
																	}
															}
															BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_539);
															BGl_setzd2tenvz12zc0zztype_envz00
																(BgL_tenvz00_540);
															if (CBOOL
																(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
																{	/* Heap/restore.scm 93 */
																	BFALSE;
																}
															else
																{	/* Heap/restore.scm 93 */
																	BGl_unbindzd2callzf2ccz12z32zzheap_restorez00
																		();
																}
															{	/* Heap/restore.scm 96 */
																bool_t BgL_testz00_1300;

																{	/* Heap/restore.scm 96 */
																	obj_t BgL_arg1501z00_565;

																	BgL_arg1501z00_565 =
																		BGl_thezd2backendzd2zzbackend_backendz00();
																	BgL_testz00_1300 =
																		(((BgL_backendz00_bglt) CREF(
																				((BgL_backendz00_bglt)
																					BgL_arg1501z00_565)))->
																		BgL_qualifiedzd2typeszd2);
																}
																if (BgL_testz00_1300)
																	{	/* Heap/restore.scm 96 */
																		BGl_forzd2eachzd2globalz12z12zzast_envz00
																			(BGl_proc1784z00zzheap_restorez00, BNIL);
																		BgL_genvz00_539;
																	}
																else
																	{	/* Heap/restore.scm 96 */
																		BFALSE;
																	}
															}
															BGl_forzd2eachzd2globalz12z12zzast_envz00
																(BGl_proc1785z00zzheap_restorez00, BNIL);
															BgL_val1075z00_533 = ((bool_t) 1);
														}
													}
												}
											}
										}
									}
								}
							}
							POP_EXIT();
							return BBOOL(BgL_val1075z00_533);
						}
					}
				}
		}
	}



/* &restore-heap */
	obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t BgL_envz00_1110)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 43 */
			return BGl_restorezd2heapzd2zzheap_restorez00();
		}
	}



/* &<anonymous:1510> */
	obj_t BGl_z62zc3anonymousza31510ze3ze1zzheap_restorez00(obj_t BgL_envz00_1111,
		obj_t BgL_newz00_1112)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 106 */
			{
				obj_t BgL_newz00_568;

				BgL_newz00_568 = BgL_newz00_1112;
				{	/* Heap/restore.scm 107 */
					obj_t BgL_arg1512z00_1026;

					BgL_arg1512z00_1026 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_568)))->BgL_modulez00);
					{	/* Heap/restore.scm 107 */
						obj_t BgL_list1513z00_1027;

						BgL_list1513z00_1027 = MAKE_PAIR(BgL_arg1512z00_1026, BNIL);
						return
							BGl_heapzd2modulezd2listz00zzheap_restorez00
							(BgL_list1513z00_1027);
					}
				}
			}
		}
	}



/* &<anonymous:1482> */
	obj_t BGl_z62zc3anonymousza31482ze3ze1zzheap_restorez00(obj_t BgL_envz00_1113,
		obj_t BgL_newz00_1114)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 98 */
			{
				obj_t BgL_newz00_558;

				BgL_newz00_558 = BgL_newz00_1114;
				{	/* Heap/restore.scm 100 */
					obj_t BgL_arg1493z00_560;
					obj_t BgL_arg1496z00_561;
					obj_t BgL_arg1499z00_562;

					BgL_arg1493z00_560 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_558)))->BgL_modulez00);
					BgL_arg1496z00_561 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_558)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1499z00_562 = BGl_shapez00zztools_shapez00(BgL_newz00_558);
					{	/* Heap/restore.scm 99 */
						obj_t BgL_list1500z00_563;

						BgL_list1500z00_563 = MAKE_PAIR(BgL_arg1499z00_562, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1493z00_560,
							BgL_arg1496z00_561, BgL_list1500z00_563);
					}
				}
			}
		}
	}



/* unbind-call/cc! */
	obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 117 */
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								3)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 118 */
					BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 118 */
					BFALSE;
				}
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								5)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 120 */
					return
						BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 120 */
					return BFALSE;
				}
		}
	}



/* restore-additional-heaps */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 128 */
			if (PAIRP(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00))
				{	/* Heap/restore.scm 130 */
					obj_t BgL_sufz00_583;

					{	/* Heap/restore.scm 130 */
						obj_t BgL_arg1558z00_610;

						{	/* Heap/restore.scm 130 */
							obj_t BgL_arg1563z00_611;

							BgL_arg1563z00_611 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_arg1558z00_610 =
								(((BgL_backendz00_bglt) CREF(
										((BgL_backendz00_bglt) BgL_arg1563z00_611)))->
								BgL_heapzd2suffixzd2);
						}
						BgL_sufz00_583 =
							string_append(BGl_string1786z00zzheap_restorez00,
							BgL_arg1558z00_610);
					}
					{	/* Heap/restore.scm 131 */
						obj_t BgL_list1526z00_584;

						{	/* Heap/restore.scm 131 */
							obj_t BgL_arg1527z00_585;

							{	/* Heap/restore.scm 131 */
								obj_t BgL_arg1531z00_586;

								BgL_arg1531z00_586 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1527z00_585 =
									MAKE_PAIR(BGl_string1787z00zzheap_restorez00,
									BgL_arg1531z00_586);
							}
							BgL_list1526z00_584 =
								MAKE_PAIR(BGl_string1773z00zzheap_restorez00,
								BgL_arg1527z00_585);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1526z00_584);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1787z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_590;
						obj_t BgL_hnamesz00_591;

						BgL_hooksz00_590 = BNIL;
						BgL_hnamesz00_591 = BNIL;
					BgL_zc3anonymousza31532ze3z83_592:
						if (NULLP(BgL_hooksz00_590))
							{	/* Heap/restore.scm 131 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 131 */
								bool_t BgL_testz00_1352;

								{	/* Heap/restore.scm 131 */
									obj_t BgL_fun1546z00_598;

									BgL_fun1546z00_598 = CAR(BgL_hooksz00_590);
									BgL_testz00_1352 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1546z00_598)
										(BgL_fun1546z00_598, BEOA));
								}
								if (BgL_testz00_1352)
									{
										obj_t BgL_hnamesz00_1360;
										obj_t BgL_hooksz00_1358;

										BgL_hooksz00_1358 = CDR(BgL_hooksz00_590);
										BgL_hnamesz00_1360 = CDR(BgL_hnamesz00_591);
										BgL_hnamesz00_591 = BgL_hnamesz00_1360;
										BgL_hooksz00_590 = BgL_hooksz00_1358;
										goto BgL_zc3anonymousza31532ze3z83_592;
									}
								else
									{	/* Heap/restore.scm 131 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1787z00zzheap_restorez00,
											BGl_string1774z00zzheap_restorez00,
											CAR(BgL_hnamesz00_591));
									}
							}
					}
					{	/* Heap/restore.scm 132 */
						obj_t BgL_g1359z00_601;

						BgL_g1359z00_601 =
							bgl_reverse
							(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						{
							obj_t BgL_l1357z00_603;

							{	/* Heap/restore.scm 134 */
								bool_t BgL_auxz00_1365;

								BgL_l1357z00_603 = BgL_g1359z00_601;
							BgL_zc3anonymousza31548ze3z83_604:
								if (PAIRP(BgL_l1357z00_603))
									{	/* Heap/restore.scm 134 */
										{	/* Heap/restore.scm 133 */
											obj_t BgL_hz00_606;

											BgL_hz00_606 = CAR(BgL_l1357z00_603);
											BGl_restorezd2additionalzd2heapz00zzheap_restorez00
												(string_append(BgL_hz00_606, BgL_sufz00_583));
										}
										{
											obj_t BgL_l1357z00_1371;

											BgL_l1357z00_1371 = CDR(BgL_l1357z00_603);
											BgL_l1357z00_603 = BgL_l1357z00_1371;
											goto BgL_zc3anonymousza31548ze3z83_604;
										}
									}
								else
									{	/* Heap/restore.scm 134 */
										BgL_auxz00_1365 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_1365);
							}
						}
					}
				}
			else
				{	/* Heap/restore.scm 129 */
					return BFALSE;
				}
		}
	}



/* &restore-additional-heaps */
	obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t
		BgL_envz00_1115)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 128 */
			return BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
		}
	}



/* restore-additional-heap */
	BGL_EXPORTED_DEF obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 139 */
			{	/* Heap/restore.scm 140 */
				obj_t BgL_fnamez00_612;

				BgL_fnamez00_612 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_612))
					{	/* Heap/restore.scm 142 */
						obj_t BgL_portz00_614;

						BgL_portz00_614 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_612);
						if (BINARY_PORTP(BgL_portz00_614))
							{	/* Heap/restore.scm 143 */
								{	/* Heap/restore.scm 148 */
									obj_t BgL_list1566z00_616;

									{	/* Heap/restore.scm 148 */
										obj_t BgL_arg1568z00_617;

										{	/* Heap/restore.scm 148 */
											obj_t BgL_arg1571z00_618;

											{	/* Heap/restore.scm 148 */
												obj_t BgL_arg1580z00_619;

												BgL_arg1580z00_619 =
													MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
												BgL_arg1571z00_618 =
													MAKE_PAIR(BGl_string1775z00zzheap_restorez00,
													BgL_arg1580z00_619);
											}
											BgL_arg1568z00_617 =
												MAKE_PAIR(BgL_fnamez00_612, BgL_arg1571z00_618);
										}
										BgL_list1566z00_616 =
											MAKE_PAIR(BGl_string1776z00zzheap_restorez00,
											BgL_arg1568z00_617);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1566z00_616);
								}
								{	/* Heap/restore.scm 149 */
									obj_t BgL_val1079z00_620;

									BgL_val1079z00_620 =
										BGl_zc3exitza31590ze3z83zzheap_restorez00(BgL_heapz00_4,
										BgL_portz00_614);
									close_binary_port(BgL_portz00_614);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val1079z00_620)))
										{	/* Heap/restore.scm 212 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val1079z00_620), CDR(BgL_val1079z00_620));
										}
									else
										{	/* Heap/restore.scm 212 */
											return BgL_val1079z00_620;
										}
								}
							}
						else
							{	/* Heap/restore.scm 144 */
								obj_t BgL_mz00_679;

								{	/* Heap/restore.scm 144 */
									obj_t BgL_list1681z00_680;

									BgL_list1681z00_680 = MAKE_PAIR(BgL_fnamez00_612, BNIL);
									BgL_mz00_679 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1777z00zzheap_restorez00, BgL_list1681z00_680);
								}
								BGl_errorz00zz__errorz00(BGl_string1788z00zzheap_restorez00,
									BgL_mz00_679, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
					}}
				else
					{	/* Heap/restore.scm 213 */
						obj_t BgL_mz00_681;

						{	/* Heap/restore.scm 213 */
							obj_t BgL_list1682z00_682;

							BgL_list1682z00_682 = MAKE_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_681 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1777z00zzheap_restorez00, BgL_list1682z00_682);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 6)), BgL_mz00_681,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
		}}}
	}



/* <exit:1590> */
	obj_t BGl_zc3exitza31590ze3z83zzheap_restorez00(obj_t BgL_heapz00_1128,
		obj_t BgL_portz00_1127)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 212 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1080z00_625;

			if (SET_EXIT(BgL_an_exit1080z00_625))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1080z00_625 = (void *) jmpbuf;
					{	/* Heap/restore.scm 212 */

						PUSH_EXIT(BgL_an_exit1080z00_625, ((long) 0));
						{	/* Heap/restore.scm 150 */
							bool_t BgL_val1081z00_626;

							{	/* Heap/restore.scm 150 */
								obj_t BgL_envsz00_627;

								BgL_envsz00_627 = input_obj(BgL_portz00_1127);
								{	/* Heap/restore.scm 150 */
									obj_t BgL__z00_628;

									{	/* Heap/restore.scm 151 */
										bool_t BgL_testz00_1411;

										{	/* Heap/restore.scm 151 */
											bool_t BgL_testz00_1412;

											{	/* Heap/restore.scm 151 */
												obj_t BgL_v1360z00_678;

												BgL_v1360z00_678 = create_vector((int) (((long) 1)));
												VECTOR_SET(BgL_v1360z00_678,
													(int) (((long) 0)), BgL_envsz00_627);
												BgL_testz00_1412 = ((bool_t) 1);
											}
											if (BgL_testz00_1412)
												{	/* Heap/restore.scm 152 */
													int BgL_arg1680z00_677;

													BgL_arg1680z00_677 = VECTOR_LENGTH(BgL_envsz00_627);
													BgL_testz00_1411 =
														((long) (BgL_arg1680z00_677) == ((long) 6));
												}
											else
												{	/* Heap/restore.scm 151 */
													BgL_testz00_1411 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_1411)
											{	/* Heap/restore.scm 151 */
												BgL__z00_628 = BFALSE;
											}
										else
											{	/* Heap/restore.scm 151 */
												BgL__z00_628 =
													BGl_errorz00zz__errorz00(BgL_heapz00_1128,
													BGl_string1778z00zzheap_restorez00, BgL_envsz00_627);
											}
									}
									{	/* Heap/restore.scm 151 */
										obj_t BgL_targetz00_629;

										BgL_targetz00_629 =
											VECTOR_REF(BgL_envsz00_627, (int) (((long) 0)));
										{	/* Heap/restore.scm 154 */
											obj_t BgL_versionz00_630;

											BgL_versionz00_630 =
												VECTOR_REF(BgL_envsz00_627, (int) (((long) 1)));
											{	/* Heap/restore.scm 155 */
												obj_t BgL_specificz00_631;

												BgL_specificz00_631 =
													VECTOR_REF(BgL_envsz00_627, (int) (((long) 2)));
												{	/* Heap/restore.scm 156 */
													obj_t BgL_genvz00_632;

													BgL_genvz00_632 =
														VECTOR_REF(BgL_envsz00_627, (int) (((long) 3)));
													{	/* Heap/restore.scm 157 */
														obj_t BgL_tenvz00_633;

														BgL_tenvz00_633 =
															VECTOR_REF(BgL_envsz00_627, (int) (((long) 4)));
														{	/* Heap/restore.scm 158 */
															obj_t BgL_includesz00_634;

															BgL_includesz00_634 =
																VECTOR_REF(BgL_envsz00_627, (int) (((long) 5)));
															{	/* Heap/restore.scm 159 */

																if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_629))
																	{	/* Heap/restore.scm 161 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 166 */
																		obj_t BgL_arg1596z00_636;

																		{	/* Heap/restore.scm 166 */
																			obj_t BgL_arg1599z00_637;

																			{	/* Heap/restore.scm 166 */
																				obj_t BgL_arg1608z00_640;

																				BgL_arg1608z00_640 =
																					BGl_thezd2backendzd2zzbackend_backendz00
																					();
																				BgL_arg1599z00_637 =
																					(((BgL_backendz00_bglt)
																						CREF(((BgL_backendz00_bglt)
																								BgL_arg1608z00_640)))->
																					BgL_languagez00);
																			}
																			{	/* Heap/restore.scm 164 */
																				obj_t BgL_list1600z00_638;

																				{	/* Heap/restore.scm 164 */
																					obj_t BgL_arg1605z00_639;

																					BgL_arg1605z00_639 =
																						MAKE_PAIR(BgL_arg1599z00_637, BNIL);
																					BgL_list1600z00_638 =
																						MAKE_PAIR(BgL_targetz00_629,
																						BgL_arg1605z00_639);
																				}
																				BgL_arg1596z00_636 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string1779z00zzheap_restorez00,
																					BgL_list1600z00_638);
																			}
																		}
																		BGl_errorz00zz__errorz00(BgL_heapz00_1128,
																			BGl_string1780z00zzheap_restorez00,
																			BgL_arg1596z00_636);
																	}
																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																	(BgL_versionz00_630,
																		BGl_za2bigloozd2versionza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 167 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 170 */
																		obj_t BgL_arg1612z00_642;

																		{	/* Heap/restore.scm 170 */
																			obj_t BgL_list1613z00_643;

																			{	/* Heap/restore.scm 170 */
																				obj_t BgL_arg1618z00_644;

																				BgL_arg1618z00_644 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																					BNIL);
																				BgL_list1613z00_643 =
																					MAKE_PAIR(BgL_versionz00_630,
																					BgL_arg1618z00_644);
																			}
																			BgL_arg1612z00_642 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1781z00zzheap_restorez00,
																				BgL_list1613z00_643);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1782z00zzheap_restorez00,
																			BgL_arg1612z00_642);
																	}
																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																	(BgL_specificz00_631,
																		BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00))
																	{	/* Heap/restore.scm 173 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 176 */
																		obj_t BgL_arg1624z00_646;

																		{	/* Heap/restore.scm 176 */
																			obj_t BgL_list1625z00_647;

																			{	/* Heap/restore.scm 176 */
																				obj_t BgL_arg1628z00_648;

																				BgL_arg1628z00_648 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																					BNIL);
																				BgL_list1625z00_647 =
																					MAKE_PAIR(BgL_specificz00_631,
																					BgL_arg1628z00_648);
																			}
																			BgL_arg1624z00_646 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1781z00zzheap_restorez00,
																				BgL_list1625z00_647);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1783z00zzheap_restorez00,
																			BgL_arg1624z00_646);
																	}
																BGl_addzd2tenvz12zc0zztype_envz00
																	(BgL_tenvz00_633);
																BGl_addzd2genvz12zc0zzast_envz00
																	(BgL_genvz00_632);
																{	/* Heap/restore.scm 192 */
																	bool_t BgL_testz00_1456;

																	{	/* Heap/restore.scm 192 */
																		obj_t BgL_arg1653z00_659;

																		BgL_arg1653z00_659 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		BgL_testz00_1456 =
																			(((BgL_backendz00_bglt)
																				CREF(((BgL_backendz00_bglt)
																						BgL_arg1653z00_659)))->
																			BgL_qualifiedzd2typeszd2);
																	}
																	if (BgL_testz00_1456)
																		{	/* Heap/restore.scm 192 */
																			BGl_forzd2eachzd2globalz12z12zzast_envz00
																				(BGl_proc1789z00zzheap_restorez00,
																				BNIL);
																		}
																	else
																		{	/* Heap/restore.scm 192 */
																			BFALSE;
																		}
																}
																BGl_hashtablezd2forzd2eachz00zz__hashz00
																	(BgL_genvz00_632,
																	BGl_proc1790z00zzheap_restorez00);
																BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00
																	=
																	BGl_appendzd221011zd2zzheap_restorez00
																	(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00,
																	BgL_includesz00_634);
																BgL_val1081z00_626 = ((bool_t) 1);
															}
														}
													}
												}
											}
										}
									}
								}
							}
							POP_EXIT();
							return BBOOL(BgL_val1081z00_626);
						}
					}
				}
		}
	}



/* &restore-additional-heap */
	obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t
		BgL_envz00_1118, obj_t BgL_heapz00_1119)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 139 */
			return
				BGl_restorezd2additionalzd2heapz00zzheap_restorez00(BgL_heapz00_1119);
		}
	}



/* &<anonymous:1657> */
	obj_t BGl_z62zc3anonymousza31657ze3ze1zzheap_restorez00(obj_t BgL_envz00_1120,
		obj_t BgL_kz00_1121, obj_t BgL_bucketz00_1122)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 202 */
			{
				obj_t BgL_kz00_661;
				obj_t BgL_bucketz00_662;

				{	/* Heap/restore.scm 203 */
					bool_t BgL_auxz00_1466;

					BgL_kz00_661 = BgL_kz00_1121;
					BgL_bucketz00_662 = BgL_bucketz00_1122;
					{	/* Heap/restore.scm 203 */
						obj_t BgL_g1363z00_664;

						BgL_g1363z00_664 = CDR(BgL_bucketz00_662);
						{
							obj_t BgL_l1361z00_666;

							BgL_l1361z00_666 = BgL_g1363z00_664;
						BgL_zc3anonymousza31658ze3z83_667:
							if (PAIRP(BgL_l1361z00_666))
								{	/* Heap/restore.scm 206 */
									{	/* Heap/restore.scm 204 */
										obj_t BgL_newz00_669;

										BgL_newz00_669 = CAR(BgL_l1361z00_666);
										{	/* Heap/restore.scm 205 */
											obj_t BgL_arg1669z00_670;

											BgL_arg1669z00_670 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_669)))->
												BgL_modulez00);
											{	/* Heap/restore.scm 204 */
												obj_t BgL_list1670z00_671;

												BgL_list1670z00_671 =
													MAKE_PAIR(BgL_arg1669z00_670, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list1670z00_671);
											}
										}
									}
									{
										obj_t BgL_l1361z00_1475;

										BgL_l1361z00_1475 = CDR(BgL_l1361z00_666);
										BgL_l1361z00_666 = BgL_l1361z00_1475;
										goto BgL_zc3anonymousza31658ze3z83_667;
									}
								}
							else
								{	/* Heap/restore.scm 206 */
									BgL_auxz00_1466 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1466);
				}
			}
		}
	}



/* &<anonymous:1636> */
	obj_t BGl_z62zc3anonymousza31636ze3ze1zzheap_restorez00(obj_t BgL_envz00_1123,
		obj_t BgL_newz00_1124)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 194 */
			{
				obj_t BgL_newz00_652;

				BgL_newz00_652 = BgL_newz00_1124;
				{	/* Heap/restore.scm 196 */
					obj_t BgL_arg1642z00_654;
					obj_t BgL_arg1648z00_655;
					obj_t BgL_arg1649z00_656;

					BgL_arg1642z00_654 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_652)))->BgL_modulez00);
					BgL_arg1648z00_655 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_652)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1649z00_656 = BGl_shapez00zztools_shapez00(BgL_newz00_652);
					{	/* Heap/restore.scm 195 */
						obj_t BgL_list1650z00_657;

						BgL_list1650z00_657 = MAKE_PAIR(BgL_arg1649z00_656, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1642z00_654,
							BgL_arg1648z00_655, BgL_list1650z00_657);
					}
				}
			}
		}
	}



/* heap-module-list */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t
		BgL_argsz00_5)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 233 */
			if (NULLP(BgL_argsz00_5))
				{	/* Heap/restore.scm 235 */
					return BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00;
				}
			else
				{	/* Heap/restore.scm 235 */
					if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(CAR(BgL_argsz00_5),
								CNST_TABLE_REF(((long) 0)))))
						{	/* Heap/restore.scm 237 */
							return BFALSE;
						}
					else
						{	/* Heap/restore.scm 237 */
							{	/* Heap/restore.scm 238 */
								obj_t BgL_arg1687z00_685;

								BgL_arg1687z00_685 = CAR(BgL_argsz00_5);
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_arg1687z00_685,
									CNST_TABLE_REF(((long) 0)), BTRUE);
							}
							{	/* Heap/restore.scm 239 */
								obj_t BgL_arg1696z00_686;

								BgL_arg1696z00_686 = CAR(BgL_argsz00_5);
								return (BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 =
									MAKE_PAIR(BgL_arg1696z00_686,
										BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00),
									BUNSPEC);
							}
						}
				}
		}
	}



/* &heap-module-list */
	obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t BgL_envz00_1125,
		obj_t BgL_argsz00_1126)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 233 */
			return BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_argsz00_1126);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 373986149),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string1791z00zzheap_restorez00));
		}
	}

#ifdef __cplusplus
}
#endif
