/*===========================================================================*/
/*   (Reduce/copy.scm)                                                       */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/copy.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sync1807z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2fail1821z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2copyz121794za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2app1839z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_copyz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1827za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2closure1803z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_copyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1819z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2kwote1799z70zzreduce_copyz00(obj_t, obj_t);
	static long BGl_za2copyzd2removedza2zd2zzreduce_copyz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121835zb0zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1833za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1831z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2atom1797z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2var1801z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_copyz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2cast1815z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setq1817z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_copyz00();
	static obj_t BGl_genericzd2initzd2zzreduce_copyz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2funcall1811z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1837za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2appzd2ly1809za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2select1823z70zzreduce_copyz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_copyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2extern1813z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
	static obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1825za2zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1829z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sequence1805z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762reduceza7d2copy2028z00,
		BGl_z62reducezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712029za7,
		BGl_z62nodezd2copyz121794za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2000z00zzreduce_copyz00,
		BgL_bgl_string2000za700za7za7r2030za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2002z00zzreduce_copyz00,
		BgL_bgl_string2002za700za7za7r2031za7, "node-copy!", 10);
	      DEFINE_STRING(BGl_string2024z00zzreduce_copyz00,
		BgL_bgl_string2024za700za7za7r2032za7, "reduce_copy", 11);
	      DEFINE_STRING(BGl_string2025z00zzreduce_copyz00,
		BgL_bgl_string2025za700za7za7r2033za7, "read node-copy!1794 done ", 25);
	      DEFINE_STRING(BGl_string1996z00zzreduce_copyz00,
		BgL_bgl_string1996za700za7za7r2034za7, "      copy propagation       ", 29);
	      DEFINE_STRING(BGl_string1997z00zzreduce_copyz00,
		BgL_bgl_string1997za700za7za7r2035za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1999z00zzreduce_copyz00,
		BgL_bgl_string1999za700za7za7r2036za7, "node-copy!1794", 14);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712037za7,
		BGl_z62nodezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712038za7,
		BGl_z62nodezd2copyz12zd2atom1797z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712039za7,
		BGl_z62nodezd2copyz12zd2kwote1799z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712040za7,
		BGl_z62nodezd2copyz12zd2var1801z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712041za7,
		BGl_z62nodezd2copyz12zd2closure1803z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712042za7,
		BGl_z62nodezd2copyz12zd2sequence1805z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712043za7,
		BGl_z62nodezd2copyz12zd2sync1807z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712044za7,
		BGl_z62nodezd2copyz12zd2appzd2ly1809za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712045za7,
		BGl_z62nodezd2copyz12zd2funcall1811z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712046za7,
		BGl_z62nodezd2copyz12zd2extern1813z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712047za7,
		BGl_z62nodezd2copyz12zd2cast1815z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712048za7,
		BGl_z62nodezd2copyz12zd2setq1817z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712049za7,
		BGl_z62nodezd2copyz12zd2condition1819z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712050za7,
		BGl_z62nodezd2copyz12zd2fail1821z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712051za7,
		BGl_z62nodezd2copyz12zd2select1823z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712052za7,
		BGl_z62nodezd2copyz12zd2letzd2fun1825za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712053za7,
		BGl_z62nodezd2copyz12zd2letzd2var1827za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712054za7,
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1829z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712055za7,
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1831z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712056za7,
		BGl_z62nodezd2copyz12zd2makezd2box1833za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712057za7,
		BGl_z62nodezd2copyz12zd2boxzd2setz121835zb0zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712058za7,
		BGl_z62nodezd2copyz12zd2boxzd2ref1837za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712059za7,
		BGl_z62nodezd2copyz12zd2app1839z70zzreduce_copyz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long
		BgL_checksumz00_2349, char *BgL_fromz00_2350)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_copyz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_copyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
					BGl_cnstzd2initzd2zzreduce_copyz00();
					BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
					BGl_genericzd2initzd2zzreduce_copyz00();
					BGl_methodzd2initzd2zzreduce_copyz00();
					BGl_toplevelzd2initzd2zzreduce_copyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_copy");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			{	/* Reduce/copy.scm 15 */
				obj_t BgL_cportz00_2338;

				BgL_cportz00_2338 =
					bgl_open_input_string(BGl_string2025z00zzreduce_copyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2339;

					BgL_iz00_2339 = ((long) 2);
				BgL_loopz00_2340:
					if ((BgL_iz00_2339 == ((long) -1)))
						{	/* Reduce/copy.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/copy.scm 15 */
							{	/* Reduce/copy.scm 15 */
								obj_t BgL_arg2027z00_2342;

								{	/* Reduce/copy.scm 15 */

									{	/* Reduce/copy.scm 15 */
										obj_t BgL_locationz00_2344;

										BgL_locationz00_2344 = BBOOL(((bool_t) 0));
										{	/* Reduce/copy.scm 15 */

											BgL_arg2027z00_2342 =
												BGl_readz00zz__readerz00(BgL_cportz00_2338,
												BgL_locationz00_2344);
										}
									}
								}
								{	/* Reduce/copy.scm 15 */
									int BgL_auxz00_2372;

									BgL_auxz00_2372 = (int) (BgL_iz00_2339);
									CNST_TABLE_SET(BgL_auxz00_2372, BgL_arg2027z00_2342);
							}}
							{	/* Reduce/copy.scm 15 */
								int BgL_auxz00_2345;

								BgL_auxz00_2345 = (int) ((BgL_iz00_2339 - ((long) 1)));
								{
									long BgL_iz00_2377;

									BgL_iz00_2377 = (long) (BgL_auxz00_2345);
									BgL_iz00_2339 = BgL_iz00_2377;
									goto BgL_loopz00_2340;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-copy! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 34 */
			{	/* Reduce/copy.scm 35 */
				obj_t BgL_list1843z00_1211;

				BgL_list1843z00_1211 =
					MAKE_PAIR(BGl_string1996z00zzreduce_copyz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1843z00_1211);
			}
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			{
				obj_t BgL_l1786z00_1213;

				BgL_l1786z00_1213 = BgL_globalsz00_3;
			BgL_zc3anonymousza31844ze3z83_1214:
				if (PAIRP(BgL_l1786z00_1213))
					{	/* Reduce/copy.scm 37 */
						{	/* Reduce/copy.scm 38 */
							obj_t BgL_globalz00_1216;

							BgL_globalz00_1216 = CAR(BgL_l1786z00_1213);
							{	/* Reduce/copy.scm 38 */
								BgL_valuez00_bglt BgL_funz00_1217;

								BgL_funz00_1217 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1216))))->
									BgL_valuez00);
								{	/* Reduce/copy.scm 38 */
									obj_t BgL_nodez00_1218;

									BgL_nodez00_1218 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1217)))->BgL_bodyz00);
									{	/* Reduce/copy.scm 39 */

										{	/* Reduce/copy.scm 40 */
											BgL_nodez00_bglt BgL_arg1846z00_1219;

											BgL_arg1846z00_1219 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_nodez00_1218));
											{	/* Reduce/copy.scm 40 */
												BgL_sfunz00_bglt BgL_oz00_2147;
												obj_t BgL_vz00_2148;

												BgL_oz00_2147 = ((BgL_sfunz00_bglt) BgL_funz00_1217);
												BgL_vz00_2148 = ((obj_t) BgL_arg1846z00_1219);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2147))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2148), BUNSPEC);
											}
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1786z00_2395;

							BgL_l1786z00_2395 = CDR(BgL_l1786z00_1213);
							BgL_l1786z00_1213 = BgL_l1786z00_2395;
							goto BgL_zc3anonymousza31844ze3z83_1214;
						}
					}
				else
					{	/* Reduce/copy.scm 37 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/copy.scm 43 */
				obj_t BgL_list1848z00_1222;

				{	/* Reduce/copy.scm 43 */
					obj_t BgL_arg1849z00_1223;

					{	/* Reduce/copy.scm 43 */
						obj_t BgL_arg1850z00_1224;

						{	/* Reduce/copy.scm 43 */
							obj_t BgL_arg1851z00_1225;

							BgL_arg1851z00_1225 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1850z00_1224 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg1851z00_1225);
						}
						BgL_arg1849z00_1223 =
							MAKE_PAIR(BINT(BGl_za2copyzd2removedza2zd2zzreduce_copyz00),
							BgL_arg1850z00_1224);
					}
					BgL_list1848z00_1222 =
						MAKE_PAIR(BGl_string1997z00zzreduce_copyz00, BgL_arg1849z00_1223);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1848z00_1222);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-copy! */
	obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t BgL_envz00_2265,
		obj_t BgL_globalsz00_2266)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 34 */
			return BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_2266);
		}
	}



/* node-copy*! */
	obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 285 */
			{
				obj_t BgL_nodeza2za2_1227;

				BgL_nodeza2za2_1227 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31852ze3z83_1228:
				if (NULLP(BgL_nodeza2za2_1227))
					{	/* Reduce/copy.scm 287 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/copy.scm 287 */
						{	/* Reduce/copy.scm 290 */
							BgL_nodez00_bglt BgL_arg1855z00_1230;

							{	/* Reduce/copy.scm 290 */
								obj_t BgL_arg1856z00_1231;

								BgL_arg1856z00_1231 = CAR(BgL_nodeza2za2_1227);
								BgL_arg1855z00_1230 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_arg1856z00_1231));
							}
							{	/* Reduce/copy.scm 290 */
								obj_t BgL_pairz00_2154;
								obj_t BgL_objz00_2155;

								BgL_pairz00_2154 = BgL_nodeza2za2_1227;
								BgL_objz00_2155 = ((obj_t) BgL_arg1855z00_1230);
								SET_CAR(BgL_pairz00_2154, BgL_objz00_2155);
							}
						}
						{
							obj_t BgL_nodeza2za2_2415;

							BgL_nodeza2za2_2415 = CDR(BgL_nodeza2za2_1227);
							BgL_nodeza2za2_1227 = BgL_nodeza2za2_2415;
							goto BgL_zc3anonymousza31852ze3z83_1228;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_proc1998z00zzreduce_copyz00, BGl_nodez00zzast_nodez00,
				BGl_string1999z00zzreduce_copyz00);
		}
	}



/* &node-copy!1794 */
	obj_t BGl_z62nodezd2copyz121794za2zzreduce_copyz00(obj_t BgL_envz00_2268,
		obj_t BgL_nodez00_2269)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			{
				BgL_nodez00_bglt BgL_nodez00_1235;

				BgL_nodez00_1235 = ((BgL_nodez00_bglt) BgL_nodez00_2269);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string2000z00zzreduce_copyz00, ((obj_t) BgL_nodez00_1235));
		}}
	}



/* node-copy! */
	BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			{	/* Reduce/copy.scm 55 */
				obj_t BgL_method1795z00_1238;

				{	/* Reduce/copy.scm 55 */
					obj_t BgL_res1982z00_2185;

					{	/* Reduce/copy.scm 55 */
						BgL_objectz00_bglt BgL_objz00_2157;

						BgL_objz00_2157 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Reduce/copy.scm 55 */
							long BgL_objzd2classzd2numz00_2158;

							{	/* Reduce/copy.scm 55 */
								long BgL_res1976z00_2161;

								BgL_res1976z00_2161 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2157);
								BgL_objzd2classzd2numz00_2158 = BgL_res1976z00_2161;
							}
							{	/* Reduce/copy.scm 55 */
								obj_t BgL_arg1820z00_2159;

								BgL_arg1820z00_2159 =
									PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
									(int) (((long) 1)));
								{	/* Reduce/copy.scm 55 */
									obj_t BgL_arrayz00_2162;
									int BgL_offsetz00_2163;

									BgL_arrayz00_2162 = BgL_arg1820z00_2159;
									BgL_offsetz00_2163 = (int) (BgL_objzd2classzd2numz00_2158);
									{	/* Reduce/copy.scm 55 */
										long BgL_offsetz00_2164;

										BgL_offsetz00_2164 =
											((long) (BgL_offsetz00_2163) - OBJECT_TYPE);
										{	/* Reduce/copy.scm 55 */
											long BgL_modz00_2165;

											{	/* Reduce/copy.scm 55 */
												int BgL_arg1822z00_2166;

												BgL_arg1822z00_2166 = (int) (((long) 16));
												{	/* Reduce/copy.scm 55 */
													long BgL_res1979z00_2176;

													{	/* Reduce/copy.scm 55 */
														long BgL_auxz00_2430;

														BgL_auxz00_2430 = (long) (BgL_arg1822z00_2166);
														BgL_res1979z00_2176 =
															(BgL_offsetz00_2164 / BgL_auxz00_2430);
													}
													BgL_modz00_2165 = BgL_res1979z00_2176;
											}}
											{	/* Reduce/copy.scm 55 */
												long BgL_restz00_2167;

												{	/* Reduce/copy.scm 55 */
													int BgL_arg1821z00_2168;

													BgL_arg1821z00_2168 = (int) (((long) 16));
													{	/* Reduce/copy.scm 55 */
														long BgL_res1981z00_2180;

														{	/* Reduce/copy.scm 55 */
															long BgL_auxz00_2434;

															BgL_auxz00_2434 = (long) (BgL_arg1821z00_2168);
															BgL_res1981z00_2180 =
																(BgL_offsetz00_2164 % BgL_auxz00_2434);
														}
														BgL_restz00_2167 = BgL_res1981z00_2180;
												}}
												{	/* Reduce/copy.scm 55 */

													BgL_res1982z00_2185 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2162,
															(int) (BgL_modz00_2165)),
														(int) (BgL_restz00_2167));
					}}}}}}}}
					BgL_method1795z00_1238 = BgL_res1982z00_2185;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1795z00_1238) (BgL_method1795z00_1238,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}
	}



/* &node-copy! */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t
		BgL_envz00_2270, obj_t BgL_nodez00_2271)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			return
				BGl_nodezd2copyz12zc0zzreduce_copyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2271));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc2001z00zzreduce_copyz00, BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2003z00zzreduce_copyz00, BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc2004z00zzreduce_copyz00, BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_closurez00zzast_nodez00, BGl_proc2005z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2006z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_syncz00zzast_nodez00,
				BGl_proc2007z00zzreduce_copyz00, BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2008z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2009z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_externz00zzast_nodez00, BGl_proc2010z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc2011z00zzreduce_copyz00, BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setqz00zzast_nodez00,
				BGl_proc2012z00zzreduce_copyz00, BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2013z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc2014z00zzreduce_copyz00, BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_selectz00zzast_nodez00, BGl_proc2015z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2016z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2017z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2018z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2019z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2020z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2021z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2022z00zzreduce_copyz00,
				BGl_string2002z00zzreduce_copyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appz00zzast_nodez00,
				BGl_proc2023z00zzreduce_copyz00, BGl_string2002z00zzreduce_copyz00);
		}
	}



/* &node-copy!-app1839 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2app1839z70zzreduce_copyz00(obj_t
		BgL_envz00_2294, obj_t BgL_nodez00_2295)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 277 */
			{
				BgL_appz00_bglt BgL_nodez00_1423;

				BgL_nodez00_1423 = ((BgL_appz00_bglt) BgL_nodez00_2295);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1423))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1423);
			}
		}
	}



/* &node-copy!-box-ref1837 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1837za2zzreduce_copyz00(obj_t
		BgL_envz00_2296, obj_t BgL_nodez00_2297)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 269 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1417;

				BgL_nodez00_1417 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2297);
				{
					BgL_varz00_bglt BgL_auxz00_2475;

					{	/* Reduce/copy.scm 271 */
						BgL_varz00_bglt BgL_arg1920z00_1421;

						BgL_arg1920z00_1421 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1417))->BgL_varz00);
						BgL_auxz00_2475 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg1920z00_1421)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1417))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2475), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1417);
			}
		}
	}



/* &node-copy!-box-set!1835 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121835zb0zzreduce_copyz00(obj_t
		BgL_envz00_2298, obj_t BgL_nodez00_2299)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 260 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1410;

				BgL_nodez00_1410 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2299);
				{
					BgL_varz00_bglt BgL_auxz00_2483;

					{	/* Reduce/copy.scm 262 */
						BgL_varz00_bglt BgL_arg1918z00_1414;

						BgL_arg1918z00_1414 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1410))->BgL_varz00);
						BgL_auxz00_2483 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg1918z00_1414)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1410))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2483), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2489;

					{	/* Reduce/copy.scm 263 */
						BgL_nodez00_bglt BgL_arg1919z00_1415;

						BgL_arg1919z00_1415 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1410))->
							BgL_valuez00);
						BgL_auxz00_2489 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1919z00_1415);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1410))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2489), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1410);
			}
		}
	}



/* &node-copy!-make-box1833 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1833za2zzreduce_copyz00(obj_t
		BgL_envz00_2300, obj_t BgL_nodez00_2301)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 252 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1404;

				BgL_nodez00_1404 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2301);
				{
					BgL_nodez00_bglt BgL_auxz00_2495;

					{	/* Reduce/copy.scm 254 */
						BgL_nodez00_bglt BgL_arg1917z00_1408;

						BgL_arg1917z00_1408 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1404))->BgL_valuez00);
						BgL_auxz00_2495 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1917z00_1408);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1404))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2495), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1404);
			}
		}
	}



/* &node-copy!-jump-ex-i1831 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1831z70zzreduce_copyz00(obj_t
		BgL_envz00_2302, obj_t BgL_nodez00_2303)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 243 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1397;

				BgL_nodez00_1397 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2303);
				{
					BgL_nodez00_bglt BgL_auxz00_2501;

					{	/* Reduce/copy.scm 245 */
						BgL_nodez00_bglt BgL_arg1915z00_1401;

						BgL_arg1915z00_1401 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1397))->
							BgL_exitz00);
						BgL_auxz00_2501 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1915z00_1401);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1397))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2501), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2505;

					{	/* Reduce/copy.scm 246 */
						BgL_nodez00_bglt BgL_arg1916z00_1402;

						BgL_arg1916z00_1402 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1397))->
							BgL_valuez00);
						BgL_auxz00_2505 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1916z00_1402);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1397))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2505), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1397);
			}
		}
	}



/* &node-copy!-set-ex-it1829 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1829z70zzreduce_copyz00(obj_t
		BgL_envz00_2304, obj_t BgL_nodez00_2305)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 234 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1390;

				BgL_nodez00_1390 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2305);
				{
					BgL_nodez00_bglt BgL_auxz00_2511;

					{	/* Reduce/copy.scm 236 */
						BgL_nodez00_bglt BgL_arg1912z00_1394;

						BgL_arg1912z00_1394 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1390))->
							BgL_bodyz00);
						BgL_auxz00_2511 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1912z00_1394);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1390))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2511), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2515;

					{	/* Reduce/copy.scm 237 */
						BgL_varz00_bglt BgL_arg1913z00_1395;

						BgL_arg1913z00_1395 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1390))->
							BgL_varz00);
						BgL_auxz00_2515 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(((BgL_nodez00_bglt)
									BgL_arg1913z00_1395)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1390))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2515), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1390);
			}
		}
	}



/* &node-copy!-let-var1827 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1827za2zzreduce_copyz00(obj_t
		BgL_envz00_2306, obj_t BgL_nodez00_2307)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 191 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1355;

				BgL_nodez00_1355 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2307);
				{
					obj_t BgL_obindingsz00_1362;
					obj_t BgL_nbindingsz00_1363;

					BgL_obindingsz00_1362 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1355))->BgL_bindingsz00);
					BgL_nbindingsz00_1363 = BNIL;
				BgL_zc3anonymousza31894ze3z83_1364:
					if (NULLP(BgL_obindingsz00_1362))
						{	/* Reduce/copy.scm 196 */
							bool_t BgL_testz00_2525;

							if (NULLP(BgL_nbindingsz00_1363))
								{	/* Reduce/copy.scm 196 */
									BgL_testz00_2525 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1355))->
										BgL_removablezf3zf3);
								}
							else
								{	/* Reduce/copy.scm 196 */
									BgL_testz00_2525 = ((bool_t) 0);
								}
							if (BgL_testz00_2525)
								{	/* Reduce/copy.scm 196 */
									return
										BGl_nodezd2copyz12zc0zzreduce_copyz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1355))->
											BgL_bodyz00));
								}
							else
								{	/* Reduce/copy.scm 196 */
									((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1355))->
											BgL_bindingsz00) =
										((obj_t) BgL_nbindingsz00_1363), BUNSPEC);
									{
										BgL_nodez00_bglt BgL_auxz00_2532;

										{	/* Reduce/copy.scm 200 */
											BgL_nodez00_bglt BgL_arg1898z00_1368;

											BgL_arg1898z00_1368 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1355))->
												BgL_bodyz00);
											BgL_auxz00_2532 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00
												(BgL_arg1898z00_1368);
										}
										((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1355))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_2532), BUNSPEC);
									}
									return ((BgL_nodez00_bglt) BgL_nodez00_1355);
								}
						}
					else
						{	/* Reduce/copy.scm 202 */
							obj_t BgL_bindingz00_1370;

							BgL_bindingz00_1370 = CAR(BgL_obindingsz00_1362);
							{	/* Reduce/copy.scm 202 */
								obj_t BgL_varz00_1371;

								BgL_varz00_1371 = CAR(BgL_bindingz00_1370);
								{	/* Reduce/copy.scm 203 */
									BgL_nodez00_bglt BgL_valz00_1372;

									{	/* Reduce/copy.scm 204 */
										obj_t BgL_arg1911z00_1387;

										BgL_arg1911z00_1387 = CDR(BgL_bindingz00_1370);
										BgL_valz00_1372 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00(
											((BgL_nodez00_bglt) BgL_arg1911z00_1387));
									}
									{	/* Reduce/copy.scm 204 */

										{	/* Reduce/copy.scm 205 */
											obj_t BgL_pairz00_2223;
											obj_t BgL_objz00_2224;

											BgL_pairz00_2223 = BgL_bindingz00_1370;
											BgL_objz00_2224 = ((obj_t) BgL_valz00_1372);
											SET_CDR(BgL_pairz00_2223, BgL_objz00_2224);
										}
										{	/* Reduce/copy.scm 214 */
											bool_t BgL_testz00_2544;

											if (
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1371)))->
														BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
												{	/* Reduce/copy.scm 215 */
													bool_t BgL__ortest_1114z00_1378;

													{	/* Reduce/copy.scm 215 */
														bool_t BgL_res1989z00_2228;

														{	/* Reduce/copy.scm 215 */
															obj_t BgL_objz00_2227;

															BgL_objz00_2227 = ((obj_t) BgL_valz00_1372);
															BgL_res1989z00_2228 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_2227,
																BGl_atomz00zzast_nodez00);
														}
														BgL__ortest_1114z00_1378 = BgL_res1989z00_2228;
													}
													if (BgL__ortest_1114z00_1378)
														{	/* Reduce/copy.scm 215 */
															BgL_testz00_2544 = BgL__ortest_1114z00_1378;
														}
													else
														{	/* Reduce/copy.scm 216 */
															bool_t BgL_testz00_2553;

															{	/* Reduce/copy.scm 216 */
																bool_t BgL_res1990z00_2230;

																{	/* Reduce/copy.scm 216 */
																	obj_t BgL_objz00_2229;

																	BgL_objz00_2229 = ((obj_t) BgL_valz00_1372);
																	BgL_res1990z00_2230 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_2229,
																		BGl_varz00zzast_nodez00);
																}
																BgL_testz00_2553 = BgL_res1990z00_2230;
															}
															if (BgL_testz00_2553)
																{	/* Reduce/copy.scm 216 */
																	if (
																		((((BgL_variablez00_bglt) CREF(
																						(((BgL_varz00_bglt) CREF(
																									((BgL_varz00_bglt)
																										BgL_valz00_1372)))->
																							BgL_variablez00)))->
																				BgL_accessz00) ==
																			CNST_TABLE_REF(((long) 2))))
																		{	/* Reduce/copy.scm 220 */
																			BgL_typez00_bglt BgL_arg1905z00_1381;
																			BgL_typez00_bglt BgL_arg1906z00_1382;

																			BgL_arg1905z00_1381 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_varz00_1371)))->BgL_typez00);
																			BgL_arg1906z00_1382 =
																				(((BgL_variablez00_bglt)
																					CREF((((BgL_varz00_bglt)
																								CREF(((BgL_varz00_bglt)
																										BgL_valz00_1372)))->
																							BgL_variablez00)))->BgL_typez00);
																			BgL_testz00_2544 =
																				BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																				(BgL_arg1905z00_1381,
																				BgL_arg1906z00_1382);
																		}
																	else
																		{	/* Reduce/copy.scm 217 */
																			BgL_testz00_2544 = ((bool_t) 0);
																		}
																}
															else
																{	/* Reduce/copy.scm 216 */
																	BgL_testz00_2544 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Reduce/copy.scm 214 */
													BgL_testz00_2544 = ((bool_t) 0);
												}
											if (BgL_testz00_2544)
												{	/* Reduce/copy.scm 214 */
													BGl_za2copyzd2removedza2zd2zzreduce_copyz00 =
														(BGl_za2copyzd2removedza2zd2zzreduce_copyz00 +
														((long) 1));
													{	/* Reduce/copy.scm 227 */
														BgL_variablez00_bglt BgL_oz00_2248;
														obj_t BgL_vz00_2249;

														BgL_oz00_2248 =
															((BgL_variablez00_bglt) BgL_varz00_1371);
														BgL_vz00_2249 = ((obj_t) BgL_valz00_1372);
														((((BgL_variablez00_bglt) CREF(BgL_oz00_2248))->
																BgL_fastzd2alphazd2) =
															((obj_t) BgL_vz00_2249), BUNSPEC);
													}
													{
														obj_t BgL_obindingsz00_2572;

														BgL_obindingsz00_2572 = CDR(BgL_obindingsz00_1362);
														BgL_obindingsz00_1362 = BgL_obindingsz00_2572;
														goto BgL_zc3anonymousza31894ze3z83_1364;
													}
												}
											else
												{	/* Reduce/copy.scm 229 */
													obj_t BgL_arg1902z00_1375;
													obj_t BgL_arg1903z00_1376;

													BgL_arg1902z00_1375 = CDR(BgL_obindingsz00_1362);
													BgL_arg1903z00_1376 =
														MAKE_PAIR(BgL_bindingz00_1370,
														BgL_nbindingsz00_1363);
													{
														obj_t BgL_nbindingsz00_2577;
														obj_t BgL_obindingsz00_2576;

														BgL_obindingsz00_2576 = BgL_arg1902z00_1375;
														BgL_nbindingsz00_2577 = BgL_arg1903z00_1376;
														BgL_nbindingsz00_1363 = BgL_nbindingsz00_2577;
														BgL_obindingsz00_1362 = BgL_obindingsz00_2576;
														goto BgL_zc3anonymousza31894ze3z83_1364;
													}
												}
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* &node-copy!-let-fun1825 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1825za2zzreduce_copyz00(obj_t
		BgL_envz00_2308, obj_t BgL_nodez00_2309)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 179 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1338;

				BgL_nodez00_1338 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2309);
				{	/* Reduce/copy.scm 181 */
					obj_t BgL_g1793z00_1342;

					BgL_g1793z00_1342 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1338))->BgL_localsz00);
					{
						obj_t BgL_l1791z00_1344;

						BgL_l1791z00_1344 = BgL_g1793z00_1342;
					BgL_zc3anonymousza31886ze3z83_1345:
						if (PAIRP(BgL_l1791z00_1344))
							{	/* Reduce/copy.scm 181 */
								{	/* Reduce/copy.scm 182 */
									obj_t BgL_localz00_1347;

									BgL_localz00_1347 = CAR(BgL_l1791z00_1344);
									{	/* Reduce/copy.scm 182 */
										BgL_valuez00_bglt BgL_funz00_1348;

										BgL_funz00_1348 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1347))))->
											BgL_valuez00);
										{	/* Reduce/copy.scm 183 */
											BgL_nodez00_bglt BgL_arg1888z00_1349;

											{	/* Reduce/copy.scm 183 */
												obj_t BgL_arg1889z00_1350;

												BgL_arg1889z00_1350 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1348)))->
													BgL_bodyz00);
												BgL_arg1888z00_1349 =
													BGl_nodezd2copyz12zc0zzreduce_copyz00((
														(BgL_nodez00_bglt) BgL_arg1889z00_1350));
											}
											{	/* Reduce/copy.scm 183 */
												BgL_sfunz00_bglt BgL_oz00_2212;
												obj_t BgL_vz00_2213;

												BgL_oz00_2212 = ((BgL_sfunz00_bglt) BgL_funz00_1348);
												BgL_vz00_2213 = ((obj_t) BgL_arg1888z00_1349);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2212))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2213), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1791z00_2594;

									BgL_l1791z00_2594 = CDR(BgL_l1791z00_1344);
									BgL_l1791z00_1344 = BgL_l1791z00_2594;
									goto BgL_zc3anonymousza31886ze3z83_1345;
								}
							}
						else
							{	/* Reduce/copy.scm 181 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2596;

					{	/* Reduce/copy.scm 185 */
						BgL_nodez00_bglt BgL_arg1892z00_1353;

						BgL_arg1892z00_1353 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1338))->BgL_bodyz00);
						BgL_auxz00_2596 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1892z00_1353);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1338))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2596), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1338);
			}
		}
	}



/* &node-copy!-select1823 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2select1823z70zzreduce_copyz00(obj_t
		BgL_envz00_2310, obj_t BgL_nodez00_2311)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 168 */
			{
				BgL_selectz00_bglt BgL_nodez00_1322;

				BgL_nodez00_1322 = ((BgL_selectz00_bglt) BgL_nodez00_2311);
				{
					BgL_nodez00_bglt BgL_auxz00_2602;

					{	/* Reduce/copy.scm 170 */
						BgL_nodez00_bglt BgL_arg1880z00_1326;

						BgL_arg1880z00_1326 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1322))->BgL_testz00);
						BgL_auxz00_2602 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1880z00_1326);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1322))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2602), BUNSPEC);
				}
				{	/* Reduce/copy.scm 171 */
					obj_t BgL_g1790z00_1327;

					BgL_g1790z00_1327 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1322))->BgL_clausesz00);
					{
						obj_t BgL_l1788z00_1329;

						BgL_l1788z00_1329 = BgL_g1790z00_1327;
					BgL_zc3anonymousza31881ze3z83_1330:
						if (PAIRP(BgL_l1788z00_1329))
							{	/* Reduce/copy.scm 171 */
								{	/* Reduce/copy.scm 172 */
									obj_t BgL_clausez00_1332;

									BgL_clausez00_1332 = CAR(BgL_l1788z00_1329);
									{	/* Reduce/copy.scm 172 */
										BgL_nodez00_bglt BgL_arg1883z00_1333;

										{	/* Reduce/copy.scm 172 */
											obj_t BgL_arg1884z00_1334;

											BgL_arg1884z00_1334 = CDR(BgL_clausez00_1332);
											BgL_arg1883z00_1333 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_arg1884z00_1334));
										}
										{	/* Reduce/copy.scm 172 */
											obj_t BgL_pairz00_2201;
											obj_t BgL_objz00_2202;

											BgL_pairz00_2201 = BgL_clausez00_1332;
											BgL_objz00_2202 = ((obj_t) BgL_arg1883z00_1333);
											SET_CDR(BgL_pairz00_2201, BgL_objz00_2202);
										}
									}
								}
								{
									obj_t BgL_l1788z00_2615;

									BgL_l1788z00_2615 = CDR(BgL_l1788z00_1329);
									BgL_l1788z00_1329 = BgL_l1788z00_2615;
									goto BgL_zc3anonymousza31881ze3z83_1330;
								}
							}
						else
							{	/* Reduce/copy.scm 171 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1322);
			}
		}
	}



/* &node-copy!-fail1821 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2fail1821z70zzreduce_copyz00(obj_t
		BgL_envz00_2312, obj_t BgL_nodez00_2313)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 158 */
			{
				BgL_failz00_bglt BgL_nodez00_1314;

				BgL_nodez00_1314 = ((BgL_failz00_bglt) BgL_nodez00_2313);
				{
					BgL_nodez00_bglt BgL_auxz00_2619;

					{	/* Reduce/copy.scm 160 */
						BgL_nodez00_bglt BgL_arg1877z00_1318;

						BgL_arg1877z00_1318 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1314))->BgL_procz00);
						BgL_auxz00_2619 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1877z00_1318);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1314))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2619), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2623;

					{	/* Reduce/copy.scm 161 */
						BgL_nodez00_bglt BgL_arg1878z00_1319;

						BgL_arg1878z00_1319 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1314))->BgL_msgz00);
						BgL_auxz00_2623 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1878z00_1319);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1314))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2623), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2627;

					{	/* Reduce/copy.scm 162 */
						BgL_nodez00_bglt BgL_arg1879z00_1320;

						BgL_arg1879z00_1320 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1314))->BgL_objz00);
						BgL_auxz00_2627 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1879z00_1320);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1314))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2627), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1314);
			}
		}
	}



/* &node-copy!-condition1819 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1819z70zzreduce_copyz00(obj_t
		BgL_envz00_2314, obj_t BgL_nodez00_2315)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 148 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1306;

				BgL_nodez00_1306 = ((BgL_conditionalz00_bglt) BgL_nodez00_2315);
				{
					BgL_nodez00_bglt BgL_auxz00_2633;

					{	/* Reduce/copy.scm 150 */
						BgL_nodez00_bglt BgL_arg1874z00_1310;

						BgL_arg1874z00_1310 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1306))->BgL_testz00);
						BgL_auxz00_2633 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1874z00_1310);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1306))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2633), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2637;

					{	/* Reduce/copy.scm 151 */
						BgL_nodez00_bglt BgL_arg1875z00_1311;

						BgL_arg1875z00_1311 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1306))->BgL_truez00);
						BgL_auxz00_2637 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1875z00_1311);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1306))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2637), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2641;

					{	/* Reduce/copy.scm 152 */
						BgL_nodez00_bglt BgL_arg1876z00_1312;

						BgL_arg1876z00_1312 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1306))->
							BgL_falsez00);
						BgL_auxz00_2641 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1876z00_1312);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1306))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2641), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1306);
			}
		}
	}



/* &node-copy!-setq1817 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2setq1817z70zzreduce_copyz00(obj_t
		BgL_envz00_2316, obj_t BgL_nodez00_2317)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 139 */
			{
				BgL_setqz00_bglt BgL_nodez00_1299;

				BgL_nodez00_1299 = ((BgL_setqz00_bglt) BgL_nodez00_2317);
				{
					BgL_nodez00_bglt BgL_auxz00_2647;

					{	/* Reduce/copy.scm 141 */
						BgL_nodez00_bglt BgL_arg1872z00_1303;

						BgL_arg1872z00_1303 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1299))->BgL_valuez00);
						BgL_auxz00_2647 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1872z00_1303);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1299))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2647), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2651;

					{	/* Reduce/copy.scm 142 */
						BgL_varz00_bglt BgL_arg1873z00_1304;

						BgL_arg1873z00_1304 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1299))->BgL_varz00);
						BgL_auxz00_2651 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg1873z00_1304)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1299))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2651), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1299);
			}
		}
	}



/* &node-copy!-cast1815 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2cast1815z70zzreduce_copyz00(obj_t
		BgL_envz00_2318, obj_t BgL_nodez00_2319)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 131 */
			{
				BgL_castz00_bglt BgL_nodez00_1293;

				BgL_nodez00_1293 = ((BgL_castz00_bglt) BgL_nodez00_2319);
				{
					BgL_nodez00_bglt BgL_auxz00_2659;

					{	/* Reduce/copy.scm 133 */
						BgL_nodez00_bglt BgL_arg1871z00_1297;

						BgL_arg1871z00_1297 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1293))->BgL_argz00);
						BgL_auxz00_2659 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1871z00_1297);
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_1293))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2659), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1293);
			}
		}
	}



/* &node-copy!-extern1813 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2extern1813z70zzreduce_copyz00(obj_t
		BgL_envz00_2320, obj_t BgL_nodez00_2321)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 123 */
			{
				BgL_externz00_bglt BgL_nodez00_1287;

				BgL_nodez00_1287 = ((BgL_externz00_bglt) BgL_nodez00_2321);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1287))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_1287);
			}
		}
	}



/* &node-copy!-funcall1811 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2funcall1811z70zzreduce_copyz00(obj_t
		BgL_envz00_2322, obj_t BgL_nodez00_2323)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 114 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1280;

				BgL_nodez00_1280 = ((BgL_funcallz00_bglt) BgL_nodez00_2323);
				{
					BgL_nodez00_bglt BgL_auxz00_2669;

					{	/* Reduce/copy.scm 116 */
						BgL_nodez00_bglt BgL_arg1868z00_1284;

						BgL_arg1868z00_1284 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1280))->BgL_funz00);
						BgL_auxz00_2669 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1868z00_1284);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1280))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2669), BUNSPEC);
				}
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1280))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1280);
			}
		}
	}



/* &node-copy!-app-ly1809 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2appzd2ly1809za2zzreduce_copyz00(obj_t
		BgL_envz00_2324, obj_t BgL_nodez00_2325)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 105 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1273;

				BgL_nodez00_1273 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2325);
				{
					BgL_nodez00_bglt BgL_auxz00_2677;

					{	/* Reduce/copy.scm 107 */
						BgL_nodez00_bglt BgL_arg1865z00_1277;

						BgL_arg1865z00_1277 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1273))->BgL_funz00);
						BgL_auxz00_2677 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1865z00_1277);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1273))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2677), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2681;

					{	/* Reduce/copy.scm 108 */
						BgL_nodez00_bglt BgL_arg1867z00_1278;

						BgL_arg1867z00_1278 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1273))->BgL_argz00);
						BgL_auxz00_2681 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1867z00_1278);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1273))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2681), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1273);
			}
		}
	}



/* &node-copy!-sync1807 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sync1807z70zzreduce_copyz00(obj_t
		BgL_envz00_2326, obj_t BgL_nodez00_2327)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 96 */
			{
				BgL_syncz00_bglt BgL_nodez00_1266;

				BgL_nodez00_1266 = ((BgL_syncz00_bglt) BgL_nodez00_2327);
				{
					BgL_nodez00_bglt BgL_auxz00_2687;

					{	/* Reduce/copy.scm 98 */
						BgL_nodez00_bglt BgL_arg1863z00_1270;

						BgL_arg1863z00_1270 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1266))->BgL_mutexz00);
						BgL_auxz00_2687 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1863z00_1270);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1266))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2687), BUNSPEC);
				}
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1266))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1266);
			}
		}
	}



/* &node-copy!-sequence1805 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sequence1805z70zzreduce_copyz00(obj_t
		BgL_envz00_2328, obj_t BgL_nodez00_2329)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 88 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1260;

				BgL_nodez00_1260 = ((BgL_sequencez00_bglt) BgL_nodez00_2329);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1260))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1260);
			}
		}
	}



/* &node-copy!-closure1803 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2closure1803z70zzreduce_copyz00(obj_t
		BgL_envz00_2330, obj_t BgL_nodez00_2331)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 82 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2331));
		}
	}



/* &node-copy!-var1801 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2var1801z70zzreduce_copyz00(obj_t
		BgL_envz00_2332, obj_t BgL_nodez00_2333)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 72 */
			{
				BgL_varz00_bglt BgL_nodez00_1247;

				BgL_nodez00_1247 = ((BgL_varz00_bglt) BgL_nodez00_2333);
				{	/* Reduce/copy.scm 73 */
					BgL_variablez00_bglt BgL_vz00_1250;

					BgL_vz00_1250 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1247))->BgL_variablez00);
					{	/* Reduce/copy.scm 74 */
						obj_t BgL_falphaz00_1251;

						BgL_falphaz00_1251 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1250))->
							BgL_fastzd2alphazd2);
						if ((BgL_falphaz00_1251 == BUNSPEC))
							{	/* Reduce/copy.scm 75 */
								return ((BgL_nodez00_bglt) BgL_nodez00_1247);
							}
						else
							{	/* Reduce/copy.scm 76 */
								obj_t BgL_arg1860z00_1253;
								BgL_nodez00_bglt BgL_arg1861z00_1254;

								BgL_arg1860z00_1253 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1247)))->BgL_locz00);
								BgL_arg1861z00_1254 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_falphaz00_1251));
								return
									BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg1860z00_1253, BgL_arg1861z00_1254);
							}
					}
				}
			}
		}
	}



/* &node-copy!-kwote1799 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2kwote1799z70zzreduce_copyz00(obj_t
		BgL_envz00_2334, obj_t BgL_nodez00_2335)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 66 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2335));
		}
	}



/* &node-copy!-atom1797 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2atom1797z70zzreduce_copyz00(obj_t
		BgL_envz00_2336, obj_t BgL_nodez00_2337)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 60 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2337));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2024z00zzreduce_copyz00));
		}
	}

#ifdef __cplusplus
}
#endif
