/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62uncomp1178z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_symbol1847z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1873z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1875z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_symbol1877z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1879z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1881z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1883z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1885z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1887z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1889z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1891z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1893z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_symbol1895z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1897z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1899z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_recz00zz__evaluate_uncompz00(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1901z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1903z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1900z00zz__evaluate_uncompz00,
		BgL_bgl_string1900za700za7za7_1906za7, "or", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za71907za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1902z00zz__evaluate_uncompz00,
		BgL_bgl_string1902za700za7za7_1908za7, "if", 2);
	      DEFINE_STRING(BGl_string1904z00zz__evaluate_uncompz00,
		BgL_bgl_string1904za700za7za7_1909za7, "quote", 5);
	      DEFINE_STRING(BGl_string1905z00zz__evaluate_uncompz00,
		BgL_bgl_string1905za700za7za7_1910za7, "__evaluate_uncomp", 17);
	      DEFINE_STRING(BGl_string1842z00zz__evaluate_uncompz00,
		BgL_bgl_string1842za700za7za7_1911za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1843z00zz__evaluate_uncompz00,
		BgL_bgl_string1843za700za7za7_1912za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1844z00zz__evaluate_uncompz00,
		BgL_bgl_string1844za700za7za7_1913za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1846z00zz__evaluate_uncompz00,
		BgL_bgl_string1846za700za7za7_1914za7, "uncomp1178", 10);
	      DEFINE_STRING(BGl_string1848z00zz__evaluate_uncompz00,
		BgL_bgl_string1848za700za7za7_1915za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1849z00zz__evaluate_uncompz00,
		BgL_bgl_string1849za700za7za7_1916za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1851z00zz__evaluate_uncompz00,
		BgL_bgl_string1851za700za7za7_1917za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1178za7621918z00,
		BGl_z62uncomp1178z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v1919z00,
		BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1920z00,
		BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1921z00,
		BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i1922z00,
		BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o1923z00,
		BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1924z00,
		BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p1925z00,
		BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t1926z00,
		BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1927z00,
		BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d1928z00,
		BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1929z00,
		BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b1930z00,
		BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u1931z00,
		BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w1932z00,
		BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1933z00,
		BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1934z00,
		BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1935z00,
		BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1874z00zz__evaluate_uncompz00,
		BgL_bgl_string1874za700za7za7_1936za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1937z00,
		BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1938z00,
		BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1876z00zz__evaluate_uncompz00,
		BgL_bgl_string1876za700za7za7_1939za7, "letrec", 6);
	      DEFINE_STRING(BGl_string1878z00zz__evaluate_uncompz00,
		BgL_bgl_string1878za700za7za7_1940za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1941z00,
		BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1942z00,
		BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1943z00,
		BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1880z00zz__evaluate_uncompz00,
		BgL_bgl_string1880za700za7za7_1944za7, "let", 3);
	      DEFINE_STRING(BGl_string1882z00zz__evaluate_uncompz00,
		BgL_bgl_string1882za700za7za7_1945za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string1884z00zz__evaluate_uncompz00,
		BgL_bgl_string1884za700za7za7_1946za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1886z00zz__evaluate_uncompz00,
		BgL_bgl_string1886za700za7za7_1947za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1888z00zz__evaluate_uncompz00,
		BgL_bgl_string1888za700za7za7_1948za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1890z00zz__evaluate_uncompz00,
		BgL_bgl_string1890za700za7za7_1949za7, "set!", 4);
	      DEFINE_STRING(BGl_string1892z00zz__evaluate_uncompz00,
		BgL_bgl_string1892za700za7za7_1950za7, "define", 6);
	      DEFINE_STRING(BGl_string1894z00zz__evaluate_uncompz00,
		BgL_bgl_string1894za700za7za7_1951za7, "trap", 4);
	      DEFINE_STRING(BGl_string1896z00zz__evaluate_uncompz00,
		BgL_bgl_string1896za700za7za7_1952za7, "begin", 5);
	      DEFINE_STRING(BGl_string1898z00zz__evaluate_uncompz00,
		BgL_bgl_string1898za700za7za7_1953za7, "and", 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__1954z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2126, char *BgL_fromz00_2127)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1847z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1846z00zz__evaluate_uncompz00);
			BGl_symbol1873z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1874z00zz__evaluate_uncompz00);
			BGl_symbol1875z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1876z00zz__evaluate_uncompz00);
			BGl_symbol1877z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1878z00zz__evaluate_uncompz00);
			BGl_symbol1879z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1880z00zz__evaluate_uncompz00);
			BGl_symbol1881z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1882z00zz__evaluate_uncompz00);
			BGl_symbol1883z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1884z00zz__evaluate_uncompz00);
			BGl_symbol1885z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1886z00zz__evaluate_uncompz00);
			BGl_symbol1887z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1888z00zz__evaluate_uncompz00);
			BGl_symbol1889z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1890z00zz__evaluate_uncompz00);
			BGl_symbol1891z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1892z00zz__evaluate_uncompz00);
			BGl_symbol1893z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1894z00zz__evaluate_uncompz00);
			BGl_symbol1895z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1896z00zz__evaluate_uncompz00);
			BGl_symbol1897z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1898z00zz__evaluate_uncompz00);
			BGl_symbol1899z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1900z00zz__evaluate_uncompz00);
			BGl_symbol1901z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1902z00zz__evaluate_uncompz00);
			return (BGl_symbol1903z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1904z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2044,
		obj_t BgL_ez00_2045)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_ez00_2123;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2045,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_ez00_2123 = ((BgL_ev_exprz00_bglt) BgL_ez00_2045);
					}
				else
					{
						obj_t BgL_auxz00_2156;

						BgL_auxz00_2156 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1842z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1843z00zz__evaluate_uncompz00,
							BGl_string1844z00zz__evaluate_uncompz00, BgL_ez00_2045);
						FAILURE(BgL_auxz00_2156, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_2123);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1845z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1846z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp1178 */
	obj_t BGl_z62uncomp1178z62zz__evaluate_uncompz00(obj_t BgL_envz00_2047,
		obj_t BgL_ez00_2048)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_650;

				BgL_ez00_650 = ((BgL_ev_exprz00_bglt) BgL_ez00_2048);
				return
					BGl_errorz00zz__errorz00(BGl_symbol1847z00zz__evaluate_uncompz00,
					BGl_string1848z00zz__evaluate_uncompz00, ((obj_t) BgL_ez00_650));
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1180z00_653;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1727z00_1347;

					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_objectz00_bglt BgL_objz00_1319;

						BgL_objz00_1319 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_objzd2classzd2numz00_1320;

							{	/* Eval/evaluate_uncomp.scm 65 */
								long BgL_res1721z00_1323;

								BgL_res1721z00_1323 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1319);
								BgL_objzd2classzd2numz00_1320 = BgL_res1721z00_1323;
							}
							{	/* Eval/evaluate_uncomp.scm 65 */
								obj_t BgL_arg1715z00_1321;

								BgL_arg1715z00_1321 =
									PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_uncomp.scm 65 */
									obj_t BgL_arrayz00_1324;
									int BgL_offsetz00_1325;

									BgL_arrayz00_1324 = BgL_arg1715z00_1321;
									BgL_offsetz00_1325 = (int) (BgL_objzd2classzd2numz00_1320);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_offsetz00_1326;

										BgL_offsetz00_1326 =
											((long) (BgL_offsetz00_1325) - OBJECT_TYPE);
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_modz00_1327;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1717z00_1328;

												BgL_arg1717z00_1328 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1724z00_1338;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_auxz00_2173;

														BgL_auxz00_2173 = (long) (BgL_arg1717z00_1328);
														BgL_res1724z00_1338 =
															(BgL_offsetz00_1326 / BgL_auxz00_2173);
													}
													BgL_modz00_1327 = BgL_res1724z00_1338;
											}}
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_restz00_1329;

												{	/* Eval/evaluate_uncomp.scm 65 */
													int BgL_arg1716z00_1330;

													BgL_arg1716z00_1330 = (int) (((long) 16));
													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_res1726z00_1342;

														{	/* Eval/evaluate_uncomp.scm 65 */
															long BgL_auxz00_2177;

															BgL_auxz00_2177 = (long) (BgL_arg1716z00_1330);
															BgL_res1726z00_1342 =
																(BgL_offsetz00_1326 % BgL_auxz00_2177);
														}
														BgL_restz00_1329 = BgL_res1726z00_1342;
												}}
												{	/* Eval/evaluate_uncomp.scm 65 */

													BgL_res1727z00_1347 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1324,
															(int) (BgL_modz00_1327)),
														(int) (BgL_restz00_1329));
					}}}}}}}}
					BgL_method1180z00_653 = BgL_res1727z00_1347;
				}
				return
					PROCEDURE_ENTRY(BgL_method1180z00_653) (BgL_method1180z00_653,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2049,
		obj_t BgL_ez00_2050)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2189;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2050,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2189 = ((BgL_ev_exprz00_bglt) BgL_ez00_2050);
					}
				else
					{
						obj_t BgL_auxz00_2193;

						BgL_auxz00_2193 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1842z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string1849z00zz__evaluate_uncompz00,
							BGl_string1844z00zz__evaluate_uncompz00, BgL_ez00_2050);
						FAILURE(BgL_auxz00_2193, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2189);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1850z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1852z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1853z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1854z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1855z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1856z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1857z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1858z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1859z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1860z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1861z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1862z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1863z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1864z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1865z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1866z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1867z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1868z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1869z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1870z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1871z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1872z00zz__evaluate_uncompz00,
				BGl_string1851z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs1224 */
	obj_t BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2073, obj_t BgL_ez00_2074)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 157 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1023;

				BgL_ez00_1023 = ((BgL_ev_absz00_bglt) BgL_ez00_2074);
				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1482z00_1028;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1483z00_1029;
						obj_t BgL_arg1484z00_1030;

						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_arg1485z00_1031;
							obj_t BgL_arg1491z00_1032;

							BgL_arg1485z00_1031 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1023))->BgL_arityz00);
							{	/* Eval/evaluate_uncomp.scm 166 */
								obj_t BgL_l1163z00_1033;

								BgL_l1163z00_1033 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1023))->BgL_varsz00);
								if (NULLP(BgL_l1163z00_1033))
									{	/* Eval/evaluate_uncomp.scm 166 */
										BgL_arg1491z00_1032 = BNIL;
									}
								else
									{	/* Eval/evaluate_uncomp.scm 166 */
										obj_t BgL_head1165z00_1035;

										{	/* Eval/evaluate_uncomp.scm 166 */
											obj_t BgL_res1788z00_1739;

											BgL_res1788z00_1739 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1165z00_1035 = BgL_res1788z00_1739;
										}
										{
											obj_t BgL_l1163z00_1775;
											obj_t BgL_tail1166z00_1776;

											BgL_l1163z00_1775 = BgL_l1163z00_1033;
											BgL_tail1166z00_1776 = BgL_head1165z00_1035;
										BgL_zc3anonymousza31493ze3z83_1774:
											if (NULLP(BgL_l1163z00_1775))
												{	/* Eval/evaluate_uncomp.scm 166 */
													BgL_arg1491z00_1032 = CDR(BgL_head1165z00_1035);
												}
											else
												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_newtail1167z00_1784;

													{	/* Eval/evaluate_uncomp.scm 166 */
														obj_t BgL_arg1496z00_1785;

														{
															BgL_ev_varz00_bglt BgL_auxz00_2228;

															{	/* Eval/evaluate_uncomp.scm 166 */
																obj_t BgL_pairz00_1792;

																BgL_pairz00_1792 = BgL_l1163z00_1775;
																BgL_auxz00_2228 =
																	((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1792));
															}
															BgL_arg1496z00_1785 =
																(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2228))->
																BgL_namez00);
														}
														{	/* Eval/evaluate_uncomp.scm 166 */
															obj_t BgL_res1794z00_1795;

															BgL_res1794z00_1795 =
																MAKE_PAIR(BgL_arg1496z00_1785, BNIL);
															BgL_newtail1167z00_1784 = BgL_res1794z00_1795;
														}
													}
													SET_CDR(BgL_tail1166z00_1776,
														BgL_newtail1167z00_1784);
													{
														obj_t BgL_tail1166z00_2236;
														obj_t BgL_l1163z00_2234;

														BgL_l1163z00_2234 = CDR(BgL_l1163z00_1775);
														BgL_tail1166z00_2236 = BgL_newtail1167z00_1784;
														BgL_tail1166z00_1776 = BgL_tail1166z00_2236;
														BgL_l1163z00_1775 = BgL_l1163z00_2234;
														goto BgL_zc3anonymousza31493ze3z83_1774;
													}
												}
										}
									}
							}
							BgL_arg1483z00_1029 =
								BGl_redovarsz00zz__evaluate_uncompz00(BgL_arg1485z00_1031,
								BgL_arg1491z00_1032);
						}
						BgL_arg1484z00_1030 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1023))->BgL_bodyz00)),
							BNIL);
						BgL_arg1482z00_1028 =
							MAKE_PAIR(BgL_arg1483z00_1029, BgL_arg1484z00_1030);
					}
					return
						MAKE_PAIR(BGl_symbol1873z00zz__evaluate_uncompz00,
						BgL_arg1482z00_1028);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_uncompz00(obj_t BgL_lz00_1054)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(BgL_lz00_1054)))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(BgL_lz00_1054);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 163 */
					return
						MAKE_PAIR(CAR(BgL_lz00_1054),
						BGl_recz00zz__evaluate_uncompz00(CDR(BgL_lz00_1054)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t BgL_nz00_1049,
		obj_t BgL_lz00_1050)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1049) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1050;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recz00zz__evaluate_uncompz00(BgL_lz00_1050);
				}
		}
	}



/* &uncomp-ev_app1222 */
	obj_t BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2075, obj_t BgL_ez00_2076)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{
				BgL_ev_appz00_bglt BgL_ez00_998;

				BgL_ez00_998 = ((BgL_ev_appz00_bglt) BgL_ez00_2076);
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_arg1466z00_1002;
					obj_t BgL_arg1467z00_1003;

					BgL_arg1466z00_1002 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_998))->BgL_funz00));
					{	/* Eval/evaluate_uncomp.scm 155 */
						obj_t BgL_arg1473z00_1005;

						{	/* Eval/evaluate_uncomp.scm 155 */
							obj_t BgL_l1157z00_1006;

							BgL_l1157z00_1006 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_998))->BgL_argsz00);
							if (NULLP(BgL_l1157z00_1006))
								{	/* Eval/evaluate_uncomp.scm 155 */
									BgL_arg1473z00_1005 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_head1159z00_1008;

									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_arg1480z00_1020;

										{	/* Eval/evaluate_uncomp.scm 155 */
											obj_t BgL_arg1481z00_1021;

											BgL_arg1481z00_1021 = CAR(BgL_l1157z00_1006);
											BgL_arg1480z00_1020 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1481z00_1021));
										}
										{	/* Eval/evaluate_uncomp.scm 155 */
											obj_t BgL_res1778z00_1672;

											BgL_res1778z00_1672 =
												MAKE_PAIR(BgL_arg1480z00_1020, BNIL);
											BgL_head1159z00_1008 = BgL_res1778z00_1672;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_g1162z00_1009;

										BgL_g1162z00_1009 = CDR(BgL_l1157z00_1006);
										{
											obj_t BgL_l1157z00_1705;
											obj_t BgL_tail1160z00_1706;

											BgL_l1157z00_1705 = BgL_g1162z00_1009;
											BgL_tail1160z00_1706 = BgL_head1159z00_1008;
										BgL_zc3anonymousza31475ze3z83_1704:
											if (NULLP(BgL_l1157z00_1705))
												{	/* Eval/evaluate_uncomp.scm 155 */
													BgL_arg1473z00_1005 = BgL_head1159z00_1008;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_newtail1161z00_1713;

													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_arg1478z00_1714;

														{	/* Eval/evaluate_uncomp.scm 155 */
															obj_t BgL_arg1479z00_1715;

															BgL_arg1479z00_1715 = CAR(BgL_l1157z00_1705);
															BgL_arg1478z00_1714 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1479z00_1715));
														}
														{	/* Eval/evaluate_uncomp.scm 155 */
															obj_t BgL_res1784z00_1722;

															BgL_res1784z00_1722 =
																MAKE_PAIR(BgL_arg1478z00_1714, BNIL);
															BgL_newtail1161z00_1713 = BgL_res1784z00_1722;
														}
													}
													SET_CDR(BgL_tail1160z00_1706,
														BgL_newtail1161z00_1713);
													{
														obj_t BgL_tail1160z00_2275;
														obj_t BgL_l1157z00_2273;

														BgL_l1157z00_2273 = CDR(BgL_l1157z00_1705);
														BgL_tail1160z00_2275 = BgL_newtail1161z00_1713;
														BgL_tail1160z00_1706 = BgL_tail1160z00_2275;
														BgL_l1157z00_1705 = BgL_l1157z00_2273;
														goto BgL_zc3anonymousza31475ze3z83_1704;
													}
												}
										}
									}
								}
						}
						BgL_arg1467z00_1003 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1473z00_1005, BNIL);
					}
					return MAKE_PAIR(BgL_arg1466z00_1002, BgL_arg1467z00_1003);
				}
			}
		}
	}



/* &uncomp-ev_goto1220 */
	obj_t BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2077, obj_t BgL_ez00_2078)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_973;

				BgL_ez00_973 = ((BgL_ev_gotoz00_bglt) BgL_ez00_2078);
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1449z00_977;
					obj_t BgL_arg1450z00_978;

					{	/* Eval/evaluate_uncomp.scm 151 */
						BgL_ev_varz00_bglt BgL_arg1451z00_979;

						BgL_arg1451z00_979 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_973))->BgL_labelz00);
						BgL_arg1449z00_977 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1451z00_979));
					}
					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_arg1452z00_980;

						{	/* Eval/evaluate_uncomp.scm 151 */
							obj_t BgL_l1151z00_981;

							BgL_l1151z00_981 =
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_973))->BgL_argsz00);
							if (NULLP(BgL_l1151z00_981))
								{	/* Eval/evaluate_uncomp.scm 151 */
									BgL_arg1452z00_980 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_head1153z00_983;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1459z00_995;

										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_arg1461z00_996;

											BgL_arg1461z00_996 = CAR(BgL_l1151z00_981);
											BgL_arg1459z00_995 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1461z00_996));
										}
										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_res1770z00_1613;

											BgL_res1770z00_1613 = MAKE_PAIR(BgL_arg1459z00_995, BNIL);
											BgL_head1153z00_983 = BgL_res1770z00_1613;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_g1156z00_984;

										BgL_g1156z00_984 = CDR(BgL_l1151z00_981);
										{
											obj_t BgL_l1151z00_1646;
											obj_t BgL_tail1154z00_1647;

											BgL_l1151z00_1646 = BgL_g1156z00_984;
											BgL_tail1154z00_1647 = BgL_head1153z00_983;
										BgL_zc3anonymousza31454ze3z83_1645:
											if (NULLP(BgL_l1151z00_1646))
												{	/* Eval/evaluate_uncomp.scm 151 */
													BgL_arg1452z00_980 = BgL_head1153z00_983;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_newtail1155z00_1654;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1457z00_1655;

														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_arg1458z00_1656;

															BgL_arg1458z00_1656 = CAR(BgL_l1151z00_1646);
															BgL_arg1457z00_1655 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1458z00_1656));
														}
														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_res1776z00_1663;

															BgL_res1776z00_1663 =
																MAKE_PAIR(BgL_arg1457z00_1655, BNIL);
															BgL_newtail1155z00_1654 = BgL_res1776z00_1663;
														}
													}
													SET_CDR(BgL_tail1154z00_1647,
														BgL_newtail1155z00_1654);
													{
														obj_t BgL_tail1154z00_2299;
														obj_t BgL_l1151z00_2297;

														BgL_l1151z00_2297 = CDR(BgL_l1151z00_1646);
														BgL_tail1154z00_2299 = BgL_newtail1155z00_1654;
														BgL_tail1154z00_1647 = BgL_tail1154z00_2299;
														BgL_l1151z00_1646 = BgL_l1151z00_2297;
														goto BgL_zc3anonymousza31454ze3z83_1645;
													}
												}
										}
									}
								}
						}
						BgL_arg1450z00_978 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1452z00_980, BNIL);
					}
					return MAKE_PAIR(BgL_arg1449z00_977, BgL_arg1450z00_978);
				}
			}
		}
	}



/* &uncomp-ev_labels1218 */
	obj_t BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2079, obj_t BgL_ez00_2080)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 142 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_922;

				BgL_ez00_922 = ((BgL_ev_labelsz00_bglt) BgL_ez00_2080);
				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1422z00_926;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_arg1423z00_927;
						obj_t BgL_arg1424z00_928;

						{	/* Eval/evaluate_uncomp.scm 144 */
							obj_t BgL_ll1145z00_929;
							obj_t BgL_ll1146z00_930;

							BgL_ll1145z00_929 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_922))->BgL_varsz00);
							BgL_ll1146z00_930 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_922))->BgL_valsz00);
							if (NULLP(BgL_ll1145z00_929))
								{	/* Eval/evaluate_uncomp.scm 144 */
									BgL_arg1423z00_927 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 144 */
									obj_t BgL_head1147z00_932;

									{	/* Eval/evaluate_uncomp.scm 144 */
										obj_t BgL_res1758z00_1534;

										BgL_res1758z00_1534 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1147z00_932 = BgL_res1758z00_1534;
									}
									{
										obj_t BgL_ll1145z00_934;
										obj_t BgL_ll1146z00_935;
										obj_t BgL_tail1148z00_936;

										BgL_ll1145z00_934 = BgL_ll1145z00_929;
										BgL_ll1146z00_935 = BgL_ll1146z00_930;
										BgL_tail1148z00_936 = BgL_head1147z00_932;
									BgL_zc3anonymousza31426ze3z83_937:
										if (NULLP(BgL_ll1145z00_934))
											{	/* Eval/evaluate_uncomp.scm 144 */
												BgL_arg1423z00_927 = CDR(BgL_head1147z00_932);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_newtail1149z00_939;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_arg1430z00_942;

													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_vz00_943;
														obj_t BgL_az00_944;

														BgL_vz00_943 = CAR(BgL_ll1145z00_934);
														BgL_az00_944 = CAR(BgL_ll1146z00_935);
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1431z00_945;
															obj_t BgL_arg1432z00_946;

															BgL_arg1431z00_945 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_943));
															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1433z00_947;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1434z00_948;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_arg1435z00_949;
																		obj_t BgL_arg1436z00_950;

																		{	/* Eval/evaluate_uncomp.scm 144 */
																			obj_t BgL_l1139z00_951;

																			BgL_l1139z00_951 = CAR(BgL_az00_944);
																			if (NULLP(BgL_l1139z00_951))
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					BgL_arg1435z00_949 = BNIL;
																				}
																			else
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_head1141z00_953;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1443z00_965;

																						{	/* Eval/evaluate_uncomp.scm 144 */
																							obj_t BgL_arg1444z00_966;

																							BgL_arg1444z00_966 =
																								CAR(BgL_l1139z00_951);
																							BgL_arg1443z00_965 =
																								BGl_uncompz00zz__evaluate_uncompz00
																								(((BgL_ev_exprz00_bglt)
																									BgL_arg1444z00_966));
																						}
																						{	/* Eval/evaluate_uncomp.scm 144 */
																							obj_t BgL_res1761z00_1546;

																							BgL_res1761z00_1546 =
																								MAKE_PAIR(BgL_arg1443z00_965,
																								BNIL);
																							BgL_head1141z00_953 =
																								BgL_res1761z00_1546;
																						}
																					}
																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_g1144z00_954;

																						BgL_g1144z00_954 =
																							CDR(BgL_l1139z00_951);
																						{
																							obj_t BgL_l1139z00_1579;
																							obj_t BgL_tail1142z00_1580;

																							BgL_l1139z00_1579 =
																								BgL_g1144z00_954;
																							BgL_tail1142z00_1580 =
																								BgL_head1141z00_953;
																						BgL_zc3anonymousza31438ze3z83_1578:
																							if (NULLP(BgL_l1139z00_1579))
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									BgL_arg1435z00_949 =
																										BgL_head1141z00_953;
																								}
																							else
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_newtail1143z00_1587;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1441z00_1588;

																										{	/* Eval/evaluate_uncomp.scm 144 */
																											obj_t BgL_arg1442z00_1589;

																											BgL_arg1442z00_1589 =
																												CAR(BgL_l1139z00_1579);
																											BgL_arg1441z00_1588 =
																												BGl_uncompz00zz__evaluate_uncompz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_arg1442z00_1589));
																										}
																										{	/* Eval/evaluate_uncomp.scm 144 */
																											obj_t BgL_res1767z00_1596;

																											BgL_res1767z00_1596 =
																												MAKE_PAIR
																												(BgL_arg1441z00_1588,
																												BNIL);
																											BgL_newtail1143z00_1587 =
																												BgL_res1767z00_1596;
																										}
																									}
																									SET_CDR(BgL_tail1142z00_1580,
																										BgL_newtail1143z00_1587);
																									{
																										obj_t BgL_tail1142z00_2332;
																										obj_t BgL_l1139z00_2330;

																										BgL_l1139z00_2330 =
																											CDR(BgL_l1139z00_1579);
																										BgL_tail1142z00_2332 =
																											BgL_newtail1143z00_1587;
																										BgL_tail1142z00_1580 =
																											BgL_tail1142z00_2332;
																										BgL_l1139z00_1579 =
																											BgL_l1139z00_2330;
																										goto
																											BgL_zc3anonymousza31438ze3z83_1578;
																									}
																								}
																						}
																					}
																				}
																		}
																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1445z00_967;

																			{	/* Eval/evaluate_uncomp.scm 145 */
																				obj_t BgL_arg1446z00_968;

																				BgL_arg1446z00_968 = CDR(BgL_az00_944);
																				BgL_arg1445z00_967 =
																					BGl_uncompz00zz__evaluate_uncompz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg1446z00_968));
																			}
																			BgL_arg1436z00_950 =
																				MAKE_PAIR(BgL_arg1445z00_967, BNIL);
																		}
																		BgL_arg1434z00_948 =
																			MAKE_PAIR(BgL_arg1435z00_949,
																			BgL_arg1436z00_950);
																	}
																	BgL_arg1433z00_947 =
																		MAKE_PAIR
																		(BGl_symbol1873z00zz__evaluate_uncompz00,
																		BgL_arg1434z00_948);
																}
																BgL_arg1432z00_946 =
																	MAKE_PAIR(BgL_arg1433z00_947, BNIL);
															}
															BgL_arg1430z00_942 =
																MAKE_PAIR(BgL_arg1431z00_945,
																BgL_arg1432z00_946);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_res1768z00_1603;

														BgL_res1768z00_1603 =
															MAKE_PAIR(BgL_arg1430z00_942, BNIL);
														BgL_newtail1149z00_939 = BgL_res1768z00_1603;
													}
												}
												SET_CDR(BgL_tail1148z00_936, BgL_newtail1149z00_939);
												{
													obj_t BgL_tail1148z00_2347;
													obj_t BgL_ll1146z00_2345;
													obj_t BgL_ll1145z00_2343;

													BgL_ll1145z00_2343 = CDR(BgL_ll1145z00_934);
													BgL_ll1146z00_2345 = CDR(BgL_ll1146z00_935);
													BgL_tail1148z00_2347 = BgL_newtail1149z00_939;
													BgL_tail1148z00_936 = BgL_tail1148z00_2347;
													BgL_ll1146z00_935 = BgL_ll1146z00_2345;
													BgL_ll1145z00_934 = BgL_ll1145z00_2343;
													goto BgL_zc3anonymousza31426ze3z83_937;
												}
											}
									}
								}
						}
						BgL_arg1424z00_928 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_922))->BgL_bodyz00)),
							BNIL);
						BgL_arg1422z00_926 =
							MAKE_PAIR(BgL_arg1423z00_927, BgL_arg1424z00_928);
					}
					return
						MAKE_PAIR(BGl_symbol1875z00zz__evaluate_uncompz00,
						BgL_arg1422z00_926);
				}
			}
		}
	}



/* &uncomp-ev_letrec1216 */
	obj_t BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2081, obj_t BgL_ez00_2082)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_892;

				BgL_ez00_892 = ((BgL_ev_letrecz00_bglt) BgL_ez00_2082);
				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1407z00_896;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1408z00_897;
						obj_t BgL_arg1409z00_898;

						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_ll1133z00_899;
							obj_t BgL_ll1134z00_900;

							BgL_ll1133z00_899 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_892)))->BgL_varsz00);
							BgL_ll1134z00_900 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_892)))->BgL_valsz00);
							if (NULLP(BgL_ll1133z00_899))
								{	/* Eval/evaluate_uncomp.scm 140 */
									BgL_arg1408z00_897 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_head1135z00_902;

									{	/* Eval/evaluate_uncomp.scm 140 */
										obj_t BgL_res1754z00_1517;

										BgL_res1754z00_1517 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1135z00_902 = BgL_res1754z00_1517;
									}
									{
										obj_t BgL_ll1133z00_904;
										obj_t BgL_ll1134z00_905;
										obj_t BgL_tail1136z00_906;

										BgL_ll1133z00_904 = BgL_ll1133z00_899;
										BgL_ll1134z00_905 = BgL_ll1134z00_900;
										BgL_tail1136z00_906 = BgL_head1135z00_902;
									BgL_zc3anonymousza31411ze3z83_907:
										if (NULLP(BgL_ll1133z00_904))
											{	/* Eval/evaluate_uncomp.scm 140 */
												BgL_arg1408z00_897 = CDR(BgL_head1135z00_902);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_newtail1137z00_909;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_arg1415z00_912;

													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_vz00_913;
														obj_t BgL_az00_914;

														BgL_vz00_913 = CAR(BgL_ll1133z00_904);
														BgL_az00_914 = CAR(BgL_ll1134z00_905);
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1416z00_915;
															obj_t BgL_arg1417z00_916;

															BgL_arg1416z00_915 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_913));
															{	/* Eval/evaluate_uncomp.scm 140 */
																obj_t BgL_arg1418z00_917;

																BgL_arg1418z00_917 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_914));
																BgL_arg1417z00_916 =
																	MAKE_PAIR(BgL_arg1418z00_917, BNIL);
															}
															BgL_arg1415z00_912 =
																MAKE_PAIR(BgL_arg1416z00_915,
																BgL_arg1417z00_916);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_res1756z00_1525;

														BgL_res1756z00_1525 =
															MAKE_PAIR(BgL_arg1415z00_912, BNIL);
														BgL_newtail1137z00_909 = BgL_res1756z00_1525;
													}
												}
												SET_CDR(BgL_tail1136z00_906, BgL_newtail1137z00_909);
												{
													obj_t BgL_tail1136z00_2378;
													obj_t BgL_ll1134z00_2376;
													obj_t BgL_ll1133z00_2374;

													BgL_ll1133z00_2374 = CDR(BgL_ll1133z00_904);
													BgL_ll1134z00_2376 = CDR(BgL_ll1134z00_905);
													BgL_tail1136z00_2378 = BgL_newtail1137z00_909;
													BgL_tail1136z00_906 = BgL_tail1136z00_2378;
													BgL_ll1134z00_905 = BgL_ll1134z00_2376;
													BgL_ll1133z00_904 = BgL_ll1133z00_2374;
													goto BgL_zc3anonymousza31411ze3z83_907;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_arg1419z00_919;

							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_ev_exprz00_bglt BgL_arg1421z00_920;

								BgL_arg1421z00_920 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_892)))->BgL_bodyz00);
								BgL_arg1419z00_919 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1421z00_920);
							}
							BgL_arg1409z00_898 = MAKE_PAIR(BgL_arg1419z00_919, BNIL);
						}
						BgL_arg1407z00_896 =
							MAKE_PAIR(BgL_arg1408z00_897, BgL_arg1409z00_898);
					}
					return
						MAKE_PAIR(BGl_symbol1875z00zz__evaluate_uncompz00,
						BgL_arg1407z00_896);
				}
			}
		}
	}



/* &uncomp-ev_let*1214 */
	obj_t BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2083, obj_t BgL_ez00_2084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_862;

				BgL_ez00_862 = ((BgL_ev_letza2za2_bglt) BgL_ez00_2084);
				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1391z00_866;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1392z00_867;
						obj_t BgL_arg1393z00_868;

						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_ll1127z00_869;
							obj_t BgL_ll1128z00_870;

							BgL_ll1127z00_869 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_862)))->BgL_varsz00);
							BgL_ll1128z00_870 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_862)))->BgL_valsz00);
							if (NULLP(BgL_ll1127z00_869))
								{	/* Eval/evaluate_uncomp.scm 136 */
									BgL_arg1392z00_867 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_head1129z00_872;

									{	/* Eval/evaluate_uncomp.scm 136 */
										obj_t BgL_res1750z00_1500;

										BgL_res1750z00_1500 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1129z00_872 = BgL_res1750z00_1500;
									}
									{
										obj_t BgL_ll1127z00_874;
										obj_t BgL_ll1128z00_875;
										obj_t BgL_tail1130z00_876;

										BgL_ll1127z00_874 = BgL_ll1127z00_869;
										BgL_ll1128z00_875 = BgL_ll1128z00_870;
										BgL_tail1130z00_876 = BgL_head1129z00_872;
									BgL_zc3anonymousza31395ze3z83_877:
										if (NULLP(BgL_ll1127z00_874))
											{	/* Eval/evaluate_uncomp.scm 136 */
												BgL_arg1392z00_867 = CDR(BgL_head1129z00_872);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_newtail1131z00_879;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_arg1401z00_882;

													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_vz00_883;
														obj_t BgL_az00_884;

														BgL_vz00_883 = CAR(BgL_ll1127z00_874);
														BgL_az00_884 = CAR(BgL_ll1128z00_875);
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1402z00_885;
															obj_t BgL_arg1403z00_886;

															BgL_arg1402z00_885 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_883));
															{	/* Eval/evaluate_uncomp.scm 136 */
																obj_t BgL_arg1404z00_887;

																BgL_arg1404z00_887 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_884));
																BgL_arg1403z00_886 =
																	MAKE_PAIR(BgL_arg1404z00_887, BNIL);
															}
															BgL_arg1401z00_882 =
																MAKE_PAIR(BgL_arg1402z00_885,
																BgL_arg1403z00_886);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_res1752z00_1508;

														BgL_res1752z00_1508 =
															MAKE_PAIR(BgL_arg1401z00_882, BNIL);
														BgL_newtail1131z00_879 = BgL_res1752z00_1508;
													}
												}
												SET_CDR(BgL_tail1130z00_876, BgL_newtail1131z00_879);
												{
													obj_t BgL_tail1130z00_2410;
													obj_t BgL_ll1128z00_2408;
													obj_t BgL_ll1127z00_2406;

													BgL_ll1127z00_2406 = CDR(BgL_ll1127z00_874);
													BgL_ll1128z00_2408 = CDR(BgL_ll1128z00_875);
													BgL_tail1130z00_2410 = BgL_newtail1131z00_879;
													BgL_tail1130z00_876 = BgL_tail1130z00_2410;
													BgL_ll1128z00_875 = BgL_ll1128z00_2408;
													BgL_ll1127z00_874 = BgL_ll1127z00_2406;
													goto BgL_zc3anonymousza31395ze3z83_877;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_arg1405z00_889;

							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_ev_exprz00_bglt BgL_arg1406z00_890;

								BgL_arg1406z00_890 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_862)))->BgL_bodyz00);
								BgL_arg1405z00_889 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1406z00_890);
							}
							BgL_arg1393z00_868 = MAKE_PAIR(BgL_arg1405z00_889, BNIL);
						}
						BgL_arg1391z00_866 =
							MAKE_PAIR(BgL_arg1392z00_867, BgL_arg1393z00_868);
					}
					return
						MAKE_PAIR(BGl_symbol1877z00zz__evaluate_uncompz00,
						BgL_arg1391z00_866);
				}
			}
		}
	}



/* &uncomp-ev_let1212 */
	obj_t BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2085, obj_t BgL_ez00_2086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{
				BgL_ev_letz00_bglt BgL_ez00_832;

				BgL_ez00_832 = ((BgL_ev_letz00_bglt) BgL_ez00_2086);
				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1372z00_836;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1373z00_837;
						obj_t BgL_arg1374z00_838;

						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_ll1121z00_839;
							obj_t BgL_ll1122z00_840;

							BgL_ll1121z00_839 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_832)))->BgL_varsz00);
							BgL_ll1122z00_840 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_832)))->BgL_valsz00);
							if (NULLP(BgL_ll1121z00_839))
								{	/* Eval/evaluate_uncomp.scm 132 */
									BgL_arg1373z00_837 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_head1123z00_842;

									{	/* Eval/evaluate_uncomp.scm 132 */
										obj_t BgL_res1746z00_1483;

										BgL_res1746z00_1483 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1123z00_842 = BgL_res1746z00_1483;
									}
									{
										obj_t BgL_ll1121z00_844;
										obj_t BgL_ll1122z00_845;
										obj_t BgL_tail1124z00_846;

										BgL_ll1121z00_844 = BgL_ll1121z00_839;
										BgL_ll1122z00_845 = BgL_ll1122z00_840;
										BgL_tail1124z00_846 = BgL_head1123z00_842;
									BgL_zc3anonymousza31376ze3z83_847:
										if (NULLP(BgL_ll1121z00_844))
											{	/* Eval/evaluate_uncomp.scm 132 */
												BgL_arg1373z00_837 = CDR(BgL_head1123z00_842);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_newtail1125z00_849;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_arg1383z00_852;

													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_vz00_853;
														obj_t BgL_az00_854;

														BgL_vz00_853 = CAR(BgL_ll1121z00_844);
														BgL_az00_854 = CAR(BgL_ll1122z00_845);
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1384z00_855;
															obj_t BgL_arg1385z00_856;

															BgL_arg1384z00_855 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_853));
															{	/* Eval/evaluate_uncomp.scm 132 */
																obj_t BgL_arg1388z00_857;

																BgL_arg1388z00_857 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_854));
																BgL_arg1385z00_856 =
																	MAKE_PAIR(BgL_arg1388z00_857, BNIL);
															}
															BgL_arg1383z00_852 =
																MAKE_PAIR(BgL_arg1384z00_855,
																BgL_arg1385z00_856);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_res1748z00_1491;

														BgL_res1748z00_1491 =
															MAKE_PAIR(BgL_arg1383z00_852, BNIL);
														BgL_newtail1125z00_849 = BgL_res1748z00_1491;
													}
												}
												SET_CDR(BgL_tail1124z00_846, BgL_newtail1125z00_849);
												{
													obj_t BgL_tail1124z00_2442;
													obj_t BgL_ll1122z00_2440;
													obj_t BgL_ll1121z00_2438;

													BgL_ll1121z00_2438 = CDR(BgL_ll1121z00_844);
													BgL_ll1122z00_2440 = CDR(BgL_ll1122z00_845);
													BgL_tail1124z00_2442 = BgL_newtail1125z00_849;
													BgL_tail1124z00_846 = BgL_tail1124z00_2442;
													BgL_ll1122z00_845 = BgL_ll1122z00_2440;
													BgL_ll1121z00_844 = BgL_ll1121z00_2438;
													goto BgL_zc3anonymousza31376ze3z83_847;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_arg1389z00_859;

							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_ev_exprz00_bglt BgL_arg1390z00_860;

								BgL_arg1390z00_860 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_832)))->BgL_bodyz00);
								BgL_arg1389z00_859 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1390z00_860);
							}
							BgL_arg1374z00_838 = MAKE_PAIR(BgL_arg1389z00_859, BNIL);
						}
						BgL_arg1372z00_836 =
							MAKE_PAIR(BgL_arg1373z00_837, BgL_arg1374z00_838);
					}
					return
						MAKE_PAIR(BGl_symbol1879z00zz__evaluate_uncompz00,
						BgL_arg1372z00_836);
				}
			}
		}
	}



/* &uncomp-ev_synchroniz1210 */
	obj_t BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2087, obj_t BgL_ez00_2088)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_821;

				BgL_ez00_821 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2088);
				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1366z00_825;

					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1367z00_826;
						obj_t BgL_arg1368z00_827;

						BgL_arg1367z00_826 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_821))->
								BgL_mutexz00));
						BgL_arg1368z00_827 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_821))->
									BgL_bodyz00)), BNIL);
						BgL_arg1366z00_825 =
							MAKE_PAIR(BgL_arg1367z00_826, BgL_arg1368z00_827);
					}
					return
						MAKE_PAIR(BGl_symbol1881z00zz__evaluate_uncompz00,
						BgL_arg1366z00_825);
				}
			}
		}
	}



/* &uncomp-ev_with-handl1208 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2089, obj_t BgL_ez00_2090)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_810;

				BgL_ez00_810 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2090);
				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1359z00_814;

					{	/* Eval/evaluate_uncomp.scm 124 */
						obj_t BgL_arg1360z00_815;
						obj_t BgL_arg1361z00_816;

						BgL_arg1360z00_815 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_810))->
								BgL_handlerz00));
						BgL_arg1361z00_816 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_810))->
									BgL_bodyz00)), BNIL);
						BgL_arg1359z00_814 =
							MAKE_PAIR(BgL_arg1360z00_815, BgL_arg1361z00_816);
					}
					return
						MAKE_PAIR(BGl_symbol1883z00zz__evaluate_uncompz00,
						BgL_arg1359z00_814);
				}
			}
		}
	}



/* &uncomp-ev_unwind-pro1206 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2091, obj_t BgL_ez00_2092)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_799;

				BgL_ez00_799 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2092);
				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1351z00_803;

					{	/* Eval/evaluate_uncomp.scm 120 */
						obj_t BgL_arg1352z00_804;
						obj_t BgL_arg1353z00_805;

						BgL_arg1352z00_804 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_799))->
								BgL_ez00));
						BgL_arg1353z00_805 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_799))->
									BgL_bodyz00)), BNIL);
						BgL_arg1351z00_803 =
							MAKE_PAIR(BgL_arg1352z00_804, BgL_arg1353z00_805);
					}
					return
						MAKE_PAIR(BGl_symbol1885z00zz__evaluate_uncompz00,
						BgL_arg1351z00_803);
				}
			}
		}
	}



/* &uncomp-ev_bind-exit1204 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2093, obj_t BgL_ez00_2094)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_787;

				BgL_ez00_787 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2094);
				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1344z00_791;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1345z00_792;
						obj_t BgL_arg1346z00_793;

						{	/* Eval/evaluate_uncomp.scm 116 */
							obj_t BgL_arg1347z00_794;

							{	/* Eval/evaluate_uncomp.scm 116 */
								BgL_ev_varz00_bglt BgL_arg1348z00_795;

								BgL_arg1348z00_795 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_787))->
									BgL_varz00);
								BgL_arg1347z00_794 =
									BGl_uncompz00zz__evaluate_uncompz00(((BgL_ev_exprz00_bglt)
										BgL_arg1348z00_795));
							}
							BgL_arg1345z00_792 = MAKE_PAIR(BgL_arg1347z00_794, BNIL);
						}
						BgL_arg1346z00_793 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_787))->
									BgL_bodyz00)), BNIL);
						BgL_arg1344z00_791 =
							MAKE_PAIR(BgL_arg1345z00_792, BgL_arg1346z00_793);
					}
					return
						MAKE_PAIR(BGl_symbol1887z00zz__evaluate_uncompz00,
						BgL_arg1344z00_791);
				}
			}
		}
	}



/* &uncomp-ev_setlocal1202 */
	obj_t BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2095, obj_t BgL_ez00_2096)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_776;

				BgL_ez00_776 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_2096);
				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1337z00_780;

					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1338z00_781;
						obj_t BgL_arg1339z00_782;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_varz00_bglt BgL_arg1340z00_783;

							BgL_arg1340z00_783 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_776))->BgL_vz00);
							BgL_arg1338z00_781 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1340z00_783));
						}
						{	/* Eval/evaluate_uncomp.scm 112 */
							obj_t BgL_arg1341z00_784;

							{	/* Eval/evaluate_uncomp.scm 112 */
								BgL_ev_exprz00_bglt BgL_arg1343z00_785;

								BgL_arg1343z00_785 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_776)))->BgL_ez00);
								BgL_arg1341z00_784 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1343z00_785);
							}
							BgL_arg1339z00_782 = MAKE_PAIR(BgL_arg1341z00_784, BNIL);
						}
						BgL_arg1337z00_780 =
							MAKE_PAIR(BgL_arg1338z00_781, BgL_arg1339z00_782);
					}
					return
						MAKE_PAIR(BGl_symbol1889z00zz__evaluate_uncompz00,
						BgL_arg1337z00_780);
				}
			}
		}
	}



/* &uncomp-ev_defglobal1200 */
	obj_t BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2097, obj_t BgL_ez00_2098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_766;

				BgL_ez00_766 = ((BgL_ev_defglobalz00_bglt) BgL_ez00_2098);
				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1331z00_770;

					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1332z00_771;
						obj_t BgL_arg1334z00_772;

						BgL_arg1332z00_771 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((BgL_ev_setglobalz00_bglt) BgL_ez00_766)))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 108 */
							obj_t BgL_arg1335z00_773;

							{	/* Eval/evaluate_uncomp.scm 108 */
								BgL_ev_exprz00_bglt BgL_arg1336z00_774;

								BgL_arg1336z00_774 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_766)))->BgL_ez00);
								BgL_arg1335z00_773 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1336z00_774);
							}
							BgL_arg1334z00_772 = MAKE_PAIR(BgL_arg1335z00_773, BNIL);
						}
						BgL_arg1331z00_770 =
							MAKE_PAIR(BgL_arg1332z00_771, BgL_arg1334z00_772);
					}
					return
						MAKE_PAIR(BGl_symbol1891z00zz__evaluate_uncompz00,
						BgL_arg1331z00_770);
				}
			}
		}
	}



/* &uncomp-ev_setglobal1198 */
	obj_t BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2099, obj_t BgL_ez00_2100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_756;

				BgL_ez00_756 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_2100);
				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1326z00_760;

					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1327z00_761;
						obj_t BgL_arg1328z00_762;

						BgL_arg1327z00_761 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_756))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 104 */
							obj_t BgL_arg1329z00_763;

							{	/* Eval/evaluate_uncomp.scm 104 */
								BgL_ev_exprz00_bglt BgL_arg1330z00_764;

								BgL_arg1330z00_764 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_756)))->BgL_ez00);
								BgL_arg1329z00_763 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1330z00_764);
							}
							BgL_arg1328z00_762 = MAKE_PAIR(BgL_arg1329z00_763, BNIL);
						}
						BgL_arg1326z00_760 =
							MAKE_PAIR(BgL_arg1327z00_761, BgL_arg1328z00_762);
					}
					return
						MAKE_PAIR(BGl_symbol1889z00zz__evaluate_uncompz00,
						BgL_arg1326z00_760);
				}
			}
		}
	}



/* &uncomp-ev_trap1196 */
	obj_t BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2101, obj_t BgL_ez00_2102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_748;

				BgL_ez00_748 = ((BgL_ev_trapz00_bglt) BgL_ez00_2102);
				{	/* Eval/evaluate_uncomp.scm 99 */
					obj_t BgL_arg1322z00_1476;

					{	/* Eval/evaluate_uncomp.scm 99 */
						obj_t BgL_arg1324z00_1477;

						{	/* Eval/evaluate_uncomp.scm 99 */
							BgL_ev_exprz00_bglt BgL_arg1325z00_1478;

							BgL_arg1325z00_1478 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_748)))->BgL_ez00);
							BgL_arg1324z00_1477 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1325z00_1478);
						}
						BgL_arg1322z00_1476 = MAKE_PAIR(BgL_arg1324z00_1477, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1893z00zz__evaluate_uncompz00,
						BgL_arg1322z00_1476);
				}
			}
		}
	}



/* &uncomp-ev_prog21194 */
	obj_t BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2103, obj_t BgL_ez00_2104)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_731;

				BgL_ez00_731 = ((BgL_ev_prog2z00_bglt) BgL_ez00_2104);
				{	/* Eval/evaluate_uncomp.scm 93 */
					obj_t BgL_e1z00_735;
					obj_t BgL_e2z00_736;

					BgL_e1z00_735 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_731))->BgL_e1z00));
					BgL_e2z00_736 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_731))->BgL_e2z00));
					{	/* Eval/evaluate_uncomp.scm 94 */
						bool_t BgL_testz00_2521;

						if (PAIRP(BgL_e2z00_736))
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2521 =
									(CAR(BgL_e2z00_736) ==
									BGl_symbol1895z00zz__evaluate_uncompz00);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2521 = ((bool_t) 0);
							}
						if (BgL_testz00_2521)
							{	/* Eval/evaluate_uncomp.scm 95 */
								obj_t BgL_arg1306z00_738;

								BgL_arg1306z00_738 =
									MAKE_PAIR(BgL_e1z00_735,
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_736), BNIL));
								return MAKE_PAIR(BGl_symbol1895z00zz__evaluate_uncompz00,
									BgL_arg1306z00_738);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1315z00_741;

								{	/* Eval/evaluate_uncomp.scm 96 */
									obj_t BgL_arg1316z00_742;

									BgL_arg1316z00_742 = MAKE_PAIR(BgL_e2z00_736, BNIL);
									BgL_arg1315z00_741 =
										MAKE_PAIR(BgL_e1z00_735, BgL_arg1316z00_742);
								}
								return
									MAKE_PAIR(BGl_symbol1895z00zz__evaluate_uncompz00,
									BgL_arg1315z00_741);
							}
					}
				}
			}
		}
	}



/* &uncomp-ev_and1192 */
	obj_t BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2105, obj_t BgL_ez00_2106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{
				BgL_ev_andz00_bglt BgL_ez00_708;

				BgL_ez00_708 = ((BgL_ev_andz00_bglt) BgL_ez00_2106);
				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1284z00_712;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_arg1285z00_713;

						{	/* Eval/evaluate_uncomp.scm 89 */
							obj_t BgL_l1115z00_714;

							BgL_l1115z00_714 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_708)))->BgL_argsz00);
							if (NULLP(BgL_l1115z00_714))
								{	/* Eval/evaluate_uncomp.scm 89 */
									BgL_arg1285z00_713 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_head1117z00_716;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1303z00_728;

										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_arg1304z00_729;

											BgL_arg1304z00_729 = CAR(BgL_l1115z00_714);
											BgL_arg1303z00_728 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1304z00_729));
										}
										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_res1737z00_1417;

											BgL_res1737z00_1417 = MAKE_PAIR(BgL_arg1303z00_728, BNIL);
											BgL_head1117z00_716 = BgL_res1737z00_1417;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_g1120z00_717;

										BgL_g1120z00_717 = CDR(BgL_l1115z00_714);
										{
											obj_t BgL_l1115z00_1450;
											obj_t BgL_tail1118z00_1451;

											BgL_l1115z00_1450 = BgL_g1120z00_717;
											BgL_tail1118z00_1451 = BgL_head1117z00_716;
										BgL_zc3anonymousza31287ze3z83_1449:
											if (NULLP(BgL_l1115z00_1450))
												{	/* Eval/evaluate_uncomp.scm 89 */
													BgL_arg1285z00_713 = BgL_head1117z00_716;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_newtail1119z00_1458;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1295z00_1459;

														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_arg1300z00_1460;

															BgL_arg1300z00_1460 = CAR(BgL_l1115z00_1450);
															BgL_arg1295z00_1459 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1300z00_1460));
														}
														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_res1743z00_1467;

															BgL_res1743z00_1467 =
																MAKE_PAIR(BgL_arg1295z00_1459, BNIL);
															BgL_newtail1119z00_1458 = BgL_res1743z00_1467;
														}
													}
													SET_CDR(BgL_tail1118z00_1451,
														BgL_newtail1119z00_1458);
													{
														obj_t BgL_tail1118z00_2552;
														obj_t BgL_l1115z00_2550;

														BgL_l1115z00_2550 = CDR(BgL_l1115z00_1450);
														BgL_tail1118z00_2552 = BgL_newtail1119z00_1458;
														BgL_tail1118z00_1451 = BgL_tail1118z00_2552;
														BgL_l1115z00_1450 = BgL_l1115z00_2550;
														goto BgL_zc3anonymousza31287ze3z83_1449;
													}
												}
										}
									}
								}
						}
						BgL_arg1284z00_712 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1285z00_713, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1897z00zz__evaluate_uncompz00,
						BgL_arg1284z00_712);
				}
			}
		}
	}



/* &uncomp-ev_or1190 */
	obj_t BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2107, obj_t BgL_ez00_2108)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{
				BgL_ev_orz00_bglt BgL_ez00_685;

				BgL_ez00_685 = ((BgL_ev_orz00_bglt) BgL_ez00_2108);
				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1274z00_689;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_arg1275z00_690;

						{	/* Eval/evaluate_uncomp.scm 85 */
							obj_t BgL_l1109z00_691;

							BgL_l1109z00_691 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_685)))->BgL_argsz00);
							if (NULLP(BgL_l1109z00_691))
								{	/* Eval/evaluate_uncomp.scm 85 */
									BgL_arg1275z00_690 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_head1111z00_693;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1282z00_705;

										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_arg1283z00_706;

											BgL_arg1283z00_706 = CAR(BgL_l1109z00_691);
											BgL_arg1282z00_705 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1283z00_706));
										}
										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_res1729z00_1358;

											BgL_res1729z00_1358 = MAKE_PAIR(BgL_arg1282z00_705, BNIL);
											BgL_head1111z00_693 = BgL_res1729z00_1358;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_g1114z00_694;

										BgL_g1114z00_694 = CDR(BgL_l1109z00_691);
										{
											obj_t BgL_l1109z00_1391;
											obj_t BgL_tail1112z00_1392;

											BgL_l1109z00_1391 = BgL_g1114z00_694;
											BgL_tail1112z00_1392 = BgL_head1111z00_693;
										BgL_zc3anonymousza31277ze3z83_1390:
											if (NULLP(BgL_l1109z00_1391))
												{	/* Eval/evaluate_uncomp.scm 85 */
													BgL_arg1275z00_690 = BgL_head1111z00_693;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_newtail1113z00_1399;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1280z00_1400;

														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_arg1281z00_1401;

															BgL_arg1281z00_1401 = CAR(BgL_l1109z00_1391);
															BgL_arg1280z00_1400 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1281z00_1401));
														}
														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_res1735z00_1408;

															BgL_res1735z00_1408 =
																MAKE_PAIR(BgL_arg1280z00_1400, BNIL);
															BgL_newtail1113z00_1399 = BgL_res1735z00_1408;
														}
													}
													SET_CDR(BgL_tail1112z00_1392,
														BgL_newtail1113z00_1399);
													{
														obj_t BgL_tail1112z00_2574;
														obj_t BgL_l1109z00_2572;

														BgL_l1109z00_2572 = CDR(BgL_l1109z00_1391);
														BgL_tail1112z00_2574 = BgL_newtail1113z00_1399;
														BgL_tail1112z00_1392 = BgL_tail1112z00_2574;
														BgL_l1109z00_1391 = BgL_l1109z00_2572;
														goto BgL_zc3anonymousza31277ze3z83_1390;
													}
												}
										}
									}
								}
						}
						BgL_arg1274z00_689 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1275z00_690, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1899z00zz__evaluate_uncompz00,
						BgL_arg1274z00_689);
				}
			}
		}
	}



/* &uncomp-ev_if1188 */
	obj_t BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2109, obj_t BgL_ez00_2110)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_671;

				BgL_ez00_671 = ((BgL_ev_ifz00_bglt) BgL_ez00_2110);
				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1264z00_675;

					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1265z00_676;
						obj_t BgL_arg1266z00_677;

						BgL_arg1265z00_676 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_671))->BgL_pz00));
						{	/* Eval/evaluate_uncomp.scm 81 */
							obj_t BgL_arg1269z00_679;
							obj_t BgL_arg1270z00_680;

							BgL_arg1269z00_679 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_671))->BgL_tz00));
							BgL_arg1270z00_680 =
								MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_671))->BgL_ez00)), BNIL);
							BgL_arg1266z00_677 =
								MAKE_PAIR(BgL_arg1269z00_679, BgL_arg1270z00_680);
						}
						BgL_arg1264z00_675 =
							MAKE_PAIR(BgL_arg1265z00_676, BgL_arg1266z00_677);
					}
					return
						MAKE_PAIR(BGl_symbol1901z00zz__evaluate_uncompz00,
						BgL_arg1264z00_675);
				}
			}
		}
	}



/* &uncomp-ev_litt1186 */
	obj_t BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2111, obj_t BgL_ez00_2112)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{
				BgL_ev_littz00_bglt BgL_ez00_664;

				BgL_ez00_664 = ((BgL_ev_littz00_bglt) BgL_ez00_2112);
				{	/* Eval/evaluate_uncomp.scm 76 */
					obj_t BgL_arg1262z00_1351;

					BgL_arg1262z00_1351 =
						MAKE_PAIR(
						(((BgL_ev_littz00_bglt) CREF(BgL_ez00_664))->BgL_valuez00), BNIL);
					return
						MAKE_PAIR(BGl_symbol1903z00zz__evaluate_uncompz00,
						BgL_arg1262z00_1351);
				}
			}
		}
	}



/* &uncomp-ev_global1184 */
	obj_t BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2113, obj_t BgL_varz00_2114)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_varz00_2114)))->BgL_namez00);
		}
	}



/* &uncomp-ev_var1182 */
	obj_t BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2115, obj_t BgL_varz00_2116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_varz00_2116)))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 178211111),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 40444151),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1905z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
