/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62use1111z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_hook1126zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_withzd2handler1134z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_unwindzd2protec1132z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_global1116zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_goto1144zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_bindzd2exit1130z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_var1114zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62usezd2ev_labels1142zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_setlocal1128zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_app1146zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_list1122zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_binder1138zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_binder1140zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_abs1148zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_litt1118zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_if1120zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_symbol1565z00zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62usezd2ev_synchroniza7e1136z17zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_prog21124zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1564z00zz__evaluate_usez00,
		BgL_bgl_string1564za700za7za7_1590za7, "use1111", 7);
	      DEFINE_STRING(BGl_string1566z00zz__evaluate_usez00,
		BgL_bgl_string1566za700za7za7_1591za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1567z00zz__evaluate_usez00,
		BgL_bgl_string1567za700za7za7_1592za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      DEFINE_STRING(BGl_string1568z00zz__evaluate_usez00,
		BgL_bgl_string1568za700za7za7_1593za7, "&use", 4);
	      DEFINE_STRING(BGl_string1569z00zz__evaluate_usez00,
		BgL_bgl_string1569za700za7za7_1594za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1563z00zz__evaluate_usez00,
		BgL_bgl_za762use1111za762za7za7_1595z00,
		BGl_z62use1111z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1571z00zz__evaluate_usez00,
		BgL_bgl_string1571za700za7za7_1596za7, "use", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1570z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var11597z00,
		BGl_z62usezd2ev_var1114zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1572z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob1598z00,
		BGl_z62usezd2ev_global1116zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1573z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt1599z00,
		BGl_z62usezd2ev_litt1118zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1574z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if111600z00,
		BGl_z62usezd2ev_if1120zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1575z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list1601z00,
		BGl_z62usezd2ev_list1122zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1576z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog1602z00,
		BGl_z62usezd2ev_prog21124zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1577z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook1603z00,
		BGl_z62usezd2ev_hook1126zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1578z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl1604z00,
		BGl_z62usezd2ev_setlocal1128zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1579z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1605z00,
		BGl_z62usezd2ev_bindzd2exit1130z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1589z00zz__evaluate_usez00,
		BgL_bgl_string1589za700za7za7_1606za7, "__evaluate_use", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1580z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi1607z00,
		BGl_z62usezd2ev_unwindzd2protec1132z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1581z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with1608z00,
		BGl_z62usezd2ev_withzd2handler1134z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1582z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_sync1609z00,
		BGl_z62usezd2ev_synchroniza7e1136z17zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1583z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1610z00,
		BGl_z62usezd2ev_binder1138zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1584z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1611z00,
		BGl_z62usezd2ev_binder1140zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1585z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe1612z00,
		BGl_z62usezd2ev_labels1142zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1586z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto1613z00,
		BGl_z62usezd2ev_goto1144zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1587z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app11614z00,
		BGl_z62usezd2ev_app1146zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1588z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs11615z00,
		BGl_z62usezd2ev_abs1148zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva1616z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_1634, char *BgL_fromz00_1635)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol1565z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string1564z00zz__evaluate_usez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc1563z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1564z00zz__evaluate_usez00);
		}
	}



/* &use1111 */
	obj_t BGl_z62use1111z62zz__evaluate_usez00(obj_t BgL_envz00_1549,
		obj_t BgL_ez00_1550, obj_t BgL_donez00_1551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_670;
				obj_t BgL_donez00_671;

				BgL_ez00_670 = ((BgL_ev_exprz00_bglt) BgL_ez00_1550);
				BgL_donez00_671 = BgL_donez00_1551;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1565z00zz__evaluate_usez00,
					BGl_string1566z00zz__evaluate_usez00, ((obj_t) BgL_ez00_670));
			}
		}
	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				obj_t BgL_method1112z00_674;

				{	/* Eval/evaluate_use.scm 62 */
					obj_t BgL_res1511z00_1128;

					{	/* Eval/evaluate_use.scm 62 */
						BgL_objectz00_bglt BgL_objz00_1100;

						BgL_objz00_1100 = ((BgL_objectz00_bglt) BgL_ez00_3);
						{	/* Eval/evaluate_use.scm 62 */
							long BgL_objzd2classzd2numz00_1101;

							{	/* Eval/evaluate_use.scm 62 */
								long BgL_res1505z00_1104;

								BgL_res1505z00_1104 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1100);
								BgL_objzd2classzd2numz00_1101 = BgL_res1505z00_1104;
							}
							{	/* Eval/evaluate_use.scm 62 */
								obj_t BgL_arg1497z00_1102;

								BgL_arg1497z00_1102 =
									PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_use.scm 62 */
									obj_t BgL_arrayz00_1105;
									int BgL_offsetz00_1106;

									BgL_arrayz00_1105 = BgL_arg1497z00_1102;
									BgL_offsetz00_1106 = (int) (BgL_objzd2classzd2numz00_1101);
									{	/* Eval/evaluate_use.scm 62 */
										long BgL_offsetz00_1107;

										BgL_offsetz00_1107 =
											((long) (BgL_offsetz00_1106) - OBJECT_TYPE);
										{	/* Eval/evaluate_use.scm 62 */
											long BgL_modz00_1108;

											{	/* Eval/evaluate_use.scm 62 */
												int BgL_arg1499z00_1109;

												BgL_arg1499z00_1109 = (int) (((long) 16));
												{	/* Eval/evaluate_use.scm 62 */
													long BgL_res1508z00_1119;

													{	/* Eval/evaluate_use.scm 62 */
														long BgL_auxz00_1656;

														BgL_auxz00_1656 = (long) (BgL_arg1499z00_1109);
														BgL_res1508z00_1119 =
															(BgL_offsetz00_1107 / BgL_auxz00_1656);
													}
													BgL_modz00_1108 = BgL_res1508z00_1119;
											}}
											{	/* Eval/evaluate_use.scm 62 */
												long BgL_restz00_1110;

												{	/* Eval/evaluate_use.scm 62 */
													int BgL_arg1498z00_1111;

													BgL_arg1498z00_1111 = (int) (((long) 16));
													{	/* Eval/evaluate_use.scm 62 */
														long BgL_res1510z00_1123;

														{	/* Eval/evaluate_use.scm 62 */
															long BgL_auxz00_1660;

															BgL_auxz00_1660 = (long) (BgL_arg1498z00_1111);
															BgL_res1510z00_1123 =
																(BgL_offsetz00_1107 % BgL_auxz00_1660);
														}
														BgL_restz00_1110 = BgL_res1510z00_1123;
												}}
												{	/* Eval/evaluate_use.scm 62 */

													BgL_res1511z00_1128 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1105,
															(int) (BgL_modz00_1108)),
														(int) (BgL_restz00_1110));
					}}}}}}}}
					BgL_method1112z00_674 = BgL_res1511z00_1128;
				}
				return
					PROCEDURE_ENTRY(BgL_method1112z00_674) (BgL_method1112z00_674,
					((obj_t) BgL_ez00_3), BgL_donez00_4, BEOA);
			}
		}
	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_1552,
		obj_t BgL_ez00_1553, obj_t BgL_donez00_1554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_1673;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_1553,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_use.scm 62 */
						BgL_auxz00_1673 = ((BgL_ev_exprz00_bglt) BgL_ez00_1553);
					}
				else
					{
						obj_t BgL_auxz00_1677;

						BgL_auxz00_1677 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1567z00zz__evaluate_usez00, BINT(((long) 1786)),
							BGl_string1568z00zz__evaluate_usez00,
							BGl_string1569z00zz__evaluate_usez00, BgL_ez00_1553);
						FAILURE(BgL_auxz00_1677, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_1673, BgL_donez00_1554);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1570z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1572z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1573z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1574z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1575z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1576z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1577z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1578z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1579z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1580z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1581z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1582z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1583z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1584z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1585z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1586z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1587z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1588z00zz__evaluate_usez00,
				BGl_string1571z00zz__evaluate_usez00);
		}
	}



/* &use-ev_abs1148 */
	obj_t BGl_z62usezd2ev_abs1148zb0zz__evaluate_usez00(obj_t BgL_envz00_1573,
		obj_t BgL_ez00_1574, obj_t BgL_donez00_1575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 139 */
			{
				BgL_ev_absz00_bglt BgL_ez00_820;
				obj_t BgL_donez00_821;

				BgL_ez00_820 = ((BgL_ev_absz00_bglt) BgL_ez00_1574);
				BgL_donez00_821 = BgL_donez00_1575;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_820))->BgL_bodyz00),
					BgL_donez00_821);
			}
		}
	}



/* &use-ev_app1146 */
	obj_t BGl_z62usezd2ev_app1146zb0zz__evaluate_usez00(obj_t BgL_envz00_1576,
		obj_t BgL_ez00_1577, obj_t BgL_donez00_1578)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 135 */
			{
				BgL_ev_appz00_bglt BgL_ez00_811;
				obj_t BgL_donez00_812;

				BgL_ez00_811 = ((BgL_ev_appz00_bglt) BgL_ez00_1577);
				BgL_donez00_812 = BgL_donez00_1578;
				{	/* Eval/evaluate_use.scm 136 */
					BgL_ev_exprz00_bglt BgL_arg1274z00_1280;
					obj_t BgL_arg1275z00_1281;

					BgL_arg1274z00_1280 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_811))->BgL_funz00);
					{	/* Eval/evaluate_use.scm 136 */
						obj_t BgL_arg1276z00_1282;

						BgL_arg1276z00_1282 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_811))->BgL_argsz00);
						{
							obj_t BgL_lz00_1284;
							obj_t BgL_donez00_1285;

							BgL_lz00_1284 = BgL_arg1276z00_1282;
							BgL_donez00_1285 = BgL_donez00_812;
						BgL_useza2za2_1283:
							if (NULLP(BgL_lz00_1284))
								{	/* Eval/evaluate_use.scm 136 */
									BgL_arg1275z00_1281 = BgL_donez00_1285;
								}
							else
								{	/* Eval/evaluate_use.scm 136 */
									obj_t BgL_arg1186z00_1291;
									obj_t BgL_arg1191z00_1292;

									BgL_arg1186z00_1291 = CDR(BgL_lz00_1284);
									{	/* Eval/evaluate_use.scm 136 */
										obj_t BgL_arg1199z00_1293;

										BgL_arg1199z00_1293 = CAR(BgL_lz00_1284);
										BgL_arg1191z00_1292 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1199z00_1293),
											BgL_donez00_1285);
									}
									{
										obj_t BgL_donez00_1712;
										obj_t BgL_lz00_1711;

										BgL_lz00_1711 = BgL_arg1186z00_1291;
										BgL_donez00_1712 = BgL_arg1191z00_1292;
										BgL_donez00_1285 = BgL_donez00_1712;
										BgL_lz00_1284 = BgL_lz00_1711;
										goto BgL_useza2za2_1283;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1274z00_1280,
						BgL_arg1275z00_1281);
				}
			}
		}
	}



/* &use-ev_goto1144 */
	obj_t BGl_z62usezd2ev_goto1144zb0zz__evaluate_usez00(obj_t BgL_envz00_1579,
		obj_t BgL_ez00_1580, obj_t BgL_donez00_1581)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 131 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_804;
				obj_t BgL_donez00_805;

				BgL_ez00_804 = ((BgL_ev_gotoz00_bglt) BgL_ez00_1580);
				BgL_donez00_805 = BgL_donez00_1581;
				{	/* Eval/evaluate_use.scm 132 */
					obj_t BgL_arg1273z00_1263;

					BgL_arg1273z00_1263 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_804))->BgL_argsz00);
					{
						obj_t BgL_lz00_1265;
						obj_t BgL_donez00_1266;

						BgL_lz00_1265 = BgL_arg1273z00_1263;
						BgL_donez00_1266 = BgL_donez00_805;
					BgL_useza2za2_1264:
						if (NULLP(BgL_lz00_1265))
							{	/* Eval/evaluate_use.scm 132 */
								return BgL_donez00_1266;
							}
						else
							{	/* Eval/evaluate_use.scm 132 */
								obj_t BgL_arg1186z00_1272;
								obj_t BgL_arg1191z00_1273;

								BgL_arg1186z00_1272 = CDR(BgL_lz00_1265);
								{	/* Eval/evaluate_use.scm 132 */
									obj_t BgL_arg1199z00_1274;

									BgL_arg1199z00_1274 = CAR(BgL_lz00_1265);
									BgL_arg1191z00_1273 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1199z00_1274),
										BgL_donez00_1266);
								}
								{
									obj_t BgL_donez00_1723;
									obj_t BgL_lz00_1722;

									BgL_lz00_1722 = BgL_arg1186z00_1272;
									BgL_donez00_1723 = BgL_arg1191z00_1273;
									BgL_donez00_1266 = BgL_donez00_1723;
									BgL_lz00_1265 = BgL_lz00_1722;
									goto BgL_useza2za2_1264;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_labels1142 */
	obj_t BGl_z62usezd2ev_labels1142zb0zz__evaluate_usez00(obj_t BgL_envz00_1582,
		obj_t BgL_ez00_1583, obj_t BgL_donez00_1584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 124 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_787;
				obj_t BgL_donez00_788;

				BgL_ez00_787 = ((BgL_ev_labelsz00_bglt) BgL_ez00_1583);
				BgL_donez00_788 = BgL_donez00_1584;
				{	/* Eval/evaluate_use.scm 126 */
					obj_t BgL_arg1265z00_793;

					BgL_arg1265z00_793 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_787))->BgL_valsz00);
					{
						obj_t BgL_lz00_1243;
						obj_t BgL_donez00_1244;

						BgL_lz00_1243 = BgL_arg1265z00_793;
						BgL_donez00_1244 = BgL_donez00_788;
					BgL_recz00_1242:
						if (NULLP(BgL_lz00_1243))
							{	/* Eval/evaluate_use.scm 126 */
								return
									BGl_usez00zz__evaluate_usez00(
									(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_787))->BgL_bodyz00),
									BgL_donez00_1244);
							}
						else
							{	/* Eval/evaluate_use.scm 126 */
								obj_t BgL_arg1270z00_1252;
								obj_t BgL_arg1271z00_1253;

								BgL_arg1270z00_1252 = CDR(BgL_lz00_1243);
								{	/* Eval/evaluate_use.scm 126 */
									obj_t BgL_arg1272z00_1254;

									{	/* Eval/evaluate_use.scm 126 */
										obj_t BgL_pairz00_1258;

										BgL_pairz00_1258 = BgL_lz00_1243;
										BgL_arg1272z00_1254 = CDR(CAR(BgL_pairz00_1258));
									}
									BgL_arg1271z00_1253 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1272z00_1254),
										BgL_donez00_1244);
								}
								{
									obj_t BgL_donez00_1736;
									obj_t BgL_lz00_1735;

									BgL_lz00_1735 = BgL_arg1270z00_1252;
									BgL_donez00_1736 = BgL_arg1271z00_1253;
									BgL_donez00_1244 = BgL_donez00_1736;
									BgL_lz00_1243 = BgL_lz00_1735;
									goto BgL_recz00_1242;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_binder1140 */
	obj_t BGl_z62usezd2ev_binder1140zb0zz__evaluate_usez00(obj_t BgL_envz00_1585,
		obj_t BgL_ez00_1586, obj_t BgL_donez00_1587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 120 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_778;
				obj_t BgL_donez00_779;

				BgL_ez00_778 = ((BgL_ev_binderz00_bglt) BgL_ez00_1586);
				BgL_donez00_779 = BgL_donez00_1587;
				{	/* Eval/evaluate_use.scm 121 */
					BgL_ev_exprz00_bglt BgL_arg1262z00_1198;
					obj_t BgL_arg1263z00_1199;

					BgL_arg1262z00_1198 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_778))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 121 */
						obj_t BgL_arg1264z00_1200;

						BgL_arg1264z00_1200 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_778))->BgL_valsz00);
						{
							obj_t BgL_lz00_1202;
							obj_t BgL_donez00_1203;

							BgL_lz00_1202 = BgL_arg1264z00_1200;
							BgL_donez00_1203 = BgL_donez00_779;
						BgL_useza2za2_1201:
							if (NULLP(BgL_lz00_1202))
								{	/* Eval/evaluate_use.scm 121 */
									BgL_arg1263z00_1199 = BgL_donez00_1203;
								}
							else
								{	/* Eval/evaluate_use.scm 121 */
									obj_t BgL_arg1186z00_1209;
									obj_t BgL_arg1191z00_1210;

									BgL_arg1186z00_1209 = CDR(BgL_lz00_1202);
									{	/* Eval/evaluate_use.scm 121 */
										obj_t BgL_arg1199z00_1211;

										BgL_arg1199z00_1211 = CAR(BgL_lz00_1202);
										BgL_arg1191z00_1210 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1199z00_1211),
											BgL_donez00_1203);
									}
									{
										obj_t BgL_donez00_1747;
										obj_t BgL_lz00_1746;

										BgL_lz00_1746 = BgL_arg1186z00_1209;
										BgL_donez00_1747 = BgL_arg1191z00_1210;
										BgL_donez00_1203 = BgL_donez00_1747;
										BgL_lz00_1202 = BgL_lz00_1746;
										goto BgL_useza2za2_1201;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1262z00_1198,
						BgL_arg1263z00_1199);
				}
			}
		}
	}



/* &use-ev_binder1138 */
	obj_t BGl_z62usezd2ev_binder1138zb0zz__evaluate_usez00(obj_t BgL_envz00_1588,
		obj_t BgL_ez00_1589, obj_t BgL_donez00_1590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 116 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_769;
				obj_t BgL_donez00_770;

				BgL_ez00_769 = ((BgL_ev_binderz00_bglt) BgL_ez00_1589);
				BgL_donez00_770 = BgL_donez00_1590;
				{	/* Eval/evaluate_use.scm 117 */
					BgL_ev_exprz00_bglt BgL_arg1256z00_1179;
					obj_t BgL_arg1257z00_1180;

					BgL_arg1256z00_1179 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_769))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 117 */
						obj_t BgL_arg1261z00_1181;

						BgL_arg1261z00_1181 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_769))->BgL_valsz00);
						{
							obj_t BgL_lz00_1183;
							obj_t BgL_donez00_1184;

							BgL_lz00_1183 = BgL_arg1261z00_1181;
							BgL_donez00_1184 = BgL_donez00_770;
						BgL_useza2za2_1182:
							if (NULLP(BgL_lz00_1183))
								{	/* Eval/evaluate_use.scm 117 */
									BgL_arg1257z00_1180 = BgL_donez00_1184;
								}
							else
								{	/* Eval/evaluate_use.scm 117 */
									obj_t BgL_arg1186z00_1190;
									obj_t BgL_arg1191z00_1191;

									BgL_arg1186z00_1190 = CDR(BgL_lz00_1183);
									{	/* Eval/evaluate_use.scm 117 */
										obj_t BgL_arg1199z00_1192;

										BgL_arg1199z00_1192 = CAR(BgL_lz00_1183);
										BgL_arg1191z00_1191 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1199z00_1192),
											BgL_donez00_1184);
									}
									{
										obj_t BgL_donez00_1759;
										obj_t BgL_lz00_1758;

										BgL_lz00_1758 = BgL_arg1186z00_1190;
										BgL_donez00_1759 = BgL_arg1191z00_1191;
										BgL_donez00_1184 = BgL_donez00_1759;
										BgL_lz00_1183 = BgL_lz00_1758;
										goto BgL_useza2za2_1182;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1256z00_1179,
						BgL_arg1257z00_1180);
				}
			}
		}
	}



/* &use-ev_synchronize1136 */
	obj_t BGl_z62usezd2ev_synchroniza7e1136z17zz__evaluate_usez00(obj_t
		BgL_envz00_1591, obj_t BgL_ez00_1592, obj_t BgL_donez00_1593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 112 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_760;
				obj_t BgL_donez00_761;

				BgL_ez00_760 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_1592);
				BgL_donez00_761 = BgL_donez00_1593;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_760))->BgL_mutexz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_760))->BgL_bodyz00),
						BgL_donez00_761));
			}
		}
	}



/* &use-ev_with-handler1134 */
	obj_t BGl_z62usezd2ev_withzd2handler1134z62zz__evaluate_usez00(obj_t
		BgL_envz00_1594, obj_t BgL_ez00_1595, obj_t BgL_donez00_1596)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 108 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_751;
				obj_t BgL_donez00_752;

				BgL_ez00_751 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_1595);
				BgL_donez00_752 = BgL_donez00_1596;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_751))->
						BgL_handlerz00),
					BGl_usez00zz__evaluate_usez00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_751))->BgL_bodyz00), BgL_donez00_752));
			}
		}
	}



/* &use-ev_unwind-protec1132 */
	obj_t BGl_z62usezd2ev_unwindzd2protec1132z62zz__evaluate_usez00(obj_t
		BgL_envz00_1597, obj_t BgL_ez00_1598, obj_t BgL_donez00_1599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 104 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_742;
				obj_t BgL_donez00_743;

				BgL_ez00_742 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_1598);
				BgL_donez00_743 = BgL_donez00_1599;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_742))->BgL_ez00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_742))->
							BgL_bodyz00), BgL_donez00_743));
			}
		}
	}



/* &use-ev_bind-exit1130 */
	obj_t BGl_z62usezd2ev_bindzd2exit1130z62zz__evaluate_usez00(obj_t
		BgL_envz00_1600, obj_t BgL_ez00_1601, obj_t BgL_donez00_1602)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 100 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_735;
				obj_t BgL_donez00_736;

				BgL_ez00_735 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_1601);
				BgL_donez00_736 = BgL_donez00_1602;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_735))->BgL_bodyz00),
					BgL_donez00_736);
			}
		}
	}



/* &use-ev_setlocal1128 */
	obj_t BGl_z62usezd2ev_setlocal1128zb0zz__evaluate_usez00(obj_t
		BgL_envz00_1603, obj_t BgL_ez00_1604, obj_t BgL_donez00_1605)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 95 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_725;
				obj_t BgL_donez00_726;

				BgL_ez00_725 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_1604);
				BgL_donez00_726 = BgL_donez00_1605;
				{	/* Eval/evaluate_use.scm 96 */
					bool_t BgL_testz00_1780;

					{	/* Eval/evaluate_use.scm 96 */
						BgL_ev_varz00_bglt BgL_arg1220z00_1161;

						BgL_arg1220z00_1161 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_725))->BgL_vz00);
						BgL_testz00_1780 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg1220z00_1161), BgL_donez00_726));
					}
					if (BgL_testz00_1780)
						{	/* Eval/evaluate_use.scm 96 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 96 */
							BgL_ev_varz00_bglt BgL_arg1219z00_1162;

							BgL_arg1219z00_1162 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_725))->BgL_vz00);
							BgL_donez00_726 =
								MAKE_PAIR(((obj_t) BgL_arg1219z00_1162), BgL_donez00_726);
						}
				}
				{	/* Eval/evaluate_use.scm 96 */
					BgL_ev_exprz00_bglt BgL_arg1225z00_1163;

					BgL_arg1225z00_1163 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_725)))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1225z00_1163, BgL_donez00_726);
				}
			}
		}
	}



/* &use-ev_hook1126 */
	obj_t BGl_z62usezd2ev_hook1126zb0zz__evaluate_usez00(obj_t BgL_envz00_1606,
		obj_t BgL_ez00_1607, obj_t BgL_donez00_1608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 91 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_718;
				obj_t BgL_donez00_719;

				BgL_ez00_718 = ((BgL_ev_hookz00_bglt) BgL_ez00_1607);
				BgL_donez00_719 = BgL_donez00_1608;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_718))->BgL_ez00),
					BgL_donez00_719);
			}
		}
	}



/* &use-ev_prog21124 */
	obj_t BGl_z62usezd2ev_prog21124zb0zz__evaluate_usez00(obj_t BgL_envz00_1609,
		obj_t BgL_ez00_1610, obj_t BgL_donez00_1611)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 87 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_709;
				obj_t BgL_donez00_710;

				BgL_ez00_709 = ((BgL_ev_prog2z00_bglt) BgL_ez00_1610);
				BgL_donez00_710 = BgL_donez00_1611;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_709))->BgL_e1z00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_709))->BgL_e2z00),
						BgL_donez00_710));
			}
		}
	}



/* &use-ev_list1122 */
	obj_t BGl_z62usezd2ev_list1122zb0zz__evaluate_usez00(obj_t BgL_envz00_1612,
		obj_t BgL_ez00_1613, obj_t BgL_donez00_1614)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 83 */
			{
				BgL_ev_listz00_bglt BgL_ez00_702;
				obj_t BgL_donez00_703;

				BgL_ez00_702 = ((BgL_ev_listz00_bglt) BgL_ez00_1613);
				BgL_donez00_703 = BgL_donez00_1614;
				{	/* Eval/evaluate_use.scm 84 */
					obj_t BgL_arg1212z00_1137;

					BgL_arg1212z00_1137 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_702))->BgL_argsz00);
					{
						obj_t BgL_lz00_1139;
						obj_t BgL_donez00_1140;

						BgL_lz00_1139 = BgL_arg1212z00_1137;
						BgL_donez00_1140 = BgL_donez00_703;
					BgL_useza2za2_1138:
						if (NULLP(BgL_lz00_1139))
							{	/* Eval/evaluate_use.scm 84 */
								return BgL_donez00_1140;
							}
						else
							{	/* Eval/evaluate_use.scm 84 */
								obj_t BgL_arg1186z00_1146;
								obj_t BgL_arg1191z00_1147;

								BgL_arg1186z00_1146 = CDR(BgL_lz00_1139);
								{	/* Eval/evaluate_use.scm 84 */
									obj_t BgL_arg1199z00_1148;

									BgL_arg1199z00_1148 = CAR(BgL_lz00_1139);
									BgL_arg1191z00_1147 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1199z00_1148),
										BgL_donez00_1140);
								}
								{
									obj_t BgL_donez00_1808;
									obj_t BgL_lz00_1807;

									BgL_lz00_1807 = BgL_arg1186z00_1146;
									BgL_donez00_1808 = BgL_arg1191z00_1147;
									BgL_donez00_1140 = BgL_donez00_1808;
									BgL_lz00_1139 = BgL_lz00_1807;
									goto BgL_useza2za2_1138;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_if1120 */
	obj_t BGl_z62usezd2ev_if1120zb0zz__evaluate_usez00(obj_t BgL_envz00_1615,
		obj_t BgL_ez00_1616, obj_t BgL_donez00_1617)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_691;
				obj_t BgL_donez00_692;

				BgL_ez00_691 = ((BgL_ev_ifz00_bglt) BgL_ez00_1616);
				BgL_donez00_692 = BgL_donez00_1617;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_691))->BgL_pz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_691))->BgL_tz00),
						BGl_usez00zz__evaluate_usez00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_691))->BgL_ez00),
							BgL_donez00_692)));
			}
		}
	}



/* &use-ev_litt1118 */
	obj_t BGl_z62usezd2ev_litt1118zb0zz__evaluate_usez00(obj_t BgL_envz00_1618,
		obj_t BgL_ez00_1619, obj_t BgL_donez00_1620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 76 */
			return BgL_donez00_1620;
		}
	}



/* &use-ev_global1116 */
	obj_t BGl_z62usezd2ev_global1116zb0zz__evaluate_usez00(obj_t BgL_envz00_1621,
		obj_t BgL_varz00_1622, obj_t BgL_donez00_1623)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 73 */
			return BgL_donez00_1623;
		}
	}



/* &use-ev_var1114 */
	obj_t BGl_z62usezd2ev_var1114zb0zz__evaluate_usez00(obj_t BgL_envz00_1624,
		obj_t BgL_varz00_1625, obj_t BgL_donez00_1626)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 69 */
			{
				BgL_ev_varz00_bglt BgL_varz00_675;
				obj_t BgL_donez00_676;

				BgL_varz00_675 = ((BgL_ev_varz00_bglt) BgL_varz00_1625);
				BgL_donez00_676 = BgL_donez00_1626;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_675), BgL_donez00_676)))
					{	/* Eval/evaluate_use.scm 70 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 70 */
						BgL_donez00_676 =
							MAKE_PAIR(((obj_t) BgL_varz00_675), BgL_donez00_676);
					}
				return BgL_donez00_676;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 178211111),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 40444151),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
		}
	}

#ifdef __cplusplus
}
#endif
