/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62zc3anonymousza32856ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62zc3anonymousza32041ze3ze1zzast_sexpz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32042ze3ze1zzast_sexpz00(obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_liipz00zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32038ze3z83zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[44];


	   
		 
		DEFINE_STRING(BGl_string3473z00zzast_sexpz00,
		BgL_bgl_string3473za700za7za7a3508za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string3474z00zzast_sexpz00,
		BgL_bgl_string3474za700za7za7a3509za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string3475z00zzast_sexpz00,
		BgL_bgl_string3475za700za7za7a3510za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string3476z00zzast_sexpz00,
		BgL_bgl_string3476za700za7za7a3511za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string3477z00zzast_sexpz00,
		BgL_bgl_string3477za700za7za7a3512za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string3478z00zzast_sexpz00,
		BgL_bgl_string3478za700za7za7a3513za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string3479z00zzast_sexpz00,
		BgL_bgl_string3479za700za7za7a3514za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string3480z00zzast_sexpz00,
		BgL_bgl_string3480za700za7za7a3515za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string3481z00zzast_sexpz00,
		BgL_bgl_string3481za700za7za7a3516za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string3482z00zzast_sexpz00,
		BgL_bgl_string3482za700za7za7a3517za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string3483z00zzast_sexpz00,
		BgL_bgl_string3483za700za7za7a3518za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string3484z00zzast_sexpz00,
		BgL_bgl_string3484za700za7za7a3519za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string3485z00zzast_sexpz00,
		BgL_bgl_string3485za700za7za7a3520za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string3486z00zzast_sexpz00,
		BgL_bgl_string3486za700za7za7a3521za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string3487z00zzast_sexpz00,
		BgL_bgl_string3487za700za7za7a3522za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string3488z00zzast_sexpz00,
		BgL_bgl_string3488za700za7za7a3523za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string3489z00zzast_sexpz00,
		BgL_bgl_string3489za700za7za7a3524za7, "wrong number of argument", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3525z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3490z00zzast_sexpz00,
		BgL_bgl_string3490za700za7za7a3526za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string3491z00zzast_sexpz00,
		BgL_bgl_string3491za700za7za7a3527za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string3492z00zzast_sexpz00,
		BgL_bgl_string3492za700za7za7a3528za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string3493z00zzast_sexpz00,
		BgL_bgl_string3493za700za7za7a3529za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string3494z00zzast_sexpz00,
		BgL_bgl_string3494za700za7za7a3530za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string3495z00zzast_sexpz00,
		BgL_bgl_string3495za700za7za7a3531za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string3496z00zzast_sexpz00,
		BgL_bgl_string3496za700za7za7a3532za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string3497z00zzast_sexpz00,
		BgL_bgl_string3497za700za7za7a3533za7, "($1)", 4);
	      DEFINE_STRING(BGl_string3498z00zzast_sexpz00,
		BgL_bgl_string3498za700za7za7a3534za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string3499z00zzast_sexpz00,
		BgL_bgl_string3499za700za7za7a3535za7, "<", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza73536za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym3537z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza73538za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e3539za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod3540za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d3541za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e33542z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3500z00zzast_sexpz00,
		BgL_bgl_string3500za700za7za7a3543za7, ":", 1);
	      DEFINE_STRING(BGl_string3501z00zzast_sexpz00,
		BgL_bgl_string3501za700za7za7a3544za7, "./", 2);
	      DEFINE_STRING(BGl_string3502z00zzast_sexpz00,
		BgL_bgl_string3502za700za7za7a3545za7, ">", 1);
	      DEFINE_STRING(BGl_string3503z00zzast_sexpz00,
		BgL_bgl_string3503za700za7za7a3546za7, "-", 1);
	      DEFINE_STRING(BGl_string3504z00zzast_sexpz00,
		BgL_bgl_string3504za700za7za7a3547za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string3505z00zzast_sexpz00,
		BgL_bgl_string3505za700za7za7a3548za7,
		"mutex > bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons synchronize apply jump-exit set-exit case failure free-pragma/effect free-pragma pragma/effect letrec* labels letrec let define begin -> __r4_control_features_6_9 quote @ eval not bool test set! pragma else (quote ()) lambda value if (value apply app set!) ",
		403);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za73549za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl3550z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3551z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_5566, char *BgL_fromz00_5567)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					BGl_toplevelzd2initzd2zzast_sexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_5556;

				BgL_cportz00_5556 =
					bgl_open_input_string(BGl_string3505z00zzast_sexpz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5557;

					BgL_iz00_5557 = ((long) 43);
				BgL_loopz00_5558:
					if ((BgL_iz00_5557 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg3507z00_5560;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_5562;

										BgL_locationz00_5562 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg3507z00_5560 =
												BGl_readz00zz__readerz00(BgL_cportz00_5556,
												BgL_locationz00_5562);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_auxz00_5600;

									BgL_auxz00_5600 = (int) (BgL_iz00_5557);
									CNST_TABLE_SET(BgL_auxz00_5600, BgL_arg3507z00_5560);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_5563;

								BgL_auxz00_5563 = (int) ((BgL_iz00_5557 - ((long) 1)));
								{
									long BgL_iz00_5605;

									BgL_iz00_5605 = (long) (BgL_auxz00_5563);
									BgL_iz00_5557 = BgL_iz00_5605;
									goto BgL_loopz00_5558;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza32038ze3z83zzast_sexpz00(BgL_locz00_18, BgL_expz00_17));
		}
	}



/* <exit:2038> */
	obj_t BGl_zc3exitza32038ze3z83zzast_sexpz00(obj_t BgL_locz00_5554,
		obj_t BgL_expz00_5553)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 63 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1104z00_1556;

			if (SET_EXIT(BgL_an_exit1104z00_1556))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1104z00_1556 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 63 */

						PUSH_EXIT(BgL_an_exit1104z00_1556, ((long) 1));
						{	/* Ast/sexp.scm 63 */
							obj_t BgL_an_exitd1105z00_1557;

							BgL_an_exitd1105z00_1557 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Ast/sexp.scm 66 */
								obj_t BgL_res1107z00_1560;

								{	/* Ast/sexp.scm 66 */
									obj_t BgL_zc3anonymousza32042ze3z83_5500;
									obj_t BgL_zc3anonymousza32041ze3z83_5501;

									BgL_zc3anonymousza32042ze3z83_5500 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32042ze3ze1zzast_sexpz00,
										(int) (((long) 0)), (int) (((long) 2)));
									BgL_zc3anonymousza32041ze3z83_5501 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32041ze3ze1zzast_sexpz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32042ze3z83_5500,
										(int) (((long) 0)), BgL_expz00_5553);
									PROCEDURE_SET(BgL_zc3anonymousza32042ze3z83_5500,
										(int) (((long) 1)), BgL_locz00_5554);
									PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_5501,
										(int) (((long) 0)), BgL_an_exitd1105z00_1557);
									BgL_res1107z00_1560 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3anonymousza32041ze3z83_5501,
										BgL_zc3anonymousza32042ze3z83_5500);
								}
								POP_EXIT();
								return BgL_res1107z00_1560;
							}
						}
					}
				}
		}
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5502, obj_t BgL_expz00_5503, obj_t BgL_locz00_5504)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza32038ze3z83zzast_sexpz00(BgL_locz00_5504,
					BgL_expz00_5503));
		}
	}



/* &<anonymous:2042> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32042ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_5505)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 68 */
			{	/* Ast/sexp.scm 69 */
				obj_t BgL_expz00_5506;
				obj_t BgL_locz00_5507;

				BgL_expz00_5506 = PROCEDURE_REF(BgL_envz00_5505, (int) (((long) 0)));
				BgL_locz00_5507 = PROCEDURE_REF(BgL_envz00_5505, (int) (((long) 1)));
				{

					return
						BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_5506, BNIL,
						BgL_locz00_5507, CNST_TABLE_REF(((long) 2)));
		}}}
	}



/* &<anonymous:2041> */
	obj_t BGl_z62zc3anonymousza32041ze3ze1zzast_sexpz00(obj_t BgL_envz00_5508,
		obj_t BgL_ez00_5510)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 65 */
			{	/* Ast/sexp.scm 66 */
				obj_t BgL_an_exitd1105z00_5509;

				BgL_an_exitd1105z00_5509 =
					PROCEDURE_REF(BgL_envz00_5508, (int) (((long) 0)));
				{
					obj_t BgL_ez00_1563;

					BgL_ez00_1563 = BgL_ez00_5510;
					BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_1563);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1105z00_5509,
						BUNSPEC);
				}
			}
		}
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_5511)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 96 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 97 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 97 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 97 */
							if ((CAR(BgL_ez00_20) == CNST_TABLE_REF(((long) 3))))
								{	/* Ast/sexp.scm 97 */
									bool_t BgL_testz00_5650;

									{	/* Ast/sexp.scm 97 */
										obj_t BgL_auxz00_5651;

										BgL_auxz00_5651 = CDR(BgL_ez00_20);
										BgL_testz00_5650 = PAIRP(BgL_auxz00_5651);
									}
									if (BgL_testz00_5650)
										{	/* Ast/sexp.scm 97 */
											return ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 97 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Ast/sexp.scm 97 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 97 */
							return ((bool_t) 0);
						}
				}
		}
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 110 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1580;
				obj_t BgL_lz00_1585;
				obj_t BgL_bodyz00_1589;
				obj_t BgL_lz00_1592;
				obj_t BgL_valz00_1593;
				obj_t BgL_bodyz00_1597;
				obj_t BgL_argsz00_1598;
				obj_t BgL_varz00_1602;
				obj_t BgL_bodyz00_1603;
				obj_t BgL_argz00_1604;
				obj_t BgL_varsz00_1606;
				obj_t BgL_bodyz00_1607;
				obj_t BgL_argsz00_1608;
				obj_t BgL_testz00_1610;
				obj_t BgL_proc1z00_1611;
				obj_t BgL_proc2z00_1612;
				obj_t BgL_argsz00_1613;
				obj_t BgL_testz00_1615;
				obj_t BgL_proc1z00_1616;
				obj_t BgL_proc2z00_1617;
				obj_t BgL_argsz00_1618;
				obj_t BgL_effectz00_1622;
				obj_t BgL_restz00_1623;
				obj_t BgL_effectz00_1626;
				obj_t BgL_restz00_1627;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 115 */
						{	/* Ast/sexp.scm 118 */
							BgL_nodez00_bglt BgL_res3192z00_4076;

							{	/* Ast/sexp.scm 118 */
								obj_t BgL_arg3055z00_4072;
								BgL_nodez00_bglt BgL_arg3056z00_4073;

								BgL_arg3055z00_4072 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg3056z00_4073 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
									BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 118 */
									obj_t BgL_list3057z00_4075;

									BgL_list3057z00_4075 =
										MAKE_PAIR(((obj_t) BgL_arg3056z00_4073), BNIL);
									BgL_res3192z00_4076 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg3055z00_4072,
											BGl_string3488z00zzast_sexpz00, BgL_expz00_21,
											BgL_list3057z00_4075));
							}}
							return BgL_res3192z00_4076;
						}
					}
				else
					{	/* Ast/sexp.scm 115 */
						if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
								BGl_nodez00zzast_nodez00))
							{
								obj_t BgL_auxz00_5667;

								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 122 */
										BgL_externz00_bglt BgL_i1108z00_2401;

										BgL_i1108z00_2401 = ((BgL_externz00_bglt) BgL_expz00_21);
										{	/* Ast/sexp.scm 123 */
											obj_t BgL_l01994z00_2402;

											BgL_l01994z00_2402 =
												(((BgL_externz00_bglt) CREF(BgL_i1108z00_2401))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1993z00_2404;

												BgL_l1993z00_2404 = BgL_l01994z00_2402;
											BgL_zc3anonymousza32630ze3z83_2405:
												if (NULLP(BgL_l1993z00_2404))
													{	/* Ast/sexp.scm 123 */
														BgL_l01994z00_2402;
													}
												else
													{	/* Ast/sexp.scm 123 */
														{	/* Ast/sexp.scm 123 */
															BgL_nodez00_bglt BgL_arg2632z00_2407;

															{	/* Ast/sexp.scm 123 */
																obj_t BgL_ez00_2408;

																BgL_ez00_2408 = CAR(BgL_l1993z00_2404);
																{	/* Ast/sexp.scm 123 */
																	obj_t BgL_arg2633z00_2409;

																	BgL_arg2633z00_2409 =
																		(((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_i1108z00_2401)))->BgL_locz00);
																	BgL_arg2632z00_2407 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_2408, BgL_stackz00_22,
																		BgL_arg2633z00_2409,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 123 */
																obj_t BgL_pairz00_4082;
																obj_t BgL_objz00_4083;

																BgL_pairz00_4082 = BgL_l1993z00_2404;
																BgL_objz00_4083 = ((obj_t) BgL_arg2632z00_2407);
																SET_CAR(BgL_pairz00_4082, BgL_objz00_4083);
														}}
														{
															obj_t BgL_l1993z00_5681;

															BgL_l1993z00_5681 = CDR(BgL_l1993z00_2404);
															BgL_l1993z00_2404 = BgL_l1993z00_5681;
															goto BgL_zc3anonymousza32630ze3z83_2405;
														}
													}
											}
										}
									}
								else
									{	/* Ast/sexp.scm 121 */
										BFALSE;
									}
								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 125 */
										BgL_appz00_bglt BgL_i1109z00_2413;

										BgL_i1109z00_2413 = ((BgL_appz00_bglt) BgL_expz00_21);
										{	/* Ast/sexp.scm 126 */
											obj_t BgL_l01997z00_2414;

											BgL_l01997z00_2414 =
												(((BgL_appz00_bglt) CREF(BgL_i1109z00_2413))->
												BgL_argsz00);
											{
												obj_t BgL_l1996z00_2416;

												BgL_l1996z00_2416 = BgL_l01997z00_2414;
											BgL_zc3anonymousza32636ze3z83_2417:
												if (NULLP(BgL_l1996z00_2416))
													{	/* Ast/sexp.scm 126 */
														BgL_l01997z00_2414;
													}
												else
													{	/* Ast/sexp.scm 126 */
														{	/* Ast/sexp.scm 126 */
															BgL_nodez00_bglt BgL_arg2638z00_2419;

															{	/* Ast/sexp.scm 126 */
																obj_t BgL_ez00_2420;

																BgL_ez00_2420 = CAR(BgL_l1996z00_2416);
																{	/* Ast/sexp.scm 126 */
																	obj_t BgL_arg2639z00_2421;

																	BgL_arg2639z00_2421 =
																		(((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_i1109z00_2413)))->BgL_locz00);
																	BgL_arg2638z00_2419 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_2420, BgL_stackz00_22,
																		BgL_arg2639z00_2421,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 126 */
																obj_t BgL_pairz00_4090;
																obj_t BgL_objz00_4091;

																BgL_pairz00_4090 = BgL_l1996z00_2416;
																BgL_objz00_4091 = ((obj_t) BgL_arg2638z00_2419);
																SET_CAR(BgL_pairz00_4090, BgL_objz00_4091);
														}}
														{
															obj_t BgL_l1996z00_5696;

															BgL_l1996z00_5696 = CDR(BgL_l1996z00_2416);
															BgL_l1996z00_2416 = BgL_l1996z00_5696;
															goto BgL_zc3anonymousza32636ze3z83_2417;
														}
													}
											}
										}
									}
								else
									{	/* Ast/sexp.scm 124 */
										BFALSE;
									}
								BgL_auxz00_5667 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_5667);
							}
						else
							{	/* Ast/sexp.scm 115 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 115 */
										obj_t BgL_carzd2462zd2_1644;

										BgL_carzd2462zd2_1644 = CAR(BgL_expz00_21);
										if (SYMBOLP(BgL_carzd2462zd2_1644))
											{	/* Ast/sexp.scm 115 */
												bool_t BgL_testz00_5704;

												{	/* Ast/sexp.scm 115 */
													obj_t BgL_xz00_2021;

													BgL_xz00_2021 = BgL_carzd2462zd2_1644;
													{	/* Ast/sexp.scm 115 */
														obj_t BgL__ortest_1136z00_2022;

														BgL__ortest_1136z00_2022 =
															BGl_findzd2localzd2zzast_sexpz00(BgL_xz00_2021,
															BgL_stackz00_22);
														if (CBOOL(BgL__ortest_1136z00_2022))
															{	/* Ast/sexp.scm 115 */
																BgL_testz00_5704 =
																	CBOOL(BgL__ortest_1136z00_2022);
															}
														else
															{	/* Ast/sexp.scm 115 */
																obj_t BgL_gz00_2023;

																BgL_gz00_2023 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_xz00_2021, BNIL);
																if (CBOOL(BgL_gz00_2023))
																	{	/* Ast/sexp.scm 115 */
																		if (
																			((((BgL_globalz00_bglt) CREF(
																							((BgL_globalz00_bglt)
																								BgL_gz00_2023)))->
																					BgL_modulez00) ==
																				CNST_TABLE_REF(((long) 14))))
																			{	/* Ast/sexp.scm 115 */
																				BgL_testz00_5704 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				BgL_testz00_5704 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		BgL_testz00_5704 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_testz00_5704)
													{	/* Ast/sexp.scm 115 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 115 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 12))))
															{	/* Ast/sexp.scm 115 */
															BgL_tagzd2371zd2_1584:
																{	/* Ast/sexp.scm 166 */
																	obj_t BgL_locz00_2446;

																	BgL_locz00_2446 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_2447;
																		obj_t BgL_modulez00_2448;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 167 */
																				obj_t BgL_cdrzd26224zd2_2453;

																				BgL_cdrzd26224zd2_2453 =
																					CDR(BgL_expz00_21);
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 12))))
																					{	/* Ast/sexp.scm 167 */
																						if (PAIRP(BgL_cdrzd26224zd2_2453))
																							{	/* Ast/sexp.scm 167 */
																								obj_t BgL_carzd26227zd2_2456;
																								obj_t BgL_cdrzd26228zd2_2457;

																								BgL_carzd26227zd2_2456 =
																									CAR(BgL_cdrzd26224zd2_2453);
																								BgL_cdrzd26228zd2_2457 =
																									CDR(BgL_cdrzd26224zd2_2453);
																								if (SYMBOLP
																									(BgL_carzd26227zd2_2456))
																									{	/* Ast/sexp.scm 167 */
																										if (PAIRP
																											(BgL_cdrzd26228zd2_2457))
																											{	/* Ast/sexp.scm 167 */
																												obj_t
																													BgL_carzd26233zd2_2460;
																												BgL_carzd26233zd2_2460 =
																													CAR
																													(BgL_cdrzd26228zd2_2457);
																												if (SYMBOLP
																													(BgL_carzd26233zd2_2460))
																													{	/* Ast/sexp.scm 167 */
																														if (NULLP(CDR
																																(BgL_cdrzd26228zd2_2457)))
																															{	/* Ast/sexp.scm 167 */
																																BgL_namez00_2447
																																	=
																																	BgL_carzd26227zd2_2456;
																																BgL_modulez00_2448
																																	=
																																	BgL_carzd26233zd2_2460;
																																{	/* Ast/sexp.scm 169 */
																																	obj_t
																																		BgL_globalz00_2465;
																																	BgL_globalz00_2465
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_2447,
																																		BgL_modulez00_2448);
																																	if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_2465, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 171 */
																																			if (
																																				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_globalz00_2465)))->BgL_importz00) == CNST_TABLE_REF(((long) 11))))
																																				{	/* Ast/sexp.scm 174 */
																																					obj_t
																																						BgL_arg2668z00_2468;
																																					{	/* Ast/sexp.scm 174 */
																																						obj_t
																																							BgL_arg2669z00_2469;
																																						BgL_arg2669z00_2469
																																							=
																																							MAKE_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg2668z00_2468
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 11)), BgL_arg2669z00_2469);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_5756;
																																						obj_t
																																							BgL_expz00_5755;
																																						BgL_expz00_5755
																																							=
																																							BgL_arg2668z00_2468;
																																						BgL_locz00_5756
																																							=
																																							BgL_locz00_2446;
																																						BgL_locz00_23
																																							=
																																							BgL_locz00_5756;
																																						BgL_expz00_21
																																							=
																																							BgL_expz00_5755;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 173 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_2465,
																																						BgL_locz00_2446,
																																						BgL_sitez00_24);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 172 */
																																			BgL_nodez00_bglt
																																				BgL_res3209z00_4142;
																																			{	/* Ast/sexp.scm 172 */
																																				obj_t
																																					BgL_arg3055z00_4138;
																																				BgL_nodez00_bglt
																																					BgL_arg3056z00_4139;
																																				BgL_arg3055z00_4138
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BGl_currentzd2functionzd2zztools_errorz00
																																					());
																																				BgL_arg3056z00_4139
																																					=
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																					(CNST_TABLE_REF
																																					(((long) 4)), BNIL, BgL_locz00_2446, CNST_TABLE_REF(((long) 2)));
																																				{	/* Ast/sexp.scm 172 */
																																					obj_t
																																						BgL_list3057z00_4141;
																																					BgL_list3057z00_4141
																																						=
																																						MAKE_PAIR
																																						(((obj_t) BgL_arg3056z00_4139), BNIL);
																																					BgL_res3209z00_4142
																																						=
																																						(
																																						(BgL_nodez00_bglt)
																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																						(BgL_locz00_2446,
																																							BgL_arg3055z00_4138,
																																							BGl_string3486z00zzast_sexpz00,
																																							BgL_expz00_21,
																																							BgL_list3057z00_4141));
																																			}}
																																			return
																																				BgL_res3209z00_4142;
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 167 */
																															BgL_tagzd26217zd2_2450:
																																{	/* Ast/sexp.scm 178 */
																																	BgL_nodez00_bglt
																																		BgL_res3210z00_4150;
																																	{	/* Ast/sexp.scm 178 */
																																		obj_t
																																			BgL_arg3055z00_4146;
																																		BgL_nodez00_bglt
																																			BgL_arg3056z00_4147;
																																		BgL_arg3055z00_4146
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg3056z00_4147
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BNIL,
																																			BgL_locz00_2446,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 178 */
																																			obj_t
																																				BgL_list3057z00_4149;
																																			BgL_list3057z00_4149
																																				=
																																				MAKE_PAIR
																																				(((obj_t) BgL_arg3056z00_4147), BNIL);
																																			BgL_res3210z00_4150
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_2446,
																																					BgL_arg3055z00_4146,
																																					BGl_string3485z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list3057z00_4149));
																																	}}
																																	return
																																		BgL_res3210z00_4150;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 167 */
																														goto
																															BgL_tagzd26217zd2_2450;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 167 */
																												goto
																													BgL_tagzd26217zd2_2450;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 167 */
																										goto BgL_tagzd26217zd2_2450;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 167 */
																								goto BgL_tagzd26217zd2_2450;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 167 */
																						goto BgL_tagzd26217zd2_2450;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 167 */
																				goto BgL_tagzd26217zd2_2450;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 115 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 15))))
																	{	/* Ast/sexp.scm 115 */
																		BgL_lz00_1585 = CDR(BgL_expz00_21);
																	BgL_tagzd2372zd2_1586:
																		{	/* Ast/sexp.scm 181 */
																			bool_t BgL_testz00_5780;

																			if (PAIRP(BgL_lz00_1585))
																				{	/* Ast/sexp.scm 181 */
																					bool_t BgL_testz00_5783;

																					{	/* Ast/sexp.scm 181 */
																						obj_t BgL_auxz00_5784;

																						BgL_auxz00_5784 =
																							CDR(BgL_lz00_1585);
																						BgL_testz00_5783 =
																							PAIRP(BgL_auxz00_5784);
																					}
																					if (BgL_testz00_5783)
																						{
																							obj_t BgL_l1998z00_2475;

																							BgL_l1998z00_2475 = BgL_lz00_1585;
																						BgL_zc3anonymousza32674ze3z83_2476:
																							if (NULLP(BgL_l1998z00_2475))
																								{	/* Ast/sexp.scm 181 */
																									BgL_testz00_5780 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 181 */
																									bool_t BgL_testz00_5789;

																									{	/* Ast/sexp.scm 181 */
																										obj_t BgL_auxz00_5790;

																										BgL_auxz00_5790 =
																											CAR(BgL_l1998z00_2475);
																										BgL_testz00_5789 =
																											SYMBOLP(BgL_auxz00_5790);
																									}
																									if (BgL_testz00_5789)
																										{
																											obj_t BgL_l1998z00_5793;

																											BgL_l1998z00_5793 =
																												CDR(BgL_l1998z00_2475);
																											BgL_l1998z00_2475 =
																												BgL_l1998z00_5793;
																											goto
																												BgL_zc3anonymousza32674ze3z83_2476;
																										}
																									else
																										{	/* Ast/sexp.scm 181 */
																											BgL_testz00_5780 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 181 */
																							BgL_testz00_5780 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 181 */
																					BgL_testz00_5780 = ((bool_t) 0);
																				}
																			if (BgL_testz00_5780)
																				{	/* Ast/sexp.scm 181 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1585, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 183 */
																					BgL_nodez00_bglt BgL_res3221z00_4187;

																					{	/* Ast/sexp.scm 183 */
																						obj_t BgL_arg3055z00_4183;
																						BgL_nodez00_bglt
																							BgL_arg3056z00_4184;
																						BgL_arg3055z00_4183 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg3056z00_4184 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 183 */
																							obj_t BgL_list3057z00_4186;

																							BgL_list3057z00_4186 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg3056z00_4184),
																								BNIL);
																							BgL_res3221z00_4187 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg3055z00_4183,
																									BGl_string3482z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list3057z00_4186));
																					}}
																					return BgL_res3221z00_4187;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/sexp.scm 115 */
																			BgL_tagzd2373zd2_1587:
																				{
																					obj_t BgL_valuez00_2484;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 115 */
																							obj_t BgL_cdrzd26244zd2_2489;

																							BgL_cdrzd26244zd2_2489 =
																								CDR(BgL_expz00_21);
																							if (PAIRP(BgL_cdrzd26244zd2_2489))
																								{	/* Ast/sexp.scm 115 */
																									if (NULLP(CDR
																											(BgL_cdrzd26244zd2_2489)))
																										{	/* Ast/sexp.scm 115 */
																											BgL_valuez00_2484 =
																												CAR
																												(BgL_cdrzd26244zd2_2489);
																											{	/* Ast/sexp.scm 188 */
																												obj_t BgL_locz00_2494;

																												BgL_locz00_2494 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_2484))
																													{	/* Ast/sexp.scm 191 */
																														BgL_atomz00_bglt
																															BgL_new1115z00_2496;
																														{	/* Ast/sexp.scm 191 */
																															BgL_atomz00_bglt
																																BgL_new1114z00_2498;
																															BgL_new1114z00_2498
																																=
																																(
																																(BgL_atomz00_bglt)
																																BREF(GC_MALLOC
																																	(sizeof(struct
																																			BgL_atomz00_bgl))));
																															{	/* Ast/sexp.scm 191 */
																																long
																																	BgL_arg2686z00_2499;
																																{	/* Ast/sexp.scm 191 */
																																	long
																																		BgL_res3223z00_4191;
																																	BgL_res3223z00_4191
																																		=
																																		BGL_CLASS_INDEX
																																		(BGl_atomz00zzast_nodez00);
																																	BgL_arg2686z00_2499
																																		=
																																		BgL_res3223z00_4191;
																																}
																																{	/* Ast/sexp.scm 191 */
																																	BgL_objectz00_bglt
																																		BgL_objz00_4192;
																																	BgL_objz00_4192
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_new1114z00_2498);
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(BgL_objz00_4192,
																																		BgL_arg2686z00_2499);
																															}}
																															{	/* Ast/sexp.scm 191 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_5825;
																																BgL_auxz00_5825
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1114z00_2498);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_auxz00_5825,
																																	BFALSE);
																															}
																															BgL_new1115z00_2496
																																=
																																BgL_new1114z00_2498;
																														}
																														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1115z00_2496)))->BgL_locz00) = ((obj_t) BgL_locz00_2494), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_5830;
																															{	/* Ast/sexp.scm 193 */
																																BgL_typez00_bglt
																																	BgL_arg2685z00_2497;
																																BgL_arg2685z00_2497
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_2484);
																																BgL_auxz00_5830
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg2685z00_2497,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1115z00_2496)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5830), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) CREF(BgL_new1115z00_2496))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1115z00_2496);
																													}
																												else
																													{	/* Ast/sexp.scm 195 */
																														bool_t
																															BgL_testz00_5838;
																														if (PAIRP
																															(BgL_valuez00_2484))
																															{	/* Ast/sexp.scm 195 */
																																BgL_testz00_5838
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 195 */
																																if (VECTORP
																																	(BgL_valuez00_2484))
																																	{	/* Ast/sexp.scm 196 */
																																		BgL_testz00_5838
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 196 */
																																		if (BGL_HVECTORP(BgL_valuez00_2484))
																																			{	/* Ast/sexp.scm 197 */
																																				BgL_testz00_5838
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 197 */
																																				if (STRUCTP(BgL_valuez00_2484))
																																					{	/* Ast/sexp.scm 198 */
																																						BgL_testz00_5838
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 198 */
																																						if (SYMBOLP(BgL_valuez00_2484))
																																							{	/* Ast/sexp.scm 199 */
																																								BgL_testz00_5838
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 199 */
																																								BgL_testz00_5838
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_2484);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_5838)
																															{	/* Ast/sexp.scm 201 */
																																BgL_kwotez00_bglt
																																	BgL_new1117z00_2501;
																																{	/* Ast/sexp.scm 201 */
																																	BgL_kwotez00_bglt
																																		BgL_new1116z00_2503;
																																	BgL_new1116z00_2503
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 201 */
																																		long
																																			BgL_arg2689z00_2504;
																																		{	/* Ast/sexp.scm 201 */
																																			long
																																				BgL_res3229z00_4206;
																																			BgL_res3229z00_4206
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_kwotez00zzast_nodez00);
																																			BgL_arg2689z00_2504
																																				=
																																				BgL_res3229z00_4206;
																																		}
																																		{	/* Ast/sexp.scm 201 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_4207;
																																			BgL_objz00_4207
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1116z00_2503);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_4207,
																																				BgL_arg2689z00_2504);
																																	}}
																																	{	/* Ast/sexp.scm 201 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_5854;
																																		BgL_auxz00_5854
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1116z00_2503);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_5854,
																																			BFALSE);
																																	}
																																	BgL_new1117z00_2501
																																		=
																																		BgL_new1116z00_2503;
																																}
																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1117z00_2501)))->BgL_locz00) = ((obj_t) BgL_locz00_2494), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_5859;
																																	{	/* Ast/sexp.scm 203 */
																																		BgL_typez00_bglt
																																			BgL_arg2688z00_2502;
																																		BgL_arg2688z00_2502
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_2484);
																																		BgL_auxz00_5859
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg2688z00_2502,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1117z00_2501)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5859), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) CREF(BgL_new1117z00_2501))->BgL_valuez00) = ((obj_t) BgL_valuez00_2484), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1117z00_2501);
																															}
																														else
																															{	/* Ast/sexp.scm 205 */
																																bool_t
																																	BgL_testz00_5867;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_2484))
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_testz00_5867
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 205 */
																																		if (STRINGP
																																			(BgL_valuez00_2484))
																																			{	/* Ast/sexp.scm 206 */
																																				BgL_testz00_5867
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 206 */
																																				if (CNSTP(BgL_valuez00_2484))
																																					{	/* Ast/sexp.scm 207 */
																																						BgL_testz00_5867
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 207 */
																																						if (CHARP(BgL_valuez00_2484))
																																							{	/* Ast/sexp.scm 211 */
																																								BgL_testz00_5867
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 211 */
																																								BgL_testz00_5867
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_2484);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_testz00_5867)
																																	{
																																		obj_t
																																			BgL_locz00_5878;
																																		obj_t
																																			BgL_expz00_5877;
																																		BgL_expz00_5877
																																			=
																																			BgL_valuez00_2484;
																																		BgL_locz00_5878
																																			=
																																			BgL_locz00_2494;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_5878;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_5877;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 215 */
																																		BgL_nodez00_bglt
																																			BgL_res3234z00_4224;
																																		{	/* Ast/sexp.scm 215 */
																																			obj_t
																																				BgL_arg3055z00_4220;
																																			BgL_nodez00_bglt
																																				BgL_arg3056z00_4221;
																																			BgL_arg3055z00_4220
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg3056z00_4221
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BNIL,
																																				BgL_locz00_2494,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 215 */
																																				obj_t
																																					BgL_list3057z00_4223;
																																				BgL_list3057z00_4223
																																					=
																																					MAKE_PAIR
																																					(((obj_t) BgL_arg3056z00_4221), BNIL);
																																				BgL_res3234z00_4224
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_2494,
																																						BgL_arg3055z00_4220,
																																						BGl_string3484z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list3057z00_4223));
																																		}}
																																		return
																																			BgL_res3234z00_4224;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 115 */
																										BgL_tagzd26239zd2_2486:
																											{	/* Ast/sexp.scm 217 */
																												BgL_nodez00_bglt
																													BgL_res3235z00_4232;
																												{	/* Ast/sexp.scm 217 */
																													obj_t
																														BgL_arg3055z00_4228;
																													BgL_nodez00_bglt
																														BgL_arg3056z00_4229;
																													BgL_arg3055z00_4228 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg3056z00_4229 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 4)),
																														BNIL, BgL_locz00_23,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 217 */
																														obj_t
																															BgL_list3057z00_4231;
																														BgL_list3057z00_4231
																															=
																															MAKE_PAIR(((obj_t)
																																BgL_arg3056z00_4229),
																															BNIL);
																														BgL_res3235z00_4232
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg3055z00_4228,
																																BGl_string3484z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list3057z00_4231));
																												}}
																												return
																													BgL_res3235z00_4232;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 115 */
																									goto BgL_tagzd26239zd2_2486;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 115 */
																							goto BgL_tagzd26239zd2_2486;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 16))))
																					{	/* Ast/sexp.scm 115 */
																						if (NULLP(CDR(BgL_expz00_21)))
																							{	/* Ast/sexp.scm 115 */
																							BgL_tagzd2374zd2_1588:
																								{
																									obj_t BgL_locz00_5906;
																									obj_t BgL_expz00_5905;

																									BgL_expz00_5905 = BUNSPEC;
																									BgL_locz00_5906 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_5906;
																									BgL_expz00_21 =
																										BgL_expz00_5905;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								obj_t BgL_arg2061z00_1654;

																								BgL_arg2061z00_1654 =
																									CDR(BgL_expz00_21);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_5909;
																									BgL_bodyz00_1589 =
																										BgL_arg2061z00_1654;
																								BgL_tagzd2375zd2_1590:
																									{	/* Ast/sexp.scm 222 */
																										obj_t BgL_locz00_2516;

																										BgL_locz00_2516 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 222 */
																											obj_t BgL_nodesz00_2517;

																											BgL_nodesz00_2517 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1589,
																												BgL_stackz00_22,
																												BgL_locz00_2516,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 223 */

																												{	/* Ast/sexp.scm 224 */
																													BgL_sequencez00_bglt
																														BgL_new1119z00_2518;
																													{	/* Ast/sexp.scm 224 */
																														BgL_sequencez00_bglt
																															BgL_new1118z00_2519;
																														BgL_new1118z00_2519
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BREF(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 224 */
																															long
																																BgL_arg2701z00_2520;
																															{	/* Ast/sexp.scm 224 */
																																long
																																	BgL_res3239z00_4243;
																																BgL_res3239z00_4243
																																	=
																																	BGL_CLASS_INDEX
																																	(BGl_sequencez00zzast_nodez00);
																																BgL_arg2701z00_2520
																																	=
																																	BgL_res3239z00_4243;
																															}
																															{	/* Ast/sexp.scm 224 */
																																BgL_objectz00_bglt
																																	BgL_objz00_4244;
																																BgL_objz00_4244
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1118z00_2519);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(BgL_objz00_4244,
																																	BgL_arg2701z00_2520);
																														}}
																														{	/* Ast/sexp.scm 224 */
																															BgL_objectz00_bglt
																																BgL_auxz00_5916;
																															BgL_auxz00_5916 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1118z00_2519);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_auxz00_5916,
																																BFALSE);
																														}
																														BgL_new1119z00_2518
																															=
																															BgL_new1118z00_2519;
																													}
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1119z00_2518)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_2516),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1119z00_2518)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1119z00_2518)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1119z00_2518)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1119z00_2518))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_2517), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1119z00_2518))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													BgL_auxz00_5909 =
																														BgL_new1119z00_2518;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_5909);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						obj_t BgL_carzd2571zd2_1656;

																						BgL_carzd2571zd2_1656 =
																							CAR(BgL_expz00_21);
																						if (
																							(BgL_carzd2571zd2_1656 ==
																								CNST_TABLE_REF(((long) 1))))
																							{	/* Ast/sexp.scm 115 */
																							BgL_tagzd2376zd2_1591:
																								{
																									obj_t BgL_siz00_2521;
																									obj_t BgL_alorsz00_2522;
																									obj_t BgL_sinonz00_2523;
																									obj_t BgL_siz00_2525;
																									obj_t BgL_alorsz00_2526;

																									if (PAIRP(BgL_expz00_21))
																										{	/* Ast/sexp.scm 115 */
																											obj_t
																												BgL_cdrzd26260zd2_2531;
																											BgL_cdrzd26260zd2_2531 =
																												CDR(BgL_expz00_21);
																											if (PAIRP
																												(BgL_cdrzd26260zd2_2531))
																												{	/* Ast/sexp.scm 115 */
																													obj_t
																														BgL_cdrzd26265zd2_2533;
																													BgL_cdrzd26265zd2_2533
																														=
																														CDR
																														(BgL_cdrzd26260zd2_2531);
																													if (PAIRP
																														(BgL_cdrzd26265zd2_2533))
																														{	/* Ast/sexp.scm 115 */
																															obj_t
																																BgL_cdrzd26270zd2_2535;
																															BgL_cdrzd26270zd2_2535
																																=
																																CDR
																																(BgL_cdrzd26265zd2_2533);
																															if (PAIRP
																																(BgL_cdrzd26270zd2_2535))
																																{	/* Ast/sexp.scm 115 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd26270zd2_2535)))
																																		{	/* Ast/sexp.scm 115 */
																																			BgL_siz00_2521
																																				=
																																				CAR
																																				(BgL_cdrzd26260zd2_2531);
																																			BgL_alorsz00_2522
																																				=
																																				CAR
																																				(BgL_cdrzd26265zd2_2533);
																																			BgL_sinonz00_2523
																																				=
																																				CAR
																																				(BgL_cdrzd26270zd2_2535);
																																			{
																																				obj_t
																																					BgL_siz00_2548;
																																				if (PAIRP(BgL_siz00_2521))
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_cdrzd26325zd2_2553;
																																						BgL_cdrzd26325zd2_2553
																																							=
																																							CDR
																																							(BgL_siz00_2521);
																																						if (
																																							(CAR
																																								(BgL_siz00_2521)
																																								==
																																								CNST_TABLE_REF
																																								(((long) 1))))
																																							{	/* Ast/sexp.scm 115 */
																																								if (PAIRP(BgL_cdrzd26325zd2_2553))
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_cdrzd26328zd2_2556;
																																										BgL_cdrzd26328zd2_2556
																																											=
																																											CDR
																																											(BgL_cdrzd26325zd2_2553);
																																										if (PAIRP(BgL_cdrzd26328zd2_2556))
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd26331zd2_2558;
																																												BgL_cdrzd26331zd2_2558
																																													=
																																													CDR
																																													(BgL_cdrzd26328zd2_2556);
																																												if ((CAR(BgL_cdrzd26328zd2_2556) == BFALSE))
																																													{	/* Ast/sexp.scm 115 */
																																														if (PAIRP(BgL_cdrzd26331zd2_2558))
																																															{	/* Ast/sexp.scm 115 */
																																																if ((CAR(BgL_cdrzd26331zd2_2558) == BTRUE))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (NULLP(CDR(BgL_cdrzd26331zd2_2558)))
																																																			{	/* Ast/sexp.scm 115 */
																																																				BgL_siz00_2548
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26325zd2_2553);
																																																			BgL_tagzd26317zd2_2549:
																																																				{	/* Ast/sexp.scm 234 */
																																																					obj_t
																																																						BgL_auxz00_5974;
																																																					BgL_auxz00_5974
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					SET_CAR
																																																						(BgL_auxz00_5974,
																																																						BgL_siz00_2548);
																																																				}
																																																				{	/* Ast/sexp.scm 235 */
																																																					obj_t
																																																						BgL_arg2735z00_2576;
																																																					{	/* Ast/sexp.scm 235 */
																																																						obj_t
																																																							BgL_pairz00_4249;
																																																						BgL_pairz00_4249
																																																							=
																																																							BgL_expz00_21;
																																																						BgL_arg2735z00_2576
																																																							=
																																																							CDR
																																																							(CDR
																																																							(BgL_pairz00_4249));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2735z00_2576,
																																																						BgL_sinonz00_2523);
																																																				}
																																																				{	/* Ast/sexp.scm 236 */
																																																					obj_t
																																																						BgL_arg2736z00_2577;
																																																					{	/* Ast/sexp.scm 236 */
																																																						obj_t
																																																							BgL_pairz00_4255;
																																																						BgL_pairz00_4255
																																																							=
																																																							BgL_expz00_21;
																																																						BgL_arg2736z00_2577
																																																							=
																																																							CDR
																																																							(CDR
																																																							(CDR
																																																								(BgL_pairz00_4255)));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2736z00_2577,
																																																						BgL_alorsz00_2522);
																																																				}
																																																				{

																																																					goto
																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																			BgL_tagzd26318zd2_2550:
																																																				{	/* Ast/sexp.scm 239 */
																																																					bool_t
																																																						BgL_testz00_5985;
																																																					if (SYMBOLP(BgL_siz00_2521))
																																																						{	/* Ast/sexp.scm 239 */
																																																							BgL_testz00_5985
																																																								=
																																																								(
																																																								(bool_t)
																																																								1);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 239 */
																																																							BgL_testz00_5985
																																																								=
																																																								BGl_isazf3zf3zz__objectz00
																																																								(BgL_siz00_2521,
																																																								BGl_atomz00zzast_nodez00);
																																																						}
																																																					if (BgL_testz00_5985)
																																																						{	/* Ast/sexp.scm 240 */
																																																							obj_t
																																																								BgL_locz00_2579;
																																																							BgL_locz00_2579
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 240 */
																																																								obj_t
																																																									BgL_cdlocz00_2580;
																																																								BgL_cdlocz00_2580
																																																									=
																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																									(CDR
																																																									(BgL_expz00_21),
																																																									BgL_locz00_2579);
																																																								{	/* Ast/sexp.scm 241 */
																																																									obj_t
																																																										BgL_cddlocz00_2581;
																																																									{	/* Ast/sexp.scm 242 */
																																																										obj_t
																																																											BgL_arg2740z00_2593;
																																																										{	/* Ast/sexp.scm 242 */
																																																											obj_t
																																																												BgL_pairz00_4268;
																																																											BgL_pairz00_4268
																																																												=
																																																												BgL_expz00_21;
																																																											BgL_arg2740z00_2593
																																																												=
																																																												CDR
																																																												(CDR
																																																												(BgL_pairz00_4268));
																																																										}
																																																										BgL_cddlocz00_2581
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg2740z00_2593,
																																																											BgL_locz00_2579);
																																																									}
																																																									{	/* Ast/sexp.scm 242 */
																																																										obj_t
																																																											BgL_cdddlocz00_2582;
																																																										{	/* Ast/sexp.scm 243 */
																																																											obj_t
																																																												BgL_arg2739z00_2592;
																																																											{	/* Ast/sexp.scm 243 */
																																																												obj_t
																																																													BgL_pairz00_4272;
																																																												BgL_pairz00_4272
																																																													=
																																																													BgL_expz00_21;
																																																												BgL_arg2739z00_2592
																																																													=
																																																													CDR
																																																													(CDR
																																																													(CDR
																																																														(BgL_pairz00_4272)));
																																																											}
																																																											BgL_cdddlocz00_2582
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg2739z00_2592,
																																																												BgL_locz00_2579);
																																																										}
																																																										{	/* Ast/sexp.scm 243 */
																																																											obj_t
																																																												BgL_lzd2sizd2_2583;
																																																											BgL_lzd2sizd2_2583
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_2521,
																																																												BgL_cdlocz00_2580);
																																																											{	/* Ast/sexp.scm 244 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_2584;
																																																												BgL_lzd2alorszd2_2584
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_2522,
																																																													BgL_cddlocz00_2581);
																																																												{	/* Ast/sexp.scm 245 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_2585;
																																																													BgL_lzd2sinonzd2_2585
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_2523,
																																																														BgL_cdddlocz00_2582);
																																																													{	/* Ast/sexp.scm 246 */
																																																														BgL_nodez00_bglt
																																																															BgL_siz00_2586;
																																																														BgL_siz00_2586
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_2521,
																																																															BgL_stackz00_22,
																																																															BgL_lzd2sizd2_2583,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														{	/* Ast/sexp.scm 247 */
																																																															BgL_nodez00_bglt
																																																																BgL_alorsz00_2587;
																																																															BgL_alorsz00_2587
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_alorsz00_2522,
																																																																BgL_stackz00_22,
																																																																BgL_lzd2alorszd2_2584,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 248 */
																																																																BgL_nodez00_bglt
																																																																	BgL_sinonz00_2588;
																																																																BgL_sinonz00_2588
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_sinonz00_2523,
																																																																	BgL_stackz00_22,
																																																																	BgL_lzd2sinonzd2_2585,
																																																																	CNST_TABLE_REF
																																																																	(((long) 2)));
																																																																{	/* Ast/sexp.scm 249 */

																																																																	{	/* Ast/sexp.scm 250 */
																																																																		BgL_conditionalz00_bglt
																																																																			BgL_new1121z00_2589;
																																																																		{	/* Ast/sexp.scm 250 */
																																																																			BgL_conditionalz00_bglt
																																																																				BgL_new1120z00_2590;
																																																																			BgL_new1120z00_2590
																																																																				=
																																																																				(
																																																																				(BgL_conditionalz00_bglt)
																																																																				BREF
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_conditionalz00_bgl))));
																																																																			{	/* Ast/sexp.scm 250 */
																																																																				long
																																																																					BgL_arg2738z00_2591;
																																																																				{	/* Ast/sexp.scm 250 */
																																																																					long
																																																																						BgL_res3242z00_4279;
																																																																					BgL_res3242z00_4279
																																																																						=
																																																																						BGL_CLASS_INDEX
																																																																						(BGl_conditionalz00zzast_nodez00);
																																																																					BgL_arg2738z00_2591
																																																																						=
																																																																						BgL_res3242z00_4279;
																																																																				}
																																																																				{	/* Ast/sexp.scm 250 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_objz00_4280;
																																																																					BgL_objz00_4280
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1120z00_2590);
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(BgL_objz00_4280,
																																																																						BgL_arg2738z00_2591);
																																																																			}}
																																																																			{	/* Ast/sexp.scm 250 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_auxz00_6012;
																																																																				BgL_auxz00_6012
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1120z00_2590);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_auxz00_6012,
																																																																					BFALSE);
																																																																			}
																																																																			BgL_new1121z00_2589
																																																																				=
																																																																				BgL_new1120z00_2590;
																																																																		}
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1121z00_2589)))->BgL_locz00) = ((obj_t) BgL_locz00_2579), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1121z00_2589)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1121z00_2589)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1121z00_2589)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1121z00_2589))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_siz00_2586), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1121z00_2589))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_2587), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1121z00_2589))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_2588), BUNSPEC);
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1121z00_2589);
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 256 */
																																																							obj_t
																																																								BgL_vz00_2595;
																																																							BgL_vz00_2595
																																																								=
																																																								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																								(BGl_gensymz00zz__r4_symbols_6_4z00
																																																								(CNST_TABLE_REF
																																																									(((long) 8))));
																																																							{	/* Ast/sexp.scm 256 */
																																																								obj_t
																																																									BgL_varz00_2596;
																																																								BgL_varz00_2596
																																																									=
																																																									BGl_makezd2typedzd2identz00zzast_identz00
																																																									(BgL_vz00_2595,
																																																									CNST_TABLE_REF
																																																									(((long) 9)));
																																																								{	/* Ast/sexp.scm 257 */
																																																									obj_t
																																																										BgL_nexpz00_2597;
																																																									{	/* Ast/sexp.scm 258 */
																																																										obj_t
																																																											BgL_arg2749z00_2605;
																																																										{	/* Ast/sexp.scm 258 */
																																																											obj_t
																																																												BgL_arg2750z00_2606;
																																																											{	/* Ast/sexp.scm 258 */
																																																												obj_t
																																																													BgL_arg2751z00_2607;
																																																												{	/* Ast/sexp.scm 258 */
																																																													obj_t
																																																														BgL_arg2752z00_2608;
																																																													BgL_arg2752z00_2608
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_sinonz00_2523,
																																																														BNIL);
																																																													BgL_arg2751z00_2607
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_alorsz00_2522,
																																																														BgL_arg2752z00_2608);
																																																												}
																																																												BgL_arg2750z00_2606
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_vz00_2595,
																																																													BgL_arg2751z00_2607);
																																																											}
																																																											BgL_arg2749z00_2605
																																																												=
																																																												MAKE_PAIR
																																																												(CNST_TABLE_REF
																																																												(((long) 1)), BgL_arg2750z00_2606);
																																																										}
																																																										BgL_nexpz00_2597
																																																											=
																																																											BGl_epairifyzd2reczd2zztools_miscz00
																																																											(BgL_arg2749z00_2605,
																																																											BgL_expz00_21);
																																																									}
																																																									{	/* Ast/sexp.scm 258 */

																																																										{	/* Ast/sexp.scm 259 */
																																																											obj_t
																																																												BgL_arg2742z00_2598;
																																																											{	/* Ast/sexp.scm 259 */
																																																												obj_t
																																																													BgL_arg2743z00_2599;
																																																												obj_t
																																																													BgL_arg2744z00_2600;
																																																												BgL_arg2743z00_2599
																																																													=
																																																													BGl_letzd2symzd2zzast_letz00
																																																													();
																																																												{	/* Ast/sexp.scm 259 */
																																																													obj_t
																																																														BgL_arg2745z00_2601;
																																																													obj_t
																																																														BgL_arg2746z00_2602;
																																																													{	/* Ast/sexp.scm 259 */
																																																														obj_t
																																																															BgL_arg2747z00_2603;
																																																														{	/* Ast/sexp.scm 259 */
																																																															obj_t
																																																																BgL_arg2748z00_2604;
																																																															BgL_arg2748z00_2604
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_siz00_2521,
																																																																BNIL);
																																																															BgL_arg2747z00_2603
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_varz00_2596,
																																																																BgL_arg2748z00_2604);
																																																														}
																																																														BgL_arg2745z00_2601
																																																															=
																																																															MAKE_PAIR
																																																															(BgL_arg2747z00_2603,
																																																															BNIL);
																																																													}
																																																													BgL_arg2746z00_2602
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_nexpz00_2597,
																																																														BNIL);
																																																													BgL_arg2744z00_2600
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_arg2745z00_2601,
																																																														BgL_arg2746z00_2602);
																																																												}
																																																												BgL_arg2742z00_2598
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_arg2743z00_2599,
																																																													BgL_arg2744z00_2600);
																																																											}
																																																											BGl_replacez12z12zztools_miscz00
																																																												(BgL_expz00_21,
																																																												BgL_arg2742z00_2598);
																																																										}
																																																										{

																																																											goto
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		goto
																																																			BgL_tagzd26318zd2_2550;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																goto
																																																	BgL_tagzd26318zd2_2550;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd26318zd2_2550;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd26318zd2_2550;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										goto
																																											BgL_tagzd26318zd2_2550;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								if ((CAR(BgL_siz00_2521) == CNST_TABLE_REF(((long) 10))))
																																									{	/* Ast/sexp.scm 115 */
																																										if (PAIRP(BgL_cdrzd26325zd2_2553))
																																											{	/* Ast/sexp.scm 115 */
																																												if (NULLP(CDR(BgL_cdrzd26325zd2_2553)))
																																													{
																																														obj_t
																																															BgL_siz00_6057;
																																														BgL_siz00_6057
																																															=
																																															CAR
																																															(BgL_cdrzd26325zd2_2553);
																																														BgL_siz00_2548
																																															=
																																															BgL_siz00_6057;
																																														goto
																																															BgL_tagzd26317zd2_2549;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd26318zd2_2550;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd26318zd2_2550;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										goto
																																											BgL_tagzd26318zd2_2550;
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd26318zd2_2550;
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																		BgL_tagzd26251zd2_2528:
																																			{	/* Ast/sexp.scm 265 */
																																				BgL_nodez00_bglt
																																					BgL_res3251z00_4323;
																																				{	/* Ast/sexp.scm 265 */
																																					obj_t
																																						BgL_arg3055z00_4319;
																																					BgL_nodez00_bglt
																																						BgL_arg3056z00_4320;
																																					BgL_arg3055z00_4319
																																						=
																																						BGl_shapez00zztools_shapez00
																																						(BGl_currentzd2functionzd2zztools_errorz00
																																						());
																																					BgL_arg3056z00_4320
																																						=
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(CNST_TABLE_REF
																																						(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																					{	/* Ast/sexp.scm 265 */
																																						obj_t
																																							BgL_list3057z00_4322;
																																						BgL_list3057z00_4322
																																							=
																																							MAKE_PAIR
																																							(((obj_t) BgL_arg3056z00_4320), BNIL);
																																						BgL_res3251z00_4323
																																							=
																																							(
																																							(BgL_nodez00_bglt)
																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																							(BgL_locz00_23,
																																								BgL_arg3055z00_4319,
																																								BGl_string3483z00zzast_sexpz00,
																																								BgL_expz00_21,
																																								BgL_list3057z00_4322));
																																				}}
																																				return
																																					BgL_res3251z00_4323;
																																			}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	obj_t
																																		BgL_cdrzd26295zd2_2543;
																																	BgL_cdrzd26295zd2_2543
																																		=
																																		CDR
																																		(BgL_cdrzd26260zd2_2531);
																																	if (NULLP(CDR
																																			(BgL_cdrzd26295zd2_2543)))
																																		{	/* Ast/sexp.scm 115 */
																																			BgL_siz00_2525
																																				=
																																				CAR
																																				(BgL_cdrzd26260zd2_2531);
																																			BgL_alorsz00_2526
																																				=
																																				CAR
																																				(BgL_cdrzd26295zd2_2543);
																																			{	/* Ast/sexp.scm 262 */
																																				obj_t
																																					BgL_arg2755z00_2611;
																																				obj_t
																																					BgL_arg2756z00_2612;
																																				{	/* Ast/sexp.scm 262 */
																																					obj_t
																																						BgL_pairz00_4308;
																																					BgL_pairz00_4308
																																						=
																																						BgL_expz00_21;
																																					BgL_arg2755z00_2611
																																						=
																																						CDR
																																						(CDR
																																						(BgL_pairz00_4308));
																																				}
																																				{	/* Ast/sexp.scm 262 */
																																					obj_t
																																						BgL_list2757z00_2613;
																																					BgL_list2757z00_2613
																																						=
																																						MAKE_PAIR
																																						(BUNSPEC,
																																						BNIL);
																																					BgL_arg2756z00_2612
																																						=
																																						BgL_list2757z00_2613;
																																				}
																																				SET_CDR
																																					(BgL_arg2755z00_2611,
																																					BgL_arg2756z00_2612);
																																			}
																																			{

																																				goto
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			goto
																																				BgL_tagzd26251zd2_2528;
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 115 */
																															goto
																																BgL_tagzd26251zd2_2528;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 115 */
																													goto
																														BgL_tagzd26251zd2_2528;
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 115 */
																											goto
																												BgL_tagzd26251zd2_2528;
																										}
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								if (
																									(BgL_carzd2571zd2_1656 ==
																										BGl_za2ifza2z00zzast_sexpz00))
																									{	/* Ast/sexp.scm 115 */
																										goto BgL_tagzd2376zd2_1591;
																									}
																								else
																									{	/* Ast/sexp.scm 115 */
																										obj_t BgL_cdrzd2590zd2_1659;

																										BgL_cdrzd2590zd2_1659 =
																											CDR(BgL_expz00_21);
																										if (
																											(CAR(BgL_expz00_21) ==
																												CNST_TABLE_REF(((long)
																														7))))
																											{	/* Ast/sexp.scm 115 */
																												if (PAIRP
																													(BgL_cdrzd2590zd2_1659))
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd2593zd2_1662;
																														obj_t
																															BgL_cdrzd2594zd2_1663;
																														BgL_carzd2593zd2_1662
																															=
																															CAR
																															(BgL_cdrzd2590zd2_1659);
																														BgL_cdrzd2594zd2_1663
																															=
																															CDR
																															(BgL_cdrzd2590zd2_1659);
																														if (PAIRP
																															(BgL_carzd2593zd2_1662))
																															{	/* Ast/sexp.scm 115 */
																																if (
																																	(CAR
																																		(BgL_carzd2593zd2_1662)
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				15))))
																																	{	/* Ast/sexp.scm 115 */
																																		if (PAIRP
																																			(BgL_cdrzd2594zd2_1663))
																																			{	/* Ast/sexp.scm 115 */
																																				if (NULLP(CDR(BgL_cdrzd2594zd2_1663)))
																																					{	/* Ast/sexp.scm 115 */
																																						BgL_lz00_1592
																																							=
																																							CDR
																																							(BgL_carzd2593zd2_1662);
																																						BgL_valz00_1593
																																							=
																																							CAR
																																							(BgL_cdrzd2594zd2_1663);
																																					BgL_tagzd2377zd2_1594:
																																						{	/* Ast/sexp.scm 268 */
																																							bool_t
																																								BgL_testz00_6103;
																																							if (PAIRP(BgL_lz00_1592))
																																								{	/* Ast/sexp.scm 268 */
																																									bool_t
																																										BgL_testz00_6106;
																																									{	/* Ast/sexp.scm 268 */
																																										obj_t
																																											BgL_auxz00_6107;
																																										BgL_auxz00_6107
																																											=
																																											CDR
																																											(BgL_lz00_1592);
																																										BgL_testz00_6106
																																											=
																																											PAIRP
																																											(BgL_auxz00_6107);
																																									}
																																									if (BgL_testz00_6106)
																																										{
																																											obj_t
																																												BgL_l2001z00_2618;
																																											BgL_l2001z00_2618
																																												=
																																												BgL_lz00_1592;
																																										BgL_zc3anonymousza32761ze3z83_2619:
																																											if (NULLP(BgL_l2001z00_2618))
																																												{	/* Ast/sexp.scm 268 */
																																													BgL_testz00_6103
																																														=
																																														(
																																														(bool_t)
																																														1);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 268 */
																																													bool_t
																																														BgL_testz00_6112;
																																													{	/* Ast/sexp.scm 268 */
																																														obj_t
																																															BgL_auxz00_6113;
																																														BgL_auxz00_6113
																																															=
																																															CAR
																																															(BgL_l2001z00_2618);
																																														BgL_testz00_6112
																																															=
																																															SYMBOLP
																																															(BgL_auxz00_6113);
																																													}
																																													if (BgL_testz00_6112)
																																														{
																																															obj_t
																																																BgL_l2001z00_6116;
																																															BgL_l2001z00_6116
																																																=
																																																CDR
																																																(BgL_l2001z00_2618);
																																															BgL_l2001z00_2618
																																																=
																																																BgL_l2001z00_6116;
																																															goto
																																																BgL_zc3anonymousza32761ze3z83_2619;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 268 */
																																															BgL_testz00_6103
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 268 */
																																											BgL_testz00_6103
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 268 */
																																									BgL_testz00_6103
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																							if (BgL_testz00_6103)
																																								{	/* Ast/sexp.scm 268 */
																																									return
																																										BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																										(BgL_lz00_1592,
																																										BgL_valz00_1593,
																																										BgL_expz00_21,
																																										BgL_stackz00_22,
																																										BgL_locz00_23,
																																										BgL_sitez00_24);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 270 */
																																									BgL_nodez00_bglt
																																										BgL_res3262z00_4366;
																																									{	/* Ast/sexp.scm 270 */
																																										obj_t
																																											BgL_arg3055z00_4362;
																																										BgL_nodez00_bglt
																																											BgL_arg3056z00_4363;
																																										BgL_arg3055z00_4362
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BGl_currentzd2functionzd2zztools_errorz00
																																											());
																																										BgL_arg3056z00_4363
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(CNST_TABLE_REF
																																											(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																										{	/* Ast/sexp.scm 270 */
																																											obj_t
																																												BgL_list3057z00_4365;
																																											BgL_list3057z00_4365
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg3056z00_4363), BNIL);
																																											BgL_res3262z00_4366
																																												=
																																												(
																																												(BgL_nodez00_bglt)
																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																												(BgL_locz00_23,
																																													BgL_arg3055z00_4362,
																																													BGl_string3482z00zzast_sexpz00,
																																													BgL_expz00_21,
																																													BgL_list3057z00_4365));
																																									}}
																																									return
																																										BgL_res3262z00_4366;
																																								}
																																						}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																					BgL_tagzd2378zd2_1595:
																																						{
																																							obj_t
																																								BgL_varz00_2627;
																																							obj_t
																																								BgL_valz00_2628;
																																							if (PAIRP(BgL_expz00_21))
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_cdrzd26356zd2_2633;
																																									BgL_cdrzd26356zd2_2633
																																										=
																																										CDR
																																										(BgL_expz00_21);
																																									if (PAIRP(BgL_cdrzd26356zd2_2633))
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_cdrzd26360zd2_2635;
																																											BgL_cdrzd26360zd2_2635
																																												=
																																												CDR
																																												(BgL_cdrzd26356zd2_2633);
																																											if (PAIRP(BgL_cdrzd26360zd2_2635))
																																												{	/* Ast/sexp.scm 115 */
																																													if (NULLP(CDR(BgL_cdrzd26360zd2_2635)))
																																														{	/* Ast/sexp.scm 115 */
																																															BgL_varz00_2627
																																																=
																																																CAR
																																																(BgL_cdrzd26356zd2_2633);
																																															BgL_valz00_2628
																																																=
																																																CAR
																																																(BgL_cdrzd26360zd2_2635);
																																															{	/* Ast/sexp.scm 274 */
																																																obj_t
																																																	BgL_locz00_2641;
																																																BgL_locz00_2641
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_21,
																																																	BgL_locz00_23);
																																																{	/* Ast/sexp.scm 274 */
																																																	obj_t
																																																		BgL_cdlocz00_2642;
																																																	BgL_cdlocz00_2642
																																																		=
																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																		(CDR
																																																		(BgL_expz00_21),
																																																		BgL_locz00_2641);
																																																	{	/* Ast/sexp.scm 275 */
																																																		obj_t
																																																			BgL_cddlocz00_2643;
																																																		{	/* Ast/sexp.scm 276 */
																																																			obj_t
																																																				BgL_arg2779z00_2656;
																																																			{	/* Ast/sexp.scm 276 */
																																																				obj_t
																																																					BgL_pairz00_4368;
																																																				BgL_pairz00_4368
																																																					=
																																																					BgL_expz00_21;
																																																				BgL_arg2779z00_2656
																																																					=
																																																					CDR
																																																					(CDR
																																																					(BgL_pairz00_4368));
																																																			}
																																																			BgL_cddlocz00_2643
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_arg2779z00_2656,
																																																				BgL_locz00_2641);
																																																		}
																																																		{	/* Ast/sexp.scm 276 */
																																																			obj_t
																																																				BgL_valzd2loczd2_2644;
																																																			BgL_valzd2loczd2_2644
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_valz00_2628,
																																																				BgL_cddlocz00_2643);
																																																			{	/* Ast/sexp.scm 277 */
																																																				BgL_nodez00_bglt
																																																					BgL_valz00_2645;
																																																				BgL_valz00_2645
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_valz00_2628,
																																																					BgL_stackz00_22,
																																																					BgL_valzd2loczd2_2644,
																																																					CNST_TABLE_REF
																																																					(((long) 2)));
																																																				{	/* Ast/sexp.scm 278 */

																																																					{	/* Ast/sexp.scm 279 */
																																																						BgL_nodez00_bglt
																																																							BgL_astz00_2646;
																																																						BgL_astz00_2646
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(BgL_varz00_2627,
																																																							BgL_stackz00_22,
																																																							BgL_cdlocz00_2642,
																																																							CNST_TABLE_REF
																																																							(((long) 7)));
																																																						{	/* Ast/sexp.scm 280 */
																																																							bool_t
																																																								BgL_testz00_6152;
																																																							{	/* Ast/sexp.scm 280 */
																																																								bool_t
																																																									BgL_res3263z00_4373;
																																																								{	/* Ast/sexp.scm 280 */
																																																									obj_t
																																																										BgL_objz00_4372;
																																																									BgL_objz00_4372
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_astz00_2646);
																																																									BgL_res3263z00_4373
																																																										=
																																																										BGl_isazf3zf3zz__objectz00
																																																										(BgL_objz00_4372,
																																																										BGl_varz00zzast_nodez00);
																																																								}
																																																								BgL_testz00_6152
																																																									=
																																																									BgL_res3263z00_4373;
																																																							}
																																																							if (BgL_testz00_6152)
																																																								{	/* Ast/sexp.scm 281 */
																																																									BgL_varz00_bglt
																																																										BgL_i1122z00_2648;
																																																									BgL_i1122z00_2648
																																																										=
																																																										(
																																																										(BgL_varz00_bglt)
																																																										BgL_astz00_2646);
																																																									{	/* Ast/sexp.scm 282 */
																																																										bool_t
																																																											BgL_testz00_6156;
																																																										{	/* Ast/sexp.scm 282 */
																																																											bool_t
																																																												BgL_testz00_6157;
																																																											{	/* Ast/sexp.scm 282 */
																																																												BgL_variablez00_bglt
																																																													BgL_arg2778z00_2655;
																																																												BgL_arg2778z00_2655
																																																													=
																																																													(
																																																													((BgL_varz00_bglt) CREF(BgL_i1122z00_2648))->BgL_variablez00);
																																																												{	/* Ast/sexp.scm 282 */
																																																													bool_t
																																																														BgL_res3264z00_4375;
																																																													{	/* Ast/sexp.scm 282 */
																																																														obj_t
																																																															BgL_objz00_4374;
																																																														BgL_objz00_4374
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_arg2778z00_2655);
																																																														BgL_res3264z00_4375
																																																															=
																																																															BGl_isazf3zf3zz__objectz00
																																																															(BgL_objz00_4374,
																																																															BGl_globalz00zzast_varz00);
																																																													}
																																																													BgL_testz00_6157
																																																														=
																																																														BgL_res3264z00_4375;
																																																												}
																																																											}
																																																											if (BgL_testz00_6157)
																																																												{	/* Ast/sexp.scm 283 */
																																																													BgL_variablez00_bglt
																																																														BgL_arg2777z00_2654;
																																																													BgL_arg2777z00_2654
																																																														=
																																																														(
																																																														((BgL_varz00_bglt) CREF(BgL_i1122z00_2648))->BgL_variablez00);
																																																													BgL_testz00_6156
																																																														=
																																																														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																														(
																																																														((BgL_globalz00_bglt) BgL_arg2777z00_2654));
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 282 */
																																																													BgL_testz00_6156
																																																														=
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																										if (BgL_testz00_6156)
																																																											{	/* Ast/sexp.scm 284 */
																																																												BgL_nodez00_bglt
																																																													BgL_res3265z00_4383;
																																																												{	/* Ast/sexp.scm 284 */
																																																													obj_t
																																																														BgL_arg3055z00_4379;
																																																													BgL_nodez00_bglt
																																																														BgL_arg3056z00_4380;
																																																													BgL_arg3055z00_4379
																																																														=
																																																														BGl_shapez00zztools_shapez00
																																																														(BGl_currentzd2functionzd2zztools_errorz00
																																																														());
																																																													BgL_arg3056z00_4380
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(CNST_TABLE_REF
																																																														(((long) 4)), BNIL, BgL_cdlocz00_2642, CNST_TABLE_REF(((long) 2)));
																																																													{	/* Ast/sexp.scm 284 */
																																																														obj_t
																																																															BgL_list3057z00_4382;
																																																														BgL_list3057z00_4382
																																																															=
																																																															MAKE_PAIR
																																																															(
																																																															((obj_t) BgL_arg3056z00_4380), BNIL);
																																																														BgL_res3265z00_4383
																																																															=
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BGl_userzd2errorzf2locationz20zztools_errorz00
																																																															(BgL_cdlocz00_2642,
																																																																BgL_arg3055z00_4379,
																																																																BGl_string3480z00zzast_sexpz00,
																																																																BgL_expz00_21,
																																																																BgL_list3057z00_4382));
																																																												}}
																																																												return
																																																													BgL_res3265z00_4383;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 286 */
																																																												BgL_setqz00_bglt
																																																													BgL_new1125z00_2650;
																																																												{	/* Ast/sexp.scm 286 */
																																																													BgL_setqz00_bglt
																																																														BgL_new1124z00_2651;
																																																													BgL_new1124z00_2651
																																																														=
																																																														(
																																																														(BgL_setqz00_bglt)
																																																														BREF
																																																														(GC_MALLOC
																																																															(sizeof
																																																																(struct
																																																																	BgL_setqz00_bgl))));
																																																													{	/* Ast/sexp.scm 286 */
																																																														long
																																																															BgL_arg2775z00_2652;
																																																														{	/* Ast/sexp.scm 286 */
																																																															long
																																																																BgL_res3266z00_4385;
																																																															BgL_res3266z00_4385
																																																																=
																																																																BGL_CLASS_INDEX
																																																																(BGl_setqz00zzast_nodez00);
																																																															BgL_arg2775z00_2652
																																																																=
																																																																BgL_res3266z00_4385;
																																																														}
																																																														{	/* Ast/sexp.scm 286 */
																																																															BgL_objectz00_bglt
																																																																BgL_objz00_4386;
																																																															BgL_objz00_4386
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1124z00_2651);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(BgL_objz00_4386,
																																																																BgL_arg2775z00_2652);
																																																													}}
																																																													{	/* Ast/sexp.scm 286 */
																																																														BgL_objectz00_bglt
																																																															BgL_auxz00_6177;
																																																														BgL_auxz00_6177
																																																															=
																																																															(
																																																															(BgL_objectz00_bglt)
																																																															BgL_new1124z00_2651);
																																																														BGL_OBJECT_WIDENING_SET
																																																															(BgL_auxz00_6177,
																																																															BFALSE);
																																																													}
																																																													BgL_new1125z00_2650
																																																														=
																																																														BgL_new1124z00_2651;
																																																												}
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1125z00_2650)))->BgL_locz00) = ((obj_t) BgL_locz00_2641), BUNSPEC);
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1125z00_2650)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1125z00_2650))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2646)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1125z00_2650))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2645), BUNSPEC);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_new1125z00_2650);
																																																											}
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 291 */
																																																									BgL_nodez00_bglt
																																																										BgL_res3267z00_4395;
																																																									{	/* Ast/sexp.scm 291 */
																																																										obj_t
																																																											BgL_arg3055z00_4391;
																																																										BgL_nodez00_bglt
																																																											BgL_arg3056z00_4392;
																																																										BgL_arg3055z00_4391
																																																											=
																																																											BGl_shapez00zztools_shapez00
																																																											(BGl_currentzd2functionzd2zztools_errorz00
																																																											());
																																																										BgL_arg3056z00_4392
																																																											=
																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																											(CNST_TABLE_REF
																																																											(((long) 4)), BNIL, BgL_locz00_2641, CNST_TABLE_REF(((long) 2)));
																																																										{	/* Ast/sexp.scm 291 */
																																																											obj_t
																																																												BgL_list3057z00_4394;
																																																											BgL_list3057z00_4394
																																																												=
																																																												MAKE_PAIR
																																																												(
																																																												((obj_t) BgL_arg3056z00_4392), BNIL);
																																																											BgL_res3267z00_4395
																																																												=
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																																												(BgL_locz00_2641,
																																																													BgL_arg3055z00_4391,
																																																													BGl_string3481z00zzast_sexpz00,
																																																													BgL_expz00_21,
																																																													BgL_list3057z00_4394));
																																																									}}
																																																									return
																																																										BgL_res3267z00_4395;
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																		}
																																																	}
																																																}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 115 */
																																														BgL_tagzd26349zd2_2630:
																																															{	/* Ast/sexp.scm 295 */
																																																obj_t
																																																	BgL_arg2781z00_2658;
																																																BgL_arg2781z00_2658
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_21,
																																																	BgL_locz00_23);
																																																{	/* Ast/sexp.scm 294 */
																																																	BgL_nodez00_bglt
																																																		BgL_res3268z00_4403;
																																																	{	/* Ast/sexp.scm 294 */
																																																		obj_t
																																																			BgL_arg3055z00_4399;
																																																		BgL_nodez00_bglt
																																																			BgL_arg3056z00_4400;
																																																		BgL_arg3055z00_4399
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg3056z00_4400
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_arg2781z00_2658, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 294 */
																																																			obj_t
																																																				BgL_list3057z00_4402;
																																																			BgL_list3057z00_4402
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_arg3056z00_4400), BNIL);
																																																			BgL_res3268z00_4403
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_arg2781z00_2658,
																																																					BgL_arg3055z00_4399,
																																																					BGl_string3479z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list3057z00_4402));
																																																	}}
																																																	return
																																																		BgL_res3268z00_4403;
																																																}
																																															}
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													goto
																																														BgL_tagzd26349zd2_2630;
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd26349zd2_2630;
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									goto
																																										BgL_tagzd26349zd2_2630;
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2378zd2_1595;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2378zd2_1595;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2378zd2_1595;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														goto
																															BgL_tagzd2378zd2_1595;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												if (
																													(CAR(BgL_expz00_21) ==
																														CNST_TABLE_REF((
																																(long) 17))))
																													{	/* Ast/sexp.scm 115 */
																													BgL_tagzd2379zd2_1596:
																														{
																															obj_t
																																BgL_varz00_2659;
																															obj_t
																																BgL_valz00_2660;
																															if (PAIRP
																																(BgL_expz00_21))
																																{	/* Ast/sexp.scm 115 */
																																	obj_t
																																		BgL_cdrzd26374zd2_2665;
																																	BgL_cdrzd26374zd2_2665
																																		=
																																		CDR
																																		(BgL_expz00_21);
																																	if (PAIRP
																																		(BgL_cdrzd26374zd2_2665))
																																		{	/* Ast/sexp.scm 115 */
																																			obj_t
																																				BgL_cdrzd26378zd2_2667;
																																			BgL_cdrzd26378zd2_2667
																																				=
																																				CDR
																																				(BgL_cdrzd26374zd2_2665);
																																			if (PAIRP
																																				(BgL_cdrzd26378zd2_2667))
																																				{	/* Ast/sexp.scm 115 */
																																					if (NULLP(CDR(BgL_cdrzd26378zd2_2667)))
																																						{	/* Ast/sexp.scm 115 */
																																							BgL_varz00_2659
																																								=
																																								CAR
																																								(BgL_cdrzd26374zd2_2665);
																																							BgL_valz00_2660
																																								=
																																								CAR
																																								(BgL_cdrzd26378zd2_2667);
																																							{	/* Ast/sexp.scm 302 */
																																								obj_t
																																									BgL_locz00_2673;
																																								BgL_locz00_2673
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_21,
																																									BgL_locz00_23);
																																								{	/* Ast/sexp.scm 302 */
																																									obj_t
																																										BgL_cdlocz00_2674;
																																									BgL_cdlocz00_2674
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(CDR
																																										(BgL_expz00_21),
																																										BgL_locz00_2673);
																																									{	/* Ast/sexp.scm 303 */
																																										obj_t
																																											BgL_cddlocz00_2675;
																																										{	/* Ast/sexp.scm 304 */
																																											obj_t
																																												BgL_arg2796z00_2686;
																																											{	/* Ast/sexp.scm 304 */
																																												obj_t
																																													BgL_pairz00_4418;
																																												BgL_pairz00_4418
																																													=
																																													BgL_expz00_21;
																																												BgL_arg2796z00_2686
																																													=
																																													CDR
																																													(CDR
																																													(BgL_pairz00_4418));
																																											}
																																											BgL_cddlocz00_2675
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_arg2796z00_2686,
																																												BgL_locz00_2673);
																																										}
																																										{	/* Ast/sexp.scm 304 */
																																											obj_t
																																												BgL_valzd2loczd2_2676;
																																											BgL_valzd2loczd2_2676
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_valz00_2660,
																																												BgL_cddlocz00_2675);
																																											{	/* Ast/sexp.scm 305 */
																																												BgL_nodez00_bglt
																																													BgL_valz00_2677;
																																												BgL_valz00_2677
																																													=
																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																													(BgL_valz00_2660,
																																													BgL_stackz00_22,
																																													BgL_valzd2loczd2_2676,
																																													CNST_TABLE_REF
																																													(((long) 2)));
																																												{	/* Ast/sexp.scm 306 */

																																													{	/* Ast/sexp.scm 307 */
																																														BgL_nodez00_bglt
																																															BgL_astz00_2678;
																																														BgL_astz00_2678
																																															=
																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																															(BgL_varz00_2659,
																																															BgL_stackz00_22,
																																															BgL_cdlocz00_2674,
																																															CNST_TABLE_REF
																																															(((long) 2)));
																																														{	/* Ast/sexp.scm 308 */
																																															bool_t
																																																BgL_testz00_6236;
																																															{	/* Ast/sexp.scm 308 */
																																																bool_t
																																																	BgL_testz00_6237;
																																																{	/* Ast/sexp.scm 308 */
																																																	bool_t
																																																		BgL_res3273z00_4423;
																																																	{	/* Ast/sexp.scm 308 */
																																																		obj_t
																																																			BgL_objz00_4422;
																																																		BgL_objz00_4422
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_astz00_2678);
																																																		BgL_res3273z00_4423
																																																			=
																																																			BGl_isazf3zf3zz__objectz00
																																																			(BgL_objz00_4422,
																																																			BGl_varz00zzast_nodez00);
																																																	}
																																																	BgL_testz00_6237
																																																		=
																																																		BgL_res3273z00_4423;
																																																}
																																																if (BgL_testz00_6237)
																																																	{	/* Ast/sexp.scm 308 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2795z00_2685;
																																																		BgL_arg2795z00_2685
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2678)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 308 */
																																																			bool_t
																																																				BgL_res3275z00_4428;
																																																			{	/* Ast/sexp.scm 308 */
																																																				obj_t
																																																					BgL_objz00_4427;
																																																				BgL_objz00_4427
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_arg2795z00_2685);
																																																				BgL_res3275z00_4428
																																																					=
																																																					BGl_isazf3zf3zz__objectz00
																																																					(BgL_objz00_4427,
																																																					BGl_globalz00zzast_varz00);
																																																			}
																																																			BgL_testz00_6236
																																																				=
																																																				BgL_res3275z00_4428;
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 308 */
																																																		BgL_testz00_6236
																																																			=
																																																			(
																																																			(bool_t)
																																																			0);
																																																	}
																																															}
																																															if (BgL_testz00_6236)
																																																{	/* Ast/sexp.scm 308 */
																																																	{	/* Ast/sexp.scm 310 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2791z00_2680;
																																																		BgL_arg2791z00_2680
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2678)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 310 */
																																																			BgL_globalz00_bglt
																																																				BgL_oz00_4432;
																																																			obj_t
																																																				BgL_vz00_4433;
																																																			BgL_oz00_4432
																																																				=
																																																				(
																																																				(BgL_globalz00_bglt)
																																																				BgL_arg2791z00_2680);
																																																			BgL_vz00_4433
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_valz00_2677);
																																																			((((BgL_globalz00_bglt) CREF(BgL_oz00_4432))->BgL_srcz00) = ((obj_t) BgL_vz00_4433), BUNSPEC);
																																																		}
																																																	}
																																																	{	/* Ast/sexp.scm 311 */
																																																		BgL_setqz00_bglt
																																																			BgL_new1127z00_2681;
																																																		{	/* Ast/sexp.scm 311 */
																																																			BgL_setqz00_bglt
																																																				BgL_new1126z00_2682;
																																																			BgL_new1126z00_2682
																																																				=
																																																				(
																																																				(BgL_setqz00_bglt)
																																																				BREF
																																																				(GC_MALLOC
																																																					(sizeof
																																																						(struct
																																																							BgL_setqz00_bgl))));
																																																			{	/* Ast/sexp.scm 311 */
																																																				long
																																																					BgL_arg2793z00_2683;
																																																				{	/* Ast/sexp.scm 311 */
																																																					long
																																																						BgL_res3277z00_4436;
																																																					BgL_res3277z00_4436
																																																						=
																																																						BGL_CLASS_INDEX
																																																						(BGl_setqz00zzast_nodez00);
																																																					BgL_arg2793z00_2683
																																																						=
																																																						BgL_res3277z00_4436;
																																																				}
																																																				{	/* Ast/sexp.scm 311 */
																																																					BgL_objectz00_bglt
																																																						BgL_objz00_4437;
																																																					BgL_objz00_4437
																																																						=
																																																						(
																																																						(BgL_objectz00_bglt)
																																																						BgL_new1126z00_2682);
																																																					BGL_OBJECT_CLASS_NUM_SET
																																																						(BgL_objz00_4437,
																																																						BgL_arg2793z00_2683);
																																																			}}
																																																			{	/* Ast/sexp.scm 311 */
																																																				BgL_objectz00_bglt
																																																					BgL_auxz00_6253;
																																																				BgL_auxz00_6253
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1126z00_2682);
																																																				BGL_OBJECT_WIDENING_SET
																																																					(BgL_auxz00_6253,
																																																					BFALSE);
																																																			}
																																																			BgL_new1127z00_2681
																																																				=
																																																				BgL_new1126z00_2682;
																																																		}
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1127z00_2681)))->BgL_locz00) = ((obj_t) BgL_locz00_2673), BUNSPEC);
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1127z00_2681)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1127z00_2681))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2678)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1127z00_2681))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2677), BUNSPEC);
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_new1127z00_2681);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 316 */
																																																	BgL_nodez00_bglt
																																																		BgL_res3278z00_4446;
																																																	{	/* Ast/sexp.scm 316 */
																																																		obj_t
																																																			BgL_arg3055z00_4442;
																																																		BgL_nodez00_bglt
																																																			BgL_arg3056z00_4443;
																																																		BgL_arg3055z00_4442
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg3056z00_4443
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_locz00_2673, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 316 */
																																																			obj_t
																																																				BgL_list3057z00_4445;
																																																			BgL_list3057z00_4445
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_arg3056z00_4443), BNIL);
																																																			BgL_res3278z00_4446
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_2673,
																																																					BgL_arg3055z00_4442,
																																																					BGl_string3478z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list3057z00_4445));
																																																	}}
																																																	return
																																																		BgL_res3278z00_4446;
																																																}
																																														}
																																													}
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																						BgL_tagzd26367zd2_2662:
																																							{	/* Ast/sexp.scm 320 */
																																								obj_t
																																									BgL_arg2798z00_2688;
																																								BgL_arg2798z00_2688
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_21,
																																									BgL_locz00_23);
																																								{	/* Ast/sexp.scm 319 */
																																									BgL_nodez00_bglt
																																										BgL_res3279z00_4454;
																																									{	/* Ast/sexp.scm 319 */
																																										obj_t
																																											BgL_arg3055z00_4450;
																																										BgL_nodez00_bglt
																																											BgL_arg3056z00_4451;
																																										BgL_arg3055z00_4450
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BGl_currentzd2functionzd2zztools_errorz00
																																											());
																																										BgL_arg3056z00_4451
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(CNST_TABLE_REF
																																											(((long) 4)), BNIL, BgL_arg2798z00_2688, CNST_TABLE_REF(((long) 2)));
																																										{	/* Ast/sexp.scm 319 */
																																											obj_t
																																												BgL_list3057z00_4453;
																																											BgL_list3057z00_4453
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg3056z00_4451), BNIL);
																																											BgL_res3279z00_4454
																																												=
																																												(
																																												(BgL_nodez00_bglt)
																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																												(BgL_arg2798z00_2688,
																																													BgL_arg3055z00_4450,
																																													BGl_string3477z00zzast_sexpz00,
																																													BgL_expz00_21,
																																													BgL_list3057z00_4453));
																																									}}
																																									return
																																										BgL_res3279z00_4454;
																																								}
																																							}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					goto
																																						BgL_tagzd26367zd2_2662;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			goto
																																				BgL_tagzd26367zd2_2662;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	goto
																																		BgL_tagzd26367zd2_2662;
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd2695zd2_1673;
																														BgL_carzd2695zd2_1673
																															=
																															CAR
																															(BgL_expz00_21);
																														if (PAIRP
																															(BgL_carzd2695zd2_1673))
																															{	/* Ast/sexp.scm 115 */
																																obj_t
																																	BgL_carzd2698zd2_1675;
																																obj_t
																																	BgL_cdrzd2699zd2_1676;
																																BgL_carzd2698zd2_1675
																																	=
																																	CAR
																																	(BgL_carzd2695zd2_1673);
																																BgL_cdrzd2699zd2_1676
																																	=
																																	CDR
																																	(BgL_carzd2695zd2_1673);
																																{

																																	if (
																																		(BgL_carzd2698zd2_1675
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					18))))
																																		{
																																			obj_t
																																				BgL_auxz00_6294;
																																		BgL_kapzd2700zd2_1677:
																																			if (PAIRP
																																				(BgL_cdrzd2699zd2_1676))
																																				{	/* Ast/sexp.scm 115 */
																																					obj_t
																																						BgL_cdrzd2703zd2_1841;
																																					BgL_cdrzd2703zd2_1841
																																						=
																																						CDR
																																						(BgL_cdrzd2699zd2_1676);
																																					if (PAIRP(BgL_cdrzd2703zd2_1841))
																																						{	/* Ast/sexp.scm 115 */
																																							if (NULLP(CDR(BgL_cdrzd2703zd2_1841)))
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_arg2206z00_1844;
																																									obj_t
																																										BgL_arg2207z00_1845;
																																									BgL_arg2206z00_1844
																																										=
																																										CAR
																																										(BgL_cdrzd2703zd2_1841);
																																									BgL_arg2207z00_1845
																																										=
																																										CDR
																																										(BgL_expz00_21);
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_6305;
																																										BgL_bodyz00_1597
																																											=
																																											BgL_arg2206z00_1844;
																																										BgL_argsz00_1598
																																											=
																																											BgL_arg2207z00_1845;
																																									BgL_tagzd2380zd2_1599:
																																										{	/* Ast/sexp.scm 323 */
																																											obj_t
																																												BgL_letzd2partzd2_2689;
																																											BgL_letzd2partzd2_2689
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 323 */
																																												obj_t
																																													BgL_nexpz00_2690;
																																												{	/* Ast/sexp.scm 324 */
																																													obj_t
																																														BgL_arg2799z00_2691;
																																													obj_t
																																														BgL_arg2800z00_2692;
																																													BgL_arg2799z00_2691
																																														=
																																														CAR
																																														(BgL_letzd2partzd2_2689);
																																													{	/* Ast/sexp.scm 324 */
																																														obj_t
																																															BgL_arg2801z00_2693;
																																														obj_t
																																															BgL_arg2802z00_2694;
																																														{	/* Ast/sexp.scm 324 */
																																															obj_t
																																																BgL_pairz00_4470;
																																															BgL_pairz00_4470
																																																=
																																																BgL_letzd2partzd2_2689;
																																															BgL_arg2801z00_2693
																																																=
																																																CAR
																																																(CDR
																																																(BgL_pairz00_4470));
																																														}
																																														{	/* Ast/sexp.scm 324 */
																																															obj_t
																																																BgL_arg2803z00_2695;
																																															BgL_arg2803z00_2695
																																																=
																																																MAKE_PAIR
																																																(BgL_bodyz00_1597,
																																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																(BgL_argsz00_1598,
																																																	BNIL));
																																															BgL_arg2802z00_2694
																																																=
																																																MAKE_PAIR
																																																(BgL_arg2803z00_2695,
																																																BNIL);
																																														}
																																														BgL_arg2800z00_2692
																																															=
																																															MAKE_PAIR
																																															(BgL_arg2801z00_2693,
																																															BgL_arg2802z00_2694);
																																													}
																																													BgL_nexpz00_2690
																																														=
																																														MAKE_PAIR
																																														(BgL_arg2799z00_2691,
																																														BgL_arg2800z00_2692);
																																												}
																																												{	/* Ast/sexp.scm 324 */

																																													BgL_auxz00_6305
																																														=
																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																														(BgL_nexpz00_2690,
																																														BgL_stackz00_22,
																																														BgL_locz00_23,
																																														BgL_sitez00_24);
																																												}
																																											}
																																										}
																																										BgL_auxz00_6294
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_6305);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_6317;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2269z00_1936;
																																										BgL_arg2269z00_1936
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_6317
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2269z00_1936));
																																									}
																																									if (BgL_testz00_6317)
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_6321;
																																										BgL_tagzd2381zd2_1600:
																																											BgL_auxz00_6321 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																											BgL_auxz00_6294
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6321);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_6325;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2268z00_1935;
																																												BgL_arg2268z00_1935
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_6325
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2268z00_1935));
																																											}
																																											if (BgL_testz00_6325)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_6329;
																																												BgL_tagzd2382zd2_1601:
																																													BgL_auxz00_6329 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																													BgL_auxz00_6294
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_6329);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													obj_t
																																														BgL_carzd2766zd2_1848;
																																													BgL_carzd2766zd2_1848
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd2771zd2_1849;
																																														BgL_cdrzd2771zd2_1849
																																															=
																																															CDR
																																															(BgL_carzd2766zd2_1848);
																																														if ((CAR(BgL_carzd2766zd2_1848) == CNST_TABLE_REF(((long) 3))))
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_arg2211z00_1851;
																																																obj_t
																																																	BgL_arg2212z00_1852;
																																																obj_t
																																																	BgL_arg2213z00_1853;
																																																BgL_arg2211z00_1851
																																																	=
																																																	CAR
																																																	(BgL_cdrzd2771zd2_1849);
																																																BgL_arg2212z00_1852
																																																	=
																																																	CDR
																																																	(BgL_cdrzd2771zd2_1849);
																																																BgL_arg2213z00_1853
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_6342;
																																																	BgL_varsz00_1606
																																																		=
																																																		BgL_arg2211z00_1851;
																																																	BgL_bodyz00_1607
																																																		=
																																																		BgL_arg2212z00_1852;
																																																	BgL_argsz00_1608
																																																		=
																																																		BgL_arg2213z00_1853;
																																																BgL_tagzd2384zd2_1609:
																																																	{	/* Ast/sexp.scm 339 */
																																																		obj_t
																																																			BgL_locz00_2701;
																																																		obj_t
																																																			BgL_nexpz00_2702;
																																																		BgL_locz00_2701
																																																			=
																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																			(BgL_expz00_21,
																																																			BgL_locz00_23);
																																																		{	/* Ast/sexp.scm 340 */
																																																			obj_t
																																																				BgL_arg2807z00_2703;
																																																			obj_t
																																																				BgL_arg2808z00_2704;
																																																			BgL_arg2807z00_2703
																																																				=
																																																				BGl_letzd2symzd2zzast_letz00
																																																				();
																																																			{	/* Ast/sexp.scm 343 */
																																																				obj_t
																																																					BgL_arg2809z00_2705;
																																																				obj_t
																																																					BgL_arg2810z00_2706;
																																																				BgL_arg2809z00_2705
																																																					=
																																																					BGl_loopz00zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23,
																																																					BgL_varsz00_1606,
																																																					BgL_argsz00_1608);
																																																				{	/* Ast/sexp.scm 382 */
																																																					obj_t
																																																						BgL_arg2851z00_2754;
																																																					{	/* Ast/sexp.scm 382 */
																																																						obj_t
																																																							BgL_arg2852z00_2755;
																																																						obj_t
																																																							BgL_arg2853z00_2756;
																																																						BgL_arg2852z00_2755
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg2853z00_2756
																																																							=
																																																							BGl_normaliza7ezd2prognz75zztools_prognz00
																																																							(BgL_bodyz00_1607);
																																																						{	/* Ast/sexp.scm 386 */
																																																							obj_t
																																																								BgL_zc3anonymousza32856ze3z83_5512;
																																																							BgL_zc3anonymousza32856ze3z83_5512
																																																								=
																																																								MAKE_FX_PROCEDURE
																																																								(BGl_z62zc3anonymousza32856ze3ze1zzast_sexpz00,
																																																								(int)
																																																								(((long) 3)), (int) (((long) 1)));
																																																							PROCEDURE_SET
																																																								(BgL_zc3anonymousza32856ze3z83_5512,
																																																								(int)
																																																								(((long) 0)), BgL_locz00_23);
																																																							BgL_arg2851z00_2754
																																																								=
																																																								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																								(BgL_arg2852z00_2755,
																																																								BgL_varsz00_1606,
																																																								BgL_arg2853z00_2756,
																																																								BgL_zc3anonymousza32856ze3z83_5512);
																																																					}}
																																																					BgL_arg2810z00_2706
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_arg2851z00_2754,
																																																						BNIL);
																																																				}
																																																				BgL_arg2808z00_2704
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg2809z00_2705,
																																																					BgL_arg2810z00_2706);
																																																			}
																																																			BgL_nexpz00_2702
																																																				=
																																																				MAKE_PAIR
																																																				(BgL_arg2807z00_2703,
																																																				BgL_arg2808z00_2704);
																																																		}
																																																		BgL_auxz00_6342
																																																			=
																																																			BGl_letzd2ze3nodez31zzast_letz00
																																																			(BgL_nexpz00_2702,
																																																			BgL_stackz00_22,
																																																			BgL_locz00_2701,
																																																			BgL_sitez00_24);
																																																	}
																																																	BgL_auxz00_6294
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6342);
																																															}}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd2793zd2_1855;
																																																BgL_cdrzd2793zd2_1855
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd2799zd2_1856;
																																																	BgL_cdrzd2799zd2_1856
																																																		=
																																																		CDR
																																																		(BgL_carzd2766zd2_1848);
																																																	if ((CAR(BgL_carzd2766zd2_1848) == CNST_TABLE_REF(((long) 1))))
																																																		{	/* Ast/sexp.scm 115 */
																																																			obj_t
																																																				BgL_cdrzd2805zd2_1858;
																																																			BgL_cdrzd2805zd2_1858
																																																				=
																																																				CDR
																																																				(BgL_cdrzd2799zd2_1856);
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_carzd2810zd2_1859;
																																																				obj_t
																																																					BgL_cdrzd2811zd2_1860;
																																																				BgL_carzd2810zd2_1859
																																																					=
																																																					CAR
																																																					(BgL_cdrzd2805zd2_1858);
																																																				BgL_cdrzd2811zd2_1860
																																																					=
																																																					CDR
																																																					(BgL_cdrzd2805zd2_1858);
																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2810zd2_1859))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd2811zd2_1860))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd2818zd2_1863;
																																																								BgL_carzd2818zd2_1863
																																																									=
																																																									CAR
																																																									(BgL_cdrzd2811zd2_1860);
																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2818zd2_1863))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (NULLP(CDR(BgL_cdrzd2811zd2_1860)))
																																																											{	/* Ast/sexp.scm 115 */
																																																												bool_t
																																																													BgL_testz00_6379;
																																																												{
																																																													obj_t
																																																														BgL_l2017z00_1884;
																																																													BgL_l2017z00_1884
																																																														=
																																																														BgL_cdrzd2793zd2_1855;
																																																												BgL_zc3anonymousza32234ze3z83_1885:
																																																													if (NULLP(BgL_l2017z00_1884))
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_6379
																																																																=
																																																																(
																																																																(bool_t)
																																																																1);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															bool_t
																																																																BgL_testz00_6382;
																																																															{	/* Ast/sexp.scm 115 */
																																																																bool_t
																																																																	BgL_testz00_6383;
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_auxz00_6384;
																																																																	BgL_auxz00_6384
																																																																		=
																																																																		CAR
																																																																		(BgL_l2017z00_1884);
																																																																	BgL_testz00_6383
																																																																		=
																																																																		PAIRP
																																																																		(BgL_auxz00_6384);
																																																																}
																																																																if (BgL_testz00_6383)
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		BgL_testz00_6382
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		BgL_testz00_6382
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																															}
																																																															if (BgL_testz00_6382)
																																																																{
																																																																	obj_t
																																																																		BgL_l2017z00_6387;
																																																																	BgL_l2017z00_6387
																																																																		=
																																																																		CDR
																																																																		(BgL_l2017z00_1884);
																																																																	BgL_l2017z00_1884
																																																																		=
																																																																		BgL_l2017z00_6387;
																																																																	goto
																																																																		BgL_zc3anonymousza32234ze3z83_1885;
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	BgL_testz00_6379
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		0);
																																																																}
																																																														}
																																																												}
																																																												if (BgL_testz00_6379)
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_arg2220z00_1867;
																																																														BgL_arg2220z00_1867
																																																															=
																																																															CAR
																																																															(BgL_cdrzd2799zd2_1856);
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_6390;
																																																															BgL_testz00_1610
																																																																=
																																																																BgL_arg2220z00_1867;
																																																															BgL_proc1z00_1611
																																																																=
																																																																BgL_carzd2810zd2_1859;
																																																															BgL_proc2z00_1612
																																																																=
																																																																BgL_carzd2818zd2_1863;
																																																															BgL_argsz00_1613
																																																																=
																																																																BgL_cdrzd2793zd2_1855;
																																																														BgL_tagzd2385zd2_1614:
																																																															{	/* Ast/sexp.scm 393 */
																																																																obj_t
																																																																	BgL_nexpz00_2765;
																																																																{	/* Ast/sexp.scm 393 */
																																																																	obj_t
																																																																		BgL_arg2859z00_2767;
																																																																	{	/* Ast/sexp.scm 393 */
																																																																		obj_t
																																																																			BgL_arg2860z00_2768;
																																																																		{	/* Ast/sexp.scm 393 */
																																																																			obj_t
																																																																				BgL_arg2861z00_2769;
																																																																			obj_t
																																																																				BgL_arg2862z00_2770;
																																																																			BgL_arg2861z00_2769
																																																																				=
																																																																				MAKE_PAIR
																																																																				(BgL_proc1z00_1611,
																																																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																				(BgL_argsz00_1613,
																																																																					BNIL));
																																																																			{	/* Ast/sexp.scm 393 */
																																																																				obj_t
																																																																					BgL_arg2864z00_2772;
																																																																				BgL_arg2864z00_2772
																																																																					=
																																																																					MAKE_PAIR
																																																																					(BgL_proc2z00_1612,
																																																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																					(BgL_argsz00_1613,
																																																																						BNIL));
																																																																				BgL_arg2862z00_2770
																																																																					=
																																																																					MAKE_PAIR
																																																																					(BgL_arg2864z00_2772,
																																																																					BNIL);
																																																																			}
																																																																			BgL_arg2860z00_2768
																																																																				=
																																																																				MAKE_PAIR
																																																																				(BgL_arg2861z00_2769,
																																																																				BgL_arg2862z00_2770);
																																																																		}
																																																																		BgL_arg2859z00_2767
																																																																			=
																																																																			MAKE_PAIR
																																																																			(BgL_testz00_1610,
																																																																			BgL_arg2860z00_2768);
																																																																	}
																																																																	BgL_nexpz00_2765
																																																																		=
																																																																		MAKE_PAIR
																																																																		(CNST_TABLE_REF
																																																																		(((long) 1)), BgL_arg2859z00_2767);
																																																																}
																																																																BgL_auxz00_6390
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_nexpz00_2765,
																																																																	BgL_stackz00_22,
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																		BgL_locz00_23),
																																																																	BgL_sitez00_24);
																																																															}
																																																															BgL_auxz00_6294
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_6390);
																																																													}}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd2841zd2_1868;
																																																														BgL_cdrzd2841zd2_1868
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd2848zd2_1869;
																																																															BgL_cdrzd2848zd2_1869
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd2855zd2_1870;
																																																																BgL_cdrzd2855zd2_1870
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd2848zd2_1869);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd2861zd2_1871;
																																																																	BgL_carzd2861zd2_1871
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd2855zd2_1870);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2861zd2_1871))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd2868zd2_1873;
																																																																			BgL_carzd2868zd2_1873
																																																																				=
																																																																				CAR
																																																																				(CDR
																																																																				(BgL_cdrzd2855zd2_1870));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2868zd2_1873))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2841zd2_1868))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							obj_t
																																																																								BgL_arg2227z00_1876;
																																																																							BgL_arg2227z00_1876
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd2848zd2_1869);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_6417;
																																																																								BgL_testz00_1615
																																																																									=
																																																																									BgL_arg2227z00_1876;
																																																																								BgL_proc1z00_1616
																																																																									=
																																																																									BgL_carzd2861zd2_1871;
																																																																								BgL_proc2z00_1617
																																																																									=
																																																																									BgL_carzd2868zd2_1873;
																																																																								BgL_argsz00_1618
																																																																									=
																																																																									BgL_cdrzd2841zd2_1868;
																																																																							BgL_tagzd2386zd2_1619:
																																																																								{	/* Ast/sexp.scm 399 */
																																																																									obj_t
																																																																										BgL_tmpsz00_2774;
																																																																									if (NULLP(BgL_argsz00_1618))
																																																																										{	/* Ast/sexp.scm 399 */
																																																																											BgL_tmpsz00_2774
																																																																												=
																																																																												BNIL;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 399 */
																																																																											obj_t
																																																																												BgL_head2006z00_2818;
																																																																											{	/* Ast/sexp.scm 399 */
																																																																												obj_t
																																																																													BgL_res3295z00_4510;
																																																																												BgL_res3295z00_4510
																																																																													=
																																																																													MAKE_PAIR
																																																																													(BNIL,
																																																																													BNIL);
																																																																												BgL_head2006z00_2818
																																																																													=
																																																																													BgL_res3295z00_4510;
																																																																											}
																																																																											{
																																																																												obj_t
																																																																													BgL_l2004z00_2820;
																																																																												obj_t
																																																																													BgL_tail2007z00_2821;
																																																																												BgL_l2004z00_2820
																																																																													=
																																																																													BgL_argsz00_1618;
																																																																												BgL_tail2007z00_2821
																																																																													=
																																																																													BgL_head2006z00_2818;
																																																																											BgL_zc3anonymousza32896ze3z83_2822:
																																																																												if (NULLP(BgL_l2004z00_2820))
																																																																													{	/* Ast/sexp.scm 399 */
																																																																														BgL_tmpsz00_2774
																																																																															=
																																																																															CDR
																																																																															(BgL_head2006z00_2818);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 399 */
																																																																														obj_t
																																																																															BgL_newtail2008z00_2824;
																																																																														{	/* Ast/sexp.scm 399 */
																																																																															obj_t
																																																																																BgL_arg2899z00_2826;
																																																																															{	/* Ast/sexp.scm 399 */

																																																																																{	/* Ast/sexp.scm 399 */

																																																																																	BgL_arg2899z00_2826
																																																																																		=
																																																																																		BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																		(BFALSE);
																																																																																}
																																																																															}
																																																																															{	/* Ast/sexp.scm 399 */
																																																																																obj_t
																																																																																	BgL_res3297z00_4517;
																																																																																BgL_res3297z00_4517
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BgL_arg2899z00_2826,
																																																																																	BNIL);
																																																																																BgL_newtail2008z00_2824
																																																																																	=
																																																																																	BgL_res3297z00_4517;
																																																																															}
																																																																														}
																																																																														SET_CDR
																																																																															(BgL_tail2007z00_2821,
																																																																															BgL_newtail2008z00_2824);
																																																																														{
																																																																															obj_t
																																																																																BgL_tail2007z00_6429;
																																																																															obj_t
																																																																																BgL_l2004z00_6427;
																																																																															BgL_l2004z00_6427
																																																																																=
																																																																																CDR
																																																																																(BgL_l2004z00_2820);
																																																																															BgL_tail2007z00_6429
																																																																																=
																																																																																BgL_newtail2008z00_2824;
																																																																															BgL_tail2007z00_2821
																																																																																=
																																																																																BgL_tail2007z00_6429;
																																																																															BgL_l2004z00_2820
																																																																																=
																																																																																BgL_l2004z00_6427;
																																																																															goto
																																																																																BgL_zc3anonymousza32896ze3z83_2822;
																																																																														}
																																																																													}
																																																																											}
																																																																										}
																																																																									{	/* Ast/sexp.scm 399 */
																																																																										obj_t
																																																																											BgL_locz00_2775;
																																																																										BgL_locz00_2775
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										{	/* Ast/sexp.scm 400 */
																																																																											obj_t
																																																																												BgL_nexpz00_2776;
																																																																											{	/* Ast/sexp.scm 401 */
																																																																												obj_t
																																																																													BgL_arg2867z00_2778;
																																																																												obj_t
																																																																													BgL_arg2868z00_2779;
																																																																												BgL_arg2867z00_2778
																																																																													=
																																																																													BGl_letzd2symzd2zzast_letz00
																																																																													();
																																																																												{	/* Ast/sexp.scm 401 */
																																																																													obj_t
																																																																														BgL_arg2869z00_2780;
																																																																													obj_t
																																																																														BgL_arg2870z00_2781;
																																																																													if (NULLP(BgL_tmpsz00_2774))
																																																																														{	/* Ast/sexp.scm 401 */
																																																																															BgL_arg2869z00_2780
																																																																																=
																																																																																BNIL;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 401 */
																																																																															obj_t
																																																																																BgL_head2011z00_2785;
																																																																															{	/* Ast/sexp.scm 401 */
																																																																																obj_t
																																																																																	BgL_arg2882z00_2803;
																																																																																{	/* Ast/sexp.scm 401 */
																																																																																	obj_t
																																																																																		BgL_arg2883z00_2804;
																																																																																	obj_t
																																																																																		BgL_arg2884z00_2805;
																																																																																	BgL_arg2883z00_2804
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_tmpsz00_2774);
																																																																																	BgL_arg2884z00_2805
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_argsz00_1618);
																																																																																	{	/* Ast/sexp.scm 401 */
																																																																																		obj_t
																																																																																			BgL_list2885z00_2806;
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			obj_t
																																																																																				BgL_arg2886z00_2807;
																																																																																			BgL_arg2886z00_2807
																																																																																				=
																																																																																				MAKE_PAIR
																																																																																				(BgL_arg2884z00_2805,
																																																																																				BNIL);
																																																																																			BgL_list2885z00_2806
																																																																																				=
																																																																																				MAKE_PAIR
																																																																																				(BgL_arg2883z00_2804,
																																																																																				BgL_arg2886z00_2807);
																																																																																		}
																																																																																		BgL_arg2882z00_2803
																																																																																			=
																																																																																			BgL_list2885z00_2806;
																																																																																	}
																																																																																}
																																																																																{	/* Ast/sexp.scm 401 */
																																																																																	obj_t
																																																																																		BgL_res3300z00_4529;
																																																																																	BgL_res3300z00_4529
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_arg2882z00_2803,
																																																																																		BNIL);
																																																																																	BgL_head2011z00_2785
																																																																																		=
																																																																																		BgL_res3300z00_4529;
																																																																																}
																																																																															}
																																																																															{	/* Ast/sexp.scm 401 */
																																																																																obj_t
																																																																																	BgL_g2015z00_2786;
																																																																																obj_t
																																																																																	BgL_g2016z00_2787;
																																																																																BgL_g2015z00_2786
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_tmpsz00_2774);
																																																																																BgL_g2016z00_2787
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_argsz00_1618);
																																																																																{
																																																																																	obj_t
																																																																																		BgL_ll2009z00_2789;
																																																																																	obj_t
																																																																																		BgL_ll2010z00_2790;
																																																																																	obj_t
																																																																																		BgL_tail2012z00_2791;
																																																																																	BgL_ll2009z00_2789
																																																																																		=
																																																																																		BgL_g2015z00_2786;
																																																																																	BgL_ll2010z00_2790
																																																																																		=
																																																																																		BgL_g2016z00_2787;
																																																																																	BgL_tail2012z00_2791
																																																																																		=
																																																																																		BgL_head2011z00_2785;
																																																																																BgL_zc3anonymousza32872ze3z83_2792:
																																																																																	if (NULLP(BgL_ll2009z00_2789))
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			BgL_arg2869z00_2780
																																																																																				=
																																																																																				BgL_head2011z00_2785;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			obj_t
																																																																																				BgL_newtail2013z00_2794;
																																																																																			{	/* Ast/sexp.scm 401 */
																																																																																				obj_t
																																																																																					BgL_arg2877z00_2797;
																																																																																				{	/* Ast/sexp.scm 401 */
																																																																																					obj_t
																																																																																						BgL_arg2878z00_2798;
																																																																																					obj_t
																																																																																						BgL_arg2879z00_2799;
																																																																																					BgL_arg2878z00_2798
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_ll2009z00_2789);
																																																																																					BgL_arg2879z00_2799
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_ll2010z00_2790);
																																																																																					{	/* Ast/sexp.scm 401 */
																																																																																						obj_t
																																																																																							BgL_list2880z00_2800;
																																																																																						{	/* Ast/sexp.scm 401 */
																																																																																							obj_t
																																																																																								BgL_arg2881z00_2801;
																																																																																							BgL_arg2881z00_2801
																																																																																								=
																																																																																								MAKE_PAIR
																																																																																								(BgL_arg2879z00_2799,
																																																																																								BNIL);
																																																																																							BgL_list2880z00_2800
																																																																																								=
																																																																																								MAKE_PAIR
																																																																																								(BgL_arg2878z00_2798,
																																																																																								BgL_arg2881z00_2801);
																																																																																						}
																																																																																						BgL_arg2877z00_2797
																																																																																							=
																																																																																							BgL_list2880z00_2800;
																																																																																					}
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 401 */
																																																																																					obj_t
																																																																																						BgL_res3303z00_4540;
																																																																																					BgL_res3303z00_4540
																																																																																						=
																																																																																						MAKE_PAIR
																																																																																						(BgL_arg2877z00_2797,
																																																																																						BNIL);
																																																																																					BgL_newtail2013z00_2794
																																																																																						=
																																																																																						BgL_res3303z00_4540;
																																																																																				}
																																																																																			}
																																																																																			SET_CDR
																																																																																				(BgL_tail2012z00_2791,
																																																																																				BgL_newtail2013z00_2794);
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_tail2012z00_6453;
																																																																																				obj_t
																																																																																					BgL_ll2010z00_6451;
																																																																																				obj_t
																																																																																					BgL_ll2009z00_6449;
																																																																																				BgL_ll2009z00_6449
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_ll2009z00_2789);
																																																																																				BgL_ll2010z00_6451
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_ll2010z00_2790);
																																																																																				BgL_tail2012z00_6453
																																																																																					=
																																																																																					BgL_newtail2013z00_2794;
																																																																																				BgL_tail2012z00_2791
																																																																																					=
																																																																																					BgL_tail2012z00_6453;
																																																																																				BgL_ll2010z00_2790
																																																																																					=
																																																																																					BgL_ll2010z00_6451;
																																																																																				BgL_ll2009z00_2789
																																																																																					=
																																																																																					BgL_ll2009z00_6449;
																																																																																				goto
																																																																																					BgL_zc3anonymousza32872ze3z83_2792;
																																																																																			}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													{	/* Ast/sexp.scm 402 */
																																																																														obj_t
																																																																															BgL_arg2887z00_2808;
																																																																														{	/* Ast/sexp.scm 402 */
																																																																															obj_t
																																																																																BgL_arg2888z00_2809;
																																																																															{	/* Ast/sexp.scm 402 */
																																																																																obj_t
																																																																																	BgL_arg2889z00_2810;
																																																																																{	/* Ast/sexp.scm 402 */
																																																																																	obj_t
																																																																																		BgL_arg2890z00_2811;
																																																																																	obj_t
																																																																																		BgL_arg2891z00_2812;
																																																																																	BgL_arg2890z00_2811
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_proc1z00_1616,
																																																																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																		(BgL_tmpsz00_2774,
																																																																																			BNIL));
																																																																																	{	/* Ast/sexp.scm 402 */
																																																																																		obj_t
																																																																																			BgL_arg2893z00_2814;
																																																																																		BgL_arg2893z00_2814
																																																																																			=
																																																																																			MAKE_PAIR
																																																																																			(BgL_proc2z00_1617,
																																																																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																			(BgL_tmpsz00_2774,
																																																																																				BNIL));
																																																																																		BgL_arg2891z00_2812
																																																																																			=
																																																																																			MAKE_PAIR
																																																																																			(BgL_arg2893z00_2814,
																																																																																			BNIL);
																																																																																	}
																																																																																	BgL_arg2889z00_2810
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_arg2890z00_2811,
																																																																																		BgL_arg2891z00_2812);
																																																																																}
																																																																																BgL_arg2888z00_2809
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BgL_testz00_1615,
																																																																																	BgL_arg2889z00_2810);
																																																																															}
																																																																															BgL_arg2887z00_2808
																																																																																=
																																																																																MAKE_PAIR
																																																																																(CNST_TABLE_REF
																																																																																(((long) 1)), BgL_arg2888z00_2809);
																																																																														}
																																																																														BgL_arg2870z00_2781
																																																																															=
																																																																															MAKE_PAIR
																																																																															(BgL_arg2887z00_2808,
																																																																															BNIL);
																																																																													}
																																																																													BgL_arg2868z00_2779
																																																																														=
																																																																														MAKE_PAIR
																																																																														(BgL_arg2869z00_2780,
																																																																														BgL_arg2870z00_2781);
																																																																												}
																																																																												BgL_nexpz00_2776
																																																																													=
																																																																													MAKE_PAIR
																																																																													(BgL_arg2867z00_2778,
																																																																													BgL_arg2868z00_2779);
																																																																											}
																																																																											{	/* Ast/sexp.scm 401 */

																																																																												BgL_auxz00_6417
																																																																													=
																																																																													BGl_letzd2ze3nodez31zzast_letz00
																																																																													(BgL_nexpz00_2776,
																																																																													BgL_stackz00_22,
																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																													(BgL_expz00_21,
																																																																														BgL_locz00_2775),
																																																																													BgL_sitez00_24);
																																																																								}}}}
																																																																								BgL_auxz00_6294
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_6417);
																																																																						}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 115 */
																																																																								BgL_tagzd2399zd2_1638:
																																																																									BgL_auxz00_6294 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_6472;
																																																																								BgL_tagzd2400zd2_1639:
																																																																									BgL_auxz00_6472 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																									BgL_auxz00_6294
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_6472);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2399zd2_1638;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_6477;
																																																																							goto
																																																																								BgL_tagzd2400zd2_1639;
																																																																							BgL_auxz00_6294
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_6477);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6481;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																					BgL_auxz00_6294
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6481);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 115 */
																																																														goto
																																																															BgL_tagzd2399zd2_1638;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_6485;
																																																														goto
																																																															BgL_tagzd2400zd2_1639;
																																																														BgL_auxz00_6294
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_6485);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd21058zd2_1895;
																																																										BgL_cdrzd21058zd2_1895
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd21064zd2_1896;
																																																											BgL_cdrzd21064zd2_1896
																																																												=
																																																												CDR
																																																												(CAR
																																																												(BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd21070zd2_1897;
																																																												BgL_cdrzd21070zd2_1897
																																																													=
																																																													CDR
																																																													(BgL_cdrzd21064zd2_1896);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd21075zd2_1898;
																																																													obj_t
																																																														BgL_cdrzd21076zd2_1899;
																																																													BgL_carzd21075zd2_1898
																																																														=
																																																														CAR
																																																														(BgL_cdrzd21070zd2_1897);
																																																													BgL_cdrzd21076zd2_1899
																																																														=
																																																														CDR
																																																														(BgL_cdrzd21070zd2_1897);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21075zd2_1898))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd21081zd2_1901;
																																																															BgL_carzd21081zd2_1901
																																																																=
																																																																CAR
																																																																(BgL_cdrzd21076zd2_1899);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21081zd2_1901))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd21076zd2_1899)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21058zd2_1895))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_arg2244z00_1905;
																																																																					BgL_arg2244z00_1905
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd21064zd2_1896);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_6504;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_6508;
																																																																							obj_t
																																																																								BgL_proc2z00_6507;
																																																																							obj_t
																																																																								BgL_proc1z00_6506;
																																																																							obj_t
																																																																								BgL_testz00_6505;
																																																																							BgL_testz00_6505
																																																																								=
																																																																								BgL_arg2244z00_1905;
																																																																							BgL_proc1z00_6506
																																																																								=
																																																																								BgL_carzd21075zd2_1898;
																																																																							BgL_proc2z00_6507
																																																																								=
																																																																								BgL_carzd21081zd2_1901;
																																																																							BgL_argsz00_6508
																																																																								=
																																																																								BgL_cdrzd21058zd2_1895;
																																																																							BgL_argsz00_1618
																																																																								=
																																																																								BgL_argsz00_6508;
																																																																							BgL_proc2z00_1617
																																																																								=
																																																																								BgL_proc2z00_6507;
																																																																							BgL_proc1z00_1616
																																																																								=
																																																																								BgL_proc1z00_6506;
																																																																							BgL_testz00_1615
																																																																								=
																																																																								BgL_testz00_6505;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1619;
																																																																						}
																																																																						BgL_auxz00_6294
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_6504);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2399zd2_1638;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_6512;
																																																																							goto
																																																																								BgL_tagzd2400zd2_1639;
																																																																							BgL_auxz00_6294
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_6512);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6516;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																					BgL_auxz00_6294
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6516);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2399zd2_1638;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_6520;
																																																																			goto
																																																																				BgL_tagzd2400zd2_1639;
																																																																			BgL_auxz00_6294
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_6520);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2399zd2_1638;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_6524;
																																																																	goto
																																																																		BgL_tagzd2400zd2_1639;
																																																																	BgL_auxz00_6294
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_6524);
																																																																}
																																																														}
																																																												}
																																																											}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2399zd2_1638;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_6528;
																																																										goto
																																																											BgL_tagzd2400zd2_1639;
																																																										BgL_auxz00_6294
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6528);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd21307zd2_1913;
																																																						BgL_cdrzd21307zd2_1913
																																																							=
																																																							CDR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 115 */
																																																							obj_t
																																																								BgL_cdrzd21314zd2_1914;
																																																							BgL_cdrzd21314zd2_1914
																																																								=
																																																								CDR
																																																								(CAR
																																																								(BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd21321zd2_1915;
																																																								BgL_cdrzd21321zd2_1915
																																																									=
																																																									CDR
																																																									(BgL_cdrzd21314zd2_1914);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_carzd21327zd2_1916;
																																																									obj_t
																																																										BgL_cdrzd21328zd2_1917;
																																																									BgL_carzd21327zd2_1916
																																																										=
																																																										CAR
																																																										(BgL_cdrzd21321zd2_1915);
																																																									BgL_cdrzd21328zd2_1917
																																																										=
																																																										CDR
																																																										(BgL_cdrzd21321zd2_1915);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21327zd2_1916))
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (PAIRP(BgL_cdrzd21328zd2_1917))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd21335zd2_1920;
																																																													BgL_carzd21335zd2_1920
																																																														=
																																																														CAR
																																																														(BgL_cdrzd21328zd2_1917);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21335zd2_1920))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (NULLP(CDR(BgL_cdrzd21328zd2_1917)))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21307zd2_1913))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2257z00_1924;
																																																																			BgL_arg2257z00_1924
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd21314zd2_1914);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_6549;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_6553;
																																																																					obj_t
																																																																						BgL_proc2z00_6552;
																																																																					obj_t
																																																																						BgL_proc1z00_6551;
																																																																					obj_t
																																																																						BgL_testz00_6550;
																																																																					BgL_testz00_6550
																																																																						=
																																																																						BgL_arg2257z00_1924;
																																																																					BgL_proc1z00_6551
																																																																						=
																																																																						BgL_carzd21327zd2_1916;
																																																																					BgL_proc2z00_6552
																																																																						=
																																																																						BgL_carzd21335zd2_1920;
																																																																					BgL_argsz00_6553
																																																																						=
																																																																						BgL_cdrzd21307zd2_1913;
																																																																					BgL_argsz00_1618
																																																																						=
																																																																						BgL_argsz00_6553;
																																																																					BgL_proc2z00_1617
																																																																						=
																																																																						BgL_proc2z00_6552;
																																																																					BgL_proc1z00_1616
																																																																						=
																																																																						BgL_proc1z00_6551;
																																																																					BgL_testz00_1615
																																																																						=
																																																																						BgL_testz00_6550;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1619;
																																																																				}
																																																																				BgL_auxz00_6294
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_6549);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6557;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																					BgL_auxz00_6294
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6557);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2399zd2_1638;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_6561;
																																																																			goto
																																																																				BgL_tagzd2400zd2_1639;
																																																																			BgL_auxz00_6294
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_6561);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2399zd2_1638;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_6565;
																																																																	goto
																																																																		BgL_tagzd2400zd2_1639;
																																																																	BgL_auxz00_6294
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_6565);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2399zd2_1638;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_6569;
																																																															goto
																																																																BgL_tagzd2400zd2_1639;
																																																															BgL_auxz00_6294
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_6569);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd2399zd2_1638;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_6573;
																																																													goto
																																																														BgL_tagzd2400zd2_1639;
																																																													BgL_auxz00_6294
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_6573);
																																																												}
																																																										}
																																																								}
																																																							}
																																																						}
																																																					}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 115 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 115 */
																																																					goto
																																																						BgL_tagzd2399zd2_1638;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_6577;
																																																					goto
																																																						BgL_tagzd2400zd2_1639;
																																																					BgL_auxz00_6294
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6577);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_6579;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2280z00_1949;
																																								BgL_arg2280z00_1949
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_6579
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2280z00_1949));
																																							}
																																							if (BgL_testz00_6579)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_6583;
																																									goto
																																										BgL_tagzd2381zd2_1600;
																																									BgL_auxz00_6294
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6583);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_6585;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2279z00_1948;
																																										BgL_arg2279z00_1948
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_6585
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2279z00_1948));
																																									}
																																									if (BgL_testz00_6585)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_6589;
																																											goto
																																												BgL_tagzd2382zd2_1601;
																																											BgL_auxz00_6294
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6589);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_carzd21639zd2_1940;
																																											BgL_carzd21639zd2_1940
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd21644zd2_1941;
																																												BgL_cdrzd21644zd2_1941
																																													=
																																													CDR
																																													(BgL_carzd21639zd2_1940);
																																												if ((CAR(BgL_carzd21639zd2_1940) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2274z00_1943;
																																														obj_t
																																															BgL_arg2275z00_1944;
																																														obj_t
																																															BgL_arg2276z00_1945;
																																														BgL_arg2274z00_1943
																																															=
																																															CAR
																																															(BgL_cdrzd21644zd2_1941);
																																														BgL_arg2275z00_1944
																																															=
																																															CDR
																																															(BgL_cdrzd21644zd2_1941);
																																														BgL_arg2276z00_1945
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_6600;
																																															{
																																																obj_t
																																																	BgL_argsz00_6603;
																																																obj_t
																																																	BgL_bodyz00_6602;
																																																obj_t
																																																	BgL_varsz00_6601;
																																																BgL_varsz00_6601
																																																	=
																																																	BgL_arg2274z00_1943;
																																																BgL_bodyz00_6602
																																																	=
																																																	BgL_arg2275z00_1944;
																																																BgL_argsz00_6603
																																																	=
																																																	BgL_arg2276z00_1945;
																																																BgL_argsz00_1608
																																																	=
																																																	BgL_argsz00_6603;
																																																BgL_bodyz00_1607
																																																	=
																																																	BgL_bodyz00_6602;
																																																BgL_varsz00_1606
																																																	=
																																																	BgL_varsz00_6601;
																																																goto
																																																	BgL_tagzd2384zd2_1609;
																																															}
																																															BgL_auxz00_6294
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_6600);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 115 */
																																																goto
																																																	BgL_tagzd2399zd2_1638;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_6607;
																																																goto
																																																	BgL_tagzd2400zd2_1639;
																																																BgL_auxz00_6294
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6607);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_6609;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2285z00_1954;
																																						BgL_arg2285z00_1954
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_6609
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2285z00_1954));
																																					}
																																					if (BgL_testz00_6609)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_6613;
																																							goto
																																								BgL_tagzd2381zd2_1600;
																																							BgL_auxz00_6294
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_6613);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_6615;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2284z00_1953;
																																								BgL_arg2284z00_1953
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_6615
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2284z00_1953));
																																							}
																																							if (BgL_testz00_6615)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_6619;
																																									goto
																																										BgL_tagzd2382zd2_1601;
																																									BgL_auxz00_6294
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6619);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd2399zd2_1638;
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_6623;
																																											goto
																																												BgL_tagzd2400zd2_1639;
																																											BgL_auxz00_6294
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6623);
																																										}
																																								}
																																						}
																																				}
																																			return
																																				(
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_6294);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd2698zd2_1675)))
																																				{
																																					obj_t
																																						BgL_auxz00_6629;
																																					goto
																																						BgL_kapzd2700zd2_1677;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_6629);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					if (
																																						(BgL_carzd2698zd2_1675
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{
																																							obj_t
																																								BgL_auxz00_6634;
																																							goto
																																								BgL_kapzd2700zd2_1677;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_6634);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if ((BgL_carzd2698zd2_1675 == CNST_TABLE_REF(((long) 20))))
																																								{
																																									obj_t
																																										BgL_auxz00_6639;
																																									goto
																																										BgL_kapzd2700zd2_1677;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_6639);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2698zd2_1675)))
																																										{
																																											obj_t
																																												BgL_auxz00_6644;
																																											goto
																																												BgL_kapzd2700zd2_1677;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_6644);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_6646;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2201z00_1839;
																																												BgL_arg2201z00_1839
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_6646
																																													=
																																													CBOOL
																																													(BGl_letzd2symzf3z21zzast_letz00
																																													(BgL_arg2201z00_1839));
																																											}
																																											if (BgL_testz00_6646)
																																												{	/* Ast/sexp.scm 115 */
																																													goto
																																														BgL_tagzd2381zd2_1600;
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													bool_t
																																														BgL_testz00_6650;
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2199z00_1838;
																																														BgL_arg2199z00_1838
																																															=
																																															CAR
																																															(BgL_expz00_21);
																																														BgL_testz00_6650
																																															=
																																															CBOOL
																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																															(BgL_arg2199z00_1838));
																																													}
																																													if (BgL_testz00_6650)
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_6654;
																																															goto
																																																BgL_tagzd2382zd2_1601;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_6654);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 115 */
																																															obj_t
																																																BgL_carzd21879zd2_1685;
																																															obj_t
																																																BgL_cdrzd21880zd2_1686;
																																															BgL_carzd21879zd2_1685
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_cdrzd21880zd2_1686
																																																=
																																																CDR
																																																(BgL_expz00_21);
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd21884zd2_1687;
																																																BgL_cdrzd21884zd2_1687
																																																	=
																																																	CDR
																																																	(BgL_carzd21879zd2_1685);
																																																if ((CAR(BgL_carzd21879zd2_1685) == CNST_TABLE_REF(((long) 3))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd21884zd2_1687))
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_carzd21887zd2_1690;
																																																				obj_t
																																																					BgL_cdrzd21888zd2_1691;
																																																				BgL_carzd21887zd2_1690
																																																					=
																																																					CAR
																																																					(BgL_cdrzd21884zd2_1687);
																																																				BgL_cdrzd21888zd2_1691
																																																					=
																																																					CDR
																																																					(BgL_cdrzd21884zd2_1687);
																																																				if (PAIRP(BgL_carzd21887zd2_1690))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (NULLP(CDR(BgL_carzd21887zd2_1690)))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (PAIRP(BgL_cdrzd21888zd2_1691))
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_carzd21894zd2_1695;
																																																										BgL_carzd21894zd2_1695
																																																											=
																																																											CAR
																																																											(BgL_cdrzd21888zd2_1691);
																																																										if (PAIRP(BgL_carzd21894zd2_1695))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd21894zd2_1695))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (NULLP(CDR(BgL_cdrzd21888zd2_1691)))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (PAIRP(BgL_cdrzd21880zd2_1686))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_carzd21901zd2_1700;
																																																																		BgL_carzd21901zd2_1700
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd21880zd2_1686);
																																																																		if (PAIRP(BgL_carzd21901zd2_1700))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd21924zd2_1702;
																																																																				BgL_cdrzd21924zd2_1702
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_6693;
																																																																					obj_t
																																																																						BgL_bodyz00_6691;
																																																																					obj_t
																																																																						BgL_varsz00_6689;
																																																																					BgL_varsz00_6689
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd21924zd2_1702);
																																																																					BgL_bodyz00_6691
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd21924zd2_1702);
																																																																					BgL_argsz00_6693
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					BgL_argsz00_1608
																																																																						=
																																																																						BgL_argsz00_6693;
																																																																					BgL_bodyz00_1607
																																																																						=
																																																																						BgL_bodyz00_6691;
																																																																					BgL_varsz00_1606
																																																																						=
																																																																						BgL_varsz00_6689;
																																																																					goto
																																																																						BgL_tagzd2384zd2_1609;
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (NULLP(CDR(BgL_cdrzd21880zd2_1686)))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_arg2099z00_1708;
																																																																						BgL_arg2099z00_1708
																																																																							=
																																																																							CAR
																																																																							(BgL_carzd21887zd2_1690);
																																																																						{
																																																																							BgL_castz00_bglt
																																																																								BgL_auxz00_6699;
																																																																							BgL_varz00_1602
																																																																								=
																																																																								BgL_arg2099z00_1708;
																																																																							BgL_bodyz00_1603
																																																																								=
																																																																								BgL_carzd21894zd2_1695;
																																																																							BgL_argz00_1604
																																																																								=
																																																																								BgL_carzd21901zd2_1700;
																																																																						BgL_tagzd2383zd2_1605:
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								BgL_castz00_bglt
																																																																									BgL_new1130z00_2697;
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									BgL_castz00_bglt
																																																																										BgL_new1128z00_2699;
																																																																									BgL_new1128z00_2699
																																																																										=
																																																																										(
																																																																										(BgL_castz00_bglt)
																																																																										BREF
																																																																										(GC_MALLOC
																																																																											(sizeof
																																																																												(struct
																																																																													BgL_castz00_bgl))));
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										long
																																																																											BgL_arg2806z00_2700;
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											long
																																																																												BgL_res3284z00_4475;
																																																																											BgL_res3284z00_4475
																																																																												=
																																																																												BGL_CLASS_INDEX
																																																																												(BGl_castz00zzast_nodez00);
																																																																											BgL_arg2806z00_2700
																																																																												=
																																																																												BgL_res3284z00_4475;
																																																																										}
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_objectz00_bglt
																																																																												BgL_objz00_4476;
																																																																											BgL_objz00_4476
																																																																												=
																																																																												(
																																																																												(BgL_objectz00_bglt)
																																																																												BgL_new1128z00_2699);
																																																																											BGL_OBJECT_CLASS_NUM_SET
																																																																												(BgL_objz00_4476,
																																																																												BgL_arg2806z00_2700);
																																																																									}}
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_auxz00_6704;
																																																																										BgL_auxz00_6704
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1128z00_2699);
																																																																										BGL_OBJECT_WIDENING_SET
																																																																											(BgL_auxz00_6704,
																																																																											BFALSE);
																																																																									}
																																																																									BgL_new1130z00_2697
																																																																										=
																																																																										BgL_new1128z00_2699;
																																																																								}
																																																																								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_2697)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																								{
																																																																									BgL_typez00_bglt
																																																																										BgL_auxz00_6709;
																																																																									{	/* Ast/sexp.scm 336 */
																																																																										obj_t
																																																																											BgL_arg2805z00_2698;
																																																																										BgL_arg2805z00_2698
																																																																											=
																																																																											BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																											(BgL_bodyz00_1603);
																																																																										BgL_auxz00_6709
																																																																											=
																																																																											BGl_usezd2typez12zc0zztype_envz00
																																																																											(BgL_arg2805z00_2698,
																																																																											BgL_locz00_23);
																																																																									}
																																																																									((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_2697)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6709), BUNSPEC);
																																																																								}
																																																																								((((BgL_castz00_bglt) CREF(BgL_new1130z00_2697))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1604, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																								BgL_auxz00_6699
																																																																									=
																																																																									BgL_new1130z00_2697;
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_6699);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_cdrzd21950zd2_1709;
																																																																						BgL_cdrzd21950zd2_1709
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_6723;
																																																																							obj_t
																																																																								BgL_bodyz00_6721;
																																																																							obj_t
																																																																								BgL_varsz00_6719;
																																																																							BgL_varsz00_6719
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd21950zd2_1709);
																																																																							BgL_bodyz00_6721
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd21950zd2_1709);
																																																																							BgL_argsz00_6723
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							BgL_argsz00_1608
																																																																								=
																																																																								BgL_argsz00_6723;
																																																																							BgL_bodyz00_1607
																																																																								=
																																																																								BgL_bodyz00_6721;
																																																																							BgL_varsz00_1606
																																																																								=
																																																																								BgL_varsz00_6719;
																																																																							goto
																																																																								BgL_tagzd2384zd2_1609;
																																																																						}
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd21975zd2_1715;
																																																																		BgL_cdrzd21975zd2_1715
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_6731;
																																																																			obj_t
																																																																				BgL_bodyz00_6729;
																																																																			obj_t
																																																																				BgL_varsz00_6727;
																																																																			BgL_varsz00_6727
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd21975zd2_1715);
																																																																			BgL_bodyz00_6729
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd21975zd2_1715);
																																																																			BgL_argsz00_6731
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			BgL_argsz00_1608
																																																																				=
																																																																				BgL_argsz00_6731;
																																																																			BgL_bodyz00_1607
																																																																				=
																																																																				BgL_bodyz00_6729;
																																																																			BgL_varsz00_1606
																																																																				=
																																																																				BgL_varsz00_6727;
																																																																			goto
																																																																				BgL_tagzd2384zd2_1609;
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd22000zd2_1720;
																																																																BgL_cdrzd22000zd2_1720
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_6739;
																																																																	obj_t
																																																																		BgL_bodyz00_6737;
																																																																	obj_t
																																																																		BgL_varsz00_6735;
																																																																	BgL_varsz00_6735
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22000zd2_1720);
																																																																	BgL_bodyz00_6737
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd22000zd2_1720);
																																																																	BgL_argsz00_6739
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	BgL_argsz00_1608
																																																																		=
																																																																		BgL_argsz00_6739;
																																																																	BgL_bodyz00_1607
																																																																		=
																																																																		BgL_bodyz00_6737;
																																																																	BgL_varsz00_1606
																																																																		=
																																																																		BgL_varsz00_6735;
																																																																	goto
																																																																		BgL_tagzd2384zd2_1609;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd22025zd2_1726;
																																																														BgL_cdrzd22025zd2_1726
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_6747;
																																																															obj_t
																																																																BgL_bodyz00_6745;
																																																															obj_t
																																																																BgL_varsz00_6743;
																																																															BgL_varsz00_6743
																																																																=
																																																																CAR
																																																																(BgL_cdrzd22025zd2_1726);
																																																															BgL_bodyz00_6745
																																																																=
																																																																CDR
																																																																(BgL_cdrzd22025zd2_1726);
																																																															BgL_argsz00_6747
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															BgL_argsz00_1608
																																																																=
																																																																BgL_argsz00_6747;
																																																															BgL_bodyz00_1607
																																																																=
																																																																BgL_bodyz00_6745;
																																																															BgL_varsz00_1606
																																																																=
																																																																BgL_varsz00_6743;
																																																															goto
																																																																BgL_tagzd2384zd2_1609;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd22050zd2_1731;
																																																												BgL_cdrzd22050zd2_1731
																																																													=
																																																													CDR
																																																													(BgL_carzd21879zd2_1685);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_6754;
																																																													obj_t
																																																														BgL_bodyz00_6752;
																																																													obj_t
																																																														BgL_varsz00_6750;
																																																													BgL_varsz00_6750
																																																														=
																																																														CAR
																																																														(BgL_cdrzd22050zd2_1731);
																																																													BgL_bodyz00_6752
																																																														=
																																																														CDR
																																																														(BgL_cdrzd22050zd2_1731);
																																																													BgL_argsz00_6754
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													BgL_argsz00_1608
																																																														=
																																																														BgL_argsz00_6754;
																																																													BgL_bodyz00_1607
																																																														=
																																																														BgL_bodyz00_6752;
																																																													BgL_varsz00_1606
																																																														=
																																																														BgL_varsz00_6750;
																																																													goto
																																																														BgL_tagzd2384zd2_1609;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd22075zd2_1736;
																																																										BgL_cdrzd22075zd2_1736
																																																											=
																																																											CDR
																																																											(BgL_carzd21879zd2_1685);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_6761;
																																																											obj_t
																																																												BgL_bodyz00_6759;
																																																											obj_t
																																																												BgL_varsz00_6757;
																																																											BgL_varsz00_6757
																																																												=
																																																												CAR
																																																												(BgL_cdrzd22075zd2_1736);
																																																											BgL_bodyz00_6759
																																																												=
																																																												CDR
																																																												(BgL_cdrzd22075zd2_1736);
																																																											BgL_argsz00_6761
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											BgL_argsz00_1608
																																																												=
																																																												BgL_argsz00_6761;
																																																											BgL_bodyz00_1607
																																																												=
																																																												BgL_bodyz00_6759;
																																																											BgL_varsz00_1606
																																																												=
																																																												BgL_varsz00_6757;
																																																											goto
																																																												BgL_tagzd2384zd2_1609;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd22100zd2_1741;
																																																								BgL_cdrzd22100zd2_1741
																																																									=
																																																									CDR
																																																									(BgL_carzd21879zd2_1685);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_6768;
																																																									obj_t
																																																										BgL_bodyz00_6766;
																																																									obj_t
																																																										BgL_varsz00_6764;
																																																									BgL_varsz00_6764
																																																										=
																																																										CAR
																																																										(BgL_cdrzd22100zd2_1741);
																																																									BgL_bodyz00_6766
																																																										=
																																																										CDR
																																																										(BgL_cdrzd22100zd2_1741);
																																																									BgL_argsz00_6768
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									BgL_argsz00_1608
																																																										=
																																																										BgL_argsz00_6768;
																																																									BgL_bodyz00_1607
																																																										=
																																																										BgL_bodyz00_6766;
																																																									BgL_varsz00_1606
																																																										=
																																																										BgL_varsz00_6764;
																																																									goto
																																																										BgL_tagzd2384zd2_1609;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd22125zd2_1747;
																																																						BgL_cdrzd22125zd2_1747
																																																							=
																																																							CDR
																																																							(BgL_carzd21879zd2_1685);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_6775;
																																																							obj_t
																																																								BgL_bodyz00_6773;
																																																							obj_t
																																																								BgL_varsz00_6771;
																																																							BgL_varsz00_6771
																																																								=
																																																								CAR
																																																								(BgL_cdrzd22125zd2_1747);
																																																							BgL_bodyz00_6773
																																																								=
																																																								CDR
																																																								(BgL_cdrzd22125zd2_1747);
																																																							BgL_argsz00_6775
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							BgL_argsz00_1608
																																																								=
																																																								BgL_argsz00_6775;
																																																							BgL_bodyz00_1607
																																																								=
																																																								BgL_bodyz00_6773;
																																																							BgL_varsz00_1606
																																																								=
																																																								BgL_varsz00_6771;
																																																							goto
																																																								BgL_tagzd2384zd2_1609;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_6779;
																																																						goto
																																																							BgL_tagzd2399zd2_1638;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_6779);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2400zd2_1639;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_cdrzd22237zd2_1755;
																																																		BgL_cdrzd22237zd2_1755
																																																			=
																																																			CDR
																																																			(BgL_carzd21879zd2_1685);
																																																		if ((CAR(BgL_carzd21879zd2_1685) == CNST_TABLE_REF(((long) 1))))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd22237zd2_1755))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd22242zd2_1758;
																																																						BgL_cdrzd22242zd2_1758
																																																							=
																																																							CDR
																																																							(BgL_cdrzd22237zd2_1755);
																																																						if (PAIRP(BgL_cdrzd22242zd2_1758))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd22246zd2_1760;
																																																								obj_t
																																																									BgL_cdrzd22247zd2_1761;
																																																								BgL_carzd22246zd2_1760
																																																									=
																																																									CAR
																																																									(BgL_cdrzd22242zd2_1758);
																																																								BgL_cdrzd22247zd2_1761
																																																									=
																																																									CDR
																																																									(BgL_cdrzd22242zd2_1758);
																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22246zd2_1760))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (PAIRP(BgL_cdrzd22247zd2_1761))
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_carzd22252zd2_1764;
																																																												BgL_carzd22252zd2_1764
																																																													=
																																																													CAR
																																																													(BgL_cdrzd22247zd2_1761);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22252zd2_1764))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (NULLP(CDR(BgL_cdrzd22247zd2_1761)))
																																																															{	/* Ast/sexp.scm 115 */
																																																																bool_t
																																																																	BgL_testz00_6803;
																																																																{
																																																																	obj_t
																																																																		BgL_l2020z00_1785;
																																																																	BgL_l2020z00_1785
																																																																		=
																																																																		BgL_cdrzd21880zd2_1686;
																																																																BgL_zc3anonymousza32162ze3z83_1786:
																																																																	if (NULLP(BgL_l2020z00_1785))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			BgL_testz00_6803
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				1);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			bool_t
																																																																				BgL_testz00_6806;
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				bool_t
																																																																					BgL_testz00_6807;
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_auxz00_6808;
																																																																					BgL_auxz00_6808
																																																																						=
																																																																						CAR
																																																																						(BgL_l2020z00_1785);
																																																																					BgL_testz00_6807
																																																																						=
																																																																						PAIRP
																																																																						(BgL_auxz00_6808);
																																																																				}
																																																																				if (BgL_testz00_6807)
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						BgL_testz00_6806
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						BgL_testz00_6806
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_6806)
																																																																				{
																																																																					obj_t
																																																																						BgL_l2020z00_6811;
																																																																					BgL_l2020z00_6811
																																																																						=
																																																																						CDR
																																																																						(BgL_l2020z00_1785);
																																																																					BgL_l2020z00_1785
																																																																						=
																																																																						BgL_l2020z00_6811;
																																																																					goto
																																																																						BgL_zc3anonymousza32162ze3z83_1786;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					BgL_testz00_6803
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																}
																																																																if (BgL_testz00_6803)
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_6817;
																																																																		obj_t
																																																																			BgL_proc2z00_6816;
																																																																		obj_t
																																																																			BgL_proc1z00_6815;
																																																																		obj_t
																																																																			BgL_testz00_6813;
																																																																		BgL_testz00_6813
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd22237zd2_1755);
																																																																		BgL_proc1z00_6815
																																																																			=
																																																																			BgL_carzd22246zd2_1760;
																																																																		BgL_proc2z00_6816
																																																																			=
																																																																			BgL_carzd22252zd2_1764;
																																																																		BgL_argsz00_6817
																																																																			=
																																																																			BgL_cdrzd21880zd2_1686;
																																																																		BgL_argsz00_1613
																																																																			=
																																																																			BgL_argsz00_6817;
																																																																		BgL_proc2z00_1612
																																																																			=
																																																																			BgL_proc2z00_6816;
																																																																		BgL_proc1z00_1611
																																																																			=
																																																																			BgL_proc1z00_6815;
																																																																		BgL_testz00_1610
																																																																			=
																																																																			BgL_testz00_6813;
																																																																		goto
																																																																			BgL_tagzd2385zd2_1614;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd22276zd2_1769;
																																																																		BgL_cdrzd22276zd2_1769
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_cdrzd22284zd2_1770;
																																																																			BgL_cdrzd22284zd2_1770
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd22292zd2_1771;
																																																																				BgL_cdrzd22292zd2_1771
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd22284zd2_1770);
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_carzd22299zd2_1772;
																																																																					BgL_carzd22299zd2_1772
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd22292zd2_1771);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22299zd2_1772))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							obj_t
																																																																								BgL_carzd22308zd2_1774;
																																																																							BgL_carzd22308zd2_1774
																																																																								=
																																																																								CAR
																																																																								(CDR
																																																																								(BgL_cdrzd22292zd2_1771));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22308zd2_1774))
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22276zd2_1769))
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_6835;
																																																																											obj_t
																																																																												BgL_proc2z00_6834;
																																																																											obj_t
																																																																												BgL_proc1z00_6833;
																																																																											obj_t
																																																																												BgL_testz00_6831;
																																																																											BgL_testz00_6831
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd22284zd2_1770);
																																																																											BgL_proc1z00_6833
																																																																												=
																																																																												BgL_carzd22299zd2_1772;
																																																																											BgL_proc2z00_6834
																																																																												=
																																																																												BgL_carzd22308zd2_1774;
																																																																											BgL_argsz00_6835
																																																																												=
																																																																												BgL_cdrzd22276zd2_1769;
																																																																											BgL_argsz00_1618
																																																																												=
																																																																												BgL_argsz00_6835;
																																																																											BgL_proc2z00_1617
																																																																												=
																																																																												BgL_proc2z00_6834;
																																																																											BgL_proc1z00_1616
																																																																												=
																																																																												BgL_proc1z00_6833;
																																																																											BgL_testz00_1615
																																																																												=
																																																																												BgL_testz00_6831;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1619;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_6838;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1638;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_6838);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 115 */
																																																																													goto
																																																																														BgL_tagzd2400zd2_1639;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_6842;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1638;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_6842);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2400zd2_1639;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_6846;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1638;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_6846);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2400zd2_1639;
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_6850;
																																																																		goto
																																																																			BgL_tagzd2399zd2_1638;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_6850);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		goto
																																																																			BgL_tagzd2400zd2_1639;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd22500zd2_1796;
																																																														BgL_cdrzd22500zd2_1796
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd22507zd2_1797;
																																																															BgL_cdrzd22507zd2_1797
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd22514zd2_1798;
																																																																BgL_cdrzd22514zd2_1798
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd22507zd2_1797);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd22520zd2_1799;
																																																																	obj_t
																																																																		BgL_cdrzd22521zd2_1800;
																																																																	BgL_carzd22520zd2_1799
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22514zd2_1798);
																																																																	BgL_cdrzd22521zd2_1800
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd22514zd2_1798);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22520zd2_1799))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd22528zd2_1802;
																																																																			BgL_carzd22528zd2_1802
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22521zd2_1800);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22528zd2_1802))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (NULLP(CDR(BgL_cdrzd22521zd2_1800)))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22500zd2_1796))
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_6872;
																																																																									obj_t
																																																																										BgL_proc2z00_6871;
																																																																									obj_t
																																																																										BgL_proc1z00_6870;
																																																																									obj_t
																																																																										BgL_testz00_6868;
																																																																									BgL_testz00_6868
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd22507zd2_1797);
																																																																									BgL_proc1z00_6870
																																																																										=
																																																																										BgL_carzd22520zd2_1799;
																																																																									BgL_proc2z00_6871
																																																																										=
																																																																										BgL_carzd22528zd2_1802;
																																																																									BgL_argsz00_6872
																																																																										=
																																																																										BgL_cdrzd22500zd2_1796;
																																																																									BgL_argsz00_1618
																																																																										=
																																																																										BgL_argsz00_6872;
																																																																									BgL_proc2z00_1617
																																																																										=
																																																																										BgL_proc2z00_6871;
																																																																									BgL_proc1z00_1616
																																																																										=
																																																																										BgL_proc1z00_6870;
																																																																									BgL_testz00_1615
																																																																										=
																																																																										BgL_testz00_6868;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1619;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_6875;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1638;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_6875);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2400zd2_1639;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_6879;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1638;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_6879);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2400zd2_1639;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_6883;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1638;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_6883);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2400zd2_1639;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_6887;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_6887);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6891;
																																																														goto
																																																															BgL_tagzd2399zd2_1638;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_6891);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														goto
																																																															BgL_tagzd2400zd2_1639;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd22754zd2_1814;
																																																										BgL_cdrzd22754zd2_1814
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd22760zd2_1815;
																																																											BgL_cdrzd22760zd2_1815
																																																												=
																																																												CDR
																																																												(CAR
																																																												(BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd22766zd2_1816;
																																																												BgL_cdrzd22766zd2_1816
																																																													=
																																																													CDR
																																																													(BgL_cdrzd22760zd2_1815);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd22771zd2_1817;
																																																													obj_t
																																																														BgL_cdrzd22772zd2_1818;
																																																													BgL_carzd22771zd2_1817
																																																														=
																																																														CAR
																																																														(BgL_cdrzd22766zd2_1816);
																																																													BgL_cdrzd22772zd2_1818
																																																														=
																																																														CDR
																																																														(BgL_cdrzd22766zd2_1816);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22771zd2_1817))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (PAIRP(BgL_cdrzd22772zd2_1818))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd22777zd2_1821;
																																																																	BgL_carzd22777zd2_1821
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22772zd2_1818);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22777zd2_1821))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (NULLP(CDR(BgL_cdrzd22772zd2_1818)))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22754zd2_1814))
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_6915;
																																																																							obj_t
																																																																								BgL_proc2z00_6914;
																																																																							obj_t
																																																																								BgL_proc1z00_6913;
																																																																							obj_t
																																																																								BgL_testz00_6911;
																																																																							BgL_testz00_6911
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd22760zd2_1815);
																																																																							BgL_proc1z00_6913
																																																																								=
																																																																								BgL_carzd22771zd2_1817;
																																																																							BgL_proc2z00_6914
																																																																								=
																																																																								BgL_carzd22777zd2_1821;
																																																																							BgL_argsz00_6915
																																																																								=
																																																																								BgL_cdrzd22754zd2_1814;
																																																																							BgL_argsz00_1618
																																																																								=
																																																																								BgL_argsz00_6915;
																																																																							BgL_proc2z00_1617
																																																																								=
																																																																								BgL_proc2z00_6914;
																																																																							BgL_proc1z00_1616
																																																																								=
																																																																								BgL_proc1z00_6913;
																																																																							BgL_testz00_1615
																																																																								=
																																																																								BgL_testz00_6911;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1619;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_6918;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1638;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_6918);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2400zd2_1639;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_6922;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1638;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_6922);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2400zd2_1639;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_6926;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_6926);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_6930;
																																																																			goto
																																																																				BgL_tagzd2399zd2_1638;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_6930);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2400zd2_1639;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_6934;
																																																																	goto
																																																																		BgL_tagzd2399zd2_1638;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_6934);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2400zd2_1639;
																																																																}
																																																														}
																																																												}
																																																											}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6938;
																																																										goto
																																																											BgL_tagzd2399zd2_1638;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_6938);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2400zd2_1639;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_6942;
																																																								goto
																																																									BgL_tagzd2399zd2_1638;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_6942);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2400zd2_1639;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_6946;
																																																						goto
																																																							BgL_tagzd2399zd2_1638;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_6946);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2400zd2_1639;
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																if (
																																	(BgL_carzd2695zd2_1673
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				18))))
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2381zd2_1600;
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		if (CBOOL
																																			(BGl_letzd2symzf3z21zzast_letz00
																																				(BgL_carzd2695zd2_1673)))
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2381zd2_1600;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				if (
																																					(BgL_carzd2695zd2_1673
																																						==
																																						CNST_TABLE_REF
																																						(((long) 19))))
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd2381zd2_1600;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						if (
																																							(BgL_carzd2695zd2_1673
																																								==
																																								CNST_TABLE_REF
																																								(((long) 21))))
																																							{	/* Ast/sexp.scm 115 */
																																								goto
																																									BgL_tagzd2381zd2_1600;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_carzd23153zd2_1960;
																																								BgL_carzd23153zd2_1960
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								if ((BgL_carzd23153zd2_1960 == CNST_TABLE_REF(((long) 20))))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_6964;
																																										goto
																																											BgL_tagzd2382zd2_1601;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_6964);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23153zd2_1960)))
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_6969;
																																												goto
																																													BgL_tagzd2382zd2_1601;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_6969);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																													BgL_tagzd2387zd2_1620:
																																														{
																																															obj_t
																																																BgL_argsz00_2830;
																																															obj_t
																																																BgL_bodyz00_2831;
																																															if (PAIRP(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd26392zd2_2836;
																																																	BgL_cdrzd26392zd2_2836
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	if (PAIRP(BgL_cdrzd26392zd2_2836))
																																																		{	/* Ast/sexp.scm 115 */
																																																			BgL_argsz00_2830
																																																				=
																																																				CAR
																																																				(BgL_cdrzd26392zd2_2836);
																																																			BgL_bodyz00_2831
																																																				=
																																																				CDR
																																																				(BgL_cdrzd26392zd2_2836);
																																																			{	/* Ast/sexp.scm 409 */
																																																				obj_t
																																																					BgL_locz00_2840;
																																																				obj_t
																																																					BgL_funz00_2841;
																																																				BgL_locz00_2840
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23);
																																																				BgL_funz00_2841
																																																					=
																																																					BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																					(BgL_locz00_23,
																																																					BNIL);
																																																				{	/* Ast/sexp.scm 411 */
																																																					obj_t
																																																						BgL_arg2904z00_2842;
																																																					{	/* Ast/sexp.scm 411 */
																																																						obj_t
																																																							BgL_arg2905z00_2843;
																																																						obj_t
																																																							BgL_arg2906z00_2844;
																																																						BgL_arg2905z00_2843
																																																							=
																																																							BGl_labelszd2symzd2zzast_labelsz00
																																																							();
																																																						{	/* Ast/sexp.scm 411 */
																																																							obj_t
																																																								BgL_arg2907z00_2845;
																																																							obj_t
																																																								BgL_arg2908z00_2846;
																																																							{	/* Ast/sexp.scm 411 */
																																																								obj_t
																																																									BgL_arg2909z00_2847;
																																																								{	/* Ast/sexp.scm 411 */
																																																									obj_t
																																																										BgL_arg2910z00_2848;
																																																									{	/* Ast/sexp.scm 411 */
																																																										obj_t
																																																											BgL_arg2911z00_2849;
																																																										BgL_arg2911z00_2849
																																																											=
																																																											MAKE_PAIR
																																																											(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																											(BgL_bodyz00_2831),
																																																											BNIL);
																																																										BgL_arg2910z00_2848
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_argsz00_2830,
																																																											BgL_arg2911z00_2849);
																																																									}
																																																									BgL_arg2909z00_2847
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_funz00_2841,
																																																										BgL_arg2910z00_2848);
																																																								}
																																																								BgL_arg2907z00_2845
																																																									=
																																																									MAKE_PAIR
																																																									(BgL_arg2909z00_2847,
																																																									BNIL);
																																																							}
																																																							BgL_arg2908z00_2846
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_funz00_2841,
																																																								BNIL);
																																																							BgL_arg2906z00_2844
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_arg2907z00_2845,
																																																								BgL_arg2908z00_2846);
																																																						}
																																																						BgL_arg2904z00_2842
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2905z00_2843,
																																																							BgL_arg2906z00_2844);
																																																					}
																																																					{
																																																						obj_t
																																																							BgL_locz00_6992;
																																																						obj_t
																																																							BgL_expz00_6991;
																																																						BgL_expz00_6991
																																																							=
																																																							BgL_arg2904z00_2842;
																																																						BgL_locz00_6992
																																																							=
																																																							BgL_locz00_2840;
																																																						BgL_locz00_23
																																																							=
																																																							BgL_locz00_6992;
																																																						BgL_expz00_21
																																																							=
																																																							BgL_expz00_6991;
																																																						goto
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																					}
																																																				}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 115 */
																																																		BgL_tagzd26385zd2_2833:
																																																			{	/* Ast/sexp.scm 418 */
																																																				obj_t
																																																					BgL_arg2914z00_2852;
																																																				BgL_arg2914z00_2852
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23);
																																																				{	/* Ast/sexp.scm 416 */
																																																					BgL_nodez00_bglt
																																																						BgL_res3304z00_4552;
																																																					{	/* Ast/sexp.scm 416 */
																																																						obj_t
																																																							BgL_arg3055z00_4548;
																																																						BgL_nodez00_bglt
																																																							BgL_arg3056z00_4549;
																																																						BgL_arg3055z00_4548
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg3056z00_4549
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BNIL, BgL_arg2914z00_2852, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 416 */
																																																							obj_t
																																																								BgL_list3057z00_4551;
																																																							BgL_list3057z00_4551
																																																								=
																																																								MAKE_PAIR
																																																								(
																																																								((obj_t) BgL_arg3056z00_4549), BNIL);
																																																							BgL_res3304z00_4552
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_arg2914z00_2852,
																																																									BgL_arg3055z00_4548,
																																																									BGl_string3476z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list3057z00_4551));
																																																					}}
																																																					return
																																																						BgL_res3304z00_4552;
																																																				}
																																																			}
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 115 */
																																																	goto
																																																		BgL_tagzd26385zd2_2833;
																																																}
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																															{	/* Ast/sexp.scm 115 */
																																															BgL_tagzd2388zd2_1621:
																																																return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd23225zd2_1965;
																																																BgL_cdrzd23225zd2_1965
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd23225zd2_1965))
																																																			{	/* Ast/sexp.scm 115 */
																																																				BgL_effectz00_1622
																																																					=
																																																					CAR
																																																					(BgL_cdrzd23225zd2_1965);
																																																				BgL_restz00_1623
																																																					=
																																																					CDR
																																																					(BgL_cdrzd23225zd2_1965);
																																																			BgL_tagzd2389zd2_1624:
																																																				{	/* Ast/sexp.scm 425 */
																																																					BgL_feffectz00_bglt
																																																						BgL_arg2915z00_2853;
																																																					obj_t
																																																						BgL_arg2916z00_2854;
																																																					BgL_arg2915z00_2853
																																																						=
																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																						(BgL_effectz00_1622);
																																																					{	/* Ast/sexp.scm 426 */
																																																						obj_t
																																																							BgL_arg2917z00_2855;
																																																						BgL_arg2917z00_2855
																																																							=
																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																							(BgL_restz00_1623,
																																																							BNIL);
																																																						BgL_arg2916z00_2854
																																																							=
																																																							MAKE_PAIR
																																																							(CNST_TABLE_REF
																																																							(((long) 6)), BgL_arg2917z00_2855);
																																																					}
																																																					return
																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																						(
																																																						((bool_t) 0), ((obj_t) BgL_arg2915z00_2853), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2916z00_2854, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_7029;
																																																						goto
																																																							BgL_tagzd2399zd2_1638;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_7029);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2400zd2_1639;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																			{	/* Ast/sexp.scm 115 */
																																																			BgL_tagzd2390zd2_1625:
																																																				return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd23225zd2_1965))
																																																							{	/* Ast/sexp.scm 115 */
																																																								BgL_effectz00_1626
																																																									=
																																																									CAR
																																																									(BgL_cdrzd23225zd2_1965);
																																																								BgL_restz00_1627
																																																									=
																																																									CDR
																																																									(BgL_cdrzd23225zd2_1965);
																																																							BgL_tagzd2391zd2_1628:
																																																								{	/* Ast/sexp.scm 433 */
																																																									BgL_feffectz00_bglt
																																																										BgL_arg2918z00_2856;
																																																									obj_t
																																																										BgL_arg2919z00_2857;
																																																									BgL_arg2918z00_2856
																																																										=
																																																										BGl_parsezd2effectzd2zzeffect_feffectz00
																																																										(BgL_effectz00_1626);
																																																									{	/* Ast/sexp.scm 434 */
																																																										obj_t
																																																											BgL_arg2920z00_2858;
																																																										BgL_arg2920z00_2858
																																																											=
																																																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																											(BgL_restz00_1627,
																																																											BNIL);
																																																										BgL_arg2919z00_2857
																																																											=
																																																											MAKE_PAIR
																																																											(CNST_TABLE_REF
																																																											(((long) 6)), BgL_arg2920z00_2858);
																																																									}
																																																									return
																																																										BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																										(
																																																										((bool_t) 1), ((obj_t) BgL_arg2918z00_2856), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2919z00_2857, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_7054;
																																																										goto
																																																											BgL_tagzd2399zd2_1638;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_7054);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2400zd2_1639;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																							{	/* Ast/sexp.scm 115 */
																																																							BgL_tagzd2392zd2_1629:
																																																								{
																																																									obj_t
																																																										BgL_procz00_2859;
																																																									obj_t
																																																										BgL_msgz00_2860;
																																																									obj_t
																																																										BgL_objz00_2861;
																																																									if (PAIRP(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd26409zd2_2866;
																																																											BgL_cdrzd26409zd2_2866
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											if (PAIRP(BgL_cdrzd26409zd2_2866))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd26414zd2_2868;
																																																													BgL_cdrzd26414zd2_2868
																																																														=
																																																														CDR
																																																														(BgL_cdrzd26409zd2_2866);
																																																													if (PAIRP(BgL_cdrzd26414zd2_2868))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd26419zd2_2870;
																																																															BgL_cdrzd26419zd2_2870
																																																																=
																																																																CDR
																																																																(BgL_cdrzd26414zd2_2868);
																																																															if (PAIRP(BgL_cdrzd26419zd2_2870))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd26419zd2_2870)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2926z00_2873;
																																																																			obj_t
																																																																				BgL_arg2927z00_2874;
																																																																			obj_t
																																																																				BgL_arg2928z00_2875;
																																																																			BgL_arg2926z00_2873
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd26409zd2_2866);
																																																																			BgL_arg2927z00_2874
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd26414zd2_2868);
																																																																			BgL_arg2928z00_2875
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd26419zd2_2870);
																																																																			{
																																																																				BgL_failz00_bglt
																																																																					BgL_auxz00_7077;
																																																																				BgL_procz00_2859
																																																																					=
																																																																					BgL_arg2926z00_2873;
																																																																				BgL_msgz00_2860
																																																																					=
																																																																					BgL_arg2927z00_2874;
																																																																				BgL_objz00_2861
																																																																					=
																																																																					BgL_arg2928z00_2875;
																																																																				{	/* Ast/sexp.scm 439 */
																																																																					obj_t
																																																																						BgL_locz00_2877;
																																																																					BgL_locz00_2877
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					{	/* Ast/sexp.scm 439 */
																																																																						obj_t
																																																																							BgL_cdlocz00_2878;
																																																																						BgL_cdlocz00_2878
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(CDR
																																																																							(BgL_expz00_21),
																																																																							BgL_locz00_2877);
																																																																						{	/* Ast/sexp.scm 440 */
																																																																							obj_t
																																																																								BgL_cddlocz00_2879;
																																																																							{	/* Ast/sexp.scm 441 */
																																																																								obj_t
																																																																									BgL_arg2932z00_2891;
																																																																								{	/* Ast/sexp.scm 441 */
																																																																									obj_t
																																																																										BgL_pairz00_4561;
																																																																									BgL_pairz00_4561
																																																																										=
																																																																										BgL_expz00_21;
																																																																									BgL_arg2932z00_2891
																																																																										=
																																																																										CDR
																																																																										(CDR
																																																																										(BgL_pairz00_4561));
																																																																								}
																																																																								BgL_cddlocz00_2879
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_arg2932z00_2891,
																																																																									BgL_locz00_2877);
																																																																							}
																																																																							{	/* Ast/sexp.scm 441 */
																																																																								obj_t
																																																																									BgL_cdddlocz00_2880;
																																																																								{	/* Ast/sexp.scm 442 */
																																																																									obj_t
																																																																										BgL_arg2931z00_2890;
																																																																									{	/* Ast/sexp.scm 442 */
																																																																										obj_t
																																																																											BgL_pairz00_4565;
																																																																										BgL_pairz00_4565
																																																																											=
																																																																											BgL_expz00_21;
																																																																										BgL_arg2931z00_2890
																																																																											=
																																																																											CDR
																																																																											(CDR
																																																																											(CDR
																																																																												(BgL_pairz00_4565)));
																																																																									}
																																																																									BgL_cdddlocz00_2880
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_arg2931z00_2890,
																																																																										BgL_locz00_2877);
																																																																								}
																																																																								{	/* Ast/sexp.scm 442 */
																																																																									obj_t
																																																																										BgL_loczd2proczd2_2881;
																																																																									BgL_loczd2proczd2_2881
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_procz00_2859,
																																																																										BgL_cdlocz00_2878);
																																																																									{	/* Ast/sexp.scm 443 */
																																																																										obj_t
																																																																											BgL_loczd2msgzd2_2882;
																																																																										BgL_loczd2msgzd2_2882
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_msgz00_2860,
																																																																											BgL_cddlocz00_2879);
																																																																										{	/* Ast/sexp.scm 444 */
																																																																											obj_t
																																																																												BgL_loczd2objzd2_2883;
																																																																											BgL_loczd2objzd2_2883
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_objz00_2861,
																																																																												BgL_cdddlocz00_2880);
																																																																											{	/* Ast/sexp.scm 445 */
																																																																												BgL_nodez00_bglt
																																																																													BgL_procz00_2884;
																																																																												BgL_procz00_2884
																																																																													=
																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																													(BgL_procz00_2859,
																																																																													BgL_stackz00_22,
																																																																													BgL_loczd2proczd2_2881,
																																																																													CNST_TABLE_REF
																																																																													(((long) 2)));
																																																																												{	/* Ast/sexp.scm 446 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_msgz00_2885;
																																																																													BgL_msgz00_2885
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(BgL_msgz00_2860,
																																																																														BgL_stackz00_22,
																																																																														BgL_loczd2msgzd2_2882,
																																																																														CNST_TABLE_REF
																																																																														(((long) 2)));
																																																																													{	/* Ast/sexp.scm 447 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_objz00_2886;
																																																																														BgL_objz00_2886
																																																																															=
																																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																															(BgL_objz00_2861,
																																																																															BgL_stackz00_22,
																																																																															BgL_loczd2objzd2_2883,
																																																																															CNST_TABLE_REF
																																																																															(((long) 2)));
																																																																														{	/* Ast/sexp.scm 448 */

																																																																															{	/* Ast/sexp.scm 449 */
																																																																																BgL_failz00_bglt
																																																																																	BgL_new1132z00_2887;
																																																																																{	/* Ast/sexp.scm 449 */
																																																																																	BgL_failz00_bglt
																																																																																		BgL_new1131z00_2888;
																																																																																	BgL_new1131z00_2888
																																																																																		=
																																																																																		(
																																																																																		(BgL_failz00_bglt)
																																																																																		BREF
																																																																																		(GC_MALLOC
																																																																																			(sizeof
																																																																																				(struct
																																																																																					BgL_failz00_bgl))));
																																																																																	{	/* Ast/sexp.scm 449 */
																																																																																		long
																																																																																			BgL_arg2930z00_2889;
																																																																																		{	/* Ast/sexp.scm 449 */
																																																																																			long
																																																																																				BgL_res3307z00_4572;
																																																																																			BgL_res3307z00_4572
																																																																																				=
																																																																																				BGL_CLASS_INDEX
																																																																																				(BGl_failz00zzast_nodez00);
																																																																																			BgL_arg2930z00_2889
																																																																																				=
																																																																																				BgL_res3307z00_4572;
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 449 */
																																																																																			BgL_objectz00_bglt
																																																																																				BgL_objz00_4573;
																																																																																			BgL_objz00_4573
																																																																																				=
																																																																																				(
																																																																																				(BgL_objectz00_bglt)
																																																																																				BgL_new1131z00_2888);
																																																																																			BGL_OBJECT_CLASS_NUM_SET
																																																																																				(BgL_objz00_4573,
																																																																																				BgL_arg2930z00_2889);
																																																																																	}}
																																																																																	{	/* Ast/sexp.scm 449 */
																																																																																		BgL_objectz00_bglt
																																																																																			BgL_auxz00_7101;
																																																																																		BgL_auxz00_7101
																																																																																			=
																																																																																			(
																																																																																			(BgL_objectz00_bglt)
																																																																																			BgL_new1131z00_2888);
																																																																																		BGL_OBJECT_WIDENING_SET
																																																																																			(BgL_auxz00_7101,
																																																																																			BFALSE);
																																																																																	}
																																																																																	BgL_new1132z00_2887
																																																																																		=
																																																																																		BgL_new1131z00_2888;
																																																																																}
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1132z00_2887)))->BgL_locz00) = ((obj_t) BgL_locz00_2877), BUNSPEC);
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1132z00_2887)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1132z00_2887))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_2884), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1132z00_2887))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_2885), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1132z00_2887))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_2886), BUNSPEC);
																																																																																BgL_auxz00_7077
																																																																																	=
																																																																																	BgL_new1132z00_2887;
																																																																				}}}}}}}}}}}}
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_7077);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																		BgL_tagzd26400zd2_2863:
																																																																			{	/* Ast/sexp.scm 457 */
																																																																				obj_t
																																																																					BgL_arg2934z00_2893;
																																																																				BgL_arg2934z00_2893
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_expz00_21,
																																																																					BgL_locz00_23);
																																																																				{	/* Ast/sexp.scm 456 */
																																																																					BgL_nodez00_bglt
																																																																						BgL_res3308z00_4582;
																																																																					{	/* Ast/sexp.scm 456 */
																																																																						obj_t
																																																																							BgL_arg3055z00_4578;
																																																																						BgL_nodez00_bglt
																																																																							BgL_arg3056z00_4579;
																																																																						BgL_arg3055z00_4578
																																																																							=
																																																																							BGl_shapez00zztools_shapez00
																																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																																							());
																																																																						BgL_arg3056z00_4579
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(CNST_TABLE_REF
																																																																							(((long) 4)), BNIL, BgL_arg2934z00_2893, CNST_TABLE_REF(((long) 2)));
																																																																						{	/* Ast/sexp.scm 456 */
																																																																							obj_t
																																																																								BgL_list3057z00_4581;
																																																																							BgL_list3057z00_4581
																																																																								=
																																																																								MAKE_PAIR
																																																																								(
																																																																								((obj_t) BgL_arg3056z00_4579), BNIL);
																																																																							BgL_res3308z00_4582
																																																																								=
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																								(BgL_arg2934z00_2893,
																																																																									BgL_arg3055z00_4578,
																																																																									BGl_string3475z00zzast_sexpz00,
																																																																									BgL_expz00_21,
																																																																									BgL_list3057z00_4581));
																																																																					}}
																																																																					return
																																																																						BgL_res3308z00_4582;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd26400zd2_2863;
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd26400zd2_2863;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd26400zd2_2863;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											goto
																																																												BgL_tagzd26400zd2_2863;
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																									{	/* Ast/sexp.scm 115 */
																																																									BgL_tagzd2393zd2_1630:
																																																										{
																																																											obj_t
																																																												BgL_testz00_2894;
																																																											obj_t
																																																												BgL_clausesz00_2895;
																																																											if (PAIRP(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd26433zd2_2900;
																																																													BgL_cdrzd26433zd2_2900
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													if (PAIRP(BgL_cdrzd26433zd2_2900))
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_2894
																																																																=
																																																																CAR
																																																																(BgL_cdrzd26433zd2_2900);
																																																															BgL_clausesz00_2895
																																																																=
																																																																CDR
																																																																(BgL_cdrzd26433zd2_2900);
																																																															{	/* Ast/sexp.scm 468 */
																																																																obj_t
																																																																	BgL_locz00_2904;
																																																																BgL_locz00_2904
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 468 */
																																																																	obj_t
																																																																		BgL_cdlocz00_2905;
																																																																	BgL_cdlocz00_2905
																																																																		=
																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																		(CDR
																																																																		(BgL_expz00_21),
																																																																		BgL_locz00_2904);
																																																																	{	/* Ast/sexp.scm 469 */
																																																																		obj_t
																																																																			BgL_cddlocz00_2906;
																																																																		BgL_cddlocz00_2906
																																																																			=
																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																			(CDR
																																																																			(BgL_expz00_21),
																																																																			BgL_locz00_2904);
																																																																		{	/* Ast/sexp.scm 470 */
																																																																			BgL_nodez00_bglt
																																																																				BgL_testz00_2907;
																																																																			{	/* Ast/sexp.scm 473 */
																																																																				obj_t
																																																																					BgL_arg2960z00_2937;
																																																																				BgL_arg2960z00_2937
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_testz00_2894,
																																																																					BgL_cdlocz00_2905);
																																																																				BgL_testz00_2907
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_testz00_2894,
																																																																					BgL_stackz00_22,
																																																																					BgL_arg2960z00_2937,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																			{	/* Ast/sexp.scm 471 */

																																																																				{
																																																																					obj_t
																																																																						BgL_clsz00_2910;
																																																																					obj_t
																																																																						BgL_nclausesz00_2911;
																																																																					BgL_clsz00_2910
																																																																						=
																																																																						BgL_clausesz00_2895;
																																																																					BgL_nclausesz00_2911
																																																																						=
																																																																						BNIL;
																																																																				BgL_zc3anonymousza32939ze3z83_2912:
																																																																					if (NULLP(BgL_clsz00_2910))
																																																																						{	/* Ast/sexp.scm 478 */
																																																																							BgL_selectz00_bglt
																																																																								BgL_new1135z00_2914;
																																																																							{	/* Ast/sexp.scm 478 */
																																																																								BgL_selectz00_bglt
																																																																									BgL_new1134z00_2918;
																																																																								BgL_new1134z00_2918
																																																																									=
																																																																									(
																																																																									(BgL_selectz00_bglt)
																																																																									BREF
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_selectz00_bgl))));
																																																																								{	/* Ast/sexp.scm 478 */
																																																																									long
																																																																										BgL_arg2944z00_2919;
																																																																									{	/* Ast/sexp.scm 478 */
																																																																										long
																																																																											BgL_res3315z00_4605;
																																																																										BgL_res3315z00_4605
																																																																											=
																																																																											BGL_CLASS_INDEX
																																																																											(BGl_selectz00zzast_nodez00);
																																																																										BgL_arg2944z00_2919
																																																																											=
																																																																											BgL_res3315z00_4605;
																																																																									}
																																																																									{	/* Ast/sexp.scm 478 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_objz00_4606;
																																																																										BgL_objz00_4606
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1134z00_2918);
																																																																										BGL_OBJECT_CLASS_NUM_SET
																																																																											(BgL_objz00_4606,
																																																																											BgL_arg2944z00_2919);
																																																																								}}
																																																																								{	/* Ast/sexp.scm 478 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_auxz00_7146;
																																																																									BgL_auxz00_7146
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1134z00_2918);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_auxz00_7146,
																																																																										BFALSE);
																																																																								}
																																																																								BgL_new1135z00_2914
																																																																									=
																																																																									BgL_new1134z00_2918;
																																																																							}
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1135z00_2914)))->BgL_locz00) = ((obj_t) BgL_locz00_2904), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1135z00_2914)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1135z00_2914)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1135z00_2914)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1135z00_2914))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_2907), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1135z00_2914))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_2911)), BUNSPEC);
																																																																							{
																																																																								BgL_typez00_bglt
																																																																									BgL_auxz00_7162;
																																																																								{	/* Ast/sexp.scm 482 */
																																																																									obj_t
																																																																										BgL_arg2941z00_2915;
																																																																									{	/* Ast/sexp.scm 482 */
																																																																										obj_t
																																																																											BgL_pairz00_4610;
																																																																										{	/* Ast/sexp.scm 482 */
																																																																											obj_t
																																																																												BgL_pairz00_4609;
																																																																											{	/* Ast/sexp.scm 482 */
																																																																												obj_t
																																																																													BgL_pairz00_4608;
																																																																												BgL_pairz00_4608
																																																																													=
																																																																													BgL_clausesz00_2895;
																																																																												BgL_pairz00_4609
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_4608);
																																																																											}
																																																																											BgL_pairz00_4610
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_4609);
																																																																										}
																																																																										BgL_arg2941z00_2915
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_4610);
																																																																									}
																																																																									BgL_auxz00_7162
																																																																										=
																																																																										BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																										(BgL_arg2941z00_2915);
																																																																								}
																																																																								((((BgL_selectz00_bglt) CREF(BgL_new1135z00_2914))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_7162), BUNSPEC);
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1135z00_2914);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 484 */
																																																																							obj_t
																																																																								BgL_clausez00_2920;
																																																																							BgL_clausez00_2920
																																																																								=
																																																																								CAR
																																																																								(BgL_clsz00_2910);
																																																																							{	/* Ast/sexp.scm 484 */
																																																																								BgL_nodez00_bglt
																																																																									BgL_bodyz00_2921;
																																																																								{	/* Ast/sexp.scm 485 */
																																																																									obj_t
																																																																										BgL_arg2955z00_2933;
																																																																									obj_t
																																																																										BgL_arg2958z00_2934;
																																																																									BgL_arg2955z00_2933
																																																																										=
																																																																										BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																										(CDR
																																																																										(BgL_clausez00_2920));
																																																																									BgL_arg2958z00_2934
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_clausez00_2920,
																																																																										BgL_cddlocz00_2906);
																																																																									BgL_bodyz00_2921
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_arg2955z00_2933,
																																																																										BgL_stackz00_22,
																																																																										BgL_arg2958z00_2934,
																																																																										CNST_TABLE_REF
																																																																										(((long) 2)));
																																																																								}
																																																																								{	/* Ast/sexp.scm 485 */
																																																																									obj_t
																																																																										BgL_nclausez00_2922;
																																																																									{	/* Ast/sexp.scm 489 */
																																																																										obj_t
																																																																											BgL_arg2954z00_2932;
																																																																										BgL_arg2954z00_2932
																																																																											=
																																																																											CAR
																																																																											(BgL_clausez00_2920);
																																																																										BgL_nclausez00_2922
																																																																											=
																																																																											MAKE_PAIR
																																																																											(BgL_arg2954z00_2932,
																																																																											((obj_t) BgL_bodyz00_2921));
																																																																									}
																																																																									{	/* Ast/sexp.scm 489 */

																																																																										{	/* Ast/sexp.scm 491 */
																																																																											bool_t
																																																																												BgL_testz00_7178;
																																																																											if ((CAR(BgL_clausez00_2920) == CNST_TABLE_REF(((long) 5))))
																																																																												{	/* Ast/sexp.scm 491 */
																																																																													if (NULLP(CDR(BgL_clsz00_2910)))
																																																																														{	/* Ast/sexp.scm 492 */
																																																																															BgL_testz00_7178
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 492 */
																																																																															BgL_testz00_7178
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 491 */
																																																																													BgL_testz00_7178
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											if (BgL_testz00_7178)
																																																																												{	/* Ast/sexp.scm 494 */
																																																																													obj_t
																																																																														BgL_arg2946z00_2924;
																																																																													BgL_arg2946z00_2924
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_2904);
																																																																													{	/* Ast/sexp.scm 493 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_res3317z00_4625;
																																																																														{	/* Ast/sexp.scm 493 */
																																																																															obj_t
																																																																																BgL_arg3055z00_4621;
																																																																															BgL_nodez00_bglt
																																																																																BgL_arg3056z00_4622;
																																																																															BgL_arg3055z00_4621
																																																																																=
																																																																																BGl_shapez00zztools_shapez00
																																																																																(BGl_currentzd2functionzd2zztools_errorz00
																																																																																());
																																																																															BgL_arg3056z00_4622
																																																																																=
																																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																(CNST_TABLE_REF
																																																																																(((long) 4)), BNIL, BgL_arg2946z00_2924, CNST_TABLE_REF(((long) 2)));
																																																																															{	/* Ast/sexp.scm 493 */
																																																																																obj_t
																																																																																	BgL_list3057z00_4624;
																																																																																BgL_list3057z00_4624
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(
																																																																																	((obj_t) BgL_arg3056z00_4622), BNIL);
																																																																																BgL_res3317z00_4625
																																																																																	=
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																	(BgL_arg2946z00_2924,
																																																																																		BgL_arg3055z00_4621,
																																																																																		BGl_string3474z00zzast_sexpz00,
																																																																																		BgL_expz00_21,
																																																																																		BgL_list3057z00_4624));
																																																																														}}
																																																																														return
																																																																															BgL_res3317z00_4625;
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 495 */
																																																																													obj_t
																																																																														BgL_arg2947z00_2925;
																																																																													obj_t
																																																																														BgL_arg2948z00_2926;
																																																																													BgL_arg2947z00_2925
																																																																														=
																																																																														CDR
																																																																														(BgL_clsz00_2910);
																																																																													BgL_arg2948z00_2926
																																																																														=
																																																																														MAKE_PAIR
																																																																														(BGl_epairifyz00zztools_miscz00
																																																																														(BgL_nclausez00_2922,
																																																																															BgL_clausez00_2920),
																																																																														BgL_nclausesz00_2911);
																																																																													{
																																																																														obj_t
																																																																															BgL_nclausesz00_7200;
																																																																														obj_t
																																																																															BgL_clsz00_7199;
																																																																														BgL_clsz00_7199
																																																																															=
																																																																															BgL_arg2947z00_2925;
																																																																														BgL_nclausesz00_7200
																																																																															=
																																																																															BgL_arg2948z00_2926;
																																																																														BgL_nclausesz00_2911
																																																																															=
																																																																															BgL_nclausesz00_7200;
																																																																														BgL_clsz00_2910
																																																																															=
																																																																															BgL_clsz00_7199;
																																																																														goto
																																																																															BgL_zc3anonymousza32939ze3z83_2912;
																																																																													}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																														BgL_tagzd26426zd2_2897:
																																																															{	/* Ast/sexp.scm 500 */
																																																																obj_t
																																																																	BgL_arg2963z00_2940;
																																																																BgL_arg2963z00_2940
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 499 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_res3318z00_4634;
																																																																	{	/* Ast/sexp.scm 499 */
																																																																		obj_t
																																																																			BgL_arg3055z00_4630;
																																																																		BgL_nodez00_bglt
																																																																			BgL_arg3056z00_4631;
																																																																		BgL_arg3055z00_4630
																																																																			=
																																																																			BGl_shapez00zztools_shapez00
																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																			());
																																																																		BgL_arg3056z00_4631
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(CNST_TABLE_REF
																																																																			(((long) 4)), BNIL, BgL_arg2963z00_2940, CNST_TABLE_REF(((long) 2)));
																																																																		{	/* Ast/sexp.scm 499 */
																																																																			obj_t
																																																																				BgL_list3057z00_4633;
																																																																			BgL_list3057z00_4633
																																																																				=
																																																																				MAKE_PAIR
																																																																				(
																																																																				((obj_t) BgL_arg3056z00_4631), BNIL);
																																																																			BgL_res3318z00_4634
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																				(BgL_arg2963z00_2940,
																																																																					BgL_arg3055z00_4630,
																																																																					BGl_string3474z00zzast_sexpz00,
																																																																					BgL_expz00_21,
																																																																					BgL_list3057z00_4633));
																																																																	}}
																																																																	return
																																																																		BgL_res3318z00_4634;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd26426zd2_2897;
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_7217;
																																																											BgL_tagzd2394zd2_1631:
																																																												BgL_auxz00_7217 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_7217);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																													{
																																																														BgL_jumpzd2exzd2itz00_bglt
																																																															BgL_auxz00_7224;
																																																													BgL_tagzd2395zd2_1632:
																																																														BgL_auxz00_7224 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_7224);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd23309zd2_1982;
																																																														BgL_cdrzd23309zd2_1982
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (PAIRP(BgL_cdrzd23309zd2_1982))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd23311zd2_1985;
																																																																		BgL_cdrzd23311zd2_1985
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd23309zd2_1982);
																																																																		if (PAIRP(BgL_cdrzd23311zd2_1985))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (NULLP(CDR(BgL_cdrzd23311zd2_1985)))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																					BgL_tagzd2396zd2_1633:
																																																																						return BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_7243;
																																																																								goto
																																																																									BgL_tagzd2399zd2_1638;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_7243);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								goto
																																																																									BgL_tagzd2400zd2_1639;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7247;
																																																																						goto
																																																																							BgL_tagzd2399zd2_1638;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7247);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2400zd2_1639;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_7251;
																																																																				goto
																																																																					BgL_tagzd2399zd2_1638;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_7251);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2400zd2_1639;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (PAIRP(BgL_cdrzd23309zd2_1982))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_arg2319z00_1995;
																																																																				obj_t
																																																																					BgL_arg2320z00_1996;
																																																																				BgL_arg2319z00_1995
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd23309zd2_1982);
																																																																				BgL_arg2320z00_1996
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd23309zd2_1982);
																																																																				return
																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																					(BgL_expz00_21,
																																																																					BgL_arg2319z00_1995,
																																																																					BgL_arg2320z00_1996,
																																																																					BgL_stackz00_22,
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_expz00_21,
																																																																						BgL_locz00_23),
																																																																					BgL_sitez00_24);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7265;
																																																																						goto
																																																																							BgL_tagzd2399zd2_1638;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7265);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2400zd2_1639;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (NULLP(CDR(BgL_expz00_21)))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																					BgL_tagzd2398zd2_1637:
																																																																						{	/* Ast/sexp.scm 516 */
																																																																							obj_t
																																																																								BgL_arg2965z00_2942;
																																																																							BgL_arg2965z00_2942
																																																																								=
																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																								(BgL_expz00_21,
																																																																								BgL_locz00_23);
																																																																							{	/* Ast/sexp.scm 515 */
																																																																								BgL_nodez00_bglt
																																																																									BgL_res3321z00_4650;
																																																																								{	/* Ast/sexp.scm 515 */
																																																																									obj_t
																																																																										BgL_arg3055z00_4646;
																																																																									BgL_nodez00_bglt
																																																																										BgL_arg3056z00_4647;
																																																																									BgL_arg3055z00_4646
																																																																										=
																																																																										BGl_shapez00zztools_shapez00
																																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																																										());
																																																																									BgL_arg3056z00_4647
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(CNST_TABLE_REF
																																																																										(((long) 4)), BNIL, BgL_arg2965z00_2942, CNST_TABLE_REF(((long) 2)));
																																																																									{	/* Ast/sexp.scm 515 */
																																																																										obj_t
																																																																											BgL_list3057z00_4649;
																																																																										BgL_list3057z00_4649
																																																																											=
																																																																											MAKE_PAIR
																																																																											(
																																																																											((obj_t) BgL_arg3056z00_4647), BNIL);
																																																																										BgL_res3321z00_4650
																																																																											=
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																											(BgL_arg2965z00_2942,
																																																																												BgL_arg3055z00_4646,
																																																																												BGl_string3473z00zzast_sexpz00,
																																																																												BgL_expz00_21,
																																																																												BgL_list3057z00_4649));
																																																																								}}
																																																																								return
																																																																									BgL_res3321z00_4650;
																																																																							}
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_7285;
																																																																								goto
																																																																									BgL_tagzd2399zd2_1638;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_7285);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								goto
																																																																									BgL_tagzd2400zd2_1639;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7289;
																																																																						goto
																																																																							BgL_tagzd2399zd2_1638;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7289);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2400zd2_1639;
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 115 */
												if (
													(BgL_carzd2462zd2_1644 ==
														CNST_TABLE_REF(((long) 12))))
													{	/* Ast/sexp.scm 115 */
														goto BgL_tagzd2371zd2_1584;
													}
												else
													{	/* Ast/sexp.scm 115 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 15))))
															{
																obj_t BgL_lz00_7298;

																BgL_lz00_7298 = CDR(BgL_expz00_21);
																BgL_lz00_1585 = BgL_lz00_7298;
																goto BgL_tagzd2372zd2_1586;
															}
														else
															{	/* Ast/sexp.scm 115 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* Ast/sexp.scm 115 */
																		goto BgL_tagzd2373zd2_1587;
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 16))))
																			{	/* Ast/sexp.scm 115 */
																				if (NULLP(CDR(BgL_expz00_21)))
																					{	/* Ast/sexp.scm 115 */
																						goto BgL_tagzd2374zd2_1588;
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						obj_t BgL_arg2355z00_2033;

																						BgL_arg2355z00_2033 =
																							CDR(BgL_expz00_21);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_7312;
																							{
																								obj_t BgL_bodyz00_7313;

																								BgL_bodyz00_7313 =
																									BgL_arg2355z00_2033;
																								BgL_bodyz00_1589 =
																									BgL_bodyz00_7313;
																								goto BgL_tagzd2375zd2_1590;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_7312);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				obj_t BgL_carzd23446zd2_2035;

																				BgL_carzd23446zd2_2035 =
																					CAR(BgL_expz00_21);
																				if (
																					(BgL_carzd23446zd2_2035 ==
																						CNST_TABLE_REF(((long) 1))))
																					{	/* Ast/sexp.scm 115 */
																						goto BgL_tagzd2376zd2_1591;
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						if (
																							(BgL_carzd23446zd2_2035 ==
																								BGl_za2ifza2z00zzast_sexpz00))
																							{	/* Ast/sexp.scm 115 */
																								goto BgL_tagzd2376zd2_1591;
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								obj_t BgL_cdrzd23465zd2_2038;

																								BgL_cdrzd23465zd2_2038 =
																									CDR(BgL_expz00_21);
																								if (
																									(CAR(BgL_expz00_21) ==
																										CNST_TABLE_REF(((long) 7))))
																									{	/* Ast/sexp.scm 115 */
																										if (PAIRP
																											(BgL_cdrzd23465zd2_2038))
																											{	/* Ast/sexp.scm 115 */
																												obj_t
																													BgL_carzd23468zd2_2041;
																												obj_t
																													BgL_cdrzd23469zd2_2042;
																												BgL_carzd23468zd2_2041 =
																													CAR
																													(BgL_cdrzd23465zd2_2038);
																												BgL_cdrzd23469zd2_2042 =
																													CDR
																													(BgL_cdrzd23465zd2_2038);
																												if (PAIRP
																													(BgL_carzd23468zd2_2041))
																													{	/* Ast/sexp.scm 115 */
																														if (
																															(CAR
																																(BgL_carzd23468zd2_2041)
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		15))))
																															{	/* Ast/sexp.scm 115 */
																																if (PAIRP
																																	(BgL_cdrzd23469zd2_2042))
																																	{	/* Ast/sexp.scm 115 */
																																		if (NULLP
																																			(CDR
																																				(BgL_cdrzd23469zd2_2042)))
																																			{
																																				obj_t
																																					BgL_valz00_7343;
																																				obj_t
																																					BgL_lz00_7341;
																																				BgL_lz00_7341
																																					=
																																					CDR
																																					(BgL_carzd23468zd2_2041);
																																				BgL_valz00_7343
																																					=
																																					CAR
																																					(BgL_cdrzd23469zd2_2042);
																																				BgL_valz00_1593
																																					=
																																					BgL_valz00_7343;
																																				BgL_lz00_1592
																																					=
																																					BgL_lz00_7341;
																																				goto
																																					BgL_tagzd2377zd2_1594;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2378zd2_1595;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2378zd2_1595;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2378zd2_1595;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														goto
																															BgL_tagzd2378zd2_1595;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												goto
																													BgL_tagzd2378zd2_1595;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 115 */
																										if (
																											(CAR(BgL_expz00_21) ==
																												CNST_TABLE_REF(((long)
																														17))))
																											{	/* Ast/sexp.scm 115 */
																												goto
																													BgL_tagzd2379zd2_1596;
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												obj_t
																													BgL_carzd23570zd2_2052;
																												BgL_carzd23570zd2_2052 =
																													CAR(BgL_expz00_21);
																												if (PAIRP
																													(BgL_carzd23570zd2_2052))
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd23573zd2_2054;
																														obj_t
																															BgL_cdrzd23574zd2_2055;
																														BgL_carzd23573zd2_2054
																															=
																															CAR
																															(BgL_carzd23570zd2_2052);
																														BgL_cdrzd23574zd2_2055
																															=
																															CDR
																															(BgL_carzd23570zd2_2052);
																														{

																															if (
																																(BgL_carzd23573zd2_2054
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			18))))
																																{
																																	obj_t
																																		BgL_auxz00_7357;
																																BgL_kapzd23575zd2_2056:
																																	if (PAIRP
																																		(BgL_cdrzd23574zd2_2055))
																																		{	/* Ast/sexp.scm 115 */
																																			obj_t
																																				BgL_cdrzd23578zd2_2220;
																																			BgL_cdrzd23578zd2_2220
																																				=
																																				CDR
																																				(BgL_cdrzd23574zd2_2055);
																																			if (PAIRP
																																				(BgL_cdrzd23578zd2_2220))
																																				{	/* Ast/sexp.scm 115 */
																																					if (NULLP(CDR(BgL_cdrzd23578zd2_2220)))
																																						{	/* Ast/sexp.scm 115 */
																																							obj_t
																																								BgL_arg2492z00_2223;
																																							obj_t
																																								BgL_arg2493z00_2224;
																																							BgL_arg2492z00_2223
																																								=
																																								CAR
																																								(BgL_cdrzd23578zd2_2220);
																																							BgL_arg2493z00_2224
																																								=
																																								CDR
																																								(BgL_expz00_21);
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_7368;
																																								{
																																									obj_t
																																										BgL_argsz00_7370;
																																									obj_t
																																										BgL_bodyz00_7369;
																																									BgL_bodyz00_7369
																																										=
																																										BgL_arg2492z00_2223;
																																									BgL_argsz00_7370
																																										=
																																										BgL_arg2493z00_2224;
																																									BgL_argsz00_1598
																																										=
																																										BgL_argsz00_7370;
																																									BgL_bodyz00_1597
																																										=
																																										BgL_bodyz00_7369;
																																									goto
																																										BgL_tagzd2380zd2_1599;
																																								}
																																								BgL_auxz00_7357
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_7368);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_7372;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2551z00_2315;
																																								BgL_arg2551z00_2315
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_7372
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2551z00_2315));
																																							}
																																							if (BgL_testz00_7372)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_7376;
																																									goto
																																										BgL_tagzd2381zd2_1600;
																																									BgL_auxz00_7357
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7376);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_7378;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2550z00_2314;
																																										BgL_arg2550z00_2314
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_7378
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2550z00_2314));
																																									}
																																									if (BgL_testz00_7378)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_7382;
																																											goto
																																												BgL_tagzd2382zd2_1601;
																																											BgL_auxz00_7357
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_7382);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_carzd23641zd2_2227;
																																											BgL_carzd23641zd2_2227
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd23646zd2_2228;
																																												BgL_cdrzd23646zd2_2228
																																													=
																																													CDR
																																													(BgL_carzd23641zd2_2227);
																																												if ((CAR(BgL_carzd23641zd2_2227) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2497z00_2230;
																																														obj_t
																																															BgL_arg2498z00_2231;
																																														obj_t
																																															BgL_arg2499z00_2232;
																																														BgL_arg2497z00_2230
																																															=
																																															CAR
																																															(BgL_cdrzd23646zd2_2228);
																																														BgL_arg2498z00_2231
																																															=
																																															CDR
																																															(BgL_cdrzd23646zd2_2228);
																																														BgL_arg2499z00_2232
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_7393;
																																															{
																																																obj_t
																																																	BgL_argsz00_7396;
																																																obj_t
																																																	BgL_bodyz00_7395;
																																																obj_t
																																																	BgL_varsz00_7394;
																																																BgL_varsz00_7394
																																																	=
																																																	BgL_arg2497z00_2230;
																																																BgL_bodyz00_7395
																																																	=
																																																	BgL_arg2498z00_2231;
																																																BgL_argsz00_7396
																																																	=
																																																	BgL_arg2499z00_2232;
																																																BgL_argsz00_1608
																																																	=
																																																	BgL_argsz00_7396;
																																																BgL_bodyz00_1607
																																																	=
																																																	BgL_bodyz00_7395;
																																																BgL_varsz00_1606
																																																	=
																																																	BgL_varsz00_7394;
																																																goto
																																																	BgL_tagzd2384zd2_1609;
																																															}
																																															BgL_auxz00_7357
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_7393);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd23668zd2_2234;
																																														BgL_cdrzd23668zd2_2234
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{	/* Ast/sexp.scm 115 */
																																															obj_t
																																																BgL_cdrzd23674zd2_2235;
																																															BgL_cdrzd23674zd2_2235
																																																=
																																																CDR
																																																(BgL_carzd23641zd2_2227);
																																															if ((CAR(BgL_carzd23641zd2_2227) == CNST_TABLE_REF(((long) 1))))
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd23680zd2_2237;
																																																	BgL_cdrzd23680zd2_2237
																																																		=
																																																		CDR
																																																		(BgL_cdrzd23674zd2_2235);
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_carzd23685zd2_2238;
																																																		obj_t
																																																			BgL_cdrzd23686zd2_2239;
																																																		BgL_carzd23685zd2_2238
																																																			=
																																																			CAR
																																																			(BgL_cdrzd23680zd2_2237);
																																																		BgL_cdrzd23686zd2_2239
																																																			=
																																																			CDR
																																																			(BgL_cdrzd23680zd2_2237);
																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23685zd2_2238))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd23686zd2_2239))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_carzd23693zd2_2242;
																																																						BgL_carzd23693zd2_2242
																																																							=
																																																							CAR
																																																							(BgL_cdrzd23686zd2_2239);
																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23693zd2_2242))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (NULLP(CDR(BgL_cdrzd23686zd2_2239)))
																																																									{	/* Ast/sexp.scm 115 */
																																																										bool_t
																																																											BgL_testz00_7417;
																																																										{
																																																											obj_t
																																																												BgL_l2023z00_2263;
																																																											BgL_l2023z00_2263
																																																												=
																																																												BgL_cdrzd23668zd2_2234;
																																																										BgL_zc3anonymousza32516ze3z83_2264:
																																																											if (NULLP(BgL_l2023z00_2263))
																																																												{	/* Ast/sexp.scm 115 */
																																																													BgL_testz00_7417
																																																														=
																																																														(
																																																														(bool_t)
																																																														1);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													bool_t
																																																														BgL_testz00_7420;
																																																													{	/* Ast/sexp.scm 115 */
																																																														bool_t
																																																															BgL_testz00_7421;
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_auxz00_7422;
																																																															BgL_auxz00_7422
																																																																=
																																																																CAR
																																																																(BgL_l2023z00_2263);
																																																															BgL_testz00_7421
																																																																=
																																																																PAIRP
																																																																(BgL_auxz00_7422);
																																																														}
																																																														if (BgL_testz00_7421)
																																																															{	/* Ast/sexp.scm 115 */
																																																																BgL_testz00_7420
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	0);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																BgL_testz00_7420
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																													}
																																																													if (BgL_testz00_7420)
																																																														{
																																																															obj_t
																																																																BgL_l2023z00_7425;
																																																															BgL_l2023z00_7425
																																																																=
																																																																CDR
																																																																(BgL_l2023z00_2263);
																																																															BgL_l2023z00_2263
																																																																=
																																																																BgL_l2023z00_7425;
																																																															goto
																																																																BgL_zc3anonymousza32516ze3z83_2264;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_7417
																																																																=
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																										}
																																																										if (BgL_testz00_7417)
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_arg2506z00_2246;
																																																												BgL_arg2506z00_2246
																																																													=
																																																													CAR
																																																													(BgL_cdrzd23674zd2_2235);
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_7428;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_7432;
																																																														obj_t
																																																															BgL_proc2z00_7431;
																																																														obj_t
																																																															BgL_proc1z00_7430;
																																																														obj_t
																																																															BgL_testz00_7429;
																																																														BgL_testz00_7429
																																																															=
																																																															BgL_arg2506z00_2246;
																																																														BgL_proc1z00_7430
																																																															=
																																																															BgL_carzd23685zd2_2238;
																																																														BgL_proc2z00_7431
																																																															=
																																																															BgL_carzd23693zd2_2242;
																																																														BgL_argsz00_7432
																																																															=
																																																															BgL_cdrzd23668zd2_2234;
																																																														BgL_argsz00_1613
																																																															=
																																																															BgL_argsz00_7432;
																																																														BgL_proc2z00_1612
																																																															=
																																																															BgL_proc2z00_7431;
																																																														BgL_proc1z00_1611
																																																															=
																																																															BgL_proc1z00_7430;
																																																														BgL_testz00_1610
																																																															=
																																																															BgL_testz00_7429;
																																																														goto
																																																															BgL_tagzd2385zd2_1614;
																																																													}
																																																													BgL_auxz00_7357
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_7428);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd23716zd2_2247;
																																																												BgL_cdrzd23716zd2_2247
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd23723zd2_2248;
																																																													BgL_cdrzd23723zd2_2248
																																																														=
																																																														CDR
																																																														(CAR
																																																														(BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd23730zd2_2249;
																																																														BgL_cdrzd23730zd2_2249
																																																															=
																																																															CDR
																																																															(BgL_cdrzd23723zd2_2248);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd23736zd2_2250;
																																																															BgL_carzd23736zd2_2250
																																																																=
																																																																CAR
																																																																(BgL_cdrzd23730zd2_2249);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23736zd2_2250))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd23743zd2_2252;
																																																																	BgL_carzd23743zd2_2252
																																																																		=
																																																																		CAR
																																																																		(CDR
																																																																		(BgL_cdrzd23730zd2_2249));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23743zd2_2252))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23716zd2_2247))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_arg2510z00_2255;
																																																																					BgL_arg2510z00_2255
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd23723zd2_2248);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_7448;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_7452;
																																																																							obj_t
																																																																								BgL_proc2z00_7451;
																																																																							obj_t
																																																																								BgL_proc1z00_7450;
																																																																							obj_t
																																																																								BgL_testz00_7449;
																																																																							BgL_testz00_7449
																																																																								=
																																																																								BgL_arg2510z00_2255;
																																																																							BgL_proc1z00_7450
																																																																								=
																																																																								BgL_carzd23736zd2_2250;
																																																																							BgL_proc2z00_7451
																																																																								=
																																																																								BgL_carzd23743zd2_2252;
																																																																							BgL_argsz00_7452
																																																																								=
																																																																								BgL_cdrzd23716zd2_2247;
																																																																							BgL_argsz00_1618
																																																																								=
																																																																								BgL_argsz00_7452;
																																																																							BgL_proc2z00_1617
																																																																								=
																																																																								BgL_proc2z00_7451;
																																																																							BgL_proc1z00_1616
																																																																								=
																																																																								BgL_proc1z00_7450;
																																																																							BgL_testz00_1615
																																																																								=
																																																																								BgL_testz00_7449;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1619;
																																																																						}
																																																																						BgL_auxz00_7357
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_7448);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2399zd2_1638;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_7456;
																																																																							goto
																																																																								BgL_tagzd2400zd2_1639;
																																																																							BgL_auxz00_7357
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_7456);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_7460;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																					BgL_auxz00_7357
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_7460);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2399zd2_1638;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7464;
																																																																			goto
																																																																				BgL_tagzd2400zd2_1639;
																																																																			BgL_auxz00_7357
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7464);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 115 */
																																																												goto
																																																													BgL_tagzd2399zd2_1638;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_7468;
																																																												goto
																																																													BgL_tagzd2400zd2_1639;
																																																												BgL_auxz00_7357
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_7468);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd23933zd2_2274;
																																																								BgL_cdrzd23933zd2_2274
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_cdrzd23939zd2_2275;
																																																									BgL_cdrzd23939zd2_2275
																																																										=
																																																										CDR
																																																										(CAR
																																																										(BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd23945zd2_2276;
																																																										BgL_cdrzd23945zd2_2276
																																																											=
																																																											CDR
																																																											(BgL_cdrzd23939zd2_2275);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd23950zd2_2277;
																																																											obj_t
																																																												BgL_cdrzd23951zd2_2278;
																																																											BgL_carzd23950zd2_2277
																																																												=
																																																												CAR
																																																												(BgL_cdrzd23945zd2_2276);
																																																											BgL_cdrzd23951zd2_2278
																																																												=
																																																												CDR
																																																												(BgL_cdrzd23945zd2_2276);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23950zd2_2277))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd23956zd2_2280;
																																																													BgL_carzd23956zd2_2280
																																																														=
																																																														CAR
																																																														(BgL_cdrzd23951zd2_2278);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23956zd2_2280))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (NULLP(CDR(BgL_cdrzd23951zd2_2278)))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23933zd2_2274))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2526z00_2284;
																																																																			BgL_arg2526z00_2284
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd23939zd2_2275);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_7487;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_7491;
																																																																					obj_t
																																																																						BgL_proc2z00_7490;
																																																																					obj_t
																																																																						BgL_proc1z00_7489;
																																																																					obj_t
																																																																						BgL_testz00_7488;
																																																																					BgL_testz00_7488
																																																																						=
																																																																						BgL_arg2526z00_2284;
																																																																					BgL_proc1z00_7489
																																																																						=
																																																																						BgL_carzd23950zd2_2277;
																																																																					BgL_proc2z00_7490
																																																																						=
																																																																						BgL_carzd23956zd2_2280;
																																																																					BgL_argsz00_7491
																																																																						=
																																																																						BgL_cdrzd23933zd2_2274;
																																																																					BgL_argsz00_1618
																																																																						=
																																																																						BgL_argsz00_7491;
																																																																					BgL_proc2z00_1617
																																																																						=
																																																																						BgL_proc2z00_7490;
																																																																					BgL_proc1z00_1616
																																																																						=
																																																																						BgL_proc1z00_7489;
																																																																					BgL_testz00_1615
																																																																						=
																																																																						BgL_testz00_7488;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1619;
																																																																				}
																																																																				BgL_auxz00_7357
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_7487);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_7495;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																					BgL_auxz00_7357
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_7495);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2399zd2_1638;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7499;
																																																																			goto
																																																																				BgL_tagzd2400zd2_1639;
																																																																			BgL_auxz00_7357
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7499);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2399zd2_1638;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_7503;
																																																																	goto
																																																																		BgL_tagzd2400zd2_1639;
																																																																	BgL_auxz00_7357
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_7503);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2399zd2_1638;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_7507;
																																																															goto
																																																																BgL_tagzd2400zd2_1639;
																																																															BgL_auxz00_7357
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_7507);
																																																														}
																																																												}
																																																										}
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2399zd2_1638;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_7511;
																																																								goto
																																																									BgL_tagzd2400zd2_1639;
																																																								BgL_auxz00_7357
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7511);
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd24182zd2_2292;
																																																				BgL_cdrzd24182zd2_2292
																																																					=
																																																					CDR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 115 */
																																																					obj_t
																																																						BgL_cdrzd24189zd2_2293;
																																																					BgL_cdrzd24189zd2_2293
																																																						=
																																																						CDR
																																																						(CAR
																																																						(BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd24196zd2_2294;
																																																						BgL_cdrzd24196zd2_2294
																																																							=
																																																							CDR
																																																							(BgL_cdrzd24189zd2_2293);
																																																						{	/* Ast/sexp.scm 115 */
																																																							obj_t
																																																								BgL_carzd24202zd2_2295;
																																																							obj_t
																																																								BgL_cdrzd24203zd2_2296;
																																																							BgL_carzd24202zd2_2295
																																																								=
																																																								CAR
																																																								(BgL_cdrzd24196zd2_2294);
																																																							BgL_cdrzd24203zd2_2296
																																																								=
																																																								CDR
																																																								(BgL_cdrzd24196zd2_2294);
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24202zd2_2295))
																																																								{	/* Ast/sexp.scm 115 */
																																																									if (PAIRP(BgL_cdrzd24203zd2_2296))
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd24210zd2_2299;
																																																											BgL_carzd24210zd2_2299
																																																												=
																																																												CAR
																																																												(BgL_cdrzd24203zd2_2296);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24210zd2_2299))
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (NULLP(CDR(BgL_cdrzd24203zd2_2296)))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24182zd2_2292))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_arg2539z00_2303;
																																																																	BgL_arg2539z00_2303
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd24189zd2_2293);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_7532;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_7536;
																																																																			obj_t
																																																																				BgL_proc2z00_7535;
																																																																			obj_t
																																																																				BgL_proc1z00_7534;
																																																																			obj_t
																																																																				BgL_testz00_7533;
																																																																			BgL_testz00_7533
																																																																				=
																																																																				BgL_arg2539z00_2303;
																																																																			BgL_proc1z00_7534
																																																																				=
																																																																				BgL_carzd24202zd2_2295;
																																																																			BgL_proc2z00_7535
																																																																				=
																																																																				BgL_carzd24210zd2_2299;
																																																																			BgL_argsz00_7536
																																																																				=
																																																																				BgL_cdrzd24182zd2_2292;
																																																																			BgL_argsz00_1618
																																																																				=
																																																																				BgL_argsz00_7536;
																																																																			BgL_proc2z00_1617
																																																																				=
																																																																				BgL_proc2z00_7535;
																																																																			BgL_proc1z00_1616
																																																																				=
																																																																				BgL_proc1z00_7534;
																																																																			BgL_testz00_1615
																																																																				=
																																																																				BgL_testz00_7533;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1619;
																																																																		}
																																																																		BgL_auxz00_7357
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_7532);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2399zd2_1638;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7540;
																																																																			goto
																																																																				BgL_tagzd2400zd2_1639;
																																																																			BgL_auxz00_7357
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7540);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2399zd2_1638;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_7544;
																																																																	goto
																																																																		BgL_tagzd2400zd2_1639;
																																																																	BgL_auxz00_7357
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_7544);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2399zd2_1638;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_7548;
																																																															goto
																																																																BgL_tagzd2400zd2_1639;
																																																															BgL_auxz00_7357
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_7548);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd2399zd2_1638;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_7552;
																																																													goto
																																																														BgL_tagzd2400zd2_1639;
																																																													BgL_auxz00_7357
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_7552);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 115 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 115 */
																																																											goto
																																																												BgL_tagzd2399zd2_1638;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_7556;
																																																											goto
																																																												BgL_tagzd2400zd2_1639;
																																																											BgL_auxz00_7357
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_7556);
																																																										}
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 115 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 115 */
																																																			goto
																																																				BgL_tagzd2399zd2_1638;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_7560;
																																																			goto
																																																				BgL_tagzd2400zd2_1639;
																																																			BgL_auxz00_7357
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7560);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_7562;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2562z00_2328;
																																						BgL_arg2562z00_2328
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_7562
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2562z00_2328));
																																					}
																																					if (BgL_testz00_7562)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_7566;
																																							goto
																																								BgL_tagzd2381zd2_1600;
																																							BgL_auxz00_7357
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_7566);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_7568;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2561z00_2327;
																																								BgL_arg2561z00_2327
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_7568
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2561z00_2327));
																																							}
																																							if (BgL_testz00_7568)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_7572;
																																									goto
																																										BgL_tagzd2382zd2_1601;
																																									BgL_auxz00_7357
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7572);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_carzd24514zd2_2319;
																																									BgL_carzd24514zd2_2319
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_cdrzd24519zd2_2320;
																																										BgL_cdrzd24519zd2_2320
																																											=
																																											CDR
																																											(BgL_carzd24514zd2_2319);
																																										if ((CAR(BgL_carzd24514zd2_2319) == CNST_TABLE_REF(((long) 3))))
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2556z00_2322;
																																												obj_t
																																													BgL_arg2557z00_2323;
																																												obj_t
																																													BgL_arg2558z00_2324;
																																												BgL_arg2556z00_2322
																																													=
																																													CAR
																																													(BgL_cdrzd24519zd2_2320);
																																												BgL_arg2557z00_2323
																																													=
																																													CDR
																																													(BgL_cdrzd24519zd2_2320);
																																												BgL_arg2558z00_2324
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_7583;
																																													{
																																														obj_t
																																															BgL_argsz00_7586;
																																														obj_t
																																															BgL_bodyz00_7585;
																																														obj_t
																																															BgL_varsz00_7584;
																																														BgL_varsz00_7584
																																															=
																																															BgL_arg2556z00_2322;
																																														BgL_bodyz00_7585
																																															=
																																															BgL_arg2557z00_2323;
																																														BgL_argsz00_7586
																																															=
																																															BgL_arg2558z00_2324;
																																														BgL_argsz00_1608
																																															=
																																															BgL_argsz00_7586;
																																														BgL_bodyz00_1607
																																															=
																																															BgL_bodyz00_7585;
																																														BgL_varsz00_1606
																																															=
																																															BgL_varsz00_7584;
																																														goto
																																															BgL_tagzd2384zd2_1609;
																																													}
																																													BgL_auxz00_7357
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_7583);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd2399zd2_1638;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_7590;
																																														goto
																																															BgL_tagzd2400zd2_1639;
																																														BgL_auxz00_7357
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_7590);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			bool_t
																																				BgL_testz00_7592;
																																			{	/* Ast/sexp.scm 115 */
																																				obj_t
																																					BgL_arg2567z00_2333;
																																				BgL_arg2567z00_2333
																																					=
																																					CAR
																																					(BgL_expz00_21);
																																				BgL_testz00_7592
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg2567z00_2333));
																																			}
																																			if (BgL_testz00_7592)
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_7596;
																																					goto
																																						BgL_tagzd2381zd2_1600;
																																					BgL_auxz00_7357
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_7596);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_7598;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2566z00_2332;
																																						BgL_arg2566z00_2332
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_7598
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg2566z00_2332));
																																					}
																																					if (BgL_testz00_7598)
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_7602;
																																							goto
																																								BgL_tagzd2382zd2_1601;
																																							BgL_auxz00_7357
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_7602);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																								{	/* Ast/sexp.scm 115 */
																																									goto
																																										BgL_tagzd2399zd2_1638;
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_7606;
																																									goto
																																										BgL_tagzd2400zd2_1639;
																																									BgL_auxz00_7357
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7606);
																																								}
																																						}
																																				}
																																		}
																																	return
																																		(
																																		(BgL_nodez00_bglt)
																																		BgL_auxz00_7357);
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	if (CBOOL
																																		(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_carzd23573zd2_2054)))
																																		{
																																			obj_t
																																				BgL_auxz00_7612;
																																			goto
																																				BgL_kapzd23575zd2_2056;
																																			return (
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_7612);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			if (
																																				(BgL_carzd23573zd2_2054
																																					==
																																					CNST_TABLE_REF
																																					(((long) 19))))
																																				{
																																					obj_t
																																						BgL_auxz00_7617;
																																					goto
																																						BgL_kapzd23575zd2_2056;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_7617);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					if (
																																						(BgL_carzd23573zd2_2054
																																							==
																																							CNST_TABLE_REF
																																							(((long) 20))))
																																						{
																																							obj_t
																																								BgL_auxz00_7622;
																																							goto
																																								BgL_kapzd23575zd2_2056;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_7622);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23573zd2_2054)))
																																								{
																																									obj_t
																																										BgL_auxz00_7627;
																																									goto
																																										BgL_kapzd23575zd2_2056;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_7627);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_7629;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2488z00_2218;
																																										BgL_arg2488z00_2218
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_7629
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2488z00_2218));
																																									}
																																									if (BgL_testz00_7629)
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd2381zd2_1600;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_7633;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2487z00_2217;
																																												BgL_arg2487z00_2217
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_7633
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2487z00_2217));
																																											}
																																											if (BgL_testz00_7633)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_7637;
																																													goto
																																														BgL_tagzd2382zd2_1601;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_7637);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													obj_t
																																														BgL_carzd24754zd2_2064;
																																													obj_t
																																														BgL_cdrzd24755zd2_2065;
																																													BgL_carzd24754zd2_2064
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_cdrzd24755zd2_2065
																																														=
																																														CDR
																																														(BgL_expz00_21);
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd24759zd2_2066;
																																														BgL_cdrzd24759zd2_2066
																																															=
																																															CDR
																																															(BgL_carzd24754zd2_2064);
																																														if ((CAR(BgL_carzd24754zd2_2064) == CNST_TABLE_REF(((long) 3))))
																																															{	/* Ast/sexp.scm 115 */
																																																if (PAIRP(BgL_cdrzd24759zd2_2066))
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_carzd24762zd2_2069;
																																																		obj_t
																																																			BgL_cdrzd24763zd2_2070;
																																																		BgL_carzd24762zd2_2069
																																																			=
																																																			CAR
																																																			(BgL_cdrzd24759zd2_2066);
																																																		BgL_cdrzd24763zd2_2070
																																																			=
																																																			CDR
																																																			(BgL_cdrzd24759zd2_2066);
																																																		if (PAIRP(BgL_carzd24762zd2_2069))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (NULLP(CDR(BgL_carzd24762zd2_2069)))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd24763zd2_2070))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd24769zd2_2074;
																																																								BgL_carzd24769zd2_2074
																																																									=
																																																									CAR
																																																									(BgL_cdrzd24763zd2_2070);
																																																								if (PAIRP(BgL_carzd24769zd2_2074))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd24769zd2_2074))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (NULLP(CDR(BgL_cdrzd24763zd2_2070)))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (PAIRP(BgL_cdrzd24755zd2_2065))
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_carzd24776zd2_2079;
																																																																BgL_carzd24776zd2_2079
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd24755zd2_2065);
																																																																if (PAIRP(BgL_carzd24776zd2_2079))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd24799zd2_2081;
																																																																		BgL_cdrzd24799zd2_2081
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_7676;
																																																																			obj_t
																																																																				BgL_bodyz00_7674;
																																																																			obj_t
																																																																				BgL_varsz00_7672;
																																																																			BgL_varsz00_7672
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd24799zd2_2081);
																																																																			BgL_bodyz00_7674
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd24799zd2_2081);
																																																																			BgL_argsz00_7676
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			BgL_argsz00_1608
																																																																				=
																																																																				BgL_argsz00_7676;
																																																																			BgL_bodyz00_1607
																																																																				=
																																																																				BgL_bodyz00_7674;
																																																																			BgL_varsz00_1606
																																																																				=
																																																																				BgL_varsz00_7672;
																																																																			goto
																																																																				BgL_tagzd2384zd2_1609;
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(CDR(BgL_cdrzd24755zd2_2065)))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_arg2393z00_2087;
																																																																				BgL_arg2393z00_2087
																																																																					=
																																																																					CAR
																																																																					(BgL_carzd24762zd2_2069);
																																																																				{
																																																																					BgL_castz00_bglt
																																																																						BgL_auxz00_7682;
																																																																					{
																																																																						obj_t
																																																																							BgL_argz00_7685;
																																																																						obj_t
																																																																							BgL_bodyz00_7684;
																																																																						obj_t
																																																																							BgL_varz00_7683;
																																																																						BgL_varz00_7683
																																																																							=
																																																																							BgL_arg2393z00_2087;
																																																																						BgL_bodyz00_7684
																																																																							=
																																																																							BgL_carzd24769zd2_2074;
																																																																						BgL_argz00_7685
																																																																							=
																																																																							BgL_carzd24776zd2_2079;
																																																																						BgL_argz00_1604
																																																																							=
																																																																							BgL_argz00_7685;
																																																																						BgL_bodyz00_1603
																																																																							=
																																																																							BgL_bodyz00_7684;
																																																																						BgL_varz00_1602
																																																																							=
																																																																							BgL_varz00_7683;
																																																																						goto
																																																																							BgL_tagzd2383zd2_1605;
																																																																					}
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7682);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd24825zd2_2088;
																																																																				BgL_cdrzd24825zd2_2088
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_7693;
																																																																					obj_t
																																																																						BgL_bodyz00_7691;
																																																																					obj_t
																																																																						BgL_varsz00_7689;
																																																																					BgL_varsz00_7689
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd24825zd2_2088);
																																																																					BgL_bodyz00_7691
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd24825zd2_2088);
																																																																					BgL_argsz00_7693
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					BgL_argsz00_1608
																																																																						=
																																																																						BgL_argsz00_7693;
																																																																					BgL_bodyz00_1607
																																																																						=
																																																																						BgL_bodyz00_7691;
																																																																					BgL_varsz00_1606
																																																																						=
																																																																						BgL_varsz00_7689;
																																																																					goto
																																																																						BgL_tagzd2384zd2_1609;
																																																																				}
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd24850zd2_2094;
																																																																BgL_cdrzd24850zd2_2094
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_7701;
																																																																	obj_t
																																																																		BgL_bodyz00_7699;
																																																																	obj_t
																																																																		BgL_varsz00_7697;
																																																																	BgL_varsz00_7697
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd24850zd2_2094);
																																																																	BgL_bodyz00_7699
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd24850zd2_2094);
																																																																	BgL_argsz00_7701
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	BgL_argsz00_1608
																																																																		=
																																																																		BgL_argsz00_7701;
																																																																	BgL_bodyz00_1607
																																																																		=
																																																																		BgL_bodyz00_7699;
																																																																	BgL_varsz00_1606
																																																																		=
																																																																		BgL_varsz00_7697;
																																																																	goto
																																																																		BgL_tagzd2384zd2_1609;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd24875zd2_2099;
																																																														BgL_cdrzd24875zd2_2099
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_7709;
																																																															obj_t
																																																																BgL_bodyz00_7707;
																																																															obj_t
																																																																BgL_varsz00_7705;
																																																															BgL_varsz00_7705
																																																																=
																																																																CAR
																																																																(BgL_cdrzd24875zd2_2099);
																																																															BgL_bodyz00_7707
																																																																=
																																																																CDR
																																																																(BgL_cdrzd24875zd2_2099);
																																																															BgL_argsz00_7709
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															BgL_argsz00_1608
																																																																=
																																																																BgL_argsz00_7709;
																																																															BgL_bodyz00_1607
																																																																=
																																																																BgL_bodyz00_7707;
																																																															BgL_varsz00_1606
																																																																=
																																																																BgL_varsz00_7705;
																																																															goto
																																																																BgL_tagzd2384zd2_1609;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd24900zd2_2105;
																																																												BgL_cdrzd24900zd2_2105
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_21));
																																																												{
																																																													obj_t
																																																														BgL_argsz00_7717;
																																																													obj_t
																																																														BgL_bodyz00_7715;
																																																													obj_t
																																																														BgL_varsz00_7713;
																																																													BgL_varsz00_7713
																																																														=
																																																														CAR
																																																														(BgL_cdrzd24900zd2_2105);
																																																													BgL_bodyz00_7715
																																																														=
																																																														CDR
																																																														(BgL_cdrzd24900zd2_2105);
																																																													BgL_argsz00_7717
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													BgL_argsz00_1608
																																																														=
																																																														BgL_argsz00_7717;
																																																													BgL_bodyz00_1607
																																																														=
																																																														BgL_bodyz00_7715;
																																																													BgL_varsz00_1606
																																																														=
																																																														BgL_varsz00_7713;
																																																													goto
																																																														BgL_tagzd2384zd2_1609;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd24925zd2_2110;
																																																										BgL_cdrzd24925zd2_2110
																																																											=
																																																											CDR
																																																											(BgL_carzd24754zd2_2064);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_7724;
																																																											obj_t
																																																												BgL_bodyz00_7722;
																																																											obj_t
																																																												BgL_varsz00_7720;
																																																											BgL_varsz00_7720
																																																												=
																																																												CAR
																																																												(BgL_cdrzd24925zd2_2110);
																																																											BgL_bodyz00_7722
																																																												=
																																																												CDR
																																																												(BgL_cdrzd24925zd2_2110);
																																																											BgL_argsz00_7724
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											BgL_argsz00_1608
																																																												=
																																																												BgL_argsz00_7724;
																																																											BgL_bodyz00_1607
																																																												=
																																																												BgL_bodyz00_7722;
																																																											BgL_varsz00_1606
																																																												=
																																																												BgL_varsz00_7720;
																																																											goto
																																																												BgL_tagzd2384zd2_1609;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd24950zd2_2115;
																																																								BgL_cdrzd24950zd2_2115
																																																									=
																																																									CDR
																																																									(BgL_carzd24754zd2_2064);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_7731;
																																																									obj_t
																																																										BgL_bodyz00_7729;
																																																									obj_t
																																																										BgL_varsz00_7727;
																																																									BgL_varsz00_7727
																																																										=
																																																										CAR
																																																										(BgL_cdrzd24950zd2_2115);
																																																									BgL_bodyz00_7729
																																																										=
																																																										CDR
																																																										(BgL_cdrzd24950zd2_2115);
																																																									BgL_argsz00_7731
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									BgL_argsz00_1608
																																																										=
																																																										BgL_argsz00_7731;
																																																									BgL_bodyz00_1607
																																																										=
																																																										BgL_bodyz00_7729;
																																																									BgL_varsz00_1606
																																																										=
																																																										BgL_varsz00_7727;
																																																									goto
																																																										BgL_tagzd2384zd2_1609;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd24975zd2_2120;
																																																						BgL_cdrzd24975zd2_2120
																																																							=
																																																							CDR
																																																							(BgL_carzd24754zd2_2064);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_7738;
																																																							obj_t
																																																								BgL_bodyz00_7736;
																																																							obj_t
																																																								BgL_varsz00_7734;
																																																							BgL_varsz00_7734
																																																								=
																																																								CAR
																																																								(BgL_cdrzd24975zd2_2120);
																																																							BgL_bodyz00_7736
																																																								=
																																																								CDR
																																																								(BgL_cdrzd24975zd2_2120);
																																																							BgL_argsz00_7738
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							BgL_argsz00_1608
																																																								=
																																																								BgL_argsz00_7738;
																																																							BgL_bodyz00_1607
																																																								=
																																																								BgL_bodyz00_7736;
																																																							BgL_varsz00_1606
																																																								=
																																																								BgL_varsz00_7734;
																																																							goto
																																																								BgL_tagzd2384zd2_1609;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd25000zd2_2126;
																																																				BgL_cdrzd25000zd2_2126
																																																					=
																																																					CDR
																																																					(BgL_carzd24754zd2_2064);
																																																				{
																																																					obj_t
																																																						BgL_argsz00_7745;
																																																					obj_t
																																																						BgL_bodyz00_7743;
																																																					obj_t
																																																						BgL_varsz00_7741;
																																																					BgL_varsz00_7741
																																																						=
																																																						CAR
																																																						(BgL_cdrzd25000zd2_2126);
																																																					BgL_bodyz00_7743
																																																						=
																																																						CDR
																																																						(BgL_cdrzd25000zd2_2126);
																																																					BgL_argsz00_7745
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					BgL_argsz00_1608
																																																						=
																																																						BgL_argsz00_7745;
																																																					BgL_bodyz00_1607
																																																						=
																																																						BgL_bodyz00_7743;
																																																					BgL_varsz00_1606
																																																						=
																																																						BgL_varsz00_7741;
																																																					goto
																																																						BgL_tagzd2384zd2_1609;
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_7749;
																																																				goto
																																																					BgL_tagzd2399zd2_1638;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_7749);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2400zd2_1639;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd25112zd2_2134;
																																																BgL_cdrzd25112zd2_2134
																																																	=
																																																	CDR
																																																	(BgL_carzd24754zd2_2064);
																																																if ((CAR(BgL_carzd24754zd2_2064) == CNST_TABLE_REF(((long) 1))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd25112zd2_2134))
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd25117zd2_2137;
																																																				BgL_cdrzd25117zd2_2137
																																																					=
																																																					CDR
																																																					(BgL_cdrzd25112zd2_2134);
																																																				if (PAIRP(BgL_cdrzd25117zd2_2137))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_carzd25121zd2_2139;
																																																						obj_t
																																																							BgL_cdrzd25122zd2_2140;
																																																						BgL_carzd25121zd2_2139
																																																							=
																																																							CAR
																																																							(BgL_cdrzd25117zd2_2137);
																																																						BgL_cdrzd25122zd2_2140
																																																							=
																																																							CDR
																																																							(BgL_cdrzd25117zd2_2137);
																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25121zd2_2139))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (PAIRP(BgL_cdrzd25122zd2_2140))
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_carzd25127zd2_2143;
																																																										BgL_carzd25127zd2_2143
																																																											=
																																																											CAR
																																																											(BgL_cdrzd25122zd2_2140);
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25127zd2_2143))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (NULLP(CDR(BgL_cdrzd25122zd2_2140)))
																																																													{	/* Ast/sexp.scm 115 */
																																																														bool_t
																																																															BgL_testz00_7773;
																																																														{
																																																															obj_t
																																																																BgL_l2026z00_2164;
																																																															BgL_l2026z00_2164
																																																																=
																																																																BgL_cdrzd24755zd2_2065;
																																																														BgL_zc3anonymousza32451ze3z83_2165:
																																																															if (NULLP(BgL_l2026z00_2164))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	BgL_testz00_7773
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		1);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	bool_t
																																																																		BgL_testz00_7776;
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		bool_t
																																																																			BgL_testz00_7777;
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_auxz00_7778;
																																																																			BgL_auxz00_7778
																																																																				=
																																																																				CAR
																																																																				(BgL_l2026z00_2164);
																																																																			BgL_testz00_7777
																																																																				=
																																																																				PAIRP
																																																																				(BgL_auxz00_7778);
																																																																		}
																																																																		if (BgL_testz00_7777)
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				BgL_testz00_7776
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				BgL_testz00_7776
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_7776)
																																																																		{
																																																																			obj_t
																																																																				BgL_l2026z00_7781;
																																																																			BgL_l2026z00_7781
																																																																				=
																																																																				CDR
																																																																				(BgL_l2026z00_2164);
																																																																			BgL_l2026z00_2164
																																																																				=
																																																																				BgL_l2026z00_7781;
																																																																			goto
																																																																				BgL_zc3anonymousza32451ze3z83_2165;
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			BgL_testz00_7773
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																														}
																																																														if (BgL_testz00_7773)
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_7787;
																																																																obj_t
																																																																	BgL_proc2z00_7786;
																																																																obj_t
																																																																	BgL_proc1z00_7785;
																																																																obj_t
																																																																	BgL_testz00_7783;
																																																																BgL_testz00_7783
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd25112zd2_2134);
																																																																BgL_proc1z00_7785
																																																																	=
																																																																	BgL_carzd25121zd2_2139;
																																																																BgL_proc2z00_7786
																																																																	=
																																																																	BgL_carzd25127zd2_2143;
																																																																BgL_argsz00_7787
																																																																	=
																																																																	BgL_cdrzd24755zd2_2065;
																																																																BgL_argsz00_1613
																																																																	=
																																																																	BgL_argsz00_7787;
																																																																BgL_proc2z00_1612
																																																																	=
																																																																	BgL_proc2z00_7786;
																																																																BgL_proc1z00_1611
																																																																	=
																																																																	BgL_proc1z00_7785;
																																																																BgL_testz00_1610
																																																																	=
																																																																	BgL_testz00_7783;
																																																																goto
																																																																	BgL_tagzd2385zd2_1614;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd25151zd2_2148;
																																																																BgL_cdrzd25151zd2_2148
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_cdrzd25159zd2_2149;
																																																																	BgL_cdrzd25159zd2_2149
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd25167zd2_2150;
																																																																		BgL_cdrzd25167zd2_2150
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd25159zd2_2149);
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd25174zd2_2151;
																																																																			BgL_carzd25174zd2_2151
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd25167zd2_2150);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25174zd2_2151))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_carzd25183zd2_2153;
																																																																					BgL_carzd25183zd2_2153
																																																																						=
																																																																						CAR
																																																																						(CDR
																																																																						(BgL_cdrzd25167zd2_2150));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25183zd2_2153))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25151zd2_2148))
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_7805;
																																																																									obj_t
																																																																										BgL_proc2z00_7804;
																																																																									obj_t
																																																																										BgL_proc1z00_7803;
																																																																									obj_t
																																																																										BgL_testz00_7801;
																																																																									BgL_testz00_7801
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd25159zd2_2149);
																																																																									BgL_proc1z00_7803
																																																																										=
																																																																										BgL_carzd25174zd2_2151;
																																																																									BgL_proc2z00_7804
																																																																										=
																																																																										BgL_carzd25183zd2_2153;
																																																																									BgL_argsz00_7805
																																																																										=
																																																																										BgL_cdrzd25151zd2_2148;
																																																																									BgL_argsz00_1618
																																																																										=
																																																																										BgL_argsz00_7805;
																																																																									BgL_proc2z00_1617
																																																																										=
																																																																										BgL_proc2z00_7804;
																																																																									BgL_proc1z00_1616
																																																																										=
																																																																										BgL_proc1z00_7803;
																																																																									BgL_testz00_1615
																																																																										=
																																																																										BgL_testz00_7801;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1619;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_7808;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1638;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_7808);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2400zd2_1639;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_7812;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1638;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_7812);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2400zd2_1639;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7816;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1638;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7816);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2400zd2_1639;
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_7820;
																																																																goto
																																																																	BgL_tagzd2399zd2_1638;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_auxz00_7820);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																goto
																																																																	BgL_tagzd2400zd2_1639;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd25375zd2_2175;
																																																												BgL_cdrzd25375zd2_2175
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd25382zd2_2176;
																																																													BgL_cdrzd25382zd2_2176
																																																														=
																																																														CDR
																																																														(CAR
																																																														(BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd25389zd2_2177;
																																																														BgL_cdrzd25389zd2_2177
																																																															=
																																																															CDR
																																																															(BgL_cdrzd25382zd2_2176);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd25395zd2_2178;
																																																															obj_t
																																																																BgL_cdrzd25396zd2_2179;
																																																															BgL_carzd25395zd2_2178
																																																																=
																																																																CAR
																																																																(BgL_cdrzd25389zd2_2177);
																																																															BgL_cdrzd25396zd2_2179
																																																																=
																																																																CDR
																																																																(BgL_cdrzd25389zd2_2177);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25395zd2_2178))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd25403zd2_2181;
																																																																	BgL_carzd25403zd2_2181
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd25396zd2_2179);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25403zd2_2181))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (NULLP(CDR(BgL_cdrzd25396zd2_2179)))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25375zd2_2175))
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_7842;
																																																																							obj_t
																																																																								BgL_proc2z00_7841;
																																																																							obj_t
																																																																								BgL_proc1z00_7840;
																																																																							obj_t
																																																																								BgL_testz00_7838;
																																																																							BgL_testz00_7838
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd25382zd2_2176);
																																																																							BgL_proc1z00_7840
																																																																								=
																																																																								BgL_carzd25395zd2_2178;
																																																																							BgL_proc2z00_7841
																																																																								=
																																																																								BgL_carzd25403zd2_2181;
																																																																							BgL_argsz00_7842
																																																																								=
																																																																								BgL_cdrzd25375zd2_2175;
																																																																							BgL_argsz00_1618
																																																																								=
																																																																								BgL_argsz00_7842;
																																																																							BgL_proc2z00_1617
																																																																								=
																																																																								BgL_proc2z00_7841;
																																																																							BgL_proc1z00_1616
																																																																								=
																																																																								BgL_proc1z00_7840;
																																																																							BgL_testz00_1615
																																																																								=
																																																																								BgL_testz00_7838;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1619;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_7845;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1638;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_7845);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2400zd2_1639;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7849;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1638;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7849);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2400zd2_1639;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_7853;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7853);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_7857;
																																																																			goto
																																																																				BgL_tagzd2399zd2_1638;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_7857);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2400zd2_1639;
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_7861;
																																																												goto
																																																													BgL_tagzd2399zd2_1638;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_7861);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												goto
																																																													BgL_tagzd2400zd2_1639;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd25629zd2_2193;
																																																								BgL_cdrzd25629zd2_2193
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_cdrzd25635zd2_2194;
																																																									BgL_cdrzd25635zd2_2194
																																																										=
																																																										CDR
																																																										(CAR
																																																										(BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd25641zd2_2195;
																																																										BgL_cdrzd25641zd2_2195
																																																											=
																																																											CDR
																																																											(BgL_cdrzd25635zd2_2194);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd25646zd2_2196;
																																																											obj_t
																																																												BgL_cdrzd25647zd2_2197;
																																																											BgL_carzd25646zd2_2196
																																																												=
																																																												CAR
																																																												(BgL_cdrzd25641zd2_2195);
																																																											BgL_cdrzd25647zd2_2197
																																																												=
																																																												CDR
																																																												(BgL_cdrzd25641zd2_2195);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25646zd2_2196))
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (PAIRP(BgL_cdrzd25647zd2_2197))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd25652zd2_2200;
																																																															BgL_carzd25652zd2_2200
																																																																=
																																																																CAR
																																																																(BgL_cdrzd25647zd2_2197);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25652zd2_2200))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd25647zd2_2197)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25629zd2_2193))
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_7885;
																																																																					obj_t
																																																																						BgL_proc2z00_7884;
																																																																					obj_t
																																																																						BgL_proc1z00_7883;
																																																																					obj_t
																																																																						BgL_testz00_7881;
																																																																					BgL_testz00_7881
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd25635zd2_2194);
																																																																					BgL_proc1z00_7883
																																																																						=
																																																																						BgL_carzd25646zd2_2196;
																																																																					BgL_proc2z00_7884
																																																																						=
																																																																						BgL_carzd25652zd2_2200;
																																																																					BgL_argsz00_7885
																																																																						=
																																																																						BgL_cdrzd25629zd2_2193;
																																																																					BgL_argsz00_1618
																																																																						=
																																																																						BgL_argsz00_7885;
																																																																					BgL_proc2z00_1617
																																																																						=
																																																																						BgL_proc2z00_7884;
																																																																					BgL_proc1z00_1616
																																																																						=
																																																																						BgL_proc1z00_7883;
																																																																					BgL_testz00_1615
																																																																						=
																																																																						BgL_testz00_7881;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1619;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7888;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1638;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7888);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2400zd2_1639;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_7892;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1638;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7892);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1639;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_7896;
																																																																			goto
																																																																				BgL_tagzd2399zd2_1638;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_7896);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2400zd2_1639;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_7900;
																																																																	goto
																																																																		BgL_tagzd2399zd2_1638;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_7900);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2400zd2_1639;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_7904;
																																																															goto
																																																																BgL_tagzd2399zd2_1638;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_7904);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2400zd2_1639;
																																																														}
																																																												}
																																																										}
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_7908;
																																																								goto
																																																									BgL_tagzd2399zd2_1638;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_7908);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2400zd2_1639;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_7912;
																																																						goto
																																																							BgL_tagzd2399zd2_1638;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_7912);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2400zd2_1639;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_7916;
																																																				goto
																																																					BgL_tagzd2399zd2_1638;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_7916);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2400zd2_1639;
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														if (
																															(BgL_carzd23570zd2_2052
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		18))))
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2381zd2_1600;
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																if (CBOOL
																																	(BGl_letzd2symzf3z21zzast_letz00
																																		(BgL_carzd23570zd2_2052)))
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2381zd2_1600;
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		if (
																																			(BgL_carzd23570zd2_2052
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						19))))
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2381zd2_1600;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				if (
																																					(BgL_carzd23570zd2_2052
																																						==
																																						CNST_TABLE_REF
																																						(((long) 21))))
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd2381zd2_1600;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_carzd26028zd2_2339;
																																						BgL_carzd26028zd2_2339
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						if (
																																							(BgL_carzd26028zd2_2339
																																								==
																																								CNST_TABLE_REF
																																								(((long) 20))))
																																							{
																																								BgL_letzd2funzd2_bglt
																																									BgL_auxz00_7934;
																																								goto
																																									BgL_tagzd2382zd2_1601;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_7934);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd26028zd2_2339)))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_7939;
																																										goto
																																											BgL_tagzd2382zd2_1601;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_7939);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd2387zd2_1620;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd2388zd2_1621;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd26100zd2_2344;
																																														BgL_cdrzd26100zd2_2344
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																															{	/* Ast/sexp.scm 115 */
																																																if (PAIRP(BgL_cdrzd26100zd2_2344))
																																																	{
																																																		obj_t
																																																			BgL_restz00_7958;
																																																		obj_t
																																																			BgL_effectz00_7956;
																																																		BgL_effectz00_7956
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26100zd2_2344);
																																																		BgL_restz00_7958
																																																			=
																																																			CDR
																																																			(BgL_cdrzd26100zd2_2344);
																																																		BgL_restz00_1623
																																																			=
																																																			BgL_restz00_7958;
																																																		BgL_effectz00_1622
																																																			=
																																																			BgL_effectz00_7956;
																																																		goto
																																																			BgL_tagzd2389zd2_1624;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_7962;
																																																				goto
																																																					BgL_tagzd2399zd2_1638;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_7962);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2400zd2_1639;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		goto
																																																			BgL_tagzd2390zd2_1625;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd26100zd2_2344))
																																																					{
																																																						obj_t
																																																							BgL_restz00_7976;
																																																						obj_t
																																																							BgL_effectz00_7974;
																																																						BgL_effectz00_7974
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26100zd2_2344);
																																																						BgL_restz00_7976
																																																							=
																																																							CDR
																																																							(BgL_cdrzd26100zd2_2344);
																																																						BgL_restz00_1627
																																																							=
																																																							BgL_restz00_7976;
																																																						BgL_effectz00_1626
																																																							=
																																																							BgL_effectz00_7974;
																																																						goto
																																																							BgL_tagzd2391zd2_1628;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_7980;
																																																								goto
																																																									BgL_tagzd2399zd2_1638;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_7980);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2400zd2_1639;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2392zd2_1629;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2393zd2_1630;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_7994;
																																																										goto
																																																											BgL_tagzd2394zd2_1631;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_7994);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																											{
																																																												BgL_jumpzd2exzd2itz00_bglt
																																																													BgL_auxz00_8000;
																																																												goto
																																																													BgL_tagzd2395zd2_1632;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_8000);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd26184zd2_2361;
																																																												BgL_cdrzd26184zd2_2361
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (PAIRP(BgL_cdrzd26184zd2_2361))
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd26186zd2_2364;
																																																																BgL_cdrzd26186zd2_2364
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd26184zd2_2361);
																																																																if (PAIRP(BgL_cdrzd26186zd2_2364))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(CDR(BgL_cdrzd26186zd2_2364)))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2396zd2_1633;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_8017;
																																																																						goto
																																																																							BgL_tagzd2399zd2_1638;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_8017);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2400zd2_1639;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_8021;
																																																																				goto
																																																																					BgL_tagzd2399zd2_1638;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_8021);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2400zd2_1639;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_8025;
																																																																		goto
																																																																			BgL_tagzd2399zd2_1638;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_8025);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		goto
																																																																			BgL_tagzd2400zd2_1639;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (PAIRP(BgL_cdrzd26184zd2_2361))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_arg2601z00_2374;
																																																																		obj_t
																																																																			BgL_arg2602z00_2375;
																																																																		BgL_arg2601z00_2374
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd26184zd2_2361);
																																																																		BgL_arg2602z00_2375
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd26184zd2_2361);
																																																																		return
																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																			(BgL_expz00_21,
																																																																			BgL_arg2601z00_2374,
																																																																			BgL_arg2602z00_2375,
																																																																			BgL_stackz00_22,
																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																			(BgL_expz00_21,
																																																																				BgL_locz00_23),
																																																																			BgL_sitez00_24);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_8039;
																																																																				goto
																																																																					BgL_tagzd2399zd2_1638;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_8039);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2400zd2_1639;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(CDR(BgL_expz00_21)))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2398zd2_1637;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_8049;
																																																																						goto
																																																																							BgL_tagzd2399zd2_1638;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_8049);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2400zd2_1639;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_8053;
																																																																				goto
																																																																					BgL_tagzd2399zd2_1638;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_8053);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2400zd2_1639;
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 115 */
										BgL_atomz00_1580 = BgL_expz00_21;
										{	/* Ast/sexp.scm 131 */
											bool_t BgL_testz00_8055;

											if (BGl_isazf3zf3zz__objectz00(BgL_atomz00_1580,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 131 */
													BgL_testz00_8055 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 131 */
													BgL_testz00_8055 =
														BGl_isazf3zf3zz__objectz00(BgL_atomz00_1580,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_8055)
												{	/* Ast/sexp.scm 131 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1580, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 133 */
													bool_t BgL_testz00_8060;

													if (STRUCTP(BgL_atomz00_1580))
														{	/* Ast/sexp.scm 133 */
															BgL_testz00_8060 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 133 */
															if (VECTORP(BgL_atomz00_1580))
																{	/* Ast/sexp.scm 133 */
																	BgL_testz00_8060 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 133 */
																	if (BGL_OBJECTP(BgL_atomz00_1580))
																		{	/* Ast/sexp.scm 133 */
																			BgL_testz00_8060 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 133 */
																			BgL_testz00_8060 =
																				PROCEDUREP(BgL_atomz00_1580);
																		}
																}
														}
													if (BgL_testz00_8060)
														{	/* Ast/sexp.scm 134 */
															BgL_nodez00_bglt BgL_res3203z00_4112;

															{	/* Ast/sexp.scm 134 */
																obj_t BgL_arg3055z00_4108;
																BgL_nodez00_bglt BgL_arg3056z00_4109;

																BgL_arg3055z00_4108 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg3056z00_4109 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 4)), BNIL,
																	BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 134 */
																	obj_t BgL_list3057z00_4111;

																	BgL_list3057z00_4111 =
																		MAKE_PAIR(
																		((obj_t) BgL_arg3056z00_4109), BNIL);
																	BgL_res3203z00_4112 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg3055z00_4108,
																			BGl_string3487z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list3057z00_4111));
															}}
															return BgL_res3203z00_4112;
														}
													else
														{	/* Ast/sexp.scm 133 */
															if (SYMBOLP(BgL_atomz00_1580))
																{	/* Ast/sexp.scm 140 */
																	obj_t BgL_g1112z00_2427;

																	BgL_g1112z00_2427 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1580, BgL_stackz00_22);
																	if (CBOOL(BgL_g1112z00_2427))
																		{	/* Ast/sexp.scm 140 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1112z00_2427, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 144 */
																			obj_t BgL_globalz00_2430;

																			BgL_globalz00_2430 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1580, BNIL);
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_2430,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 146 */
																					if (
																						((((BgL_globalz00_bglt) CREF(
																										((BgL_globalz00_bglt)
																											BgL_globalz00_2430)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Ast/sexp.scm 149 */
																							obj_t BgL_arg2646z00_2433;

																							{	/* Ast/sexp.scm 149 */
																								obj_t BgL_arg2647z00_2434;

																								{	/* Ast/sexp.scm 149 */
																									obj_t BgL_arg2648z00_2435;

																									{	/* Ast/sexp.scm 149 */
																										obj_t BgL_arg2649z00_2436;

																										BgL_arg2649z00_2436 =
																											MAKE_PAIR
																											(BgL_atomz00_1580, BNIL);
																										BgL_arg2648z00_2435 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 13)),
																											BgL_arg2649z00_2436);
																									}
																									BgL_arg2647z00_2434 =
																										MAKE_PAIR
																										(BgL_arg2648z00_2435, BNIL);
																								}
																								BgL_arg2646z00_2433 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 11)),
																									BgL_arg2647z00_2434);
																							}
																							{
																								obj_t BgL_expz00_8097;

																								BgL_expz00_8097 =
																									BgL_arg2646z00_2433;
																								BgL_expz00_21 = BgL_expz00_8097;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 148 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_2430,
																								BgL_locz00_23, BgL_sitez00_24);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 147 */
																					BgL_nodez00_bglt BgL_res3206z00_4126;

																					{	/* Ast/sexp.scm 147 */
																						obj_t BgL_arg3055z00_4122;
																						BgL_nodez00_bglt
																							BgL_arg3056z00_4123;
																						BgL_arg3055z00_4122 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg3056z00_4123 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 147 */
																							obj_t BgL_list3057z00_4125;

																							BgL_list3057z00_4125 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg3056z00_4123),
																								BNIL);
																							BgL_res3206z00_4126 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg3055z00_4122,
																									BGl_string3486z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list3057z00_4125));
																					}}
																					return BgL_res3206z00_4126;
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 136 */
																	BgL_atomz00_bglt BgL_new1111z00_2439;

																	{	/* Ast/sexp.scm 136 */
																		BgL_atomz00_bglt BgL_new1110z00_2440;

																		BgL_new1110z00_2440 =
																			((BgL_atomz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_atomz00_bgl))));
																		{	/* Ast/sexp.scm 136 */
																			long BgL_arg2652z00_2441;

																			{	/* Ast/sexp.scm 136 */
																				long BgL_res3207z00_4128;

																				BgL_res3207z00_4128 =
																					BGL_CLASS_INDEX
																					(BGl_atomz00zzast_nodez00);
																				BgL_arg2652z00_2441 =
																					BgL_res3207z00_4128;
																			}
																			{	/* Ast/sexp.scm 136 */
																				BgL_objectz00_bglt BgL_objz00_4129;

																				BgL_objz00_4129 =
																					((BgL_objectz00_bglt)
																					BgL_new1110z00_2440);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_4129,
																					BgL_arg2652z00_2441);
																		}}
																		{	/* Ast/sexp.scm 136 */
																			BgL_objectz00_bglt BgL_auxz00_8112;

																			BgL_auxz00_8112 =
																				((BgL_objectz00_bglt)
																				BgL_new1110z00_2440);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_8112,
																				BFALSE);
																		}
																		BgL_new1111z00_2439 = BgL_new1110z00_2440;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1111z00_2439)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1111z00_2439)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1580)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				CREF(BgL_new1111z00_2439))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1580), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1111z00_2439);
																}
														}
												}
										}
									}
							}
					}
			}
		}
	}



/* liip */
	obj_t BGl_liipz00zzast_sexpz00(obj_t BgL_argsz00_2744)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 355 */
			if (NULLP(BgL_argsz00_2744))
				{	/* Ast/sexp.scm 356 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/sexp.scm 358 */
					obj_t BgL_arg2846z00_2747;

					{	/* Ast/sexp.scm 358 */
						obj_t BgL_arg2847z00_2748;
						obj_t BgL_arg2848z00_2749;

						BgL_arg2847z00_2748 = CAR(BgL_argsz00_2744);
						BgL_arg2848z00_2749 =
							MAKE_PAIR(BGl_liipz00zzast_sexpz00(CDR(BgL_argsz00_2744)), BNIL);
						BgL_arg2846z00_2747 =
							MAKE_PAIR(BgL_arg2847z00_2748, BgL_arg2848z00_2749);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 31)), BgL_arg2846z00_2747);
		}}
	}



/* loop */
	obj_t BGl_loopz00zzast_sexpz00(obj_t BgL_expz00_5552, obj_t BgL_locz00_5551,
		obj_t BgL_varsz00_2708, obj_t BgL_argsz00_2709)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 340 */
		BGl_loopz00zzast_sexpz00:
			if (NULLP(BgL_varsz00_2708))
				{	/* Ast/sexp.scm 343 */
					if (NULLP(BgL_argsz00_2709))
						{	/* Ast/sexp.scm 344 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 344 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_5551,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string3489z00zzast_sexpz00, BgL_expz00_5552, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 343 */
					if (PAIRP(BgL_varsz00_2708))
						{	/* Ast/sexp.scm 351 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_2708)))
								{	/* Ast/sexp.scm 361 */
									obj_t BgL_argz00_2718;

									BgL_argz00_2718 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_2708));
									if (CBOOL(BgL_argz00_2718))
										{
											obj_t BgL_varsz00_8148;

											BgL_varsz00_8148 = BgL_argz00_2718;
											BgL_varsz00_2708 = BgL_varsz00_8148;
											goto BGl_loopz00zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_8149;

											BgL_varsz00_8149 = BNIL;
											BgL_varsz00_2708 = BgL_varsz00_8149;
											goto BGl_loopz00zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 366 */
									bool_t BgL_testz00_8150;

									{	/* Ast/sexp.scm 366 */
										obj_t BgL_auxz00_8151;

										BgL_auxz00_8151 = CAR(BgL_varsz00_2708);
										BgL_testz00_8150 = SYMBOLP(BgL_auxz00_8151);
									}
									if (BgL_testz00_8150)
										{	/* Ast/sexp.scm 366 */
											if (NULLP(BgL_argsz00_2709))
												{	/* Ast/sexp.scm 372 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_5551,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string3489z00zzast_sexpz00, BgL_expz00_5552,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 379 */
													obj_t BgL_arg2826z00_2725;
													obj_t BgL_arg2827z00_2726;

													{	/* Ast/sexp.scm 379 */
														obj_t BgL_arg2828z00_2727;
														obj_t BgL_arg2829z00_2728;

														BgL_arg2828z00_2727 = CAR(BgL_varsz00_2708);
														BgL_arg2829z00_2728 = CAR(BgL_argsz00_2709);
														{	/* Ast/sexp.scm 379 */
															obj_t BgL_list2830z00_2729;

															{	/* Ast/sexp.scm 379 */
																obj_t BgL_arg2831z00_2730;

																BgL_arg2831z00_2730 =
																	MAKE_PAIR(BgL_arg2829z00_2728, BNIL);
																BgL_list2830z00_2729 =
																	MAKE_PAIR(BgL_arg2828z00_2727,
																	BgL_arg2831z00_2730);
															}
															BgL_arg2826z00_2725 = BgL_list2830z00_2729;
														}
													}
													BgL_arg2827z00_2726 =
														BGl_loopz00zzast_sexpz00(BgL_expz00_5552,
														BgL_locz00_5551, CDR(BgL_varsz00_2708),
														CDR(BgL_argsz00_2709));
													return MAKE_PAIR(BgL_arg2826z00_2725,
														BgL_arg2827z00_2726);
												}
										}
									else
										{	/* Ast/sexp.scm 366 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_5551,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string3490z00zzast_sexpz00, BgL_expz00_5552, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 356 */
							obj_t BgL_arg2839z00_2738;

							{	/* Ast/sexp.scm 356 */
								obj_t BgL_arg2841z00_2740;

								BgL_arg2841z00_2740 =
									BGl_liipz00zzast_sexpz00(BgL_argsz00_2709);
								{	/* Ast/sexp.scm 353 */
									obj_t BgL_list2842z00_2741;

									{	/* Ast/sexp.scm 353 */
										obj_t BgL_arg2843z00_2742;

										BgL_arg2843z00_2742 = MAKE_PAIR(BgL_arg2841z00_2740, BNIL);
										BgL_list2842z00_2741 =
											MAKE_PAIR(BgL_varsz00_2708, BgL_arg2843z00_2742);
									}
									BgL_arg2839z00_2738 = BgL_list2842z00_2741;
								}
							}
							{	/* Ast/sexp.scm 352 */
								obj_t BgL_list2840z00_2739;

								BgL_list2840z00_2739 = MAKE_PAIR(BgL_arg2839z00_2738, BNIL);
								return BgL_list2840z00_2739;
							}
						}
				}
		}
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_5513,
		obj_t BgL_expz00_5514, obj_t BgL_stackz00_5515, obj_t BgL_locz00_5516,
		obj_t BgL_sitez00_5517)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 110 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_5514, BgL_stackz00_5515,
				BgL_locz00_5516, BgL_sitez00_5517);
		}
	}



/* &<anonymous:2856> */
	obj_t BGl_z62zc3anonymousza32856ze3ze1zzast_sexpz00(obj_t BgL_envz00_5518,
		obj_t BgL_objz00_5520, obj_t BgL_procz00_5521, obj_t BgL_msgz00_5522)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 385 */
			{	/* Ast/sexp.scm 386 */
				obj_t BgL_locz00_5519;

				BgL_locz00_5519 = PROCEDURE_REF(BgL_envz00_5518, (int) (((long) 0)));
				{
					obj_t BgL_objz00_2759;
					obj_t BgL_procz00_2760;
					obj_t BgL_msgz00_2761;

					BgL_objz00_2759 = BgL_objz00_5520;
					BgL_procz00_2760 = BgL_procz00_5521;
					BgL_msgz00_2761 = BgL_msgz00_5522;
					return
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_5519,
						BgL_objz00_2759, BgL_procz00_2760, BgL_msgz00_2761, BNIL);
				}
			}
		}
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_25,
		obj_t BgL_locz00_26, obj_t BgL_sitez00_27)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 531 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_25), BgL_locz00_26, BgL_sitez00_27);
			{	/* Ast/sexp.scm 533 */
				bool_t BgL_testz00_8180;

				if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 32))))
					{	/* Ast/sexp.scm 533 */
						BgL_testz00_8180 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 533 */
						BgL_valuez00_bglt BgL_arg2983z00_2964;

						BgL_arg2983z00_2964 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_valuez00);
						{	/* Ast/sexp.scm 533 */
							bool_t BgL_res3410z00_5249;

							{	/* Ast/sexp.scm 533 */
								obj_t BgL_objz00_5248;

								BgL_objz00_5248 = ((obj_t) BgL_arg2983z00_2964);
								BgL_res3410z00_5249 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_5248,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_8180 = BgL_res3410z00_5249;
						}
					}
				if (BgL_testz00_8180)
					{	/* Ast/sexp.scm 534 */
						bool_t BgL_testz00_8188;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_25,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 535 */
								bool_t BgL_testz00_8191;

								{	/* Ast/sexp.scm 535 */
									BgL_valuez00_bglt BgL_arg2979z00_2958;

									BgL_arg2979z00_2958 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_25))))->BgL_valuez00);
									{	/* Ast/sexp.scm 535 */
										bool_t BgL_res3413z00_5256;

										{	/* Ast/sexp.scm 535 */
											obj_t BgL_objz00_5255;

											BgL_objz00_5255 = ((obj_t) BgL_arg2979z00_2958);
											BgL_res3413z00_5256 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_5255,
												BGl_cfunz00zzast_varz00);
										}
										BgL_testz00_8191 = BgL_res3413z00_5256;
									}
								}
								if (BgL_testz00_8191)
									{	/* Ast/sexp.scm 536 */
										bool_t BgL_testz00_8197;

										{	/* Ast/sexp.scm 536 */
											obj_t BgL_arg2978z00_2957;

											BgL_arg2978z00_2957 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_8197 =
												(((BgL_backendz00_bglt) CREF(
														((BgL_backendz00_bglt) BgL_arg2978z00_2957)))->
												BgL_foreignzd2closurezd2);
										}
										if (BgL_testz00_8197)
											{	/* Ast/sexp.scm 536 */
												BgL_testz00_8188 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 536 */
												if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 29))))
													{	/* Ast/sexp.scm 537 */
														BgL_testz00_8188 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 537 */
														BgL_testz00_8188 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 535 */
										BgL_testz00_8188 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 534 */
								BgL_testz00_8188 = ((bool_t) 0);
							}
						if (BgL_testz00_8188)
							{	/* Ast/sexp.scm 539 */
								obj_t BgL_arg2968z00_2945;

								{	/* Ast/sexp.scm 539 */
									obj_t BgL_arg2969z00_2946;

									{	/* Ast/sexp.scm 539 */
										obj_t BgL_arg2971z00_2948;

										BgL_arg2971z00_2948 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg2969z00_2946 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg2971z00_2948)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 539 */
										obj_t BgL_list2970z00_2947;

										BgL_list2970z00_2947 = MAKE_PAIR(BgL_arg2969z00_2946, BNIL);
										BgL_arg2968z00_2945 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string3491z00zzast_sexpz00, BgL_list2970z00_2947);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg2968z00_2945, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_26);
							}
						else
							{	/* Ast/sexp.scm 540 */
								BgL_closurez00_bglt BgL_new1138z00_2949;

								{	/* Ast/sexp.scm 540 */
									BgL_closurez00_bglt BgL_new1137z00_2951;

									BgL_new1137z00_2951 =
										((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 540 */
										long BgL_arg2973z00_2952;

										{	/* Ast/sexp.scm 540 */
											long BgL_res3416z00_5264;

											BgL_res3416z00_5264 =
												BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
											BgL_arg2973z00_2952 = BgL_res3416z00_5264;
										}
										{	/* Ast/sexp.scm 540 */
											BgL_objectz00_bglt BgL_objz00_5265;

											BgL_objz00_5265 =
												((BgL_objectz00_bglt) BgL_new1137z00_2951);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5265,
												BgL_arg2973z00_2952);
									}}
									{	/* Ast/sexp.scm 540 */
										BgL_objectz00_bglt BgL_auxz00_8214;

										BgL_auxz00_8214 =
											((BgL_objectz00_bglt) BgL_new1137z00_2951);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_8214, BFALSE);
									}
									BgL_new1138z00_2949 = BgL_new1137z00_2951;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1138z00_2949)))->
										BgL_locz00) = ((obj_t) BgL_locz00_26), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_8219;

									{	/* Ast/sexp.scm 542 */
										BgL_typez00_bglt BgL_arg2972z00_2950;

										BgL_arg2972z00_2950 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
										BgL_auxz00_8219 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg2972z00_2950);
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1138z00_2949)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_8219), BUNSPEC);
								}
								((((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_new1138z00_2949)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1138z00_2949);
							}
					}
				else
					{	/* Ast/sexp.scm 544 */
						BgL_varz00_bglt BgL_new1140z00_2959;

						{	/* Ast/sexp.scm 544 */
							BgL_varz00_bglt BgL_new1139z00_2961;

							BgL_new1139z00_2961 =
								((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_varz00_bgl))));
							{	/* Ast/sexp.scm 544 */
								long BgL_arg2981z00_2962;

								{	/* Ast/sexp.scm 544 */
									long BgL_res3418z00_5271;

									BgL_res3418z00_5271 =
										BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
									BgL_arg2981z00_2962 = BgL_res3418z00_5271;
								}
								{	/* Ast/sexp.scm 544 */
									BgL_objectz00_bglt BgL_objz00_5272;

									BgL_objz00_5272 = ((BgL_objectz00_bglt) BgL_new1139z00_2961);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5272,
										BgL_arg2981z00_2962);
							}}
							{	/* Ast/sexp.scm 544 */
								BgL_objectz00_bglt BgL_auxz00_8234;

								BgL_auxz00_8234 = ((BgL_objectz00_bglt) BgL_new1139z00_2961);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8234, BFALSE);
							}
							BgL_new1140z00_2959 = BgL_new1139z00_2961;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1140z00_2959)))->BgL_locz00) =
							((obj_t) BgL_locz00_26), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_8239;

							{	/* Ast/sexp.scm 546 */
								BgL_typez00_bglt BgL_arg2980z00_2960;

								BgL_arg2980z00_2960 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
								BgL_auxz00_8239 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg2980z00_2960);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1140z00_2959)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_8239), BUNSPEC);
						}
						((((BgL_varz00_bglt) CREF(BgL_new1140z00_2959))->BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1140z00_2959);
					}
			}
		}
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_28,
		obj_t BgL_stackz00_29, obj_t BgL_locz00_30, obj_t BgL_sitez00_31)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 552 */
			{	/* Ast/sexp.scm 553 */
				obj_t BgL_callerz00_2965;
				obj_t BgL_locz00_2966;

				BgL_callerz00_2965 = CAR(BgL_expz00_28);
				BgL_locz00_2966 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_28,
					BgL_locz00_30);
				if (SYMBOLP(BgL_callerz00_2965))
					{	/* Ast/sexp.scm 557 */
						obj_t BgL_pidz00_2968;

						BgL_pidz00_2968 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_2965,
							BgL_locz00_2966);
						{	/* Ast/sexp.scm 557 */
							obj_t BgL_idz00_2969;

							BgL_idz00_2969 = CAR(BgL_pidz00_2968);
							{	/* Ast/sexp.scm 558 */
								obj_t BgL_typez00_2970;

								BgL_typez00_2970 = CDR(BgL_pidz00_2968);
								{	/* Ast/sexp.scm 559 */

									if ((BgL_idz00_2969 == CNST_TABLE_REF(((long) 6))))
										{	/* Ast/sexp.scm 560 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_2970),
												BgL_expz00_28, BgL_stackz00_29, BgL_locz00_2966,
												BgL_sitez00_31);
										}
									else
										{	/* Ast/sexp.scm 560 */
											if ((BgL_idz00_2969 == CNST_TABLE_REF(((long) 22))))
												{	/* Ast/sexp.scm 564 */
													bool_t BgL_testz00_8264;

													{	/* Ast/sexp.scm 564 */
														obj_t BgL_auxz00_8265;

														BgL_auxz00_8265 = CDR(BgL_expz00_28);
														BgL_testz00_8264 = PAIRP(BgL_auxz00_8265);
													}
													if (BgL_testz00_8264)
														{	/* Ast/sexp.scm 568 */
															BgL_feffectz00_bglt BgL_arg2988z00_2975;
															obj_t BgL_arg2989z00_2976;

															{	/* Ast/sexp.scm 568 */
																obj_t BgL_arg2990z00_2977;

																{	/* Ast/sexp.scm 568 */
																	obj_t BgL_pairz00_5291;

																	BgL_pairz00_5291 = BgL_expz00_28;
																	BgL_arg2990z00_2977 =
																		CAR(CDR(BgL_pairz00_5291));
																}
																BgL_arg2988z00_2975 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg2990z00_2977);
															}
															{	/* Ast/sexp.scm 569 */
																obj_t BgL_arg2991z00_2978;
																obj_t BgL_arg2992z00_2979;

																{	/* Ast/sexp.scm 569 */
																	obj_t BgL_arg2993z00_2980;

																	BgL_arg2993z00_2980 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 33)),
																		BNIL);
																	BgL_arg2991z00_2978 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 34)),
																		BgL_arg2993z00_2980);
																}
																{	/* Ast/sexp.scm 569 */
																	obj_t BgL_auxz00_8275;

																	{	/* Ast/sexp.scm 569 */
																		obj_t BgL_pairz00_5295;

																		BgL_pairz00_5295 = BgL_expz00_28;
																		BgL_auxz00_8275 =
																			CDR(CDR(BgL_pairz00_5295));
																	}
																	BgL_arg2992z00_2979 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_8275, BNIL);
																}
																BgL_arg2989z00_2976 =
																	MAKE_PAIR(BgL_arg2991z00_2978,
																	BgL_arg2992z00_2979);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg2988z00_2975),
																((BgL_typez00_bglt) BgL_typez00_2970),
																BgL_arg2989z00_2976, BgL_stackz00_29,
																BgL_locz00_2966, BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 567 */
															obj_t BgL_arg2995z00_2982;

															BgL_arg2995z00_2982 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_28, BgL_locz00_2966);
															{	/* Ast/sexp.scm 565 */
																BgL_nodez00_bglt BgL_res3424z00_5306;

																{	/* Ast/sexp.scm 565 */
																	obj_t BgL_arg3055z00_5302;
																	BgL_nodez00_bglt BgL_arg3056z00_5303;

																	BgL_arg3055z00_5302 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg3056z00_5303 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 4)), BNIL,
																		BgL_arg2995z00_2982,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 565 */
																		obj_t BgL_list3057z00_5305;

																		BgL_list3057z00_5305 =
																			MAKE_PAIR(
																			((obj_t) BgL_arg3056z00_5303), BNIL);
																		BgL_res3424z00_5306 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg2995z00_2982, BgL_arg3055z00_5302,
																				BGl_string3492z00zzast_sexpz00,
																				BgL_expz00_28, BgL_list3057z00_5305));
																}}
																return BgL_res3424z00_5306;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 560 */
													if ((BgL_idz00_2969 == CNST_TABLE_REF(((long) 23))))
														{	/* Ast/sexp.scm 560 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_2970),
																BgL_expz00_28, BgL_stackz00_29, BgL_locz00_2966,
																BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 560 */
															if (
																(BgL_idz00_2969 == CNST_TABLE_REF(((long) 24))))
																{	/* Ast/sexp.scm 574 */
																	bool_t BgL_testz00_8301;

																	{	/* Ast/sexp.scm 574 */
																		obj_t BgL_auxz00_8302;

																		BgL_auxz00_8302 = CDR(BgL_expz00_28);
																		BgL_testz00_8301 = PAIRP(BgL_auxz00_8302);
																	}
																	if (BgL_testz00_8301)
																		{	/* Ast/sexp.scm 578 */
																			BgL_feffectz00_bglt BgL_arg3000z00_2987;
																			obj_t BgL_arg3001z00_2988;

																			{	/* Ast/sexp.scm 578 */
																				obj_t BgL_arg3002z00_2989;

																				{	/* Ast/sexp.scm 578 */
																					obj_t BgL_pairz00_5316;

																					BgL_pairz00_5316 = BgL_expz00_28;
																					BgL_arg3002z00_2989 =
																						CAR(CDR(BgL_pairz00_5316));
																				}
																				BgL_arg3000z00_2987 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg3002z00_2989);
																			}
																			{	/* Ast/sexp.scm 579 */
																				obj_t BgL_arg3003z00_2990;
																				obj_t BgL_arg3004z00_2991;

																				{	/* Ast/sexp.scm 579 */
																					obj_t BgL_arg3005z00_2992;

																					BgL_arg3005z00_2992 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								33)), BNIL);
																					BgL_arg3003z00_2990 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								34)), BgL_arg3005z00_2992);
																				}
																				{	/* Ast/sexp.scm 579 */
																					obj_t BgL_auxz00_8312;

																					{	/* Ast/sexp.scm 579 */
																						obj_t BgL_pairz00_5320;

																						BgL_pairz00_5320 = BgL_expz00_28;
																						BgL_auxz00_8312 =
																							CDR(CDR(BgL_pairz00_5320));
																					}
																					BgL_arg3004z00_2991 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_8312, BNIL);
																				}
																				BgL_arg3001z00_2988 =
																					MAKE_PAIR(BgL_arg3003z00_2990,
																					BgL_arg3004z00_2991);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg3000z00_2987),
																				((BgL_typez00_bglt) BgL_typez00_2970),
																				BgL_arg3001z00_2988, BgL_stackz00_29,
																				BgL_locz00_2966, BgL_sitez00_31);
																		}
																	else
																		{	/* Ast/sexp.scm 577 */
																			obj_t BgL_arg3008z00_2994;

																			BgL_arg3008z00_2994 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_28, BgL_locz00_2966);
																			{	/* Ast/sexp.scm 575 */
																				BgL_nodez00_bglt BgL_res3428z00_5331;

																				{	/* Ast/sexp.scm 575 */
																					obj_t BgL_arg3055z00_5327;
																					BgL_nodez00_bglt BgL_arg3056z00_5328;

																					BgL_arg3055z00_5327 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg3056z00_5328 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 4)), BNIL,
																						BgL_arg3008z00_2994,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 575 */
																						obj_t BgL_list3057z00_5330;

																						BgL_list3057z00_5330 =
																							MAKE_PAIR(
																							((obj_t) BgL_arg3056z00_5328),
																							BNIL);
																						BgL_res3428z00_5331 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg3008z00_2994,
																								BgL_arg3055z00_5327,
																								BGl_string3493z00zzast_sexpz00,
																								BgL_expz00_28,
																								BgL_list3057z00_5330));
																				}}
																				return BgL_res3428z00_5331;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 560 */
																	if (
																		(BgL_idz00_2969 ==
																			CNST_TABLE_REF(((long) 3))))
																		{
																			obj_t BgL_argsz00_2997;
																			obj_t BgL_bodyz00_2998;

																			if (PAIRP(BgL_expz00_28))
																				{	/* Ast/sexp.scm 582 */
																					obj_t BgL_cdrzd26448zd2_3003;

																					BgL_cdrzd26448zd2_3003 =
																						CDR(BgL_expz00_28);
																					if (PAIRP(BgL_cdrzd26448zd2_3003))
																						{	/* Ast/sexp.scm 582 */
																							BgL_argsz00_2997 =
																								CAR(BgL_cdrzd26448zd2_3003);
																							BgL_bodyz00_2998 =
																								CDR(BgL_cdrzd26448zd2_3003);
																							{	/* Ast/sexp.scm 584 */
																								obj_t BgL_locz00_3007;

																								BgL_locz00_3007 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_28,
																									BgL_locz00_2966);
																								{	/* Ast/sexp.scm 584 */
																									obj_t BgL_funz00_3008;

																									BgL_funz00_3008 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													3))));
																									{	/* Ast/sexp.scm 585 */
																										obj_t BgL_tfunz00_3009;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_2970)))
																											{	/* Ast/sexp.scm 587 */
																												obj_t
																													BgL_arg3025z00_3020;
																												BgL_arg3025z00_3020 =
																													(((BgL_typez00_bglt)
																														CREF((
																																(BgL_typez00_bglt)
																																BgL_typez00_2970)))->
																													BgL_idz00);
																												BgL_tfunz00_3009 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_3008,
																													BgL_arg3025z00_3020);
																											}
																										else
																											{	/* Ast/sexp.scm 586 */
																												BgL_tfunz00_3009 =
																													BgL_funz00_3008;
																											}
																										{	/* Ast/sexp.scm 586 */

																											{	/* Ast/sexp.scm 590 */
																												obj_t
																													BgL_arg3015z00_3010;
																												{	/* Ast/sexp.scm 590 */
																													obj_t
																														BgL_arg3016z00_3011;
																													obj_t
																														BgL_arg3017z00_3012;
																													BgL_arg3016z00_3011 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 590 */
																														obj_t
																															BgL_arg3018z00_3013;
																														obj_t
																															BgL_arg3019z00_3014;
																														{	/* Ast/sexp.scm 590 */
																															obj_t
																																BgL_arg3020z00_3015;
																															{	/* Ast/sexp.scm 590 */
																																obj_t
																																	BgL_arg3021z00_3016;
																																{	/* Ast/sexp.scm 590 */
																																	obj_t
																																		BgL_arg3022z00_3017;
																																	BgL_arg3022z00_3017
																																		=
																																		MAKE_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_2998),
																																		BNIL);
																																	BgL_arg3021z00_3016
																																		=
																																		MAKE_PAIR
																																		(BgL_argsz00_2997,
																																		BgL_arg3022z00_3017);
																																}
																																BgL_arg3020z00_3015
																																	=
																																	MAKE_PAIR
																																	(BgL_tfunz00_3009,
																																	BgL_arg3021z00_3016);
																															}
																															BgL_arg3018z00_3013
																																=
																																MAKE_PAIR
																																(BgL_arg3020z00_3015,
																																BNIL);
																														}
																														BgL_arg3019z00_3014
																															=
																															MAKE_PAIR
																															(BgL_funz00_3008,
																															BNIL);
																														BgL_arg3017z00_3012
																															=
																															MAKE_PAIR
																															(BgL_arg3018z00_3013,
																															BgL_arg3019z00_3014);
																													}
																													BgL_arg3015z00_3010 =
																														MAKE_PAIR
																														(BgL_arg3016z00_3011,
																														BgL_arg3017z00_3012);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg3015z00_3010,
																													BgL_stackz00_29,
																													BgL_locz00_3007,
																													BgL_sitez00_31);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 582 */
																						BgL_tagzd26441zd2_3000:
																							{	/* Ast/sexp.scm 596 */
																								BgL_nodez00_bglt
																									BgL_res3431z00_5345;
																								{	/* Ast/sexp.scm 596 */
																									obj_t BgL_arg3055z00_5341;
																									BgL_nodez00_bglt
																										BgL_arg3056z00_5342;
																									BgL_arg3055z00_5341 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg3056z00_5342 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 4)),
																										BNIL, BgL_locz00_2966,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 596 */
																										obj_t BgL_list3057z00_5344;

																										BgL_list3057z00_5344 =
																											MAKE_PAIR(
																											((obj_t)
																												BgL_arg3056z00_5342),
																											BNIL);
																										BgL_res3431z00_5345 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_2966,
																												BgL_arg3055z00_5341,
																												BGl_string3494z00zzast_sexpz00,
																												BgL_expz00_28,
																												BgL_list3057z00_5344));
																								}}
																								return BgL_res3431z00_5345;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 582 */
																					goto BgL_tagzd26441zd2_3000;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 560 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_28, BgL_stackz00_29,
																				BgL_locz00_2966, BgL_sitez00_31);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 555 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_28,
							BgL_stackz00_29, BgL_locz00_2966, BgL_sitez00_31);
					}
			}
		}
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_32, obj_t BgL_stackz00_33, obj_t BgL_locz00_34,
		obj_t BgL_sitez00_35)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 604 */
			{
				obj_t BgL_expsz00_3024;
				obj_t BgL_resz00_3025;
				obj_t BgL_locz00_3026;

				BgL_expsz00_3024 = BgL_expza2za2_32;
				BgL_resz00_3025 = BNIL;
				BgL_locz00_3026 = BgL_locz00_34;
			BgL_zc3anonymousza33027ze3z83_3027:
				if (NULLP(BgL_expsz00_3024))
					{	/* Ast/sexp.scm 610 */
						BgL_nodez00_bglt BgL_res3435z00_5362;

						{	/* Ast/sexp.scm 610 */
							obj_t BgL_arg3055z00_5358;
							BgL_nodez00_bglt BgL_arg3056z00_5359;

							BgL_arg3055z00_5358 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg3056z00_5359 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
								BNIL, BgL_locz00_3026, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 610 */
								obj_t BgL_list3057z00_5361;

								BgL_list3057z00_5361 =
									MAKE_PAIR(((obj_t) BgL_arg3056z00_5359), BNIL);
								BgL_res3435z00_5362 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_3026, BgL_arg3055z00_5358,
										BGl_string3495z00zzast_sexpz00, BgL_expsz00_3024,
										BgL_list3057z00_5361));
						}}
						return ((obj_t) BgL_res3435z00_5362);
					}
				else
					{	/* Ast/sexp.scm 609 */
						if (NULLP(CDR(BgL_expsz00_3024)))
							{	/* Ast/sexp.scm 612 */
								obj_t BgL_locz00_3030;
								obj_t BgL_nsitez00_3031;

								BgL_locz00_3030 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_3024),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_3024, BgL_locz00_3026));
								if ((BgL_sitez00_35 == CNST_TABLE_REF(((long) 32))))
									{	/* Ast/sexp.scm 614 */
										BgL_nsitez00_3031 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 614 */
										BgL_nsitez00_3031 = BgL_sitez00_35;
									}
								{	/* Ast/sexp.scm 615 */
									obj_t BgL_arg3030z00_3032;

									{	/* Ast/sexp.scm 615 */
										BgL_nodez00_bglt BgL_arg3031z00_3033;

										BgL_arg3031z00_3033 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_expsz00_3024),
											BgL_stackz00_33, BgL_locz00_3030, BgL_nsitez00_3031);
										BgL_arg3030z00_3032 =
											MAKE_PAIR(((obj_t) BgL_arg3031z00_3033), BgL_resz00_3025);
									}
									return bgl_reverse_bang(BgL_arg3030z00_3032);
								}
							}
						else
							{	/* Ast/sexp.scm 617 */
								obj_t BgL_locz00_3038;

								BgL_locz00_3038 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_3024),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_3024, BgL_locz00_3026));
								{	/* Ast/sexp.scm 619 */
									obj_t BgL_arg3036z00_3039;
									obj_t BgL_arg3037z00_3040;

									BgL_arg3036z00_3039 = CDR(BgL_expsz00_3024);
									{	/* Ast/sexp.scm 620 */
										BgL_nodez00_bglt BgL_arg3038z00_3041;

										{	/* Ast/sexp.scm 620 */
											obj_t BgL_arg3039z00_3042;

											BgL_arg3039z00_3042 = CAR(BgL_expsz00_3024);
											BgL_arg3038z00_3041 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3039z00_3042,
												BgL_stackz00_33, BgL_locz00_3038,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg3037z00_3040 =
											MAKE_PAIR(((obj_t) BgL_arg3038z00_3041), BgL_resz00_3025);
									}
									{
										obj_t BgL_locz00_8409;
										obj_t BgL_resz00_8408;
										obj_t BgL_expsz00_8407;

										BgL_expsz00_8407 = BgL_arg3036z00_3039;
										BgL_resz00_8408 = BgL_arg3037z00_3040;
										BgL_locz00_8409 = BgL_locz00_3038;
										BgL_locz00_3026 = BgL_locz00_8409;
										BgL_resz00_3025 = BgL_resz00_8408;
										BgL_expsz00_3024 = BgL_expsz00_8407;
										goto BgL_zc3anonymousza33027ze3z83_3027;
									}
								}
							}
					}
			}
		}
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_5525,
		obj_t BgL_expza2za2_5526, obj_t BgL_stackz00_5527, obj_t BgL_locz00_5528,
		obj_t BgL_sitez00_5529)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 604 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_5526,
				BgL_stackz00_5527, BgL_locz00_5528, BgL_sitez00_5529);
		}
	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_36,
		obj_t BgL_stackz00_37)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 633 */
			{	/* Ast/sexp.scm 634 */
				bool_t BgL_testz00_8411;

				if ((BgL_namez00_36 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 634 */
						BgL_testz00_8411 =
							(BgL_stackz00_37 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 634 */
						BgL_testz00_8411 = ((bool_t) 0);
					}
				if (BgL_testz00_8411)
					{	/* Ast/sexp.scm 634 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 634 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_36;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_37;
						{
							obj_t BgL_stackz00_3049;

							BgL_stackz00_3049 = BgL_stackz00_37;
						BgL_zc3anonymousza33044ze3z83_3050:
							if (NULLP(BgL_stackz00_3049))
								{	/* Ast/sexp.scm 641 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 644 */
									bool_t BgL_testz00_8417;

									{	/* Ast/sexp.scm 644 */
										obj_t BgL_auxz00_8418;

										{
											BgL_variablez00_bglt BgL_auxz00_8419;

											{
												BgL_localz00_bglt BgL_auxz00_8420;

												{	/* Ast/sexp.scm 644 */
													obj_t BgL_pairz00_5373;

													BgL_pairz00_5373 = BgL_stackz00_3049;
													BgL_auxz00_8420 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_5373));
												}
												BgL_auxz00_8419 =
													((BgL_variablez00_bglt) BgL_auxz00_8420);
											}
											BgL_auxz00_8418 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_8419))->
												BgL_idz00);
										}
										BgL_testz00_8417 = (BgL_auxz00_8418 == BgL_namez00_36);
									}
									if (BgL_testz00_8417)
										{	/* Ast/sexp.scm 644 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(BgL_stackz00_3049);
											return CAR(BgL_stackz00_3049);
										}
									else
										{
											obj_t BgL_stackz00_8428;

											BgL_stackz00_8428 = CDR(BgL_stackz00_3049);
											BgL_stackz00_3049 = BgL_stackz00_8428;
											goto BgL_zc3anonymousza33044ze3z83_3050;
										}
								}
						}
					}
			}
		}
	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_5530,
		obj_t BgL_namez00_5531, obj_t BgL_stackz00_5532)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 633 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_5531, BgL_stackz00_5532);
		}
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_38,
		obj_t BgL_locz00_39, obj_t BgL_sitez00_40)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 653 */
			if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
				{	/* Ast/sexp.scm 656 */
					obj_t BgL_vz00_5381;

					BgL_vz00_5381 = CNST_TABLE_REF(((long) 35));
					((((BgL_variablez00_bglt) CREF(BgL_varz00_38))->BgL_accessz00) =
						((obj_t) BgL_vz00_5381), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 655 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 657 */
				BgL_valuez00_bglt BgL_valz00_3059;

				BgL_valz00_3059 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_38))->BgL_valuez00);
				{	/* Ast/sexp.scm 658 */
					bool_t BgL_testz00_8437;

					if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
						{	/* Ast/sexp.scm 658 */
							bool_t BgL_res3440z00_5387;

							{	/* Ast/sexp.scm 658 */
								obj_t BgL_objz00_5386;

								BgL_objz00_5386 = ((obj_t) BgL_valz00_3059);
								BgL_res3440z00_5387 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_5386,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_8437 = BgL_res3440z00_5387;
						}
					else
						{	/* Ast/sexp.scm 658 */
							BgL_testz00_8437 = ((bool_t) 0);
						}
					if (BgL_testz00_8437)
						{	/* Ast/sexp.scm 659 */
							obj_t BgL_arg3053z00_3061;

							BgL_arg3053z00_3061 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_38));
							{	/* Ast/sexp.scm 659 */
								BgL_nodez00_bglt BgL_res3441z00_5395;

								{	/* Ast/sexp.scm 659 */
									obj_t BgL_arg3055z00_5391;
									BgL_nodez00_bglt BgL_arg3056z00_5392;

									BgL_arg3055z00_5391 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg3056z00_5392 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												4)), BNIL, BgL_locz00_39, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 659 */
										obj_t BgL_list3057z00_5394;

										BgL_list3057z00_5394 =
											MAKE_PAIR(((obj_t) BgL_arg3056z00_5392), BNIL);
										BgL_res3441z00_5395 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_39, BgL_arg3055z00_5391,
												BGl_string3496z00zzast_sexpz00, BgL_arg3053z00_3061,
												BgL_list3057z00_5394));
								}}
								return ((obj_t) BgL_res3441z00_5395);
							}
						}
					else
						{	/* Ast/sexp.scm 658 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_5533,
		obj_t BgL_varz00_5534, obj_t BgL_locz00_5535, obj_t BgL_sitez00_5536)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 653 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_5534), BgL_locz00_5535,
				BgL_sitez00_5536);
		}
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_41,
		obj_t BgL_expz00_42, obj_t BgL_locz00_43)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 664 */
			{	/* Ast/sexp.scm 666 */
				obj_t BgL_arg3055z00_3063;
				BgL_nodez00_bglt BgL_arg3056z00_3064;

				BgL_arg3055z00_3063 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg3056z00_3064 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)), BNIL,
					BgL_locz00_43, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 665 */
					obj_t BgL_list3057z00_3065;

					BgL_list3057z00_3065 = MAKE_PAIR(((obj_t) BgL_arg3056z00_3064), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_43,
							BgL_arg3055z00_3063, BgL_msgz00_41, BgL_expz00_42,
							BgL_list3057z00_3065));
				}
			}
		}
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_5537, obj_t BgL_msgz00_5538, obj_t BgL_expz00_5539,
		obj_t BgL_locz00_5540)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 664 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_5538,
				BgL_expz00_5539, BgL_locz00_5540);
		}
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_44, BgL_nodez00_bglt BgL_refz00_45)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 674 */
			{	/* Ast/sexp.scm 675 */
				BgL_nodez00_bglt BgL_funz00_3067;

				BgL_funz00_3067 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 36)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 32)));
				{	/* Ast/sexp.scm 676 */
					bool_t BgL_testz00_8470;

					{	/* Ast/sexp.scm 676 */
						bool_t BgL_res3442z00_5397;

						{	/* Ast/sexp.scm 676 */
							obj_t BgL_objz00_5396;

							BgL_objz00_5396 = ((obj_t) BgL_funz00_3067);
							BgL_res3442z00_5397 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5396,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8470 = BgL_res3442z00_5397;
					}
					if (BgL_testz00_8470)
						{	/* Ast/sexp.scm 677 */
							BgL_appz00_bglt BgL_new1143z00_3069;

							{	/* Ast/sexp.scm 677 */
								BgL_appz00_bglt BgL_new1142z00_3076;

								BgL_new1142z00_3076 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 677 */
									long BgL_arg3067z00_3077;

									{	/* Ast/sexp.scm 677 */
										long BgL_res3443z00_5399;

										BgL_res3443z00_5399 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg3067z00_3077 = BgL_res3443z00_5399;
									}
									{	/* Ast/sexp.scm 677 */
										BgL_objectz00_bglt BgL_objz00_5400;

										BgL_objz00_5400 =
											((BgL_objectz00_bglt) BgL_new1142z00_3076);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5400,
											BgL_arg3067z00_3077);
								}}
								{	/* Ast/sexp.scm 677 */
									BgL_objectz00_bglt BgL_auxz00_8477;

									BgL_auxz00_8477 = ((BgL_objectz00_bglt) BgL_new1142z00_3076);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_8477, BFALSE);
								}
								BgL_new1143z00_3069 = BgL_new1142z00_3076;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1143z00_3069)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1143z00_3069)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1143z00_3069)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1143z00_3069)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1143z00_3069))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_3067)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_8492;

								{	/* Ast/sexp.scm 680 */
									BgL_nodez00_bglt BgL_arg3061z00_3070;

									{	/* Ast/sexp.scm 680 */
										obj_t BgL_arg3064z00_3073;

										{	/* Ast/sexp.scm 680 */
											obj_t BgL_arg3065z00_3074;

											{	/* Ast/sexp.scm 680 */
												obj_t BgL_arg3066z00_3075;

												BgL_arg3066z00_3075 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_44)))->
													BgL_idz00);
												BgL_arg3065z00_3074 =
													MAKE_PAIR(BgL_arg3066z00_3075, BNIL);
											}
											BgL_arg3064z00_3073 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg3065z00_3074);
										}
										BgL_arg3061z00_3070 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3064z00_3073,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 680 */
										obj_t BgL_list3062z00_3071;

										{	/* Ast/sexp.scm 680 */
											obj_t BgL_arg3063z00_3072;

											BgL_arg3063z00_3072 =
												MAKE_PAIR(((obj_t) BgL_refz00_45), BNIL);
											BgL_list3062z00_3071 =
												MAKE_PAIR(
												((obj_t) BgL_arg3061z00_3070), BgL_arg3063z00_3072);
										}
										BgL_auxz00_8492 = BgL_list3062z00_3071;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1143z00_3069))->BgL_argsz00) =
									((obj_t) BgL_auxz00_8492), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1143z00_3069);
						}
					else
						{	/* Ast/sexp.scm 676 */
							return BgL_funz00_3067;
						}
				}
			}
		}
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5541, obj_t BgL_globalz00_5542, obj_t BgL_refz00_5543)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 674 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5542),
				((BgL_nodez00_bglt) BgL_refz00_5543));
		}
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_46)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 686 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 688 */
				BgL_nodez00_bglt BgL_funz00_3078;

				BgL_funz00_3078 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 37)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 32)));
				{	/* Ast/sexp.scm 689 */
					bool_t BgL_testz00_8515;

					{	/* Ast/sexp.scm 689 */
						bool_t BgL_res3446z00_5408;

						{	/* Ast/sexp.scm 689 */
							obj_t BgL_objz00_5407;

							BgL_objz00_5407 = ((obj_t) BgL_funz00_3078);
							BgL_res3446z00_5408 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5407,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8515 = BgL_res3446z00_5408;
					}
					if (BgL_testz00_8515)
						{	/* Ast/sexp.scm 690 */
							BgL_appz00_bglt BgL_new1145z00_3080;

							{	/* Ast/sexp.scm 690 */
								BgL_appz00_bglt BgL_new1144z00_3088;

								BgL_new1144z00_3088 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 690 */
									long BgL_arg3077z00_3089;

									{	/* Ast/sexp.scm 690 */
										long BgL_res3447z00_5410;

										BgL_res3447z00_5410 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg3077z00_3089 = BgL_res3447z00_5410;
									}
									{	/* Ast/sexp.scm 690 */
										BgL_objectz00_bglt BgL_objz00_5411;

										BgL_objz00_5411 =
											((BgL_objectz00_bglt) BgL_new1144z00_3088);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5411,
											BgL_arg3077z00_3089);
								}}
								{	/* Ast/sexp.scm 690 */
									BgL_objectz00_bglt BgL_auxz00_8522;

									BgL_auxz00_8522 = ((BgL_objectz00_bglt) BgL_new1144z00_3088);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_8522, BFALSE);
								}
								BgL_new1145z00_3080 = BgL_new1144z00_3088;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1145z00_3080)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1145z00_3080)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1145z00_3080)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1145z00_3080)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1145z00_3080))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_3078)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_8537;

								{	/* Ast/sexp.scm 693 */
									BgL_nodez00_bglt BgL_arg3069z00_3081;
									BgL_nodez00_bglt BgL_arg3070z00_3082;

									{	/* Ast/sexp.scm 693 */
										obj_t BgL_arg3074z00_3085;

										{	/* Ast/sexp.scm 693 */
											obj_t BgL_arg3075z00_3086;

											{	/* Ast/sexp.scm 693 */
												obj_t BgL_arg3076z00_3087;

												BgL_arg3076z00_3087 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_46)))->
													BgL_idz00);
												BgL_arg3075z00_3086 =
													MAKE_PAIR(BgL_arg3076z00_3087, BNIL);
											}
											BgL_arg3074z00_3085 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg3075z00_3086);
										}
										BgL_arg3069z00_3081 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3074z00_3085,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg3070z00_3082 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_46), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 693 */
										obj_t BgL_list3071z00_3083;

										{	/* Ast/sexp.scm 693 */
											obj_t BgL_arg3073z00_3084;

											BgL_arg3073z00_3084 =
												MAKE_PAIR(((obj_t) BgL_arg3070z00_3082), BNIL);
											BgL_list3071z00_3083 =
												MAKE_PAIR(
												((obj_t) BgL_arg3069z00_3081), BgL_arg3073z00_3084);
										}
										BgL_auxz00_8537 = BgL_list3071z00_3083;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1145z00_3080))->BgL_argsz00) =
									((obj_t) BgL_auxz00_8537), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1145z00_3080);
						}
					else
						{	/* Ast/sexp.scm 689 */
							return BgL_funz00_3078;
						}
				}
			}
		}
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_5544, obj_t BgL_globalz00_5545)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 686 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5545));
		}
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_47)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 700 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_47), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 702 */
				BgL_nodez00_bglt BgL_funz00_3090;

				BgL_funz00_3090 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 38)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 32)));
				{	/* Ast/sexp.scm 703 */
					bool_t BgL_testz00_8562;

					{	/* Ast/sexp.scm 703 */
						bool_t BgL_res3450z00_5419;

						{	/* Ast/sexp.scm 703 */
							obj_t BgL_objz00_5418;

							BgL_objz00_5418 = ((obj_t) BgL_funz00_3090);
							BgL_res3450z00_5419 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5418,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8562 = BgL_res3450z00_5419;
					}
					if (BgL_testz00_8562)
						{	/* Ast/sexp.scm 704 */
							obj_t BgL_exprz00_3092;

							{	/* Ast/sexp.scm 704 */
								bool_t BgL_testz00_8565;

								{	/* Ast/sexp.scm 704 */
									obj_t BgL_arg3085z00_3101;

									BgL_arg3085z00_3101 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_8565 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg3085z00_3101)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_8565)
									{	/* Ast/sexp.scm 705 */
										obj_t BgL_arg3083z00_3099;

										{	/* Ast/sexp.scm 705 */
											obj_t BgL_arg3084z00_3100;

											BgL_arg3084z00_3100 =
												MAKE_PAIR(((obj_t) BgL_globalz00_47), BNIL);
											BgL_arg3083z00_3099 =
												MAKE_PAIR(BGl_string3497z00zzast_sexpz00,
												BgL_arg3084z00_3100);
										}
										BgL_exprz00_3092 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 39)),
											BgL_arg3083z00_3099);
									}
								else
									{	/* Ast/sexp.scm 704 */
										BgL_exprz00_3092 = ((obj_t) BgL_globalz00_47);
									}
							}
							{	/* Ast/sexp.scm 707 */
								BgL_appz00_bglt BgL_new1147z00_3093;

								{	/* Ast/sexp.scm 707 */
									BgL_appz00_bglt BgL_new1146z00_3096;

									BgL_new1146z00_3096 =
										((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 707 */
										long BgL_arg3081z00_3097;

										{	/* Ast/sexp.scm 707 */
											long BgL_res3452z00_5424;

											BgL_res3452z00_5424 =
												BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
											BgL_arg3081z00_3097 = BgL_res3452z00_5424;
										}
										{	/* Ast/sexp.scm 707 */
											BgL_objectz00_bglt BgL_objz00_5425;

											BgL_objz00_5425 =
												((BgL_objectz00_bglt) BgL_new1146z00_3096);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5425,
												BgL_arg3081z00_3097);
									}}
									{	/* Ast/sexp.scm 707 */
										BgL_objectz00_bglt BgL_auxz00_8579;

										BgL_auxz00_8579 =
											((BgL_objectz00_bglt) BgL_new1146z00_3096);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_8579, BFALSE);
									}
									BgL_new1147z00_3093 = BgL_new1146z00_3096;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1147z00_3093)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1147z00_3093)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1147z00_3093)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1147z00_3093)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) CREF(BgL_new1147z00_3093))->BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_3090)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_8596;

									{	/* Ast/sexp.scm 710 */
										BgL_nodez00_bglt BgL_arg3079z00_3094;

										BgL_arg3079z00_3094 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_3092, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 710 */
											obj_t BgL_list3080z00_3095;

											BgL_list3080z00_3095 =
												MAKE_PAIR(((obj_t) BgL_arg3079z00_3094), BNIL);
											BgL_auxz00_8596 = BgL_list3080z00_3095;
									}}
									((((BgL_appz00_bglt) CREF(BgL_new1147z00_3093))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_8596), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1147z00_3093);
							}
						}
					else
						{	/* Ast/sexp.scm 703 */
							return BgL_funz00_3090;
						}
				}
			}
		}
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5546, obj_t BgL_globalz00_5547)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 700 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5547));
		}
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_48, obj_t BgL_prefz00_49)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 716 */
			{	/* Ast/sexp.scm 717 */
				obj_t BgL_prefz00_3102;

				{	/* Ast/sexp.scm 717 */
					bool_t BgL_testz00_8605;

					if (PAIRP(BgL_prefz00_49))
						{	/* Ast/sexp.scm 717 */
							obj_t BgL_auxz00_8608;

							BgL_auxz00_8608 = CAR(BgL_prefz00_49);
							BgL_testz00_8605 = STRINGP(BgL_auxz00_8608);
						}
					else
						{	/* Ast/sexp.scm 717 */
							BgL_testz00_8605 = ((bool_t) 0);
						}
					if (BgL_testz00_8605)
						{	/* Ast/sexp.scm 717 */
							BgL_prefz00_3102 = CAR(BgL_prefz00_49);
						}
					else
						{	/* Ast/sexp.scm 717 */
							BgL_prefz00_3102 = BGl_string3498z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 720 */
					bool_t BgL_testz00_8612;

					if (STRUCTP(BgL_locz00_48))
						{	/* Ast/sexp.scm 720 */
							BgL_testz00_8612 =
								(STRUCT_KEY(BgL_locz00_48) == CNST_TABLE_REF(((long) 40)));
						}
					else
						{	/* Ast/sexp.scm 720 */
							BgL_testz00_8612 = ((bool_t) 0);
						}
					if (BgL_testz00_8612)
						{	/* Ast/sexp.scm 721 */
							obj_t BgL_filez00_3104;
							obj_t BgL_linez00_3105;
							obj_t BgL_basez00_3106;

							BgL_filez00_3104 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_48);
							BgL_linez00_3105 = STRUCT_REF(BgL_locz00_48, (int) (((long) 2)));
							{	/* Ast/sexp.scm 723 */
								obj_t BgL_arg3105z00_3128;

								BgL_arg3105z00_3128 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string3499z00zzast_sexpz00, BgL_prefz00_3102,
										BGl_string3500z00zzast_sexpz00));
								{	/* Ast/sexp.scm 723 */
									obj_t BgL_res3458z00_5447;

									{	/* Ast/sexp.scm 723 */
										obj_t BgL_arg1330z00_5446;

										BgL_arg1330z00_5446 = SYMBOL_TO_STRING(BgL_arg3105z00_3128);
										BgL_res3458z00_5447 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1330z00_5446);
									}
									BgL_basez00_3106 = BgL_res3458z00_5447;
							}}
							{	/* Ast/sexp.scm 725 */
								bool_t BgL_testz00_8625;

								{	/* Ast/sexp.scm 725 */
									bool_t BgL_testz00_8626;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 726 */
											obj_t BgL_arg3103z00_3126;

											{	/* Ast/sexp.scm 726 */
												obj_t BgL_arg3104z00_3127;

												BgL_arg3104z00_3127 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg3103z00_3126 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg3104z00_3127)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_8626 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 41)), BgL_arg3103z00_3126));
										}
									else
										{	/* Ast/sexp.scm 725 */
											BgL_testz00_8626 = ((bool_t) 0);
										}
									if (BgL_testz00_8626)
										{	/* Ast/sexp.scm 725 */
											BgL_testz00_8625 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 725 */
											BgL_testz00_8625 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_8625)
									{	/* Ast/sexp.scm 728 */
										obj_t BgL_filez00_3108;

										if (bigloo_strncmp(BgL_filez00_3104,
												BGl_string3501z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 728 */
												BgL_filez00_3108 =
													c_substring(BgL_filez00_3104, ((long) 2),
													STRING_LENGTH(BgL_filez00_3104));
											}
										else
											{	/* Ast/sexp.scm 728 */
												BgL_filez00_3108 = BgL_filez00_3104;
											}
										{	/* Ast/sexp.scm 733 */
											obj_t BgL_arg3088z00_3109;

											{	/* Ast/sexp.scm 733 */
												obj_t BgL_arg3089z00_3110;
												obj_t BgL_arg3090z00_3111;

												BgL_arg3089z00_3110 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(BgL_filez00_3108, (char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												{	/* Ast/sexp.scm 734 */

													BgL_arg3090z00_3111 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_3105, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 732 */
													obj_t BgL_list3091z00_3112;

													{	/* Ast/sexp.scm 732 */
														obj_t BgL_arg3092z00_3113;

														{	/* Ast/sexp.scm 732 */
															obj_t BgL_arg3093z00_3114;

															{	/* Ast/sexp.scm 732 */
																obj_t BgL_arg3094z00_3115;

																{	/* Ast/sexp.scm 732 */
																	obj_t BgL_arg3095z00_3116;

																	{	/* Ast/sexp.scm 732 */
																		obj_t BgL_arg3096z00_3117;

																		BgL_arg3096z00_3117 =
																			MAKE_PAIR(BGl_string3502z00zzast_sexpz00,
																			BNIL);
																		BgL_arg3095z00_3116 =
																			MAKE_PAIR(BgL_arg3090z00_3111,
																			BgL_arg3096z00_3117);
																	}
																	BgL_arg3094z00_3115 =
																		MAKE_PAIR(BGl_string3500z00zzast_sexpz00,
																		BgL_arg3095z00_3116);
																}
																BgL_arg3093z00_3114 =
																	MAKE_PAIR(BgL_arg3089z00_3110,
																	BgL_arg3094z00_3115);
															}
															BgL_arg3092z00_3113 =
																MAKE_PAIR(BGl_string3500z00zzast_sexpz00,
																BgL_arg3093z00_3114);
														}
														BgL_list3091z00_3112 =
															MAKE_PAIR(BgL_basez00_3106, BgL_arg3092z00_3113);
													}
													BgL_arg3088z00_3109 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list3091z00_3112);
											}}
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg3088z00_3109));
										}
									}
								else
									{	/* Ast/sexp.scm 737 */
										obj_t BgL_arg3099z00_3122;

										BgL_arg3099z00_3122 =
											BGl_stringzd2replacezd2zz__r4_strings_6_7z00(string_append
											(BgL_basez00_3106, BGl_string3502z00zzast_sexpz00),
											(char) (((unsigned char) '.')),
											(char) (((unsigned char) ',')));
										{	/* Ast/sexp.scm 737 */
											obj_t BgL_res3466z00_5470;

											{	/* Ast/sexp.scm 737 */
												obj_t BgL_stringz00_5469;

												BgL_stringz00_5469 = BgL_arg3099z00_3122;
												BgL_res3466z00_5470 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_stringz00_5469));
											}
											return BgL_res3466z00_5470;
										}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 738 */
							obj_t BgL_arg3107z00_3130;

							{	/* Ast/sexp.scm 738 */
								obj_t BgL_arg3108z00_3131;
								obj_t BgL_arg3109z00_3132;

								{	/* Ast/sexp.scm 738 */
									obj_t BgL_arg3110z00_3133;

									BgL_arg3110z00_3133 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string3499z00zzast_sexpz00, BgL_prefz00_3102,
											BGl_string3503z00zzast_sexpz00));
									{	/* Ast/sexp.scm 738 */
										obj_t BgL_res3467z00_5473;

										{	/* Ast/sexp.scm 738 */
											obj_t BgL_arg1330z00_5472;

											BgL_arg1330z00_5472 =
												SYMBOL_TO_STRING(BgL_arg3110z00_3133);
											BgL_res3467z00_5473 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1330z00_5472);
										}
										BgL_arg3108z00_3131 = BgL_res3467z00_5473;
									}
								}
								{	/* Ast/sexp.scm 738 */
									obj_t BgL_res3468z00_5476;

									{	/* Ast/sexp.scm 738 */
										obj_t BgL_symbolz00_5474;

										BgL_symbolz00_5474 = CNST_TABLE_REF(((long) 42));
										{	/* Ast/sexp.scm 738 */
											obj_t BgL_arg1330z00_5475;

											BgL_arg1330z00_5475 =
												SYMBOL_TO_STRING(BgL_symbolz00_5474);
											BgL_res3468z00_5476 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1330z00_5475);
									}}
									BgL_arg3109z00_3132 = BgL_res3468z00_5476;
								}
								BgL_arg3107z00_3130 =
									string_append(BgL_arg3108z00_3131, BgL_arg3109z00_3132);
							}
							return string_to_symbol(BSTRING_TO_STRING(BgL_arg3107z00_3130));
						}
				}
			}
		}
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_5548,
		obj_t BgL_locz00_5549, obj_t BgL_prefz00_5550)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 716 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_5549,
				BgL_prefz00_5550);
		}
	}



/* synchronize->node */
	BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t
		BgL_expz00_50, obj_t BgL_mutexz00_51, obj_t BgL_bodyz00_52,
		obj_t BgL_stackz00_53, obj_t BgL_locz00_54, obj_t BgL_sitez00_55)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 743 */
			if (SYMBOLP(BgL_mutexz00_51))
				{	/* Ast/sexp.scm 745 */
					BgL_syncz00_bglt BgL_new1149z00_3139;

					{	/* Ast/sexp.scm 745 */
						BgL_syncz00_bglt BgL_new1148z00_3140;

						BgL_new1148z00_3140 =
							((BgL_syncz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/sexp.scm 745 */
							long BgL_arg3116z00_3141;

							{	/* Ast/sexp.scm 745 */
								long BgL_res3471z00_5482;

								BgL_res3471z00_5482 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
								BgL_arg3116z00_3141 = BgL_res3471z00_5482;
							}
							{	/* Ast/sexp.scm 745 */
								BgL_objectz00_bglt BgL_objz00_5483;

								BgL_objz00_5483 = ((BgL_objectz00_bglt) BgL_new1148z00_3140);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5483, BgL_arg3116z00_3141);
						}}
						{	/* Ast/sexp.scm 745 */
							BgL_objectz00_bglt BgL_auxz00_8679;

							BgL_auxz00_8679 = ((BgL_objectz00_bglt) BgL_new1148z00_3140);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8679, BFALSE);
						}
						BgL_new1149z00_3139 = BgL_new1148z00_3140;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1149z00_3139)))->BgL_locz00) =
						((obj_t) BgL_locz00_54), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1149z00_3139)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new1149z00_3139))->BgL_mutexz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mutexz00_51,
								BgL_stackz00_53, BgL_locz00_54, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new1149z00_3139))->BgL_nodesz00) =
						((obj_t) BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_bodyz00_52,
								BgL_stackz00_53, BgL_locz00_54, BgL_sitez00_55)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1149z00_3139);
				}
			else
				{	/* Ast/sexp.scm 750 */
					obj_t BgL_vz00_3142;

					BgL_vz00_3142 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 43))));
					{	/* Ast/sexp.scm 750 */
						obj_t BgL_varz00_3143;

						BgL_varz00_3143 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_3142,
							CNST_TABLE_REF(((long) 43)));
						{	/* Ast/sexp.scm 751 */
							obj_t BgL_nexpz00_3144;

							{	/* Ast/sexp.scm 752 */
								obj_t BgL_arg3124z00_3152;

								{	/* Ast/sexp.scm 752 */
									obj_t BgL_arg3125z00_3153;

									BgL_arg3125z00_3153 =
										MAKE_PAIR(BgL_vz00_3142,
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_bodyz00_52, BNIL));
									BgL_arg3124z00_3152 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 30)), BgL_arg3125z00_3153);
								}
								BgL_nexpz00_3144 =
									BGl_epairifyzd2reczd2zztools_miscz00(BgL_arg3124z00_3152,
									BgL_expz00_50);
							}
							{	/* Ast/sexp.scm 752 */

								{	/* Ast/sexp.scm 753 */
									obj_t BgL_arg3117z00_3145;

									{	/* Ast/sexp.scm 753 */
										obj_t BgL_arg3118z00_3146;
										obj_t BgL_arg3119z00_3147;

										BgL_arg3118z00_3146 = BGl_letzd2symzd2zzast_letz00();
										{	/* Ast/sexp.scm 753 */
											obj_t BgL_arg3120z00_3148;
											obj_t BgL_arg3121z00_3149;

											{	/* Ast/sexp.scm 753 */
												obj_t BgL_arg3122z00_3150;

												{	/* Ast/sexp.scm 753 */
													obj_t BgL_arg3123z00_3151;

													BgL_arg3123z00_3151 =
														MAKE_PAIR(BgL_mutexz00_51, BNIL);
													BgL_arg3122z00_3150 =
														MAKE_PAIR(BgL_varz00_3143, BgL_arg3123z00_3151);
												}
												BgL_arg3120z00_3148 =
													MAKE_PAIR(BgL_arg3122z00_3150, BNIL);
											}
											BgL_arg3121z00_3149 = MAKE_PAIR(BgL_nexpz00_3144, BNIL);
											BgL_arg3119z00_3147 =
												MAKE_PAIR(BgL_arg3120z00_3148, BgL_arg3121z00_3149);
										}
										BgL_arg3117z00_3145 =
											MAKE_PAIR(BgL_arg3118z00_3146, BgL_arg3119z00_3147);
									}
									BGl_replacez12z12zztools_miscz00(BgL_expz00_50,
										BgL_arg3117z00_3145);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_50,
									BgL_stackz00_53, BgL_locz00_54, BgL_sitez00_55);
							}
						}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 28685330),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 115318774),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string3504z00zzast_sexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
