/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32769ze3ze1zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62zc3anonymousza32774ze3ze1zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza32890ze3z83zzcfa_closurez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_STRING(BGl_string3256z00zzcfa_closurez00,
		BgL_bgl_string3256za700za7za7c3270za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string3259z00zzcfa_closurez00,
		BgL_bgl_string3259za700za7za7c3271za7, "LOOP....", 8);
	      DEFINE_STRING(BGl_string3260z00zzcfa_closurez00,
		BgL_bgl_string3260za700za7za7c3272za7, ":", 1);
	      DEFINE_STRING(BGl_string3261z00zzcfa_closurez00,
		BgL_bgl_string3261za700za7za7c3273za7, ",", 1);
	      DEFINE_STRING(BGl_string3262z00zzcfa_closurez00,
		BgL_bgl_string3262za700za7za7c3274za7, "Cfa/closure.scm", 15);
	      DEFINE_STRING(BGl_string3263z00zzcfa_closurez00,
		BgL_bgl_string3263za700za7za7c3275za7, ": ", 2);
	      DEFINE_STRING(BGl_string3264z00zzcfa_closurez00,
		BgL_bgl_string3264za700za7za7c3276za7, "      ", 6);
	      DEFINE_STRING(BGl_string3265z00zzcfa_closurez00,
		BgL_bgl_string3265za700za7za7c3277za7, "        ", 8);
	      DEFINE_STRING(BGl_string3266z00zzcfa_closurez00,
		BgL_bgl_string3266za700za7za7c3278za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string3267z00zzcfa_closurez00,
		BgL_bgl_string3267za700za7za7c3279za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d23280za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall3281z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73282za7,
		BGl_z62zc3anonymousza32769ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73283za7,
		BGl_z62zc3anonymousza32774ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu3284z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur3285z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3286z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3287z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu3288z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur3289z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc3290z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_5219, char *BgL_fromz00_5220)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					BGl_toplevelzd2initzd2zzcfa_closurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_5211;

				BgL_cportz00_5211 =
					bgl_open_input_string(BGl_string3267z00zzcfa_closurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5212;

					BgL_iz00_5212 = ((long) 19);
				BgL_loopz00_5213:
					if ((BgL_iz00_5212 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg3269z00_5215;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_5217;

										BgL_locationz00_5217 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg3269z00_5215 =
												BGl_readz00zz__readerz00(BgL_cportz00_5211,
												BgL_locationz00_5217);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_auxz00_5241;

									BgL_auxz00_5241 = (int) (BgL_iz00_5212);
									CNST_TABLE_SET(BgL_auxz00_5241, BgL_arg3269z00_5215);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_5218;

								BgL_auxz00_5218 = (int) ((BgL_iz00_5212 - ((long) 1)));
								{
									long BgL_iz00_5246;

									BgL_iz00_5246 = (long) (BgL_auxz00_5218);
									BgL_iz00_5212 = BgL_iz00_5246;
									goto BgL_loopz00_5213;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			{	/* Cfa/closure.scm 56 */
				long BgL_n1z00_4666;

				BgL_n1z00_4666 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_4666 >= ((long) 2)));
		}}
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_5191)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 62 */
					{	/* Cfa/closure.scm 63 */
						obj_t BgL_list2739z00_2559;

						{	/* Cfa/closure.scm 63 */
							obj_t BgL_arg2740z00_2560;

							BgL_arg2740z00_2560 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list2739z00_2559 =
								MAKE_PAIR(BGl_string3256z00zzcfa_closurez00,
								BgL_arg2740z00_2560);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2739z00_2559);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l2698z00_2562;

						BgL_l2698z00_2562 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32741ze3z83_2563:
						if (PAIRP(BgL_l2698z00_2562))
							{	/* Cfa/closure.scm 72 */
								{	/* Cfa/closure.scm 74 */
									obj_t BgL_appz00_2565;

									BgL_appz00_2565 = CAR(BgL_l2698z00_2562);
									{	/* Cfa/closure.scm 74 */
										BgL_appz00_bglt BgL_i1150z00_2566;

										BgL_i1150z00_2566 = ((BgL_appz00_bglt) BgL_appz00_2565);
										{	/* Cfa/closure.scm 75 */
											BgL_variablez00_bglt BgL_funz00_2567;

											{
												BgL_varz00_bglt BgL_auxz00_5265;

												{
													obj_t BgL_auxz00_5266;

													{	/* Cfa/closure.scm 75 */
														obj_t BgL_pairz00_4675;

														BgL_pairz00_4675 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_i1150z00_2566)))->
															BgL_argsz00);
														BgL_auxz00_5266 = CAR(BgL_pairz00_4675);
													}
													BgL_auxz00_5265 = ((BgL_varz00_bglt) BgL_auxz00_5266);
												}
												BgL_funz00_2567 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_5265))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 75 */
												obj_t BgL_cloz00_2568;

												BgL_cloz00_2568 =
													(((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_funz00_2567))))->
																		BgL_valuez00)))))->BgL_thezd2closurezd2);
												{	/* Cfa/closure.scm 76 */
													bool_t BgL_lostzf3zf3_2569;

													{	/* Cfa/closure.scm 77 */
														long BgL_auxz00_5278;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5279;
															{
																obj_t BgL_auxz00_5280;

																{	/* Cfa/closure.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_5281;

																	BgL_auxz00_5281 =
																		((BgL_objectz00_bglt) BgL_i1150z00_2566);
																	BgL_auxz00_5280 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5281);
																}
																BgL_auxz00_5279 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5280);
															}
															BgL_auxz00_5278 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5279))->BgL_lostzd2stampzd2);
														}
														BgL_lostzf3zf3_2569 =
															(BgL_auxz00_5278 > ((long) -1));
													}
													{	/* Cfa/closure.scm 77 */
														obj_t BgL_siza7eza7_2570;

														{	/* Cfa/closure.scm 78 */
															obj_t BgL_arg2751z00_2580;

															{	/* Cfa/closure.scm 78 */
																obj_t BgL_pairz00_4687;

																BgL_pairz00_4687 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_i1150z00_2566)))->
																	BgL_argsz00);
																BgL_arg2751z00_2580 =
																	CAR(CDR(CDR(BgL_pairz00_4687)));
															}
															BgL_siza7eza7_2570 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg2751z00_2580));
														}
														{	/* Cfa/closure.scm 78 */

															{	/* Cfa/closure.scm 80 */
																bool_t BgL_testz00_5294;

																if (BgL_lostzf3zf3_2569)
																	{	/* Cfa/closure.scm 80 */
																		BgL_testz00_5294 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/closure.scm 81 */
																		bool_t BgL_testz00_5296;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5297;
																			{
																				obj_t BgL_auxz00_5298;

																				{	/* Cfa/closure.scm 81 */
																					BgL_objectz00_bglt BgL_auxz00_5299;

																					BgL_auxz00_5299 =
																						((BgL_objectz00_bglt)
																						BgL_i1150z00_2566);
																					BgL_auxz00_5298 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5299);
																				}
																				BgL_auxz00_5297 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5298);
																			}
																			BgL_testz00_5296 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5297))->
																				BgL_xzd2tzf3z21);
																		}
																		if (BgL_testz00_5296)
																			{	/* Cfa/closure.scm 81 */
																				if (
																					((((BgL_funz00_bglt) CREF(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_funz00_2567))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																					{	/* Cfa/closure.scm 82 */
																						BgL_testz00_5294 = ((bool_t) 1);
																					}
																				else
																					{	/* Cfa/closure.scm 82 */
																						if (INTEGERP(BgL_siza7eza7_2570))
																							{	/* Cfa/closure.scm 83 */
																								if (BGl_isazf3zf3zz__objectz00
																									(BgL_cloz00_2568,
																										BGl_globalz00zzast_varz00))
																									{	/* Cfa/closure.scm 84 */
																										if (
																											((((BgL_globalz00_bglt)
																														CREF((
																																(BgL_globalz00_bglt)
																																BgL_cloz00_2568)))->
																													BgL_importz00) ==
																												CNST_TABLE_REF(((long)
																														0))))
																											{	/* Cfa/closure.scm 85 */
																												BgL_testz00_5294 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Cfa/closure.scm 85 */
																												BgL_testz00_5294 =
																													((bool_t) 1);
																											}
																									}
																								else
																									{	/* Cfa/closure.scm 84 */
																										BgL_testz00_5294 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Cfa/closure.scm 83 */
																								BgL_testz00_5294 = ((bool_t) 1);
																							}
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 81 */
																				BgL_testz00_5294 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_5294)
																	{	/* Cfa/closure.scm 80 */
																		BNIL;
																	}
																else
																	{	/* Cfa/closure.scm 80 */
																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5321;
																			{
																				obj_t BgL_auxz00_5322;

																				{	/* Cfa/closure.scm 102 */
																					BgL_objectz00_bglt BgL_auxz00_5323;

																					BgL_auxz00_5323 =
																						((BgL_objectz00_bglt)
																						BgL_i1150z00_2566);
																					BgL_auxz00_5322 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5323);
																				}
																				BgL_auxz00_5321 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5322);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5321))->BgL_xz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5328;
																			{
																				obj_t BgL_auxz00_5329;

																				{	/* Cfa/closure.scm 103 */
																					BgL_objectz00_bglt BgL_auxz00_5330;

																					BgL_auxz00_5330 =
																						((BgL_objectz00_bglt)
																						BgL_i1150z00_2566);
																					BgL_auxz00_5329 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5330);
																				}
																				BgL_auxz00_5328 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5329);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5328))->BgL_tz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																	}
															}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l2698z00_5335;

									BgL_l2698z00_5335 = CDR(BgL_l2698z00_2562);
									BgL_l2698z00_2562 = BgL_l2698z00_5335;
									goto BgL_zc3anonymousza32741ze3z83_2563;
								}
							}
						else
							{	/* Cfa/closure.scm 72 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l2700z00_2589;

						BgL_l2700z00_2589 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32758ze3z83_2590:
						if (PAIRP(BgL_l2700z00_2589))
							{	/* Cfa/closure.scm 110 */
								{	/* Cfa/closure.scm 111 */
									obj_t BgL_allocz00_2592;

									BgL_allocz00_2592 = CAR(BgL_l2700z00_2589);
									{	/* Cfa/closure.scm 111 */
										BgL_appz00_bglt BgL_i1152z00_2593;

										BgL_i1152z00_2593 = ((BgL_appz00_bglt) BgL_allocz00_2592);
										{	/* Cfa/closure.scm 112 */
											BgL_valuez00_bglt BgL_fz00_2594;

											{
												BgL_variablez00_bglt BgL_auxz00_5343;

												{
													BgL_varz00_bglt BgL_auxz00_5344;

													{
														obj_t BgL_auxz00_5345;

														{	/* Cfa/closure.scm 112 */
															obj_t BgL_pairz00_4712;

															BgL_pairz00_4712 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1152z00_2593)))->
																BgL_argsz00);
															BgL_auxz00_5345 = CAR(BgL_pairz00_4712);
														}
														BgL_auxz00_5344 =
															((BgL_varz00_bglt) BgL_auxz00_5345);
													}
													BgL_auxz00_5343 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5344))->
														BgL_variablez00);
												}
												BgL_fz00_2594 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_5343))->
													BgL_valuez00);
											}
											{	/* Cfa/closure.scm 114 */
												bool_t BgL_testz00_5352;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5353;

													{
														obj_t BgL_auxz00_5354;

														{	/* Cfa/closure.scm 114 */
															BgL_objectz00_bglt BgL_auxz00_5355;

															BgL_auxz00_5355 =
																((BgL_objectz00_bglt) BgL_i1152z00_2593);
															BgL_auxz00_5354 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5355);
														}
														BgL_auxz00_5353 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_5354);
													}
													BgL_testz00_5352 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_5353))->BgL_xz00);
												}
												if (BgL_testz00_5352)
													{	/* Cfa/closure.scm 114 */
														BgL_sfunz00_bglt BgL_oz00_4719;
														obj_t BgL_vz00_4720;

														BgL_oz00_4719 = ((BgL_sfunz00_bglt) BgL_fz00_2594);
														BgL_vz00_4720 = CNST_TABLE_REF(((long) 1));
														((((BgL_sfunz00_bglt) CREF(BgL_oz00_4719))->
																BgL_strengthz00) =
															((obj_t) BgL_vz00_4720), BUNSPEC);
													}
												else
													{	/* Cfa/closure.scm 115 */
														bool_t BgL_testz00_5363;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5364;
															{
																obj_t BgL_auxz00_5365;

																{	/* Cfa/closure.scm 115 */
																	BgL_objectz00_bglt BgL_auxz00_5366;

																	BgL_auxz00_5366 =
																		((BgL_objectz00_bglt) BgL_i1152z00_2593);
																	BgL_auxz00_5365 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5366);
																}
																BgL_auxz00_5364 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5365);
															}
															BgL_testz00_5363 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5364))->BgL_tz00);
														}
														if (BgL_testz00_5363)
															{	/* Cfa/closure.scm 115 */
																BgL_sfunz00_bglt BgL_oz00_4722;
																obj_t BgL_vz00_4723;

																BgL_oz00_4722 =
																	((BgL_sfunz00_bglt) BgL_fz00_2594);
																BgL_vz00_4723 = CNST_TABLE_REF(((long) 2));
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_4722))->
																		BgL_strengthz00) =
																	((obj_t) BgL_vz00_4723), BUNSPEC);
															}
														else
															{	/* Cfa/closure.scm 116 */
																BgL_sfunz00_bglt BgL_oz00_4725;
																obj_t BgL_vz00_4726;

																BgL_oz00_4725 =
																	((BgL_sfunz00_bglt) BgL_fz00_2594);
																BgL_vz00_4726 = CNST_TABLE_REF(((long) 3));
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_4725))->
																		BgL_strengthz00) =
																	((obj_t) BgL_vz00_4726), BUNSPEC);
								}}}}}}
								{
									obj_t BgL_l2700z00_5377;

									BgL_l2700z00_5377 = CDR(BgL_l2700z00_2589);
									BgL_l2700z00_2589 = BgL_l2700z00_5377;
									goto BgL_zc3anonymousza32758ze3z83_2590;
								}
							}
						else
							{	/* Cfa/closure.scm 110 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 62 */
					return BFALSE;
				}
		}
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_5192, obj_t BgL_globalsz00_5193)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_5193);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 132 */
			{
				obj_t BgL_l2702z00_2603;

				BgL_l2702z00_2603 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza32766ze3z83_2604:
				if (PAIRP(BgL_l2702z00_2603))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 135 */
							BgL_funcallz00_bglt BgL_appz00_2606;

							BgL_appz00_2606 = ((BgL_funcallz00_bglt) CAR(BgL_l2702z00_2603));
							{	/* Cfa/closure.scm 136 */
								BgL_nodez00_bglt BgL_funz00_2607;

								BgL_funz00_2607 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2606))->BgL_funz00);
								{	/* Cfa/closure.scm 136 */
									BgL_approxz00_bglt BgL_approxz00_2608;

									BgL_approxz00_2608 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2607);
									{	/* Cfa/closure.scm 137 */
										obj_t BgL_allocz00_2609;

										BgL_allocz00_2609 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2608))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 138 */
											BgL_typez00_bglt BgL_typez00_2610;

											BgL_typez00_2610 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_2608))->
												BgL_typez00);
											{	/* Cfa/closure.scm 139 */
												bool_t BgL_topzf3zf3_2611;

												BgL_topzf3zf3_2611 =
													(((BgL_approxz00_bglt) CREF(BgL_approxz00_2608))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 140 */

													if (BgL_topzf3zf3_2611)
														{	/* Cfa/closure.scm 142 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc3257z00zzcfa_closurez00,
																BgL_approxz00_2608);
														}
													else
														{	/* Cfa/closure.scm 153 */
															bool_t BgL_testz00_5396;

															{	/* Cfa/closure.scm 153 */
																obj_t BgL_arg2778z00_2627;

																BgL_arg2778z00_2627 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2609);
																BgL_testz00_5396 =
																	((long) CINT(BgL_arg2778z00_2627) ==
																	((long) 0));
															}
															if (BgL_testz00_5396)
																{	/* Cfa/closure.scm 153 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 156 */
																	bool_t BgL_testz00_5401;

																	{	/* Cfa/closure.scm 156 */
																		bool_t BgL_testz00_5402;

																		{	/* Cfa/closure.scm 156 */
																			obj_t BgL_arg2777z00_2626;

																			BgL_arg2777z00_2626 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2609);
																			BgL_testz00_5402 =
																				((long) CINT(BgL_arg2777z00_2626) ==
																				((long) 1));
																		}
																		if (BgL_testz00_5402)
																			{	/* Cfa/closure.scm 157 */
																				obj_t BgL__ortest_1153z00_2625;

																				BgL__ortest_1153z00_2625 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1153z00_2625))
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_5401 =
																							CBOOL(BgL__ortest_1153z00_2625);
																					}
																				else
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_5401 =
																							(
																							((obj_t) BgL_typez00_2610) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 156 */
																				BgL_testz00_5401 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_5401)
																		{	/* Cfa/closure.scm 156 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 156 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc3258z00zzcfa_closurez00,
																				BgL_approxz00_2608);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2702z00_5413;

							BgL_l2702z00_5413 = CDR(BgL_l2702z00_2603);
							BgL_l2702z00_2603 = BgL_l2702z00_5413;
							goto BgL_zc3anonymousza32766ze3z83_2604;
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* &<anonymous:2769> */
	obj_t BGl_z62zc3anonymousza32769ze3ze1zzcfa_closurez00(obj_t BgL_envz00_5196,
		obj_t BgL_allocz00_5197)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 145 */
			{
				obj_t BgL_allocz00_2613;

				BgL_allocz00_2613 = BgL_allocz00_5197;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2613,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 146 */
						{	/* Cfa/closure.scm 150 */
							BgL_appz00_bglt BgL_oz00_4746;

							BgL_oz00_4746 = ((BgL_appz00_bglt) BgL_allocz00_2613);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5418;

								{
									obj_t BgL_auxz00_5419;

									{	/* Cfa/closure.scm 150 */
										BgL_objectz00_bglt BgL_auxz00_5420;

										BgL_auxz00_5420 = ((BgL_objectz00_bglt) BgL_oz00_4746);
										BgL_auxz00_5419 = BGL_OBJECT_WIDENING(BgL_auxz00_5420);
									}
									BgL_auxz00_5418 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5419);
								}
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5418))->
										BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
						{	/* Cfa/closure.scm 151 */
							BgL_appz00_bglt BgL_oz00_4749;

							BgL_oz00_4749 = ((BgL_appz00_bglt) BgL_allocz00_2613);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5426;

								{
									obj_t BgL_auxz00_5427;

									{	/* Cfa/closure.scm 151 */
										BgL_objectz00_bglt BgL_auxz00_5428;

										BgL_auxz00_5428 = ((BgL_objectz00_bglt) BgL_oz00_4749);
										BgL_auxz00_5427 = BGL_OBJECT_WIDENING(BgL_auxz00_5428);
									}
									BgL_auxz00_5426 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5427);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_5426))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 146 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2774> */
	obj_t BGl_z62zc3anonymousza32774ze3ze1zzcfa_closurez00(obj_t BgL_envz00_5198,
		obj_t BgL_allocz00_5199)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 164 */
			{
				obj_t BgL_allocz00_2620;

				BgL_allocz00_2620 = BgL_allocz00_5199;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2620,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 165 */
						{	/* Cfa/closure.scm 169 */
							BgL_appz00_bglt BgL_oz00_4760;

							BgL_oz00_4760 = ((BgL_appz00_bglt) BgL_allocz00_2620);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5436;

								{
									obj_t BgL_auxz00_5437;

									{	/* Cfa/closure.scm 169 */
										BgL_objectz00_bglt BgL_auxz00_5438;

										BgL_auxz00_5438 = ((BgL_objectz00_bglt) BgL_oz00_4760);
										BgL_auxz00_5437 = BGL_OBJECT_WIDENING(BgL_auxz00_5438);
									}
									BgL_auxz00_5436 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5437);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_5436))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 165 */
						return BFALSE;
					}
			}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 182 */
			{
				bool_t BgL_continuezf3zf3_2631;

				BgL_continuezf3zf3_2631 = ((bool_t) 1);
			BgL_zc3anonymousza32780ze3z83_2632:
				if (BgL_continuezf3zf3_2631)
					{	/* Cfa/closure.scm 187 */
						bool_t BgL_continuezf3zf3_2633;

						BgL_continuezf3zf3_2633 = ((bool_t) 0);
						{
							obj_t BgL_l2706z00_2635;

							BgL_l2706z00_2635 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza32781ze3z83_2636:
							if (PAIRP(BgL_l2706z00_2635))
								{	/* Cfa/closure.scm 188 */
									{	/* Cfa/closure.scm 190 */
										obj_t BgL_appz00_2638;

										BgL_appz00_2638 = CAR(BgL_l2706z00_2635);
										{	/* Cfa/closure.scm 191 */
											BgL_nodez00_bglt BgL_funz00_2639;

											BgL_funz00_2639 =
												(((BgL_funcallz00_bglt) CREF(
														((BgL_funcallz00_bglt) BgL_appz00_2638)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 191 */
												BgL_approxz00_bglt BgL_approxz00_2640;

												BgL_approxz00_2640 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2639);
												{	/* Cfa/closure.scm 192 */
													obj_t BgL_allocz00_2641;

													BgL_allocz00_2641 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt) CREF(BgL_approxz00_2640))->
															BgL_allocsz00));
													{	/* Cfa/closure.scm 193 */
														BgL_typez00_bglt BgL_typez00_2642;

														BgL_typez00_2642 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2640))->
															BgL_typez00);
														{	/* Cfa/closure.scm 194 */
															bool_t BgL_tzd2initzf3z21_2643;

															{	/* Cfa/closure.scm 195 */
																bool_t BgL__ortest_1154z00_2666;

																BgL__ortest_1154z00_2666 =
																	(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_2640))->BgL_topzf3zf3);
																if (BgL__ortest_1154z00_2666)
																	{	/* Cfa/closure.scm 195 */
																		BgL_tzd2initzf3z21_2643 =
																			BgL__ortest_1154z00_2666;
																	}
																else
																	{	/* Cfa/closure.scm 196 */
																		bool_t BgL_testz00_5455;

																		if (
																			(((obj_t) BgL_typez00_2642) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_5455 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_5455 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_5455)
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2643 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2643 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 195 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_2645;
																	obj_t BgL_allocsz00_2646;

																	BgL_onezd2nonzd2tzf3zf3_2645 =
																		BgL_tzd2initzf3z21_2643;
																	BgL_allocsz00_2646 = BgL_allocz00_2641;
																BgL_zc3anonymousza32783ze3z83_2647:
																	if (NULLP(BgL_allocsz00_2646))
																		{	/* Cfa/closure.scm 204 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 204 */
																			if (BgL_onezd2nonzd2tzf3zf3_2645)
																				{
																					obj_t BgL_l2704z00_2650;

																					{	/* Cfa/closure.scm 207 */
																						bool_t BgL_auxz00_5464;

																						BgL_l2704z00_2650 =
																							BgL_allocz00_2641;
																					BgL_zc3anonymousza32785ze3z83_2651:
																						if (PAIRP(BgL_l2704z00_2650))
																							{	/* Cfa/closure.scm 207 */
																								{	/* Cfa/closure.scm 209 */
																									obj_t BgL_allocz00_2653;

																									BgL_allocz00_2653 =
																										CAR(BgL_l2704z00_2650);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_allocz00_2653,
																											BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 210 */
																											BgL_appz00_bglt
																												BgL_i1155z00_2655;
																											BgL_i1155z00_2655 =
																												((BgL_appz00_bglt)
																												BgL_allocz00_2653);
																											{	/* Cfa/closure.scm 211 */
																												bool_t BgL_testz00_5471;

																												{
																													BgL_makezd2procedurezd2appz00_bglt
																														BgL_auxz00_5472;
																													{
																														obj_t
																															BgL_auxz00_5473;
																														{	/* Cfa/closure.scm 211 */
																															BgL_objectz00_bglt
																																BgL_auxz00_5474;
																															BgL_auxz00_5474 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_i1155z00_2655);
																															BgL_auxz00_5473 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_5474);
																														}
																														BgL_auxz00_5472 =
																															(
																															(BgL_makezd2procedurezd2appz00_bglt)
																															BgL_auxz00_5473);
																													}
																													BgL_testz00_5471 =
																														(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5472))->BgL_tz00);
																												}
																												if (BgL_testz00_5471)
																													{	/* Cfa/closure.scm 211 */
																														{
																															BgL_makezd2procedurezd2appz00_bglt
																																BgL_auxz00_5479;
																															{
																																obj_t
																																	BgL_auxz00_5480;
																																{	/* Cfa/closure.scm 213 */
																																	BgL_objectz00_bglt
																																		BgL_auxz00_5481;
																																	BgL_auxz00_5481
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_i1155z00_2655);
																																	BgL_auxz00_5480
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_auxz00_5481);
																																}
																																BgL_auxz00_5479
																																	=
																																	(
																																	(BgL_makezd2procedurezd2appz00_bglt)
																																	BgL_auxz00_5480);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5479))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																														}
																														BgL_continuezf3zf3_2633
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cfa/closure.scm 211 */
																														BFALSE;
																													}
																											}
																										}
																									else
																										{	/* Cfa/closure.scm 209 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l2704z00_5486;

																									BgL_l2704z00_5486 =
																										CDR(BgL_l2704z00_2650);
																									BgL_l2704z00_2650 =
																										BgL_l2704z00_5486;
																									goto
																										BgL_zc3anonymousza32785ze3z83_2651;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 207 */
																								BgL_auxz00_5464 = ((bool_t) 1);
																							}
																						BBOOL(BgL_auxz00_5464);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 216 */
																					bool_t BgL_testz00_5489;

																					{	/* Cfa/closure.scm 216 */
																						obj_t BgL_arg2795z00_2664;

																						BgL_arg2795z00_2664 =
																							CAR(BgL_allocsz00_2646);
																						BgL_testz00_5489 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg2795z00_2664,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_5489)
																						{	/* Cfa/closure.scm 217 */
																							BgL_appz00_bglt BgL_i1156z00_2660;

																							{	/* Cfa/closure.scm 217 */
																								obj_t BgL_pairz00_4789;

																								BgL_pairz00_4789 =
																									BgL_allocsz00_2646;
																								BgL_i1156z00_2660 =
																									((BgL_appz00_bglt)
																									CAR(BgL_pairz00_4789));
																							}
																							{	/* Cfa/closure.scm 218 */
																								bool_t BgL_testz00_5494;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_5495;
																									{
																										obj_t BgL_auxz00_5496;

																										{	/* Cfa/closure.scm 218 */
																											BgL_objectz00_bglt
																												BgL_auxz00_5497;
																											BgL_auxz00_5497 =
																												((BgL_objectz00_bglt)
																												BgL_i1156z00_2660);
																											BgL_auxz00_5496 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_5497);
																										}
																										BgL_auxz00_5495 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_5496);
																									}
																									BgL_testz00_5494 =
																										(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5495))->BgL_tz00);
																								}
																								if (BgL_testz00_5494)
																									{
																										obj_t BgL_allocsz00_5502;

																										BgL_allocsz00_5502 =
																											CDR(BgL_allocsz00_2646);
																										BgL_allocsz00_2646 =
																											BgL_allocsz00_5502;
																										goto
																											BgL_zc3anonymousza32783ze3z83_2647;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_5504;
																										BgL_onezd2nonzd2tzf3zf3_5504
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_2645
																											=
																											BgL_onezd2nonzd2tzf3zf3_5504;
																										goto
																											BgL_zc3anonymousza32783ze3z83_2647;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 216 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_5507;

																									BgL_allocsz00_5507 =
																										CDR(BgL_allocsz00_2646);
																									BgL_allocsz00_2646 =
																										BgL_allocsz00_5507;
																									goto
																										BgL_zc3anonymousza32783ze3z83_2647;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_5509;
																									BgL_onezd2nonzd2tzf3zf3_5509 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_2645 =
																										BgL_onezd2nonzd2tzf3zf3_5509;
																									goto
																										BgL_zc3anonymousza32783ze3z83_2647;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2706z00_5510;

										BgL_l2706z00_5510 = CDR(BgL_l2706z00_2635);
										BgL_l2706z00_2635 = BgL_l2706z00_5510;
										goto BgL_zc3anonymousza32781ze3z83_2636;
									}
								}
							else
								{	/* Cfa/closure.scm 188 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_5512;

							BgL_continuezf3zf3_5512 = BgL_continuezf3zf3_2633;
							BgL_continuezf3zf3_2631 = BgL_continuezf3zf3_5512;
							goto BgL_zc3anonymousza32780ze3z83_2632;
						}
					}
				else
					{	/* Cfa/closure.scm 185 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 252 */
			{
				obj_t BgL_appz00_2712;
				obj_t BgL_appz00_2688;

				{
					obj_t BgL_l2708z00_2679;

					BgL_l2708z00_2679 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3anonymousza32802ze3z83_2680:
					if (PAIRP(BgL_l2708z00_2679))
						{	/* Cfa/closure.scm 294 */
							{	/* Cfa/closure.scm 295 */
								obj_t BgL_appz00_2682;

								BgL_appz00_2682 = CAR(BgL_l2708z00_2679);
								{	/* Cfa/closure.scm 295 */
									BgL_appz00_bglt BgL_i1160z00_2683;

									BgL_i1160z00_2683 = ((BgL_appz00_bglt) BgL_appz00_2682);
									{	/* Cfa/closure.scm 297 */
										bool_t BgL_testz00_5517;

										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5518;

											{
												obj_t BgL_auxz00_5519;

												{	/* Cfa/closure.scm 297 */
													BgL_objectz00_bglt BgL_auxz00_5520;

													BgL_auxz00_5520 =
														((BgL_objectz00_bglt) BgL_i1160z00_2683);
													BgL_auxz00_5519 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5520);
												}
												BgL_auxz00_5518 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_5519);
											}
											BgL_testz00_5517 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_5518))->BgL_xz00);
										}
										if (BgL_testz00_5517)
											{	/* Cfa/closure.scm 297 */
												BgL_appz00_2688 = BgL_appz00_2682;
												{	/* Cfa/closure.scm 255 */
													BgL_appz00_bglt BgL_i1158z00_2690;

													BgL_i1158z00_2690 =
														((BgL_appz00_bglt) BgL_appz00_2688);
													{	/* Cfa/closure.scm 256 */
														obj_t BgL_siza7eza7_2691;

														{	/* Cfa/closure.scm 256 */
															obj_t BgL_arg2825z00_2709;

															{	/* Cfa/closure.scm 256 */
																obj_t BgL_pairz00_4793;

																BgL_pairz00_4793 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_i1158z00_2690)))->
																	BgL_argsz00);
																BgL_arg2825z00_2709 =
																	CAR(CDR(CDR(BgL_pairz00_4793)));
															}
															BgL_siza7eza7_2691 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg2825z00_2709));
														}
														{	/* Cfa/closure.scm 256 */
															BgL_variablez00_bglt BgL_ffunz00_2692;

															{
																BgL_varz00_bglt BgL_auxz00_5533;

																{
																	obj_t BgL_auxz00_5534;

																	{	/* Cfa/closure.scm 257 */
																		obj_t BgL_pairz00_4799;

																		BgL_pairz00_4799 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						BgL_i1158z00_2690)))->BgL_argsz00);
																		BgL_auxz00_5534 = CAR(BgL_pairz00_4799);
																	}
																	BgL_auxz00_5533 =
																		((BgL_varz00_bglt) BgL_auxz00_5534);
																}
																BgL_ffunz00_2692 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_5533))->
																	BgL_variablez00);
															}
															{	/* Cfa/closure.scm 257 */
																BgL_valuez00_bglt BgL_sfunz00_2693;

																BgL_sfunz00_2693 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_ffunz00_2692))->BgL_valuez00);
																{	/* Cfa/closure.scm 258 */

																	if (
																		((long) CINT(BgL_siza7eza7_2691) <
																			((long) 1)))
																		{	/* Cfa/closure.scm 260 */
																			{	/* Cfa/closure.scm 261 */
																				bool_t BgL_testz00_5544;

																				{	/* Cfa/closure.scm 261 */
																					bool_t BgL_testz00_5545;

																					{	/* Cfa/closure.scm 261 */
																						bool_t BgL_res3185z00_4810;

																						{	/* Cfa/closure.scm 261 */
																							obj_t BgL_objz00_4809;

																							BgL_objz00_4809 =
																								((obj_t) BgL_ffunz00_2692);
																							BgL_res3185z00_4810 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_4809,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_5545 =
																							BgL_res3185z00_4810;
																					}
																					if (BgL_testz00_5545)
																						{	/* Cfa/closure.scm 262 */
																							bool_t BgL_testz00_5548;

																							{	/* Cfa/closure.scm 262 */
																								obj_t BgL_arg2817z00_2702;

																								BgL_arg2817z00_2702 =
																									(((BgL_funz00_bglt) CREF(
																											((BgL_funz00_bglt)
																												((BgL_sfunz00_bglt)
																													BgL_sfunz00_2693))))->
																									BgL_thezd2closurezd2);
																								BgL_testz00_5548 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2817z00_2702,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_5548)
																								{	/* Cfa/closure.scm 263 */
																									BgL_valuez00_bglt
																										BgL_arg2814z00_2700;
																									BgL_arg2814z00_2700 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														(((BgL_funz00_bglt)
																																CREF((
																																		(BgL_funz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_sfunz00_2693))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																									{	/* Cfa/closure.scm 263 */
																										bool_t BgL_res3188z00_4821;

																										{	/* Cfa/closure.scm 263 */
																											obj_t BgL_objz00_4820;

																											BgL_objz00_4820 =
																												((obj_t)
																												BgL_arg2814z00_2700);
																											BgL_res3188z00_4821 =
																												BGl_isazf3zf3zz__objectz00
																												(BgL_objz00_4820,
																												BGl_scnstz00zzast_varz00);
																										}
																										BgL_testz00_5544 =
																											BgL_res3188z00_4821;
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 262 */
																									BgL_testz00_5544 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 261 */
																							BgL_testz00_5544 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_5544)
																					{	/* Cfa/closure.scm 264 */
																						BgL_valuez00_bglt
																							BgL_arg2810z00_2696;
																						BgL_arg2810z00_2696 =
																							(((BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt) (
																											(BgL_globalz00_bglt) ((
																													(BgL_funz00_bglt)
																													CREF((
																															(BgL_funz00_bglt)
																															((BgL_sfunz00_bglt) BgL_sfunz00_2693))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																						{	/* Cfa/closure.scm 264 */
																							BgL_scnstz00_bglt BgL_oz00_4827;
																							obj_t BgL_vz00_4828;

																							BgL_oz00_4827 =
																								((BgL_scnstz00_bglt)
																								BgL_arg2810z00_2696);
																							BgL_vz00_4828 =
																								CNST_TABLE_REF(((long) 6));
																							((((BgL_scnstz00_bglt)
																										CREF(BgL_oz00_4827))->
																									BgL_classz00) =
																								((obj_t) BgL_vz00_4828),
																								BUNSPEC);
																					}}
																				else
																					{	/* Cfa/closure.scm 261 */
																						BFALSE;
																					}
																			}
																			{	/* Cfa/closure.scm 266 */
																				BgL_varz00_bglt BgL_arg2818z00_2703;

																				BgL_arg2818z00_2703 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2690)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 266 */
																					BgL_variablez00_bglt BgL_vz00_4831;

																					BgL_vz00_4831 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2818z00_2703))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4831), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 267 */
																				BgL_varz00_bglt BgL_arg2820z00_2704;

																				BgL_arg2820z00_2704 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2690)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 267 */
																					BgL_typez00_bglt BgL_vz00_4834;

																					BgL_vz00_4834 =
																						((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2820z00_2704)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4834),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1158z00_2690)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																				BUNSPEC);
																		}
																	else
																		{	/* Cfa/closure.scm 260 */
																			{	/* Cfa/closure.scm 270 */
																				BgL_varz00_bglt BgL_arg2821z00_2705;

																				BgL_arg2821z00_2705 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2690)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 270 */
																					BgL_variablez00_bglt BgL_vz00_4837;

																					BgL_vz00_4837 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2821z00_2705))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4837), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 271 */
																				BgL_varz00_bglt BgL_arg2822z00_2706;

																				BgL_arg2822z00_2706 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2690)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 271 */
																					BgL_typez00_bglt BgL_vz00_4840;

																					BgL_vz00_4840 =
																						((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2822z00_2706)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4840),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1158z00_2690)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																				BUNSPEC);
																		}
																}
															}
														}
													}
													{
														obj_t BgL_auxz00_5594;

														{	/* Cfa/closure.scm 273 */
															obj_t BgL_pairz00_4842;

															BgL_pairz00_4842 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1158z00_2690)))->
																BgL_argsz00);
															{	/* Cfa/closure.scm 273 */
																obj_t BgL_pairz00_4845;

																BgL_pairz00_4845 = CDR(BgL_pairz00_4842);
																BgL_auxz00_5594 = CDR(BgL_pairz00_4845);
															}
														}
														((((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1158z00_2690)))->
																BgL_argsz00) =
															((obj_t) BgL_auxz00_5594), BUNSPEC);
													}
													BgL_appz00_2688;
												}
											}
										else
											{	/* Cfa/closure.scm 298 */
												bool_t BgL_testz00_5601;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5602;

													{
														obj_t BgL_auxz00_5603;

														{	/* Cfa/closure.scm 298 */
															BgL_objectz00_bglt BgL_auxz00_5604;

															BgL_auxz00_5604 =
																((BgL_objectz00_bglt) BgL_i1160z00_2683);
															BgL_auxz00_5603 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5604);
														}
														BgL_auxz00_5602 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_5603);
													}
													BgL_testz00_5601 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_5602))->BgL_tz00);
												}
												if (BgL_testz00_5601)
													{	/* Cfa/closure.scm 298 */
														BgL_appz00_2712 = BgL_appz00_2682;
														{	/* Cfa/closure.scm 277 */
															BgL_appz00_bglt BgL_i1159z00_2714;

															BgL_i1159z00_2714 =
																((BgL_appz00_bglt) BgL_appz00_2712);
															{	/* Cfa/closure.scm 278 */
																obj_t BgL_siza7eza7_2715;

																{	/* Cfa/closure.scm 278 */
																	obj_t BgL_arg2844z00_2733;

																	{	/* Cfa/closure.scm 278 */
																		obj_t BgL_pairz00_4846;

																		BgL_pairz00_4846 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						BgL_i1159z00_2714)))->BgL_argsz00);
																		BgL_arg2844z00_2733 =
																			CAR(CDR(CDR(BgL_pairz00_4846)));
																	}
																	BgL_siza7eza7_2715 =
																		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00
																		(((BgL_nodez00_bglt) BgL_arg2844z00_2733));
																}
																{	/* Cfa/closure.scm 278 */
																	BgL_variablez00_bglt BgL_ffunz00_2716;

																	{
																		BgL_varz00_bglt BgL_auxz00_5617;

																		{
																			obj_t BgL_auxz00_5618;

																			{	/* Cfa/closure.scm 279 */
																				obj_t BgL_pairz00_4852;

																				BgL_pairz00_4852 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1159z00_2714)))->
																					BgL_argsz00);
																				BgL_auxz00_5618 = CAR(BgL_pairz00_4852);
																			}
																			BgL_auxz00_5617 =
																				((BgL_varz00_bglt) BgL_auxz00_5618);
																		}
																		BgL_ffunz00_2716 =
																			(((BgL_varz00_bglt)
																				CREF(BgL_auxz00_5617))->
																			BgL_variablez00);
																	}
																	{	/* Cfa/closure.scm 279 */
																		BgL_valuez00_bglt BgL_sfunz00_2717;

																		BgL_sfunz00_2717 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_ffunz00_2716))->BgL_valuez00);
																		{	/* Cfa/closure.scm 280 */

																			{	/* Cfa/closure.scm 281 */
																				bool_t BgL_testz00_5625;

																				{	/* Cfa/closure.scm 281 */
																					bool_t BgL_testz00_5626;

																					{	/* Cfa/closure.scm 281 */
																						bool_t BgL_res3192z00_4860;

																						{	/* Cfa/closure.scm 281 */
																							obj_t BgL_objz00_4859;

																							BgL_objz00_4859 =
																								((obj_t) BgL_ffunz00_2716);
																							BgL_res3192z00_4860 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_4859,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_5626 =
																							BgL_res3192z00_4860;
																					}
																					if (BgL_testz00_5626)
																						{	/* Cfa/closure.scm 282 */
																							bool_t BgL_testz00_5629;

																							{	/* Cfa/closure.scm 282 */
																								obj_t BgL_arg2836z00_2725;

																								BgL_arg2836z00_2725 =
																									(((BgL_funz00_bglt) CREF(
																											((BgL_funz00_bglt)
																												((BgL_sfunz00_bglt)
																													BgL_sfunz00_2717))))->
																									BgL_thezd2closurezd2);
																								BgL_testz00_5629 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2836z00_2725,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_5629)
																								{	/* Cfa/closure.scm 283 */
																									BgL_valuez00_bglt
																										BgL_arg2834z00_2723;
																									BgL_arg2834z00_2723 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														(((BgL_funz00_bglt)
																																CREF((
																																		(BgL_funz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_sfunz00_2717))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																									{	/* Cfa/closure.scm 283 */
																										bool_t BgL_res3195z00_4871;

																										{	/* Cfa/closure.scm 283 */
																											obj_t BgL_objz00_4870;

																											BgL_objz00_4870 =
																												((obj_t)
																												BgL_arg2834z00_2723);
																											BgL_res3195z00_4871 =
																												BGl_isazf3zf3zz__objectz00
																												(BgL_objz00_4870,
																												BGl_scnstz00zzast_varz00);
																										}
																										BgL_testz00_5625 =
																											BgL_res3195z00_4871;
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 282 */
																									BgL_testz00_5625 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 281 */
																							BgL_testz00_5625 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_5625)
																					{	/* Cfa/closure.scm 284 */
																						BgL_valuez00_bglt
																							BgL_arg2830z00_2719;
																						BgL_arg2830z00_2719 =
																							(((BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt) (
																											(BgL_globalz00_bglt) ((
																													(BgL_funz00_bglt)
																													CREF((
																															(BgL_funz00_bglt)
																															((BgL_sfunz00_bglt) BgL_sfunz00_2717))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																						{	/* Cfa/closure.scm 284 */
																							BgL_scnstz00_bglt BgL_oz00_4877;
																							obj_t BgL_vz00_4878;

																							BgL_oz00_4877 =
																								((BgL_scnstz00_bglt)
																								BgL_arg2830z00_2719);
																							BgL_vz00_4878 =
																								CNST_TABLE_REF(((long) 7));
																							((((BgL_scnstz00_bglt)
																										CREF(BgL_oz00_4877))->
																									BgL_classz00) =
																								((obj_t) BgL_vz00_4878),
																								BUNSPEC);
																					}}
																				else
																					{	/* Cfa/closure.scm 281 */
																						BFALSE;
																					}
																			}
																			{	/* Cfa/closure.scm 286 */
																				BgL_varz00_bglt BgL_arg2837z00_2726;

																				BgL_arg2837z00_2726 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1159z00_2714)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 286 */
																					BgL_variablez00_bglt BgL_vz00_4881;

																					BgL_vz00_4881 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2837z00_2726))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4881), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 288 */
																				BgL_varz00_bglt BgL_arg2838z00_2727;

																				BgL_arg2838z00_2727 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1159z00_2714)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 288 */
																					BgL_typez00_bglt BgL_vz00_4884;

																					BgL_vz00_4884 =
																						((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2838z00_2727)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4884),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1159z00_2714)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00)),
																				BUNSPEC);
																			{	/* Cfa/closure.scm 290 */
																				obj_t BgL_arg2839z00_2728;
																				obj_t BgL_arg2840z00_2729;

																				BgL_arg2839z00_2728 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1159z00_2714)))->
																					BgL_argsz00);
																				{	/* Cfa/closure.scm 290 */
																					obj_t BgL_pairz00_4886;

																					BgL_pairz00_4886 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1159z00_2714)))->
																						BgL_argsz00);
																					BgL_arg2840z00_2729 =
																						CDR(CDR(BgL_pairz00_4886));
																				}
																				SET_CDR(BgL_arg2839z00_2728,
																					BgL_arg2840z00_2729);
																			}
																			BgL_appz00_2712;
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/closure.scm 298 */
														BFALSE;
													}
											}
									}
								}
							}
							{
								obj_t BgL_l2708z00_5670;

								BgL_l2708z00_5670 = CDR(BgL_l2708z00_2679);
								BgL_l2708z00_2679 = BgL_l2708z00_5670;
								goto BgL_zc3anonymousza32802ze3z83_2680;
							}
						}
					else
						{	/* Cfa/closure.scm 294 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 304 */
			{
				obj_t BgL_l2715z00_2738;

				BgL_l2715z00_2738 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza32846ze3z83_2739:
				if (PAIRP(BgL_l2715z00_2738))
					{	/* Cfa/closure.scm 305 */
						{	/* Cfa/closure.scm 306 */
							BgL_funcallz00_bglt BgL_appz00_2741;

							BgL_appz00_2741 = ((BgL_funcallz00_bglt) CAR(BgL_l2715z00_2738));
							{	/* Cfa/closure.scm 307 */
								BgL_nodez00_bglt BgL_funz00_2742;

								BgL_funz00_2742 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2741))->BgL_funz00);
								{	/* Cfa/closure.scm 307 */
									BgL_approxz00_bglt BgL_approxz00_2743;

									BgL_approxz00_2743 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2742);
									{	/* Cfa/closure.scm 308 */
										obj_t BgL_alloczd2listzd2_2744;

										BgL_alloczd2listzd2_2744 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2743))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 309 */

											{	/* Cfa/closure.scm 310 */
												bool_t BgL_testz00_5680;

												if (PAIRP(BgL_alloczd2listzd2_2744))
													{	/* Cfa/closure.scm 311 */
														bool_t BgL_testz00_5683;

														{	/* Cfa/closure.scm 311 */
															obj_t BgL_arg2873z00_2784;

															BgL_arg2873z00_2784 =
																CAR(BgL_alloczd2listzd2_2744);
															BgL_testz00_5683 =
																BGl_isazf3zf3zz__objectz00(BgL_arg2873z00_2784,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_5683)
															{	/* Cfa/closure.scm 311 */
																BgL_testz00_5680 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 311 */
																BgL_testz00_5680 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 310 */
														BgL_testz00_5680 = ((bool_t) 1);
													}
												if (BgL_testz00_5680)
													{	/* Cfa/closure.scm 310 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 315 */
														BgL_appz00_bglt BgL_allocz00_2746;

														{	/* Cfa/closure.scm 315 */
															obj_t BgL_pairz00_4909;

															BgL_pairz00_4909 = BgL_alloczd2listzd2_2744;
															BgL_allocz00_2746 =
																((BgL_appz00_bglt) CAR(BgL_pairz00_4909));
														}
														{	/* Cfa/closure.scm 316 */
															BgL_appz00_bglt BgL_i1161z00_2747;

															BgL_i1161z00_2747 =
																((BgL_appz00_bglt) BgL_allocz00_2746);
															{	/* Cfa/closure.scm 318 */
																bool_t BgL_testz00_5690;

																{
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_auxz00_5691;
																	{
																		obj_t BgL_auxz00_5692;

																		{	/* Cfa/closure.scm 318 */
																			BgL_objectz00_bglt BgL_auxz00_5693;

																			BgL_auxz00_5693 =
																				((BgL_objectz00_bglt)
																				BgL_i1161z00_2747);
																			BgL_auxz00_5692 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_5693);
																		}
																		BgL_auxz00_5691 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_auxz00_5692);
																	}
																	BgL_testz00_5690 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_5691))->BgL_xz00);
																}
																if (BgL_testz00_5690)
																	{	/* Cfa/closure.scm 318 */
																		{	/* Cfa/closure.scm 323 */
																			BgL_varz00_bglt BgL_arg2850z00_2749;

																			{	/* Cfa/closure.scm 323 */
																				BgL_varz00_bglt
																					BgL_duplicated1163z00_2750;
																				BgL_varz00_bglt BgL_new1162z00_2751;

																				{	/* Cfa/closure.scm 323 */
																					obj_t BgL_pairz00_4910;

																					BgL_pairz00_4910 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1161z00_2747)))->
																						BgL_argsz00);
																					BgL_duplicated1163z00_2750 =
																						((BgL_varz00_bglt)
																						CAR(BgL_pairz00_4910));
																				}
																				{	/* Cfa/closure.scm 323 */
																					BgL_varz00_bglt BgL_new1164z00_2760;

																					BgL_new1164z00_2760 =
																						((BgL_varz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_varz00_bgl))));
																					{	/* Cfa/closure.scm 323 */
																						long BgL_arg2859z00_2761;

																						{	/* Cfa/closure.scm 323 */
																							long BgL_res3202z00_4912;

																							BgL_res3202z00_4912 =
																								BGL_CLASS_INDEX
																								(BGl_varz00zzast_nodez00);
																							BgL_arg2859z00_2761 =
																								BgL_res3202z00_4912;
																						}
																						{	/* Cfa/closure.scm 323 */
																							BgL_objectz00_bglt
																								BgL_objz00_4913;
																							BgL_objz00_4913 =
																								((BgL_objectz00_bglt)
																								BgL_new1164z00_2760);
																							BGL_OBJECT_CLASS_NUM_SET
																								(BgL_objz00_4913,
																								BgL_arg2859z00_2761);
																					}}
																					{	/* Cfa/closure.scm 323 */
																						BgL_objectz00_bglt BgL_auxz00_5706;

																						BgL_auxz00_5706 =
																							((BgL_objectz00_bglt)
																							BgL_new1164z00_2760);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_5706, BFALSE);
																					}
																					BgL_new1162z00_2751 =
																						BgL_new1164z00_2760;
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1162z00_2751)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_duplicated1163z00_2750)))->
																							BgL_locz00)), BUNSPEC);
																				{
																					BgL_typez00_bglt BgL_auxz00_5713;

																					{	/* Cfa/closure.scm 325 */
																						obj_t BgL_arg2851z00_2752;
																						BgL_typez00_bglt
																							BgL_arg2852z00_2753;
																						{	/* Cfa/closure.scm 325 */
																							BgL_approxz00_bglt
																								BgL_arg2853z00_2754;
																							obj_t BgL_arg2854z00_2755;

																							{
																								BgL_makezd2procedurezd2appz00_bglt
																									BgL_auxz00_5715;
																								{
																									obj_t BgL_auxz00_5716;

																									{	/* Cfa/closure.scm 325 */
																										BgL_objectz00_bglt
																											BgL_auxz00_5717;
																										BgL_auxz00_5717 =
																											((BgL_objectz00_bglt)
																											BgL_i1161z00_2747);
																										BgL_auxz00_5716 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_5717);
																									}
																									BgL_auxz00_5715 =
																										(
																										(BgL_makezd2procedurezd2appz00_bglt)
																										BgL_auxz00_5716);
																								}
																								BgL_arg2853z00_2754 =
																									(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5715))->BgL_approxz00);
																							}
																							{	/* Cfa/closure.scm 325 */
																								obj_t BgL_pairz00_4915;

																								BgL_pairz00_4915 =
																									(((BgL_appz00_bglt) CREF(
																											((BgL_appz00_bglt)
																												BgL_i1161z00_2747)))->
																									BgL_argsz00);
																								BgL_arg2854z00_2755 =
																									CAR(BgL_pairz00_4915);
																							}
																							BgL_arg2851z00_2752 =
																								BGl_getzd2approxzd2typez00zzcfa_typez00
																								(BgL_arg2853z00_2754,
																								BgL_arg2854z00_2755);
																						}
																						{
																							BgL_nodez00_bglt BgL_auxz00_5726;

																							{
																								BgL_varz00_bglt BgL_auxz00_5727;

																								{
																									obj_t BgL_auxz00_5728;

																									{	/* Cfa/closure.scm 326 */
																										obj_t BgL_pairz00_4916;

																										BgL_pairz00_4916 =
																											(((BgL_appz00_bglt) CREF(
																													((BgL_appz00_bglt)
																														BgL_i1161z00_2747)))->
																											BgL_argsz00);
																										BgL_auxz00_5728 =
																											CAR(BgL_pairz00_4916);
																									}
																									BgL_auxz00_5727 =
																										((BgL_varz00_bglt)
																										BgL_auxz00_5728);
																								}
																								BgL_auxz00_5726 =
																									((BgL_nodez00_bglt)
																									BgL_auxz00_5727);
																							}
																							BgL_arg2852z00_2753 =
																								(((BgL_nodez00_bglt)
																									CREF(BgL_auxz00_5726))->
																								BgL_typez00);
																						}
																						BgL_auxz00_5713 =
																							BGl_strictzd2nodezd2typez00zzast_nodez00
																							(((BgL_typez00_bglt)
																								BgL_arg2851z00_2752),
																							BgL_arg2852z00_2753);
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((BgL_nodez00_bglt)
																										BgL_new1162z00_2751)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_auxz00_5713), BUNSPEC);
																				}
																				((((BgL_varz00_bglt)
																							CREF(BgL_new1162z00_2751))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) ((
																								(BgL_varz00_bglt)
																								CREF
																								(BgL_duplicated1163z00_2750))->
																							BgL_variablez00)), BUNSPEC);
																				BgL_arg2850z00_2749 =
																					BgL_new1162z00_2751;
																			}
																			{	/* Cfa/closure.scm 321 */
																				BgL_nodez00_bglt BgL_vz00_4921;

																				BgL_vz00_4921 =
																					((BgL_nodez00_bglt)
																					BgL_arg2850z00_2749);
																				((((BgL_funcallz00_bglt)
																							CREF(BgL_appz00_2741))->
																						BgL_funz00) =
																					((BgL_nodez00_bglt) BgL_vz00_4921),
																					BUNSPEC);
																		}}
																		{	/* Cfa/closure.scm 327 */
																			obj_t BgL_arg2860z00_2762;

																			{	/* Cfa/closure.scm 327 */
																				obj_t BgL_arg2861z00_2763;

																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_pairz00_4923;

																					BgL_pairz00_4923 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1161z00_2747)))->
																						BgL_argsz00);
																					BgL_arg2861z00_2763 =
																						CAR(BgL_pairz00_4923);
																				}
																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_list2862z00_2764;

																					BgL_list2862z00_2764 =
																						MAKE_PAIR(BgL_arg2861z00_2763,
																						BNIL);
																					BgL_arg2860z00_2762 =
																						BgL_list2862z00_2764;
																			}}
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_appz00_2741))->
																					BgL_functionsz00) =
																				((obj_t) BgL_arg2860z00_2762), BUNSPEC);
																		}
																		{	/* Cfa/closure.scm 328 */
																			obj_t BgL_vz00_4930;

																			BgL_vz00_4930 =
																				CNST_TABLE_REF(((long) 1));
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_appz00_2741))->
																					BgL_strengthz00) =
																				((obj_t) BgL_vz00_4930), BUNSPEC);
																	}}
																else
																	{	/* Cfa/closure.scm 329 */
																		bool_t BgL_testz00_5749;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5750;
																			{
																				obj_t BgL_auxz00_5751;

																				{	/* Cfa/closure.scm 329 */
																					BgL_objectz00_bglt BgL_auxz00_5752;

																					BgL_auxz00_5752 =
																						((BgL_objectz00_bglt)
																						BgL_i1161z00_2747);
																					BgL_auxz00_5751 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5752);
																				}
																				BgL_auxz00_5750 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5751);
																			}
																			BgL_testz00_5749 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5750))->BgL_tz00);
																		}
																		if (BgL_testz00_5749)
																			{	/* Cfa/closure.scm 329 */
																				{	/* Cfa/closure.scm 332 */
																					obj_t BgL_fz00_2767;

																					if (NULLP(BgL_alloczd2listzd2_2744))
																						{	/* Cfa/closure.scm 332 */
																							BgL_fz00_2767 = BNIL;
																						}
																					else
																						{	/* Cfa/closure.scm 332 */
																							obj_t BgL_head2712z00_2770;

																							{	/* Cfa/closure.scm 332 */
																								obj_t BgL_res3206z00_4936;

																								BgL_res3206z00_4936 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_head2712z00_2770 =
																									BgL_res3206z00_4936;
																							}
																							{
																								obj_t BgL_l2710z00_2772;
																								obj_t BgL_tail2713z00_2773;

																								BgL_l2710z00_2772 =
																									BgL_alloczd2listzd2_2744;
																								BgL_tail2713z00_2773 =
																									BgL_head2712z00_2770;
																							BgL_zc3anonymousza32866ze3z83_2774:
																								if (NULLP
																									(BgL_l2710z00_2772))
																									{	/* Cfa/closure.scm 332 */
																										BgL_fz00_2767 =
																											CDR(BgL_head2712z00_2770);
																									}
																								else
																									{	/* Cfa/closure.scm 332 */
																										obj_t
																											BgL_newtail2714z00_2776;
																										{	/* Cfa/closure.scm 332 */
																											obj_t BgL_arg2869z00_2778;

																											{	/* Cfa/closure.scm 333 */
																												obj_t BgL_pairz00_4943;

																												{
																													BgL_appz00_bglt
																														BgL_auxz00_5763;
																													{
																														BgL_appz00_bglt
																															BgL_auxz00_5764;
																														{
																															obj_t
																																BgL_auxz00_5765;
																															{	/* Cfa/closure.scm 332 */
																																obj_t
																																	BgL_pairz00_4940;
																																BgL_pairz00_4940
																																	=
																																	BgL_l2710z00_2772;
																																BgL_auxz00_5765
																																	=
																																	CAR
																																	(BgL_pairz00_4940);
																															}
																															BgL_auxz00_5764 =
																																(
																																(BgL_appz00_bglt)
																																BgL_auxz00_5765);
																														}
																														BgL_auxz00_5763 =
																															((BgL_appz00_bglt)
																															BgL_auxz00_5764);
																													}
																													BgL_pairz00_4943 =
																														(((BgL_appz00_bglt)
																															CREF
																															(BgL_auxz00_5763))->
																														BgL_argsz00);
																												}
																												BgL_arg2869z00_2778 =
																													CAR(BgL_pairz00_4943);
																											}
																											{	/* Cfa/closure.scm 332 */
																												obj_t
																													BgL_res3208z00_4946;
																												BgL_res3208z00_4946 =
																													MAKE_PAIR
																													(BgL_arg2869z00_2778,
																													BNIL);
																												BgL_newtail2714z00_2776
																													= BgL_res3208z00_4946;
																											}
																										}
																										SET_CDR
																											(BgL_tail2713z00_2773,
																											BgL_newtail2714z00_2776);
																										{
																											obj_t
																												BgL_tail2713z00_5775;
																											obj_t BgL_l2710z00_5773;

																											BgL_l2710z00_5773 =
																												CDR(BgL_l2710z00_2772);
																											BgL_tail2713z00_5775 =
																												BgL_newtail2714z00_2776;
																											BgL_tail2713z00_2773 =
																												BgL_tail2713z00_5775;
																											BgL_l2710z00_2772 =
																												BgL_l2710z00_5773;
																											goto
																												BgL_zc3anonymousza32866ze3z83_2774;
																										}
																									}
																							}
																						}
																					((((BgL_funcallz00_bglt)
																								CREF(BgL_appz00_2741))->
																							BgL_functionsz00) =
																						((obj_t) BgL_fz00_2767), BUNSPEC);
																					{	/* Cfa/closure.scm 336 */
																						obj_t BgL_vz00_4954;

																						BgL_vz00_4954 =
																							CNST_TABLE_REF(((long) 2));
																						((((BgL_funcallz00_bglt)
																									CREF(BgL_appz00_2741))->
																								BgL_strengthz00) =
																							((obj_t) BgL_vz00_4954), BUNSPEC);
																			}}}
																		else
																			{	/* Cfa/closure.scm 329 */
																				CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}}
						{
							obj_t BgL_l2715z00_5780;

							BgL_l2715z00_5780 = CDR(BgL_l2715z00_2738);
							BgL_l2715z00_2738 = BgL_l2715z00_5780;
							goto BgL_zc3anonymousza32846ze3z83_2739;
						}
					}
				else
					{	/* Cfa/closure.scm 305 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 344 */
					obj_t BgL_funcallzd2lzd2_2788;

					BgL_funcallzd2lzd2_2788 =
						BGl_zc3anonymousza32890ze3z83zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{

					BgL_zc3anonymousza32876ze3z83_2790:
						{	/* Cfa/closure.scm 348 */
							bool_t BgL_contz00_2791;

							BgL_contz00_2791 = ((bool_t) 0);
							{
								obj_t BgL_l2722z00_2793;

								BgL_l2722z00_2793 = BgL_funcallzd2lzd2_2788;
							BgL_zc3anonymousza32877ze3z83_2794:
								if (PAIRP(BgL_l2722z00_2793))
									{	/* Cfa/closure.scm 349 */
										{	/* Cfa/closure.scm 350 */
											BgL_funcallz00_bglt BgL_appz00_2796;

											BgL_appz00_2796 =
												((BgL_funcallz00_bglt) CAR(BgL_l2722z00_2793));
											{	/* Cfa/closure.scm 350 */
												BgL_nodez00_bglt BgL_funz00_2797;

												BgL_funz00_2797 =
													(((BgL_funcallz00_bglt) CREF(BgL_appz00_2796))->
													BgL_funz00);
												{	/* Cfa/closure.scm 350 */
													BgL_approxz00_bglt BgL_approxz00_2798;

													BgL_approxz00_2798 =
														BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2797);
													{	/* Cfa/closure.scm 351 */
														obj_t BgL_appsz00_2799;

														BgL_appsz00_2799 =
															BGl_setzd2ze3listz31zzcfa_setz00(
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2798))->
																BgL_allocsz00));
														{	/* Cfa/closure.scm 352 */

															{	/* Cfa/closure.scm 353 */
																bool_t BgL_testz00_5793;

																if (PAIRP(BgL_appsz00_2799))
																	{	/* Cfa/closure.scm 353 */
																		obj_t BgL_auxz00_5796;

																		BgL_auxz00_5796 = CDR(BgL_appsz00_2799);
																		BgL_testz00_5793 = PAIRP(BgL_auxz00_5796);
																	}
																else
																	{	/* Cfa/closure.scm 353 */
																		BgL_testz00_5793 = ((bool_t) 0);
																	}
																if (BgL_testz00_5793)
																	{	/* Cfa/closure.scm 355 */
																		bool_t BgL__ortest_1165z00_2801;

																		BgL__ortest_1165z00_2801 =
																			BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																			(BgL_appsz00_2799);
																		if (BgL__ortest_1165z00_2801)
																			{	/* Cfa/closure.scm 355 */
																				BgL_contz00_2791 =
																					BgL__ortest_1165z00_2801;
																			}
																		else
																			{	/* Cfa/closure.scm 355 */
																				BgL_contz00_2791 = BgL_contz00_2791;
																			}
																	}
																else
																	{	/* Cfa/closure.scm 353 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
										}
										{
											obj_t BgL_l2722z00_5801;

											BgL_l2722z00_5801 = CDR(BgL_l2722z00_2793);
											BgL_l2722z00_2793 = BgL_l2722z00_5801;
											goto BgL_zc3anonymousza32877ze3z83_2794;
										}
									}
								else
									{	/* Cfa/closure.scm 349 */
										((bool_t) 1);
									}
							}
							if (BgL_contz00_2791)
								{	/* Cfa/closure.scm 357 */
									{	/* Cfa/closure.scm 358 */
										obj_t BgL_arg2884z00_2807;

										{	/* Cfa/closure.scm 358 */
											obj_t BgL_res3217z00_4985;

											{	/* Cfa/closure.scm 358 */
												obj_t BgL_auxz00_5804;

												BgL_auxz00_5804 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res3217z00_4985 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_5804);
											}
											BgL_arg2884z00_2807 = BgL_res3217z00_4985;
										}
										{	/* Cfa/closure.scm 358 */
											obj_t BgL_list2885z00_2808;

											{	/* Cfa/closure.scm 358 */
												obj_t BgL_arg2886z00_2809;

												{	/* Cfa/closure.scm 358 */
													obj_t BgL_arg2887z00_2810;

													{	/* Cfa/closure.scm 358 */
														obj_t BgL_arg2888z00_2811;

														{	/* Cfa/closure.scm 358 */
															obj_t BgL_arg2889z00_2812;

															BgL_arg2889z00_2812 =
																MAKE_PAIR(BGl_string3259z00zzcfa_closurez00,
																BNIL);
															BgL_arg2888z00_2811 =
																MAKE_PAIR(BGl_string3260z00zzcfa_closurez00,
																BgL_arg2889z00_2812);
														}
														BgL_arg2887z00_2810 =
															MAKE_PAIR(BINT(((long) 358)),
															BgL_arg2888z00_2811);
													}
													BgL_arg2886z00_2809 =
														MAKE_PAIR(BGl_string3261z00zzcfa_closurez00,
														BgL_arg2887z00_2810);
												}
												BgL_list2885z00_2808 =
													MAKE_PAIR(BGl_string3262z00zzcfa_closurez00,
													BgL_arg2886z00_2809);
											}
											BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2884z00_2807,
												BgL_list2885z00_2808);
									}}
									goto BgL_zc3anonymousza32876ze3z83_2790;
								}
							else
								{	/* Cfa/closure.scm 357 */
									return ((bool_t) 0);
								}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 341 */
					return ((bool_t) 0);
				}
		}
	}



/* <anonymous:2890> */
	obj_t BGl_zc3anonymousza32890ze3z83zzcfa_closurez00(obj_t BgL_lis2718z00_2815)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 344 */
		BGl_zc3anonymousza32890ze3z83zzcfa_closurez00:
			if (NULLP(BgL_lis2718z00_2815))
				{	/* Cfa/closure.scm 344 */
					return BgL_lis2718z00_2815;
				}
			else
				{	/* Cfa/closure.scm 344 */
					obj_t BgL_head2719z00_2818;
					obj_t BgL_tail2720z00_2819;

					BgL_head2719z00_2818 = CAR(BgL_lis2718z00_2815);
					BgL_tail2720z00_2819 = CDR(BgL_lis2718z00_2815);
					if (
						((((BgL_funcallz00_bglt) CREF(
										((BgL_funcallz00_bglt) BgL_head2719z00_2818)))->
								BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
						{	/* Cfa/closure.scm 344 */
							obj_t BgL_newzd2tail2721zd2_2821;

							BgL_newzd2tail2721zd2_2821 =
								BGl_zc3anonymousza32890ze3z83zzcfa_closurez00
								(BgL_tail2720z00_2819);
							if ((BgL_tail2720z00_2819 == BgL_newzd2tail2721zd2_2821))
								{	/* Cfa/closure.scm 344 */
									return BgL_lis2718z00_2815;
								}
							else
								{	/* Cfa/closure.scm 344 */
									obj_t BgL_res3212z00_4969;

									BgL_res3212z00_4969 =
										MAKE_PAIR(BgL_head2719z00_2818, BgL_newzd2tail2721zd2_2821);
									return BgL_res3212z00_4969;
								}
						}
					else
						{
							obj_t BgL_lis2718z00_5827;

							BgL_lis2718z00_5827 = BgL_tail2720z00_2819;
							BgL_lis2718z00_2815 = BgL_lis2718z00_5827;
							goto BGl_zc3anonymousza32890ze3z83zzcfa_closurez00;
						}
				}
		}
	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_8)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 364 */
			{
				BgL_appz00_bglt BgL_app0z00_2839;
				BgL_appz00_bglt BgL_app1z00_2840;

				{	/* Cfa/closure.scm 407 */
					obj_t BgL_g1169z00_2827;

					BgL_g1169z00_2827 = CDR(BgL_apps0z00_8);
					{
						obj_t BgL_appsz00_2829;
						bool_t BgL_contz00_2830;

						BgL_appsz00_2829 = BgL_g1169z00_2827;
						BgL_contz00_2830 = ((bool_t) 0);
					BgL_zc3anonymousza32895ze3z83_2831:
						if (NULLP(BgL_appsz00_2829))
							{	/* Cfa/closure.scm 409 */
								return BgL_contz00_2830;
							}
						else
							{	/* Cfa/closure.scm 413 */
								obj_t BgL_arg2898z00_2833;
								bool_t BgL_arg2899z00_2834;

								BgL_arg2898z00_2833 = CDR(BgL_appsz00_2829);
								{	/* Cfa/closure.scm 413 */
									bool_t BgL__ortest_1170z00_2835;

									{	/* Cfa/closure.scm 413 */
										obj_t BgL_arg2900z00_2836;
										obj_t BgL_arg2901z00_2837;

										BgL_arg2900z00_2836 = CAR(BgL_apps0z00_8);
										BgL_arg2901z00_2837 = CAR(BgL_appsz00_2829);
										BgL_app0z00_2839 = ((BgL_appz00_bglt) BgL_arg2900z00_2836);
										BgL_app1z00_2840 = ((BgL_appz00_bglt) BgL_arg2901z00_2837);
										{	/* Cfa/closure.scm 367 */
											BgL_variablez00_bglt BgL_f0z00_2842;

											{
												BgL_varz00_bglt BgL_auxz00_5834;

												{
													obj_t BgL_auxz00_5835;

													{	/* Cfa/closure.scm 367 */
														obj_t BgL_pairz00_4988;

														BgL_pairz00_4988 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_app0z00_2839)))->
															BgL_argsz00);
														BgL_auxz00_5835 = CAR(BgL_pairz00_4988);
													}
													BgL_auxz00_5834 = ((BgL_varz00_bglt) BgL_auxz00_5835);
												}
												BgL_f0z00_2842 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_5834))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 367 */
												BgL_variablez00_bglt BgL_f1z00_2843;

												{
													BgL_varz00_bglt BgL_auxz00_5841;

													{
														obj_t BgL_auxz00_5842;

														{	/* Cfa/closure.scm 368 */
															obj_t BgL_pairz00_4994;

															BgL_pairz00_4994 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_app1z00_2840)))->
																BgL_argsz00);
															BgL_auxz00_5842 = CAR(BgL_pairz00_4994);
														}
														BgL_auxz00_5841 =
															((BgL_varz00_bglt) BgL_auxz00_5842);
													}
													BgL_f1z00_2843 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5841))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 368 */

													{	/* Cfa/closure.scm 369 */
														obj_t BgL_g1166z00_2844;
														obj_t BgL_g1167z00_2845;

														{	/* Cfa/closure.scm 369 */
															obj_t BgL_pairz00_5003;

															BgL_pairz00_5003 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f0z00_2842))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1166z00_2844 = CDR(BgL_pairz00_5003);
														}
														{	/* Cfa/closure.scm 370 */
															obj_t BgL_pairz00_5009;

															BgL_pairz00_5009 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f1z00_2843))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1167z00_2845 = CDR(BgL_pairz00_5009);
														}
														{
															obj_t BgL_a0z00_2847;
															obj_t BgL_a1z00_2848;
															bool_t BgL_contz00_2849;

															BgL_a0z00_2847 = BgL_g1166z00_2844;
															BgL_a1z00_2848 = BgL_g1167z00_2845;
															BgL_contz00_2849 = ((bool_t) 0);
														BgL_zc3anonymousza32903ze3z83_2850:
															{	/* Cfa/closure.scm 372 */
																bool_t BgL_testz00_5856;

																if (PAIRP(BgL_a0z00_2847))
																	{	/* Cfa/closure.scm 372 */
																		BgL_testz00_5856 = PAIRP(BgL_a1z00_2848);
																	}
																else
																	{	/* Cfa/closure.scm 372 */
																		BgL_testz00_5856 = ((bool_t) 0);
																	}
																if (BgL_testz00_5856)
																	{	/* Cfa/closure.scm 373 */
																		BgL_approxz00_bglt BgL_p0z00_2852;

																		{
																			BgL_svarzf2cinfozf2_bglt BgL_auxz00_5860;

																			{
																				obj_t BgL_auxz00_5861;

																				{	/* Cfa/closure.scm 373 */
																					BgL_objectz00_bglt BgL_auxz00_5862;

																					BgL_auxz00_5862 =
																						((BgL_objectz00_bglt)
																						((BgL_svarz00_bglt)
																							(((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											CAR(BgL_a0z00_2847))))->
																								BgL_valuez00)));
																					BgL_auxz00_5861 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5862);
																				}
																				BgL_auxz00_5860 =
																					((BgL_svarzf2cinfozf2_bglt)
																					BgL_auxz00_5861);
																			}
																			BgL_p0z00_2852 =
																				(((BgL_svarzf2cinfozf2_bglt)
																					CREF(BgL_auxz00_5860))->
																				BgL_approxz00);
																		}
																		{	/* Cfa/closure.scm 373 */
																			BgL_approxz00_bglt BgL_p1z00_2853;

																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_5871;
																				{
																					obj_t BgL_auxz00_5872;

																					{	/* Cfa/closure.scm 374 */
																						BgL_objectz00_bglt BgL_auxz00_5873;

																						BgL_auxz00_5873 =
																							((BgL_objectz00_bglt)
																							((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt) CREF(
																											((BgL_variablez00_bglt)
																												CAR(BgL_a1z00_2848))))->
																									BgL_valuez00)));
																						BgL_auxz00_5872 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_5873);
																					}
																					BgL_auxz00_5871 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_5872);
																				}
																				BgL_p1z00_2853 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						CREF(BgL_auxz00_5871))->
																					BgL_approxz00);
																			}
																			{	/* Cfa/closure.scm 374 */
																				BgL_typez00_bglt BgL_t0z00_2854;

																				BgL_t0z00_2854 =
																					(((BgL_approxz00_bglt)
																						CREF(BgL_p0z00_2852))->BgL_typez00);
																				{	/* Cfa/closure.scm 375 */
																					BgL_typez00_bglt BgL_t1z00_2855;

																					BgL_t1z00_2855 =
																						(((BgL_approxz00_bglt)
																							CREF(BgL_p1z00_2853))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 376 */

																						{	/* Cfa/closure.scm 377 */
																							bool_t BgL_testz00_5884;

																							if (
																								(((obj_t) BgL_t0z00_2854) ==
																									((obj_t) BgL_t1z00_2855)))
																								{	/* Cfa/closure.scm 377 */
																									BgL_testz00_5884 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 377 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_2854))
																										{	/* Cfa/closure.scm 377 */
																											BgL_testz00_5884 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_2855);
																										}
																									else
																										{	/* Cfa/closure.scm 377 */
																											BgL_testz00_5884 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_testz00_5884)
																								{
																									obj_t BgL_a1z00_5894;
																									obj_t BgL_a0z00_5892;

																									BgL_a0z00_5892 =
																										CDR(BgL_a0z00_2847);
																									BgL_a1z00_5894 =
																										CDR(BgL_a1z00_2848);
																									BgL_a1z00_2848 =
																										BgL_a1z00_5894;
																									BgL_a0z00_2847 =
																										BgL_a0z00_5892;
																									goto
																										BgL_zc3anonymousza32903ze3z83_2850;
																								}
																							else
																								{	/* Cfa/closure.scm 377 */
																									{	/* Cfa/closure.scm 398 */
																										obj_t BgL_arg2908z00_2859;
																										BgL_typez00_bglt
																											BgL_arg2909z00_2860;
																										BgL_arg2908z00_2859 =
																											CAR(BgL_a0z00_2847);
																										BgL_arg2909z00_2860 =
																											BGl_getzd2bigloozd2typez00zztype_cachez00
																											(BgL_t0z00_2854);
																										{	/* Cfa/closure.scm 398 */
																											BgL_variablez00_bglt
																												BgL_oz00_5037;
																											BgL_oz00_5037 =
																												((BgL_variablez00_bglt)
																												BgL_arg2908z00_2859);
																											((((BgL_variablez00_bglt)
																														CREF
																														(BgL_oz00_5037))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_arg2909z00_2860),
																												BUNSPEC);
																										}
																									}
																									{	/* Cfa/closure.scm 399 */
																										obj_t BgL_arg2910z00_2861;
																										BgL_typez00_bglt
																											BgL_arg2911z00_2862;
																										BgL_arg2910z00_2861 =
																											CAR(BgL_a1z00_2848);
																										BgL_arg2911z00_2862 =
																											BGl_getzd2bigloozd2typez00zztype_cachez00
																											(BgL_t1z00_2855);
																										{	/* Cfa/closure.scm 399 */
																											BgL_variablez00_bglt
																												BgL_oz00_5041;
																											BgL_oz00_5041 =
																												((BgL_variablez00_bglt)
																												BgL_arg2910z00_2861);
																											((((BgL_variablez00_bglt)
																														CREF
																														(BgL_oz00_5041))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_arg2911z00_2862),
																												BUNSPEC);
																										}
																									}
																									{
																										bool_t BgL_contz00_5908;
																										obj_t BgL_a1z00_5906;
																										obj_t BgL_a0z00_5904;

																										BgL_a0z00_5904 =
																											CDR(BgL_a0z00_2847);
																										BgL_a1z00_5906 =
																											CDR(BgL_a1z00_2848);
																										BgL_contz00_5908 =
																											((bool_t) 1);
																										BgL_contz00_2849 =
																											BgL_contz00_5908;
																										BgL_a1z00_2848 =
																											BgL_a1z00_5906;
																										BgL_a0z00_2847 =
																											BgL_a0z00_5904;
																										goto
																											BgL_zc3anonymousza32903ze3z83_2850;
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 372 */
																		BgL__ortest_1170z00_2835 = BgL_contz00_2849;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1170z00_2835)
										{	/* Cfa/closure.scm 413 */
											BgL_arg2899z00_2834 = BgL__ortest_1170z00_2835;
										}
									else
										{	/* Cfa/closure.scm 413 */
											BgL_arg2899z00_2834 = BgL_contz00_2830;
										}
								}
								{
									bool_t BgL_contz00_5913;
									obj_t BgL_appsz00_5912;

									BgL_appsz00_5912 = BgL_arg2898z00_2833;
									BgL_contz00_5913 = BgL_arg2899z00_2834;
									BgL_contz00_2830 = BgL_contz00_5913;
									BgL_appsz00_2829 = BgL_appsz00_5912;
									goto BgL_zc3anonymousza32895ze3z83_2831;
								}
							}
					}
				}
			}
		}
	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 418 */
			{
				BgL_appz00_bglt BgL_appz00_2891;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 433 */
						obj_t BgL_g2729z00_2883;

						BgL_g2729z00_2883 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l2727z00_2885;

							{	/* Cfa/closure.scm 433 */
								bool_t BgL_auxz00_5916;

								BgL_l2727z00_2885 = BgL_g2729z00_2883;
							BgL_zc3anonymousza32929ze3z83_2886:
								if (PAIRP(BgL_l2727z00_2885))
									{	/* Cfa/closure.scm 433 */
										{	/* Cfa/closure.scm 433 */
											obj_t BgL_arg2931z00_2888;

											BgL_arg2931z00_2888 = CAR(BgL_l2727z00_2885);
											BgL_appz00_2891 = ((BgL_appz00_bglt) BgL_arg2931z00_2888);
											{	/* Cfa/closure.scm 422 */
												bool_t BgL_testz00_5920;

												{	/* Cfa/closure.scm 422 */
													bool_t BgL_testz00_5921;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5922;

														{
															obj_t BgL_auxz00_5923;

															{	/* Cfa/closure.scm 422 */
																BgL_objectz00_bglt BgL_auxz00_5924;

																BgL_auxz00_5924 =
																	((BgL_objectz00_bglt) BgL_appz00_2891);
																BgL_auxz00_5923 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5924);
															}
															BgL_auxz00_5922 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5923);
														}
														BgL_testz00_5921 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_5922))->BgL_xz00);
													}
													if (BgL_testz00_5921)
														{	/* Cfa/closure.scm 422 */
															BgL_testz00_5920 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5929;
															{
																obj_t BgL_auxz00_5930;

																{	/* Cfa/closure.scm 422 */
																	BgL_objectz00_bglt BgL_auxz00_5931;

																	BgL_auxz00_5931 =
																		((BgL_objectz00_bglt) BgL_appz00_2891);
																	BgL_auxz00_5930 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5931);
																}
																BgL_auxz00_5929 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5930);
															}
															BgL_testz00_5920 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5929))->BgL_tz00);
														}
												}
												if (BgL_testz00_5920)
													{	/* Cfa/closure.scm 422 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 424 */
														BgL_variablez00_bglt BgL_varz00_2895;

														{
															BgL_varz00_bglt BgL_auxz00_5936;

															{
																obj_t BgL_auxz00_5937;

																{	/* Cfa/closure.scm 424 */
																	obj_t BgL_pairz00_5052;

																	BgL_pairz00_5052 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_appz00_2891)))->
																		BgL_argsz00);
																	BgL_auxz00_5937 = CAR(BgL_pairz00_5052);
																}
																BgL_auxz00_5936 =
																	((BgL_varz00_bglt) BgL_auxz00_5937);
															}
															BgL_varz00_2895 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_5936))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 424 */
															BgL_valuez00_bglt BgL_sfunz00_2896;

															BgL_sfunz00_2896 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_varz00_2895))->BgL_valuez00);
															{	/* Cfa/closure.scm 425 */

																{	/* Cfa/closure.scm 426 */
																	obj_t BgL_g2726z00_2897;

																	{	/* Cfa/closure.scm 430 */
																		obj_t BgL_pairz00_5061;

																		BgL_pairz00_5061 =
																			(((BgL_sfunz00_bglt) CREF(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_2896)))->BgL_argsz00);
																		BgL_g2726z00_2897 = CDR(BgL_pairz00_5061);
																	}
																	{
																		obj_t BgL_l2724z00_2899;

																		BgL_l2724z00_2899 = BgL_g2726z00_2897;
																	BgL_zc3anonymousza32935ze3z83_2900:
																		if (PAIRP(BgL_l2724z00_2899))
																			{	/* Cfa/closure.scm 430 */
																				{	/* Cfa/closure.scm 427 */
																					obj_t BgL_az00_2902;

																					BgL_az00_2902 =
																						CAR(BgL_l2724z00_2899);
																					{	/* Cfa/closure.scm 427 */
																						BgL_approxz00_bglt BgL_pz00_2903;

																						{
																							BgL_svarzf2cinfozf2_bglt
																								BgL_auxz00_5950;
																							{
																								obj_t BgL_auxz00_5951;

																								{	/* Cfa/closure.scm 427 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5952;
																									BgL_auxz00_5952 =
																										((BgL_objectz00_bglt) (
																											(BgL_svarz00_bglt) ((
																													(BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															BgL_az00_2902)))->
																												BgL_valuez00)));
																									BgL_auxz00_5951 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_5952);
																								}
																								BgL_auxz00_5950 =
																									((BgL_svarzf2cinfozf2_bglt)
																									BgL_auxz00_5951);
																							}
																							BgL_pz00_2903 =
																								(((BgL_svarzf2cinfozf2_bglt)
																									CREF(BgL_auxz00_5950))->
																								BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 427 */
																							BgL_typez00_bglt BgL_tz00_2904;

																							BgL_tz00_2904 =
																								(((BgL_approxz00_bglt)
																									CREF(BgL_pz00_2903))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 428 */

																								{	/* Cfa/closure.scm 429 */
																									BgL_typez00_bglt
																										BgL_arg2937z00_2905;
																									BgL_arg2937z00_2905 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_tz00_2904);
																									{	/* Cfa/closure.scm 429 */
																										BgL_variablez00_bglt
																											BgL_oz00_5074;
																										BgL_oz00_5074 =
																											((BgL_variablez00_bglt)
																											BgL_az00_2902);
																										((((BgL_variablez00_bglt)
																													CREF(BgL_oz00_5074))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_arg2937z00_2905),
																											BUNSPEC);
																									}
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l2724z00_5964;

																					BgL_l2724z00_5964 =
																						CDR(BgL_l2724z00_2899);
																					BgL_l2724z00_2899 = BgL_l2724z00_5964;
																					goto
																						BgL_zc3anonymousza32935ze3z83_2900;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 430 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l2727z00_5967;

											BgL_l2727z00_5967 = CDR(BgL_l2727z00_2885);
											BgL_l2727z00_2885 = BgL_l2727z00_5967;
											goto BgL_zc3anonymousza32929ze3z83_2886;
										}
									}
								else
									{	/* Cfa/closure.scm 433 */
										BgL_auxz00_5916 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_5916);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 432 */
						return BFALSE;
					}
			}
		}
	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_5200)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 418 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 438 */
			{
				obj_t BgL_l2730z00_2915;

				BgL_l2730z00_2915 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza32944ze3z83_2916:
				if (PAIRP(BgL_l2730z00_2915))
					{	/* Cfa/closure.scm 439 */
						{	/* Cfa/closure.scm 441 */
							obj_t BgL_appz00_2918;

							BgL_appz00_2918 = CAR(BgL_l2730z00_2915);
							{	/* Cfa/closure.scm 441 */
								BgL_approxz00_bglt BgL_approxz00_2920;

								{	/* Cfa/closure.scm 442 */
									obj_t BgL_arg2955z00_2935;

									{	/* Cfa/closure.scm 442 */
										obj_t BgL_pairz00_5090;

										BgL_pairz00_5090 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2918)))->BgL_argsz00);
										BgL_arg2955z00_2935 = CAR(BgL_pairz00_5090);
									}
									BgL_approxz00_2920 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg2955z00_2935));
								}
								{	/* Cfa/closure.scm 442 */
									obj_t BgL_alloczd2listzd2_2921;

									BgL_alloczd2listzd2_2921 =
										BGl_setzd2ze3listz31zzcfa_setz00(
										(((BgL_approxz00_bglt) CREF(BgL_approxz00_2920))->
											BgL_allocsz00));
									{	/* Cfa/closure.scm 443 */
										BgL_varz00_bglt BgL_funz00_2922;

										BgL_funz00_2922 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2918)))->BgL_funz00);
										{	/* Cfa/closure.scm 444 */
											BgL_variablez00_bglt BgL_vfunz00_2923;

											BgL_vfunz00_2923 =
												(((BgL_varz00_bglt) CREF(BgL_funz00_2922))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 445 */

												{	/* Cfa/closure.scm 446 */
													bool_t BgL_testz00_5984;

													if (PAIRP(BgL_alloczd2listzd2_2921))
														{	/* Cfa/closure.scm 447 */
															bool_t BgL_testz00_5987;

															{	/* Cfa/closure.scm 447 */
																obj_t BgL_arg2953z00_2933;

																BgL_arg2953z00_2933 =
																	CAR(BgL_alloczd2listzd2_2921);
																BgL_testz00_5987 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2953z00_2933,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_5987)
																{	/* Cfa/closure.scm 447 */
																	BgL_testz00_5984 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 447 */
																	BgL_testz00_5984 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 446 */
															BgL_testz00_5984 = ((bool_t) 1);
														}
													if (BgL_testz00_5984)
														{	/* Cfa/closure.scm 446 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 449 */
															BgL_appz00_bglt BgL_allocz00_2925;

															{	/* Cfa/closure.scm 449 */
																obj_t BgL_pairz00_5104;

																BgL_pairz00_5104 = BgL_alloczd2listzd2_2921;
																BgL_allocz00_2925 =
																	((BgL_appz00_bglt) CAR(BgL_pairz00_5104));
															}
															{	/* Cfa/closure.scm 450 */
																BgL_appz00_bglt BgL_i1172z00_2926;

																BgL_i1172z00_2926 =
																	((BgL_appz00_bglt) BgL_allocz00_2925);
																{	/* Cfa/closure.scm 452 */
																	bool_t BgL_testz00_5994;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5995;
																		{
																			obj_t BgL_auxz00_5996;

																			{	/* Cfa/closure.scm 452 */
																				BgL_objectz00_bglt BgL_auxz00_5997;

																				BgL_auxz00_5997 =
																					((BgL_objectz00_bglt)
																					BgL_i1172z00_2926);
																				BgL_auxz00_5996 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5997);
																			}
																			BgL_auxz00_5995 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5996);
																		}
																		BgL_testz00_5994 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_5995))->BgL_xz00);
																	}
																	if (BgL_testz00_5994)
																		{	/* Cfa/closure.scm 452 */
																			if (
																				(((obj_t) BgL_vfunz00_2923) ==
																					BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																				{	/* Cfa/closure.scm 454 */
																					BgL_variablez00_bglt BgL_vz00_5106;

																					BgL_vz00_5106 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_funz00_2922))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_5106), BUNSPEC);
																				}
																			else
																				{	/* Cfa/closure.scm 455 */
																					BgL_variablez00_bglt BgL_vz00_5109;

																					BgL_vz00_5109 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_funz00_2922))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_5109), BUNSPEC);
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 456 */
																			bool_t BgL_testz00_6009;

																			{
																				BgL_makezd2procedurezd2appz00_bglt
																					BgL_auxz00_6010;
																				{
																					obj_t BgL_auxz00_6011;

																					{	/* Cfa/closure.scm 456 */
																						BgL_objectz00_bglt BgL_auxz00_6012;

																						BgL_auxz00_6012 =
																							((BgL_objectz00_bglt)
																							BgL_i1172z00_2926);
																						BgL_auxz00_6011 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_6012);
																					}
																					BgL_auxz00_6010 =
																						(
																						(BgL_makezd2procedurezd2appz00_bglt)
																						BgL_auxz00_6011);
																				}
																				BgL_testz00_6009 =
																					(((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_6010))->BgL_tz00);
																			}
																			if (BgL_testz00_6009)
																				{	/* Cfa/closure.scm 456 */
																					if (
																						(((obj_t) BgL_vfunz00_2923) ==
																							BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																						{	/* Cfa/closure.scm 458 */
																							BgL_variablez00_bglt
																								BgL_vz00_5112;
																							BgL_vz00_5112 =
																								((BgL_variablez00_bglt)
																								BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																							((((BgL_varz00_bglt)
																										CREF(BgL_funz00_2922))->
																									BgL_variablez00) =
																								((BgL_variablez00_bglt)
																									BgL_vz00_5112), BUNSPEC);
																						}
																					else
																						{	/* Cfa/closure.scm 459 */
																							BgL_variablez00_bglt
																								BgL_vz00_5115;
																							BgL_vz00_5115 =
																								((BgL_variablez00_bglt)
																								BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																							((((BgL_varz00_bglt)
																										CREF(BgL_funz00_2922))->
																									BgL_variablez00) =
																								((BgL_variablez00_bglt)
																									BgL_vz00_5115), BUNSPEC);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 456 */
																					BFALSE;
																				}
																		}
																}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2730z00_6024;

							BgL_l2730z00_6024 = CDR(BgL_l2730z00_2915);
							BgL_l2730z00_2915 = BgL_l2730z00_6024;
							goto BgL_zc3anonymousza32944ze3z83_2916;
						}
					}
				else
					{	/* Cfa/closure.scm 439 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 465 */
			{
				obj_t BgL_xpz00_2943;
				obj_t BgL_tpz00_2944;
				obj_t BgL_allocsz00_2945;

				BgL_xpz00_2943 = BNIL;
				BgL_tpz00_2944 = BNIL;
				BgL_allocsz00_2945 = BgL_allocsz00_9;
			BgL_zc3anonymousza32960ze3z83_2946:
				if (NULLP(BgL_allocsz00_2945))
					{	/* Cfa/closure.scm 476 */
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_2943);
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_2944);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 481 */
						BgL_appz00_bglt BgL_i1175z00_2948;

						{	/* Cfa/closure.scm 481 */
							obj_t BgL_pairz00_5128;

							BgL_pairz00_5128 = BgL_allocsz00_2945;
							BgL_i1175z00_2948 = ((BgL_appz00_bglt) CAR(BgL_pairz00_5128));
						}
						{	/* Cfa/closure.scm 483 */
							bool_t BgL_testz00_6034;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6035;

								{
									obj_t BgL_auxz00_6036;

									{	/* Cfa/closure.scm 483 */
										BgL_objectz00_bglt BgL_auxz00_6037;

										BgL_auxz00_6037 = ((BgL_objectz00_bglt) BgL_i1175z00_2948);
										BgL_auxz00_6036 = BGL_OBJECT_WIDENING(BgL_auxz00_6037);
									}
									BgL_auxz00_6035 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6036);
								}
								BgL_testz00_6034 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_6035))->BgL_xz00);
							}
							if (BgL_testz00_6034)
								{	/* Cfa/closure.scm 484 */
									obj_t BgL_arg2963z00_2950;
									obj_t BgL_arg2964z00_2951;

									{	/* Cfa/closure.scm 484 */
										BgL_variablez00_bglt BgL_arg2965z00_2952;

										{
											BgL_varz00_bglt BgL_auxz00_6042;

											{
												obj_t BgL_auxz00_6043;

												{	/* Cfa/closure.scm 484 */
													obj_t BgL_pairz00_5129;

													BgL_pairz00_5129 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_i1175z00_2948)))->
														BgL_argsz00);
													BgL_auxz00_6043 = CAR(BgL_pairz00_5129);
												}
												BgL_auxz00_6042 = ((BgL_varz00_bglt) BgL_auxz00_6043);
											}
											BgL_arg2965z00_2952 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_6042))->
												BgL_variablez00);
										}
										BgL_arg2963z00_2950 =
											MAKE_PAIR(((obj_t) BgL_arg2965z00_2952), BgL_xpz00_2943);
									}
									BgL_arg2964z00_2951 = CDR(BgL_allocsz00_2945);
									{
										obj_t BgL_allocsz00_6053;
										obj_t BgL_xpz00_6052;

										BgL_xpz00_6052 = BgL_arg2963z00_2950;
										BgL_allocsz00_6053 = BgL_arg2964z00_2951;
										BgL_allocsz00_2945 = BgL_allocsz00_6053;
										BgL_xpz00_2943 = BgL_xpz00_6052;
										goto BgL_zc3anonymousza32960ze3z83_2946;
									}
								}
							else
								{	/* Cfa/closure.scm 485 */
									bool_t BgL_testz00_6054;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6055;

										{
											obj_t BgL_auxz00_6056;

											{	/* Cfa/closure.scm 485 */
												BgL_objectz00_bglt BgL_auxz00_6057;

												BgL_auxz00_6057 =
													((BgL_objectz00_bglt) BgL_i1175z00_2948);
												BgL_auxz00_6056 = BGL_OBJECT_WIDENING(BgL_auxz00_6057);
											}
											BgL_auxz00_6055 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6056);
										}
										BgL_testz00_6054 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_6055))->BgL_tz00);
									}
									if (BgL_testz00_6054)
										{	/* Cfa/closure.scm 486 */
											obj_t BgL_arg2969z00_2956;
											obj_t BgL_arg2970z00_2957;

											{	/* Cfa/closure.scm 486 */
												BgL_variablez00_bglt BgL_arg2971z00_2958;

												{
													BgL_varz00_bglt BgL_auxz00_6062;

													{
														obj_t BgL_auxz00_6063;

														{	/* Cfa/closure.scm 486 */
															obj_t BgL_pairz00_5134;

															BgL_pairz00_5134 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1175z00_2948)))->
																BgL_argsz00);
															BgL_auxz00_6063 = CAR(BgL_pairz00_5134);
														}
														BgL_auxz00_6062 =
															((BgL_varz00_bglt) BgL_auxz00_6063);
													}
													BgL_arg2971z00_2958 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_6062))->
														BgL_variablez00);
												}
												BgL_arg2969z00_2956 =
													MAKE_PAIR(
													((obj_t) BgL_arg2971z00_2958), BgL_tpz00_2944);
											}
											BgL_arg2970z00_2957 = CDR(BgL_allocsz00_2945);
											{
												obj_t BgL_allocsz00_6073;
												obj_t BgL_tpz00_6072;

												BgL_tpz00_6072 = BgL_arg2969z00_2956;
												BgL_allocsz00_6073 = BgL_arg2970z00_2957;
												BgL_allocsz00_2945 = BgL_allocsz00_6073;
												BgL_tpz00_2944 = BgL_tpz00_6072;
												goto BgL_zc3anonymousza32960ze3z83_2946;
											}
										}
									else
										{
											obj_t BgL_allocsz00_6074;

											BgL_allocsz00_6074 = CDR(BgL_allocsz00_2945);
											BgL_allocsz00_2945 = BgL_allocsz00_6074;
											goto BgL_zc3anonymousza32960ze3z83_2946;
										}
								}
						}
					}
			}
		}
	}



/* show */
	bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_2963,
		obj_t BgL_lz00_2964)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 472 */
			if (NULLP(BgL_lz00_2964))
				{	/* Cfa/closure.scm 467 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 467 */
					{	/* Cfa/closure.scm 469 */
						obj_t BgL_arg2977z00_2967;

						BgL_arg2977z00_2967 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_2964));
						{	/* Cfa/closure.scm 469 */
							obj_t BgL_list2978z00_2968;

							{	/* Cfa/closure.scm 469 */
								obj_t BgL_arg2979z00_2969;

								{	/* Cfa/closure.scm 469 */
									obj_t BgL_arg2980z00_2970;

									{	/* Cfa/closure.scm 469 */
										obj_t BgL_arg2981z00_2971;

										{	/* Cfa/closure.scm 469 */
											obj_t BgL_arg2982z00_2972;

											BgL_arg2982z00_2972 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2981z00_2971 =
												MAKE_PAIR(BgL_arg2977z00_2967, BgL_arg2982z00_2972);
										}
										BgL_arg2980z00_2970 =
											MAKE_PAIR(BGl_string3263z00zzcfa_closurez00,
											BgL_arg2981z00_2971);
									}
									BgL_arg2979z00_2969 =
										MAKE_PAIR(BgL_propz00_2963, BgL_arg2980z00_2970);
								}
								BgL_list2978z00_2968 =
									MAKE_PAIR(BGl_string3264z00zzcfa_closurez00,
									BgL_arg2979z00_2969);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list2978z00_2968);
					}}
					{	/* Cfa/closure.scm 470 */
						obj_t BgL_g2734z00_2974;

						BgL_g2734z00_2974 = CDR(BgL_lz00_2964);
						{
							obj_t BgL_l2732z00_2976;

							BgL_l2732z00_2976 = BgL_g2734z00_2974;
						BgL_zc3anonymousza32984ze3z83_2977:
							if (PAIRP(BgL_l2732z00_2976))
								{	/* Cfa/closure.scm 472 */
									{	/* Cfa/closure.scm 471 */
										obj_t BgL_xz00_2979;

										BgL_xz00_2979 = CAR(BgL_l2732z00_2976);
										{	/* Cfa/closure.scm 471 */
											obj_t BgL_arg2987z00_2980;

											BgL_arg2987z00_2980 =
												BGl_shapez00zztools_shapez00(BgL_xz00_2979);
											{	/* Cfa/closure.scm 471 */
												obj_t BgL_list2988z00_2981;

												{	/* Cfa/closure.scm 471 */
													obj_t BgL_arg2989z00_2982;

													{	/* Cfa/closure.scm 471 */
														obj_t BgL_arg2990z00_2983;

														BgL_arg2990z00_2983 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg2989z00_2982 =
															MAKE_PAIR(BgL_arg2987z00_2980,
															BgL_arg2990z00_2983);
													}
													BgL_list2988z00_2981 =
														MAKE_PAIR(BGl_string3265z00zzcfa_closurez00,
														BgL_arg2989z00_2982);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list2988z00_2981);
									}}}
									{
										obj_t BgL_l2732z00_6099;

										BgL_l2732z00_6099 = CDR(BgL_l2732z00_2976);
										BgL_l2732z00_2976 = BgL_l2732z00_6099;
										goto BgL_zc3anonymousza32984ze3z83_2977;
									}
								}
							else
								{	/* Cfa/closure.scm 472 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 500 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_5201)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 500 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 506 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 507 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_10),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 507 */
					return BFALSE;
				}
		}
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_5202,
		obj_t BgL_astz00_5203)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 506 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5203));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 513 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_PAIR(
					((obj_t) BgL_astz00_11),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_5204, obj_t BgL_astz00_5205)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 513 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5205));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 519 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 520 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_12),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 520 */
					return BFALSE;
				}
		}
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_5206, obj_t BgL_astz00_5207)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 519 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5207));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 526 */
			{	/* Cfa/closure.scm 527 */
				BgL_typez00_bglt BgL_typez00_2989;
				obj_t BgL_alloczd2listzd2_2990;

				BgL_typez00_2989 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_13))->BgL_typez00);
				BgL_alloczd2listzd2_2990 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_13))->BgL_allocsz00));
				if (
					(((obj_t) BgL_typez00_2989) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 529 */
						if (PAIRP(BgL_alloczd2listzd2_2990))
							{	/* Cfa/closure.scm 530 */
								if (NULLP(CDR(BgL_alloczd2listzd2_2990)))
									{	/* Cfa/closure.scm 532 */
										bool_t BgL_testz00_6130;

										{	/* Cfa/closure.scm 532 */
											obj_t BgL_arg2995z00_2996;

											BgL_arg2995z00_2996 = CAR(BgL_alloczd2listzd2_2990);
											BgL_testz00_6130 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2995z00_2996,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_6130)
											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6133;

												{
													obj_t BgL_auxz00_6134;

													{	/* Cfa/closure.scm 533 */
														BgL_objectz00_bglt BgL_auxz00_6135;

														BgL_auxz00_6135 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_2990)));
														BgL_auxz00_6134 =
															BGL_OBJECT_WIDENING(BgL_auxz00_6135);
													}
													BgL_auxz00_6133 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_6134);
												}
												return
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_6133))->BgL_xz00);
											}
										else
											{	/* Cfa/closure.scm 532 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 531 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 530 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 529 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_5208, obj_t BgL_approxz00_5209)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 526 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_5209)));
		}
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 550 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 563 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_5210)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 563 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 235802177),
				BSTRING_TO_STRING(BGl_string3266z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
