/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it2032za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz122036z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	static BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box2034z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	static BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun2026z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static BgL_castz00_bglt
		BGl_z62patchz12zd2cast2016za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	static BgL_setqz00_bglt
		BGl_z62patchz12zd2setq2018za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	static BgL_appz00_bglt
		BGl_z62patchz12zd2app2040za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it2030za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var2028z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2closure2004za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_selectz00_bglt
		BGl_z62patchz12zd2select2024za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly2010z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional2020za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_externz00_bglt
		BGl_z62patchz12zd2extern2014za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_varz00_bglt
		BGl_z62patchz12zd2var2002za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32246ze3ze1zzcfa_specializa7eza7(obj_t, obj_t);
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_syncz00_bglt
		BGl_z62patchz12zd2sync2008za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_failz00_bglt
		BGl_z62patchz12zd2fail2022za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence2006za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall2012za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz121994z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_atomz00_bglt
		BGl_z62patchz12zd2atom1998za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	static BgL_globalz00_bglt BGl_z62lambda2240z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_kwotez00_bglt
		BGl_z62patchz12zd2kwote2000za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2244z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2247z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2254z62zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2255z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref2038z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22486z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2255za7622487z00,
		BGl_z62lambda2255z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2254za7622488z00,
		BGl_z62lambda2254z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2247za7622489z00,
		BGl_z62lambda2247z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3anonymousza72490za7,
		BGl_z62zc3anonymousza32246ze3ze1zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2244za7622491z00,
		BGl_z62lambda2244z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2240za7622492z00,
		BGl_z62lambda2240z62zzcfa_specializa7eza7, 0L, BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7121994za72493za7,
		BGl_z62patchz121994z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2494za7,
		BGl_z62patchz12zd2atom1998za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2495za7,
		BGl_z62patchz12zd2kwote2000za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2496za7,
		BGl_z62patchz12zd2var2002za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2497za7,
		BGl_z62patchz12zd2closure2004za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2498za7,
		BGl_z62patchz12zd2sequence2006za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sy2499za7,
		BGl_z62patchz12zd2sync2008za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2500za7,
		BGl_z62patchz12zd2appzd2ly2010z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2501za7,
		BGl_z62patchz12zd2funcall2012za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2467z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2502za7,
		BGl_z62patchz12zd2extern2014za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2503za7,
		BGl_z62patchz12zd2cast2016za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2504za7,
		BGl_z62patchz12zd2setq2018za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2505za7,
		BGl_z62patchz12zd2conditional2020za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2506za7,
		BGl_z62patchz12zd2fail2022za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2507za7,
		BGl_z62patchz12zd2select2024za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2508za7,
		BGl_z62patchz12zd2letzd2fun2026z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2509za7,
		BGl_z62patchz12zd2letzd2var2028z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2510za7,
		BGl_z62patchz12zd2setzd2exzd2it2030za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2511za7,
		BGl_z62patchz12zd2jumpzd2exzd2it2032za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2512za7,
		BGl_z62patchz12zd2makezd2box2034z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2513za7,
		BGl_z62patchz12zd2boxzd2setz122036z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2514za7,
		BGl_z62patchz12zd2boxzd2ref2038z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2515za7,
		BGl_z62patchz12zd2app2040za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72516za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22517z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2434z00zzcfa_specializa7eza7,
		BgL_bgl_string2434za700za7za7c2518za7, "arithmetic-spec-types", 21);
	      DEFINE_STRING(BGl_string2435z00zzcfa_specializa7eza7,
		BgL_bgl_string2435za700za7za7c2519za7, "Null specification for", 22);
	      DEFINE_STRING(BGl_string2436z00zzcfa_specializa7eza7,
		BgL_bgl_string2436za700za7za7c2520za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2437z00zzcfa_specializa7eza7,
		BgL_bgl_string2437za700za7za7c2521za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2438z00zzcfa_specializa7eza7,
		BgL_bgl_string2438za700za7za7c2522za7, ": ", 2);
	      DEFINE_STRING(BGl_string2439z00zzcfa_specializa7eza7,
		BgL_bgl_string2439za700za7za7c2523za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2440z00zzcfa_specializa7eza7,
		BgL_bgl_string2440za700za7za7c2524za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2441z00zzcfa_specializa7eza7,
		BgL_bgl_string2441za700za7za7c2525za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2442z00zzcfa_specializa7eza7,
		BgL_bgl_string2442za700za7za7c2526za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2443z00zzcfa_specializa7eza7,
		BgL_bgl_string2443za700za7za7c2527za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2444z00zzcfa_specializa7eza7,
		BgL_bgl_string2444za700za7za7c2528za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2445z00zzcfa_specializa7eza7,
		BgL_bgl_string2445za700za7za7c2529za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2446z00zzcfa_specializa7eza7,
		BgL_bgl_string2446za700za7za7c2530za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2447z00zzcfa_specializa7eza7,
		BgL_bgl_string2447za700za7za7c2531za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string2454z00zzcfa_specializa7eza7,
		BgL_bgl_string2454za700za7za7c2532za7, "", 0);
	      DEFINE_STRING(BGl_string2456z00zzcfa_specializa7eza7,
		BgL_bgl_string2456za700za7za7c2533za7, "patch!1994", 10);
	      DEFINE_STRING(BGl_string2457z00zzcfa_specializa7eza7,
		BgL_bgl_string2457za700za7za7c2534za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2459z00zzcfa_specializa7eza7,
		BgL_bgl_string2459za700za7za7c2535za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2481z00zzcfa_specializa7eza7,
		BgL_bgl_string2481za700za7za7c2536za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2482z00zzcfa_specializa7eza7,
		BgL_bgl_string2482za700za7za7c2537za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string2483z00zzcfa_specializa7eza7,
		BgL_bgl_string2483za700za7za7c2538za7,
		"patch!1994 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((2+ (2+ __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum) (+fx __r4_numbers_6_5_fixnum)) (2- (2- __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum) (-fx __r4_numbers_6_5_fixnum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum) (*fx __r4_numbers_6_5_fixnum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum) (absfx __r4_numbers_6_5_fixnum))) ((2+ (2+ __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum)) (2- (2- __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum)) (c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) (<fl __r4_numbers"
		"_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numbers_6_5) (asinfl"
		" __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		2204);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72539za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_3282, char *BgL_fromz00_3283)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_3271;

				BgL_cportz00_3271 =
					bgl_open_input_string(BGl_string2483z00zzcfa_specializa7eza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_3272;

					BgL_iz00_3272 = ((long) 13);
				BgL_loopz00_3273:
					if ((BgL_iz00_3272 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2485z00_3275;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_3277;

										BgL_locationz00_3277 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2485z00_3275 =
												BGl_readz00zz__readerz00(BgL_cportz00_3271,
												BgL_locationz00_3277);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_auxz00_3306;

									BgL_auxz00_3306 = (int) (BgL_iz00_3272);
									CNST_TABLE_SET(BgL_auxz00_3306, BgL_arg2485z00_3275);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_3278;

								BgL_auxz00_3278 = (int) ((BgL_iz00_3272 - ((long) 1)));
								{
									long BgL_iz00_3311;

									BgL_iz00_3311 = (long) (BgL_auxz00_3278);
									BgL_iz00_3272 = BgL_iz00_3311;
									goto BgL_loopz00_3273;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BFALSE;
			BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1453;

				BgL_headz00_1453 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1454;
					obj_t BgL_tailz00_1455;

					BgL_prevz00_1454 = BgL_headz00_1453;
					BgL_tailz00_1455 = BgL_l1z00_1;
				BgL_loopz00_1456:
					if (PAIRP(BgL_tailz00_1455))
						{
							obj_t BgL_newzd2prevzd2_1458;

							BgL_newzd2prevzd2_1458 =
								MAKE_PAIR(CAR(BgL_tailz00_1455), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1454, BgL_newzd2prevzd2_1458);
							{
								obj_t BgL_tailz00_3322;
								obj_t BgL_prevz00_3321;

								BgL_prevz00_3321 = BgL_newzd2prevzd2_1458;
								BgL_tailz00_3322 = CDR(BgL_tailz00_1455);
								BgL_tailz00_1455 = BgL_tailz00_3322;
								BgL_prevz00_1454 = BgL_prevz00_3321;
								goto BgL_loopz00_1456;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1453);
				}
			}
		}
	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_84)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1974z00_1508;

						BgL_g1974z00_1508 =
							BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
						{
							obj_t BgL_l1972z00_1510;

							BgL_l1972z00_1510 = BgL_g1974z00_1508;
						BgL_zc3anonymousza32049ze3z83_1511:
							if (PAIRP(BgL_l1972z00_1510))
								{	/* Cfa/specialize.scm 47 */
									BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(CAR
										(BgL_l1972z00_1510));
									{
										obj_t BgL_l1972z00_3332;

										BgL_l1972z00_3332 = CDR(BgL_l1972z00_1510);
										BgL_l1972z00_1510 = BgL_l1972z00_3332;
										goto BgL_zc3anonymousza32049ze3z83_1511;
									}
								}
							else
								{	/* Cfa/specialize.scm 47 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_84);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_84;
		}
	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_3156,
		obj_t BgL_globalsz00_3157)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3157);
		}
	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_85)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 56 */
			{	/* Cfa/specialize.scm 58 */
				obj_t BgL_cellz00_1517;

				{	/* Cfa/specialize.scm 58 */
					obj_t BgL_arg2056z00_1522;
					obj_t BgL_arg2057z00_1523;

					BgL_arg2056z00_1522 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_85)))->BgL_idz00);
					BgL_arg2057z00_1523 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1517 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2056z00_1522,
						BgL_arg2057z00_1523);
				}
				if (PAIRP(BgL_cellz00_1517))
					{	/* Cfa/specialize.scm 59 */
						bool_t BgL_auxz00_3344;

						{	/* Cfa/specialize.scm 59 */
							obj_t BgL_auxz00_3345;

							{	/* Cfa/specialize.scm 59 */
								obj_t BgL_pairz00_2832;

								BgL_pairz00_2832 = CAR(CDR(BgL_cellz00_1517));
								BgL_auxz00_3345 = CAR(CDR(BgL_pairz00_2832));
							}
							BgL_auxz00_3344 =
								(BgL_auxz00_3345 ==
								(((BgL_globalz00_bglt) CREF(BgL_globalz00_85))->BgL_modulez00));
						}
						return BBOOL(BgL_auxz00_3344);
					}
				else
					{	/* Cfa/specialize.scm 59 */
						return BFALSE;
					}
			}
		}
	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_3158, obj_t BgL_globalz00_3159)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 56 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3159));
		}
	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_86)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 67 */
			{	/* Cfa/specialize.scm 69 */
				obj_t BgL_cellz00_1525;

				{	/* Cfa/specialize.scm 69 */
					obj_t BgL_arg2074z00_1548;
					obj_t BgL_arg2075z00_1549;

					BgL_arg2074z00_1548 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_86)))->BgL_idz00);
					BgL_arg2075z00_1549 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1525 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2074z00_1548,
						BgL_arg2075z00_1549);
				}
				if (PAIRP(BgL_cellz00_1525))
					{	/* Cfa/specialize.scm 72 */
						obj_t BgL_g1175z00_1527;

						BgL_g1175z00_1527 = CDR(CDR(BgL_cellz00_1525));
						{
							obj_t BgL_specz00_1530;
							obj_t BgL_typesz00_1531;

							BgL_specz00_1530 = BgL_g1175z00_1527;
							BgL_typesz00_1531 = BNIL;
						BgL_zc3anonymousza32059ze3z83_1532:
							if (NULLP(BgL_specz00_1530))
								{	/* Cfa/specialize.scm 75 */
									if (NULLP(BgL_typesz00_1531))
										{	/* Cfa/specialize.scm 79 */
											obj_t BgL_arg2062z00_1535;

											BgL_arg2062z00_1535 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_globalz00_86));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2434z00zzcfa_specializa7eza7,
												BGl_string2435z00zzcfa_specializa7eza7,
												BgL_arg2062z00_1535);
										}
									else
										{	/* Cfa/specialize.scm 76 */
											return BgL_typesz00_1531;
										}
								}
							else
								{	/* Cfa/specialize.scm 81 */
									bool_t BgL_testz00_3370;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 82 */
											obj_t BgL_auxz00_3373;

											{	/* Cfa/specialize.scm 82 */
												obj_t BgL_pairz00_2847;

												BgL_pairz00_2847 = CAR(BgL_specz00_1530);
												BgL_auxz00_3373 = CAR(CDR(BgL_pairz00_2847));
											}
											BgL_testz00_3370 =
												(BgL_auxz00_3373 == CNST_TABLE_REF(((long) 2)));
										}
									else
										{	/* Cfa/specialize.scm 81 */
											BgL_testz00_3370 = ((bool_t) 0);
										}
									if (BgL_testz00_3370)
										{	/* Cfa/specialize.scm 83 */
											obj_t BgL_arg2064z00_1537;
											obj_t BgL_arg2065z00_1538;

											BgL_arg2064z00_1537 = CDR(BgL_specz00_1530);
											BgL_arg2065z00_1538 =
												MAKE_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1531);
											{
												obj_t BgL_typesz00_3382;
												obj_t BgL_specz00_3381;

												BgL_specz00_3381 = BgL_arg2064z00_1537;
												BgL_typesz00_3382 = BgL_arg2065z00_1538;
												BgL_typesz00_1531 = BgL_typesz00_3382;
												BgL_specz00_1530 = BgL_specz00_3381;
												goto BgL_zc3anonymousza32059ze3z83_1532;
											}
										}
									else
										{	/* Cfa/specialize.scm 84 */
											bool_t BgL_testz00_3383;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 85 */
													obj_t BgL_auxz00_3386;

													{	/* Cfa/specialize.scm 85 */
														obj_t BgL_pairz00_2853;

														BgL_pairz00_2853 = CAR(BgL_specz00_1530);
														BgL_auxz00_3386 = CAR(CDR(BgL_pairz00_2853));
													}
													BgL_testz00_3383 =
														(BgL_auxz00_3386 == CNST_TABLE_REF(((long) 3)));
												}
											else
												{	/* Cfa/specialize.scm 84 */
													BgL_testz00_3383 = ((bool_t) 0);
												}
											if (BgL_testz00_3383)
												{	/* Cfa/specialize.scm 86 */
													obj_t BgL_arg2067z00_1540;
													obj_t BgL_arg2068z00_1541;

													BgL_arg2067z00_1540 = CDR(BgL_specz00_1530);
													BgL_arg2068z00_1541 =
														MAKE_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1531);
													{
														obj_t BgL_typesz00_3395;
														obj_t BgL_specz00_3394;

														BgL_specz00_3394 = BgL_arg2067z00_1540;
														BgL_typesz00_3395 = BgL_arg2068z00_1541;
														BgL_typesz00_1531 = BgL_typesz00_3395;
														BgL_specz00_1530 = BgL_specz00_3394;
														goto BgL_zc3anonymousza32059ze3z83_1532;
													}
												}
											else
												{
													obj_t BgL_specz00_3396;

													BgL_specz00_3396 = CDR(BgL_specz00_1530);
													BgL_specz00_1530 = BgL_specz00_3396;
													goto BgL_zc3anonymousza32059ze3z83_1532;
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 70 */
						return BNIL;
					}
			}
		}
	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3160, obj_t BgL_globalz00_3161)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 67 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3161));
		}
	}



/* get-specializations */
	obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 93 */
			if (CBOOL(BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7))
				{	/* Cfa/specialize.scm 95 */
					return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
				}
			else
				{	/* Cfa/specialize.scm 95 */
					if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 98 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								CNST_TABLE_REF(((long) 0));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
					else
						{	/* Cfa/specialize.scm 98 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								BGl_appendzd221011zd2zzcfa_specializa7eza7(CNST_TABLE_REF((
										(long) 1)), CNST_TABLE_REF(((long) 0)));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
				}
		}
	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 192 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 193 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 193 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 193 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 193 */
					return ((bool_t) 0);
				}
		}
	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 198 */
			{	/* Cfa/specialize.scm 199 */
				obj_t BgL_list2076z00_1551;

				{	/* Cfa/specialize.scm 199 */
					obj_t BgL_arg2077z00_1552;

					BgL_arg2077z00_1552 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
					BgL_list2076z00_1551 =
						MAKE_PAIR(BGl_string2436z00zzcfa_specializa7eza7,
						BgL_arg2077z00_1552);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2076z00_1551);
			}
			{
				obj_t BgL_l1975z00_1554;

				BgL_l1975z00_1554 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3anonymousza32078ze3z83_1555:
				if (PAIRP(BgL_l1975z00_1554))
					{	/* Cfa/specialize.scm 200 */
						{	/* Cfa/specialize.scm 201 */
							obj_t BgL_typezd2numzd2_1557;

							BgL_typezd2numzd2_1557 = CAR(BgL_l1975z00_1554);
							{	/* Cfa/specialize.scm 201 */
								bool_t BgL_testz00_3421;

								{	/* Cfa/specialize.scm 201 */
									long BgL_auxz00_3422;

									{	/* Cfa/specialize.scm 201 */
										obj_t BgL_pairz00_2865;

										BgL_pairz00_2865 = BgL_typezd2numzd2_1557;
										BgL_auxz00_3422 = (long) CINT(CDR(BgL_pairz00_2865));
									}
									BgL_testz00_3421 = (BgL_auxz00_3422 > ((long) 0));
								}
								if (BgL_testz00_3421)
									{	/* Cfa/specialize.scm 202 */
										obj_t BgL_arg2081z00_1559;
										obj_t BgL_arg2082z00_1560;

										BgL_arg2081z00_1559 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1557));
										BgL_arg2082z00_1560 = CDR(BgL_typezd2numzd2_1557);
										{	/* Cfa/specialize.scm 202 */
											obj_t BgL_list2083z00_1561;

											{	/* Cfa/specialize.scm 202 */
												obj_t BgL_arg2084z00_1562;

												{	/* Cfa/specialize.scm 202 */
													obj_t BgL_arg2085z00_1563;

													{	/* Cfa/specialize.scm 202 */
														obj_t BgL_arg2087z00_1564;

														{	/* Cfa/specialize.scm 202 */
															obj_t BgL_arg2088z00_1565;

															BgL_arg2088z00_1565 =
																MAKE_PAIR
																(BGl_string2437z00zzcfa_specializa7eza7, BNIL);
															BgL_arg2087z00_1564 =
																MAKE_PAIR(BgL_arg2082z00_1560,
																BgL_arg2088z00_1565);
														}
														BgL_arg2085z00_1563 =
															MAKE_PAIR(BGl_string2438z00zzcfa_specializa7eza7,
															BgL_arg2087z00_1564);
													}
													BgL_arg2084z00_1562 =
														MAKE_PAIR(BgL_arg2081z00_1559, BgL_arg2085z00_1563);
												}
												BgL_list2083z00_1561 =
													MAKE_PAIR(BGl_string2439z00zzcfa_specializa7eza7,
													BgL_arg2084z00_1562);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2083z00_1561);
									}}
								else
									{	/* Cfa/specialize.scm 201 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1975z00_3436;

							BgL_l1975z00_3436 = CDR(BgL_l1975z00_1554);
							BgL_l1975z00_1554 = BgL_l1975z00_3436;
							goto BgL_zc3anonymousza32078ze3z83_1555;
						}
					}
				else
					{	/* Cfa/specialize.scm 200 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1977z00_1571;

				BgL_l1977z00_1571 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32092ze3z83_1572:
				if (PAIRP(BgL_l1977z00_1571))
					{	/* Cfa/specialize.scm 205 */
						{	/* Cfa/specialize.scm 206 */
							obj_t BgL_typezd2numzd2_1574;

							BgL_typezd2numzd2_1574 = CAR(BgL_l1977z00_1571);
							{	/* Cfa/specialize.scm 206 */
								bool_t BgL_testz00_3441;

								{	/* Cfa/specialize.scm 206 */
									long BgL_auxz00_3442;

									{	/* Cfa/specialize.scm 206 */
										obj_t BgL_pairz00_2875;

										BgL_pairz00_2875 = BgL_typezd2numzd2_1574;
										BgL_auxz00_3442 = (long) CINT(CDR(BgL_pairz00_2875));
									}
									BgL_testz00_3441 = (BgL_auxz00_3442 > ((long) 0));
								}
								if (BgL_testz00_3441)
									{	/* Cfa/specialize.scm 207 */
										obj_t BgL_arg2095z00_1576;
										obj_t BgL_arg2096z00_1577;

										BgL_arg2095z00_1576 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1574));
										BgL_arg2096z00_1577 = CDR(BgL_typezd2numzd2_1574);
										{	/* Cfa/specialize.scm 207 */
											obj_t BgL_list2097z00_1578;

											{	/* Cfa/specialize.scm 207 */
												obj_t BgL_arg2098z00_1579;

												{	/* Cfa/specialize.scm 207 */
													obj_t BgL_arg2099z00_1580;

													{	/* Cfa/specialize.scm 207 */
														obj_t BgL_arg2100z00_1581;

														{	/* Cfa/specialize.scm 207 */
															obj_t BgL_arg2101z00_1582;

															BgL_arg2101z00_1582 =
																MAKE_PAIR
																(BGl_string2437z00zzcfa_specializa7eza7, BNIL);
															BgL_arg2100z00_1581 =
																MAKE_PAIR(BgL_arg2096z00_1577,
																BgL_arg2101z00_1582);
														}
														BgL_arg2099z00_1580 =
															MAKE_PAIR(BGl_string2438z00zzcfa_specializa7eza7,
															BgL_arg2100z00_1581);
													}
													BgL_arg2098z00_1579 =
														MAKE_PAIR(BgL_arg2095z00_1576, BgL_arg2099z00_1580);
												}
												BgL_list2097z00_1578 =
													MAKE_PAIR(BGl_string2440z00zzcfa_specializa7eza7,
													BgL_arg2098z00_1579);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2097z00_1578);
									}}
								else
									{	/* Cfa/specialize.scm 206 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1977z00_3456;

							BgL_l1977z00_3456 = CDR(BgL_l1977z00_1571);
							BgL_l1977z00_1571 = BgL_l1977z00_3456;
							goto BgL_zc3anonymousza32092ze3z83_1572;
						}
					}
				else
					{	/* Cfa/specialize.scm 205 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_87)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 222 */
			{	/* Cfa/specialize.scm 223 */
				bool_t BgL_testz00_3458;

				{	/* Cfa/specialize.scm 223 */
					obj_t BgL_auxz00_3459;

					BgL_auxz00_3459 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_87,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_testz00_3458 = PAIRP(BgL_auxz00_3459);
				}
				if (BgL_testz00_3458)
					{	/* Cfa/specialize.scm 223 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 223 */
						{	/* Cfa/specialize.scm 224 */
							obj_t BgL_arg2106z00_1588;

							BgL_arg2106z00_1588 = MAKE_PAIR(BgL_typez00_87, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_PAIR(BgL_arg2106z00_1588,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 225 */
							obj_t BgL_list2107z00_1589;

							BgL_list2107z00_1589 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list2107z00_1589);
						}
						{	/* Cfa/specialize.scm 226 */
							obj_t BgL_list2108z00_1590;

							BgL_list2108z00_1590 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
									BgL_list2108z00_1590), BUNSPEC);
		}}}}
	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_88)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 231 */
			{	/* Cfa/specialize.scm 232 */
				obj_t BgL_cellz00_1592;

				BgL_cellz00_1592 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_88,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1592))
					{	/* Cfa/specialize.scm 236 */
						long BgL_arg2112z00_1594;

						BgL_arg2112z00_1594 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1592)));
						{	/* Cfa/specialize.scm 236 */
							obj_t BgL_auxz00_3479;

							BgL_auxz00_3479 = BINT(BgL_arg2112z00_1594);
							return SET_CDR(BgL_cellz00_1592, BgL_auxz00_3479);
						}
					}
				else
					{	/* Cfa/specialize.scm 233 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2441z00zzcfa_specializa7eza7,
							BGl_string2442z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_88));
					}
			}
		}
	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_89)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 241 */
			{	/* Cfa/specialize.scm 242 */
				obj_t BgL_cellz00_1597;

				BgL_cellz00_1597 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_89,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1597))
					{	/* Cfa/specialize.scm 246 */
						long BgL_arg2116z00_1599;

						BgL_arg2116z00_1599 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1597)));
						{	/* Cfa/specialize.scm 246 */
							obj_t BgL_auxz00_3490;

							BgL_auxz00_3490 = BINT(BgL_arg2116z00_1599);
							return SET_CDR(BgL_cellz00_1597, BgL_auxz00_3490);
						}
					}
				else
					{	/* Cfa/specialize.scm 245 */
						obj_t BgL_arg2120z00_1601;

						BgL_arg2120z00_1601 = MAKE_PAIR(BgL_typez00_89, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_PAIR(BgL_arg2120z00_1601,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}
	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_specz00_90)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 251 */
			{	/* Cfa/specialize.scm 252 */
				obj_t BgL_genz00_1602;

				{	/* Cfa/specialize.scm 252 */
					obj_t BgL_pairz00_2900;

					BgL_pairz00_2900 = BgL_specz00_90;
					BgL_genz00_1602 = CAR(CDR(BgL_pairz00_2900));
				}
				{	/* Cfa/specialize.scm 252 */
					obj_t BgL_fixesz00_1603;

					{	/* Cfa/specialize.scm 253 */
						obj_t BgL_pairz00_2904;

						BgL_pairz00_2904 = BgL_specz00_90;
						BgL_fixesz00_1603 = CDR(CDR(BgL_pairz00_2904));
					}
					{	/* Cfa/specialize.scm 253 */
						obj_t BgL_genzd2idzd2_1604;

						BgL_genzd2idzd2_1604 = CAR(BgL_genz00_1602);
						{	/* Cfa/specialize.scm 254 */
							obj_t BgL_genzd2modzd2_1605;

							{	/* Cfa/specialize.scm 255 */
								obj_t BgL_pairz00_2909;

								BgL_pairz00_2909 = BgL_genz00_1602;
								BgL_genzd2modzd2_1605 = CAR(CDR(BgL_pairz00_2909));
							}
							{	/* Cfa/specialize.scm 255 */
								obj_t BgL_genericz00_1606;

								BgL_genericz00_1606 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_genzd2idzd2_1604, BgL_genzd2modzd2_1605);
								{	/* Cfa/specialize.scm 256 */

									if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1606,
											BGl_globalz00zzast_varz00))
										{
											obj_t BgL_fixesz00_1610;
											obj_t BgL_resz00_1611;

											BgL_fixesz00_1610 = BgL_fixesz00_1603;
											BgL_resz00_1611 = BNIL;
										BgL_zc3anonymousza32122ze3z83_1612:
											if (NULLP(BgL_fixesz00_1610))
												{	/* Cfa/specialize.scm 260 */
													if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1606,
															BGl_specializa7edzd2globalz75zzcfa_specializa7eza7))
														{	/* Cfa/specialize.scm 262 */
															BgL_globalz00_bglt BgL_i1179z00_1615;

															BgL_i1179z00_1615 =
																((BgL_globalz00_bglt) BgL_genericz00_1606);
															{
																obj_t BgL_auxz00_3517;
																BgL_specializa7edzd2globalz75_bglt
																	BgL_auxz00_3511;
																{	/* Cfa/specialize.scm 263 */
																	obj_t BgL_arg2125z00_1616;

																	{
																		BgL_specializa7edzd2globalz75_bglt
																			BgL_auxz00_3518;
																		{
																			obj_t BgL_auxz00_3519;

																			{	/* Cfa/specialize.scm 263 */
																				BgL_objectz00_bglt BgL_auxz00_3520;

																				BgL_auxz00_3520 =
																					((BgL_objectz00_bglt)
																					BgL_i1179z00_1615);
																				BgL_auxz00_3519 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3520);
																			}
																			BgL_auxz00_3518 =
																				((BgL_specializa7edzd2globalz75_bglt)
																				BgL_auxz00_3519);
																		}
																		BgL_arg2125z00_1616 =
																			(((BgL_specializa7edzd2globalz75_bglt)
																				CREF(BgL_auxz00_3518))->BgL_fixz00);
																	}
																	BgL_auxz00_3517 =
																		BGl_appendzd221011zd2zzcfa_specializa7eza7
																		(BgL_arg2125z00_1616, BgL_resz00_1611);
																}
																{
																	obj_t BgL_auxz00_3512;

																	{	/* Cfa/specialize.scm 263 */
																		BgL_objectz00_bglt BgL_auxz00_3513;

																		BgL_auxz00_3513 =
																			((BgL_objectz00_bglt) BgL_i1179z00_1615);
																		BgL_auxz00_3512 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3513);
																	}
																	BgL_auxz00_3511 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BgL_auxz00_3512);
																}
																return
																	((((BgL_specializa7edzd2globalz75_bglt)
																			CREF(BgL_auxz00_3511))->BgL_fixz00) =
																	((obj_t) BgL_auxz00_3517), BUNSPEC);
															}
														}
													else
														{	/* Cfa/specialize.scm 261 */
															{	/* Cfa/specialize.scm 265 */
																BgL_globalz00_bglt BgL_tmp1180z00_1617;

																BgL_tmp1180z00_1617 =
																	((BgL_globalz00_bglt) BgL_genericz00_1606);
																{	/* Cfa/specialize.scm 265 */
																	BgL_globalz00_bglt BgL_tmp1181z00_1618;
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_wide1182z00_1619;
																	BgL_tmp1181z00_1618 =
																		((BgL_globalz00_bglt) BgL_tmp1180z00_1617);
																	BgL_wide1182z00_1619 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_specializa7edzd2globalz75_bgl))));
																	{	/* Cfa/specialize.scm 265 */
																		obj_t BgL_auxz00_3532;
																		BgL_objectz00_bglt BgL_auxz00_3530;

																		BgL_auxz00_3532 =
																			((obj_t) BgL_wide1182z00_1619);
																		BgL_auxz00_3530 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1181z00_1618);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3530,
																			BgL_auxz00_3532);
																	}
																	{	/* Cfa/specialize.scm 265 */
																		long BgL_arg2126z00_1620;

																		{	/* Cfa/specialize.scm 265 */
																			long BgL_res2389z00_2920;

																			BgL_res2389z00_2920 =
																				BGL_CLASS_INDEX
																				(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
																			BgL_arg2126z00_1620 = BgL_res2389z00_2920;
																		}
																		{	/* Cfa/specialize.scm 265 */
																			BgL_objectz00_bglt BgL_objz00_2921;

																			BgL_objz00_2921 =
																				((BgL_objectz00_bglt)
																				BgL_tmp1181z00_1618);
																			((BgL_globalz00_bglt)
																				BGL_OBJECT_CLASS_NUM_SET
																				(BgL_objz00_2921, BgL_arg2126z00_1620));
																	}} BgL_tmp1181z00_1618;
																}
																{	/* Cfa/specialize.scm 265 */
																	BgL_globalz00_bglt BgL_new1183z00_1621;

																	BgL_new1183z00_1621 =
																		((BgL_globalz00_bglt) BgL_tmp1180z00_1617);
																	{
																		BgL_specializa7edzd2globalz75_bglt
																			BgL_auxz00_3540;
																		{
																			obj_t BgL_auxz00_3541;

																			{	/* Cfa/specialize.scm 265 */
																				BgL_objectz00_bglt BgL_auxz00_3542;

																				BgL_auxz00_3542 =
																					((BgL_objectz00_bglt)
																					BgL_new1183z00_1621);
																				BgL_auxz00_3541 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3542);
																			}
																			BgL_auxz00_3540 =
																				((BgL_specializa7edzd2globalz75_bglt)
																				BgL_auxz00_3541);
																		}
																		((((BgL_specializa7edzd2globalz75_bglt)
																					CREF(BgL_auxz00_3540))->BgL_fixz00) =
																			((obj_t) BgL_resz00_1611), BUNSPEC);
																	} BgL_new1183z00_1621;
															}}
															return
																(BGl_za2specializa7eza2za7zzcfa_specializa7eza7
																=
																MAKE_PAIR(BgL_genericz00_1606,
																	BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
																BUNSPEC);
														}
												}
											else
												{	/* Cfa/specialize.scm 268 */
													obj_t BgL_fixz00_1622;

													BgL_fixz00_1622 = CAR(BgL_fixesz00_1610);
													{	/* Cfa/specialize.scm 268 */
														obj_t BgL_idz00_1623;

														BgL_idz00_1623 = CAR(BgL_fixz00_1622);
														{	/* Cfa/specialize.scm 269 */
															obj_t BgL_modz00_1624;

															{	/* Cfa/specialize.scm 270 */
																obj_t BgL_pairz00_2925;

																BgL_pairz00_2925 = BgL_fixz00_1622;
																BgL_modz00_1624 = CAR(CDR(BgL_pairz00_2925));
															}
															{	/* Cfa/specialize.scm 270 */
																obj_t BgL_globalz00_1625;

																BgL_globalz00_1625 =
																	BGl_findzd2globalzf2modulez20zzast_envz00
																	(BgL_idz00_1623, BgL_modz00_1624);
																{	/* Cfa/specialize.scm 271 */

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_globalz00_1625,
																			BGl_globalz00zzast_varz00))
																		{	/* Cfa/specialize.scm 273 */
																			BgL_valuez00_bglt BgL_valz00_1627;

																			BgL_valz00_1627 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_globalz00_1625))))->
																				BgL_valuez00);
																			{	/* Cfa/specialize.scm 275 */
																				bool_t BgL_testz00_3558;

																				{	/* Cfa/specialize.scm 275 */
																					bool_t BgL_testz00_3559;

																					{	/* Cfa/specialize.scm 275 */
																						bool_t BgL_res2392z00_2935;

																						{	/* Cfa/specialize.scm 275 */
																							obj_t BgL_objz00_2934;

																							BgL_objz00_2934 =
																								((obj_t) BgL_valz00_1627);
																							BgL_res2392z00_2935 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_2934,
																								BGl_sfunz00zzast_varz00);
																						}
																						BgL_testz00_3559 =
																							BgL_res2392z00_2935;
																					}
																					if (BgL_testz00_3559)
																						{	/* Cfa/specialize.scm 275 */
																							obj_t BgL_auxz00_3562;

																							BgL_auxz00_3562 =
																								(((BgL_sfunz00_bglt) CREF(
																										((BgL_sfunz00_bglt)
																											BgL_valz00_1627)))->
																								BgL_argsz00);
																							BgL_testz00_3558 =
																								PAIRP(BgL_auxz00_3562);
																						}
																					else
																						{	/* Cfa/specialize.scm 275 */
																							BgL_testz00_3558 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_3558)
																					{	/* Cfa/specialize.scm 276 */
																						obj_t BgL_typez00_1629;

																						{	/* Cfa/specialize.scm 276 */
																							obj_t BgL_vz00_1633;

																							{	/* Cfa/specialize.scm 276 */
																								obj_t BgL_pairz00_2942;

																								BgL_pairz00_2942 =
																									(((BgL_sfunz00_bglt) CREF(
																											((BgL_sfunz00_bglt)
																												BgL_valz00_1627)))->
																									BgL_argsz00);
																								BgL_vz00_1633 =
																									CAR(BgL_pairz00_2942);
																							}
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_vz00_1633,
																									BGl_typez00zztype_typez00))
																								{	/* Cfa/specialize.scm 278 */
																									BgL_typez00_1629 =
																										BgL_vz00_1633;
																								}
																							else
																								{	/* Cfa/specialize.scm 278 */
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_vz00_1633,
																											BGl_localz00zzast_varz00))
																										{	/* Cfa/specialize.scm 280 */
																											BgL_typez00_1629 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_vz00_1633))))->BgL_typez00));
																										}
																									else
																										{	/* Cfa/specialize.scm 286 */
																											obj_t BgL_arg2134z00_1636;

																											BgL_arg2134z00_1636 =
																												(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_globalz00_1625))))->BgL_idz00);
																											BgL_typez00_1629 =
																												BGl_internalzd2errorzd2zztools_errorz00
																												(BGl_string2443z00zzcfa_specializa7eza7,
																												BGl_string2444z00zzcfa_specializa7eza7,
																												BgL_arg2134z00_1636);
																										}
																								}
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1629);
																						{	/* Cfa/specialize.scm 288 */
																							obj_t BgL_arg2129z00_1630;
																							obj_t BgL_arg2130z00_1631;

																							BgL_arg2129z00_1630 =
																								CDR(BgL_fixesz00_1610);
																							{	/* Cfa/specialize.scm 289 */
																								obj_t BgL_arg2131z00_1632;

																								BgL_arg2131z00_1632 =
																									MAKE_PAIR(BgL_typez00_1629,
																									BgL_globalz00_1625);
																								BgL_arg2130z00_1631 =
																									MAKE_PAIR(BgL_arg2131z00_1632,
																									BgL_resz00_1611);
																							}
																							{
																								obj_t BgL_resz00_3586;
																								obj_t BgL_fixesz00_3585;

																								BgL_fixesz00_3585 =
																									BgL_arg2129z00_1630;
																								BgL_resz00_3586 =
																									BgL_arg2130z00_1631;
																								BgL_resz00_1611 =
																									BgL_resz00_3586;
																								BgL_fixesz00_1610 =
																									BgL_fixesz00_3585;
																								goto
																									BgL_zc3anonymousza32122ze3z83_1612;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 290 */
																						bool_t BgL_testz00_3587;

																						{	/* Cfa/specialize.scm 290 */
																							bool_t BgL_testz00_3588;

																							{	/* Cfa/specialize.scm 290 */
																								bool_t BgL_res2398z00_2955;

																								{	/* Cfa/specialize.scm 290 */
																									obj_t BgL_objz00_2954;

																									BgL_objz00_2954 =
																										((obj_t) BgL_valz00_1627);
																									BgL_res2398z00_2955 =
																										BGl_isazf3zf3zz__objectz00
																										(BgL_objz00_2954,
																										BGl_cfunz00zzast_varz00);
																								}
																								BgL_testz00_3588 =
																									BgL_res2398z00_2955;
																							}
																							if (BgL_testz00_3588)
																								{	/* Cfa/specialize.scm 290 */
																									obj_t BgL_auxz00_3591;

																									BgL_auxz00_3591 =
																										(((BgL_cfunz00_bglt) CREF(
																												((BgL_cfunz00_bglt)
																													BgL_valz00_1627)))->
																										BgL_argszd2typezd2);
																									BgL_testz00_3587 =
																										PAIRP(BgL_auxz00_3591);
																								}
																							else
																								{	/* Cfa/specialize.scm 290 */
																									BgL_testz00_3587 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_3587)
																							{	/* Cfa/specialize.scm 291 */
																								obj_t BgL_typez00_1639;

																								{	/* Cfa/specialize.scm 291 */
																									obj_t BgL_pairz00_2962;

																									BgL_pairz00_2962 =
																										(((BgL_cfunz00_bglt) CREF(
																												((BgL_cfunz00_bglt)
																													BgL_valz00_1627)))->
																										BgL_argszd2typezd2);
																									BgL_typez00_1639 =
																										CAR(BgL_pairz00_2962);
																								}
																								BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																									(BgL_typez00_1639);
																								{	/* Cfa/specialize.scm 293 */
																									obj_t BgL_arg2137z00_1640;
																									obj_t BgL_arg2138z00_1641;

																									BgL_arg2137z00_1640 =
																										CDR(BgL_fixesz00_1610);
																									{	/* Cfa/specialize.scm 294 */
																										obj_t BgL_arg2139z00_1642;

																										BgL_arg2139z00_1642 =
																											MAKE_PAIR
																											(BgL_typez00_1639,
																											BgL_globalz00_1625);
																										BgL_arg2138z00_1641 =
																											MAKE_PAIR
																											(BgL_arg2139z00_1642,
																											BgL_resz00_1611);
																									}
																									{
																										obj_t BgL_resz00_3603;
																										obj_t BgL_fixesz00_3602;

																										BgL_fixesz00_3602 =
																											BgL_arg2137z00_1640;
																										BgL_resz00_3603 =
																											BgL_arg2138z00_1641;
																										BgL_resz00_1611 =
																											BgL_resz00_3603;
																										BgL_fixesz00_1610 =
																											BgL_fixesz00_3602;
																										goto
																											BgL_zc3anonymousza32122ze3z83_1612;
																									}
																								}
																							}
																						else
																							{	/* Cfa/specialize.scm 290 */
																								return BFALSE;
																							}
																					}
																			}
																		}
																	else
																		{	/* Cfa/specialize.scm 272 */
																			{	/* Cfa/specialize.scm 299 */
																				obj_t BgL_arg2147z00_1648;

																				BgL_arg2147z00_1648 =
																					MAKE_PAIR(BgL_idz00_1623,
																					BgL_modz00_1624);
																				{	/* Cfa/specialize.scm 296 */
																					obj_t BgL_list2148z00_1649;

																					{	/* Cfa/specialize.scm 296 */
																						obj_t BgL_arg2149z00_1650;

																						{	/* Cfa/specialize.scm 296 */
																							obj_t BgL_arg2150z00_1651;

																							{	/* Cfa/specialize.scm 296 */
																								obj_t BgL_arg2151z00_1652;

																								BgL_arg2151z00_1652 =
																									MAKE_PAIR(BgL_arg2147z00_1648,
																									BNIL);
																								BgL_arg2150z00_1651 =
																									MAKE_PAIR
																									(BGl_string2445z00zzcfa_specializa7eza7,
																									BgL_arg2151z00_1652);
																							}
																							BgL_arg2149z00_1650 =
																								MAKE_PAIR
																								(BGl_string2446z00zzcfa_specializa7eza7,
																								BgL_arg2150z00_1651);
																						}
																						BgL_list2148z00_1649 =
																							MAKE_PAIR
																							(BGl_string2447z00zzcfa_specializa7eza7,
																							BgL_arg2149z00_1650);
																					}
																					BGl_warningz00zz__errorz00
																						(BgL_list2148z00_1649);
																				}
																			}
																			{
																				obj_t BgL_fixesz00_3610;

																				BgL_fixesz00_3610 =
																					CDR(BgL_fixesz00_1610);
																				BgL_fixesz00_1610 = BgL_fixesz00_3610;
																				goto BgL_zc3anonymousza32122ze3z83_1612;
																			}
																		}
																}
															}
														}
													}
												}
										}
									else
										{	/* Cfa/specialize.scm 304 */
											obj_t BgL_arg2153z00_1655;

											BgL_arg2153z00_1655 =
												MAKE_PAIR(BgL_genzd2idzd2_1604, BgL_genzd2modzd2_1605);
											{	/* Cfa/specialize.scm 301 */
												obj_t BgL_list2154z00_1656;

												{	/* Cfa/specialize.scm 301 */
													obj_t BgL_arg2156z00_1657;

													{	/* Cfa/specialize.scm 301 */
														obj_t BgL_arg2157z00_1658;

														{	/* Cfa/specialize.scm 301 */
															obj_t BgL_arg2158z00_1659;

															BgL_arg2158z00_1659 =
																MAKE_PAIR(BgL_arg2153z00_1655, BNIL);
															BgL_arg2157z00_1658 =
																MAKE_PAIR
																(BGl_string2445z00zzcfa_specializa7eza7,
																BgL_arg2158z00_1659);
														}
														BgL_arg2156z00_1657 =
															MAKE_PAIR(BGl_string2446z00zzcfa_specializa7eza7,
															BgL_arg2157z00_1658);
													}
													BgL_list2154z00_1656 =
														MAKE_PAIR(BGl_string2447z00zzcfa_specializa7eza7,
														BgL_arg2156z00_1657);
												}
												return BGl_warningz00zz__errorz00(BgL_list2154z00_1656);
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 309 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1979z00_1661;

				BgL_l1979z00_1661 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32159ze3z83_1662:
				if (PAIRP(BgL_l1979z00_1661))
					{	/* Cfa/specialize.scm 311 */
						{	/* Cfa/specialize.scm 311 */
							obj_t BgL_oz00_1664;

							BgL_oz00_1664 = CAR(BgL_l1979z00_1661);
							{	/* Cfa/specialize.scm 311 */
								long BgL_arg2161z00_1666;

								{	/* Cfa/specialize.scm 311 */
									obj_t BgL_arg2162z00_1667;

									{	/* Cfa/specialize.scm 311 */
										obj_t BgL_arg2163z00_1668;

										{	/* Cfa/specialize.scm 311 */
											BgL_objectz00_bglt BgL_objectz00_2968;

											BgL_objectz00_2968 = ((BgL_objectz00_bglt) BgL_oz00_1664);
											{	/* Cfa/specialize.scm 311 */
												long BgL_arg1823z00_2969;

												{	/* Cfa/specialize.scm 311 */
													long BgL_arg1824z00_2970;

													{	/* Cfa/specialize.scm 311 */
														long BgL_res2401z00_2972;

														BgL_res2401z00_2972 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2968);
														BgL_arg1824z00_2970 = BgL_res2401z00_2972;
													}
													BgL_arg1823z00_2969 =
														(BgL_arg1824z00_2970 - OBJECT_TYPE);
												}
												BgL_arg2163z00_1668 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1823z00_2969));
										}}
										BgL_arg2162z00_1667 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2163z00_1668);
									}
									{	/* Cfa/specialize.scm 311 */
										long BgL_res2403z00_2979;

										BgL_res2403z00_2979 = BGL_CLASS_INDEX(BgL_arg2162z00_1667);
										BgL_arg2161z00_1666 = BgL_res2403z00_2979;
								}}
								{	/* Cfa/specialize.scm 311 */
									BgL_objectz00_bglt BgL_objz00_2980;

									BgL_objz00_2980 = ((BgL_objectz00_bglt) BgL_oz00_1664);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2980,
										BgL_arg2161z00_1666);
							}}
							{	/* Cfa/specialize.scm 311 */
								BgL_objectz00_bglt BgL_auxz00_3630;

								BgL_auxz00_3630 = ((BgL_objectz00_bglt) BgL_oz00_1664);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3630, BFALSE);
							} BgL_oz00_1664;
						}
						{
							obj_t BgL_l1979z00_3633;

							BgL_l1979z00_3633 = CDR(BgL_l1979z00_1661);
							BgL_l1979z00_1661 = BgL_l1979z00_3633;
							goto BgL_zc3anonymousza32159ze3z83_1662;
						}
					}
				else
					{	/* Cfa/specialize.scm 311 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}
	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_91)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 317 */
			{
				obj_t BgL_l1981z00_1672;

				BgL_l1981z00_1672 = BgL_globalsz00_91;
			BgL_zc3anonymousza32165ze3z83_1673:
				if (PAIRP(BgL_l1981z00_1672))
					{	/* Cfa/specialize.scm 318 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1981z00_1672));
						{
							obj_t BgL_l1981z00_3639;

							BgL_l1981z00_3639 = CDR(BgL_l1981z00_1672);
							BgL_l1981z00_1672 = BgL_l1981z00_3639;
							goto BgL_zc3anonymousza32165ze3z83_1673;
						}
					}
				else
					{	/* Cfa/specialize.scm 318 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_92)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 323 */
			{	/* Cfa/specialize.scm 324 */
				BgL_valuez00_bglt BgL_funz00_1678;

				BgL_funz00_1678 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_variablez00_92)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 325 */
					obj_t BgL_arg2169z00_1679;

					{	/* Cfa/specialize.scm 325 */
						obj_t BgL_arg2172z00_1680;

						BgL_arg2172z00_1680 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1678)))->BgL_bodyz00);
						BgL_arg2169z00_1679 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg2172z00_1680));
					}
					{	/* Cfa/specialize.scm 325 */
						BgL_sfunz00_bglt BgL_oz00_2992;

						BgL_oz00_2992 = ((BgL_sfunz00_bglt) BgL_funz00_1678);
						return
							((((BgL_sfunz00_bglt) CREF(BgL_oz00_2992))->BgL_bodyz00) =
							((obj_t) BgL_arg2169z00_1679), BUNSPEC);
					}
				}
			}
		}
	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_115)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 529 */
			{
				obj_t BgL_nodeza2za2_1682;

				BgL_nodeza2za2_1682 = BgL_nodeza2za2_115;
			BgL_zc3anonymousza32173ze3z83_1683:
				if (NULLP(BgL_nodeza2za2_1682))
					{	/* Cfa/specialize.scm 531 */
						return CNST_TABLE_REF(((long) 7));
					}
				else
					{	/* Cfa/specialize.scm 531 */
						{	/* Cfa/specialize.scm 534 */
							obj_t BgL_arg2176z00_1685;

							{	/* Cfa/specialize.scm 534 */
								obj_t BgL_arg2177z00_1686;

								BgL_arg2177z00_1686 = CAR(BgL_nodeza2za2_1682);
								BgL_arg2176z00_1685 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg2177z00_1686));
							}
							SET_CAR(BgL_nodeza2za2_1682, BgL_arg2176z00_1685);
						}
						{
							obj_t BgL_nodeza2za2_3656;

							BgL_nodeza2za2_3656 = CDR(BgL_nodeza2za2_1682);
							BgL_nodeza2za2_1682 = BgL_nodeza2za2_3656;
							goto BgL_zc3anonymousza32173ze3z83_1683;
						}
					}
			}
		}
	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_117)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 554 */
			if (NULLP((((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 563 */
					return BgL_nodez00_117;
				}
			else
				{	/* Cfa/specialize.scm 567 */
					obj_t BgL_typez00_1692;

					BgL_typez00_1692 =
						BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 567 */
						BgL_variablez00_bglt BgL_gloz00_1693;

						BgL_gloz00_1693 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 568 */
							obj_t BgL_specz00_1694;

							{	/* Cfa/specialize.scm 569 */
								obj_t BgL_auxz00_3666;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3667;

									{
										obj_t BgL_auxz00_3668;

										{	/* Cfa/specialize.scm 569 */
											BgL_objectz00_bglt BgL_auxz00_3669;

											BgL_auxz00_3669 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1693));
											BgL_auxz00_3668 = BGL_OBJECT_WIDENING(BgL_auxz00_3669);
										}
										BgL_auxz00_3667 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3668);
									}
									BgL_auxz00_3666 =
										(((BgL_specializa7edzd2globalz75_bglt)
											CREF(BgL_auxz00_3667))->BgL_fixz00);
								}
								BgL_specz00_1694 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1692,
									BgL_auxz00_3666);
							}
							{	/* Cfa/specialize.scm 569 */

								if (PAIRP(BgL_specz00_1694))
									{	/* Cfa/specialize.scm 571 */
										obj_t BgL_g1204z00_1696;

										BgL_g1204z00_1696 =
											CDR(
											(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00));
										{
											obj_t BgL_argsz00_1698;

											BgL_argsz00_1698 = BgL_g1204z00_1696;
										BgL_zc3anonymousza32181ze3z83_1699:
											if (NULLP(BgL_argsz00_1698))
												{	/* Cfa/specialize.scm 573 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1692);
													{	/* Cfa/specialize.scm 575 */
														BgL_varz00_bglt BgL_arg2183z00_1701;
														obj_t BgL_arg2184z00_1702;

														BgL_arg2183z00_1701 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->
															BgL_funz00);
														BgL_arg2184z00_1702 = CDR(BgL_specz00_1694);
														{	/* Cfa/specialize.scm 575 */
															BgL_variablez00_bglt BgL_vz00_3016;

															BgL_vz00_3016 =
																((BgL_variablez00_bglt) BgL_arg2184z00_1702);
															((((BgL_varz00_bglt) CREF(BgL_arg2183z00_1701))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_vz00_3016),
																BUNSPEC);
														}
													}
													{	/* Cfa/specialize.scm 576 */
														BgL_typez00_bglt BgL_ntz00_1703;

														BgL_ntz00_1703 =
															(((BgL_variablez00_bglt) CREF(
																	(((BgL_varz00_bglt) CREF(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_117))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 577 */
															BgL_typez00_bglt BgL_arg2185z00_1704;

															BgL_arg2185z00_1704 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1703,
																((BgL_typez00_bglt) BgL_typez00_1692));
															{	/* Cfa/specialize.scm 577 */
																BgL_nodez00_bglt BgL_oz00_3024;

																BgL_oz00_3024 =
																	((BgL_nodez00_bglt) BgL_nodez00_117);
																((((BgL_nodez00_bglt) CREF(BgL_oz00_3024))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2185z00_1704),
																	BUNSPEC);
															}
														}
													}
													return BgL_nodez00_117;
												}
											else
												{	/* Cfa/specialize.scm 573 */
													if (
														(BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7
															(CAR(BgL_argsz00_1698)) == BgL_typez00_1692))
														{
															obj_t BgL_argsz00_3698;

															BgL_argsz00_3698 = CDR(BgL_argsz00_1698);
															BgL_argsz00_1698 = BgL_argsz00_3698;
															goto BgL_zc3anonymousza32181ze3z83_1699;
														}
													else
														{	/* Cfa/specialize.scm 579 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_117);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 570 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_117);
									}
							}
						}
					}
				}
		}
	}



/* normalize-get-type */
	obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t
		BgL_valz00_1718)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 560 */
			{	/* Cfa/specialize.scm 557 */
				BgL_typez00_bglt BgL_tyz00_1720;

				BgL_tyz00_1720 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1718));
				if ((((obj_t) BgL_tyz00_1720) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 558 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 558 */
						return ((obj_t) BgL_tyz00_1720);
					}
			}
		}
	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_118)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 593 */
			{
				BgL_appz00_bglt BgL_nodez00_1752;
				obj_t BgL_typez00_1753;

				{	/* Cfa/specialize.scm 600 */
					bool_t BgL_testz00_3708;

					{	/* Cfa/specialize.scm 600 */
						bool_t BgL_testz00_3709;

						{	/* Cfa/specialize.scm 600 */
							BgL_variablez00_bglt BgL_arg2228z00_1750;

							BgL_arg2228z00_1750 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_funz00)))->
								BgL_variablez00);
							BgL_testz00_3709 =
								(((obj_t) BgL_arg2228z00_1750) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_testz00_3709)
							{	/* Cfa/specialize.scm 601 */
								obj_t BgL_arg2227z00_1749;

								BgL_arg2227z00_1749 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_testz00_3708 =
									(((BgL_backendz00_bglt) CREF(
											((BgL_backendz00_bglt) BgL_arg2227z00_1749)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 600 */
								BgL_testz00_3708 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3708)
						{	/* Cfa/specialize.scm 603 */
							BgL_typez00_bglt BgL_t1z00_1726;
							BgL_typez00_bglt BgL_t2z00_1727;

							{	/* Cfa/specialize.scm 603 */
								obj_t BgL_arg2219z00_1744;

								BgL_arg2219z00_1744 =
									CAR((((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_argsz00));
								BgL_t1z00_1726 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2219z00_1744));
							}
							{	/* Cfa/specialize.scm 604 */
								obj_t BgL_arg2221z00_1746;

								{	/* Cfa/specialize.scm 604 */
									obj_t BgL_pairz00_3041;

									BgL_pairz00_3041 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_argsz00);
									BgL_arg2221z00_1746 = CAR(CDR(BgL_pairz00_3041));
								}
								BgL_t2z00_1727 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2221z00_1746));
							}
							{	/* Cfa/specialize.scm 606 */
								bool_t BgL_testz00_3726;

								if (
									(((obj_t) BgL_t1z00_1726) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 606 */
										BgL_testz00_3726 =
											(
											((obj_t) BgL_t2z00_1727) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 606 */
										BgL_testz00_3726 = ((bool_t) 0);
									}
								if (BgL_testz00_3726)
									{	/* Cfa/specialize.scm 606 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 606 */
										if (
											(((obj_t) BgL_t1z00_1726) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 608 */
												if (
													(((obj_t) BgL_t2z00_1727) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 609 */
														BgL_nodez00_1752 = BgL_nodez00_118;
														BgL_typez00_1753 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3anonymousza32231ze3z83_1754:
														{	/* Cfa/specialize.scm 596 */
															bool_t BgL_testz00_3738;

															{	/* Cfa/specialize.scm 596 */
																bool_t BgL_res2413z00_3030;

																{	/* Cfa/specialize.scm 596 */
																	obj_t BgL_objz00_3029;

																	BgL_objz00_3029 =
																		BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																	BgL_res2413z00_3030 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_3029,
																		BGl_globalz00zzast_varz00);
																}
																BgL_testz00_3738 = BgL_res2413z00_3030;
															}
															if (BgL_testz00_3738)
																{	/* Cfa/specialize.scm 596 */
																	{	/* Cfa/specialize.scm 597 */
																		BgL_varz00_bglt BgL_arg2233z00_1756;

																		BgL_arg2233z00_1756 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_118))->BgL_funz00);
																		{	/* Cfa/specialize.scm 597 */
																			BgL_variablez00_bglt BgL_vz00_3032;

																			BgL_vz00_3032 =
																				((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg2233z00_1756))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3032),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1753);
																}
															else
																{	/* Cfa/specialize.scm 596 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 609 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 608 */
												if (
													(((obj_t) BgL_t2z00_1727) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 612 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 612 */
														if (
															(((obj_t) BgL_t1z00_1726) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 614 */
																if (
																	(((obj_t) BgL_t2z00_1727) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3755;
																		BgL_appz00_bglt BgL_nodez00_3754;

																		BgL_nodez00_3754 = BgL_nodez00_118;
																		BgL_typez00_3755 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1753 = BgL_typez00_3755;
																		BgL_nodez00_1752 = BgL_nodez00_3754;
																		goto BgL_zc3anonymousza32231ze3z83_1754;
																	}
																else
																	{	/* Cfa/specialize.scm 615 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 614 */
																if (
																	(((obj_t) BgL_t2z00_1727) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 618 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 618 */
																		if (
																			(((obj_t) BgL_t2z00_1727) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 620 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 620 */
																				if (
																					(((obj_t) BgL_t1z00_1726) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 622 */
																						if (
																							(((obj_t) BgL_t2z00_1727) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3769;
																								BgL_appz00_bglt
																									BgL_nodez00_3768;
																								BgL_nodez00_3768 =
																									BgL_nodez00_118;
																								BgL_typez00_3769 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1753 =
																									BgL_typez00_3769;
																								BgL_nodez00_1752 =
																									BgL_nodez00_3768;
																								goto
																									BgL_zc3anonymousza32231ze3z83_1754;
																							}
																						else
																							{	/* Cfa/specialize.scm 623 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 622 */
																						if (
																							(((obj_t) BgL_t2z00_1727) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 626 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 628 */
																								bool_t BgL_testz00_3773;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1726))
																									{	/* Cfa/specialize.scm 628 */
																										BgL_testz00_3773 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1727);
																									}
																								else
																									{	/* Cfa/specialize.scm 628 */
																										BgL_testz00_3773 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3773)
																									{	/* Cfa/specialize.scm 630 */
																										BgL_typez00_bglt
																											BgL_arg2215z00_1740;
																										if ((((obj_t)
																													BgL_t1z00_1726) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 630 */
																												BgL_arg2215z00_1740 =
																													BgL_t2z00_1727;
																											}
																										else
																											{	/* Cfa/specialize.scm 630 */
																												BgL_arg2215z00_1740 =
																													BgL_t1z00_1726;
																											}
																										{
																											obj_t BgL_typez00_3781;
																											BgL_appz00_bglt
																												BgL_nodez00_3780;
																											BgL_nodez00_3780 =
																												BgL_nodez00_118;
																											BgL_typez00_3781 =
																												((obj_t)
																												BgL_arg2215z00_1740);
																											BgL_typez00_1753 =
																												BgL_typez00_3781;
																											BgL_nodez00_1752 =
																												BgL_nodez00_3780;
																											goto
																												BgL_zc3anonymousza32231ze3z83_1754;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 628 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_118;
						}
					else
						{	/* Cfa/specialize.scm 600 */
							return BgL_nodez00_118;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg2238z00_1762;
				obj_t BgL_arg2239z00_1763;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1992z00_1804;

					BgL_v1992z00_1804 = create_vector((int) (((long) 1)));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2251z00_1805;

						BgL_arg2251z00_1805 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2449z00zzcfa_specializa7eza7,
							BGl_proc2448z00zzcfa_specializa7eza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1992z00_1804, (int) (((long) 0)),
							BgL_arg2251z00_1805);
					}
					BgL_arg2238z00_1762 = BgL_v1992z00_1804;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1993z00_1817;

					BgL_v1993z00_1817 = create_vector((int) (((long) 0)));
					BgL_arg2239z00_1763 = BgL_v1993z00_1817;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
						CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
						((long) 16878), BGl_proc2453z00zzcfa_specializa7eza7,
						BGl_proc2452z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2451z00zzcfa_specializa7eza7,
						BGl_proc2450z00zzcfa_specializa7eza7, BgL_arg2238z00_1762,
						BgL_arg2239z00_1763), BUNSPEC);
		}}
	}



/* &lambda2247 */
	BgL_globalz00_bglt BGl_z62lambda2247z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3168, obj_t BgL_o1122z00_3169)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1122z00_1798;

				BgL_o1122z00_1798 = ((BgL_globalz00_bglt) BgL_o1122z00_3169);
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg2248z00_1801;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2249z00_1802;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_arg2250z00_1803;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_objectz00_3072;

								BgL_objectz00_3072 = ((BgL_objectz00_bglt) BgL_o1122z00_1798);
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1823z00_3073;

									{	/* Cfa/specialize.scm 35 */
										long BgL_arg1824z00_3074;

										{	/* Cfa/specialize.scm 35 */
											long BgL_res2419z00_3076;

											BgL_res2419z00_3076 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_3072);
											BgL_arg1824z00_3074 = BgL_res2419z00_3076;
										}
										BgL_arg1823z00_3073 = (BgL_arg1824z00_3074 - OBJECT_TYPE);
									}
									BgL_arg2250z00_1803 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1823z00_3073));
							}}
							BgL_arg2249z00_1802 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2250z00_1803);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_res2421z00_3083;

							BgL_res2421z00_3083 = BGL_CLASS_INDEX(BgL_arg2249z00_1802);
							BgL_arg2248z00_1801 = BgL_res2421z00_3083;
					}}
					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_objz00_3084;

						BgL_objz00_3084 = ((BgL_objectz00_bglt) BgL_o1122z00_1798);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3084, BgL_arg2248z00_1801);
				}}
				{	/* Cfa/specialize.scm 35 */
					BgL_objectz00_bglt BgL_auxz00_3804;

					BgL_auxz00_3804 = ((BgL_objectz00_bglt) BgL_o1122z00_1798);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3804, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1122z00_1798);
			}
		}
	}



/* &<anonymous:2246> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32246ze3ze1zzcfa_specializa7eza7(obj_t
		BgL_envz00_3170, obj_t BgL_new1121z00_3171)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_new1121z00_1796;

				BgL_new1121z00_1796 = ((BgL_globalz00_bglt) BgL_new1121z00_3171);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1121z00_1796)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1796)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3814;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3068;

						BgL_classz00_3068 = BGl_typez00zztype_typez00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1091z00_3069;

							BgL__ortest_1091z00_3069 = BGL_CLASS_NIL(BgL_classz00_3068);
							if (CBOOL(BgL__ortest_1091z00_3069))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3814 =
										((BgL_typez00_bglt) BgL__ortest_1091z00_3069);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3814 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3068));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1121z00_1796)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3814), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3823;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3070;

						BgL_classz00_3070 = BGl_valuez00zzast_varz00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1091z00_3071;

							BgL__ortest_1091z00_3071 = BGL_CLASS_NIL(BgL_classz00_3070);
							if (CBOOL(BgL__ortest_1091z00_3071))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3823 =
										((BgL_valuez00_bglt) BgL__ortest_1091z00_3071);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3823 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3070));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1121z00_1796)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3823), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1121z00_1796)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1796)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1796)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1796)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1796)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1796)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2454z00zzcfa_specializa7eza7), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1796)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3863;

					{
						obj_t BgL_auxz00_3864;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3865;

							BgL_auxz00_3865 = ((BgL_objectz00_bglt) BgL_new1121z00_1796);
							BgL_auxz00_3864 = BGL_OBJECT_WIDENING(BgL_auxz00_3865);
						}
						BgL_auxz00_3863 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3864);
					}
					((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3863))->
							BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1121z00_1796;
			}
		}
	}



/* &lambda2244 */
	BgL_globalz00_bglt BGl_z62lambda2244z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3172, obj_t BgL_o1118z00_3173)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1118z00_1791;

				BgL_o1118z00_1791 = ((BgL_globalz00_bglt) BgL_o1118z00_3173);
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_tmp1119z00_1793;
					BgL_specializa7edzd2globalz75_bglt BgL_wide1120z00_1794;

					BgL_tmp1119z00_1793 = ((BgL_globalz00_bglt) BgL_o1118z00_1791);
					BgL_wide1120z00_1794 =
						((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_specializa7edzd2globalz75_bgl))));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_auxz00_3875;
						BgL_objectz00_bglt BgL_auxz00_3873;

						BgL_auxz00_3875 = ((obj_t) BgL_wide1120z00_1794);
						BgL_auxz00_3873 = ((BgL_objectz00_bglt) BgL_tmp1119z00_1793);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3873, BgL_auxz00_3875);
					}
					{	/* Cfa/specialize.scm 35 */
						long BgL_arg2245z00_1795;

						{	/* Cfa/specialize.scm 35 */
							long BgL_res2418z00_3065;

							BgL_res2418z00_3065 =
								BGL_CLASS_INDEX
								(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BgL_arg2245z00_1795 = BgL_res2418z00_3065;
						}
						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_objz00_3066;

							BgL_objz00_3066 = ((BgL_objectz00_bglt) BgL_tmp1119z00_1793);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3066, BgL_arg2245z00_1795));
					}}
					return ((BgL_globalz00_bglt) BgL_tmp1119z00_1793);
				}
			}
		}
	}



/* &lambda2240 */
	BgL_globalz00_bglt BGl_z62lambda2240z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3174, obj_t BgL_id1098z00_3175, obj_t BgL_name1099z00_3176,
		obj_t BgL_type1100z00_3177, obj_t BgL_value1101z00_3178,
		obj_t BgL_access1102z00_3179, obj_t BgL_fastzd2alpha1103zd2_3180,
		obj_t BgL_removable1104z00_3181, obj_t BgL_occurrence1105z00_3182,
		obj_t BgL_occurrencew1106z00_3183, obj_t BgL_userzf31107zf3_3184,
		obj_t BgL_module1108z00_3185, obj_t BgL_import1109z00_3186,
		obj_t BgL_evaluablezf31110zf3_3187, obj_t BgL_evalzf31111zf3_3188,
		obj_t BgL_library1112z00_3189, obj_t BgL_pragma1113z00_3190,
		obj_t BgL_src1114z00_3191, obj_t BgL_jvmzd2typezd2name1115z00_3192,
		obj_t BgL_init1116z00_3193, obj_t BgL_fix1117z00_3194)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				obj_t BgL_id1098z00_1764;
				obj_t BgL_name1099z00_1765;
				BgL_typez00_bglt BgL_type1100z00_1766;
				BgL_valuez00_bglt BgL_value1101z00_1767;
				obj_t BgL_access1102z00_1768;
				obj_t BgL_fastzd2alpha1103zd2_1769;
				obj_t BgL_removable1104z00_1770;
				long BgL_occurrence1105z00_1771;
				long BgL_occurrencew1106z00_1772;
				bool_t BgL_userzf31107zf3_1773;
				obj_t BgL_module1108z00_1774;
				obj_t BgL_import1109z00_1775;
				bool_t BgL_evaluablezf31110zf3_1776;
				bool_t BgL_evalzf31111zf3_1777;
				obj_t BgL_library1112z00_1778;
				obj_t BgL_pragma1113z00_1779;
				obj_t BgL_src1114z00_1780;
				obj_t BgL_jvmzd2typezd2name1115z00_1781;
				obj_t BgL_init1116z00_1782;
				obj_t BgL_fix1117z00_1783;

				BgL_id1098z00_1764 = BgL_id1098z00_3175;
				BgL_name1099z00_1765 = BgL_name1099z00_3176;
				BgL_type1100z00_1766 = ((BgL_typez00_bglt) BgL_type1100z00_3177);
				BgL_value1101z00_1767 = ((BgL_valuez00_bglt) BgL_value1101z00_3178);
				BgL_access1102z00_1768 = BgL_access1102z00_3179;
				BgL_fastzd2alpha1103zd2_1769 = BgL_fastzd2alpha1103zd2_3180;
				BgL_removable1104z00_1770 = BgL_removable1104z00_3181;
				BgL_occurrence1105z00_1771 = (long) CINT(BgL_occurrence1105z00_3182);
				BgL_occurrencew1106z00_1772 = (long) CINT(BgL_occurrencew1106z00_3183);
				BgL_userzf31107zf3_1773 = CBOOL(BgL_userzf31107zf3_3184);
				BgL_module1108z00_1774 = BgL_module1108z00_3185;
				BgL_import1109z00_1775 = BgL_import1109z00_3186;
				BgL_evaluablezf31110zf3_1776 = CBOOL(BgL_evaluablezf31110zf3_3187);
				BgL_evalzf31111zf3_1777 = CBOOL(BgL_evalzf31111zf3_3188);
				BgL_library1112z00_1778 = BgL_library1112z00_3189;
				BgL_pragma1113z00_1779 = BgL_pragma1113z00_3190;
				BgL_src1114z00_1780 = BgL_src1114z00_3191;
				BgL_jvmzd2typezd2name1115z00_1781 = BgL_jvmzd2typezd2name1115z00_3192;
				BgL_init1116z00_1782 = BgL_init1116z00_3193;
				BgL_fix1117z00_1783 = BgL_fix1117z00_3194;
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1209z00_3050;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1207z00_3051;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1208z00_3052;

						{
							BgL_globalz00_bglt BgL_auxz00_3884;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1206z00_3053;

								BgL_new1206z00_3053 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg2243z00_3054;

									{	/* Cfa/specialize.scm 35 */
										long BgL_res2416z00_3057;

										BgL_res2416z00_3057 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2243z00_3054 = BgL_res2416z00_3057;
									}
									{	/* Cfa/specialize.scm 35 */
										BgL_objectz00_bglt BgL_objz00_3058;

										BgL_objz00_3058 =
											((BgL_objectz00_bglt) BgL_new1206z00_3053);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3058,
											BgL_arg2243z00_3054);
								}}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_auxz00_3889;

									BgL_auxz00_3889 = ((BgL_objectz00_bglt) BgL_new1206z00_3053);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3889, BFALSE);
								}
								BgL_auxz00_3884 = BgL_new1206z00_3053;
							}
							BgL_tmp1207z00_3051 = ((BgL_globalz00_bglt) BgL_auxz00_3884);
						}
						BgL_wide1208z00_3052 =
							((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_3896;
							BgL_objectz00_bglt BgL_auxz00_3894;

							BgL_auxz00_3896 = ((obj_t) BgL_wide1208z00_3052);
							BgL_auxz00_3894 = ((BgL_objectz00_bglt) BgL_tmp1207z00_3051);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3894, BgL_auxz00_3896);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg2242z00_3055;

							{	/* Cfa/specialize.scm 35 */
								long BgL_res2417z00_3061;

								BgL_res2417z00_3061 =
									BGL_CLASS_INDEX
									(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
								BgL_arg2242z00_3055 = BgL_res2417z00_3061;
							}
							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_objz00_3062;

								BgL_objz00_3062 = ((BgL_objectz00_bglt) BgL_tmp1207z00_3051);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3062,
										BgL_arg2242z00_3055));
						}}
						BgL_new1209z00_3050 = ((BgL_globalz00_bglt) BgL_tmp1207z00_3051);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1209z00_3050)))->BgL_idz00) =
						((obj_t) BgL_id1098z00_1764), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_namez00) =
						((obj_t) BgL_name1099z00_1765), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1100z00_1766), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1101z00_1767), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_accessz00) =
						((obj_t) BgL_access1102z00_1768), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1103zd2_1769), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_removablez00) =
						((obj_t) BgL_removable1104z00_1770), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_occurrencez00) =
						((long) BgL_occurrence1105z00_1771), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1106z00_1772), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3050)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31107zf3_1773), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_modulez00) =
						((obj_t) BgL_module1108z00_1774), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_importz00) =
						((obj_t) BgL_import1109z00_1775), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31110zf3_1776), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31111zf3_1777), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_libraryz00) =
						((obj_t) BgL_library1112z00_1778), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1113z00_1779), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_srcz00) =
						((obj_t) BgL_src1114z00_1780), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1115z00_1781), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3050)))->BgL_initz00) =
						((obj_t) BgL_init1116z00_1782), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3942;

						{
							obj_t BgL_auxz00_3943;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_auxz00_3944;

								BgL_auxz00_3944 = ((BgL_objectz00_bglt) BgL_new1209z00_3050);
								BgL_auxz00_3943 = BGL_OBJECT_WIDENING(BgL_auxz00_3944);
							}
							BgL_auxz00_3942 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3943);
						}
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3942))->
								BgL_fixz00) = ((obj_t) BgL_fix1117z00_1783), BUNSPEC);
					}
					return BgL_new1209z00_3050;
				}
			}
		}
	}



/* &lambda2255 */
	obj_t BGl_z62lambda2255z62zzcfa_specializa7eza7(obj_t BgL_envz00_3195,
		obj_t BgL_oz00_3196, obj_t BgL_vz00_3197)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1811;
				obj_t BgL_vz00_1812;

				BgL_oz00_1811 = ((BgL_globalz00_bglt) BgL_oz00_3196);
				BgL_vz00_1812 = BgL_vz00_3197;
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3956;

					{
						obj_t BgL_auxz00_3957;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3958;

							BgL_auxz00_3958 = ((BgL_objectz00_bglt) BgL_oz00_1811);
							BgL_auxz00_3957 = BGL_OBJECT_WIDENING(BgL_auxz00_3958);
						}
						BgL_auxz00_3956 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3957);
					}
					return
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3956))->
							BgL_fixz00) = ((obj_t) BgL_vz00_1812), BUNSPEC);
				}
			}
		}
	}



/* &lambda2254 */
	obj_t BGl_z62lambda2254z62zzcfa_specializa7eza7(obj_t BgL_envz00_3198,
		obj_t BgL_oz00_3199)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1808;

				BgL_oz00_1808 = ((BgL_globalz00_bglt) BgL_oz00_3199);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3964;

					{
						obj_t BgL_auxz00_3965;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3966;

							BgL_auxz00_3966 = ((BgL_objectz00_bglt) BgL_oz00_1808);
							BgL_auxz00_3965 = BGL_OBJECT_WIDENING(BgL_auxz00_3966);
						}
						BgL_auxz00_3964 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3965);
					}
					return
						(((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3964))->
						BgL_fixz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2455z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2456z00zzcfa_specializa7eza7);
		}
	}



/* &patch!1994 */
	obj_t BGl_z62patchz121994z70zzcfa_specializa7eza7(obj_t BgL_envz00_3201,
		obj_t BgL_nodez00_3202)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			{
				BgL_nodez00_bglt BgL_nodez00_1823;

				BgL_nodez00_1823 = ((BgL_nodez00_bglt) BgL_nodez00_3202);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
					BGl_string2457z00zzcfa_specializa7eza7, ((obj_t) BgL_nodez00_1823));
		}}
	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_93)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			{	/* Cfa/specialize.scm 330 */
				obj_t BgL_method1996z00_1826;

				{	/* Cfa/specialize.scm 330 */
					obj_t BgL_res2428z00_3114;

					{	/* Cfa/specialize.scm 330 */
						BgL_objectz00_bglt BgL_objz00_3086;

						BgL_objz00_3086 = ((BgL_objectz00_bglt) BgL_nodez00_93);
						{	/* Cfa/specialize.scm 330 */
							long BgL_objzd2classzd2numz00_3087;

							{	/* Cfa/specialize.scm 330 */
								long BgL_res2422z00_3090;

								BgL_res2422z00_3090 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3086);
								BgL_objzd2classzd2numz00_3087 = BgL_res2422z00_3090;
							}
							{	/* Cfa/specialize.scm 330 */
								obj_t BgL_arg1820z00_3088;

								BgL_arg1820z00_3088 =
									PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
									(int) (((long) 1)));
								{	/* Cfa/specialize.scm 330 */
									obj_t BgL_arrayz00_3091;
									int BgL_offsetz00_3092;

									BgL_arrayz00_3091 = BgL_arg1820z00_3088;
									BgL_offsetz00_3092 = (int) (BgL_objzd2classzd2numz00_3087);
									{	/* Cfa/specialize.scm 330 */
										long BgL_offsetz00_3093;

										BgL_offsetz00_3093 =
											((long) (BgL_offsetz00_3092) - OBJECT_TYPE);
										{	/* Cfa/specialize.scm 330 */
											long BgL_modz00_3094;

											{	/* Cfa/specialize.scm 330 */
												int BgL_arg1822z00_3095;

												BgL_arg1822z00_3095 = (int) (((long) 16));
												{	/* Cfa/specialize.scm 330 */
													long BgL_res2425z00_3105;

													{	/* Cfa/specialize.scm 330 */
														long BgL_auxz00_3985;

														BgL_auxz00_3985 = (long) (BgL_arg1822z00_3095);
														BgL_res2425z00_3105 =
															(BgL_offsetz00_3093 / BgL_auxz00_3985);
													}
													BgL_modz00_3094 = BgL_res2425z00_3105;
											}}
											{	/* Cfa/specialize.scm 330 */
												long BgL_restz00_3096;

												{	/* Cfa/specialize.scm 330 */
													int BgL_arg1821z00_3097;

													BgL_arg1821z00_3097 = (int) (((long) 16));
													{	/* Cfa/specialize.scm 330 */
														long BgL_res2427z00_3109;

														{	/* Cfa/specialize.scm 330 */
															long BgL_auxz00_3989;

															BgL_auxz00_3989 = (long) (BgL_arg1821z00_3097);
															BgL_res2427z00_3109 =
																(BgL_offsetz00_3093 % BgL_auxz00_3989);
														}
														BgL_restz00_3096 = BgL_res2427z00_3109;
												}}
												{	/* Cfa/specialize.scm 330 */

													BgL_res2428z00_3114 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3091,
															(int) (BgL_modz00_3094)),
														(int) (BgL_restz00_3096));
					}}}}}}}}
					BgL_method1996z00_1826 = BgL_res2428z00_3114;
				}
				return
					PROCEDURE_ENTRY(BgL_method1996z00_1826) (BgL_method1996z00_1826,
					((obj_t) BgL_nodez00_93), BEOA);
			}
		}
	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_3203,
		obj_t BgL_nodez00_3204)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_3204));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2458z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2460z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2461z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2462z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2463z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2464z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2465z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2466z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2467z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2468z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2469z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2470z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2471z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_selectz00zzast_nodez00,
				BGl_proc2472z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2473z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2474z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2475z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2476z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2477z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2478z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2479z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2480z00zzcfa_specializa7eza7,
				BGl_string2459z00zzcfa_specializa7eza7);
		}
	}



/* &patch!-app2040 */
	BgL_appz00_bglt BGl_z62patchz12zd2app2040za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3227, obj_t BgL_nodez00_3228)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 540 */
			{
				BgL_appz00_bglt BgL_nodez00_1995;

				BgL_nodez00_1995 = ((BgL_appz00_bglt) BgL_nodez00_3228);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1995))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_4027;

					{	/* Cfa/specialize.scm 543 */
						BgL_varz00_bglt BgL_arg2314z00_2000;

						BgL_arg2314z00_2000 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1995))->BgL_funz00);
						BgL_auxz00_4027 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2314z00_2000)));
					}
					((((BgL_appz00_bglt) CREF(BgL_nodez00_1995))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_4027), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 544 */
					BgL_variablez00_bglt BgL_vz00_2001;

					BgL_vz00_2001 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1995))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/specialize.scm 546 */
						bool_t BgL_testz00_4035;

						{	/* Cfa/specialize.scm 546 */
							bool_t BgL_res2433z00_3142;

							{	/* Cfa/specialize.scm 546 */
								obj_t BgL_objz00_3141;

								BgL_objz00_3141 = ((obj_t) BgL_vz00_2001);
								BgL_res2433z00_3142 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_3141,
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							}
							BgL_testz00_4035 = BgL_res2433z00_3142;
						}
						if (BgL_testz00_4035)
							{	/* Cfa/specialize.scm 546 */
								return
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7
									(BgL_nodez00_1995);
							}
						else
							{	/* Cfa/specialize.scm 546 */
								return BgL_nodez00_1995;
							}
					}
				}
			}
		}
	}



/* &patch!-box-ref2038 */
	BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref2038z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3229, obj_t BgL_nodez00_3230)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 521 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1989;

				BgL_nodez00_1989 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3230);
				{
					BgL_varz00_bglt BgL_auxz00_4040;

					{	/* Cfa/specialize.scm 523 */
						BgL_varz00_bglt BgL_arg2311z00_1993;

						BgL_arg2311z00_1993 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1989))->BgL_varz00);
						BgL_auxz00_4040 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2311z00_1993)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1989))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4040), BUNSPEC);
				}
				return BgL_nodez00_1989;
			}
		}
	}



/* &patch!-box-set!2036 */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz122036z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3231, obj_t BgL_nodez00_3232)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 512 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1982;

				BgL_nodez00_1982 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3232);
				{
					BgL_varz00_bglt BgL_auxz00_4047;

					{	/* Cfa/specialize.scm 514 */
						BgL_varz00_bglt BgL_arg2309z00_1986;

						BgL_arg2309z00_1986 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1982))->BgL_varz00);
						BgL_auxz00_4047 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2309z00_1986)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1982))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4047), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4053;

					{	/* Cfa/specialize.scm 515 */
						BgL_nodez00_bglt BgL_arg2310z00_1987;

						BgL_arg2310z00_1987 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1982))->
							BgL_valuez00);
						BgL_auxz00_4053 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2310z00_1987));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1982))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4053), BUNSPEC);
				}
				return BgL_nodez00_1982;
			}
		}
	}



/* &patch!-make-box2034 */
	BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box2034z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3233, obj_t BgL_nodez00_3234)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 504 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1976;

				BgL_nodez00_1976 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3234);
				{
					BgL_nodez00_bglt BgL_auxz00_4059;

					{	/* Cfa/specialize.scm 506 */
						BgL_nodez00_bglt BgL_arg2308z00_1980;

						BgL_arg2308z00_1980 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1976))->BgL_valuez00);
						BgL_auxz00_4059 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2308z00_1980));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1976))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4059), BUNSPEC);
				}
				return BgL_nodez00_1976;
			}
		}
	}



/* &patch!-jump-ex-it2032 */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it2032za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3235, obj_t BgL_nodez00_3236)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 495 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1969;

				BgL_nodez00_1969 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3236);
				{
					BgL_nodez00_bglt BgL_auxz00_4065;

					{	/* Cfa/specialize.scm 497 */
						BgL_nodez00_bglt BgL_arg2305z00_1973;

						BgL_arg2305z00_1973 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1969))->
							BgL_exitz00);
						BgL_auxz00_4065 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2305z00_1973));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1969))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4065), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4070;

					{	/* Cfa/specialize.scm 498 */
						BgL_nodez00_bglt BgL_arg2307z00_1974;

						BgL_arg2307z00_1974 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1969))->
							BgL_valuez00);
						BgL_auxz00_4070 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2307z00_1974));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1969))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4070), BUNSPEC);
				}
				return BgL_nodez00_1969;
			}
		}
	}



/* &patch!-set-ex-it2030 */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it2030za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3237, obj_t BgL_nodez00_3238)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 486 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1962;

				BgL_nodez00_1962 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3238);
				{
					BgL_nodez00_bglt BgL_auxz00_4076;

					{	/* Cfa/specialize.scm 488 */
						BgL_nodez00_bglt BgL_arg2303z00_1966;

						BgL_arg2303z00_1966 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1962))->
							BgL_bodyz00);
						BgL_auxz00_4076 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2303z00_1966));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1962))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4076), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 489 */
					BgL_varz00_bglt BgL_arg2304z00_1967;

					BgL_arg2304z00_1967 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1962))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg2304z00_1967));
				}
				return BgL_nodez00_1962;
			}
		}
	}



/* &patch!-let-var2028 */
	BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var2028z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3239, obj_t BgL_nodez00_3240)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 471 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1944;

				BgL_nodez00_1944 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3240);
				{	/* Cfa/specialize.scm 473 */
					obj_t BgL_g1991z00_1948;

					BgL_g1991z00_1948 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1944))->BgL_bindingsz00);
					{
						obj_t BgL_l1989z00_1950;

						BgL_l1989z00_1950 = BgL_g1991z00_1948;
					BgL_zc3anonymousza32296ze3z83_1951:
						if (PAIRP(BgL_l1989z00_1950))
							{	/* Cfa/specialize.scm 473 */
								{	/* Cfa/specialize.scm 474 */
									obj_t BgL_bindingz00_1953;

									BgL_bindingz00_1953 = CAR(BgL_l1989z00_1950);
									{	/* Cfa/specialize.scm 474 */
										obj_t BgL_valz00_1954;

										BgL_valz00_1954 = CDR(BgL_bindingz00_1953);
										{	/* Cfa/specialize.scm 475 */
											obj_t BgL_arg2298z00_1955;

											BgL_arg2298z00_1955 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_1954));
											SET_CDR(BgL_bindingz00_1953, BgL_arg2298z00_1955);
										}
									}
								}
								{
									obj_t BgL_l1989z00_4093;

									BgL_l1989z00_4093 = CDR(BgL_l1989z00_1950);
									BgL_l1989z00_1950 = BgL_l1989z00_4093;
									goto BgL_zc3anonymousza32296ze3z83_1951;
								}
							}
						else
							{	/* Cfa/specialize.scm 473 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4095;

					{	/* Cfa/specialize.scm 477 */
						BgL_nodez00_bglt BgL_arg2300z00_1958;

						BgL_arg2300z00_1958 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1944))->BgL_bodyz00);
						BgL_auxz00_4095 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2300z00_1958));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1944))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4095), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 478 */
					bool_t BgL_testz00_4100;

					{	/* Cfa/specialize.scm 478 */
						BgL_typez00_bglt BgL_arg2302z00_1960;

						BgL_arg2302z00_1960 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1944)))->BgL_typez00);
						BgL_testz00_4100 =
							(
							((obj_t) BgL_arg2302z00_1960) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4100)
						{	/* Cfa/specialize.scm 478 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1944)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1944)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1944))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 478 */
							BFALSE;
						}
				}
				return BgL_nodez00_1944;
			}
		}
	}



/* &patch!-let-fun2026 */
	BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun2026z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3241, obj_t BgL_nodez00_3242)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 459 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1928;

				BgL_nodez00_1928 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3242);
				{	/* Cfa/specialize.scm 461 */
					obj_t BgL_g1988z00_1932;

					BgL_g1988z00_1932 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1928))->BgL_localsz00);
					{
						obj_t BgL_l1986z00_1934;

						BgL_l1986z00_1934 = BgL_g1988z00_1932;
					BgL_zc3anonymousza32288ze3z83_1935:
						if (PAIRP(BgL_l1986z00_1934))
							{	/* Cfa/specialize.scm 461 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l1986z00_1934));
								{
									obj_t BgL_l1986z00_4118;

									BgL_l1986z00_4118 = CDR(BgL_l1986z00_1934);
									BgL_l1986z00_1934 = BgL_l1986z00_4118;
									goto BgL_zc3anonymousza32288ze3z83_1935;
								}
							}
						else
							{	/* Cfa/specialize.scm 461 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4120;

					{	/* Cfa/specialize.scm 462 */
						BgL_nodez00_bglt BgL_arg2293z00_1940;

						BgL_arg2293z00_1940 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1928))->BgL_bodyz00);
						BgL_auxz00_4120 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2293z00_1940));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1928))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4120), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 463 */
					bool_t BgL_testz00_4125;

					{	/* Cfa/specialize.scm 463 */
						BgL_typez00_bglt BgL_arg2295z00_1942;

						BgL_arg2295z00_1942 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1928)))->BgL_typez00);
						BgL_testz00_4125 =
							(
							((obj_t) BgL_arg2295z00_1942) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4125)
						{	/* Cfa/specialize.scm 463 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1928)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1928)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1928))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 463 */
							BFALSE;
						}
				}
				return BgL_nodez00_1928;
			}
		}
	}



/* &patch!-select2024 */
	BgL_selectz00_bglt BGl_z62patchz12zd2select2024za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3243, obj_t BgL_nodez00_3244)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 448 */
			{
				BgL_selectz00_bglt BgL_nodez00_1912;

				BgL_nodez00_1912 = ((BgL_selectz00_bglt) BgL_nodez00_3244);
				{
					BgL_nodez00_bglt BgL_auxz00_4138;

					{	/* Cfa/specialize.scm 450 */
						BgL_nodez00_bglt BgL_arg2282z00_1916;

						BgL_arg2282z00_1916 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1912))->BgL_testz00);
						BgL_auxz00_4138 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2282z00_1916));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1912))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4138), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 451 */
					obj_t BgL_g1985z00_1917;

					BgL_g1985z00_1917 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1912))->BgL_clausesz00);
					{
						obj_t BgL_l1983z00_1919;

						BgL_l1983z00_1919 = BgL_g1985z00_1917;
					BgL_zc3anonymousza32283ze3z83_1920:
						if (PAIRP(BgL_l1983z00_1919))
							{	/* Cfa/specialize.scm 451 */
								{	/* Cfa/specialize.scm 452 */
									obj_t BgL_clausez00_1922;

									BgL_clausez00_1922 = CAR(BgL_l1983z00_1919);
									{	/* Cfa/specialize.scm 452 */
										obj_t BgL_arg2285z00_1923;

										{	/* Cfa/specialize.scm 452 */
											obj_t BgL_arg2286z00_1924;

											BgL_arg2286z00_1924 = CDR(BgL_clausez00_1922);
											BgL_arg2285z00_1923 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg2286z00_1924));
										}
										SET_CDR(BgL_clausez00_1922, BgL_arg2285z00_1923);
									}
								}
								{
									obj_t BgL_l1983z00_4151;

									BgL_l1983z00_4151 = CDR(BgL_l1983z00_1919);
									BgL_l1983z00_1919 = BgL_l1983z00_4151;
									goto BgL_zc3anonymousza32283ze3z83_1920;
								}
							}
						else
							{	/* Cfa/specialize.scm 451 */
								((bool_t) 1);
							}
					}
				}
				return BgL_nodez00_1912;
			}
		}
	}



/* &patch!-fail2022 */
	BgL_failz00_bglt BGl_z62patchz12zd2fail2022za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3245, obj_t BgL_nodez00_3246)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 438 */
			{
				BgL_failz00_bglt BgL_nodez00_1904;

				BgL_nodez00_1904 = ((BgL_failz00_bglt) BgL_nodez00_3246);
				{
					BgL_nodez00_bglt BgL_auxz00_4154;

					{	/* Cfa/specialize.scm 440 */
						BgL_nodez00_bglt BgL_arg2279z00_1908;

						BgL_arg2279z00_1908 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1904))->BgL_procz00);
						BgL_auxz00_4154 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2279z00_1908));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1904))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4154), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4159;

					{	/* Cfa/specialize.scm 441 */
						BgL_nodez00_bglt BgL_arg2280z00_1909;

						BgL_arg2280z00_1909 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1904))->BgL_msgz00);
						BgL_auxz00_4159 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2280z00_1909));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1904))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4159), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4164;

					{	/* Cfa/specialize.scm 442 */
						BgL_nodez00_bglt BgL_arg2281z00_1910;

						BgL_arg2281z00_1910 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1904))->BgL_objz00);
						BgL_auxz00_4164 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2281z00_1910));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1904))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4164), BUNSPEC);
				}
				return BgL_nodez00_1904;
			}
		}
	}



/* &patch!-conditional2020 */
	BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional2020za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3247, obj_t BgL_nodez00_3248)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 425 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1894;

				BgL_nodez00_1894 = ((BgL_conditionalz00_bglt) BgL_nodez00_3248);
				{
					BgL_nodez00_bglt BgL_auxz00_4170;

					{	/* Cfa/specialize.scm 427 */
						BgL_nodez00_bglt BgL_arg2274z00_1898;

						BgL_arg2274z00_1898 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1894))->BgL_testz00);
						BgL_auxz00_4170 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2274z00_1898));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1894))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4170), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4175;

					{	/* Cfa/specialize.scm 428 */
						BgL_nodez00_bglt BgL_arg2275z00_1899;

						BgL_arg2275z00_1899 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1894))->BgL_truez00);
						BgL_auxz00_4175 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2275z00_1899));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1894))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4175), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4180;

					{	/* Cfa/specialize.scm 429 */
						BgL_nodez00_bglt BgL_arg2276z00_1900;

						BgL_arg2276z00_1900 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1894))->
							BgL_falsez00);
						BgL_auxz00_4180 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2276z00_1900));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1894))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4180), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 430 */
					bool_t BgL_testz00_4185;

					{	/* Cfa/specialize.scm 430 */
						BgL_typez00_bglt BgL_arg2278z00_1902;

						BgL_arg2278z00_1902 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1894)))->BgL_typez00);
						BgL_testz00_4185 =
							(
							((obj_t) BgL_arg2278z00_1902) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4185)
						{	/* Cfa/specialize.scm 430 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1894)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1894)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1894))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 430 */
							BFALSE;
						}
				}
				return BgL_nodez00_1894;
			}
		}
	}



/* &patch!-setq2018 */
	BgL_setqz00_bglt BGl_z62patchz12zd2setq2018za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3249, obj_t BgL_nodez00_3250)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 416 */
			{
				BgL_setqz00_bglt BgL_nodez00_1887;

				BgL_nodez00_1887 = ((BgL_setqz00_bglt) BgL_nodez00_3250);
				{
					BgL_nodez00_bglt BgL_auxz00_4198;

					{	/* Cfa/specialize.scm 418 */
						BgL_nodez00_bglt BgL_arg2272z00_1891;

						BgL_arg2272z00_1891 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1887))->BgL_valuez00);
						BgL_auxz00_4198 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2272z00_1891));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1887))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4198), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_4203;

					{	/* Cfa/specialize.scm 419 */
						BgL_varz00_bglt BgL_arg2273z00_1892;

						BgL_arg2273z00_1892 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1887))->BgL_varz00);
						BgL_auxz00_4203 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2273z00_1892)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1887))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4203), BUNSPEC);
				}
				return BgL_nodez00_1887;
			}
		}
	}



/* &patch!-cast2016 */
	BgL_castz00_bglt BGl_z62patchz12zd2cast2016za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3251, obj_t BgL_nodez00_3252)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 408 */
			{
				BgL_castz00_bglt BgL_nodez00_1881;

				BgL_nodez00_1881 = ((BgL_castz00_bglt) BgL_nodez00_3252);
				BGl_patchz12z12zzcfa_specializa7eza7(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1881))->BgL_argz00));
				return BgL_nodez00_1881;
			}
		}
	}



/* &patch!-extern2014 */
	BgL_externz00_bglt BGl_z62patchz12zd2extern2014za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3253, obj_t BgL_nodez00_3254)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 400 */
			{
				BgL_externz00_bglt BgL_nodez00_1875;

				BgL_nodez00_1875 = ((BgL_externz00_bglt) BgL_nodez00_3254);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1875))->BgL_exprza2za2));
				return BgL_nodez00_1875;
			}
		}
	}



/* &patch!-funcall2012 */
	BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall2012za2zzcfa_specializa7eza7(obj_t BgL_envz00_3255,
		obj_t BgL_nodez00_3256)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 391 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1868;

				BgL_nodez00_1868 = ((BgL_funcallz00_bglt) BgL_nodez00_3256);
				{
					BgL_nodez00_bglt BgL_auxz00_4216;

					{	/* Cfa/specialize.scm 393 */
						BgL_nodez00_bglt BgL_arg2268z00_1872;

						BgL_arg2268z00_1872 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1868))->BgL_funz00);
						BgL_auxz00_4216 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2268z00_1872));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1868))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4216), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1868))->BgL_argsz00));
				return BgL_nodez00_1868;
			}
		}
	}



/* &patch!-app-ly2010 */
	BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly2010z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3257, obj_t BgL_nodez00_3258)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 382 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1861;

				BgL_nodez00_1861 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3258);
				{
					BgL_nodez00_bglt BgL_auxz00_4224;

					{	/* Cfa/specialize.scm 384 */
						BgL_nodez00_bglt BgL_arg2266z00_1865;

						BgL_arg2266z00_1865 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1861))->BgL_funz00);
						BgL_auxz00_4224 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2266z00_1865));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1861))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4224), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4229;

					{	/* Cfa/specialize.scm 385 */
						BgL_nodez00_bglt BgL_arg2267z00_1866;

						BgL_arg2267z00_1866 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1861))->BgL_argz00);
						BgL_auxz00_4229 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2267z00_1866));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1861))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4229), BUNSPEC);
				}
				return BgL_nodez00_1861;
			}
		}
	}



/* &patch!-sync2008 */
	BgL_syncz00_bglt BGl_z62patchz12zd2sync2008za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3259, obj_t BgL_nodez00_3260)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 370 */
			{
				BgL_syncz00_bglt BgL_nodez00_1852;

				BgL_nodez00_1852 = ((BgL_syncz00_bglt) BgL_nodez00_3260);
				{
					BgL_nodez00_bglt BgL_auxz00_4235;

					{	/* Cfa/specialize.scm 372 */
						BgL_nodez00_bglt BgL_arg2262z00_1856;

						BgL_arg2262z00_1856 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1852))->BgL_mutexz00);
						BgL_auxz00_4235 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2262z00_1856));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1852))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4235), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1852))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 374 */
					bool_t BgL_testz00_4242;

					{	/* Cfa/specialize.scm 374 */
						BgL_typez00_bglt BgL_arg2265z00_1859;

						BgL_arg2265z00_1859 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1852)))->BgL_typez00);
						BgL_testz00_4242 =
							(
							((obj_t) BgL_arg2265z00_1859) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4242)
						{	/* Cfa/specialize.scm 374 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1852)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1852)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1852))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 374 */
							BFALSE;
						}
				}
				return BgL_nodez00_1852;
			}
		}
	}



/* &patch!-sequence2006 */
	BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence2006za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3261, obj_t BgL_nodez00_3262)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 359 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1844;

				BgL_nodez00_1844 = ((BgL_sequencez00_bglt) BgL_nodez00_3262);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1844))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 362 */
					bool_t BgL_testz00_4257;

					{	/* Cfa/specialize.scm 362 */
						BgL_typez00_bglt BgL_arg2261z00_1850;

						BgL_arg2261z00_1850 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1844)))->BgL_typez00);
						BgL_testz00_4257 =
							(
							((obj_t) BgL_arg2261z00_1850) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4257)
						{	/* Cfa/specialize.scm 362 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1844)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1844)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1844))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 362 */
							BFALSE;
						}
				}
				return BgL_nodez00_1844;
			}
		}
	}



/* &patch!-closure2004 */
	obj_t BGl_z62patchz12zd2closure2004za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3263, obj_t BgL_nodez00_3264)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 353 */
			{
				BgL_closurez00_bglt BgL_nodez00_1839;

				BgL_nodez00_1839 = ((BgL_closurez00_bglt) BgL_nodez00_3264);
				{	/* Cfa/specialize.scm 354 */
					obj_t BgL_arg2258z00_3115;

					BgL_arg2258z00_3115 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1839));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2459z00zzcfa_specializa7eza7,
						BGl_string2481z00zzcfa_specializa7eza7, BgL_arg2258z00_3115);
				}
			}
		}
	}



/* &patch!-var2002 */
	BgL_varz00_bglt BGl_z62patchz12zd2var2002za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3265, obj_t BgL_nodez00_3266)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 347 */
			return ((BgL_varz00_bglt) BgL_nodez00_3266);
		}
	}



/* &patch!-kwote2000 */
	BgL_kwotez00_bglt BGl_z62patchz12zd2kwote2000za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3267, obj_t BgL_nodez00_3268)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 341 */
			return ((BgL_kwotez00_bglt) BgL_nodez00_3268);
		}
	}



/* &patch!-atom1998 */
	BgL_atomz00_bglt BGl_z62patchz12zd2atom1998za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3269, obj_t BgL_nodez00_3270)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 335 */
			return ((BgL_atomz00_bglt) BgL_nodez00_3270);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2482z00zzcfa_specializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
