/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box3228za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123230zb0zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti3188z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote3176z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3178z70zzcfa_typez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3196z50zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3224z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure3180z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun3220za2zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62typezd2variablez123159za2zzcfa_typez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc3202z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3190z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3192z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var3222za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2select3218z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast3208z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3186z70zzcfa_typez00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C3198z82zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq3210z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62typezd2variablez12zd2inter3170z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sync3184z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2scnst3164z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref3232za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence3182z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz123206z62zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail3216z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23194z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_cleanupzd2typezd2zzcfa_typez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref3204z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2variablez12zd2sexit3168z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_z62typezd2variablez12zd2cvarzf23166z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	static obj_t BGl_z62typezd2variablez12zd2svarzf23162z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3212z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3214z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom3174z70zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3226z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez123171za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern3200z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin3767z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713768za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3718z00zzcfa_typez00,
		BgL_bgl_string3718za700za7za7c3769za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string3719z00zzcfa_typez00,
		BgL_bgl_string3719za700za7za7c3770za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string3721z00zzcfa_typez00,
		BgL_bgl_string3721za700za7za7c3771za7, "type-variable!3159", 18);
	      DEFINE_STRING(BGl_string3723z00zzcfa_typez00,
		BgL_bgl_string3723za700za7za7c3772za7, "type-node!3171", 14);
	      DEFINE_STRING(BGl_string3724z00zzcfa_typez00,
		BgL_bgl_string3724za700za7za7c3773za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3726z00zzcfa_typez00,
		BgL_bgl_string3726za700za7za7c3774za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string3732z00zzcfa_typez00,
		BgL_bgl_string3732za700za7za7c3775za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string3762z00zzcfa_typez00,
		BgL_bgl_string3762za700za7za7c3776za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3763z00zzcfa_typez00,
		BgL_bgl_string3763za700za7za7c3777za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string3764z00zzcfa_typez00,
		BgL_bgl_string3764za700za7za7c3778za7,
		"nothing static type-node!3171 bigloo ", 37);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza73779za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3780z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3720z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3781z00,
		BGl_z62typezd2variablez123159za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3722z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713782za7,
		BGl_z62typezd2nodez123171za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3725z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3783z00,
		BGl_z62typezd2variablez12zd2svarzf23162z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3727z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3784z00,
		BGl_z62typezd2variablez12zd2scnst3164z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3728z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3785z00,
		BGl_z62typezd2variablez12zd2cvarzf23166z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3729z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3786z00,
		BGl_z62typezd2variablez12zd2sexit3168z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3730z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3787z00,
		BGl_z62typezd2variablez12zd2inter3170z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3731z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713788za7,
		BGl_z62typezd2nodez12zd2atom3174z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3733z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713789za7,
		BGl_z62typezd2nodez12zd2kwote3176z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3734z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713790za7,
		BGl_z62typezd2nodez12zd2var3178z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3735z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713791za7,
		BGl_z62typezd2nodez12zd2closure3180z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3736z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713792za7,
		BGl_z62typezd2nodez12zd2sequence3182z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3737z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713793za7,
		BGl_z62typezd2nodez12zd2sync3184z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3738z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713794za7,
		BGl_z62typezd2nodez12zd2app3186z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3739z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713795za7,
		BGl_z62typezd2nodez12zd2arithmeti3188z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3740z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713796za7,
		BGl_z62typezd2nodez12zd2procedure3190z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3741z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713797za7,
		BGl_z62typezd2nodez12zd2procedure3192z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3742z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713798za7,
		BGl_z62typezd2nodez12zd2conszd2refzd23194z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3743z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713799za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3196z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3744z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713800za7,
		BGl_z62typezd2nodez12zd2funcallzf2C3198z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3745z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713801za7,
		BGl_z62typezd2nodez12zd2extern3200z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3746z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713802za7,
		BGl_z62typezd2nodez12zd2valloc3202z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3747z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713803za7,
		BGl_z62typezd2nodez12zd2vref3204z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3748z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713804za7,
		BGl_z62typezd2nodez12zd2vsetz123206z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3749z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713805za7,
		BGl_z62typezd2nodez12zd2cast3208z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3750z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713806za7,
		BGl_z62typezd2nodez12zd2setq3210z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3751z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713807za7,
		BGl_z62typezd2nodez12zd2condition3212z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3752z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713808za7,
		BGl_z62typezd2nodez12zd2condition3214z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3753z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713809za7,
		BGl_z62typezd2nodez12zd2fail3216z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3754z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713810za7,
		BGl_z62typezd2nodez12zd2select3218z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3755z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713811za7,
		BGl_z62typezd2nodez12zd2letzd2fun3220za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3756z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713812za7,
		BGl_z62typezd2nodez12zd2letzd2var3222za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3757z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713813za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it3224z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3758z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713814za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3226z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3759z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713815za7,
		BGl_z62typezd2nodez12zd2makezd2box3228za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3760z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713816za7,
		BGl_z62typezd2nodez12zd2boxzd2setz123230zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3761z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713817za7,
		BGl_z62typezd2nodez12zd2boxzd2ref3232za2zzcfa_typez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_6386, char *BgL_fromz00_6387)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_6371;

				BgL_cportz00_6371 =
					bgl_open_input_string(BGl_string3764z00zzcfa_typez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_6372;

					BgL_iz00_6372 = ((long) 3);
				BgL_loopz00_6373:
					if ((BgL_iz00_6372 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg3766z00_6375;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_6377;

										BgL_locationz00_6377 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg3766z00_6375 =
												BGl_readz00zz__readerz00(BgL_cportz00_6371,
												BgL_locationz00_6377);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_auxz00_6408;

									BgL_auxz00_6408 = (int) (BgL_iz00_6372);
									CNST_TABLE_SET(BgL_auxz00_6408, BgL_arg3766z00_6375);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_6378;

								BgL_auxz00_6378 = (int) ((BgL_iz00_6372 - ((long) 1)));
								{
									long BgL_iz00_6413;

									BgL_iz00_6413 = (long) (BgL_auxz00_6378);
									BgL_iz00_6372 = BgL_iz00_6413;
									goto BgL_loopz00_6373;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			BGl_typezd2closuresz12zc0zzcfa_closurez00();
			{
				obj_t BgL_l3130z00_3296;

				{	/* Cfa/type.scm 42 */
					bool_t BgL_auxz00_6416;

					BgL_l3130z00_3296 = BgL_globalsz00_3;
				BgL_zc3anonymousza33236ze3z83_3297:
					if (PAIRP(BgL_l3130z00_3296))
						{	/* Cfa/type.scm 42 */
							{	/* Cfa/type.scm 42 */
								obj_t BgL_arg3238z00_3299;

								BgL_arg3238z00_3299 = CAR(BgL_l3130z00_3296);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg3238z00_3299));
							}
							{
								obj_t BgL_l3130z00_6422;

								BgL_l3130z00_6422 = CDR(BgL_l3130z00_3296);
								BgL_l3130z00_3296 = BgL_l3130z00_6422;
								goto BgL_zc3anonymousza33236ze3z83_3297;
							}
						}
					else
						{	/* Cfa/type.scm 42 */
							BgL_auxz00_6416 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_6416);
				}
			}
		}
	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_6244,
		obj_t BgL_globalsz00_6245)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_6245);
		}
	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 47 */
			{	/* Cfa/type.scm 48 */
				BgL_valuez00_bglt BgL_funz00_3302;

				BgL_funz00_3302 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_4))->BgL_valuez00);
				{	/* Cfa/type.scm 50 */
					bool_t BgL_testz00_6427;

					{	/* Cfa/type.scm 50 */
						bool_t BgL_res3642z00_5900;

						{	/* Cfa/type.scm 50 */
							obj_t BgL_objz00_5899;

							BgL_objz00_5899 = ((obj_t) BgL_funz00_3302);
							BgL_res3642z00_5900 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5899,
								BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						}
						BgL_testz00_6427 = BgL_res3642z00_5900;
					}
					if (BgL_testz00_6427)
						{	/* Cfa/type.scm 53 */
							BgL_sfunz00_bglt BgL_i1162z00_3304;

							BgL_i1162z00_3304 = ((BgL_sfunz00_bglt) BgL_funz00_3302);
							{	/* Cfa/type.scm 55 */
								obj_t BgL_g3134z00_3305;

								BgL_g3134z00_3305 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_i1162z00_3304)))->BgL_argsz00);
								{
									obj_t BgL_l3132z00_3307;

									BgL_l3132z00_3307 = BgL_g3134z00_3305;
								BgL_zc3anonymousza33241ze3z83_3308:
									if (PAIRP(BgL_l3132z00_3307))
										{	/* Cfa/type.scm 55 */
											{	/* Cfa/type.scm 56 */
												obj_t BgL_varz00_3310;

												BgL_varz00_3310 = CAR(BgL_l3132z00_3307);
												{	/* Cfa/type.scm 56 */
													BgL_valuez00_bglt BgL_arg3244z00_3311;

													BgL_arg3244z00_3311 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3310))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg3244z00_3311,
														((BgL_variablez00_bglt) BgL_varz00_3310));
												}
											}
											{
												obj_t BgL_l3132z00_6441;

												BgL_l3132z00_6441 = CDR(BgL_l3132z00_3307);
												BgL_l3132z00_3307 = BgL_l3132z00_6441;
												goto BgL_zc3anonymousza33241ze3z83_3308;
											}
										}
									else
										{	/* Cfa/type.scm 55 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 59 */
								obj_t BgL_arg3246z00_3314;

								{	/* Cfa/type.scm 59 */
									BgL_approxz00_bglt BgL_arg3247z00_3315;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6443;

										{
											obj_t BgL_auxz00_6444;

											{	/* Cfa/type.scm 59 */
												BgL_objectz00_bglt BgL_auxz00_6445;

												BgL_auxz00_6445 =
													((BgL_objectz00_bglt) BgL_i1162z00_3304);
												BgL_auxz00_6444 = BGL_OBJECT_WIDENING(BgL_auxz00_6445);
											}
											BgL_auxz00_6443 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6444);
										}
										BgL_arg3247z00_3315 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_6443))->BgL_approxz00);
									}
									BgL_arg3246z00_3314 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3247z00_3315,
										((obj_t) BgL_varz00_4));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_4,
									((BgL_typez00_bglt) BgL_arg3246z00_3314));
							}
							{	/* Cfa/type.scm 60 */
								BgL_sfunz00_bglt BgL_o1163z00_3316;

								BgL_o1163z00_3316 = ((BgL_sfunz00_bglt) BgL_funz00_3302);
								{	/* Cfa/type.scm 60 */
									long BgL_arg3248z00_3317;

									{	/* Cfa/type.scm 60 */
										obj_t BgL_arg3249z00_3318;

										{	/* Cfa/type.scm 60 */
											obj_t BgL_arg3250z00_3319;

											{	/* Cfa/type.scm 60 */
												BgL_objectz00_bglt BgL_objectz00_5908;

												BgL_objectz00_5908 =
													((BgL_objectz00_bglt) BgL_o1163z00_3316);
												{	/* Cfa/type.scm 60 */
													long BgL_arg1823z00_5909;

													{	/* Cfa/type.scm 60 */
														long BgL_arg1824z00_5910;

														{	/* Cfa/type.scm 60 */
															long BgL_res3645z00_5912;

															BgL_res3645z00_5912 =
																BGL_OBJECT_CLASS_NUM(BgL_objectz00_5908);
															BgL_arg1824z00_5910 = BgL_res3645z00_5912;
														}
														BgL_arg1823z00_5909 =
															(BgL_arg1824z00_5910 - OBJECT_TYPE);
													}
													BgL_arg3250z00_3319 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg1823z00_5909));
											}}
											BgL_arg3249z00_3318 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg3250z00_3319);
										}
										{	/* Cfa/type.scm 60 */
											long BgL_res3647z00_5919;

											BgL_res3647z00_5919 =
												BGL_CLASS_INDEX(BgL_arg3249z00_3318);
											BgL_arg3248z00_3317 = BgL_res3647z00_5919;
									}}
									{	/* Cfa/type.scm 60 */
										BgL_objectz00_bglt BgL_objz00_5920;

										BgL_objz00_5920 = ((BgL_objectz00_bglt) BgL_o1163z00_3316);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5920,
											BgL_arg3248z00_3317);
								}}
								{	/* Cfa/type.scm 60 */
									BgL_objectz00_bglt BgL_auxz00_6464;

									BgL_auxz00_6464 = ((BgL_objectz00_bglt) BgL_o1163z00_3316);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6464, BFALSE);
								} BgL_o1163z00_3316;
							}
							{
								obj_t BgL_auxz00_6467;

								{	/* Cfa/type.scm 62 */
									obj_t BgL_arg3251z00_3320;

									BgL_arg3251z00_3320 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_i1162z00_3304)))->BgL_bodyz00);
									BgL_auxz00_6467 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg3251z00_3320)));
								}
								return
									((((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_i1162z00_3304)))->BgL_bodyz00) =
									((obj_t) BgL_auxz00_6467), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 63 */
							bool_t BgL_testz00_6475;

							{	/* Cfa/type.scm 63 */
								bool_t BgL_res3648z00_5923;

								{	/* Cfa/type.scm 63 */
									obj_t BgL_objz00_5922;

									BgL_objz00_5922 = ((obj_t) BgL_funz00_3302);
									BgL_res3648z00_5923 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5922,
										BGl_sfunz00zzast_varz00);
								}
								BgL_testz00_6475 = BgL_res3648z00_5923;
							}
							if (BgL_testz00_6475)
								{	/* Cfa/type.scm 64 */
									BgL_sfunz00_bglt BgL_i1164z00_3322;

									BgL_i1164z00_3322 = ((BgL_sfunz00_bglt) BgL_funz00_3302);
									{
										obj_t BgL_auxz00_6479;

										{	/* Cfa/type.scm 65 */
											obj_t BgL_arg3253z00_3323;

											BgL_arg3253z00_3323 =
												(((BgL_sfunz00_bglt) CREF(BgL_i1164z00_3322))->
												BgL_bodyz00);
											BgL_auxz00_6479 =
												((obj_t)
												BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
														BgL_arg3253z00_3323)));
										}
										return
											((((BgL_sfunz00_bglt) CREF(BgL_i1164z00_3322))->
												BgL_bodyz00) = ((obj_t) BgL_auxz00_6479), BUNSPEC);
									}
								}
							else
								{	/* Cfa/type.scm 67 */
									obj_t BgL_arg3254z00_3324;

									BgL_arg3254z00_3324 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_4));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string3718z00zzcfa_typez00,
										BGl_string3719z00zzcfa_typez00, BgL_arg3254z00_3324);
								}
						}
				}
			}
		}
	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 72 */
			{	/* Cfa/type.scm 73 */
				BgL_variablez00_bglt BgL_varz00_3325;

				BgL_varz00_3325 =
					(((BgL_varz00_bglt) CREF(BgL_vz00_5))->BgL_variablez00);
				{	/* Cfa/type.scm 73 */
					BgL_valuez00_bglt BgL_funz00_3326;

					BgL_funz00_3326 =
						(((BgL_variablez00_bglt) CREF(BgL_varz00_3325))->BgL_valuez00);
					{	/* Cfa/type.scm 74 */

						{	/* Cfa/type.scm 75 */
							bool_t BgL_testz00_6490;

							{	/* Cfa/type.scm 75 */
								bool_t BgL_res3651z00_5931;

								{	/* Cfa/type.scm 75 */
									obj_t BgL_objz00_5930;

									BgL_objz00_5930 = ((obj_t) BgL_funz00_3326);
									BgL_res3651z00_5931 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5930,
										BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
								}
								BgL_testz00_6490 = BgL_res3651z00_5931;
							}
							if (BgL_testz00_6490)
								{	/* Cfa/type.scm 76 */
									BgL_sfunz00_bglt BgL_i1165z00_3328;

									BgL_i1165z00_3328 = ((BgL_sfunz00_bglt) BgL_funz00_3326);
									{	/* Cfa/type.scm 77 */
										obj_t BgL_arg3256z00_3329;

										{	/* Cfa/type.scm 77 */
											BgL_approxz00_bglt BgL_arg3257z00_3330;

											{
												BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6494;

												{
													obj_t BgL_auxz00_6495;

													{	/* Cfa/type.scm 77 */
														BgL_objectz00_bglt BgL_auxz00_6496;

														BgL_auxz00_6496 =
															((BgL_objectz00_bglt) BgL_i1165z00_3328);
														BgL_auxz00_6495 =
															BGL_OBJECT_WIDENING(BgL_auxz00_6496);
													}
													BgL_auxz00_6494 =
														((BgL_internzd2sfunzf2cinfoz20_bglt)
														BgL_auxz00_6495);
												}
												BgL_arg3257z00_3330 =
													(((BgL_internzd2sfunzf2cinfoz20_bglt)
														CREF(BgL_auxz00_6494))->BgL_approxz00);
											}
											BgL_arg3256z00_3329 =
												BGl_getzd2approxzd2typez00zzcfa_typez00
												(BgL_arg3257z00_3330, ((obj_t) BgL_vz00_5));
										}
										return
											BGl_setzd2variablezd2typez12z12zzcfa_typez00
											(BgL_varz00_3325,
											((BgL_typez00_bglt) BgL_arg3256z00_3329));
									}
								}
							else
								{	/* Cfa/type.scm 75 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_6,
		obj_t BgL_nodez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 82 */
			{	/* Cfa/type.scm 83 */
				BgL_typez00_bglt BgL_typez00_3331;
				obj_t BgL_alloczd2listzd2_3332;

				BgL_typez00_3331 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_typez00);
				BgL_alloczd2listzd2_3332 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_allocsz00));
				if (PAIRP(BgL_alloczd2listzd2_3332))
					{	/* Cfa/type.scm 86 */
						if ((((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_topzf3zf3))
							{	/* Cfa/type.scm 88 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 90 */
								bool_t BgL_testz00_6512;

								{
									obj_t BgL_l3135z00_3363;

									BgL_l3135z00_3363 = BgL_alloczd2listzd2_3332;
								BgL_zc3anonymousza33272ze3z83_3364:
									if (NULLP(BgL_l3135z00_3363))
										{	/* Cfa/type.scm 90 */
											BgL_testz00_6512 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 90 */
											bool_t BgL_testz00_6515;

											{	/* Cfa/type.scm 90 */
												obj_t BgL_arg3275z00_3369;

												BgL_arg3275z00_3369 = CAR(BgL_l3135z00_3363);
												BgL_testz00_6515 =
													BGl_isazf3zf3zz__objectz00(BgL_arg3275z00_3369,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
											}
											if (BgL_testz00_6515)
												{
													obj_t BgL_l3135z00_6518;

													BgL_l3135z00_6518 = CDR(BgL_l3135z00_3363);
													BgL_l3135z00_3363 = BgL_l3135z00_6518;
													goto BgL_zc3anonymousza33272ze3z83_3364;
												}
											else
												{	/* Cfa/type.scm 90 */
													BgL_testz00_6512 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_6512)
									{	/* Cfa/type.scm 91 */
										obj_t BgL_appz00_3336;

										BgL_appz00_3336 = CAR(BgL_alloczd2listzd2_3332);
										{	/* Cfa/type.scm 91 */
											BgL_typez00_bglt BgL_tvzd2typezd2_3337;

											BgL_tvzd2typezd2_3337 =
												BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_appz00_3336));
											{	/* Cfa/type.scm 92 */
												BgL_approxz00_bglt BgL_valuezd2approxzd2_3338;

												{
													BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6523;

													{
														obj_t BgL_auxz00_6524;

														{	/* Cfa/type.scm 93 */
															BgL_objectz00_bglt BgL_auxz00_6525;

															BgL_auxz00_6525 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_3336));
															BgL_auxz00_6524 =
																BGL_OBJECT_WIDENING(BgL_auxz00_6525);
														}
														BgL_auxz00_6523 =
															((BgL_makezd2vectorzd2appz00_bglt)
															BgL_auxz00_6524);
													}
													BgL_valuezd2approxzd2_3338 =
														(((BgL_makezd2vectorzd2appz00_bglt)
															CREF(BgL_auxz00_6523))->BgL_valuezd2approxzd2);
												}
												{	/* Cfa/type.scm 93 */
													BgL_typez00_bglt BgL_itemzd2typezd2_3339;

													BgL_itemzd2typezd2_3339 =
														(((BgL_approxz00_bglt)
															CREF(BgL_valuezd2approxzd2_3338))->BgL_typez00);
													{	/* Cfa/type.scm 94 */
														obj_t BgL_tvz00_3340;

														BgL_tvz00_3340 =
															(((BgL_typez00_bglt)
																CREF(BgL_itemzd2typezd2_3339))->BgL_tvectorz00);
														{	/* Cfa/type.scm 95 */

															if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_3340,
																	BGl_typez00zztype_typez00))
																{	/* Cfa/type.scm 97 */
																	return BgL_tvz00_3340;
																}
															else
																{	/* Cfa/type.scm 97 */
																	if (
																		(((obj_t) BgL_typez00_3331) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Cfa/type.scm 98 */
																			return BGl_za2vectorza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/type.scm 98 */
																			return ((obj_t) BgL_typez00_3331);
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/type.scm 100 */
										bool_t BgL_testz00_6539;

										{
											obj_t BgL_l3138z00_3354;

											BgL_l3138z00_3354 = BgL_alloczd2listzd2_3332;
										BgL_zc3anonymousza33268ze3z83_3355:
											if (NULLP(BgL_l3138z00_3354))
												{	/* Cfa/type.scm 100 */
													BgL_testz00_6539 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 100 */
													bool_t BgL_testz00_6542;

													{	/* Cfa/type.scm 100 */
														obj_t BgL_arg3271z00_3360;

														BgL_arg3271z00_3360 = CAR(BgL_l3138z00_3354);
														BgL_testz00_6542 =
															BGl_isazf3zf3zz__objectz00(BgL_arg3271z00_3360,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
													if (BgL_testz00_6542)
														{
															obj_t BgL_l3138z00_6545;

															BgL_l3138z00_6545 = CDR(BgL_l3138z00_3354);
															BgL_l3138z00_3354 = BgL_l3138z00_6545;
															goto BgL_zc3anonymousza33268ze3z83_3355;
														}
													else
														{	/* Cfa/type.scm 100 */
															BgL_testz00_6539 = ((bool_t) 0);
														}
												}
										}
										if (BgL_testz00_6539)
											{	/* Cfa/type.scm 100 */
												if (CBOOL
													(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
														()))
													{	/* Cfa/type.scm 105 */
														obj_t BgL_appz00_3345;

														BgL_appz00_3345 = CAR(BgL_alloczd2listzd2_3332);
														{	/* Cfa/type.scm 105 */
															BgL_typez00_bglt BgL_tvzd2typezd2_3346;

															BgL_tvzd2typezd2_3346 =
																BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																(((BgL_nodez00_bglt) BgL_appz00_3345));
															{	/* Cfa/type.scm 106 */
																BgL_approxz00_bglt BgL_valuezd2approxzd2_3347;

																{
																	BgL_valloczf2cinfozb2optimz40_bglt
																		BgL_auxz00_6553;
																	{
																		obj_t BgL_auxz00_6554;

																		{	/* Cfa/type.scm 107 */
																			BgL_objectz00_bglt BgL_auxz00_6555;

																			BgL_auxz00_6555 =
																				((BgL_objectz00_bglt)
																				((BgL_vallocz00_bglt) BgL_appz00_3345));
																			BgL_auxz00_6554 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_6555);
																		}
																		BgL_auxz00_6553 =
																			((BgL_valloczf2cinfozb2optimz40_bglt)
																			BgL_auxz00_6554);
																	}
																	BgL_valuezd2approxzd2_3347 =
																		(((BgL_valloczf2cinfozb2optimz40_bglt)
																			CREF(BgL_auxz00_6553))->
																		BgL_valuezd2approxzd2);
																}
																{	/* Cfa/type.scm 107 */
																	BgL_typez00_bglt BgL_itemzd2typezd2_3348;

																	BgL_itemzd2typezd2_3348 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_valuezd2approxzd2_3347))->
																		BgL_typez00);
																	{	/* Cfa/type.scm 108 */
																		obj_t BgL_tvz00_3349;

																		BgL_tvz00_3349 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_itemzd2typezd2_3348))->
																			BgL_tvectorz00);
																		{	/* Cfa/type.scm 109 */

																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_tvz00_3349,
																					BGl_typez00zztype_typez00))
																				{	/* Cfa/type.scm 111 */
																					return BgL_tvz00_3349;
																				}
																			else
																				{	/* Cfa/type.scm 111 */
																					if (
																						(((obj_t) BgL_typez00_3331) ==
																							BGl_za2_za2z00zztype_cachez00))
																						{	/* Cfa/type.scm 112 */
																							return
																								BGl_za2vectorza2z00zztype_cachez00;
																						}
																					else
																						{	/* Cfa/type.scm 112 */
																							return ((obj_t) BgL_typez00_3331);
																						}
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/type.scm 101 */
														if (
															(((obj_t) BgL_typez00_3331) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/type.scm 102 */
																return BGl_za2vectorza2z00zztype_cachez00;
															}
														else
															{	/* Cfa/type.scm 102 */
																return ((obj_t) BgL_typez00_3331);
															}
													}
											}
										else
											{	/* Cfa/type.scm 100 */
												return ((obj_t) BgL_typez00_3331);
											}
									}
							}
					}
				else
					{	/* Cfa/type.scm 86 */
						return ((obj_t) BgL_typez00_3331);
					}
			}
		}
	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_6246,
		obj_t BgL_approxz00_6247, obj_t BgL_nodez00_6248)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 82 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_6247), BgL_nodez00_6248);
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_20, BgL_typez00_bglt BgL_typez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 169 */
			{	/* Cfa/type.scm 170 */
				obj_t BgL_ntypez00_3372;
				BgL_typez00_bglt BgL_otypez00_3373;

				if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 170 */
						BgL_ntypez00_3372 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 170 */
						BgL_ntypez00_3372 = ((obj_t) BgL_typez00_21);
					}
				BgL_otypez00_3373 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_3373) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 174 */
						bool_t BgL_testz00_6585;

						{	/* Cfa/type.scm 174 */
							bool_t BgL_testz00_6586;

							{	/* Cfa/type.scm 174 */
								bool_t BgL_res3666z00_5980;

								{	/* Cfa/type.scm 174 */
									obj_t BgL_objz00_5979;

									BgL_objz00_5979 = ((obj_t) BgL_variablez00_20);
									BgL_res3666z00_5980 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5979,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_6586 = BgL_res3666z00_5980;
							}
							if (BgL_testz00_6586)
								{	/* Cfa/type.scm 175 */
									bool_t BgL_testz00_6589;

									{	/* Cfa/type.scm 175 */
										BgL_valuez00_bglt BgL_arg3286z00_3382;

										BgL_arg3286z00_3382 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_20))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 175 */
											bool_t BgL_res3668z00_5985;

											{	/* Cfa/type.scm 175 */
												obj_t BgL_objz00_5984;

												BgL_objz00_5984 = ((obj_t) BgL_arg3286z00_3382);
												BgL_res3668z00_5985 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_5984,
													BGl_funz00zzast_varz00);
											}
											BgL_testz00_6589 = BgL_res3668z00_5985;
										}
									}
									if (BgL_testz00_6589)
										{	/* Cfa/type.scm 175 */
											BgL_testz00_6585 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 176 */
											bool_t BgL_testz00_6595;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6595 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6595 =
														(
														(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_variablez00_20)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_testz00_6595)
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6585 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 176 */
													if (
														((((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_ntypez00_3372)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Cfa/type.scm 177 */
															BgL_testz00_6585 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 177 */
															BgL_testz00_6585 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 174 */
									BgL_testz00_6585 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_6585)
							{	/* Cfa/type.scm 182 */
								BgL_typez00_bglt BgL_vz00_5991;

								BgL_vz00_5991 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5991), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 183 */
								BgL_typez00_bglt BgL_vz00_5994;

								BgL_vz00_5994 = ((BgL_typez00_bglt) BgL_ntypez00_3372);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5994), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 184 */
						bool_t BgL_testz00_6610;

						if (
							(((obj_t) BgL_otypez00_3373) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 184 */
								BgL_testz00_6610 =
									BGl_isazf3zf3zz__objectz00(BgL_ntypez00_3372,
									BGl_tvecz00zztvector_tvectorz00);
							}
						else
							{	/* Cfa/type.scm 184 */
								BgL_testz00_6610 = ((bool_t) 0);
							}
						if (BgL_testz00_6610)
							{	/* Cfa/type.scm 185 */
								BgL_typez00_bglt BgL_vz00_5999;

								BgL_vz00_5999 =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3372));
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5999), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 184 */
								return BFALSE;
							}
					}
			}
		}
	}



/* type-node*! */
	obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_55)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 578 */
			{
				obj_t BgL_l3157z00_3389;

				BgL_l3157z00_3389 = BgL_nodeza2za2_55;
			BgL_zc3anonymousza33291ze3z83_3390:
				if (NULLP(BgL_l3157z00_3389))
					{	/* Cfa/type.scm 579 */
						return BgL_nodeza2za2_55;
					}
				else
					{	/* Cfa/type.scm 579 */
						{	/* Cfa/type.scm 579 */
							BgL_nodez00_bglt BgL_arg3293z00_3392;

							{	/* Cfa/type.scm 579 */
								obj_t BgL_arg3294z00_3393;

								BgL_arg3294z00_3393 = CAR(BgL_l3157z00_3389);
								BgL_arg3293z00_3392 =
									BGl_typezd2nodez12zc0zzcfa_typez00(
									((BgL_nodez00_bglt) BgL_arg3294z00_3393));
							}
							{	/* Cfa/type.scm 579 */
								obj_t BgL_pairz00_6005;
								obj_t BgL_objz00_6006;

								BgL_pairz00_6005 = BgL_l3157z00_3389;
								BgL_objz00_6006 = ((obj_t) BgL_arg3293z00_3392);
								SET_CAR(BgL_pairz00_6005, BgL_objz00_6006);
							}
						}
						{
							obj_t BgL_l3157z00_6625;

							BgL_l3157z00_6625 = CDR(BgL_l3157z00_3389);
							BgL_l3157z00_3389 = BgL_l3157z00_6625;
							goto BgL_zc3anonymousza33291ze3z83_3390;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc3720z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string3721z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc3722z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string3723z00zzcfa_typez00);
		}
	}



/* &type-node!3171 */
	obj_t BGl_z62typezd2nodez123171za2zzcfa_typez00(obj_t BgL_envz00_6251,
		obj_t BgL_nodez00_6252)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			{
				BgL_nodez00_bglt BgL_nodez00_3405;

				BgL_nodez00_3405 = ((BgL_nodez00_bglt) BgL_nodez00_6252);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3724z00zzcfa_typez00, ((obj_t) BgL_nodez00_3405));
		}}
	}



/* &type-variable!3159 */
	obj_t BGl_z62typezd2variablez123159za2zzcfa_typez00(obj_t BgL_envz00_6253,
		obj_t BgL_valuez00_6254, obj_t BgL_variablez00_6255)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			{
				BgL_valuez00_bglt BgL_valuez00_3397;
				BgL_variablez00_bglt BgL_variablez00_3398;

				BgL_valuez00_3397 = ((BgL_valuez00_bglt) BgL_valuez00_6254);
				BgL_variablez00_3398 = ((BgL_variablez00_bglt) BgL_variablez00_6255);
				{	/* Cfa/type.scm 121 */
					BgL_typez00_bglt BgL_typez00_6008;

					BgL_typez00_6008 =
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_3398))->BgL_typez00);
					{	/* Cfa/type.scm 121 */
						bool_t BgL_testz00_6634;

						{	/* Cfa/type.scm 121 */
							bool_t BgL_res3672z00_6015;

							{	/* Cfa/type.scm 121 */
								obj_t BgL_objz00_6014;

								BgL_objz00_6014 = ((obj_t) BgL_typez00_6008);
								BgL_res3672z00_6015 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_6014,
									BGl_typez00zztype_typez00);
							}
							BgL_testz00_6634 = BgL_res3672z00_6015;
						}
						if (BgL_testz00_6634)
							{	/* Cfa/type.scm 121 */
								return BFALSE;
							}
						else
							{	/* Cfa/type.scm 121 */
								return
									BGl_setzd2variablezd2typez12z12zzcfa_typez00
									(BgL_variablez00_3398,
									BGl_getzd2defaultzd2typez00zztype_cachez00());
							}
					}
				}
			}
		}
	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_8,
		BgL_variablez00_bglt BgL_variablez00_9)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			{	/* Cfa/type.scm 120 */
				obj_t BgL_method3160z00_3408;

				{	/* Cfa/type.scm 120 */
					obj_t BgL_res3679z00_6044;

					{	/* Cfa/type.scm 120 */
						BgL_objectz00_bglt BgL_objz00_6016;

						BgL_objz00_6016 = ((BgL_objectz00_bglt) BgL_valuez00_8);
						{	/* Cfa/type.scm 120 */
							long BgL_objzd2classzd2numz00_6017;

							{	/* Cfa/type.scm 120 */
								long BgL_res3673z00_6020;

								BgL_res3673z00_6020 = BGL_OBJECT_CLASS_NUM(BgL_objz00_6016);
								BgL_objzd2classzd2numz00_6017 = BgL_res3673z00_6020;
							}
							{	/* Cfa/type.scm 120 */
								obj_t BgL_arg1820z00_6018;

								BgL_arg1820z00_6018 =
									PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 120 */
									obj_t BgL_arrayz00_6021;
									int BgL_offsetz00_6022;

									BgL_arrayz00_6021 = BgL_arg1820z00_6018;
									BgL_offsetz00_6022 = (int) (BgL_objzd2classzd2numz00_6017);
									{	/* Cfa/type.scm 120 */
										long BgL_offsetz00_6023;

										BgL_offsetz00_6023 =
											((long) (BgL_offsetz00_6022) - OBJECT_TYPE);
										{	/* Cfa/type.scm 120 */
											long BgL_modz00_6024;

											{	/* Cfa/type.scm 120 */
												int BgL_arg1822z00_6025;

												BgL_arg1822z00_6025 = (int) (((long) 16));
												{	/* Cfa/type.scm 120 */
													long BgL_res3676z00_6035;

													{	/* Cfa/type.scm 120 */
														long BgL_auxz00_6649;

														BgL_auxz00_6649 = (long) (BgL_arg1822z00_6025);
														BgL_res3676z00_6035 =
															(BgL_offsetz00_6023 / BgL_auxz00_6649);
													}
													BgL_modz00_6024 = BgL_res3676z00_6035;
											}}
											{	/* Cfa/type.scm 120 */
												long BgL_restz00_6026;

												{	/* Cfa/type.scm 120 */
													int BgL_arg1821z00_6027;

													BgL_arg1821z00_6027 = (int) (((long) 16));
													{	/* Cfa/type.scm 120 */
														long BgL_res3678z00_6039;

														{	/* Cfa/type.scm 120 */
															long BgL_auxz00_6653;

															BgL_auxz00_6653 = (long) (BgL_arg1821z00_6027);
															BgL_res3678z00_6039 =
																(BgL_offsetz00_6023 % BgL_auxz00_6653);
														}
														BgL_restz00_6026 = BgL_res3678z00_6039;
												}}
												{	/* Cfa/type.scm 120 */

													BgL_res3679z00_6044 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_6021,
															(int) (BgL_modz00_6024)),
														(int) (BgL_restz00_6026));
					}}}}}}}}
					BgL_method3160z00_3408 = BgL_res3679z00_6044;
				}
				return
					PROCEDURE_ENTRY(BgL_method3160z00_3408) (BgL_method3160z00_3408,
					((obj_t) BgL_valuez00_8), ((obj_t) BgL_variablez00_9), BEOA);
			}
		}
	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_6256,
		obj_t BgL_valuez00_6257, obj_t BgL_variablez00_6258)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_6257),
				((BgL_variablez00_bglt) BgL_variablez00_6258));
		}
	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			{	/* Cfa/type.scm 190 */
				obj_t BgL_method3172z00_3409;

				{	/* Cfa/type.scm 190 */
					obj_t BgL_res3686z00_6073;

					{	/* Cfa/type.scm 190 */
						BgL_objectz00_bglt BgL_objz00_6045;

						BgL_objz00_6045 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Cfa/type.scm 190 */
							long BgL_objzd2classzd2numz00_6046;

							{	/* Cfa/type.scm 190 */
								long BgL_res3680z00_6049;

								BgL_res3680z00_6049 = BGL_OBJECT_CLASS_NUM(BgL_objz00_6045);
								BgL_objzd2classzd2numz00_6046 = BgL_res3680z00_6049;
							}
							{	/* Cfa/type.scm 190 */
								obj_t BgL_arg1820z00_6047;

								BgL_arg1820z00_6047 =
									PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 190 */
									obj_t BgL_arrayz00_6050;
									int BgL_offsetz00_6051;

									BgL_arrayz00_6050 = BgL_arg1820z00_6047;
									BgL_offsetz00_6051 = (int) (BgL_objzd2classzd2numz00_6046);
									{	/* Cfa/type.scm 190 */
										long BgL_offsetz00_6052;

										BgL_offsetz00_6052 =
											((long) (BgL_offsetz00_6051) - OBJECT_TYPE);
										{	/* Cfa/type.scm 190 */
											long BgL_modz00_6053;

											{	/* Cfa/type.scm 190 */
												int BgL_arg1822z00_6054;

												BgL_arg1822z00_6054 = (int) (((long) 16));
												{	/* Cfa/type.scm 190 */
													long BgL_res3683z00_6064;

													{	/* Cfa/type.scm 190 */
														long BgL_auxz00_6678;

														BgL_auxz00_6678 = (long) (BgL_arg1822z00_6054);
														BgL_res3683z00_6064 =
															(BgL_offsetz00_6052 / BgL_auxz00_6678);
													}
													BgL_modz00_6053 = BgL_res3683z00_6064;
											}}
											{	/* Cfa/type.scm 190 */
												long BgL_restz00_6055;

												{	/* Cfa/type.scm 190 */
													int BgL_arg1821z00_6056;

													BgL_arg1821z00_6056 = (int) (((long) 16));
													{	/* Cfa/type.scm 190 */
														long BgL_res3685z00_6068;

														{	/* Cfa/type.scm 190 */
															long BgL_auxz00_6682;

															BgL_auxz00_6682 = (long) (BgL_arg1821z00_6056);
															BgL_res3685z00_6068 =
																(BgL_offsetz00_6052 % BgL_auxz00_6682);
														}
														BgL_restz00_6055 = BgL_res3685z00_6068;
												}}
												{	/* Cfa/type.scm 190 */

													BgL_res3686z00_6073 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_6050,
															(int) (BgL_modz00_6053)),
														(int) (BgL_restz00_6055));
					}}}}}}}}
					BgL_method3172z00_3409 = BgL_res3686z00_6073;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method3172z00_3409) (BgL_method3172z00_3409,
						((obj_t) BgL_nodez00_22), BEOA));
			}
		}
	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_6259,
		obj_t BgL_nodez00_6260)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_6260));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc3725z00zzcfa_typez00,
				BGl_string3726z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc3727z00zzcfa_typez00,
				BGl_string3726z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc3728z00zzcfa_typez00,
				BGl_string3726z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc3729z00zzcfa_typez00,
				BGl_string3726z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc3730z00zzcfa_typez00,
				BGl_string3726z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc3731z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3733z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc3734z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc3735z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3736z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_syncz00zzast_nodez00,
				BGl_proc3737z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc3738z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc3739z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc3740z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc3741z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc3742z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc3743z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc3744z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc3745z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc3746z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc3747z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc3748z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc3749z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc3750z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3751z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc3752z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc3753z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_selectz00zzast_nodez00,
				BGl_proc3754z00zzcfa_typez00, BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3755z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3756z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3757z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3758z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3759z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3760z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3761z00zzcfa_typez00,
				BGl_string3732z00zzcfa_typez00);
		}
	}



/* &type-node!-box-ref3232 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref3232za2zzcfa_typez00(obj_t
		BgL_envz00_6296, obj_t BgL_nodez00_6297)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 569 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_3781;

				BgL_nodez00_3781 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_6297);
				{
					BgL_varz00_bglt BgL_auxz00_6732;

					{	/* Cfa/type.scm 571 */
						BgL_varz00_bglt BgL_arg3456z00_3785;

						BgL_arg3456z00_3785 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3781))->BgL_varz00);
						BgL_auxz00_6732 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3456z00_3785)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3781))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6732), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_6738;

					{	/* Cfa/type.scm 572 */
						BgL_varz00_bglt BgL_arg3457z00_3786;

						BgL_arg3457z00_3786 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3781))->BgL_varz00);
						BgL_auxz00_6738 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_arg3457z00_3786));
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3781)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6738), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3781);
			}
		}
	}



/* &type-node!-box-set!3230 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123230zb0zzcfa_typez00(obj_t
		BgL_envz00_6298, obj_t BgL_nodez00_6299)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 560 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3774;

				BgL_nodez00_3774 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6299);
				{
					BgL_varz00_bglt BgL_auxz00_6746;

					{	/* Cfa/type.scm 562 */
						BgL_varz00_bglt BgL_arg3454z00_3778;

						BgL_arg3454z00_3778 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3774))->BgL_varz00);
						BgL_auxz00_6746 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3454z00_3778)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3774))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6746), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6752;

					{	/* Cfa/type.scm 563 */
						BgL_nodez00_bglt BgL_arg3455z00_3779;

						BgL_arg3455z00_3779 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3774))->
							BgL_valuez00);
						BgL_auxz00_6752 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3455z00_3779);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3774))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6752), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3774);
			}
		}
	}



/* &type-node!-make-box3228 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box3228za2zzcfa_typez00(obj_t
		BgL_envz00_6300, obj_t BgL_nodez00_6301)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 552 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_3768;

				BgL_nodez00_3768 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_6301);
				{
					BgL_nodez00_bglt BgL_auxz00_6758;

					{	/* Cfa/type.scm 554 */
						BgL_nodez00_bglt BgL_arg3453z00_3772;

						BgL_arg3453z00_3772 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3768))->BgL_valuez00);
						BgL_auxz00_6758 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3453z00_3772);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3768))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6758), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3768);
			}
		}
	}



/* &type-node!-jump-ex-i3226 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3226z70zzcfa_typez00(obj_t
		BgL_envz00_6302, obj_t BgL_nodez00_6303)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 543 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3761;

				BgL_nodez00_3761 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6303);
				{
					BgL_nodez00_bglt BgL_auxz00_6764;

					{	/* Cfa/type.scm 545 */
						BgL_nodez00_bglt BgL_arg3451z00_3765;

						BgL_arg3451z00_3765 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3761))->
							BgL_exitz00);
						BgL_auxz00_6764 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3451z00_3765);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3761))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6764), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6768;

					{	/* Cfa/type.scm 546 */
						BgL_nodez00_bglt BgL_arg3452z00_3766;

						BgL_arg3452z00_3766 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3761))->
							BgL_valuez00);
						BgL_auxz00_6768 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3452z00_3766);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3761))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6768), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3761);
			}
		}
	}



/* &type-node!-set-ex-it3224 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3224z70zzcfa_typez00(obj_t
		BgL_envz00_6304, obj_t BgL_nodez00_6305)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 532 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_3751;

				BgL_nodez00_3751 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6305);
				{	/* Cfa/type.scm 534 */
					BgL_variablez00_bglt BgL_vz00_3755;

					BgL_vz00_3755 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3751))->
									BgL_varz00)))->BgL_variablez00);
					{	/* Cfa/type.scm 535 */
						BgL_valuez00_bglt BgL_arg3447z00_3756;

						BgL_arg3447z00_3756 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_vz00_3755))))->BgL_valuez00);
						BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3447z00_3756,
							BgL_vz00_3755);
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6780;

					{	/* Cfa/type.scm 536 */
						BgL_nodez00_bglt BgL_arg3449z00_3758;

						BgL_arg3449z00_3758 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3751))->
							BgL_bodyz00);
						BgL_auxz00_6780 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3449z00_3758);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3751))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6780), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6784;

					{	/* Cfa/type.scm 537 */
						BgL_varz00_bglt BgL_arg3450z00_3759;

						BgL_arg3450z00_3759 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3751))->
							BgL_varz00);
						BgL_auxz00_6784 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
									BgL_arg3450z00_3759)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3751))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6784), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3751);
			}
		}
	}



/* &type-node!-let-var3222 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var3222za2zzcfa_typez00(obj_t
		BgL_envz00_6306, obj_t BgL_nodez00_6307)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 517 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3732;

				BgL_nodez00_3732 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_6307);
				{	/* Cfa/type.scm 519 */
					obj_t BgL_g3155z00_3736;

					BgL_g3155z00_3736 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3732))->BgL_bindingsz00);
					{
						obj_t BgL_l3153z00_3738;

						BgL_l3153z00_3738 = BgL_g3155z00_3736;
					BgL_zc3anonymousza33440ze3z83_3739:
						if (PAIRP(BgL_l3153z00_3738))
							{	/* Cfa/type.scm 519 */
								{	/* Cfa/type.scm 520 */
									obj_t BgL_bindingz00_3741;

									BgL_bindingz00_3741 = CAR(BgL_l3153z00_3738);
									{	/* Cfa/type.scm 520 */
										obj_t BgL_varz00_3742;
										obj_t BgL_valz00_3743;

										BgL_varz00_3742 = CAR(BgL_bindingz00_3741);
										BgL_valz00_3743 = CDR(BgL_bindingz00_3741);
										{	/* Cfa/type.scm 522 */
											BgL_nodez00_bglt BgL_arg3442z00_3744;

											BgL_arg3442z00_3744 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_valz00_3743));
											{	/* Cfa/type.scm 522 */
												obj_t BgL_pairz00_6209;
												obj_t BgL_objz00_6210;

												BgL_pairz00_6209 = BgL_bindingz00_3741;
												BgL_objz00_6210 = ((obj_t) BgL_arg3442z00_3744);
												SET_CDR(BgL_pairz00_6209, BgL_objz00_6210);
											}
										}
										{	/* Cfa/type.scm 523 */
											BgL_valuez00_bglt BgL_arg3443z00_3745;

											BgL_arg3443z00_3745 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_3742))))->
												BgL_valuez00);
											BGl_typezd2variablez12zc0zzcfa_typez00
												(BgL_arg3443z00_3745,
												((BgL_variablez00_bglt) BgL_varz00_3742));
										}
									}
								}
								{
									obj_t BgL_l3153z00_6807;

									BgL_l3153z00_6807 = CDR(BgL_l3153z00_3738);
									BgL_l3153z00_3738 = BgL_l3153z00_6807;
									goto BgL_zc3anonymousza33440ze3z83_3739;
								}
							}
						else
							{	/* Cfa/type.scm 519 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6809;

					{	/* Cfa/type.scm 525 */
						BgL_nodez00_bglt BgL_arg3445z00_3748;

						BgL_arg3445z00_3748 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3732))->BgL_bodyz00);
						BgL_auxz00_6809 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3445z00_3748);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3732))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6809), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3732)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3732))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3732);
			}
		}
	}



/* &type-node!-let-fun3220 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun3220za2zzcfa_typez00(obj_t
		BgL_envz00_6308, obj_t BgL_nodez00_6309)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 507 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_3717;

				BgL_nodez00_3717 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_6309);
				{	/* Cfa/type.scm 509 */
					obj_t BgL_g3152z00_3721;

					BgL_g3152z00_3721 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3717))->BgL_localsz00);
					{
						obj_t BgL_l3150z00_3723;

						BgL_l3150z00_3723 = BgL_g3152z00_3721;
					BgL_zc3anonymousza33434ze3z83_3724:
						if (PAIRP(BgL_l3150z00_3723))
							{	/* Cfa/type.scm 509 */
								{	/* Cfa/type.scm 509 */
									obj_t BgL_arg3436z00_3726;

									BgL_arg3436z00_3726 = CAR(BgL_l3150z00_3723);
									BGl_typezd2funz12zc0zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_arg3436z00_3726));
								}
								{
									obj_t BgL_l3150z00_6825;

									BgL_l3150z00_6825 = CDR(BgL_l3150z00_3723);
									BgL_l3150z00_3723 = BgL_l3150z00_6825;
									goto BgL_zc3anonymousza33434ze3z83_3724;
								}
							}
						else
							{	/* Cfa/type.scm 509 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6827;

					{	/* Cfa/type.scm 510 */
						BgL_nodez00_bglt BgL_arg3438z00_3729;

						BgL_arg3438z00_3729 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3717))->BgL_bodyz00);
						BgL_auxz00_6827 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3438z00_3729);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3717))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6827), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3717)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3717))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3717);
			}
		}
	}



/* &type-node!-select3218 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2select3218z70zzcfa_typez00(obj_t
		BgL_envz00_6310, obj_t BgL_nodez00_6311)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 482 */
			{
				BgL_selectz00_bglt BgL_nodez00_3701;

				BgL_nodez00_3701 = ((BgL_selectz00_bglt) BgL_nodez00_6311);
				{
					BgL_nodez00_bglt BgL_auxz00_6837;

					{	/* Cfa/type.scm 484 */
						BgL_nodez00_bglt BgL_arg3427z00_3705;

						BgL_arg3427z00_3705 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_3701))->BgL_testz00);
						BgL_auxz00_6837 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3427z00_3705);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_3701))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6837), BUNSPEC);
				}
				{	/* Cfa/type.scm 485 */
					obj_t BgL_g3149z00_3706;

					BgL_g3149z00_3706 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_3701))->BgL_clausesz00);
					{
						obj_t BgL_l3147z00_3708;

						BgL_l3147z00_3708 = BgL_g3149z00_3706;
					BgL_zc3anonymousza33428ze3z83_3709:
						if (PAIRP(BgL_l3147z00_3708))
							{	/* Cfa/type.scm 485 */
								{	/* Cfa/type.scm 486 */
									obj_t BgL_clausez00_3711;

									BgL_clausez00_3711 = CAR(BgL_l3147z00_3708);
									{	/* Cfa/type.scm 486 */
										BgL_nodez00_bglt BgL_arg3431z00_3712;

										{	/* Cfa/type.scm 486 */
											obj_t BgL_arg3432z00_3713;

											BgL_arg3432z00_3713 = CDR(BgL_clausez00_3711);
											BgL_arg3431z00_3712 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg3432z00_3713));
										}
										{	/* Cfa/type.scm 486 */
											obj_t BgL_pairz00_6194;
											obj_t BgL_objz00_6195;

											BgL_pairz00_6194 = BgL_clausez00_3711;
											BgL_objz00_6195 = ((obj_t) BgL_arg3431z00_3712);
											SET_CDR(BgL_pairz00_6194, BgL_objz00_6195);
										}
									}
								}
								{
									obj_t BgL_l3147z00_6850;

									BgL_l3147z00_6850 = CDR(BgL_l3147z00_3708);
									BgL_l3147z00_3708 = BgL_l3147z00_6850;
									goto BgL_zc3anonymousza33428ze3z83_3709;
								}
							}
						else
							{	/* Cfa/type.scm 485 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3701)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3701))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3701);
			}
		}
	}



/* &type-node!-fail3216 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail3216z70zzcfa_typez00(obj_t
		BgL_envz00_6312, obj_t BgL_nodez00_6313)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 472 */
			{
				BgL_failz00_bglt BgL_nodez00_3693;

				BgL_nodez00_3693 = ((BgL_failz00_bglt) BgL_nodez00_6313);
				{
					BgL_nodez00_bglt BgL_auxz00_6858;

					{	/* Cfa/type.scm 474 */
						BgL_nodez00_bglt BgL_arg3424z00_3697;

						BgL_arg3424z00_3697 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3693))->BgL_procz00);
						BgL_auxz00_6858 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3424z00_3697);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3693))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6858), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6862;

					{	/* Cfa/type.scm 475 */
						BgL_nodez00_bglt BgL_arg3425z00_3698;

						BgL_arg3425z00_3698 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3693))->BgL_msgz00);
						BgL_auxz00_6862 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3425z00_3698);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3693))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6862), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6866;

					{	/* Cfa/type.scm 476 */
						BgL_nodez00_bglt BgL_arg3426z00_3699;

						BgL_arg3426z00_3699 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3693))->BgL_objz00);
						BgL_auxz00_6866 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3426z00_3699);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3693))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6866), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3693);
			}
		}
	}



/* &type-node!-condition3214 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3214z70zzcfa_typez00(obj_t
		BgL_envz00_6314, obj_t BgL_nodez00_6315)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 465 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3689;

				BgL_nodez00_3689 = ((BgL_conditionalz00_bglt) BgL_nodez00_6315);
				{

					{	/* Cfa/type.scm 465 */
						obj_t BgL_nextzd2method3213zd2_3692;

						BgL_nextzd2method3213zd2_3692 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3689),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						PROCEDURE_ENTRY(BgL_nextzd2method3213zd2_3692)
							(BgL_nextzd2method3213zd2_3692, ((obj_t) BgL_nodez00_3689), BEOA);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3689);
				}
			}
		}
	}



/* &type-node!-condition3212 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3212z70zzcfa_typez00(obj_t
		BgL_envz00_6316, obj_t BgL_nodez00_6317)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 454 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3681;

				BgL_nodez00_3681 = ((BgL_conditionalz00_bglt) BgL_nodez00_6317);
				{
					BgL_nodez00_bglt BgL_auxz00_6881;

					{	/* Cfa/type.scm 456 */
						BgL_nodez00_bglt BgL_arg3421z00_3685;

						BgL_arg3421z00_3685 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3681))->BgL_testz00);
						BgL_auxz00_6881 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3421z00_3685);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3681))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6881), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6885;

					{	/* Cfa/type.scm 457 */
						BgL_nodez00_bglt BgL_arg3422z00_3686;

						BgL_arg3422z00_3686 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3681))->BgL_truez00);
						BgL_auxz00_6885 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3422z00_3686);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3681))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6885), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6889;

					{	/* Cfa/type.scm 458 */
						BgL_nodez00_bglt BgL_arg3423z00_3687;

						BgL_arg3423z00_3687 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3681))->
							BgL_falsez00);
						BgL_auxz00_6889 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3423z00_3687);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3681))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6889), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3681)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3681))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3681);
			}
		}
	}



/* &type-node!-setq3210 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq3210z70zzcfa_typez00(obj_t
		BgL_envz00_6318, obj_t BgL_nodez00_6319)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 443 */
			{
				BgL_setqz00_bglt BgL_nodez00_3674;

				BgL_nodez00_3674 = ((BgL_setqz00_bglt) BgL_nodez00_6319);
				{
					BgL_nodez00_bglt BgL_auxz00_6899;

					{	/* Cfa/type.scm 445 */
						BgL_nodez00_bglt BgL_arg3419z00_3678;

						BgL_arg3419z00_3678 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3674))->BgL_valuez00);
						BgL_auxz00_6899 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3419z00_3678);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3674))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6899), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6903;

					{	/* Cfa/type.scm 446 */
						BgL_varz00_bglt BgL_arg3420z00_3679;

						BgL_arg3420z00_3679 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3674))->BgL_varz00);
						BgL_auxz00_6903 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3420z00_3679)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3674))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6903), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3674);
			}
		}
	}



/* &type-node!-cast3208 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast3208z70zzcfa_typez00(obj_t
		BgL_envz00_6320, obj_t BgL_nodez00_6321)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 435 */
			{
				BgL_castz00_bglt BgL_nodez00_3668;

				BgL_nodez00_3668 = ((BgL_castz00_bglt) BgL_nodez00_6321);
				{
					BgL_nodez00_bglt BgL_auxz00_6911;

					{	/* Cfa/type.scm 437 */
						BgL_nodez00_bglt BgL_arg3418z00_3672;

						BgL_arg3418z00_3672 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_3668))->BgL_argz00);
						BgL_auxz00_6911 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3418z00_3672);
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_3668))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6911), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3668);
			}
		}
	}



/* &type-node!-vset!3206 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz123206z62zzcfa_typez00(obj_t
		BgL_envz00_6322, obj_t BgL_nodez00_6323)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 425 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_3661;

				BgL_nodez00_3661 = ((BgL_vsetz12z12_bglt) BgL_nodez00_6323);
				{

					{	/* Cfa/type.scm 425 */
						obj_t BgL_nextzd2method3205zd2_3667;

						BgL_nextzd2method3205zd2_3667 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3661),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vsetz12z12zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3205zd2_3667)
							(BgL_nextzd2method3205zd2_3667, ((obj_t) BgL_nodez00_3661), BEOA);
					}
					{	/* Cfa/type.scm 428 */
						bool_t BgL_testz00_6924;

						{	/* Cfa/type.scm 428 */
							BgL_typez00_bglt BgL_arg3417z00_3666;

							BgL_arg3417z00_3666 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3661))->BgL_ftypez00);
							BgL_testz00_6924 =
								(
								((obj_t) BgL_arg3417z00_3666) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_6924)
							{	/* Cfa/type.scm 428 */
								((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3661))->
										BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 428 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3661);
				}
			}
		}
	}



/* &type-node!-vref3204 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref3204z70zzcfa_typez00(obj_t
		BgL_envz00_6324, obj_t BgL_nodez00_6325)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 414 */
			{
				BgL_vrefz00_bglt BgL_nodez00_3654;

				BgL_nodez00_3654 = ((BgL_vrefz00_bglt) BgL_nodez00_6325);
				{

					{	/* Cfa/type.scm 414 */
						obj_t BgL_nextzd2method3203zd2_3660;

						BgL_nextzd2method3203zd2_3660 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3654),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vrefz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3203zd2_3660)
							(BgL_nextzd2method3203zd2_3660, ((obj_t) BgL_nodez00_3654), BEOA);
					}
					{	/* Cfa/type.scm 417 */
						bool_t BgL_testz00_6939;

						{	/* Cfa/type.scm 417 */
							BgL_typez00_bglt BgL_arg3415z00_3659;

							BgL_arg3415z00_3659 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_3654))->BgL_ftypez00);
							BgL_testz00_6939 =
								(
								((obj_t) BgL_arg3415z00_3659) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_6939)
							{	/* Cfa/type.scm 417 */
								((((BgL_vrefz00_bglt) CREF(BgL_nodez00_3654))->BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 417 */
								BFALSE;
							}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3654)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) CREF(BgL_nodez00_3654))->
								BgL_ftypez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_nodez00_3654);
				}
			}
		}
	}



/* &type-node!-valloc3202 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc3202z70zzcfa_typez00(obj_t
		BgL_envz00_6326, obj_t BgL_nodez00_6327)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 403 */
			{
				BgL_vallocz00_bglt BgL_nodez00_3642;

				BgL_nodez00_3642 = ((BgL_vallocz00_bglt) BgL_nodez00_6327);
				{

					{	/* Cfa/type.scm 403 */
						obj_t BgL_nextzd2method3201zd2_3653;

						BgL_nextzd2method3201zd2_3653 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3642),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vallocz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3201zd2_3653)
							(BgL_nextzd2method3201zd2_3653, ((obj_t) BgL_nodez00_3642), BEOA);
					}
					{	/* Cfa/type.scm 406 */
						obj_t BgL_arg3407z00_3646;

						BgL_arg3407z00_3646 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_3642)))->BgL_exprza2za2);
						BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg3407z00_3646);
					}
					{
						BgL_typez00_bglt BgL_auxz00_6960;

						{	/* Cfa/type.scm 407 */
							obj_t BgL_arg3408z00_3647;
							BgL_typez00_bglt BgL_arg3409z00_3648;

							{	/* Cfa/type.scm 407 */
								bool_t BgL_testz00_6962;

								{	/* Cfa/type.scm 407 */
									BgL_typez00_bglt BgL_arg3411z00_3650;

									BgL_arg3411z00_3650 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3642)))->BgL_typez00);
									BgL_testz00_6962 =
										(
										((obj_t) BgL_arg3411z00_3650) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_6962)
									{	/* Cfa/type.scm 407 */
										BgL_arg3408z00_3647 = BGl_za2vectorza2z00zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 407 */
										BgL_arg3408z00_3647 =
											((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3642)))->
												BgL_typez00));
									}
							}
							BgL_arg3409z00_3648 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3642)))->BgL_typez00);
							BgL_auxz00_6960 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(
								((BgL_typez00_bglt) BgL_arg3408z00_3647), BgL_arg3409z00_3648);
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3642)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_6960), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_6975;

						{	/* Cfa/type.scm 408 */
							bool_t BgL_testz00_6976;

							{	/* Cfa/type.scm 408 */
								BgL_typez00_bglt BgL_arg3413z00_3652;

								BgL_arg3413z00_3652 =
									(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3642))->BgL_ftypez00);
								BgL_testz00_6976 =
									(
									((obj_t) BgL_arg3413z00_3652) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_6976)
								{	/* Cfa/type.scm 408 */
									BgL_auxz00_6975 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								}
							else
								{	/* Cfa/type.scm 408 */
									BgL_auxz00_6975 =
										(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3642))->
										BgL_ftypez00);
								}
						}
						((((BgL_vallocz00_bglt) CREF(BgL_nodez00_3642))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_6975), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3642);
				}
			}
		}
	}



/* &type-node!-extern3200 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern3200z70zzcfa_typez00(obj_t
		BgL_envz00_6328, obj_t BgL_nodez00_6329)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 395 */
			{
				BgL_externz00_bglt BgL_nodez00_3636;

				BgL_nodez00_3636 = ((BgL_externz00_bglt) BgL_nodez00_6329);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_3636))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_3636);
			}
		}
	}



/* &type-node!-funcall/C3198 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C3198z82zzcfa_typez00(obj_t
		BgL_envz00_6330, obj_t BgL_nodez00_6331)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 372 */
			{
				BgL_funcallz00_bglt BgL_nodez00_3623;

				BgL_nodez00_3623 = ((BgL_funcallz00_bglt) BgL_nodez00_6331);
				{
					BgL_nodez00_bglt BgL_auxz00_6989;

					{	/* Cfa/type.scm 374 */
						BgL_nodez00_bglt BgL_arg3401z00_3627;

						BgL_arg3401z00_3627 =
							(((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3623)))->BgL_funz00);
						BgL_auxz00_6989 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3401z00_3627);
					}
					((((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3623)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6989), BUNSPEC);
				}
				{	/* Cfa/type.scm 375 */
					obj_t BgL_arg3402z00_3628;

					BgL_arg3402z00_3628 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_3623)))->BgL_argsz00);
					BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg3402z00_3628);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{	/* Cfa/type.scm 378 */
						obj_t BgL_typz00_3629;

						{	/* Cfa/type.scm 378 */
							BgL_approxz00_bglt BgL_arg3405z00_3634;

							{
								BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7000;

								{
									obj_t BgL_auxz00_7001;

									{	/* Cfa/type.scm 378 */
										BgL_objectz00_bglt BgL_auxz00_7002;

										BgL_auxz00_7002 = ((BgL_objectz00_bglt) BgL_nodez00_3623);
										BgL_auxz00_7001 = BGL_OBJECT_WIDENING(BgL_auxz00_7002);
									}
									BgL_auxz00_7000 =
										((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7001);
								}
								BgL_arg3405z00_3634 =
									(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_7000))->
									BgL_approxz00);
							}
							BgL_typz00_3629 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3405z00_3634,
								((obj_t) BgL_nodez00_3623));
						}
						if ((BgL_typz00_3629 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 382 */
								BgL_atomz00_bglt BgL_new1191z00_3631;

								{	/* Cfa/type.scm 382 */
									BgL_atomz00_bglt BgL_new1190z00_3632;

									BgL_new1190z00_3632 =
										((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_atomz00_bgl))));
									{	/* Cfa/type.scm 382 */
										long BgL_arg3404z00_3633;

										{	/* Cfa/type.scm 382 */
											long BgL_res3709z00_6185;

											BgL_res3709z00_6185 =
												BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
											BgL_arg3404z00_3633 = BgL_res3709z00_6185;
										}
										{	/* Cfa/type.scm 382 */
											BgL_objectz00_bglt BgL_objz00_6186;

											BgL_objz00_6186 =
												((BgL_objectz00_bglt) BgL_new1190z00_3632);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6186,
												BgL_arg3404z00_3633);
									}}
									{	/* Cfa/type.scm 382 */
										BgL_objectz00_bglt BgL_auxz00_7015;

										BgL_auxz00_7015 =
											((BgL_objectz00_bglt) BgL_new1190z00_3632);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_7015, BFALSE);
									}
									BgL_new1191z00_3631 = BgL_new1190z00_3632;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1191z00_3631)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1191z00_3631)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2atomz00zztype_typeofz00(BUNSPEC)),
									BUNSPEC);
								((((BgL_atomz00_bglt) CREF(BgL_new1191z00_3631))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1191z00_3631);
							}
						else
							{	/* Cfa/type.scm 379 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3623)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_3629)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_3623);
							}
					}
				else
					{	/* Cfa/type.scm 376 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3623)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_nodez00_3623);
					}
			}
		}
	}



/* &type-node!-app-ly/Ci3196 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3196z50zzcfa_typez00(obj_t
		BgL_envz00_6332, obj_t BgL_nodez00_6333)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 360 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_3615;

				BgL_nodez00_3615 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6333);
				{
					BgL_nodez00_bglt BgL_auxz00_7034;

					{	/* Cfa/type.scm 362 */
						BgL_nodez00_bglt BgL_arg3398z00_3619;

						BgL_arg3398z00_3619 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3615)))->BgL_funz00);
						BgL_auxz00_7034 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3398z00_3619);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3615)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7034), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7040;

					{	/* Cfa/type.scm 363 */
						BgL_nodez00_bglt BgL_arg3399z00_3620;

						BgL_arg3399z00_3620 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3615)))->BgL_argz00);
						BgL_auxz00_7040 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3399z00_3620);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3615)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7040), BUNSPEC);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{
						BgL_typez00_bglt BgL_auxz00_7048;

						{	/* Cfa/type.scm 365 */
							BgL_approxz00_bglt BgL_arg3400z00_3621;

							{
								BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7050;

								{
									obj_t BgL_auxz00_7051;

									{	/* Cfa/type.scm 365 */
										BgL_objectz00_bglt BgL_auxz00_7052;

										BgL_auxz00_7052 = ((BgL_objectz00_bglt) BgL_nodez00_3615);
										BgL_auxz00_7051 = BGL_OBJECT_WIDENING(BgL_auxz00_7052);
									}
									BgL_auxz00_7050 =
										((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7051);
								}
								BgL_arg3400z00_3621 =
									(((BgL_appzd2lyzf2cinfoz20_bglt) CREF(BgL_auxz00_7050))->
									BgL_approxz00);
							}
							BgL_auxz00_7048 =
								((BgL_typez00_bglt)
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3400z00_3621,
									((obj_t) BgL_nodez00_3615)));
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3615)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_7048), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 364 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3615)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_3615);
			}
		}
	}



/* &type-node!-cons-ref-3194 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23194z70zzcfa_typez00(obj_t
		BgL_envz00_6334, obj_t BgL_nodez00_6335)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 349 */
			{
				BgL_appz00_bglt BgL_nodez00_3607;

				BgL_nodez00_3607 = ((BgL_appz00_bglt) BgL_nodez00_6335);
				{

					{	/* Cfa/type.scm 349 */
						obj_t BgL_nextzd2method3193zd2_3614;

						BgL_nextzd2method3193zd2_3614 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3607),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conszd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3193zd2_3614)
							(BgL_nextzd2method3193zd2_3614, ((obj_t) BgL_nodez00_3607), BEOA);
					}
					{	/* Cfa/type.scm 352 */
						obj_t BgL_atypez00_3611;

						{	/* Cfa/type.scm 352 */
							BgL_approxz00_bglt BgL_arg3397z00_3613;

							{
								BgL_conszd2refzd2appz00_bglt BgL_auxz00_7073;

								{
									obj_t BgL_auxz00_7074;

									{	/* Cfa/type.scm 352 */
										BgL_objectz00_bglt BgL_auxz00_7075;

										BgL_auxz00_7075 = ((BgL_objectz00_bglt) BgL_nodez00_3607);
										BgL_auxz00_7074 = BGL_OBJECT_WIDENING(BgL_auxz00_7075);
									}
									BgL_auxz00_7073 =
										((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_7074);
								}
								BgL_arg3397z00_3613 =
									(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_7073))->
									BgL_approxz00);
							}
							BgL_atypez00_3611 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3397z00_3613,
								((obj_t) BgL_nodez00_3607));
						}
						if ((BgL_atypez00_3611 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 353 */
								BFALSE;
							}
						else
							{	/* Cfa/type.scm 353 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3607)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_3611)),
									BUNSPEC);
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3607);
				}
			}
		}
	}



/* &type-node!-procedure3192 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3192z70zzcfa_typez00(obj_t
		BgL_envz00_6336, obj_t BgL_nodez00_6337)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 332 */
			{
				BgL_appz00_bglt BgL_nodez00_3586;

				BgL_nodez00_3586 = ((BgL_appz00_bglt) BgL_nodez00_6337);
				{

					{	/* Cfa/type.scm 332 */
						obj_t BgL_nextzd2method3191zd2_3606;

						BgL_nextzd2method3191zd2_3606 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3586),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3191zd2_3606)
							(BgL_nextzd2method3191zd2_3606, ((obj_t) BgL_nodez00_3586), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 336 */
							obj_t BgL_atypez00_3590;

							{	/* Cfa/type.scm 336 */
								obj_t BgL_arg3395z00_3605;

								{
									BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_7098;

									{
										obj_t BgL_auxz00_7099;

										{	/* Cfa/type.scm 336 */
											BgL_objectz00_bglt BgL_auxz00_7100;

											BgL_auxz00_7100 = ((BgL_objectz00_bglt) BgL_nodez00_3586);
											BgL_auxz00_7099 = BGL_OBJECT_WIDENING(BgL_auxz00_7100);
										}
										BgL_auxz00_7098 =
											((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_7099);
									}
									BgL_arg3395z00_3605 =
										(((BgL_procedurezd2setz12zd2appz12_bglt)
											CREF(BgL_auxz00_7098))->BgL_vapproxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
										((BgL_approxz00_bglt) BgL_arg3395z00_3605)))
									{	/* Cfa/type.scm 336 */
										BgL_atypez00_3590 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 336 */
										BgL_atypez00_3590 =
											BGl_getzd2approxzd2typez00zzcfa_typez00(
											((BgL_approxz00_bglt) BgL_arg3395z00_3605),
											((obj_t) BgL_nodez00_3586));
									}
							}
							{	/* Cfa/type.scm 337 */
								bool_t BgL_testz00_7111;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3590)))
									{	/* Cfa/type.scm 337 */
										if ((BgL_atypez00_3590 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 338 */
												BgL_testz00_7111 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 339 */
												bool_t BgL_testz00_7117;

												{	/* Cfa/type.scm 339 */
													BgL_typez00_bglt BgL_arg3392z00_3602;

													{	/* Cfa/type.scm 339 */
														obj_t BgL_arg3393z00_3603;

														{	/* Cfa/type.scm 339 */
															obj_t BgL_pairz00_6162;

															BgL_pairz00_6162 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_3586)))->
																BgL_argsz00);
															BgL_arg3393z00_3603 =
																CAR(CDR(CDR(BgL_pairz00_6162)));
														}
														BgL_arg3392z00_3602 =
															BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg3393z00_3603));
													}
													BgL_testz00_7117 =
														(BgL_atypez00_3590 ==
														((obj_t) BgL_arg3392z00_3602));
												}
												if (BgL_testz00_7117)
													{	/* Cfa/type.scm 339 */
														BgL_testz00_7111 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 339 */
														BgL_testz00_7111 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 337 */
										BgL_testz00_7111 = ((bool_t) 0);
									}
								if (BgL_testz00_7111)
									{	/* Cfa/type.scm 340 */
										obj_t BgL_arg3384z00_3592;
										BgL_castz00_bglt BgL_arg3385z00_3593;

										{	/* Cfa/type.scm 340 */
											obj_t BgL_pairz00_6168;

											BgL_pairz00_6168 =
												(((BgL_appz00_bglt) CREF(
														((BgL_appz00_bglt) BgL_nodez00_3586)))->
												BgL_argsz00);
											BgL_arg3384z00_3592 = CDR(CDR(BgL_pairz00_6168));
										}
										{	/* Cfa/type.scm 341 */
											BgL_castz00_bglt BgL_new1186z00_3595;

											{	/* Cfa/type.scm 341 */
												BgL_castz00_bglt BgL_new1185z00_3597;

												BgL_new1185z00_3597 =
													((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_castz00_bgl))));
												{	/* Cfa/type.scm 341 */
													long BgL_arg3388z00_3598;

													{	/* Cfa/type.scm 341 */
														long BgL_res3708z00_6173;

														BgL_res3708z00_6173 =
															BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
														BgL_arg3388z00_3598 = BgL_res3708z00_6173;
													}
													{	/* Cfa/type.scm 341 */
														BgL_objectz00_bglt BgL_objz00_6174;

														BgL_objz00_6174 =
															((BgL_objectz00_bglt) BgL_new1185z00_3597);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6174,
															BgL_arg3388z00_3598);
												}}
												{	/* Cfa/type.scm 341 */
													BgL_objectz00_bglt BgL_auxz00_7135;

													BgL_auxz00_7135 =
														((BgL_objectz00_bglt) BgL_new1185z00_3597);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_7135, BFALSE);
												}
												BgL_new1186z00_3595 = BgL_new1185z00_3597;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1186z00_3595)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1186z00_3595)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
											{
												BgL_nodez00_bglt BgL_auxz00_7143;

												{	/* Cfa/type.scm 343 */
													obj_t BgL_pairz00_6176;

													BgL_pairz00_6176 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_3586)))->
														BgL_argsz00);
													{	/* Cfa/type.scm 343 */
														obj_t BgL_pairz00_6181;

														{	/* Cfa/type.scm 343 */
															obj_t BgL_pairz00_6180;

															BgL_pairz00_6180 = CDR(BgL_pairz00_6176);
															BgL_pairz00_6181 = CDR(BgL_pairz00_6180);
														}
														BgL_auxz00_7143 =
															((BgL_nodez00_bglt) CAR(BgL_pairz00_6181));
												}}
												((((BgL_castz00_bglt) CREF(BgL_new1186z00_3595))->
														BgL_argz00) =
													((BgL_nodez00_bglt) BgL_auxz00_7143), BUNSPEC);
											}
											BgL_arg3385z00_3593 = BgL_new1186z00_3595;
										}
										{	/* Cfa/type.scm 340 */
											obj_t BgL_pairz00_6182;
											obj_t BgL_objz00_6183;

											BgL_pairz00_6182 = BgL_arg3384z00_3592;
											BgL_objz00_6183 = ((obj_t) BgL_arg3385z00_3593);
											SET_CAR(BgL_pairz00_6182, BgL_objz00_6183);
									}}
								else
									{	/* Cfa/type.scm 337 */
										BFALSE;
									}
							}
						}
					else
						{	/* Cfa/type.scm 335 */
							BFALSE;
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_3586);
				}
			}
		}
	}



/* &type-node!-procedure3190 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3190z70zzcfa_typez00(obj_t
		BgL_envz00_6338, obj_t BgL_nodez00_6339)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 315 */
			{
				BgL_appz00_bglt BgL_nodez00_3571;

				BgL_nodez00_3571 = ((BgL_appz00_bglt) BgL_nodez00_6339);
				{

					{	/* Cfa/type.scm 315 */
						obj_t BgL_nextzd2method3189zd2_3585;

						BgL_nextzd2method3189zd2_3585 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3571),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3189zd2_3585)
							(BgL_nextzd2method3189zd2_3585, ((obj_t) BgL_nodez00_3571), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 319 */
							obj_t BgL_atypez00_3575;

							{	/* Cfa/type.scm 319 */
								BgL_approxz00_bglt BgL_arg3382z00_3584;

								{
									BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_7164;

									{
										obj_t BgL_auxz00_7165;

										{	/* Cfa/type.scm 319 */
											BgL_objectz00_bglt BgL_auxz00_7166;

											BgL_auxz00_7166 = ((BgL_objectz00_bglt) BgL_nodez00_3571);
											BgL_auxz00_7165 = BGL_OBJECT_WIDENING(BgL_auxz00_7166);
										}
										BgL_auxz00_7164 =
											((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_7165);
									}
									BgL_arg3382z00_3584 =
										(((BgL_procedurezd2refzd2appz00_bglt)
											CREF(BgL_auxz00_7164))->BgL_approxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
									(BgL_arg3382z00_3584))
									{	/* Cfa/type.scm 319 */
										BgL_atypez00_3575 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 319 */
										BgL_atypez00_3575 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg3382z00_3584, ((obj_t) BgL_nodez00_3571));
									}
							}
							{	/* Cfa/type.scm 320 */
								bool_t BgL_testz00_7175;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3575)))
									{	/* Cfa/type.scm 320 */
										if ((BgL_atypez00_3575 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 321 */
												BgL_testz00_7175 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 322 */
												bool_t BgL_testz00_7181;

												{	/* Cfa/type.scm 322 */
													BgL_typez00_bglt BgL_arg3380z00_3583;

													BgL_arg3380z00_3583 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nodez00_3571));
													BgL_testz00_7181 =
														(BgL_atypez00_3575 ==
														((obj_t) BgL_arg3380z00_3583));
												}
												if (BgL_testz00_7181)
													{	/* Cfa/type.scm 322 */
														BgL_testz00_7175 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 322 */
														BgL_testz00_7175 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 320 */
										BgL_testz00_7175 = ((bool_t) 0);
									}
								if (BgL_testz00_7175)
									{	/* Cfa/type.scm 323 */
										BgL_castz00_bglt BgL_new1183z00_3577;

										{	/* Cfa/type.scm 323 */
											BgL_castz00_bglt BgL_new1181z00_3578;

											BgL_new1181z00_3578 =
												((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 323 */
												long BgL_arg3376z00_3579;

												{	/* Cfa/type.scm 323 */
													long BgL_res3707z00_6156;

													BgL_res3707z00_6156 =
														BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
													BgL_arg3376z00_3579 = BgL_res3707z00_6156;
												}
												{	/* Cfa/type.scm 323 */
													BgL_objectz00_bglt BgL_objz00_6157;

													BgL_objz00_6157 =
														((BgL_objectz00_bglt) BgL_new1181z00_3578);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6157,
														BgL_arg3376z00_3579);
											}}
											{	/* Cfa/type.scm 323 */
												BgL_objectz00_bglt BgL_auxz00_7190;

												BgL_auxz00_7190 =
													((BgL_objectz00_bglt) BgL_new1181z00_3578);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_7190, BFALSE);
											}
											BgL_new1183z00_3577 = BgL_new1181z00_3578;
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_new1183z00_3577)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_new1183z00_3577)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_atypez00_3575)), BUNSPEC);
										((((BgL_castz00_bglt) CREF(BgL_new1183z00_3577))->
												BgL_argz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nodez00_3571)), BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1183z00_3577);
									}
								else
									{	/* Cfa/type.scm 320 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3571);
									}
							}
						}
					else
						{	/* Cfa/type.scm 318 */
							return ((BgL_nodez00_bglt) BgL_nodez00_3571);
						}
				}
			}
		}
	}



/* &type-node!-arithmeti3188 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti3188z70zzcfa_typez00(obj_t
		BgL_envz00_6340, obj_t BgL_nodez00_6341)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 271 */
			{
				BgL_appz00_bglt BgL_nodez00_3530;

				BgL_nodez00_3530 = ((BgL_appz00_bglt) BgL_nodez00_6341);
				{

					{	/* Cfa/type.scm 271 */
						obj_t BgL_nextzd2method3187zd2_3570;

						BgL_nextzd2method3187zd2_3570 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3530),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_arithmeticzd2appzd2zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3187zd2_3570)
							(BgL_nextzd2method3187zd2_3570, ((obj_t) BgL_nodez00_3530), BEOA);
					}
					{	/* Cfa/type.scm 286 */
						BgL_appz00_bglt BgL_i1179z00_3534;

						BgL_i1179z00_3534 = ((BgL_appz00_bglt) BgL_nodez00_3530);
						{	/* Cfa/type.scm 288 */
							BgL_variablez00_bglt BgL_vz00_3535;

							BgL_vz00_3535 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_i1179z00_3534))->
											BgL_funz00)))->BgL_variablez00);
							{	/* Cfa/type.scm 288 */
								BgL_valuez00_bglt BgL_valz00_3536;

								BgL_valz00_3536 =
									(((BgL_variablez00_bglt) CREF(BgL_vz00_3535))->BgL_valuez00);
								{	/* Cfa/type.scm 289 */

									{	/* Cfa/type.scm 290 */
										bool_t BgL_testz00_7215;

										{	/* Cfa/type.scm 290 */
											BgL_typez00_bglt BgL_arg3351z00_3538;

											BgL_arg3351z00_3538 =
												(((BgL_variablez00_bglt) CREF(BgL_vz00_3535))->
												BgL_typez00);
											BgL_testz00_7215 =
												(((obj_t) BgL_arg3351z00_3538) ==
												BGl_za2_za2z00zztype_cachez00);
										}
										if (BgL_testz00_7215)
											{	/* Cfa/type.scm 291 */
												BgL_typez00_bglt BgL_vz00_6130;

												BgL_vz00_6130 =
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
												((((BgL_variablez00_bglt) CREF(BgL_vz00_3535))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_6130), BUNSPEC);
											}
										else
											{	/* Cfa/type.scm 290 */
												BFALSE;
											}
									}
									{	/* Cfa/type.scm 294 */
										bool_t BgL_testz00_7221;

										{	/* Cfa/type.scm 294 */
											bool_t BgL_res3703z00_6133;

											{	/* Cfa/type.scm 294 */
												obj_t BgL_objz00_6132;

												BgL_objz00_6132 = ((obj_t) BgL_valz00_3536);
												BgL_res3703z00_6133 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_6132,
													BGl_sfunz00zzast_varz00);
											}
											BgL_testz00_7221 = BgL_res3703z00_6133;
										}
										if (BgL_testz00_7221)
											{	/* Cfa/type.scm 295 */
												obj_t BgL_l03143z00_3540;

												BgL_l03143z00_3540 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_valz00_3536)))->
													BgL_argsz00);
												{
													obj_t BgL_l3142z00_3542;

													BgL_l3142z00_3542 = BgL_l03143z00_3540;
												BgL_zc3anonymousza33353ze3z83_3543:
													if (NULLP(BgL_l3142z00_3542))
														{	/* Cfa/type.scm 295 */
															BgL_l03143z00_3540;
														}
													else
														{	/* Cfa/type.scm 295 */
															{	/* Cfa/type.scm 295 */
																obj_t BgL_auxz00_7228;

																BgL_auxz00_7228 =
																	BGl_cleanupzd2typezd2zzcfa_typez00(CAR
																	(BgL_l3142z00_3542));
																SET_CAR(BgL_l3142z00_3542, BgL_auxz00_7228);
															}
															{
																obj_t BgL_l3142z00_7232;

																BgL_l3142z00_7232 = CDR(BgL_l3142z00_3542);
																BgL_l3142z00_3542 = BgL_l3142z00_7232;
																goto BgL_zc3anonymousza33353ze3z83_3543;
															}
														}
												}
											}
										else
											{	/* Cfa/type.scm 296 */
												bool_t BgL_testz00_7234;

												{	/* Cfa/type.scm 296 */
													bool_t BgL_res3705z00_6143;

													{	/* Cfa/type.scm 296 */
														obj_t BgL_objz00_6142;

														BgL_objz00_6142 = ((obj_t) BgL_valz00_3536);
														BgL_res3705z00_6143 =
															BGl_isazf3zf3zz__objectz00(BgL_objz00_6142,
															BGl_cfunz00zzast_varz00);
													}
													BgL_testz00_7234 = BgL_res3705z00_6143;
												}
												if (BgL_testz00_7234)
													{	/* Cfa/type.scm 297 */
														obj_t BgL_l03146z00_3550;

														BgL_l03146z00_3550 =
															(((BgL_cfunz00_bglt) CREF(
																	((BgL_cfunz00_bglt) BgL_valz00_3536)))->
															BgL_argszd2typezd2);
														{
															obj_t BgL_l3145z00_3552;

															BgL_l3145z00_3552 = BgL_l03146z00_3550;
														BgL_zc3anonymousza33359ze3z83_3553:
															if (NULLP(BgL_l3145z00_3552))
																{	/* Cfa/type.scm 297 */
																	BgL_l03146z00_3550;
																}
															else
																{	/* Cfa/type.scm 297 */
																	{	/* Cfa/type.scm 297 */
																		obj_t BgL_auxz00_7241;

																		BgL_auxz00_7241 =
																			BGl_cleanupzd2typezd2zzcfa_typez00(CAR
																			(BgL_l3145z00_3552));
																		SET_CAR(BgL_l3145z00_3552, BgL_auxz00_7241);
																	}
																	{
																		obj_t BgL_l3145z00_7245;

																		BgL_l3145z00_7245 = CDR(BgL_l3145z00_3552);
																		BgL_l3145z00_3552 = BgL_l3145z00_7245;
																		goto BgL_zc3anonymousza33359ze3z83_3553;
																	}
																}
														}
													}
												else
													{	/* Cfa/type.scm 296 */
														BFALSE;
													}
											}
									}
								}
							}
						}
						{	/* Cfa/type.scm 299 */
							bool_t BgL_testz00_7247;

							{	/* Cfa/type.scm 299 */
								BgL_typez00_bglt BgL_arg3368z00_3561;

								BgL_arg3368z00_3561 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_i1179z00_3534)))->BgL_typez00);
								BgL_testz00_7247 =
									(
									((obj_t) BgL_arg3368z00_3561) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7247)
								{	/* Cfa/type.scm 299 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_i1179z00_3534)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 299 */
									BFALSE;
								}
						}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3530);
				}
			}
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_typez00(obj_t BgL_tz00_3562)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 282 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3562, BGl_typez00zztype_typez00))
				{	/* Cfa/type.scm 275 */
					if ((BgL_tz00_3562 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 276 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/type.scm 276 */
							return BgL_tz00_3562;
						}
				}
			else
				{	/* Cfa/type.scm 275 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3562,
							BGl_localz00zzast_varz00))
						{	/* Cfa/type.scm 277 */
							{	/* Cfa/type.scm 278 */
								bool_t BgL_testz00_7263;

								{	/* Cfa/type.scm 278 */
									BgL_typez00_bglt BgL_arg3374z00_3568;

									BgL_arg3374z00_3568 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_3562))))->BgL_typez00);
									BgL_testz00_7263 =
										(
										((obj_t) BgL_arg3374z00_3568) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_7263)
									{	/* Cfa/type.scm 279 */
										BgL_localz00_bglt BgL_oz00_6117;
										BgL_typez00_bglt BgL_vz00_6118;

										BgL_oz00_6117 = ((BgL_localz00_bglt) BgL_tz00_3562);
										BgL_vz00_6118 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_oz00_6117)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_6118), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 278 */
										BFALSE;
									}
							}
							return BgL_tz00_3562;
						}
					else
						{	/* Cfa/type.scm 277 */
							return BgL_tz00_3562;
						}
				}
		}
	}



/* &type-node!-app3186 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3186z70zzcfa_typez00(obj_t
		BgL_envz00_6342, obj_t BgL_nodez00_6343)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 261 */
			{
				BgL_appz00_bglt BgL_nodez00_3519;

				BgL_nodez00_3519 = ((BgL_appz00_bglt) BgL_nodez00_6343);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3519))->BgL_argsz00));
				BGl_typezd2funzd2nodez12z12zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3519))->BgL_funz00));
				{
					BgL_typez00_bglt BgL_auxz00_7277;

					{	/* Cfa/type.scm 265 */
						BgL_typez00_bglt BgL_arg3346z00_3525;
						BgL_typez00_bglt BgL_arg3347z00_3526;

						BgL_arg3346z00_3525 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_3519))->
													BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
						BgL_arg3347z00_3526 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_3519)))->BgL_typez00);
						BgL_auxz00_7277 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg3346z00_3525,
							BgL_arg3347z00_3526);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3519)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7277), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3519);
			}
		}
	}



/* &type-node!-sync3184 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sync3184z70zzcfa_typez00(obj_t
		BgL_envz00_6344, obj_t BgL_nodez00_6345)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 248 */
			{
				BgL_syncz00_bglt BgL_nodez00_3505;

				BgL_nodez00_3505 = ((BgL_syncz00_bglt) BgL_nodez00_6345);
				{
					BgL_nodez00_bglt BgL_auxz00_7288;

					{	/* Cfa/type.scm 250 */
						BgL_nodez00_bglt BgL_arg3335z00_3509;

						BgL_arg3335z00_3509 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_3505))->BgL_mutexz00);
						BgL_auxz00_7288 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3335z00_3509);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_3505))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7288), BUNSPEC);
				}
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_3505))->BgL_nodesz00));
				{	/* Cfa/type.scm 252 */
					bool_t BgL_testz00_7294;

					{	/* Cfa/type.scm 252 */
						BgL_typez00_bglt BgL_arg3343z00_3517;

						BgL_arg3343z00_3517 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3505)))->BgL_typez00);
						BgL_testz00_7294 =
							(((obj_t) BgL_arg3343z00_3517) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7294)
						{	/* Cfa/type.scm 252 */
							if (NULLP(
									(((BgL_syncz00_bglt) CREF(BgL_nodez00_3505))->BgL_nodesz00)))
								{	/* Cfa/type.scm 253 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3505)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
								}
							else
								{
									BgL_typez00_bglt BgL_auxz00_7305;

									{	/* Cfa/type.scm 254 */
										obj_t BgL_arg3339z00_3513;

										BgL_arg3339z00_3513 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
												(((BgL_syncz00_bglt) CREF(BgL_nodez00_3505))->
													BgL_nodesz00)));
										BgL_auxz00_7305 =
											BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_arg3339z00_3513));
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3505)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_7305), BUNSPEC);
								}
						}
					else
						{	/* Cfa/type.scm 252 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3505);
			}
		}
	}



/* &type-node!-sequence3182 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence3182z70zzcfa_typez00(obj_t
		BgL_envz00_6346, obj_t BgL_nodez00_6347)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 236 */
			{
				BgL_sequencez00_bglt BgL_nodez00_3492;

				BgL_nodez00_3492 = ((BgL_sequencez00_bglt) BgL_nodez00_6347);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3492))->BgL_nodesz00));
				{	/* Cfa/type.scm 239 */
					bool_t BgL_testz00_7317;

					{	/* Cfa/type.scm 239 */
						BgL_typez00_bglt BgL_arg3334z00_3503;

						BgL_arg3334z00_3503 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3492)))->BgL_typez00);
						BgL_testz00_7317 =
							(((obj_t) BgL_arg3334z00_3503) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7317)
						{	/* Cfa/type.scm 240 */
							bool_t BgL_testz00_7322;

							{	/* Cfa/type.scm 240 */
								obj_t BgL_auxz00_7323;

								BgL_auxz00_7323 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3492))->
									BgL_nodesz00);
								BgL_testz00_7322 = PAIRP(BgL_auxz00_7323);
							}
							if (BgL_testz00_7322)
								{
									BgL_typez00_bglt BgL_auxz00_7326;

									{	/* Cfa/type.scm 241 */
										obj_t BgL_arg3330z00_3499;

										BgL_arg3330z00_3499 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
												(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3492))->
													BgL_nodesz00)));
										BgL_auxz00_7326 =
											BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_arg3330z00_3499));
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3492)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_7326), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 240 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3492)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
								}
						}
					else
						{	/* Cfa/type.scm 239 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3492);
			}
		}
	}



/* &type-node!-closure3180 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure3180z70zzcfa_typez00(obj_t
		BgL_envz00_6348, obj_t BgL_nodez00_6349)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 230 */
			{
				BgL_closurez00_bglt BgL_nodez00_3487;

				BgL_nodez00_3487 = ((BgL_closurez00_bglt) BgL_nodez00_6349);
				{	/* Cfa/type.scm 231 */
					obj_t BgL_arg3326z00_6097;

					BgL_arg3326z00_6097 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3487));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string3732z00zzcfa_typez00, BGl_string3762z00zzcfa_typez00,
							BgL_arg3326z00_6097));
				}
			}
		}
	}



/* &type-node!-var3178 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3178z70zzcfa_typez00(obj_t
		BgL_envz00_6350, obj_t BgL_nodez00_6351)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 210 */
			{
				BgL_varz00_bglt BgL_nodez00_3453;

				BgL_nodez00_3453 = ((BgL_varz00_bglt) BgL_nodez00_6351);
				{
					BgL_typez00_bglt BgL_ntypez00_3475;
					BgL_typez00_bglt BgL_vtypez00_3476;

					{	/* Cfa/type.scm 219 */
						bool_t BgL_testz00_7344;

						{	/* Cfa/type.scm 219 */
							bool_t BgL_testz00_7345;

							{	/* Cfa/type.scm 219 */
								BgL_variablez00_bglt BgL_arg3314z00_3465;

								BgL_arg3314z00_3465 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3453))->BgL_variablez00);
								{	/* Cfa/type.scm 219 */
									bool_t BgL_res3689z00_6085;

									{	/* Cfa/type.scm 219 */
										obj_t BgL_objz00_6084;

										BgL_objz00_6084 = ((obj_t) BgL_arg3314z00_3465);
										BgL_res3689z00_6085 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_6084,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_7345 = BgL_res3689z00_6085;
								}
							}
							if (BgL_testz00_7345)
								{	/* Cfa/type.scm 219 */
									BgL_testz00_7344 =
										(
										(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_3453))->
															BgL_variablez00))))->BgL_importz00) ==
										CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Cfa/type.scm 219 */
									BgL_testz00_7344 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_7344)
							{	/* Cfa/type.scm 220 */
								BgL_valuez00_bglt BgL_arg3308z00_3459;
								BgL_variablez00_bglt BgL_arg3309z00_3460;

								BgL_arg3308z00_3459 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) CREF(BgL_nodez00_3453))->
														BgL_variablez00)))))->BgL_valuez00);
								BgL_arg3309z00_3460 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3453))->BgL_variablez00);
								BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3308z00_3459,
									BgL_arg3309z00_3460);
							}
						else
							{	/* Cfa/type.scm 219 */
								BFALSE;
							}
					}
					{	/* Cfa/type.scm 221 */
						bool_t BgL_testz00_7360;

						{	/* Cfa/type.scm 221 */
							bool_t BgL_testz00_7361;

							{	/* Cfa/type.scm 221 */
								BgL_typez00_bglt BgL_arg3323z00_3474;

								BgL_arg3323z00_3474 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3453)))->BgL_typez00);
								BgL_testz00_7361 =
									(
									((obj_t) BgL_arg3323z00_3474) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7361)
								{	/* Cfa/type.scm 221 */
									BgL_testz00_7360 = ((bool_t) 1);
								}
							else
								{	/* Cfa/type.scm 222 */
									bool_t BgL_testz00_7366;

									{	/* Cfa/type.scm 222 */
										BgL_typez00_bglt BgL_arg3322z00_3473;

										BgL_arg3322z00_3473 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3453)))->BgL_typez00);
										BgL_testz00_7366 =
											(
											((obj_t) BgL_arg3322z00_3473) ==
											BGl_za2vectorza2z00zztype_cachez00);
									}
									if (BgL_testz00_7366)
										{	/* Cfa/type.scm 222 */
											BgL_testz00_7360 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 223 */
											BgL_typez00_bglt BgL_arg3319z00_3470;
											BgL_typez00_bglt BgL_arg3320z00_3471;

											BgL_arg3319z00_3470 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3453)))->
												BgL_typez00);
											BgL_arg3320z00_3471 =
												(((BgL_variablez00_bglt) CREF((((BgL_varz00_bglt)
																CREF(BgL_nodez00_3453))->BgL_variablez00)))->
												BgL_typez00);
											BgL_ntypez00_3475 = BgL_arg3319z00_3470;
											BgL_vtypez00_3476 = BgL_arg3320z00_3471;
											{	/* Cfa/type.scm 213 */
												bool_t BgL__ortest_1169z00_3478;

												if (BGl_bigloozd2typezf3z21zztype_typez00
													(BgL_vtypez00_3476))
													{	/* Cfa/type.scm 213 */
														BgL__ortest_1169z00_3478 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 213 */
														BgL__ortest_1169z00_3478 = ((bool_t) 1);
													}
												if (BgL__ortest_1169z00_3478)
													{	/* Cfa/type.scm 213 */
														BgL_testz00_7360 = BgL__ortest_1169z00_3478;
													}
												else
													{	/* Cfa/type.scm 214 */
														bool_t BgL__ortest_1170z00_3479;

														BgL__ortest_1170z00_3479 =
															(
															((obj_t) BgL_ntypez00_3475) ==
															BGl_za2objza2z00zztype_cachez00);
														if (BgL__ortest_1170z00_3479)
															{	/* Cfa/type.scm 214 */
																BgL_testz00_7360 = BgL__ortest_1170z00_3479;
															}
														else
															{	/* Cfa/type.scm 215 */
																bool_t BgL__ortest_1171z00_3480;

																{	/* Cfa/type.scm 215 */
																	bool_t BgL__ortest_1172z00_3483;

																	BgL__ortest_1172z00_3483 =
																		(
																		((obj_t) BgL_vtypez00_3476) ==
																		BGl_za2pairza2z00zztype_cachez00);
																	if (BgL__ortest_1172z00_3483)
																		{	/* Cfa/type.scm 215 */
																			BgL__ortest_1171z00_3480 =
																				BgL__ortest_1172z00_3483;
																		}
																	else
																		{	/* Cfa/type.scm 215 */
																			BgL__ortest_1171z00_3480 =
																				(
																				((obj_t) BgL_vtypez00_3476) ==
																				BGl_za2epairza2z00zztype_cachez00);
																		}
																}
																if (BgL__ortest_1171z00_3480)
																	{	/* Cfa/type.scm 215 */
																		BgL_testz00_7360 = BgL__ortest_1171z00_3480;
																	}
																else
																	{	/* Cfa/type.scm 216 */
																		bool_t BgL_testz00_7387;

																		{	/* Cfa/type.scm 216 */
																			bool_t BgL_res3687z00_6081;

																			{	/* Cfa/type.scm 216 */
																				obj_t BgL_objz00_6080;

																				BgL_objz00_6080 =
																					((obj_t) BgL_vtypez00_3476);
																				BgL_res3687z00_6081 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_6080,
																					BGl_tclassz00zzobject_classz00);
																			}
																			BgL_testz00_7387 = BgL_res3687z00_6081;
																		}
																		if (BgL_testz00_7387)
																			{	/* Cfa/type.scm 216 */
																				bool_t BgL_testz00_7390;

																				{	/* Cfa/type.scm 216 */
																					bool_t BgL_res3688z00_6083;

																					{	/* Cfa/type.scm 216 */
																						obj_t BgL_objz00_6082;

																						BgL_objz00_6082 =
																							((obj_t) BgL_ntypez00_3475);
																						BgL_res3688z00_6083 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_objz00_6082,
																							BGl_tclassz00zzobject_classz00);
																					}
																					BgL_testz00_7390 =
																						BgL_res3688z00_6083;
																				}
																				if (BgL_testz00_7390)
																					{	/* Cfa/type.scm 216 */
																						BgL_testz00_7360 =
																							BGl_typezd2subclasszf3z21zzobject_classz00
																							(BgL_vtypez00_3476,
																							BgL_ntypez00_3475);
																					}
																				else
																					{	/* Cfa/type.scm 216 */
																						BgL_testz00_7360 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Cfa/type.scm 216 */
																				BgL_testz00_7360 = ((bool_t) 0);
																			}
																	}
															}
													}
											}
										}
								}
						}
						if (BgL_testz00_7360)
							{	/* Cfa/type.scm 221 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3453)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_3453))->
														BgL_variablez00)))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 221 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3453);
				}
			}
		}
	}



/* &type-node!-kwote3176 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote3176z70zzcfa_typez00(obj_t
		BgL_envz00_6352, obj_t BgL_nodez00_6353)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 201 */
			{
				BgL_kwotez00_bglt BgL_nodez00_3445;

				BgL_nodez00_3445 = ((BgL_kwotez00_bglt) BgL_nodez00_6353);
				{	/* Cfa/type.scm 203 */
					bool_t BgL_testz00_7400;

					{	/* Cfa/type.scm 203 */
						BgL_typez00_bglt BgL_arg3306z00_3451;

						BgL_arg3306z00_3451 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3445)))->BgL_typez00);
						BgL_testz00_7400 =
							(((obj_t) BgL_arg3306z00_3451) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7400)
						{
							BgL_typez00_bglt BgL_auxz00_7405;

							{	/* Cfa/type.scm 204 */
								obj_t BgL_arg3305z00_3450;

								BgL_arg3305z00_3450 =
									(((BgL_kwotez00_bglt) CREF(BgL_nodez00_3445))->BgL_valuez00);
								BgL_auxz00_7405 =
									BGl_getzd2typezd2kwotez00zztype_typeofz00
									(BgL_arg3305z00_3450);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3445)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_7405), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 203 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3445);
			}
		}
	}



/* &type-node!-atom3174 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom3174z70zzcfa_typez00(obj_t
		BgL_envz00_6354, obj_t BgL_nodez00_6355)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 195 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_6355));
		}
	}



/* &type-variable!-inter3170 */
	obj_t BGl_z62typezd2variablez12zd2inter3170z70zzcfa_typez00(obj_t
		BgL_envz00_6356, obj_t BgL_valuez00_6357, obj_t BgL_variablez00_6358)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 158 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-sexit3168 */
	obj_t BGl_z62typezd2variablez12zd2sexit3168z70zzcfa_typez00(obj_t
		BgL_envz00_6359, obj_t BgL_valuez00_6360, obj_t BgL_variablez00_6361)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 148 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-cvar/3166 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf23166z82zzcfa_typez00(obj_t
		BgL_envz00_6362, obj_t BgL_valuez00_6363, obj_t BgL_variablez00_6364)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 141 */
			{
				BgL_cvarz00_bglt BgL_valuez00_3423;
				obj_t BgL_variablez00_3424;

				BgL_valuez00_3423 = ((BgL_cvarz00_bglt) BgL_valuez00_6363);
				BgL_variablez00_3424 = BgL_variablez00_6364;
				{	/* Cfa/type.scm 142 */
					obj_t BgL_arg3302z00_6078;

					{	/* Cfa/type.scm 142 */
						BgL_approxz00_bglt BgL_arg3303z00_6079;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7416;

							{
								obj_t BgL_auxz00_7417;

								{	/* Cfa/type.scm 142 */
									BgL_objectz00_bglt BgL_auxz00_7418;

									BgL_auxz00_7418 = ((BgL_objectz00_bglt) BgL_valuez00_3423);
									BgL_auxz00_7417 = BGL_OBJECT_WIDENING(BgL_auxz00_7418);
								}
								BgL_auxz00_7416 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7417);
							}
							BgL_arg3303z00_6079 =
								(((BgL_cvarzf2cinfozf2_bglt) CREF(BgL_auxz00_7416))->
								BgL_approxz00);
						}
						BgL_arg3302z00_6078 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3303z00_6079,
							((obj_t) BgL_valuez00_3423));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3424),
						((BgL_typez00_bglt) BgL_arg3302z00_6078));
				}
			}
		}
	}



/* &type-variable!-scnst3164 */
	obj_t BGl_z62typezd2variablez12zd2scnst3164z70zzcfa_typez00(obj_t
		BgL_envz00_6365, obj_t BgL_valuez00_6366, obj_t BgL_variablez00_6367)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 135 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-svar/3162 */
	obj_t BGl_z62typezd2variablez12zd2svarzf23162z82zzcfa_typez00(obj_t
		BgL_envz00_6368, obj_t BgL_valuez00_6369, obj_t BgL_variablez00_6370)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 128 */
			{
				BgL_svarz00_bglt BgL_valuez00_3410;
				obj_t BgL_variablez00_3411;

				BgL_valuez00_3410 = ((BgL_svarz00_bglt) BgL_valuez00_6369);
				BgL_variablez00_3411 = BgL_variablez00_6370;
				{	/* Cfa/type.scm 129 */
					obj_t BgL_arg3300z00_6075;

					{	/* Cfa/type.scm 129 */
						BgL_approxz00_bglt BgL_arg3301z00_6076;

						{
							BgL_svarzf2cinfozf2_bglt BgL_auxz00_7430;

							{
								obj_t BgL_auxz00_7431;

								{	/* Cfa/type.scm 129 */
									BgL_objectz00_bglt BgL_auxz00_7432;

									BgL_auxz00_7432 = ((BgL_objectz00_bglt) BgL_valuez00_3410);
									BgL_auxz00_7431 = BGL_OBJECT_WIDENING(BgL_auxz00_7432);
								}
								BgL_auxz00_7430 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_7431);
							}
							BgL_arg3301z00_6076 =
								(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_7430))->
								BgL_approxz00);
						}
						BgL_arg3300z00_6075 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3301z00_6076,
							((obj_t) BgL_valuez00_3410));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3411),
						((BgL_typez00_bglt) BgL_arg3300z00_6075));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3763z00zzcfa_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
