/*===========================================================================*/
/*   (Coerce/coerce.scm)                                                     */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/coerce.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt BGl_z62coercez12zd2var1945za2zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2conditional1978za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vlength1972za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static obj_t BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sync1952za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1990za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2fail1980za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2widening1956za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sequence1950za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, bool_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_wideningz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1988za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vref1968za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
	extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2valloc1965za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2ref1994z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2getfield1959za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2select1982za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = BUNSPEC;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	extern obj_t BGl_newz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2extern1954za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setfield1961za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vsetz121970zb0zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2cast1974za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz121996z62zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2makezd2box1992z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setq1976za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2fun1984z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2mutexza2z00zztype_cachez00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62coercez121936z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_coercez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2kwote1943za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2closure1948za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2var1986z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62coercez12zd2new1963za2zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2atom1940za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza71219362471z00,
		BGl_z62coercez121936z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2a2472za7,
		BGl_z62coercez12zd2atom1940za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2k2473za7,
		BGl_z62coercez12zd2kwote1943za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2474za7,
		BGl_z62coercez12zd2var1945za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2475za7,
		BGl_z62coercez12zd2closure1948za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2476za7,
		BGl_z62coercez12zd2sequence1950za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2477za7,
		BGl_z62coercez12zd2sync1952za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2e2478za7,
		BGl_z62coercez12zd2extern1954za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2w2479za7,
		BGl_z62coercez12zd2widening1956za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2g2480za7,
		BGl_z62coercez12zd2getfield1959za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2442z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2481za7,
		BGl_z62coercez12zd2setfield1961za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2443z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2n2482za7,
		BGl_z62coercez12zd2new1963za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2483za7,
		BGl_z62coercez12zd2valloc1965za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2484za7,
		BGl_z62coercez12zd2vref1968za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2485za7,
		BGl_z62coercez12zd2vsetz121970zb0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2486za7,
		BGl_z62coercez12zd2vlength1972za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2487za7,
		BGl_z62coercez12zd2cast1974za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2488za7,
		BGl_z62coercez12zd2setq1976za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2489za7,
		BGl_z62coercez12zd2conditional1978za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2f2490za7,
		BGl_z62coercez12zd2fail1980za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2491za7,
		BGl_z62coercez12zd2select1982za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2492za7,
		BGl_z62coercez12zd2letzd2fun1984z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2493za7,
		BGl_z62coercez12zd2letzd2var1986z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2494za7,
		BGl_z62coercez12zd2setzd2exzd2it1988za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2j2495za7,
		BGl_z62coercez12zd2jumpzd2exzd2it1990za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2m2496za7,
		BGl_z62coercez12zd2makezd2box1992z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2497za7,
		BGl_z62coercez12zd2boxzd2ref1994z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2498za7,
		BGl_z62coercez12zd2boxzd2setz121996z62zzcoerce_coercez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_coercezd2functionz12zd2envz12zzcoerce_coercez00,
		BgL_bgl_za762coerceza7d2func2499z00,
		BGl_z62coercezd2functionz12za2zzcoerce_coercez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2430z00zzcoerce_coercez00,
		BgL_bgl_string2430za700za7za7c2500za7, "coerce!1936", 11);
	      DEFINE_STRING(BGl_string2431z00zzcoerce_coercez00,
		BgL_bgl_string2431za700za7za7c2501za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2433z00zzcoerce_coercez00,
		BgL_bgl_string2433za700za7za7c2502za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string2460z00zzcoerce_coercez00,
		BgL_bgl_string2460za700za7za7c2503za7, " gtype=", 7);
	      DEFINE_STRING(BGl_string2461z00zzcoerce_coercez00,
		BgL_bgl_string2461za700za7za7c2504za7, " ntype=", 7);
	      DEFINE_STRING(BGl_string2462z00zzcoerce_coercez00,
		BgL_bgl_string2462za700za7za7c2505za7, "let-fun to=", 11);
	      DEFINE_STRING(BGl_string2463z00zzcoerce_coercez00,
		BgL_bgl_string2463za700za7za7c2506za7, ":", 1);
	      DEFINE_STRING(BGl_string2464z00zzcoerce_coercez00,
		BgL_bgl_string2464za700za7za7c2507za7, ",", 1);
	      DEFINE_STRING(BGl_string2465z00zzcoerce_coercez00,
		BgL_bgl_string2465za700za7za7c2508za7, "Coerce/coerce.scm", 17);
	      DEFINE_STRING(BGl_string2466z00zzcoerce_coercez00,
		BgL_bgl_string2466za700za7za7c2509za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2467z00zzcoerce_coercez00,
		BgL_bgl_string2467za700za7za7c2510za7, "coerce_coerce", 13);
	      DEFINE_STRING(BGl_string2468z00zzcoerce_coercez00,
		BgL_bgl_string2468za700za7za7c2511za7, "false true coerce!1936 ", 23);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_coercez12zd2envzc0zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za770za72512z00,
		BGl_z62coercez12z70zzcoerce_coercez00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long
		BgL_checksumz00_3464, char *BgL_fromz00_3465)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_coercez00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_coercez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_cnstzd2initzd2zzcoerce_coercez00();
					BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_genericzd2initzd2zzcoerce_coercez00();
					BGl_methodzd2initzd2zzcoerce_coercez00();
					BGl_toplevelzd2initzd2zzcoerce_coercez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_coerce");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			{	/* Coerce/coerce.scm 15 */
				obj_t BgL_cportz00_3452;

				BgL_cportz00_3452 =
					bgl_open_input_string(BGl_string2468z00zzcoerce_coercez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3453;

					BgL_iz00_3453 = ((long) 2);
				BgL_loopz00_3454:
					if ((BgL_iz00_3453 == ((long) -1)))
						{	/* Coerce/coerce.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/coerce.scm 15 */
							{	/* Coerce/coerce.scm 15 */
								obj_t BgL_arg2470z00_3456;

								{	/* Coerce/coerce.scm 15 */

									{	/* Coerce/coerce.scm 15 */
										obj_t BgL_locationz00_3458;

										BgL_locationz00_3458 = BBOOL(((bool_t) 0));
										{	/* Coerce/coerce.scm 15 */

											BgL_arg2470z00_3456 =
												BGl_readz00zz__readerz00(BgL_cportz00_3452,
												BgL_locationz00_3458);
										}
									}
								}
								{	/* Coerce/coerce.scm 15 */
									int BgL_auxz00_3490;

									BgL_auxz00_3490 = (int) (BgL_iz00_3453);
									CNST_TABLE_SET(BgL_auxz00_3490, BgL_arg2470z00_3456);
							}}
							{	/* Coerce/coerce.scm 15 */
								int BgL_auxz00_3459;

								BgL_auxz00_3459 = (int) ((BgL_iz00_3453 - ((long) 1)));
								{
									long BgL_iz00_3495;

									BgL_iz00_3495 = (long) (BgL_auxz00_3459);
									BgL_iz00_3453 = BgL_iz00_3495;
									goto BgL_loopz00_3454;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* coerce-function! */
	BGL_EXPORTED_DEF obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt
		BgL_variablez00_3, bool_t BgL_typezd2safezd2_4)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			BGl_enterzd2functionzd2zztools_errorz00(
				(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_idz00));
			{	/* Coerce/coerce.scm 48 */
				BgL_valuez00_bglt BgL_funz00_1522;

				BgL_funz00_1522 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_valuez00);
				{	/* Coerce/coerce.scm 48 */
					obj_t BgL_bodyz00_1523;

					BgL_bodyz00_1523 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1522)))->BgL_bodyz00);
					{	/* Coerce/coerce.scm 49 */
						BgL_typez00_bglt BgL_tresz00_1524;

						BgL_tresz00_1524 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_typez00);
						{	/* Coerce/coerce.scm 50 */
							obj_t BgL_cloz00_1525;

							BgL_cloz00_1525 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt) BgL_funz00_1522)))->
								BgL_thezd2closurezd2globalz00);
							{	/* Coerce/coerce.scm 51 */
								bool_t BgL_typezd2safetyzd2enforcedz00_1526;

								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_testz00_3505;

									if (CBOOL(BGl_za2unsafezd2evalza2zd2zzengine_paramz00))
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_3505 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_3505 = ((bool_t) 1);
										}
									if (BgL_testz00_3505)
										{	/* Coerce/coerce.scm 53 */
											bool_t BgL_testz00_3508;

											{	/* Coerce/coerce.scm 53 */
												bool_t BgL_res2369z00_2959;

												{	/* Coerce/coerce.scm 53 */
													obj_t BgL_objz00_2958;

													BgL_objz00_2958 = ((obj_t) BgL_variablez00_3);
													BgL_res2369z00_2959 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2958,
														BGl_globalz00zzast_varz00);
												}
												BgL_testz00_3508 = BgL_res2369z00_2959;
											}
											if (BgL_testz00_3508)
												{	/* Coerce/coerce.scm 53 */
													if (BGl_isazf3zf3zz__objectz00(BgL_cloz00_1525,
															BGl_globalz00zzast_varz00))
														{	/* Coerce/coerce.scm 54 */
															if (
																(((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt) BgL_cloz00_1525)))->
																	BgL_evaluablezf3zf3))
																{	/* Coerce/coerce.scm 55 */
																	BgL_typezd2safetyzd2enforcedz00_1526 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_cloz00_1525))))->
																		BgL_userzf3zf3);
																}
															else
																{	/* Coerce/coerce.scm 55 */
																	BgL_typezd2safetyzd2enforcedz00_1526 =
																		((bool_t) 0);
																}
														}
													else
														{	/* Coerce/coerce.scm 54 */
															BgL_typezd2safetyzd2enforcedz00_1526 =
																((bool_t) 0);
														}
												}
											else
												{	/* Coerce/coerce.scm 53 */
													BgL_typezd2safetyzd2enforcedz00_1526 = ((bool_t) 0);
												}
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_typezd2safetyzd2enforcedz00_1526 = ((bool_t) 0);
										}
								}
								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_typezd2safezd2_1527;

									if (BgL_typezd2safezd2_4)
										{	/* Coerce/coerce.scm 57 */
											BgL_typezd2safezd2_1527 = BgL_typezd2safezd2_4;
										}
									else
										{	/* Coerce/coerce.scm 57 */
											BgL_typezd2safezd2_1527 =
												BgL_typezd2safetyzd2enforcedz00_1526;
										}
									{	/* Coerce/coerce.scm 57 */

										{	/* Coerce/coerce.scm 58 */
											bool_t BgL_testz00_3520;

											{	/* Coerce/coerce.scm 58 */
												bool_t BgL_res2373z00_2969;

												{	/* Coerce/coerce.scm 58 */
													obj_t BgL_objz00_2968;

													BgL_objz00_2968 = ((obj_t) BgL_variablez00_3);
													BgL_res2373z00_2969 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2968,
														BGl_globalz00zzast_varz00);
												}
												BgL_testz00_3520 = BgL_res2373z00_2969;
											}
											if (BgL_testz00_3520)
												{	/* Coerce/coerce.scm 58 */
													BNIL;
												}
											else
												{	/* Coerce/coerce.scm 58 */
													BNIL;
												}
										}
										{	/* Coerce/coerce.scm 66 */
											obj_t BgL_notifyz00_1529;

											BgL_notifyz00_1529 =
												BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
											if ((((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->
													BgL_userzf3zf3))
												{	/* Coerce/coerce.scm 69 */
													bool_t BgL_testz00_3525;

													{	/* Coerce/coerce.scm 69 */
														obj_t BgL_arg2003z00_1532;

														BgL_arg2003z00_1532 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_funz00_1522)))->
															BgL_thezd2closurezd2globalz00);
														BgL_testz00_3525 =
															BGl_isazf3zf3zz__objectz00(BgL_arg2003z00_1532,
															BGl_globalz00zzast_varz00);
													}
													if (BgL_testz00_3525)
														{	/* Coerce/coerce.scm 69 */
															BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
																= BFALSE;
														}
													else
														{	/* Coerce/coerce.scm 69 */
															BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
																= BTRUE;
														}
												}
											else
												{	/* Coerce/coerce.scm 68 */
													BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
														BFALSE;
												}
											BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(((long) 3),
												BgL_variablez00_3);
											BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 =
												((obj_t) BgL_variablez00_3);
											{	/* Coerce/coerce.scm 72 */
												BgL_nodez00_bglt BgL_arg2004z00_1533;

												BgL_arg2004z00_1533 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_bodyz00_1523),
													((obj_t) BgL_variablez00_3), BgL_tresz00_1524,
													BgL_typezd2safezd2_1527);
												{	/* Coerce/coerce.scm 72 */
													BgL_sfunz00_bglt BgL_oz00_2977;
													obj_t BgL_vz00_2978;

													BgL_oz00_2977 = ((BgL_sfunz00_bglt) BgL_funz00_1522);
													BgL_vz00_2978 = ((obj_t) BgL_arg2004z00_1533);
													((((BgL_sfunz00_bglt) CREF(BgL_oz00_2977))->
															BgL_bodyz00) = ((obj_t) BgL_vz00_2978), BUNSPEC);
											}}
											BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
												BgL_notifyz00_1529;
										}
										return BGl_leavezd2functionzd2zztools_errorz00();
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &coerce-function! */
	obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t BgL_envz00_3276,
		obj_t BgL_variablez00_3277, obj_t BgL_typezd2safezd2_3278)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			return
				BGl_coercezd2functionz12zc0zzcoerce_coercez00(
				((BgL_variablez00_bglt) BgL_variablez00_3277),
				CBOOL(BgL_typezd2safezd2_3278));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_proc2429z00zzcoerce_coercez00, BGl_nodez00zzast_nodez00,
				BGl_string2430z00zzcoerce_coercez00);
		}
	}



/* &coerce!1936 */
	obj_t BGl_z62coercez121936z70zzcoerce_coercez00(obj_t BgL_envz00_3280,
		obj_t BgL_nodez00_3281, obj_t BgL_callerz00_3282, obj_t BgL_toz00_3283,
		obj_t BgL_safez00_3284)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			{	/* Coerce/coerce.scm 79 */
				BgL_nodez00_bglt BgL_nodez00_3460;

				BgL_nodez00_3460 = ((BgL_nodez00_bglt) BgL_nodez00_3281);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2431z00zzcoerce_coercez00, ((obj_t) BgL_nodez00_3460));
		}}
	}



/* coerce! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_5,
		obj_t BgL_callerz00_6, BgL_typez00_bglt BgL_toz00_7, bool_t BgL_safez00_8)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			{	/* Coerce/coerce.scm 79 */
				obj_t BgL_method1937z00_1546;

				{	/* Coerce/coerce.scm 79 */
					obj_t BgL_res2382z00_3008;

					{	/* Coerce/coerce.scm 79 */
						BgL_objectz00_bglt BgL_objz00_2980;

						BgL_objz00_2980 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Coerce/coerce.scm 79 */
							long BgL_objzd2classzd2numz00_2981;

							{	/* Coerce/coerce.scm 79 */
								long BgL_res2376z00_2984;

								BgL_res2376z00_2984 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2980);
								BgL_objzd2classzd2numz00_2981 = BgL_res2376z00_2984;
							}
							{	/* Coerce/coerce.scm 79 */
								obj_t BgL_arg1820z00_2982;

								BgL_arg1820z00_2982 =
									PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00,
									(int) (((long) 1)));
								{	/* Coerce/coerce.scm 79 */
									obj_t BgL_arrayz00_2985;
									int BgL_offsetz00_2986;

									BgL_arrayz00_2985 = BgL_arg1820z00_2982;
									BgL_offsetz00_2986 = (int) (BgL_objzd2classzd2numz00_2981);
									{	/* Coerce/coerce.scm 79 */
										long BgL_offsetz00_2987;

										BgL_offsetz00_2987 =
											((long) (BgL_offsetz00_2986) - OBJECT_TYPE);
										{	/* Coerce/coerce.scm 79 */
											long BgL_modz00_2988;

											{	/* Coerce/coerce.scm 79 */
												int BgL_arg1822z00_2989;

												BgL_arg1822z00_2989 = (int) (((long) 16));
												{	/* Coerce/coerce.scm 79 */
													long BgL_res2379z00_2999;

													{	/* Coerce/coerce.scm 79 */
														long BgL_auxz00_3554;

														BgL_auxz00_3554 = (long) (BgL_arg1822z00_2989);
														BgL_res2379z00_2999 =
															(BgL_offsetz00_2987 / BgL_auxz00_3554);
													}
													BgL_modz00_2988 = BgL_res2379z00_2999;
											}}
											{	/* Coerce/coerce.scm 79 */
												long BgL_restz00_2990;

												{	/* Coerce/coerce.scm 79 */
													int BgL_arg1821z00_2991;

													BgL_arg1821z00_2991 = (int) (((long) 16));
													{	/* Coerce/coerce.scm 79 */
														long BgL_res2381z00_3003;

														{	/* Coerce/coerce.scm 79 */
															long BgL_auxz00_3558;

															BgL_auxz00_3558 = (long) (BgL_arg1821z00_2991);
															BgL_res2381z00_3003 =
																(BgL_offsetz00_2987 % BgL_auxz00_3558);
														}
														BgL_restz00_2990 = BgL_res2381z00_3003;
												}}
												{	/* Coerce/coerce.scm 79 */

													BgL_res2382z00_3008 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2985,
															(int) (BgL_modz00_2988)),
														(int) (BgL_restz00_2990));
					}}}}}}}}
					BgL_method1937z00_1546 = BgL_res2382z00_3008;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1937z00_1546) (BgL_method1937z00_1546,
						((obj_t) BgL_nodez00_5), BgL_callerz00_6,
						((obj_t) BgL_toz00_7), BBOOL(BgL_safez00_8), BEOA));
			}
		}
	}



/* &coerce! */
	BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t BgL_envz00_3285,
		obj_t BgL_nodez00_3286, obj_t BgL_callerz00_3287, obj_t BgL_toz00_3288,
		obj_t BgL_safez00_3289)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			return
				BGl_coercez12z12zzcoerce_coercez00(
				((BgL_nodez00_bglt) BgL_nodez00_3286), BgL_callerz00_3287,
				((BgL_typez00_bglt) BgL_toz00_3288), CBOOL(BgL_safez00_3289));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_atomz00zzast_nodez00,
				BGl_proc2432z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2434z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_varz00zzast_nodez00,
				BGl_proc2435z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_closurez00zzast_nodez00,
				BGl_proc2436z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2437z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_syncz00zzast_nodez00,
				BGl_proc2438z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_externz00zzast_nodez00,
				BGl_proc2439z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_wideningz00zzast_nodez00,
				BGl_proc2440z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_getfieldz00zzast_nodez00,
				BGl_proc2441z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setfieldz00zzast_nodez00,
				BGl_proc2442z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_newz00zzast_nodez00,
				BGl_proc2443z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2444z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2445z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2446z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2447z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_castz00zzast_nodez00,
				BGl_proc2448z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setqz00zzast_nodez00,
				BGl_proc2449z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2450z00zzcoerce_coercez00,
				BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_failz00zzast_nodez00,
				BGl_proc2451z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_selectz00zzast_nodez00,
				BGl_proc2452z00zzcoerce_coercez00, BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2453z00zzcoerce_coercez00,
				BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2454z00zzcoerce_coercez00,
				BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2455z00zzcoerce_coercez00,
				BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2456z00zzcoerce_coercez00,
				BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2457z00zzcoerce_coercez00,
				BGl_string2433z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2458z00zzcoerce_coercez00,
				BGl_string2433z00zzcoerce_coercez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2459z00zzcoerce_coercez00,
				BGl_string2433z00zzcoerce_coercez00);
		}
	}



/* &coerce!-box-set!1996 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz121996z62zzcoerce_coercez00(obj_t
		BgL_envz00_3317, obj_t BgL_nodez00_3318, obj_t BgL_callerz00_3319,
		obj_t BgL_toz00_3320, obj_t BgL_safez00_3321)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 510 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2097;
				obj_t BgL_callerz00_2098;
				obj_t BgL_toz00_2099;
				obj_t BgL_safez00_2100;

				BgL_nodez00_2097 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3318);
				BgL_callerz00_2098 = BgL_callerz00_3319;
				BgL_toz00_2099 = BgL_toz00_3320;
				BgL_safez00_2100 = BgL_safez00_3321;
				{	/* Coerce/coerce.scm 512 */
					BgL_variablez00_bglt BgL_arg2304z00_2104;

					BgL_arg2304z00_2104 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2097))->
									BgL_varz00)))->BgL_variablez00);
					{	/* Coerce/coerce.scm 512 */
						BgL_localz00_bglt BgL_oz00_3255;
						BgL_typez00_bglt BgL_vz00_3256;

						BgL_oz00_3255 = ((BgL_localz00_bglt) BgL_arg2304z00_2104);
						BgL_vz00_3256 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_oz00_3255)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3256), BUNSPEC);
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3613;

					{	/* Coerce/coerce.scm 513 */
						BgL_nodez00_bglt BgL_arg2307z00_2106;

						BgL_arg2307z00_2106 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2097))->
							BgL_valuez00);
						BgL_auxz00_3613 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2307z00_2106,
							BgL_callerz00_2098,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_2100));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2097))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3613), BUNSPEC);
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_2097),
					((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_2099), CBOOL(BgL_safez00_2100));
			}
		}
	}



/* &coerce!-box-ref1994 */
	BgL_nodez00_bglt BGl_z62coercez12zd2boxzd2ref1994z70zzcoerce_coercez00(obj_t
		BgL_envz00_3322, obj_t BgL_nodez00_3323, obj_t BgL_callerz00_3324,
		obj_t BgL_toz00_3325, obj_t BgL_safez00_3326)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 503 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2089;
				obj_t BgL_callerz00_2090;
				obj_t BgL_toz00_2091;
				obj_t BgL_safez00_2092;

				BgL_nodez00_2089 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3323);
				BgL_callerz00_2090 = BgL_callerz00_3324;
				BgL_toz00_2091 = BgL_toz00_3325;
				BgL_safez00_2092 = BgL_safez00_3326;
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_2089),
					((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_2091), CBOOL(BgL_safez00_2092));
			}
		}
	}



/* &coerce!-make-box1992 */
	BgL_nodez00_bglt BGl_z62coercez12zd2makezd2box1992z70zzcoerce_coercez00(obj_t
		BgL_envz00_3327, obj_t BgL_nodez00_3328, obj_t BgL_callerz00_3329,
		obj_t BgL_toz00_3330, obj_t BgL_safez00_3331)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 495 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2080;
				obj_t BgL_callerz00_2081;
				obj_t BgL_toz00_2082;
				obj_t BgL_safez00_2083;

				BgL_nodez00_2080 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3328);
				BgL_callerz00_2081 = BgL_callerz00_3329;
				BgL_toz00_2082 = BgL_toz00_3330;
				BgL_safez00_2083 = BgL_safez00_3331;
				{
					BgL_nodez00_bglt BgL_auxz00_3631;

					{	/* Coerce/coerce.scm 496 */
						BgL_nodez00_bglt BgL_arg2303z00_3251;

						BgL_arg2303z00_3251 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2080))->BgL_valuez00);
						BgL_auxz00_3631 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2303z00_3251,
							BgL_callerz00_2081,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_2083));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2080))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3631), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2080);
			}
		}
	}



/* &coerce!-jump-ex-it1990 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1990za2zzcoerce_coercez00(obj_t
		BgL_envz00_3332, obj_t BgL_nodez00_3333, obj_t BgL_callerz00_3334,
		obj_t BgL_toz00_3335, obj_t BgL_safez00_3336)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 486 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2067;
				obj_t BgL_callerz00_2068;
				obj_t BgL_toz00_2069;
				obj_t BgL_safez00_2070;

				BgL_nodez00_2067 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3333);
				BgL_callerz00_2068 = BgL_callerz00_3334;
				BgL_toz00_2069 = BgL_toz00_3335;
				BgL_safez00_2070 = BgL_safez00_3336;
				{
					BgL_nodez00_bglt BgL_auxz00_3639;

					{	/* Coerce/coerce.scm 488 */
						BgL_nodez00_bglt BgL_arg2298z00_2074;

						BgL_arg2298z00_2074 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->
							BgL_exitz00);
						BgL_auxz00_3639 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2298z00_2074,
							BgL_callerz00_2068,
							((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
							CBOOL(BgL_safez00_2070));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3639), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3645;

					{	/* Coerce/coerce.scm 489 */
						BgL_nodez00_bglt BgL_arg2299z00_2075;
						BgL_typez00_bglt BgL_arg2300z00_2076;

						BgL_arg2299z00_2075 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->
							BgL_valuez00);
						{	/* Coerce/coerce.scm 489 */
							BgL_nodez00_bglt BgL_arg2301z00_2077;

							BgL_arg2301z00_2077 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->
								BgL_valuez00);
							BgL_arg2300z00_2076 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg2301z00_2077);
						}
						BgL_auxz00_3645 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2299z00_2075,
							BgL_callerz00_2068, BgL_arg2300z00_2076, CBOOL(BgL_safez00_2070));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3645), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 490 */
					BgL_typez00_bglt BgL_arg2302z00_2078;

					BgL_arg2302z00_2078 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_2067)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_2067), BgL_arg2302z00_2078,
						((BgL_typez00_bglt) BgL_toz00_2069), CBOOL(BgL_safez00_2070));
				}
			}
		}
	}



/* &coerce!-set-ex-it1988 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1988za2zzcoerce_coercez00(obj_t
		BgL_envz00_3337, obj_t BgL_nodez00_3338, obj_t BgL_callerz00_3339,
		obj_t BgL_toz00_3340, obj_t BgL_safez00_3341)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 476 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2055;
				obj_t BgL_callerz00_2056;
				obj_t BgL_toz00_2057;
				obj_t BgL_safez00_2058;

				BgL_nodez00_2055 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3338);
				BgL_callerz00_2056 = BgL_callerz00_3339;
				BgL_toz00_2057 = BgL_toz00_3340;
				BgL_safez00_2058 = BgL_safez00_3341;
				{
					BgL_varz00_bglt BgL_auxz00_3659;

					{	/* Coerce/coerce.scm 478 */
						BgL_varz00_bglt BgL_arg2294z00_2062;

						BgL_arg2294z00_2062 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2055))->
							BgL_varz00);
						BgL_auxz00_3659 =
							((BgL_varz00_bglt)
							BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
									BgL_arg2294z00_2062), BgL_callerz00_2056,
								((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
								CBOOL(BgL_safez00_2058)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2055))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3659), BUNSPEC);
				}
				BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
					(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2055))->
									BgL_varz00)))->BgL_variablez00));
				{
					BgL_nodez00_bglt BgL_auxz00_3670;

					{	/* Coerce/coerce.scm 480 */
						BgL_nodez00_bglt BgL_arg2297z00_2065;

						BgL_arg2297z00_2065 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2055))->
							BgL_bodyz00);
						BgL_auxz00_3670 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2297z00_2065,
							BgL_callerz00_2056, ((BgL_typez00_bglt) BgL_toz00_2057),
							CBOOL(BgL_safez00_2058));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2055))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3670), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2055);
			}
		}
	}



/* &coerce!-let-var1986 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2var1986z70zzcoerce_coercez00(obj_t
		BgL_envz00_3342, obj_t BgL_nodez00_3343, obj_t BgL_callerz00_3344,
		obj_t BgL_toz00_3345, obj_t BgL_safez00_3346)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 456 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2030;
				obj_t BgL_callerz00_2031;
				obj_t BgL_toz00_2032;
				obj_t BgL_safez00_2033;

				BgL_nodez00_2030 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3343);
				BgL_callerz00_2031 = BgL_callerz00_3344;
				BgL_toz00_2032 = BgL_toz00_3345;
				BgL_safez00_2033 = BgL_safez00_3346;
				BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
				{	/* Coerce/coerce.scm 461 */
					obj_t BgL_g1935z00_2037;

					BgL_g1935z00_2037 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2030))->BgL_bindingsz00);
					{
						obj_t BgL_l1933z00_2039;

						BgL_l1933z00_2039 = BgL_g1935z00_2037;
					BgL_zc3anonymousza32281ze3z83_2040:
						if (PAIRP(BgL_l1933z00_2039))
							{	/* Coerce/coerce.scm 461 */
								{	/* Coerce/coerce.scm 462 */
									obj_t BgL_bindingz00_2042;

									BgL_bindingz00_2042 = CAR(BgL_l1933z00_2039);
									{	/* Coerce/coerce.scm 462 */
										obj_t BgL_arg2283z00_2043;

										BgL_arg2283z00_2043 = CAR(BgL_bindingz00_2042);
										BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
											((BgL_variablez00_bglt) BgL_arg2283z00_2043));
									}
									{	/* Coerce/coerce.scm 463 */
										BgL_nodez00_bglt BgL_arg2284z00_2044;

										{	/* Coerce/coerce.scm 463 */
											obj_t BgL_arg2285z00_2045;
											BgL_typez00_bglt BgL_arg2286z00_2046;

											BgL_arg2285z00_2045 = CDR(BgL_bindingz00_2042);
											{
												BgL_variablez00_bglt BgL_auxz00_3687;

												{
													BgL_localz00_bglt BgL_auxz00_3688;

													{	/* Coerce/coerce.scm 465 */
														obj_t BgL_pairz00_3237;

														BgL_pairz00_3237 = BgL_bindingz00_2042;
														BgL_auxz00_3688 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_3237));
													}
													BgL_auxz00_3687 =
														((BgL_variablez00_bglt) BgL_auxz00_3688);
												}
												BgL_arg2286z00_2046 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3687))->
													BgL_typez00);
											}
											BgL_arg2284z00_2044 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg2285z00_2045),
												BgL_callerz00_2031, BgL_arg2286z00_2046,
												CBOOL(BgL_safez00_2033));
										}
										{	/* Coerce/coerce.scm 463 */
											obj_t BgL_pairz00_3241;
											obj_t BgL_objz00_3242;

											BgL_pairz00_3241 = BgL_bindingz00_2042;
											BgL_objz00_3242 = ((obj_t) BgL_arg2284z00_2044);
											SET_CDR(BgL_pairz00_3241, BgL_objz00_3242);
								}}}
								{
									obj_t BgL_l1933z00_3698;

									BgL_l1933z00_3698 = CDR(BgL_l1933z00_2039);
									BgL_l1933z00_2039 = BgL_l1933z00_3698;
									goto BgL_zc3anonymousza32281ze3z83_2040;
								}
							}
						else
							{	/* Coerce/coerce.scm 461 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3700;

					{	/* Coerce/coerce.scm 468 */
						BgL_nodez00_bglt BgL_arg2289z00_2050;

						BgL_arg2289z00_2050 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2030))->BgL_bodyz00);
						BgL_auxz00_3700 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2289z00_2050,
							BgL_callerz00_2031, ((BgL_typez00_bglt) BgL_toz00_2032),
							CBOOL(BgL_safez00_2033));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2030))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3700), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3706;

					{	/* Coerce/coerce.scm 469 */
						BgL_typez00_bglt BgL_arg2290z00_2051;
						BgL_typez00_bglt BgL_arg2292z00_2052;

						BgL_arg2290z00_2051 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2030))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2292z00_2052 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_2030)))->BgL_typez00);
						BgL_auxz00_3706 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2290z00_2051,
							BgL_arg2292z00_2052);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2030)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3706), BUNSPEC);
				}
				BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
				return ((BgL_nodez00_bglt) BgL_nodez00_2030);
			}
		}
	}



/* &coerce!-let-fun1984 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2fun1984z70zzcoerce_coercez00(obj_t
		BgL_envz00_3347, obj_t BgL_nodez00_3348, obj_t BgL_callerz00_3349,
		obj_t BgL_toz00_3350, obj_t BgL_safez00_3351)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 441 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1986;
				obj_t BgL_callerz00_1987;
				obj_t BgL_toz00_1988;
				obj_t BgL_safez00_1989;

				BgL_nodez00_1986 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3348);
				BgL_callerz00_1987 = BgL_callerz00_3349;
				BgL_toz00_1988 = BgL_toz00_3350;
				BgL_safez00_1989 = BgL_safez00_3351;
				BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
				{	/* Coerce/coerce.scm 444 */
					obj_t BgL_g1932z00_1993;

					BgL_g1932z00_1993 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1986))->BgL_localsz00);
					{
						obj_t BgL_l1930z00_1995;

						BgL_l1930z00_1995 = BgL_g1932z00_1993;
					BgL_zc3anonymousza32249ze3z83_1996:
						if (PAIRP(BgL_l1930z00_1995))
							{	/* Coerce/coerce.scm 444 */
								{	/* Coerce/coerce.scm 444 */
									obj_t BgL_fz00_1998;

									BgL_fz00_1998 = CAR(BgL_l1930z00_1995);
									{	/* Coerce/coerce.scm 444 */
										bool_t BgL_arg2251z00_1999;

										if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
											{	/* Coerce/coerce.scm 444 */
												BgL_arg2251z00_1999 = ((bool_t) 0);
											}
										else
											{	/* Coerce/coerce.scm 444 */
												BgL_arg2251z00_1999 = ((bool_t) 1);
											}
										BGl_coercezd2functionz12zc0zzcoerce_coercez00(
											((BgL_variablez00_bglt) BgL_fz00_1998),
											BgL_arg2251z00_1999);
									}
								}
								{
									obj_t BgL_l1930z00_3726;

									BgL_l1930z00_3726 = CDR(BgL_l1930z00_1995);
									BgL_l1930z00_1995 = BgL_l1930z00_3726;
									goto BgL_zc3anonymousza32249ze3z83_1996;
								}
							}
						else
							{	/* Coerce/coerce.scm 444 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3728;

					{	/* Coerce/coerce.scm 445 */
						BgL_nodez00_bglt BgL_arg2253z00_2002;

						BgL_arg2253z00_2002 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1986))->BgL_bodyz00);
						BgL_auxz00_3728 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2253z00_2002,
							BgL_callerz00_1987, ((BgL_typez00_bglt) BgL_toz00_1988),
							CBOOL(BgL_safez00_1989));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1986))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3728), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 446 */
					bool_t BgL_testz00_3734;

					{	/* Coerce/coerce.scm 446 */
						BgL_typez00_bglt BgL_arg2274z00_2022;
						BgL_typez00_bglt BgL_arg2275z00_2023;

						BgL_arg2274z00_2022 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1986))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2275z00_2023 =
							BGl_getzd2typezd2zztype_typeofz00((((BgL_letzd2funzd2_bglt)
									CREF(BgL_nodez00_1986))->BgL_bodyz00));
						BgL_testz00_3734 =
							(((obj_t) BgL_arg2274z00_2022) == ((obj_t) BgL_arg2275z00_2023));
					}
					if (BgL_testz00_3734)
						{	/* Coerce/coerce.scm 446 */
							BFALSE;
						}
					else
						{	/* Coerce/coerce.scm 447 */
							obj_t BgL_arg2255z00_2004;
							obj_t BgL_arg2257z00_2005;
							obj_t BgL_arg2258z00_2006;
							obj_t BgL_arg2259z00_2007;

							{	/* Coerce/coerce.scm 447 */
								obj_t BgL_res2421z00_3225;

								{	/* Coerce/coerce.scm 447 */
									obj_t BgL_auxz00_3742;

									BgL_auxz00_3742 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2421z00_3225 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3742);
								}
								BgL_arg2255z00_2004 = BgL_res2421z00_3225;
							}
							BgL_arg2257z00_2005 =
								BGl_shapez00zztools_shapez00(BgL_toz00_1988);
							{	/* Coerce/coerce.scm 447 */
								BgL_typez00_bglt BgL_arg2270z00_2018;

								BgL_arg2270z00_2018 =
									(((BgL_nodez00_bglt) CREF(
											(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1986))->
												BgL_bodyz00)))->BgL_typez00);
								BgL_arg2258z00_2006 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2270z00_2018));
							}
							{	/* Coerce/coerce.scm 448 */
								BgL_typez00_bglt BgL_arg2272z00_2020;

								BgL_arg2272z00_2020 =
									BGl_getzd2typezd2zztype_typeofz00(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1986))->
										BgL_bodyz00));
								BgL_arg2259z00_2007 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2272z00_2020));
							}
							{	/* Coerce/coerce.scm 447 */
								obj_t BgL_list2260z00_2008;

								{	/* Coerce/coerce.scm 447 */
									obj_t BgL_arg2261z00_2009;

									{	/* Coerce/coerce.scm 447 */
										obj_t BgL_arg2262z00_2010;

										{	/* Coerce/coerce.scm 447 */
											obj_t BgL_arg2263z00_2011;

											{	/* Coerce/coerce.scm 447 */
												obj_t BgL_arg2264z00_2012;

												{	/* Coerce/coerce.scm 447 */
													obj_t BgL_arg2265z00_2013;

													{	/* Coerce/coerce.scm 447 */
														obj_t BgL_arg2266z00_2014;

														{	/* Coerce/coerce.scm 447 */
															obj_t BgL_arg2267z00_2015;

															{	/* Coerce/coerce.scm 447 */
																obj_t BgL_arg2268z00_2016;

																{	/* Coerce/coerce.scm 447 */
																	obj_t BgL_arg2269z00_2017;

																	BgL_arg2269z00_2017 =
																		MAKE_PAIR(BgL_arg2259z00_2007, BNIL);
																	BgL_arg2268z00_2016 =
																		MAKE_PAIR
																		(BGl_string2460z00zzcoerce_coercez00,
																		BgL_arg2269z00_2017);
																}
																BgL_arg2267z00_2015 =
																	MAKE_PAIR(BgL_arg2258z00_2006,
																	BgL_arg2268z00_2016);
															}
															BgL_arg2266z00_2014 =
																MAKE_PAIR(BGl_string2461z00zzcoerce_coercez00,
																BgL_arg2267z00_2015);
														}
														BgL_arg2265z00_2013 =
															MAKE_PAIR(BgL_arg2257z00_2005,
															BgL_arg2266z00_2014);
													}
													BgL_arg2264z00_2012 =
														MAKE_PAIR(BGl_string2462z00zzcoerce_coercez00,
														BgL_arg2265z00_2013);
												}
												BgL_arg2263z00_2011 =
													MAKE_PAIR(BGl_string2463z00zzcoerce_coercez00,
													BgL_arg2264z00_2012);
											}
											BgL_arg2262z00_2010 =
												MAKE_PAIR(BINT(((long) 447)), BgL_arg2263z00_2011);
										}
										BgL_arg2261z00_2009 =
											MAKE_PAIR(BGl_string2464z00zzcoerce_coercez00,
											BgL_arg2262z00_2010);
									}
									BgL_list2260z00_2008 =
										MAKE_PAIR(BGl_string2465z00zzcoerce_coercez00,
										BgL_arg2261z00_2009);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2255z00_2004,
									BgL_list2260z00_2008);
				}}}
				{
					BgL_typez00_bglt BgL_auxz00_3766;

					{	/* Coerce/coerce.scm 449 */
						BgL_typez00_bglt BgL_arg2278z00_2026;
						BgL_typez00_bglt BgL_arg2279z00_2027;

						BgL_arg2278z00_2026 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1986))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2279z00_2027 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_1986)))->BgL_typez00);
						BgL_auxz00_3766 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2278z00_2026,
							BgL_arg2279z00_2027);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1986)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3766), BUNSPEC);
				}
				BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
				return ((BgL_nodez00_bglt) BgL_nodez00_1986);
			}
		}
	}



/* &coerce!-select1982 */
	BgL_nodez00_bglt BGl_z62coercez12zd2select1982za2zzcoerce_coercez00(obj_t
		BgL_envz00_3352, obj_t BgL_nodez00_3353, obj_t BgL_callerz00_3354,
		obj_t BgL_toz00_3355, obj_t BgL_safez00_3356)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 414 */
			{
				BgL_selectz00_bglt BgL_nodez00_1958;
				obj_t BgL_callerz00_1959;
				obj_t BgL_toz00_1960;
				obj_t BgL_safez00_1961;

				BgL_nodez00_1958 = ((BgL_selectz00_bglt) BgL_nodez00_3353);
				BgL_callerz00_1959 = BgL_callerz00_3354;
				BgL_toz00_1960 = BgL_toz00_3355;
				BgL_safez00_1961 = BgL_safez00_3356;
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1958)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_1960)), BUNSPEC);
				{	/* Coerce/coerce.scm 417 */
					obj_t BgL_clausesz00_1965;
					BgL_typez00_bglt BgL_testzd2typezd2_1966;
					BgL_typez00_bglt BgL_testzd2nodezd2typez00_1967;

					BgL_clausesz00_1965 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1958))->BgL_clausesz00);
					BgL_testzd2typezd2_1966 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1958))->BgL_itemzd2typezd2);
					BgL_testzd2nodezd2typez00_1967 =
						BGl_getzd2typezd2zztype_typeofz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1958))->BgL_testz00));
					if (BGl_coercerzd2existszf3z21zztype_coercionz00
						(BgL_testzd2nodezd2typez00_1967, BgL_testzd2typezd2_1966))
						{	/* Coerce/coerce.scm 427 */
							((((BgL_selectz00_bglt) CREF(BgL_nodez00_1958))->BgL_testz00) =
								((BgL_nodez00_bglt)
									BGl_coercez12z12zzcoerce_coercez00((((BgL_selectz00_bglt)
												CREF(BgL_nodez00_1958))->BgL_testz00),
										BgL_callerz00_1959, BgL_testzd2typezd2_1966,
										CBOOL(BgL_safez00_1961))), BUNSPEC);
							{
								obj_t BgL_l1928z00_1972;

								BgL_l1928z00_1972 = BgL_clausesz00_1965;
							BgL_zc3anonymousza32238ze3z83_1973:
								if (PAIRP(BgL_l1928z00_1972))
									{	/* Coerce/coerce.scm 430 */
										{	/* Coerce/coerce.scm 431 */
											obj_t BgL_clausez00_1975;

											BgL_clausez00_1975 = CAR(BgL_l1928z00_1972);
											{	/* Coerce/coerce.scm 432 */
												BgL_nodez00_bglt BgL_arg2240z00_1976;

												{	/* Coerce/coerce.scm 432 */
													obj_t BgL_arg2242z00_1977;

													BgL_arg2242z00_1977 = CDR(BgL_clausez00_1975);
													BgL_arg2240z00_1976 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_arg2242z00_1977),
														BgL_callerz00_1959,
														((BgL_typez00_bglt) BgL_toz00_1960),
														CBOOL(BgL_safez00_1961));
												}
												{	/* Coerce/coerce.scm 431 */
													obj_t BgL_pairz00_3211;
													obj_t BgL_objz00_3212;

													BgL_pairz00_3211 = BgL_clausez00_1975;
													BgL_objz00_3212 = ((obj_t) BgL_arg2240z00_1976);
													SET_CDR(BgL_pairz00_3211, BgL_objz00_3212);
												}
											}
										}
										{
											obj_t BgL_l1928z00_3800;

											BgL_l1928z00_3800 = CDR(BgL_l1928z00_1972);
											BgL_l1928z00_1972 = BgL_l1928z00_3800;
											goto BgL_zc3anonymousza32238ze3z83_1973;
										}
									}
								else
									{	/* Coerce/coerce.scm 430 */
										((bool_t) 1);
									}
							}
							return ((BgL_nodez00_bglt) BgL_nodez00_1958);
						}
					else
						{	/* Coerce/coerce.scm 435 */
							obj_t BgL_arg2244z00_1980;

							{	/* Coerce/coerce.scm 435 */
								obj_t BgL_arg2245z00_1981;
								obj_t BgL_arg2246z00_1982;
								BgL_nodez00_bglt BgL_arg2247z00_1983;

								BgL_arg2245z00_1981 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1958)))->BgL_locz00);
								BgL_arg2246z00_1982 =
									(((BgL_typez00_bglt) CREF(BgL_testzd2typezd2_1966))->
									BgL_idz00);
								BgL_arg2247z00_1983 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1958))->BgL_testz00);
								BgL_arg2244z00_1980 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_arg2245z00_1981, BgL_arg2246z00_1982,
									BgL_arg2247z00_1983);
							}
							return
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2244z00_1980), BgL_callerz00_1959,
								((BgL_typez00_bglt) BgL_toz00_1960), CBOOL(BgL_safez00_1961));
						}
				}
			}
		}
	}



/* &coerce!-fail1980 */
	BgL_nodez00_bglt BGl_z62coercez12zd2fail1980za2zzcoerce_coercez00(obj_t
		BgL_envz00_3357, obj_t BgL_nodez00_3358, obj_t BgL_callerz00_3359,
		obj_t BgL_toz00_3360, obj_t BgL_safez00_3361)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 404 */
			{
				BgL_failz00_bglt BgL_nodez00_1947;
				obj_t BgL_callerz00_1948;
				obj_t BgL_toz00_1949;
				obj_t BgL_safez00_1950;

				BgL_nodez00_1947 = ((BgL_failz00_bglt) BgL_nodez00_3358);
				BgL_callerz00_1948 = BgL_callerz00_3359;
				BgL_toz00_1949 = BgL_toz00_3360;
				BgL_safez00_1950 = BgL_safez00_3361;
				{
					BgL_nodez00_bglt BgL_auxz00_3813;

					{	/* Coerce/coerce.scm 406 */
						BgL_nodez00_bglt BgL_arg2231z00_1954;

						BgL_arg2231z00_1954 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1947))->BgL_procz00);
						BgL_auxz00_3813 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2231z00_1954,
							BgL_callerz00_1948,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1950));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1947))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3813), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3819;

					{	/* Coerce/coerce.scm 407 */
						BgL_nodez00_bglt BgL_arg2233z00_1955;

						BgL_arg2233z00_1955 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1947))->BgL_msgz00);
						BgL_auxz00_3819 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2233z00_1955,
							BgL_callerz00_1948,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1950));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1947))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3819), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3825;

					{	/* Coerce/coerce.scm 408 */
						BgL_nodez00_bglt BgL_arg2234z00_1956;

						BgL_arg2234z00_1956 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1947))->BgL_objz00);
						BgL_auxz00_3825 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2234z00_1956,
							BgL_callerz00_1948,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1950));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1947))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3825), BUNSPEC);
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1947),
					((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1949), CBOOL(BgL_safez00_1950));
			}
		}
	}



/* &coerce!-conditional1978 */
	BgL_nodez00_bglt BGl_z62coercez12zd2conditional1978za2zzcoerce_coercez00(obj_t
		BgL_envz00_3362, obj_t BgL_nodez00_3363, obj_t BgL_callerz00_3364,
		obj_t BgL_toz00_3365, obj_t BgL_safez00_3366)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 293 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1819;
				obj_t BgL_callerz00_1820;
				obj_t BgL_toz00_1821;
				obj_t BgL_safez00_1822;

				BgL_nodez00_1819 = ((BgL_conditionalz00_bglt) BgL_nodez00_3363);
				BgL_callerz00_1820 = BgL_callerz00_3364;
				BgL_toz00_1821 = BgL_toz00_3365;
				BgL_safez00_1822 = BgL_safez00_3366;
				{
					BgL_appz00_bglt BgL_nodez00_1839;
					BgL_letzd2varzd2_bglt BgL_nodez00_1859;
					obj_t BgL_nodez00_1912;
					obj_t BgL_typecz00_1913;
					obj_t BgL_nodez00_1935;

					{
						BgL_nodez00_bglt BgL_auxz00_3837;

						{	/* Coerce/coerce.scm 389 */
							BgL_nodez00_bglt BgL_arg2133z00_1830;

							BgL_arg2133z00_1830 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->
								BgL_testz00);
							BgL_auxz00_3837 =
								BGl_coercez12z12zzcoerce_coercez00(BgL_arg2133z00_1830,
								BgL_callerz00_1820,
								((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00),
								CBOOL(BgL_safez00_1822));
						}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3837), BUNSPEC);
					}
					{	/* Coerce/coerce.scm 390 */
						obj_t BgL_casezd2valuezd2_1831;

						{	/* Coerce/coerce.scm 390 */
							BgL_nodez00_bglt BgL_arg2141z00_1838;

							BgL_arg2141z00_1838 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->
								BgL_testz00);
							BgL_nodez00_1935 = ((obj_t) BgL_arg2141z00_1838);
						BgL_zc3anonymousza32228ze3z83_1936:
							{	/* Coerce/coerce.scm 378 */
								obj_t BgL_g1133z00_1937;

								BgL_g1133z00_1937 =
									BGl_isazd2ofzd2zztype_miscz00(
									((BgL_nodez00_bglt) BgL_nodez00_1935));
								if (CBOOL(BgL_g1133z00_1937))
									{	/* Coerce/coerce.scm 378 */
										BgL_nodez00_1912 = BgL_nodez00_1935;
										BgL_typecz00_1913 = BgL_g1133z00_1937;
										{	/* Coerce/coerce.scm 359 */
											BgL_appz00_bglt BgL_i1129z00_1915;

											BgL_i1129z00_1915 = ((BgL_appz00_bglt) BgL_nodez00_1912);
											{	/* Coerce/coerce.scm 360 */
												obj_t BgL_typevz00_1916;

												{	/* Coerce/coerce.scm 361 */
													bool_t BgL_testz00_3849;

													{	/* Coerce/coerce.scm 361 */
														obj_t BgL_arg2223z00_1933;

														BgL_arg2223z00_1933 =
															CAR(
															(((BgL_appz00_bglt) CREF(BgL_i1129z00_1915))->
																BgL_argsz00));
														BgL_testz00_3849 =
															BGl_isazf3zf3zz__objectz00(BgL_arg2223z00_1933,
															BGl_varz00zzast_nodez00);
													}
													if (BgL_testz00_3849)
														{	/* Coerce/coerce.scm 362 */
															obj_t BgL_arg2212z00_1921;

															BgL_arg2212z00_1921 =
																CAR(
																(((BgL_appz00_bglt) CREF(BgL_i1129z00_1915))->
																	BgL_argsz00));
															BgL_typevz00_1916 =
																((obj_t)
																BGl_getzd2typezd2zztype_typeofz00((
																		(BgL_nodez00_bglt) BgL_arg2212z00_1921)));
														}
													else
														{	/* Coerce/coerce.scm 363 */
															bool_t BgL_testz00_3858;

															{	/* Coerce/coerce.scm 363 */
																obj_t BgL_arg2221z00_1931;

																BgL_arg2221z00_1931 =
																	CAR(
																	(((BgL_appz00_bglt) CREF(BgL_i1129z00_1915))->
																		BgL_argsz00));
																BgL_testz00_3858 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2221z00_1931,
																	BGl_castz00zzast_nodez00);
															}
															if (BgL_testz00_3858)
																{	/* Coerce/coerce.scm 364 */
																	BgL_castz00_bglt BgL_i1130z00_1924;

																	{	/* Coerce/coerce.scm 364 */
																		obj_t BgL_pairz00_3186;

																		BgL_pairz00_3186 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_i1129z00_1915))->BgL_argsz00);
																		BgL_i1130z00_1924 =
																			((BgL_castz00_bglt)
																			CAR(BgL_pairz00_3186));
																	}
																	{	/* Coerce/coerce.scm 365 */
																		bool_t BgL_testz00_3865;

																		{	/* Coerce/coerce.scm 365 */
																			bool_t BgL_testz00_3866;

																			{	/* Coerce/coerce.scm 365 */
																				BgL_typez00_bglt BgL_arg2219z00_1929;

																				BgL_arg2219z00_1929 =
																					(((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1130z00_1924)))->
																					BgL_typez00);
																				BgL_testz00_3866 =
																					(((obj_t) BgL_arg2219z00_1929) ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_testz00_3866)
																				{	/* Coerce/coerce.scm 365 */
																					BgL_nodez00_bglt BgL_arg2218z00_1928;

																					BgL_arg2218z00_1928 =
																						(((BgL_castz00_bglt)
																							CREF(BgL_i1130z00_1924))->
																						BgL_argz00);
																					{	/* Coerce/coerce.scm 365 */
																						bool_t BgL_res2410z00_3188;

																						{	/* Coerce/coerce.scm 365 */
																							obj_t BgL_objz00_3187;

																							BgL_objz00_3187 =
																								((obj_t) BgL_arg2218z00_1928);
																							BgL_res2410z00_3188 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_3187,
																								BGl_varz00zzast_nodez00);
																						}
																						BgL_testz00_3865 =
																							BgL_res2410z00_3188;
																					}
																				}
																			else
																				{	/* Coerce/coerce.scm 365 */
																					BgL_testz00_3865 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_3865)
																			{	/* Coerce/coerce.scm 366 */
																				BgL_nodez00_bglt BgL_arg2216z00_1926;

																				BgL_arg2216z00_1926 =
																					(((BgL_castz00_bglt)
																						CREF(BgL_i1130z00_1924))->
																					BgL_argz00);
																				BgL_typevz00_1916 =
																					((obj_t)
																					BGl_getzd2typezd2zztype_typeofz00
																					(BgL_arg2216z00_1926));
																			}
																		else
																			{	/* Coerce/coerce.scm 365 */
																				BgL_typevz00_1916 = BFALSE;
																			}
																	}
																}
															else
																{	/* Coerce/coerce.scm 363 */
																	BgL_typevz00_1916 = BFALSE;
																}
														}
												}
												if (BGl_isazf3zf3zz__objectz00(BgL_typevz00_1916,
														BGl_typez00zztype_typez00))
													{	/* Coerce/coerce.scm 368 */
														if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
																((BgL_typez00_bglt) BgL_typecz00_1913),
																((BgL_typez00_bglt) BgL_typevz00_1916)))
															{	/* Coerce/coerce.scm 370 */
																BgL_casezd2valuezd2_1831 =
																	CNST_TABLE_REF(((long) 1));
															}
														else
															{	/* Coerce/coerce.scm 370 */
																if (BGl_typezd2disjointzf3z21zztype_miscz00(
																		((BgL_typez00_bglt) BgL_typecz00_1913),
																		((BgL_typez00_bglt) BgL_typevz00_1916)))
																	{	/* Coerce/coerce.scm 372 */
																		BgL_casezd2valuezd2_1831 =
																			CNST_TABLE_REF(((long) 2));
																	}
																else
																	{	/* Coerce/coerce.scm 372 */
																		BgL_casezd2valuezd2_1831 = BFALSE;
																	}
															}
													}
												else
													{	/* Coerce/coerce.scm 368 */
														BgL_casezd2valuezd2_1831 = BFALSE;
													}
											}
										}
									}
								else
									{	/* Coerce/coerce.scm 378 */
										if (BGl_isazf3zf3zz__objectz00(BgL_nodez00_1935,
												BGl_appz00zzast_nodez00))
											{	/* Coerce/coerce.scm 382 */
												BgL_nodez00_1839 = ((BgL_appz00_bglt) BgL_nodez00_1935);
												{	/* Coerce/coerce.scm 296 */
													bool_t BgL_testz00_3891;

													{	/* Coerce/coerce.scm 296 */
														obj_t BgL_auxz00_3892;

														BgL_auxz00_3892 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_1839))->
															BgL_argsz00);
														BgL_testz00_3891 = PAIRP(BgL_auxz00_3892);
													}
													if (BgL_testz00_3891)
														{	/* Coerce/coerce.scm 296 */
															if (NULLP(CDR(
																		(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_1839))->BgL_argsz00))))
																{	/* Coerce/coerce.scm 298 */
																	bool_t BgL_testz00_3899;

																	{	/* Coerce/coerce.scm 298 */
																		bool_t BgL_testz00_3900;

																		{	/* Coerce/coerce.scm 298 */
																			obj_t BgL_arg2150z00_1854;

																			BgL_arg2150z00_1854 =
																				CAR(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_1839))->
																					BgL_argsz00));
																			BgL_testz00_3900 =
																				BGl_sidezd2effectzf3z21zzeffect_effectz00
																				(((BgL_nodez00_bglt)
																					BgL_arg2150z00_1854));
																		}
																		if (BgL_testz00_3900)
																			{	/* Coerce/coerce.scm 298 */
																				BgL_testz00_3899 = ((bool_t) 0);
																			}
																		else
																			{	/* Coerce/coerce.scm 298 */
																				BgL_testz00_3899 = ((bool_t) 1);
																			}
																	}
																	if (BgL_testz00_3899)
																		{	/* Coerce/coerce.scm 299 */
																			obj_t BgL_typecz00_1845;

																			BgL_typecz00_1845 =
																				BGl_appzd2predicatezd2ofz00zztype_miscz00
																				(BgL_nodez00_1839);
																			{	/* Coerce/coerce.scm 299 */
																				BgL_typez00_bglt BgL_typevz00_1846;

																				{	/* Coerce/coerce.scm 300 */
																					obj_t BgL_arg2147z00_1851;

																					BgL_arg2147z00_1851 =
																						CAR(
																						(((BgL_appz00_bglt)
																								CREF(BgL_nodez00_1839))->
																							BgL_argsz00));
																					BgL_typevz00_1846 =
																						BGl_getzd2typezd2zztype_typeofz00((
																							(BgL_nodez00_bglt)
																							BgL_arg2147z00_1851));
																				}
																				{	/* Coerce/coerce.scm 300 */

																					if (BGl_isazf3zf3zz__objectz00
																						(BgL_typecz00_1845,
																							BGl_typez00zztype_typez00))
																						{	/* Coerce/coerce.scm 302 */
																							if (
																								(((obj_t) BgL_typevz00_1846) ==
																									BGl_za2objza2z00zztype_cachez00))
																								{	/* Coerce/coerce.scm 305 */
																									BgL_casezd2valuezd2_1831 =
																										BFALSE;
																								}
																							else
																								{	/* Coerce/coerce.scm 305 */
																									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1845), BgL_typevz00_1846))
																										{	/* Coerce/coerce.scm 308 */
																											BgL_casezd2valuezd2_1831 =
																												CNST_TABLE_REF(((long)
																													1));
																										}
																									else
																										{	/* Coerce/coerce.scm 308 */
																											if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1845), BgL_typevz00_1846))
																												{	/* Coerce/coerce.scm 310 */
																													BgL_casezd2valuezd2_1831
																														=
																														CNST_TABLE_REF((
																															(long) 2));
																												}
																											else
																												{	/* Coerce/coerce.scm 310 */
																													BgL_casezd2valuezd2_1831
																														= BFALSE;
																												}
																										}
																								}
																						}
																					else
																						{	/* Coerce/coerce.scm 302 */
																							BgL_casezd2valuezd2_1831 = BFALSE;
																						}
																				}
																			}
																		}
																	else
																		{	/* Coerce/coerce.scm 298 */
																			BgL_casezd2valuezd2_1831 = BFALSE;
																		}
																}
															else
																{	/* Coerce/coerce.scm 297 */
																	BgL_casezd2valuezd2_1831 = BFALSE;
																}
														}
													else
														{	/* Coerce/coerce.scm 296 */
															BgL_casezd2valuezd2_1831 = BFALSE;
														}
												}
											}
										else
											{	/* Coerce/coerce.scm 382 */
												if (BGl_isazf3zf3zz__objectz00(BgL_nodez00_1935,
														BGl_letzd2varzd2zzast_nodez00))
													{	/* Coerce/coerce.scm 384 */
														BgL_nodez00_1859 =
															((BgL_letzd2varzd2_bglt) BgL_nodez00_1935);
														{	/* Coerce/coerce.scm 316 */
															bool_t BgL_testz00_3926;

															{	/* Coerce/coerce.scm 316 */
																bool_t BgL_testz00_3927;

																{	/* Coerce/coerce.scm 316 */
																	obj_t BgL_auxz00_3928;

																	BgL_auxz00_3928 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_1859))->BgL_bindingsz00);
																	BgL_testz00_3927 = PAIRP(BgL_auxz00_3928);
																}
																if (BgL_testz00_3927)
																	{	/* Coerce/coerce.scm 316 */
																		BgL_testz00_3926 =
																			NULLP(CDR(
																				(((BgL_letzd2varzd2_bglt)
																						CREF(BgL_nodez00_1859))->
																					BgL_bindingsz00)));
																	}
																else
																	{	/* Coerce/coerce.scm 316 */
																		BgL_testz00_3926 = ((bool_t) 0);
																	}
															}
															if (BgL_testz00_3926)
																{	/* Coerce/coerce.scm 318 */
																	bool_t BgL_testz00_3934;

																	{	/* Coerce/coerce.scm 318 */
																		BgL_nodez00_bglt BgL_arg2201z00_1907;

																		BgL_arg2201z00_1907 =
																			(((BgL_letzd2varzd2_bglt)
																				CREF(BgL_nodez00_1859))->BgL_bodyz00);
																		{	/* Coerce/coerce.scm 318 */
																			bool_t BgL_res2395z00_3122;

																			{	/* Coerce/coerce.scm 318 */
																				obj_t BgL_objz00_3121;

																				BgL_objz00_3121 =
																					((obj_t) BgL_arg2201z00_1907);
																				BgL_res2395z00_3122 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_3121,
																					BGl_appz00zzast_nodez00);
																			}
																			BgL_testz00_3934 = BgL_res2395z00_3122;
																		}
																	}
																	if (BgL_testz00_3934)
																		{	/* Coerce/coerce.scm 319 */
																			obj_t BgL_varz00_1864;

																			{	/* Coerce/coerce.scm 319 */
																				obj_t BgL_argsz00_1883;

																				BgL_argsz00_1883 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								(((BgL_letzd2varzd2_bglt)
																										CREF(BgL_nodez00_1859))->
																									BgL_bodyz00))))->BgL_argsz00);
																				if (PAIRP(BgL_argsz00_1883))
																					{	/* Coerce/coerce.scm 323 */
																						bool_t BgL_testz00_3943;

																						if (NULLP(CDR(BgL_argsz00_1883)))
																							{	/* Coerce/coerce.scm 323 */
																								obj_t BgL_arg2186z00_1895;

																								BgL_arg2186z00_1895 =
																									CAR(BgL_argsz00_1883);
																								BgL_testz00_3943 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2186z00_1895,
																									BGl_varz00zzast_nodez00);
																							}
																						else
																							{	/* Coerce/coerce.scm 323 */
																								BgL_testz00_3943 = ((bool_t) 0);
																							}
																						if (BgL_testz00_3943)
																							{	/* Coerce/coerce.scm 323 */
																								BgL_varz00_1864 =
																									((obj_t)
																									(((BgL_varz00_bglt) CREF(
																												((BgL_varz00_bglt)
																													CAR
																													(BgL_argsz00_1883))))->
																										BgL_variablez00));
																							}
																						else
																							{	/* Coerce/coerce.scm 326 */
																								bool_t BgL_testz00_3953;

																								{	/* Coerce/coerce.scm 326 */
																									obj_t BgL_auxz00_3954;

																									BgL_auxz00_3954 =
																										CDR(BgL_argsz00_1883);
																									BgL_testz00_3953 =
																										PAIRP(BgL_auxz00_3954);
																								}
																								if (BgL_testz00_3953)
																									{	/* Coerce/coerce.scm 328 */
																										bool_t BgL_testz00_3957;

																										if (NULLP(CDR(CDR
																													(BgL_argsz00_1883))))
																											{	/* Coerce/coerce.scm 328 */
																												obj_t
																													BgL_arg2182z00_1891;
																												BgL_arg2182z00_1891 =
																													CAR(BgL_argsz00_1883);
																												BgL_testz00_3957 =
																													BGl_isazf3zf3zz__objectz00
																													(BgL_arg2182z00_1891,
																													BGl_varz00zzast_nodez00);
																											}
																										else
																											{	/* Coerce/coerce.scm 328 */
																												BgL_testz00_3957 =
																													((bool_t) 0);
																											}
																										if (BgL_testz00_3957)
																											{	/* Coerce/coerce.scm 328 */
																												BgL_varz00_1864 =
																													((obj_t)
																													(((BgL_varz00_bglt)
																															CREF((
																																	(BgL_varz00_bglt)
																																	CAR
																																	(BgL_argsz00_1883))))->
																														BgL_variablez00));
																											}
																										else
																											{	/* Coerce/coerce.scm 328 */
																												BgL_varz00_1864 =
																													BFALSE;
																											}
																									}
																								else
																									{	/* Coerce/coerce.scm 326 */
																										BgL_varz00_1864 = BFALSE;
																									}
																							}
																					}
																				else
																					{	/* Coerce/coerce.scm 321 */
																						BgL_varz00_1864 = BFALSE;
																					}
																			}
																			{	/* Coerce/coerce.scm 319 */
																				obj_t BgL_typecz00_1865;

																				{	/* Coerce/coerce.scm 333 */
																					BgL_nodez00_bglt BgL_arg2174z00_1882;

																					BgL_arg2174z00_1882 =
																						(((BgL_letzd2varzd2_bglt)
																							CREF(BgL_nodez00_1859))->
																						BgL_bodyz00);
																					BgL_typecz00_1865 =
																						BGl_appzd2predicatezd2ofz00zztype_miscz00
																						(((BgL_appz00_bglt)
																							BgL_arg2174z00_1882));
																				}
																				{	/* Coerce/coerce.scm 333 */
																					BgL_typez00_bglt BgL_typepz00_1866;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_3971;
																						{
																							obj_t BgL_auxz00_3972;

																							{	/* Coerce/coerce.scm 334 */
																								obj_t BgL_pairz00_3154;

																								{	/* Coerce/coerce.scm 334 */
																									obj_t BgL_pairz00_3153;

																									BgL_pairz00_3153 =
																										(((BgL_letzd2varzd2_bglt)
																											CREF(BgL_nodez00_1859))->
																										BgL_bindingsz00);
																									BgL_pairz00_3154 =
																										CAR(BgL_pairz00_3153);
																								}
																								BgL_auxz00_3972 =
																									CAR(BgL_pairz00_3154);
																							}
																							BgL_auxz00_3971 =
																								((BgL_variablez00_bglt)
																								BgL_auxz00_3972);
																						}
																						BgL_typepz00_1866 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_3971))->
																							BgL_typez00);
																					}
																					{	/* Coerce/coerce.scm 334 */
																						BgL_typez00_bglt BgL_typevz00_1867;

																						if (
																							(((obj_t) BgL_typepz00_1866) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Coerce/coerce.scm 336 */
																								obj_t BgL_arg2166z00_1876;

																								BgL_arg2166z00_1876 =
																									CDR(CAR(
																										(((BgL_letzd2varzd2_bglt)
																												CREF
																												(BgL_nodez00_1859))->
																											BgL_bindingsz00)));
																								BgL_typevz00_1867 =
																									BGl_getzd2typezd2zztype_typeofz00
																									(((BgL_nodez00_bglt)
																										BgL_arg2166z00_1876));
																							}
																						else
																							{	/* Coerce/coerce.scm 335 */
																								BgL_typevz00_1867 =
																									BgL_typepz00_1866;
																							}
																						{	/* Coerce/coerce.scm 335 */

																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_typecz00_1865,
																									BGl_typez00zztype_typez00))
																								{	/* Coerce/coerce.scm 342 */
																									bool_t BgL_testz00_3988;

																									{	/* Coerce/coerce.scm 342 */
																										obj_t BgL_auxz00_3989;

																										{	/* Coerce/coerce.scm 342 */
																											obj_t BgL_pairz00_3162;

																											BgL_pairz00_3162 =
																												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1859))->BgL_bindingsz00);
																											BgL_auxz00_3989 =
																												CAR(CAR
																												(BgL_pairz00_3162));
																										}
																										BgL_testz00_3988 =
																											(BgL_varz00_1864 ==
																											BgL_auxz00_3989);
																									}
																									if (BgL_testz00_3988)
																										{	/* Coerce/coerce.scm 342 */
																											if (
																												(((obj_t)
																														BgL_typevz00_1867)
																													==
																													BGl_za2objza2z00zztype_cachez00))
																												{	/* Coerce/coerce.scm 345 */
																													BgL_casezd2valuezd2_1831
																														= BFALSE;
																												}
																											else
																												{	/* Coerce/coerce.scm 345 */
																													if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1865), BgL_typevz00_1867))
																														{	/* Coerce/coerce.scm 348 */
																															BgL_casezd2valuezd2_1831
																																=
																																CNST_TABLE_REF((
																																	(long) 1));
																														}
																													else
																														{	/* Coerce/coerce.scm 348 */
																															if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1865), BgL_typevz00_1867))
																																{	/* Coerce/coerce.scm 350 */
																																	BgL_casezd2valuezd2_1831
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			2));
																																}
																															else
																																{	/* Coerce/coerce.scm 350 */
																																	BgL_casezd2valuezd2_1831
																																		= BFALSE;
																																}
																														}
																												}
																										}
																									else
																										{	/* Coerce/coerce.scm 342 */
																											BgL_casezd2valuezd2_1831 =
																												BFALSE;
																										}
																								}
																							else
																								{	/* Coerce/coerce.scm 339 */
																									BgL_casezd2valuezd2_1831 =
																										BFALSE;
																								}
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Coerce/coerce.scm 354 */
																			bool_t BgL_testz00_4005;

																			{	/* Coerce/coerce.scm 354 */
																				bool_t BgL_testz00_4006;

																				{	/* Coerce/coerce.scm 354 */
																					BgL_nodez00_bglt BgL_arg2199z00_1906;

																					BgL_arg2199z00_1906 =
																						(((BgL_letzd2varzd2_bglt)
																							CREF(BgL_nodez00_1859))->
																						BgL_bodyz00);
																					{	/* Coerce/coerce.scm 354 */
																						bool_t BgL_res2406z00_3167;

																						{	/* Coerce/coerce.scm 354 */
																							obj_t BgL_objz00_3166;

																							BgL_objz00_3166 =
																								((obj_t) BgL_arg2199z00_1906);
																							BgL_res2406z00_3167 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_3166,
																								BGl_varz00zzast_nodez00);
																						}
																						BgL_testz00_4006 =
																							BgL_res2406z00_3167;
																					}
																				}
																				if (BgL_testz00_4006)
																					{	/* Coerce/coerce.scm 354 */
																						obj_t BgL_auxz00_4010;

																						{	/* Coerce/coerce.scm 354 */
																							obj_t BgL_pairz00_3171;

																							BgL_pairz00_3171 =
																								(((BgL_letzd2varzd2_bglt)
																									CREF(BgL_nodez00_1859))->
																								BgL_bindingsz00);
																							BgL_auxz00_4010 =
																								CAR(CAR(BgL_pairz00_3171));
																						}
																						BgL_testz00_4005 =
																							(
																							((obj_t)
																								(((BgL_varz00_bglt) CREF(
																											((BgL_varz00_bglt)
																												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1859))->BgL_bodyz00))))->BgL_variablez00)) == BgL_auxz00_4010);
																					}
																				else
																					{	/* Coerce/coerce.scm 354 */
																						BgL_testz00_4005 = ((bool_t) 0);
																					}
																			}
																			if (BgL_testz00_4005)
																				{	/* Coerce/coerce.scm 355 */
																					obj_t BgL_arg2190z00_1899;

																					{	/* Coerce/coerce.scm 355 */
																						obj_t BgL_pairz00_3175;

																						BgL_pairz00_3175 =
																							(((BgL_letzd2varzd2_bglt)
																								CREF(BgL_nodez00_1859))->
																							BgL_bindingsz00);
																						BgL_arg2190z00_1899 =
																							CDR(CAR(BgL_pairz00_3175));
																					}
																					{
																						obj_t BgL_nodez00_4022;

																						BgL_nodez00_4022 =
																							BgL_arg2190z00_1899;
																						BgL_nodez00_1935 = BgL_nodez00_4022;
																						goto
																							BgL_zc3anonymousza32228ze3z83_1936;
																					}
																				}
																			else
																				{	/* Coerce/coerce.scm 354 */
																					BgL_casezd2valuezd2_1831 = BFALSE;
																				}
																		}
																}
															else
																{	/* Coerce/coerce.scm 316 */
																	BgL_casezd2valuezd2_1831 = BFALSE;
																}
														}
													}
												else
													{	/* Coerce/coerce.scm 384 */
														BgL_casezd2valuezd2_1831 = BFALSE;
													}
											}
									}
							}
						}
						if ((BgL_casezd2valuezd2_1831 == CNST_TABLE_REF(((long) 1))))
							{	/* Coerce/coerce.scm 392 */
								BgL_nodez00_bglt BgL_arg2135z00_1833;

								BgL_arg2135z00_1833 =
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->
									BgL_truez00);
								return BGl_coercez12z12zzcoerce_coercez00(BgL_arg2135z00_1833,
									BgL_callerz00_1820, ((BgL_typez00_bglt) BgL_toz00_1821),
									CBOOL(BgL_safez00_1822));
							}
						else
							{	/* Coerce/coerce.scm 390 */
								if ((BgL_casezd2valuezd2_1831 == CNST_TABLE_REF(((long) 2))))
									{	/* Coerce/coerce.scm 394 */
										BgL_nodez00_bglt BgL_arg2137z00_1835;

										BgL_arg2137z00_1835 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->
											BgL_falsez00);
										return
											BGl_coercez12z12zzcoerce_coercez00(BgL_arg2137z00_1835,
											BgL_callerz00_1820, ((BgL_typez00_bglt) BgL_toz00_1821),
											CBOOL(BgL_safez00_1822));
									}
								else
									{	/* Coerce/coerce.scm 390 */
										{
											BgL_nodez00_bglt BgL_auxz00_4039;

											{	/* Coerce/coerce.scm 396 */
												BgL_nodez00_bglt BgL_arg2138z00_1836;

												BgL_arg2138z00_1836 =
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->
													BgL_truez00);
												BgL_auxz00_4039 =
													BGl_coercez12z12zzcoerce_coercez00
													(BgL_arg2138z00_1836, BgL_callerz00_1820,
													((BgL_typez00_bglt) BgL_toz00_1821),
													CBOOL(BgL_safez00_1822));
											}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->
													BgL_truez00) =
												((BgL_nodez00_bglt) BgL_auxz00_4039), BUNSPEC);
										}
										{
											BgL_nodez00_bglt BgL_auxz00_4045;

											{	/* Coerce/coerce.scm 397 */
												BgL_nodez00_bglt BgL_arg2139z00_1837;

												BgL_arg2139z00_1837 =
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->
													BgL_falsez00);
												BgL_auxz00_4045 =
													BGl_coercez12z12zzcoerce_coercez00
													(BgL_arg2139z00_1837, BgL_callerz00_1820,
													((BgL_typez00_bglt) BgL_toz00_1821),
													CBOOL(BgL_safez00_1822));
											}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1819))->
													BgL_falsez00) =
												((BgL_nodez00_bglt) BgL_auxz00_4045), BUNSPEC);
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1819)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_1821)),
											BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_nodez00_1819);
									}
							}
					}
				}
			}
		}
	}



/* &coerce!-setq1976 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setq1976za2zzcoerce_coercez00(obj_t
		BgL_envz00_3367, obj_t BgL_nodez00_3368, obj_t BgL_callerz00_3369,
		obj_t BgL_toz00_3370, obj_t BgL_safez00_3371)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 269 */
			{
				BgL_setqz00_bglt BgL_nodez00_1807;
				obj_t BgL_callerz00_1808;
				obj_t BgL_toz00_1809;
				obj_t BgL_safez00_1810;

				BgL_nodez00_1807 = ((BgL_setqz00_bglt) BgL_nodez00_3368);
				BgL_callerz00_1808 = BgL_callerz00_3369;
				BgL_toz00_1809 = BgL_toz00_3370;
				BgL_safez00_1810 = BgL_safez00_3371;
				{
					BgL_nodez00_bglt BgL_auxz00_4056;

					{	/* Coerce/coerce.scm 271 */
						BgL_nodez00_bglt BgL_arg2129z00_1814;
						BgL_typez00_bglt BgL_arg2130z00_1815;

						BgL_arg2129z00_1814 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1807))->BgL_valuez00);
						BgL_arg2130z00_1815 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1807))->
													BgL_varz00)))->BgL_variablez00)))->BgL_typez00);
						BgL_auxz00_4056 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2129z00_1814,
							BgL_callerz00_1808, BgL_arg2130z00_1815, CBOOL(BgL_safez00_1810));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1807))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4056), BUNSPEC);
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1807),
					((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1809), CBOOL(BgL_safez00_1810));
			}
		}
	}



/* &coerce!-cast1974 */
	BgL_nodez00_bglt BGl_z62coercez12zd2cast1974za2zzcoerce_coercez00(obj_t
		BgL_envz00_3372, obj_t BgL_nodez00_3373, obj_t BgL_callerz00_3374,
		obj_t BgL_toz00_3375, obj_t BgL_safez00_3376)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 259 */
			{
				BgL_castz00_bglt BgL_nodez00_1795;
				obj_t BgL_callerz00_1796;
				obj_t BgL_toz00_1797;
				obj_t BgL_safez00_1798;

				BgL_nodez00_1795 = ((BgL_castz00_bglt) BgL_nodez00_3373);
				BgL_callerz00_1796 = BgL_callerz00_3374;
				BgL_toz00_1797 = BgL_toz00_3375;
				BgL_safez00_1798 = BgL_safez00_3376;
				{
					BgL_nodez00_bglt BgL_auxz00_4070;

					{	/* Coerce/coerce.scm 263 */
						BgL_nodez00_bglt BgL_arg2125z00_1802;
						BgL_typez00_bglt BgL_arg2126z00_1803;

						BgL_arg2125z00_1802 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1795))->BgL_argz00);
						{	/* Coerce/coerce.scm 263 */
							BgL_nodez00_bglt BgL_arg2127z00_1804;

							BgL_arg2127z00_1804 =
								(((BgL_castz00_bglt) CREF(BgL_nodez00_1795))->BgL_argz00);
							BgL_arg2126z00_1803 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg2127z00_1804);
						}
						BgL_auxz00_4070 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2125z00_1802,
							BgL_callerz00_1796, BgL_arg2126z00_1803, CBOOL(BgL_safez00_1798));
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_1795))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4070), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 264 */
					BgL_typez00_bglt BgL_arg2128z00_1805;

					BgL_arg2128z00_1805 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1795)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1795), BgL_arg2128z00_1805,
						((BgL_typez00_bglt) BgL_toz00_1797), CBOOL(BgL_safez00_1798));
				}
			}
		}
	}



/* &coerce!-vlength1972 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vlength1972za2zzcoerce_coercez00(obj_t
		BgL_envz00_3377, obj_t BgL_nodez00_3378, obj_t BgL_callerz00_3379,
		obj_t BgL_toz00_3380, obj_t BgL_safez00_3381)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 251 */
			{
				BgL_vlengthz00_bglt BgL_nodez00_1781;
				obj_t BgL_callerz00_1782;
				obj_t BgL_toz00_1783;
				obj_t BgL_safez00_1784;

				BgL_nodez00_1781 = ((BgL_vlengthz00_bglt) BgL_nodez00_3378);
				BgL_callerz00_1782 = BgL_callerz00_3379;
				BgL_toz00_1783 = BgL_toz00_3380;
				BgL_safez00_1784 = BgL_safez00_3381;
				{	/* Coerce/coerce.scm 253 */
					obj_t BgL_arg2116z00_1788;
					BgL_nodez00_bglt BgL_arg2118z00_1789;

					BgL_arg2116z00_1788 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1781)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 253 */
						obj_t BgL_arg2120z00_1790;
						BgL_typez00_bglt BgL_arg2121z00_1791;

						{	/* Coerce/coerce.scm 253 */
							obj_t BgL_pairz00_3098;

							BgL_pairz00_3098 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1781)))->BgL_exprza2za2);
							BgL_arg2120z00_1790 = CAR(BgL_pairz00_3098);
						}
						BgL_arg2121z00_1791 =
							(((BgL_vlengthz00_bglt) CREF(BgL_nodez00_1781))->BgL_vtypez00);
						BgL_arg2118z00_1789 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2120z00_1790), BgL_callerz00_1782,
							BgL_arg2121z00_1791, CBOOL(BgL_safez00_1784));
					}
					{	/* Coerce/coerce.scm 253 */
						obj_t BgL_pairz00_3099;
						obj_t BgL_objz00_3100;

						BgL_pairz00_3099 = BgL_arg2116z00_1788;
						BgL_objz00_3100 = ((obj_t) BgL_arg2118z00_1789);
						SET_CAR(BgL_pairz00_3099, BgL_objz00_3100);
					}
				}
				{	/* Coerce/coerce.scm 254 */
					BgL_typez00_bglt BgL_arg2124z00_1793;

					BgL_arg2124z00_1793 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1781)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1781), BgL_arg2124z00_1793,
						((BgL_typez00_bglt) BgL_toz00_1783), CBOOL(BgL_safez00_1784));
				}
			}
		}
	}



/* &coerce!-vset!1970 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vsetz121970zb0zzcoerce_coercez00(obj_t
		BgL_envz00_3382, obj_t BgL_nodez00_3383, obj_t BgL_callerz00_3384,
		obj_t BgL_toz00_3385, obj_t BgL_safez00_3386)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 239 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_1753;
				obj_t BgL_callerz00_1754;
				obj_t BgL_toz00_1755;
				obj_t BgL_safez00_1756;

				BgL_nodez00_1753 = ((BgL_vsetz12z12_bglt) BgL_nodez00_3383);
				BgL_callerz00_1754 = BgL_callerz00_3384;
				BgL_toz00_1755 = BgL_toz00_3385;
				BgL_safez00_1756 = BgL_safez00_3386;
				{	/* Coerce/coerce.scm 242 */
					obj_t BgL_ftypez00_1760;

					{	/* Coerce/coerce.scm 242 */
						bool_t BgL_testz00_4102;

						{	/* Coerce/coerce.scm 242 */
							BgL_typez00_bglt BgL_arg2114z00_1779;

							BgL_arg2114z00_1779 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1753))->BgL_ftypez00);
							BgL_testz00_4102 =
								(
								((obj_t) BgL_arg2114z00_1779) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4102)
							{	/* Coerce/coerce.scm 242 */
								BgL_ftypez00_1760 = BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Coerce/coerce.scm 242 */
								BgL_ftypez00_1760 =
									((obj_t)
									(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1753))->
										BgL_ftypez00));
							}
					}
					{	/* Coerce/coerce.scm 243 */
						obj_t BgL_arg2094z00_1761;
						BgL_nodez00_bglt BgL_arg2095z00_1762;

						BgL_arg2094z00_1761 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1753)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 243 */
							obj_t BgL_arg2096z00_1763;
							BgL_typez00_bglt BgL_arg2097z00_1764;

							{	/* Coerce/coerce.scm 243 */
								obj_t BgL_pairz00_3076;

								BgL_pairz00_3076 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1753)))->
									BgL_exprza2za2);
								BgL_arg2096z00_1763 = CAR(BgL_pairz00_3076);
							}
							BgL_arg2097z00_1764 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1753))->BgL_vtypez00);
							BgL_arg2095z00_1762 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2096z00_1763), BgL_callerz00_1754,
								BgL_arg2097z00_1764, CBOOL(BgL_safez00_1756));
						}
						{	/* Coerce/coerce.scm 243 */
							obj_t BgL_pairz00_3077;
							obj_t BgL_objz00_3078;

							BgL_pairz00_3077 = BgL_arg2094z00_1761;
							BgL_objz00_3078 = ((obj_t) BgL_arg2095z00_1762);
							SET_CAR(BgL_pairz00_3077, BgL_objz00_3078);
						}
					}
					{	/* Coerce/coerce.scm 244 */
						obj_t BgL_arg2099z00_1766;
						BgL_nodez00_bglt BgL_arg2100z00_1767;

						{	/* Coerce/coerce.scm 244 */
							obj_t BgL_pairz00_3079;

							BgL_pairz00_3079 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1753)))->BgL_exprza2za2);
							BgL_arg2099z00_1766 = CDR(BgL_pairz00_3079);
						}
						{	/* Coerce/coerce.scm 244 */
							obj_t BgL_arg2102z00_1769;
							BgL_typez00_bglt BgL_arg2103z00_1770;

							{	/* Coerce/coerce.scm 244 */
								obj_t BgL_pairz00_3080;

								BgL_pairz00_3080 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1753)))->
									BgL_exprza2za2);
								BgL_arg2102z00_1769 = CAR(CDR(BgL_pairz00_3080));
							}
							BgL_arg2103z00_1770 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1753))->BgL_otypez00);
							BgL_arg2100z00_1767 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2102z00_1769), BgL_callerz00_1754,
								BgL_arg2103z00_1770, CBOOL(BgL_safez00_1756));
						}
						{	/* Coerce/coerce.scm 244 */
							obj_t BgL_pairz00_3084;
							obj_t BgL_objz00_3085;

							BgL_pairz00_3084 = BgL_arg2099z00_1766;
							BgL_objz00_3085 = ((obj_t) BgL_arg2100z00_1767);
							SET_CAR(BgL_pairz00_3084, BgL_objz00_3085);
						}
					}
					{	/* Coerce/coerce.scm 245 */
						obj_t BgL_arg2105z00_1772;
						BgL_nodez00_bglt BgL_arg2106z00_1773;

						{	/* Coerce/coerce.scm 245 */
							obj_t BgL_pairz00_3086;

							BgL_pairz00_3086 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1753)))->BgL_exprza2za2);
							BgL_arg2105z00_1772 = CDR(CDR(BgL_pairz00_3086));
						}
						{	/* Coerce/coerce.scm 245 */
							obj_t BgL_arg2108z00_1775;

							{	/* Coerce/coerce.scm 245 */
								obj_t BgL_pairz00_3090;

								BgL_pairz00_3090 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1753)))->
									BgL_exprza2za2);
								BgL_arg2108z00_1775 = CAR(CDR(CDR(BgL_pairz00_3090)));
							}
							BgL_arg2106z00_1773 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2108z00_1775), BgL_callerz00_1754,
								((BgL_typez00_bglt) BgL_ftypez00_1760),
								CBOOL(BgL_safez00_1756));
						}
						{	/* Coerce/coerce.scm 245 */
							obj_t BgL_pairz00_3096;
							obj_t BgL_objz00_3097;

							BgL_pairz00_3096 = BgL_arg2105z00_1772;
							BgL_objz00_3097 = ((obj_t) BgL_arg2106z00_1773);
							SET_CAR(BgL_pairz00_3096, BgL_objz00_3097);
						}
					}
					{	/* Coerce/coerce.scm 246 */
						BgL_typez00_bglt BgL_arg2112z00_1777;

						BgL_arg2112z00_1777 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1753)))->BgL_typez00);
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt) BgL_nodez00_1753), BgL_arg2112z00_1777,
							((BgL_typez00_bglt) BgL_toz00_1755), CBOOL(BgL_safez00_1756));
					}
				}
			}
		}
	}



/* &coerce!-vref1968 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vref1968za2zzcoerce_coercez00(obj_t
		BgL_envz00_3387, obj_t BgL_nodez00_3388, obj_t BgL_callerz00_3389,
		obj_t BgL_toz00_3390, obj_t BgL_safez00_3391)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 223 */
			{
				BgL_vrefz00_bglt BgL_nodez00_1731;
				obj_t BgL_callerz00_1732;
				obj_t BgL_toz00_1733;
				obj_t BgL_safez00_1734;

				BgL_nodez00_1731 = ((BgL_vrefz00_bglt) BgL_nodez00_3388);
				BgL_callerz00_1732 = BgL_callerz00_3389;
				BgL_toz00_1733 = BgL_toz00_3390;
				BgL_safez00_1734 = BgL_safez00_3391;
				{	/* Coerce/coerce.scm 231 */
					obj_t BgL_ftypez00_1738;

					{	/* Coerce/coerce.scm 231 */
						bool_t BgL_testz00_4154;

						{	/* Coerce/coerce.scm 231 */
							BgL_typez00_bglt BgL_arg2093z00_1751;

							BgL_arg2093z00_1751 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1731))->BgL_ftypez00);
							BgL_testz00_4154 =
								(
								((obj_t) BgL_arg2093z00_1751) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4154)
							{	/* Coerce/coerce.scm 231 */
								BgL_ftypez00_1738 = BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Coerce/coerce.scm 231 */
								BgL_ftypez00_1738 =
									((obj_t)
									(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1731))->BgL_ftypez00));
							}
					}
					{	/* Coerce/coerce.scm 232 */
						obj_t BgL_arg2079z00_1739;
						BgL_nodez00_bglt BgL_arg2080z00_1740;

						BgL_arg2079z00_1739 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1731)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 232 */
							obj_t BgL_arg2081z00_1741;
							BgL_typez00_bglt BgL_arg2082z00_1742;

							{	/* Coerce/coerce.scm 232 */
								obj_t BgL_pairz00_3066;

								BgL_pairz00_3066 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1731)))->
									BgL_exprza2za2);
								BgL_arg2081z00_1741 = CAR(BgL_pairz00_3066);
							}
							BgL_arg2082z00_1742 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1731))->BgL_vtypez00);
							BgL_arg2080z00_1740 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2081z00_1741), BgL_callerz00_1732,
								BgL_arg2082z00_1742, CBOOL(BgL_safez00_1734));
						}
						{	/* Coerce/coerce.scm 232 */
							obj_t BgL_pairz00_3067;
							obj_t BgL_objz00_3068;

							BgL_pairz00_3067 = BgL_arg2079z00_1739;
							BgL_objz00_3068 = ((obj_t) BgL_arg2080z00_1740);
							SET_CAR(BgL_pairz00_3067, BgL_objz00_3068);
						}
					}
					{	/* Coerce/coerce.scm 233 */
						obj_t BgL_arg2084z00_1744;
						BgL_nodez00_bglt BgL_arg2085z00_1745;

						{	/* Coerce/coerce.scm 233 */
							obj_t BgL_pairz00_3069;

							BgL_pairz00_3069 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1731)))->BgL_exprza2za2);
							BgL_arg2084z00_1744 = CDR(BgL_pairz00_3069);
						}
						{	/* Coerce/coerce.scm 233 */
							obj_t BgL_arg2088z00_1747;
							BgL_typez00_bglt BgL_arg2089z00_1748;

							{	/* Coerce/coerce.scm 233 */
								obj_t BgL_pairz00_3070;

								BgL_pairz00_3070 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1731)))->
									BgL_exprza2za2);
								BgL_arg2088z00_1747 = CAR(CDR(BgL_pairz00_3070));
							}
							BgL_arg2089z00_1748 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1731))->BgL_otypez00);
							BgL_arg2085z00_1745 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2088z00_1747), BgL_callerz00_1732,
								BgL_arg2089z00_1748, CBOOL(BgL_safez00_1734));
						}
						{	/* Coerce/coerce.scm 233 */
							obj_t BgL_pairz00_3074;
							obj_t BgL_objz00_3075;

							BgL_pairz00_3074 = BgL_arg2084z00_1744;
							BgL_objz00_3075 = ((obj_t) BgL_arg2085z00_1745);
							SET_CAR(BgL_pairz00_3074, BgL_objz00_3075);
						}
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1731),
						((BgL_typez00_bglt) BgL_ftypez00_1738),
						((BgL_typez00_bglt) BgL_toz00_1733), CBOOL(BgL_safez00_1734));
				}
			}
		}
	}



/* &coerce!-valloc1965 */
	BgL_nodez00_bglt BGl_z62coercez12zd2valloc1965za2zzcoerce_coercez00(obj_t
		BgL_envz00_3392, obj_t BgL_nodez00_3393, obj_t BgL_callerz00_3394,
		obj_t BgL_toz00_3395, obj_t BgL_safez00_3396)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 215 */
			{
				BgL_vallocz00_bglt BgL_nodez00_1717;
				obj_t BgL_callerz00_1718;
				obj_t BgL_toz00_1719;
				obj_t BgL_safez00_1720;

				BgL_nodez00_1717 = ((BgL_vallocz00_bglt) BgL_nodez00_3393);
				BgL_callerz00_1718 = BgL_callerz00_3394;
				BgL_toz00_1719 = BgL_toz00_3395;
				BgL_safez00_1720 = BgL_safez00_3396;
				{	/* Coerce/coerce.scm 217 */
					obj_t BgL_arg2073z00_1724;
					BgL_nodez00_bglt BgL_arg2074z00_1725;

					BgL_arg2073z00_1724 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1717)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 217 */
						obj_t BgL_arg2075z00_1726;
						BgL_typez00_bglt BgL_arg2076z00_1727;

						{	/* Coerce/coerce.scm 217 */
							obj_t BgL_pairz00_3063;

							BgL_pairz00_3063 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1717)))->BgL_exprza2za2);
							BgL_arg2075z00_1726 = CAR(BgL_pairz00_3063);
						}
						BgL_arg2076z00_1727 =
							(((BgL_vallocz00_bglt) CREF(BgL_nodez00_1717))->BgL_otypez00);
						BgL_arg2074z00_1725 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2075z00_1726), BgL_callerz00_1718,
							BgL_arg2076z00_1727, CBOOL(BgL_safez00_1720));
					}
					{	/* Coerce/coerce.scm 217 */
						obj_t BgL_pairz00_3064;
						obj_t BgL_objz00_3065;

						BgL_pairz00_3064 = BgL_arg2073z00_1724;
						BgL_objz00_3065 = ((obj_t) BgL_arg2074z00_1725);
						SET_CAR(BgL_pairz00_3064, BgL_objz00_3065);
					}
				}
				{	/* Coerce/coerce.scm 218 */
					BgL_typez00_bglt BgL_arg2078z00_1729;

					BgL_arg2078z00_1729 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1717)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1717), BgL_arg2078z00_1729,
						((BgL_typez00_bglt) BgL_toz00_1719), CBOOL(BgL_safez00_1720));
				}
			}
		}
	}



/* &coerce!-new1963 */
	BgL_nodez00_bglt BGl_z62coercez12zd2new1963za2zzcoerce_coercez00(obj_t
		BgL_envz00_3397, obj_t BgL_nodez00_3398, obj_t BgL_callerz00_3399,
		obj_t BgL_toz00_3400, obj_t BgL_safez00_3401)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 201 */
			{
				BgL_newz00_bglt BgL_nodez00_1697;
				obj_t BgL_callerz00_1698;
				obj_t BgL_toz00_1699;
				obj_t BgL_safez00_1700;

				BgL_nodez00_1697 = ((BgL_newz00_bglt) BgL_nodez00_3398);
				BgL_callerz00_1698 = BgL_callerz00_3399;
				BgL_toz00_1699 = BgL_toz00_3400;
				BgL_safez00_1700 = BgL_safez00_3401;
				{
					obj_t BgL_lz00_1706;

					{	/* Coerce/coerce.scm 203 */
						obj_t BgL_arg2066z00_1705;

						BgL_arg2066z00_1705 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1697)))->BgL_exprza2za2);
						BgL_lz00_1706 = BgL_arg2066z00_1705;
					BgL_zc3anonymousza32067ze3z83_1707:
						if (NULLP(BgL_lz00_1706))
							{	/* Coerce/coerce.scm 205 */
								BgL_typez00_bglt BgL_arg2069z00_1709;

								BgL_arg2069z00_1709 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1697)))->BgL_typez00);
								BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt) BgL_nodez00_1697), BgL_arg2069z00_1709,
									((BgL_typez00_bglt) BgL_toz00_1699), CBOOL(BgL_safez00_1700));
							}
						else
							{	/* Coerce/coerce.scm 206 */
								obj_t BgL_vz00_1710;

								BgL_vz00_1710 = CAR(BgL_lz00_1706);
								{	/* Coerce/coerce.scm 206 */
									BgL_nodez00_bglt BgL_nvz00_1711;

									{	/* Coerce/coerce.scm 207 */
										BgL_typez00_bglt BgL_arg2071z00_1713;

										BgL_arg2071z00_1713 =
											BGl_getzd2typezd2zztype_typeofz00(
											((BgL_nodez00_bglt) BgL_vz00_1710));
										BgL_nvz00_1711 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_vz00_1710), BgL_callerz00_1698,
											BgL_arg2071z00_1713, CBOOL(BgL_safez00_1700));
									}
									{	/* Coerce/coerce.scm 207 */

										{	/* Coerce/coerce.scm 208 */
											obj_t BgL_pairz00_3060;
											obj_t BgL_objz00_3061;

											BgL_pairz00_3060 = BgL_lz00_1706;
											BgL_objz00_3061 = ((obj_t) BgL_nvz00_1711);
											SET_CAR(BgL_pairz00_3060, BgL_objz00_3061);
										}
										{
											obj_t BgL_lz00_4226;

											BgL_lz00_4226 = CDR(BgL_lz00_1706);
											BgL_lz00_1706 = BgL_lz00_4226;
											goto BgL_zc3anonymousza32067ze3z83_1707;
										}
									}
								}
							}
					}
				}
				{	/* Coerce/coerce.scm 210 */
					BgL_typez00_bglt BgL_arg2072z00_1715;

					BgL_arg2072z00_1715 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1697)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1697), BgL_arg2072z00_1715,
						((BgL_typez00_bglt) BgL_toz00_1699), CBOOL(BgL_safez00_1700));
				}
			}
		}
	}



/* &coerce!-setfield1961 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setfield1961za2zzcoerce_coercez00(obj_t
		BgL_envz00_3402, obj_t BgL_nodez00_3403, obj_t BgL_callerz00_3404,
		obj_t BgL_toz00_3405, obj_t BgL_safez00_3406)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 192 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1678;
				obj_t BgL_callerz00_1679;
				obj_t BgL_toz00_1680;
				obj_t BgL_safez00_1681;

				BgL_nodez00_1678 = ((BgL_setfieldz00_bglt) BgL_nodez00_3403);
				BgL_callerz00_1679 = BgL_callerz00_3404;
				BgL_toz00_1680 = BgL_toz00_3405;
				BgL_safez00_1681 = BgL_safez00_3406;
				{	/* Coerce/coerce.scm 194 */
					obj_t BgL_arg2055z00_1685;
					BgL_nodez00_bglt BgL_arg2056z00_1686;

					BgL_arg2055z00_1685 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1678)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 194 */
						obj_t BgL_arg2057z00_1687;
						BgL_typez00_bglt BgL_arg2058z00_1688;

						{	/* Coerce/coerce.scm 194 */
							obj_t BgL_pairz00_3047;

							BgL_pairz00_3047 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1678)))->BgL_exprza2za2);
							BgL_arg2057z00_1687 = CAR(BgL_pairz00_3047);
						}
						BgL_arg2058z00_1688 =
							(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1678))->BgL_otypez00);
						BgL_arg2056z00_1686 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2057z00_1687), BgL_callerz00_1679,
							BgL_arg2058z00_1688, CBOOL(BgL_safez00_1681));
					}
					{	/* Coerce/coerce.scm 194 */
						obj_t BgL_pairz00_3048;
						obj_t BgL_objz00_3049;

						BgL_pairz00_3048 = BgL_arg2055z00_1685;
						BgL_objz00_3049 = ((obj_t) BgL_arg2056z00_1686);
						SET_CAR(BgL_pairz00_3048, BgL_objz00_3049);
					}
				}
				{	/* Coerce/coerce.scm 195 */
					obj_t BgL_arg2060z00_1690;
					BgL_nodez00_bglt BgL_arg2061z00_1691;

					{	/* Coerce/coerce.scm 195 */
						obj_t BgL_pairz00_3050;

						BgL_pairz00_3050 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1678)))->BgL_exprza2za2);
						BgL_arg2060z00_1690 = CDR(BgL_pairz00_3050);
					}
					{	/* Coerce/coerce.scm 195 */
						obj_t BgL_arg2063z00_1693;
						BgL_typez00_bglt BgL_arg2064z00_1694;

						{	/* Coerce/coerce.scm 195 */
							obj_t BgL_pairz00_3051;

							BgL_pairz00_3051 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1678)))->BgL_exprza2za2);
							BgL_arg2063z00_1693 = CAR(CDR(BgL_pairz00_3051));
						}
						BgL_arg2064z00_1694 =
							(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1678))->BgL_ftypez00);
						BgL_arg2061z00_1691 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2063z00_1693), BgL_callerz00_1679,
							BgL_arg2064z00_1694, CBOOL(BgL_safez00_1681));
					}
					{	/* Coerce/coerce.scm 195 */
						obj_t BgL_pairz00_3055;
						obj_t BgL_objz00_3056;

						BgL_pairz00_3055 = BgL_arg2060z00_1690;
						BgL_objz00_3056 = ((obj_t) BgL_arg2061z00_1691);
						SET_CAR(BgL_pairz00_3055, BgL_objz00_3056);
					}
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1678),
					((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1680), CBOOL(BgL_safez00_1681));
			}
		}
	}



/* &coerce!-getfield1959 */
	BgL_nodez00_bglt BGl_z62coercez12zd2getfield1959za2zzcoerce_coercez00(obj_t
		BgL_envz00_3407, obj_t BgL_nodez00_3408, obj_t BgL_callerz00_3409,
		obj_t BgL_toz00_3410, obj_t BgL_safez00_3411)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 184 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1664;
				obj_t BgL_callerz00_1665;
				obj_t BgL_toz00_1666;
				obj_t BgL_safez00_1667;

				BgL_nodez00_1664 = ((BgL_getfieldz00_bglt) BgL_nodez00_3408);
				BgL_callerz00_1665 = BgL_callerz00_3409;
				BgL_toz00_1666 = BgL_toz00_3410;
				BgL_safez00_1667 = BgL_safez00_3411;
				{	/* Coerce/coerce.scm 186 */
					obj_t BgL_arg2048z00_1671;
					BgL_nodez00_bglt BgL_arg2050z00_1672;

					BgL_arg2048z00_1671 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1664)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 186 */
						obj_t BgL_arg2051z00_1673;
						BgL_typez00_bglt BgL_arg2052z00_1674;

						{	/* Coerce/coerce.scm 186 */
							obj_t BgL_pairz00_3044;

							BgL_pairz00_3044 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1664)))->BgL_exprza2za2);
							BgL_arg2051z00_1673 = CAR(BgL_pairz00_3044);
						}
						BgL_arg2052z00_1674 =
							(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1664))->BgL_otypez00);
						BgL_arg2050z00_1672 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2051z00_1673), BgL_callerz00_1665,
							BgL_arg2052z00_1674, CBOOL(BgL_safez00_1667));
					}
					{	/* Coerce/coerce.scm 186 */
						obj_t BgL_pairz00_3045;
						obj_t BgL_objz00_3046;

						BgL_pairz00_3045 = BgL_arg2048z00_1671;
						BgL_objz00_3046 = ((obj_t) BgL_arg2050z00_1672);
						SET_CAR(BgL_pairz00_3045, BgL_objz00_3046);
					}
				}
				{	/* Coerce/coerce.scm 187 */
					BgL_typez00_bglt BgL_arg2054z00_1676;

					BgL_arg2054z00_1676 =
						(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1664))->BgL_ftypez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1664), BgL_arg2054z00_1676,
						((BgL_typez00_bglt) BgL_toz00_1666), CBOOL(BgL_safez00_1667));
				}
			}
		}
	}



/* &coerce!-widening1956 */
	BgL_nodez00_bglt BGl_z62coercez12zd2widening1956za2zzcoerce_coercez00(obj_t
		BgL_envz00_3412, obj_t BgL_nodez00_3413, obj_t BgL_callerz00_3414,
		obj_t BgL_toz00_3415, obj_t BgL_safez00_3416)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 173 */
			{
				BgL_wideningz00_bglt BgL_nodez00_1650;
				obj_t BgL_callerz00_1651;
				obj_t BgL_toz00_1652;
				obj_t BgL_safez00_1653;

				BgL_nodez00_1650 = ((BgL_wideningz00_bglt) BgL_nodez00_3413);
				BgL_callerz00_1651 = BgL_callerz00_3414;
				BgL_toz00_1652 = BgL_toz00_3415;
				BgL_safez00_1653 = BgL_safez00_3416;
				{	/* Coerce/coerce.scm 177 */
					obj_t BgL_superz00_1657;

					{
						BgL_tclassz00_bglt BgL_auxz00_4282;

						{
							obj_t BgL_auxz00_4283;

							{	/* Coerce/coerce.scm 177 */
								BgL_objectz00_bglt BgL_auxz00_4284;

								BgL_auxz00_4284 =
									((BgL_objectz00_bglt)
									((BgL_typez00_bglt)
										(((BgL_wideningz00_bglt) CREF(BgL_nodez00_1650))->
											BgL_otypez00)));
								BgL_auxz00_4283 = BGL_OBJECT_WIDENING(BgL_auxz00_4284);
							}
							BgL_auxz00_4282 = ((BgL_tclassz00_bglt) BgL_auxz00_4283);
						}
						BgL_superz00_1657 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_4282))->
							BgL_itszd2superzd2);
					}
					{	/* Coerce/coerce.scm 178 */
						obj_t BgL_arg2041z00_1658;
						BgL_nodez00_bglt BgL_arg2042z00_1659;

						BgL_arg2041z00_1658 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1650)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 178 */
							obj_t BgL_arg2044z00_1660;

							{	/* Coerce/coerce.scm 178 */
								obj_t BgL_pairz00_3041;

								BgL_pairz00_3041 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1650)))->
									BgL_exprza2za2);
								BgL_arg2044z00_1660 = CAR(BgL_pairz00_3041);
							}
							BgL_arg2042z00_1659 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2044z00_1660), BgL_callerz00_1651,
								((BgL_typez00_bglt) BgL_superz00_1657),
								CBOOL(BgL_safez00_1653));
						}
						{	/* Coerce/coerce.scm 178 */
							obj_t BgL_pairz00_3042;
							obj_t BgL_objz00_3043;

							BgL_pairz00_3042 = BgL_arg2041z00_1658;
							BgL_objz00_3043 = ((obj_t) BgL_arg2042z00_1659);
							SET_CAR(BgL_pairz00_3042, BgL_objz00_3043);
						}
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1650),
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						((BgL_typez00_bglt) BgL_toz00_1652), CBOOL(BgL_safez00_1653));
				}
			}
		}
	}



/* &coerce!-extern1954 */
	BgL_nodez00_bglt BGl_z62coercez12zd2extern1954za2zzcoerce_coercez00(obj_t
		BgL_envz00_3417, obj_t BgL_nodez00_3418, obj_t BgL_callerz00_3419,
		obj_t BgL_toz00_3420, obj_t BgL_safez00_3421)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 160 */
			{
				BgL_externz00_bglt BgL_nodez00_1631;
				obj_t BgL_callerz00_1632;
				obj_t BgL_toz00_1633;
				obj_t BgL_safez00_1634;

				BgL_nodez00_1631 = ((BgL_externz00_bglt) BgL_nodez00_3418);
				BgL_callerz00_1632 = BgL_callerz00_3419;
				BgL_toz00_1633 = BgL_toz00_3420;
				BgL_safez00_1634 = BgL_safez00_3421;
				{
					obj_t BgL_valuesz00_1640;

					BgL_valuesz00_1640 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1631))->BgL_exprza2za2);
				BgL_zc3anonymousza32036ze3z83_1641:
					if (NULLP(BgL_valuesz00_1640))
						{	/* Coerce/coerce.scm 164 */
							BgL_typez00_bglt BgL_arg2038z00_1643;

							BgL_arg2038z00_1643 =
								BGl_getzd2typezd2zztype_typeofz00(
								((BgL_nodez00_bglt) BgL_nodez00_1631));
							return
								BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt) BgL_nodez00_1631), BgL_arg2038z00_1643,
								((BgL_typez00_bglt) BgL_toz00_1633), CBOOL(BgL_safez00_1634));
						}
					else
						{	/* Coerce/coerce.scm 165 */
							obj_t BgL_vz00_1644;

							BgL_vz00_1644 = CAR(BgL_valuesz00_1640);
							{	/* Coerce/coerce.scm 165 */
								BgL_nodez00_bglt BgL_nvz00_1645;

								{	/* Coerce/coerce.scm 166 */
									BgL_typez00_bglt BgL_arg2040z00_1647;

									BgL_arg2040z00_1647 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_vz00_1644));
									BgL_nvz00_1645 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_vz00_1644), BgL_callerz00_1632,
										BgL_arg2040z00_1647, CBOOL(BgL_safez00_1634));
								}
								{	/* Coerce/coerce.scm 166 */

									{	/* Coerce/coerce.scm 167 */
										obj_t BgL_pairz00_3036;
										obj_t BgL_objz00_3037;

										BgL_pairz00_3036 = BgL_valuesz00_1640;
										BgL_objz00_3037 = ((obj_t) BgL_nvz00_1645);
										SET_CAR(BgL_pairz00_3036, BgL_objz00_3037);
									}
									{
										obj_t BgL_valuesz00_4324;

										BgL_valuesz00_4324 = CDR(BgL_valuesz00_1640);
										BgL_valuesz00_1640 = BgL_valuesz00_4324;
										goto BgL_zc3anonymousza32036ze3z83_1641;
									}
								}
							}
						}
				}
			}
		}
	}



/* &coerce!-sync1952 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sync1952za2zzcoerce_coercez00(obj_t
		BgL_envz00_3422, obj_t BgL_nodez00_3423, obj_t BgL_callerz00_3424,
		obj_t BgL_toz00_3425, obj_t BgL_safez00_3426)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 143 */
			{
				BgL_syncz00_bglt BgL_nodez00_1609;
				obj_t BgL_callerz00_1610;
				obj_t BgL_toz00_1611;
				obj_t BgL_safez00_1612;

				BgL_nodez00_1609 = ((BgL_syncz00_bglt) BgL_nodez00_3423);
				BgL_callerz00_1610 = BgL_callerz00_3424;
				BgL_toz00_1611 = BgL_toz00_3425;
				BgL_safez00_1612 = BgL_safez00_3426;
				{
					BgL_nodez00_bglt BgL_auxz00_4328;

					{	/* Coerce/coerce.scm 145 */
						BgL_nodez00_bglt BgL_arg2025z00_1616;

						BgL_arg2025z00_1616 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1609))->BgL_mutexz00);
						BgL_auxz00_4328 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2025z00_1616,
							BgL_callerz00_1610,
							((BgL_typez00_bglt) BGl_za2mutexza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1612));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1609))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4328), BUNSPEC);
				}
				{
					obj_t BgL_nodesz00_1619;

					{	/* Coerce/coerce.scm 146 */
						obj_t BgL_arg2026z00_1618;

						BgL_arg2026z00_1618 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1609))->BgL_nodesz00);
						{
							BgL_syncz00_bglt BgL_auxz00_4335;

							BgL_nodesz00_1619 = BgL_arg2026z00_1618;
						BgL_zc3anonymousza32027ze3z83_1620:
							{	/* Coerce/coerce.scm 147 */
								obj_t BgL_nz00_1621;

								BgL_nz00_1621 = CAR(BgL_nodesz00_1619);
								if (NULLP(CDR(BgL_nodesz00_1619)))
									{	/* Coerce/coerce.scm 148 */
										{	/* Coerce/coerce.scm 150 */
											BgL_nodez00_bglt BgL_arg2029z00_1623;

											BgL_arg2029z00_1623 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_nz00_1621), BgL_callerz00_1610,
												((BgL_typez00_bglt) BgL_toz00_1611),
												CBOOL(BgL_safez00_1612));
											{	/* Coerce/coerce.scm 150 */
												obj_t BgL_pairz00_3028;
												obj_t BgL_objz00_3029;

												BgL_pairz00_3028 = BgL_nodesz00_1619;
												BgL_objz00_3029 = ((obj_t) BgL_arg2029z00_1623);
												SET_CAR(BgL_pairz00_3028, BgL_objz00_3029);
											}
										}
										{
											BgL_typez00_bglt BgL_auxz00_4346;

											{	/* Coerce/coerce.scm 151 */
												BgL_typez00_bglt BgL_arg2030z00_1624;

												BgL_arg2030z00_1624 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_nodez00_1609)))->
													BgL_typez00);
												BgL_auxz00_4346 =
													BGl_strictzd2nodezd2typez00zzast_nodez00((
														(BgL_typez00_bglt) BgL_toz00_1611),
													BgL_arg2030z00_1624);
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_nodez00_1609)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_4346), BUNSPEC);
										}
										BgL_auxz00_4335 = BgL_nodez00_1609;
									}
								else
									{	/* Coerce/coerce.scm 148 */
										{	/* Coerce/coerce.scm 154 */
											BgL_nodez00_bglt BgL_arg2031z00_1625;

											{	/* Coerce/coerce.scm 154 */
												BgL_typez00_bglt BgL_arg2032z00_1626;

												BgL_arg2032z00_1626 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt) BgL_nz00_1621));
												BgL_arg2031z00_1625 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_nz00_1621),
													BgL_callerz00_1610, BgL_arg2032z00_1626,
													CBOOL(BgL_safez00_1612));
											}
											{	/* Coerce/coerce.scm 154 */
												obj_t BgL_pairz00_3030;
												obj_t BgL_objz00_3031;

												BgL_pairz00_3030 = BgL_nodesz00_1619;
												BgL_objz00_3031 = ((obj_t) BgL_arg2031z00_1625);
												SET_CAR(BgL_pairz00_3030, BgL_objz00_3031);
											}
										}
										{
											obj_t BgL_nodesz00_4360;

											BgL_nodesz00_4360 = CDR(BgL_nodesz00_1619);
											BgL_nodesz00_1619 = BgL_nodesz00_4360;
											goto BgL_zc3anonymousza32027ze3z83_1620;
										}
									}
							}
							return ((BgL_nodez00_bglt) BgL_auxz00_4335);
						}
					}
				}
			}
		}
	}



/* &coerce!-sequence1950 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sequence1950za2zzcoerce_coercez00(obj_t
		BgL_envz00_3427, obj_t BgL_nodez00_3428, obj_t BgL_callerz00_3429,
		obj_t BgL_toz00_3430, obj_t BgL_safez00_3431)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 126 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1585;
				obj_t BgL_callerz00_1586;
				obj_t BgL_toz00_1587;
				obj_t BgL_safez00_1588;

				BgL_nodez00_1585 = ((BgL_sequencez00_bglt) BgL_nodez00_3428);
				BgL_callerz00_1586 = BgL_callerz00_3429;
				BgL_toz00_1587 = BgL_toz00_3430;
				BgL_safez00_1588 = BgL_safez00_3431;
				{	/* Coerce/coerce.scm 128 */
					obj_t BgL_sz00_1592;

					{	/* Coerce/coerce.scm 128 */
						bool_t BgL_testz00_4364;

						if (
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1585))->BgL_unsafez00))
							{	/* Coerce/coerce.scm 128 */
								BgL_testz00_4364 = ((bool_t) 0);
							}
						else
							{	/* Coerce/coerce.scm 128 */
								BgL_testz00_4364 = ((bool_t) 1);
							}
						if (BgL_testz00_4364)
							{	/* Coerce/coerce.scm 128 */
								BgL_sz00_1592 = BgL_safez00_1588;
							}
						else
							{	/* Coerce/coerce.scm 128 */
								BgL_sz00_1592 = BFALSE;
							}
					}
					{
						obj_t BgL_nodesz00_1595;

						{	/* Coerce/coerce.scm 129 */
							obj_t BgL_arg2014z00_1594;

							BgL_arg2014z00_1594 =
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1585))->BgL_nodesz00);
							{
								BgL_sequencez00_bglt BgL_auxz00_4368;

								BgL_nodesz00_1595 = BgL_arg2014z00_1594;
							BgL_zc3anonymousza32015ze3z83_1596:
								{	/* Coerce/coerce.scm 130 */
									obj_t BgL_nz00_1597;

									BgL_nz00_1597 = CAR(BgL_nodesz00_1595);
									if (NULLP(CDR(BgL_nodesz00_1595)))
										{	/* Coerce/coerce.scm 131 */
											{	/* Coerce/coerce.scm 133 */
												BgL_nodez00_bglt BgL_arg2017z00_1599;

												BgL_arg2017z00_1599 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_nz00_1597),
													BgL_callerz00_1586,
													((BgL_typez00_bglt) BgL_toz00_1587),
													CBOOL(BgL_sz00_1592));
												{	/* Coerce/coerce.scm 133 */
													obj_t BgL_pairz00_3019;
													obj_t BgL_objz00_3020;

													BgL_pairz00_3019 = BgL_nodesz00_1595;
													BgL_objz00_3020 = ((obj_t) BgL_arg2017z00_1599);
													SET_CAR(BgL_pairz00_3019, BgL_objz00_3020);
												}
											}
											{
												BgL_typez00_bglt BgL_auxz00_4379;

												{	/* Coerce/coerce.scm 134 */
													BgL_typez00_bglt BgL_arg2018z00_1600;

													BgL_arg2018z00_1600 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1585)))->
														BgL_typez00);
													BgL_auxz00_4379 =
														BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_1587),
														BgL_arg2018z00_1600);
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1585)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_4379), BUNSPEC);
											}
											BgL_auxz00_4368 = BgL_nodez00_1585;
										}
									else
										{	/* Coerce/coerce.scm 131 */
											{	/* Coerce/coerce.scm 137 */
												BgL_nodez00_bglt BgL_arg2019z00_1601;

												{	/* Coerce/coerce.scm 137 */
													BgL_typez00_bglt BgL_arg2021z00_1602;

													BgL_arg2021z00_1602 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nz00_1597));
													BgL_arg2019z00_1601 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_nz00_1597),
														BgL_callerz00_1586, BgL_arg2021z00_1602,
														CBOOL(BgL_sz00_1592));
												}
												{	/* Coerce/coerce.scm 137 */
													obj_t BgL_pairz00_3021;
													obj_t BgL_objz00_3022;

													BgL_pairz00_3021 = BgL_nodesz00_1595;
													BgL_objz00_3022 = ((obj_t) BgL_arg2019z00_1601);
													SET_CAR(BgL_pairz00_3021, BgL_objz00_3022);
												}
											}
											{
												obj_t BgL_nodesz00_4393;

												BgL_nodesz00_4393 = CDR(BgL_nodesz00_1595);
												BgL_nodesz00_1595 = BgL_nodesz00_4393;
												goto BgL_zc3anonymousza32015ze3z83_1596;
											}
										}
								}
								return ((BgL_nodez00_bglt) BgL_auxz00_4368);
							}
						}
					}
				}
			}
		}
	}



/* &coerce!-closure1948 */
	BgL_nodez00_bglt BGl_z62coercez12zd2closure1948za2zzcoerce_coercez00(obj_t
		BgL_envz00_3432, obj_t BgL_nodez00_3433, obj_t BgL_callerz00_3434,
		obj_t BgL_toz00_3435, obj_t BgL_safez00_3436)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 120 */
			{
				BgL_closurez00_bglt BgL_nodez00_1577;
				obj_t BgL_callerz00_1578;
				obj_t BgL_toz00_1579;
				obj_t BgL_safez00_1580;

				BgL_nodez00_1577 = ((BgL_closurez00_bglt) BgL_nodez00_3433);
				BgL_callerz00_1578 = BgL_callerz00_3434;
				BgL_toz00_1579 = BgL_toz00_3435;
				BgL_safez00_1580 = BgL_safez00_3436;
				{	/* Coerce/coerce.scm 121 */
					obj_t BgL_arg2013z00_3014;

					BgL_arg2013z00_3014 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1577));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2433z00zzcoerce_coercez00,
							BGl_string2466z00zzcoerce_coercez00, BgL_arg2013z00_3014));
				}
			}
		}
	}



/* &coerce!-var1945 */
	BgL_nodez00_bglt BGl_z62coercez12zd2var1945za2zzcoerce_coercez00(obj_t
		BgL_envz00_3437, obj_t BgL_nodez00_3438, obj_t BgL_callerz00_3439,
		obj_t BgL_toz00_3440, obj_t BgL_safez00_3441)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 105 */
			{
				BgL_varz00_bglt BgL_nodez00_1563;
				obj_t BgL_callerz00_1564;
				obj_t BgL_toz00_1565;
				obj_t BgL_safez00_1566;

				BgL_nodez00_1563 = ((BgL_varz00_bglt) BgL_nodez00_3438);
				BgL_callerz00_1564 = BgL_callerz00_3439;
				BgL_toz00_1565 = BgL_toz00_3440;
				BgL_safez00_1566 = BgL_safez00_3441;
				{	/* Coerce/coerce.scm 107 */
					BgL_typez00_bglt BgL_ntypez00_1570;
					BgL_typez00_bglt BgL_vtypez00_1571;

					BgL_ntypez00_1570 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1563));
					BgL_vtypez00_1571 =
						(((BgL_variablez00_bglt) CREF(
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1563))->
									BgL_variablez00)))->BgL_typez00);
					if ((((obj_t) BgL_vtypez00_1571) == BgL_toz00_1565))
						{	/* Coerce/coerce.scm 110 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1563);
						}
					else
						{	/* Coerce/coerce.scm 110 */
							if ((((obj_t) BgL_ntypez00_1570) == ((obj_t) BgL_vtypez00_1571)))
								{	/* Coerce/coerce.scm 112 */
									return
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1563), BgL_ntypez00_1570,
										((BgL_typez00_bglt) BgL_toz00_1565),
										CBOOL(BgL_safez00_1566));
								}
							else
								{	/* Coerce/coerce.scm 115 */
									BgL_nodez00_bglt BgL_arg2011z00_1574;

									BgL_arg2011z00_1574 =
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1563), BgL_vtypez00_1571,
										BgL_ntypez00_1570, ((bool_t) 0));
									return
										BGl_convertz12z12zzcoerce_convertz00(BgL_arg2011z00_1574,
										BgL_ntypez00_1570, ((BgL_typez00_bglt) BgL_toz00_1565),
										CBOOL(BgL_safez00_1566));
								}
						}
				}
			}
		}
	}



/* &coerce!-kwote1943 */
	BgL_nodez00_bglt BGl_z62coercez12zd2kwote1943za2zzcoerce_coercez00(obj_t
		BgL_envz00_3442, obj_t BgL_nodez00_3443, obj_t BgL_callerz00_3444,
		obj_t BgL_toz00_3445, obj_t BgL_safez00_3446)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 90 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1555;
				obj_t BgL_callerz00_1556;
				obj_t BgL_toz00_1557;
				obj_t BgL_safez00_1558;

				BgL_nodez00_1555 = ((BgL_kwotez00_bglt) BgL_nodez00_3443);
				BgL_callerz00_1556 = BgL_callerz00_3444;
				BgL_toz00_1557 = BgL_toz00_3445;
				BgL_safez00_1558 = BgL_safez00_3446;
				{	/* Coerce/coerce.scm 91 */
					BgL_typez00_bglt BgL_arg2008z00_3010;

					BgL_arg2008z00_3010 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1555));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1555), BgL_arg2008z00_3010,
						((BgL_typez00_bglt) BgL_toz00_1557), CBOOL(BgL_safez00_1558));
				}
			}
		}
	}



/* &coerce!-atom1940 */
	BgL_nodez00_bglt BGl_z62coercez12zd2atom1940za2zzcoerce_coercez00(obj_t
		BgL_envz00_3447, obj_t BgL_nodez00_3448, obj_t BgL_callerz00_3449,
		obj_t BgL_toz00_3450, obj_t BgL_safez00_3451)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 84 */
			{
				BgL_atomz00_bglt BgL_nodez00_1547;
				obj_t BgL_callerz00_1548;
				obj_t BgL_toz00_1549;
				obj_t BgL_safez00_1550;

				BgL_nodez00_1547 = ((BgL_atomz00_bglt) BgL_nodez00_3448);
				BgL_callerz00_1548 = BgL_callerz00_3449;
				BgL_toz00_1549 = BgL_toz00_3450;
				BgL_safez00_1550 = BgL_safez00_3451;
				{	/* Coerce/coerce.scm 85 */
					BgL_typez00_bglt BgL_arg2007z00_3009;

					BgL_arg2007z00_3009 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1547));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1547), BgL_arg2007z00_3009,
						((BgL_typez00_bglt) BgL_toz00_1549), CBOOL(BgL_safez00_1550));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long) 44915300),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_appz00(((long) 419328946),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_applyz00(((long) 435902431),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(((long) 40876382),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2467z00zzcoerce_coercez00));
		}
	}

#ifdef __cplusplus
}
#endif
