/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_z62dataflowzd2nodez12zd2exter2135z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va2167zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2setq2137z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32333ze3z83zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t
		BGl_zc3anonymousza32317ze3z83zzdataflow_walkz00(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sync2181z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2condi2139z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var2121z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32250ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r2155za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f2145za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v2147za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd22151za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s2157za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun2185z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap2161zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd22153za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2co2165zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62abortzf3zd2letzd2var2183z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22170zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sequence2179z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22173zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l2131za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2le2169zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2selec2143z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2funca2133z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez12zd2sync2127z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2fail2141z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez122118za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2app2129z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32292ze3z83zzdataflow_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_z62zc3anonymousza32356ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2closu2123z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62abortzf32174z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2in2163zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque2125z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static BgL_localz00_bglt BGl_z62lambda2245z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2248z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2env2158z62zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2251z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2259z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62abortzf3zd2app2189z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62lambda2260z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2264z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2265z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62abortzf3zd2funcall2191z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static obj_t BGl_z62abortzf3zd2conditional2187z43zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e2149za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62abortzf3zd2appzd2ly2193z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2fail2177z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2729z00zzdataflow_walkz00,
		BgL_bgl_string2729za700za7za7d2795za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2730z00zzdataflow_walkz00,
		BgL_bgl_string2730za700za7za7d2796za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2731z00zzdataflow_walkz00,
		BgL_bgl_string2731za700za7za7d2797za7, " error", 6);
	      DEFINE_STRING(BGl_string2732z00zzdataflow_walkz00,
		BgL_bgl_string2732za700za7za7d2798za7, "s", 1);
	      DEFINE_STRING(BGl_string2733z00zzdataflow_walkz00,
		BgL_bgl_string2733za700za7za7d2799za7, "", 0);
	      DEFINE_STRING(BGl_string2734z00zzdataflow_walkz00,
		BgL_bgl_string2734za700za7za7d2800za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2735z00zzdataflow_walkz00,
		BgL_bgl_string2735za700za7za7d2801za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2745z00zzdataflow_walkz00,
		BgL_bgl_string2745za700za7za7d2802za7, "dataflow-node!2118", 18);
	      DEFINE_STRING(BGl_string2747z00zzdataflow_walkz00,
		BgL_bgl_string2747za700za7za7d2803za7, "dataflow-test-env2158", 21);
	      DEFINE_STRING(BGl_string2749z00zzdataflow_walkz00,
		BgL_bgl_string2749za700za7za7d2804za7, "dataflow-test-false-2170", 24);
	      DEFINE_STRING(BGl_string2751z00zzdataflow_walkz00,
		BgL_bgl_string2751za700za7za7d2805za7, "abort?2174", 10);
	      DEFINE_STRING(BGl_string2753z00zzdataflow_walkz00,
		BgL_bgl_string2753za700za7za7d2806za7, "dataflow-node!", 14);
	      DEFINE_STRING(BGl_string2773z00zzdataflow_walkz00,
		BgL_bgl_string2773za700za7za7d2807za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string2779z00zzdataflow_walkz00,
		BgL_bgl_string2779za700za7za7d2808za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2781z00zzdataflow_walkz00,
		BgL_bgl_string2781za700za7za7d2809za7, "abort?", 6);
	      DEFINE_STRING(BGl_string2790z00zzdataflow_walkz00,
		BgL_bgl_string2790za700za7za7d2810za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2791z00zzdataflow_walkz00,
		BgL_bgl_string2791za700za7za7d2811za7,
		"read _ dataflow_walk local/value int stamp node $epair? $pair? foreign $null? pass-started ",
		91);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2812z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2813z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72814za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2815z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2736z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2260za7622816z00, BGl_z62lambda2260z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2737z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2259za7622817z00, BGl_z62lambda2259z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2738z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2265za7622818z00, BGl_z62lambda2265z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2739z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2264za7622819z00, BGl_z62lambda2264z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2740z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2251za7622820z00, BGl_z62lambda2251z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2741z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72821za7,
		BGl_z62zc3anonymousza32250ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2742z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2248za7622822z00, BGl_z62lambda2248z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2743z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2245za7622823z00, BGl_z62lambda2245z62zzdataflow_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2744z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2824z00,
		BGl_z62dataflowzd2nodez122118za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2746z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2825z00,
		BGl_z62dataflowzd2testzd2env2158z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2748z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2826z00,
		BGl_z62dataflowzd2testzd2falsezd22170zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2750z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f32174za72827za7,
		BGl_z62abortzf32174z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2752z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2828z00,
		BGl_z62dataflowzd2nodez12zd2var2121z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2754z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2829z00,
		BGl_z62dataflowzd2nodez12zd2closu2123z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2755z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2830z00,
		BGl_z62dataflowzd2nodez12zd2seque2125z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2756z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2831z00,
		BGl_z62dataflowzd2nodez12zd2sync2127z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2757z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2832z00,
		BGl_z62dataflowzd2nodez12zd2app2129z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2758z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2833z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l2131za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2759z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2834z00,
		BGl_z62dataflowzd2nodez12zd2funca2133z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2835z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2760z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2836z00,
		BGl_z62dataflowzd2nodez12zd2exter2135z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2761z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2837z00,
		BGl_z62dataflowzd2nodez12zd2setq2137z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2762z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2838z00,
		BGl_z62dataflowzd2nodez12zd2condi2139z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2763z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2839z00,
		BGl_z62dataflowzd2nodez12zd2fail2141z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2764z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2840z00,
		BGl_z62dataflowzd2nodez12zd2selec2143z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2765z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2841z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f2145za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2766z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2842z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v2147za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2767z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2843z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e2149za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2768z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2844z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd22151za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2769z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2845z00,
		BGl_z62dataflowzd2nodez12zd2makezd22153za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2770z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2846z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r2155za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2771z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2847z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s2157za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2772z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2848z00,
		BGl_z62dataflowzd2testzd2envzd2ap2161zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2774z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2849z00,
		BGl_z62dataflowzd2testzd2envzd2in2163zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2775z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2850z00,
		BGl_z62dataflowzd2testzd2envzd2co2165zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2776z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2851z00,
		BGl_z62dataflowzd2testzd2envzd2va2167zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2777z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2852z00,
		BGl_z62dataflowzd2testzd2envzd2le2169zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2778z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2853z00,
		BGl_z62dataflowzd2testzd2falsezd22173zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2780z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2854za7,
		BGl_z62abortzf3zd2fail2177z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2782z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2855za7,
		BGl_z62abortzf3zd2sequence2179z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2783z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2856za7,
		BGl_z62abortzf3zd2sync2181z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2784z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2857za7,
		BGl_z62abortzf3zd2letzd2var2183z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2785z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2858za7,
		BGl_z62abortzf3zd2letzd2fun2185z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2786z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2859za7,
		BGl_z62abortzf3zd2conditional2187z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2787z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2860za7,
		BGl_z62abortzf3zd2app2189z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2788z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2861za7,
		BGl_z62abortzf3zd2funcall2191z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2789z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2862za7,
		BGl_z62abortzf3zd2appzd2ly2193z91zzdataflow_walkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_4092, char *BgL_fromz00_4093)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					BGl_toplevelzd2initzd2zzdataflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_4069;

				BgL_cportz00_4069 =
					bgl_open_input_string(BGl_string2791z00zzdataflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4070;

					BgL_iz00_4070 = ((long) 11);
				BgL_loopz00_4071:
					if ((BgL_iz00_4070 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2793z00_4073;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_4075;

										BgL_locationz00_4075 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2793z00_4073 =
												BGl_readz00zz__readerz00(BgL_cportz00_4069,
												BgL_locationz00_4075);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_auxz00_4121;

									BgL_auxz00_4121 = (int) (BgL_iz00_4070);
									CNST_TABLE_SET(BgL_auxz00_4121, BgL_arg2793z00_4073);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_4076;

								BgL_auxz00_4076 = (int) ((BgL_iz00_4070 - ((long) 1)));
								{
									long BgL_iz00_4126;

									BgL_iz00_4126 = (long) (BgL_auxz00_4076);
									BgL_iz00_4070 = BgL_iz00_4126;
									goto BgL_loopz00_4071;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1639;

				BgL_headz00_1639 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1640;
					obj_t BgL_tailz00_1641;

					BgL_prevz00_1640 = BgL_headz00_1639;
					BgL_tailz00_1641 = BgL_l1z00_1;
				BgL_loopz00_1642:
					if (PAIRP(BgL_tailz00_1641))
						{
							obj_t BgL_newzd2prevzd2_1644;

							BgL_newzd2prevzd2_1644 =
								MAKE_PAIR(CAR(BgL_tailz00_1641), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1640, BgL_newzd2prevzd2_1644);
							{
								obj_t BgL_tailz00_4135;
								obj_t BgL_prevz00_4134;

								BgL_prevz00_4134 = BgL_newzd2prevzd2_1644;
								BgL_tailz00_4135 = CDR(BgL_tailz00_1641);
								BgL_tailz00_1641 = BgL_tailz00_4135;
								BgL_prevz00_1640 = BgL_prevz00_4134;
								goto BgL_loopz00_1642;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1639);
				}
			}
		}
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			{	/* Dataflow/walk.scm 45 */
				obj_t BgL_list2200z00_1679;

				{	/* Dataflow/walk.scm 45 */
					obj_t BgL_arg2201z00_1680;

					{	/* Dataflow/walk.scm 45 */
						obj_t BgL_arg2202z00_1681;

						BgL_arg2202z00_1681 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2201z00_1680 =
							MAKE_PAIR(BgL_namez00_57, BgL_arg2202z00_1681);
					}
					BgL_list2200z00_1679 =
						MAKE_PAIR(BGl_string2729z00zzdataflow_walkz00, BgL_arg2201z00_1680);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2200z00_1679);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{
				obj_t BgL_hooksz00_1685;
				obj_t BgL_hnamesz00_1686;

				BgL_hooksz00_1685 = BNIL;
				BgL_hnamesz00_1686 = BNIL;
			BgL_zc3anonymousza32203ze3z83_1687:
				if (NULLP(BgL_hooksz00_1685))
					{	/* Dataflow/walk.scm 45 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Dataflow/walk.scm 45 */
						bool_t BgL_testz00_4148;

						{	/* Dataflow/walk.scm 45 */
							obj_t BgL_fun2209z00_1693;

							BgL_fun2209z00_1693 = CAR(BgL_hooksz00_1685);
							BgL_testz00_4148 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2209z00_1693) (BgL_fun2209z00_1693,
									BEOA));
						}
						if (BgL_testz00_4148)
							{
								obj_t BgL_hnamesz00_4156;
								obj_t BgL_hooksz00_4154;

								BgL_hooksz00_4154 = CDR(BgL_hooksz00_1685);
								BgL_hnamesz00_4156 = CDR(BgL_hnamesz00_1686);
								BgL_hnamesz00_1686 = BgL_hnamesz00_4156;
								BgL_hooksz00_1685 = BgL_hooksz00_4154;
								goto BgL_zc3anonymousza32203ze3z83_1687;
							}
						else
							{	/* Dataflow/walk.scm 45 */
								BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
									BGl_string2730z00zzdataflow_walkz00, CAR(BgL_hnamesz00_1686));
							}
					}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l2070z00_1697;

				BgL_l2070z00_1697 = BgL_globalsz00_56;
			BgL_zc3anonymousza32211ze3z83_1698:
				if (PAIRP(BgL_l2070z00_1697))
					{	/* Dataflow/walk.scm 49 */
						{	/* Dataflow/walk.scm 49 */
							obj_t BgL_arg2213z00_1700;

							BgL_arg2213z00_1700 = CAR(BgL_l2070z00_1697);
							{	/* Dataflow/walk.scm 49 */
								obj_t BgL_arg2233z00_3319;

								BgL_arg2233z00_3319 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg2213z00_1700))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg2233z00_3319), BNIL);
							}
						}
						{
							obj_t BgL_l2070z00_4179;

							BgL_l2070z00_4179 = CDR(BgL_l2070z00_1697);
							BgL_l2070z00_1697 = BgL_l2070z00_4179;
							goto BgL_zc3anonymousza32211ze3z83_1698;
						}
					}
				else
					{	/* Dataflow/walk.scm 49 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 50 */
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_port2072z00_1705;

						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_res2603z00_3331;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_auxz00_4184;

								BgL_auxz00_4184 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2603z00_3331 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_4184);
							}
							BgL_port2072z00_1705 = BgL_res2603z00_3331;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port2072z00_1705);
						BGL_DISPLAY_STRING(BGl_string2731z00zzdataflow_walkz00,
							BgL_port2072z00_1705);
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg2217z00_1706;

							{	/* Dataflow/walk.scm 50 */
								bool_t BgL_testz00_4189;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 50 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_4189 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_4189 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_testz00_4189 = ((bool_t) 0);
									}
								if (BgL_testz00_4189)
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2217z00_1706 = BGl_string2732z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2217z00_1706 = BGl_string2733z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2217z00_1706, BgL_port2072z00_1705);
						}
						BGL_DISPLAY_STRING(BGl_string2734z00zzdataflow_walkz00,
							BgL_port2072z00_1705);
						bgl_display_char(((unsigned char) '\n'), BgL_port2072z00_1705);
					}
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_list2221z00_1710;

						BgL_list2221z00_1710 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2221z00_1710);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1714;
					obj_t BgL_hnamesz00_1715;

					BgL_hooksz00_1714 = BNIL;
					BgL_hnamesz00_1715 = BNIL;
				BgL_zc3anonymousza32222ze3z83_1716:
					if (NULLP(BgL_hooksz00_1714))
						{	/* Dataflow/walk.scm 50 */
							return BgL_globalsz00_56;
						}
					else
						{	/* Dataflow/walk.scm 50 */
							bool_t BgL_testz00_4206;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_fun2231z00_1722;

								BgL_fun2231z00_1722 = CAR(BgL_hooksz00_1714);
								BgL_testz00_4206 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2231z00_1722)
									(BgL_fun2231z00_1722, BEOA));
							}
							if (BgL_testz00_4206)
								{
									obj_t BgL_hnamesz00_4214;
									obj_t BgL_hooksz00_4212;

									BgL_hooksz00_4212 = CDR(BgL_hooksz00_1714);
									BgL_hnamesz00_4214 = CDR(BgL_hnamesz00_1715);
									BgL_hnamesz00_1715 = BgL_hnamesz00_4214;
									BgL_hooksz00_1714 = BgL_hooksz00_4212;
									goto BgL_zc3anonymousza32222ze3z83_1716;
								}
							else
								{	/* Dataflow/walk.scm 50 */
									obj_t BgL_arg2230z00_1721;

									BgL_arg2230z00_1721 = CAR(BgL_hnamesz00_1715);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2735z00zzdataflow_walkz00, BgL_arg2230z00_1721);
								}
						}
				}
		}
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3879,
		obj_t BgL_globalsz00_3880, obj_t BgL_namez00_3881)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3880,
				BgL_namez00_3881);
		}
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 310 */
			{
				obj_t BgL_l2094z00_1728;

				BgL_l2094z00_1728 = BgL_nodeza2za2_99;
			BgL_zc3anonymousza32235ze3z83_1729:
				if (PAIRP(BgL_l2094z00_1728))
					{	/* Dataflow/walk.scm 311 */
						{	/* Dataflow/walk.scm 311 */
							obj_t BgL_nz00_1731;

							BgL_nz00_1731 = CAR(BgL_l2094z00_1728);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1731), BgL_envz00_100);
						}
						{
							obj_t BgL_l2094z00_4224;

							BgL_l2094z00_4224 = CDR(BgL_l2094z00_1728);
							BgL_l2094z00_1728 = BgL_l2094z00_4224;
							goto BgL_zc3anonymousza32235ze3z83_1729;
						}
					}
				else
					{	/* Dataflow/walk.scm 311 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 36 */
				obj_t BgL_arg2243z00_1738;
				obj_t BgL_arg2244z00_1739;

				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2116z00_1773;

					BgL_v2116z00_1773 = create_vector((int) (((long) 2)));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2255z00_1774;

						BgL_arg2255z00_1774 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2737z00zzdataflow_walkz00,
							BGl_proc2736z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2116z00_1773, (int) (((long) 1)),
							BgL_arg2255z00_1774);
					}
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2261z00_1786;

						BgL_arg2261z00_1786 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2739z00zzdataflow_walkz00,
							BGl_proc2738z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v2116z00_1773, (int) (((long) 0)),
							BgL_arg2261z00_1786);
					}
					BgL_arg2243z00_1738 = BgL_v2116z00_1773;
				}
				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2117z00_1798;

					BgL_v2117z00_1798 = create_vector((int) (((long) 0)));
					BgL_arg2244z00_1739 = BgL_v2117z00_1798;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2743z00zzdataflow_walkz00,
						BGl_proc2742z00zzdataflow_walkz00, BFALSE,
						BGl_proc2741z00zzdataflow_walkz00,
						BGl_proc2740z00zzdataflow_walkz00, BgL_arg2243z00_1738,
						BgL_arg2244z00_1739), BUNSPEC);
		}}
	}



/* &lambda2251 */
	BgL_localz00_bglt BGl_z62lambda2251z62zzdataflow_walkz00(obj_t
		BgL_envz00_3890, obj_t BgL_o1118z00_3891)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1118z00_1767;

				BgL_o1118z00_1767 = ((BgL_localz00_bglt) BgL_o1118z00_3891);
				{	/* Dataflow/walk.scm 36 */
					long BgL_arg2252z00_1770;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2253z00_1771;

						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_arg2254z00_1772;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_objectz00_3389;

								BgL_objectz00_3389 = ((BgL_objectz00_bglt) BgL_o1118z00_1767);
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg1823z00_3390;

									{	/* Dataflow/walk.scm 36 */
										long BgL_arg1824z00_3391;

										{	/* Dataflow/walk.scm 36 */
											long BgL_res2613z00_3393;

											BgL_res2613z00_3393 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_3389);
											BgL_arg1824z00_3391 = BgL_res2613z00_3393;
										}
										BgL_arg1823z00_3390 = (BgL_arg1824z00_3391 - OBJECT_TYPE);
									}
									BgL_arg2254z00_1772 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1823z00_3390));
							}}
							BgL_arg2253z00_1771 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2254z00_1772);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_res2615z00_3400;

							BgL_res2615z00_3400 = BGL_CLASS_INDEX(BgL_arg2253z00_1771);
							BgL_arg2252z00_1770 = BgL_res2615z00_3400;
					}}
					{	/* Dataflow/walk.scm 36 */
						BgL_objectz00_bglt BgL_objz00_3401;

						BgL_objz00_3401 = ((BgL_objectz00_bglt) BgL_o1118z00_1767);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3401, BgL_arg2252z00_1770);
				}}
				{	/* Dataflow/walk.scm 36 */
					BgL_objectz00_bglt BgL_auxz00_4251;

					BgL_auxz00_4251 = ((BgL_objectz00_bglt) BgL_o1118z00_1767);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4251, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1118z00_1767);
			}
		}
	}



/* &<anonymous:2250> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32250ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3892, obj_t BgL_new1117z00_3893)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_new1117z00_1765;

				BgL_new1117z00_1765 = ((BgL_localz00_bglt) BgL_new1117z00_3893);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1117z00_1765)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1765)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4261;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3383;

						BgL_classz00_3383 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1091z00_3384;

							BgL__ortest_1091z00_3384 = BGL_CLASS_NIL(BgL_classz00_3383);
							if (CBOOL(BgL__ortest_1091z00_3384))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4261 =
										((BgL_typez00_bglt) BgL__ortest_1091z00_3384);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4261 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3383));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1117z00_1765)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4261), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4270;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3385;

						BgL_classz00_3385 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1091z00_3386;

							BgL__ortest_1091z00_3386 = BGL_CLASS_NIL(BgL_classz00_3385);
							if (CBOOL(BgL__ortest_1091z00_3386))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4270 =
										((BgL_valuez00_bglt) BgL__ortest_1091z00_3386);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4270 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3385));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1117z00_1765)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4270), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1117z00_1765)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1765)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1765)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1765)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1765)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1765)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1117z00_1765)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4293;

					{
						obj_t BgL_auxz00_4294;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4295;

							BgL_auxz00_4295 = ((BgL_objectz00_bglt) BgL_new1117z00_1765);
							BgL_auxz00_4294 = BGL_OBJECT_WIDENING(BgL_auxz00_4295);
						}
						BgL_auxz00_4293 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4294);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4293))->BgL_stampz00) =
						((int) (int) (((long) 0))), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4307;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4301;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3387;

						BgL_classz00_3387 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1091z00_3388;

							BgL__ortest_1091z00_3388 = BGL_CLASS_NIL(BgL_classz00_3387);
							if (CBOOL(BgL__ortest_1091z00_3388))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4307 =
										((BgL_nodez00_bglt) BgL__ortest_1091z00_3388);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4307 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3387));
								}
						}
					}
					{
						obj_t BgL_auxz00_4302;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4303;

							BgL_auxz00_4303 = ((BgL_objectz00_bglt) BgL_new1117z00_1765);
							BgL_auxz00_4302 = BGL_OBJECT_WIDENING(BgL_auxz00_4303);
						}
						BgL_auxz00_4301 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4302);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4301))->BgL_nodez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4307), BUNSPEC);
				}
				return BgL_new1117z00_1765;
			}
		}
	}



/* &lambda2248 */
	BgL_localz00_bglt BGl_z62lambda2248z62zzdataflow_walkz00(obj_t
		BgL_envz00_3894, obj_t BgL_o1114z00_3895)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1114z00_1760;

				BgL_o1114z00_1760 = ((BgL_localz00_bglt) BgL_o1114z00_3895);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_tmp1115z00_1762;
					BgL_localzf2valuezf2_bglt BgL_wide1116z00_1763;

					BgL_tmp1115z00_1762 = ((BgL_localz00_bglt) BgL_o1114z00_1760);
					BgL_wide1116z00_1763 =
						((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2valuezf2_bgl))));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_auxz00_4320;
						BgL_objectz00_bglt BgL_auxz00_4318;

						BgL_auxz00_4320 = ((obj_t) BgL_wide1116z00_1763);
						BgL_auxz00_4318 = ((BgL_objectz00_bglt) BgL_tmp1115z00_1762);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4318, BgL_auxz00_4320);
					}
					{	/* Dataflow/walk.scm 36 */
						long BgL_arg2249z00_1764;

						{	/* Dataflow/walk.scm 36 */
							long BgL_res2612z00_3380;

							BgL_res2612z00_3380 =
								BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
							BgL_arg2249z00_1764 = BgL_res2612z00_3380;
						}
						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_objz00_3381;

							BgL_objz00_3381 = ((BgL_objectz00_bglt) BgL_tmp1115z00_1762);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3381, BgL_arg2249z00_1764));
					}}
					return ((BgL_localz00_bglt) BgL_tmp1115z00_1762);
				}
			}
		}
	}



/* &lambda2245 */
	BgL_localz00_bglt BGl_z62lambda2245z62zzdataflow_walkz00(obj_t
		BgL_envz00_3896, obj_t BgL_id1101z00_3897, obj_t BgL_name1102z00_3898,
		obj_t BgL_type1103z00_3899, obj_t BgL_value1104z00_3900,
		obj_t BgL_access1105z00_3901, obj_t BgL_fastzd2alpha1106zd2_3902,
		obj_t BgL_removable1107z00_3903, obj_t BgL_occurrence1108z00_3904,
		obj_t BgL_occurrencew1109z00_3905, obj_t BgL_userzf31110zf3_3906,
		obj_t BgL_key1111z00_3907, obj_t BgL_stamp1112z00_3908,
		obj_t BgL_node1113z00_3909)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				obj_t BgL_id1101z00_1740;
				obj_t BgL_name1102z00_1741;
				BgL_typez00_bglt BgL_type1103z00_1742;
				BgL_valuez00_bglt BgL_value1104z00_1743;
				obj_t BgL_access1105z00_1744;
				obj_t BgL_fastzd2alpha1106zd2_1745;
				obj_t BgL_removable1107z00_1746;
				long BgL_occurrence1108z00_1747;
				long BgL_occurrencew1109z00_1748;
				bool_t BgL_userzf31110zf3_1749;
				long BgL_key1111z00_1750;
				int BgL_stamp1112z00_1751;
				BgL_nodez00_bglt BgL_node1113z00_1752;

				BgL_id1101z00_1740 = BgL_id1101z00_3897;
				BgL_name1102z00_1741 = BgL_name1102z00_3898;
				BgL_type1103z00_1742 = ((BgL_typez00_bglt) BgL_type1103z00_3899);
				BgL_value1104z00_1743 = ((BgL_valuez00_bglt) BgL_value1104z00_3900);
				BgL_access1105z00_1744 = BgL_access1105z00_3901;
				BgL_fastzd2alpha1106zd2_1745 = BgL_fastzd2alpha1106zd2_3902;
				BgL_removable1107z00_1746 = BgL_removable1107z00_3903;
				BgL_occurrence1108z00_1747 = (long) CINT(BgL_occurrence1108z00_3904);
				BgL_occurrencew1109z00_1748 = (long) CINT(BgL_occurrencew1109z00_3905);
				BgL_userzf31110zf3_1749 = CBOOL(BgL_userzf31110zf3_3906);
				BgL_key1111z00_1750 = (long) CINT(BgL_key1111z00_3907);
				BgL_stamp1112z00_1751 = CINT(BgL_stamp1112z00_3908);
				BgL_node1113z00_1752 = ((BgL_nodez00_bglt) BgL_node1113z00_3909);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_new1212z00_1754;

					{	/* Dataflow/walk.scm 36 */
						BgL_localz00_bglt BgL_tmp1210z00_1755;
						BgL_localzf2valuezf2_bglt BgL_wide1211z00_1756;

						{
							BgL_localz00_bglt BgL_auxz00_4329;

							{	/* Dataflow/walk.scm 36 */
								BgL_localz00_bglt BgL_new1209z00_1758;

								BgL_new1209z00_1758 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg2247z00_1759;

									{	/* Dataflow/walk.scm 36 */
										long BgL_res2610z00_3372;

										BgL_res2610z00_3372 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg2247z00_1759 = BgL_res2610z00_3372;
									}
									{	/* Dataflow/walk.scm 36 */
										BgL_objectz00_bglt BgL_objz00_3373;

										BgL_objz00_3373 =
											((BgL_objectz00_bglt) BgL_new1209z00_1758);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3373,
											BgL_arg2247z00_1759);
								}}
								{	/* Dataflow/walk.scm 36 */
									BgL_objectz00_bglt BgL_auxz00_4334;

									BgL_auxz00_4334 = ((BgL_objectz00_bglt) BgL_new1209z00_1758);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4334, BFALSE);
								}
								BgL_auxz00_4329 = BgL_new1209z00_1758;
							}
							BgL_tmp1210z00_1755 = ((BgL_localz00_bglt) BgL_auxz00_4329);
						}
						BgL_wide1211z00_1756 =
							((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_auxz00_4341;
							BgL_objectz00_bglt BgL_auxz00_4339;

							BgL_auxz00_4341 = ((obj_t) BgL_wide1211z00_1756);
							BgL_auxz00_4339 = ((BgL_objectz00_bglt) BgL_tmp1210z00_1755);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4339, BgL_auxz00_4341);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_arg2246z00_1757;

							{	/* Dataflow/walk.scm 36 */
								long BgL_res2611z00_3376;

								BgL_res2611z00_3376 =
									BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
								BgL_arg2246z00_1757 = BgL_res2611z00_3376;
							}
							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_objz00_3377;

								BgL_objz00_3377 = ((BgL_objectz00_bglt) BgL_tmp1210z00_1755);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3377,
										BgL_arg2246z00_1757));
						}}
						BgL_new1212z00_1754 = ((BgL_localz00_bglt) BgL_tmp1210z00_1755);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1212z00_1754)))->BgL_idz00) =
						((obj_t) BgL_id1101z00_1740), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_namez00) =
						((obj_t) BgL_name1102z00_1741), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1103z00_1742), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1104z00_1743), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_accessz00) =
						((obj_t) BgL_access1105z00_1744), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1106zd2_1745), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_removablez00) =
						((obj_t) BgL_removable1107z00_1746), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_occurrencez00) =
						((long) BgL_occurrence1108z00_1747), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1109z00_1748), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1754)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31110zf3_1749), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1212z00_1754)))->BgL_keyz00) =
						((long) BgL_key1111z00_1750), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4371;

						{
							obj_t BgL_auxz00_4372;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4373;

								BgL_auxz00_4373 = ((BgL_objectz00_bglt) BgL_new1212z00_1754);
								BgL_auxz00_4372 = BGL_OBJECT_WIDENING(BgL_auxz00_4373);
							}
							BgL_auxz00_4371 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4372);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4371))->
								BgL_stampz00) = ((int) BgL_stamp1112z00_1751), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4378;

						{
							obj_t BgL_auxz00_4379;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4380;

								BgL_auxz00_4380 = ((BgL_objectz00_bglt) BgL_new1212z00_1754);
								BgL_auxz00_4379 = BGL_OBJECT_WIDENING(BgL_auxz00_4380);
							}
							BgL_auxz00_4378 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4379);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4378))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) BgL_node1113z00_1752), BUNSPEC);
					}
					return BgL_new1212z00_1754;
				}
			}
		}
	}



/* &lambda2265 */
	obj_t BGl_z62lambda2265z62zzdataflow_walkz00(obj_t BgL_envz00_3910,
		obj_t BgL_oz00_3911, obj_t BgL_vz00_3912)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1792;
				int BgL_vz00_1793;

				BgL_oz00_1792 = ((BgL_localz00_bglt) BgL_oz00_3911);
				BgL_vz00_1793 = CINT(BgL_vz00_3912);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4393;

					{
						obj_t BgL_auxz00_4394;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4395;

							BgL_auxz00_4395 = ((BgL_objectz00_bglt) BgL_oz00_1792);
							BgL_auxz00_4394 = BGL_OBJECT_WIDENING(BgL_auxz00_4395);
						}
						BgL_auxz00_4393 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4394);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4393))->
							BgL_stampz00) = ((int) BgL_vz00_1793), BUNSPEC);
		}}}
	}



/* &lambda2264 */
	obj_t BGl_z62lambda2264z62zzdataflow_walkz00(obj_t BgL_envz00_3913,
		obj_t BgL_oz00_3914)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1789;

				{	/* Dataflow/walk.scm 36 */
					int BgL_auxz00_4402;

					BgL_oz00_1789 = ((BgL_localz00_bglt) BgL_oz00_3914);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4403;

						{
							obj_t BgL_auxz00_4404;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4405;

								BgL_auxz00_4405 = ((BgL_objectz00_bglt) BgL_oz00_1789);
								BgL_auxz00_4404 = BGL_OBJECT_WIDENING(BgL_auxz00_4405);
							}
							BgL_auxz00_4403 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4404);
						}
						BgL_auxz00_4402 =
							(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4403))->
							BgL_stampz00);
					}
					return BINT(BgL_auxz00_4402);
				}
			}
		}
	}



/* &lambda2260 */
	obj_t BGl_z62lambda2260z62zzdataflow_walkz00(obj_t BgL_envz00_3915,
		obj_t BgL_oz00_3916, obj_t BgL_vz00_3917)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1780;
				BgL_nodez00_bglt BgL_vz00_1781;

				BgL_oz00_1780 = ((BgL_localz00_bglt) BgL_oz00_3916);
				BgL_vz00_1781 = ((BgL_nodez00_bglt) BgL_vz00_3917);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4412;

					{
						obj_t BgL_auxz00_4413;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4414;

							BgL_auxz00_4414 = ((BgL_objectz00_bglt) BgL_oz00_1780);
							BgL_auxz00_4413 = BGL_OBJECT_WIDENING(BgL_auxz00_4414);
						}
						BgL_auxz00_4412 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4413);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4412))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_vz00_1781), BUNSPEC);
				}
			}
		}
	}



/* &lambda2259 */
	BgL_nodez00_bglt BGl_z62lambda2259z62zzdataflow_walkz00(obj_t BgL_envz00_3918,
		obj_t BgL_oz00_3919)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1777;

				BgL_oz00_1777 = ((BgL_localz00_bglt) BgL_oz00_3919);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4421;

					{
						obj_t BgL_auxz00_4422;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4423;

							BgL_auxz00_4423 = ((BgL_objectz00_bglt) BgL_oz00_1777);
							BgL_auxz00_4422 = BGL_OBJECT_WIDENING(BgL_auxz00_4423);
						}
						BgL_auxz00_4421 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4422);
					}
					return
						(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4421))->BgL_nodez00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2744z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2745z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2746z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2747z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2748z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2749z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2750z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2751z00zzdataflow_walkz00);
		}
	}



/* &abort?2174 */
	obj_t BGl_z62abortzf32174z91zzdataflow_walkz00(obj_t BgL_envz00_3924,
		obj_t BgL_nodez00_3925)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 431 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &dataflow-test-false-2170 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22170zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3926, obj_t BgL_nodez00_3927)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 403 */
			return BNIL;
		}
	}



/* &dataflow-test-env2158 */
	obj_t BGl_z62dataflowzd2testzd2env2158z62zzdataflow_walkz00(obj_t
		BgL_envz00_3928, obj_t BgL_nodez00_3929)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 317 */
			return BNIL;
		}
	}



/* &dataflow-node!2118 */
	obj_t BGl_z62dataflowzd2nodez122118za2zzdataflow_walkz00(obj_t
		BgL_envz00_3930, obj_t BgL_nodez00_3931, obj_t BgL_envz00_3932)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return BgL_envz00_3932;
		}
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			{	/* Dataflow/walk.scm 68 */
				obj_t BgL_method2119z00_1820;

				{	/* Dataflow/walk.scm 68 */
					obj_t BgL_res2622z00_3431;

					{	/* Dataflow/walk.scm 68 */
						BgL_objectz00_bglt BgL_objz00_3403;

						BgL_objz00_3403 = ((BgL_objectz00_bglt) BgL_nodez00_59);
						{	/* Dataflow/walk.scm 68 */
							long BgL_objzd2classzd2numz00_3404;

							{	/* Dataflow/walk.scm 68 */
								long BgL_res2616z00_3407;

								BgL_res2616z00_3407 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3403);
								BgL_objzd2classzd2numz00_3404 = BgL_res2616z00_3407;
							}
							{	/* Dataflow/walk.scm 68 */
								obj_t BgL_arg1820z00_3405;

								BgL_arg1820z00_3405 =
									PROCEDURE_REF
									(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 68 */
									obj_t BgL_arrayz00_3408;
									int BgL_offsetz00_3409;

									BgL_arrayz00_3408 = BgL_arg1820z00_3405;
									BgL_offsetz00_3409 = (int) (BgL_objzd2classzd2numz00_3404);
									{	/* Dataflow/walk.scm 68 */
										long BgL_offsetz00_3410;

										BgL_offsetz00_3410 =
											((long) (BgL_offsetz00_3409) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 68 */
											long BgL_modz00_3411;

											{	/* Dataflow/walk.scm 68 */
												int BgL_arg1822z00_3412;

												BgL_arg1822z00_3412 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 68 */
													long BgL_res2619z00_3422;

													{	/* Dataflow/walk.scm 68 */
														long BgL_auxz00_4442;

														BgL_auxz00_4442 = (long) (BgL_arg1822z00_3412);
														BgL_res2619z00_3422 =
															(BgL_offsetz00_3410 / BgL_auxz00_4442);
													}
													BgL_modz00_3411 = BgL_res2619z00_3422;
											}}
											{	/* Dataflow/walk.scm 68 */
												long BgL_restz00_3413;

												{	/* Dataflow/walk.scm 68 */
													int BgL_arg1821z00_3414;

													BgL_arg1821z00_3414 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 68 */
														long BgL_res2621z00_3426;

														{	/* Dataflow/walk.scm 68 */
															long BgL_auxz00_4446;

															BgL_auxz00_4446 = (long) (BgL_arg1821z00_3414);
															BgL_res2621z00_3426 =
																(BgL_offsetz00_3410 % BgL_auxz00_4446);
														}
														BgL_restz00_3413 = BgL_res2621z00_3426;
												}}
												{	/* Dataflow/walk.scm 68 */

													BgL_res2622z00_3431 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3408,
															(int) (BgL_modz00_3411)),
														(int) (BgL_restz00_3413));
					}}}}}}}}
					BgL_method2119z00_1820 = BgL_res2622z00_3431;
				}
				return
					PROCEDURE_ENTRY(BgL_method2119z00_1820) (BgL_method2119z00_1820,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3933,
		obj_t BgL_nodez00_3934, obj_t BgL_envz00_3935)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3934), BgL_envz00_3935);
		}
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 317 */
			{	/* Dataflow/walk.scm 317 */
				obj_t BgL_method2159z00_1821;

				{	/* Dataflow/walk.scm 317 */
					obj_t BgL_res2629z00_3460;

					{	/* Dataflow/walk.scm 317 */
						BgL_objectz00_bglt BgL_objz00_3432;

						BgL_objz00_3432 = ((BgL_objectz00_bglt) BgL_nodez00_101);
						{	/* Dataflow/walk.scm 317 */
							long BgL_objzd2classzd2numz00_3433;

							{	/* Dataflow/walk.scm 317 */
								long BgL_res2623z00_3436;

								BgL_res2623z00_3436 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3432);
								BgL_objzd2classzd2numz00_3433 = BgL_res2623z00_3436;
							}
							{	/* Dataflow/walk.scm 317 */
								obj_t BgL_arg1820z00_3434;

								BgL_arg1820z00_3434 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 317 */
									obj_t BgL_arrayz00_3437;
									int BgL_offsetz00_3438;

									BgL_arrayz00_3437 = BgL_arg1820z00_3434;
									BgL_offsetz00_3438 = (int) (BgL_objzd2classzd2numz00_3433);
									{	/* Dataflow/walk.scm 317 */
										long BgL_offsetz00_3439;

										BgL_offsetz00_3439 =
											((long) (BgL_offsetz00_3438) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 317 */
											long BgL_modz00_3440;

											{	/* Dataflow/walk.scm 317 */
												int BgL_arg1822z00_3441;

												BgL_arg1822z00_3441 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 317 */
													long BgL_res2626z00_3451;

													{	/* Dataflow/walk.scm 317 */
														long BgL_auxz00_4469;

														BgL_auxz00_4469 = (long) (BgL_arg1822z00_3441);
														BgL_res2626z00_3451 =
															(BgL_offsetz00_3439 / BgL_auxz00_4469);
													}
													BgL_modz00_3440 = BgL_res2626z00_3451;
											}}
											{	/* Dataflow/walk.scm 317 */
												long BgL_restz00_3442;

												{	/* Dataflow/walk.scm 317 */
													int BgL_arg1821z00_3443;

													BgL_arg1821z00_3443 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 317 */
														long BgL_res2628z00_3455;

														{	/* Dataflow/walk.scm 317 */
															long BgL_auxz00_4473;

															BgL_auxz00_4473 = (long) (BgL_arg1821z00_3443);
															BgL_res2628z00_3455 =
																(BgL_offsetz00_3439 % BgL_auxz00_4473);
														}
														BgL_restz00_3442 = BgL_res2628z00_3455;
												}}
												{	/* Dataflow/walk.scm 317 */

													BgL_res2629z00_3460 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3437,
															(int) (BgL_modz00_3440)),
														(int) (BgL_restz00_3442));
					}}}}}}}}
					BgL_method2159z00_1821 = BgL_res2629z00_3460;
				}
				return
					PROCEDURE_ENTRY(BgL_method2159z00_1821) (BgL_method2159z00_1821,
					((obj_t) BgL_nodez00_101), BEOA);
			}
		}
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3936,
		obj_t BgL_nodez00_3937)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 317 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3937));
		}
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 403 */
			{	/* Dataflow/walk.scm 403 */
				obj_t BgL_method2171z00_1822;

				{	/* Dataflow/walk.scm 403 */
					obj_t BgL_res2636z00_3489;

					{	/* Dataflow/walk.scm 403 */
						BgL_objectz00_bglt BgL_objz00_3461;

						BgL_objz00_3461 = ((BgL_objectz00_bglt) BgL_nodez00_107);
						{	/* Dataflow/walk.scm 403 */
							long BgL_objzd2classzd2numz00_3462;

							{	/* Dataflow/walk.scm 403 */
								long BgL_res2630z00_3465;

								BgL_res2630z00_3465 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3461);
								BgL_objzd2classzd2numz00_3462 = BgL_res2630z00_3465;
							}
							{	/* Dataflow/walk.scm 403 */
								obj_t BgL_arg1820z00_3463;

								BgL_arg1820z00_3463 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 403 */
									obj_t BgL_arrayz00_3466;
									int BgL_offsetz00_3467;

									BgL_arrayz00_3466 = BgL_arg1820z00_3463;
									BgL_offsetz00_3467 = (int) (BgL_objzd2classzd2numz00_3462);
									{	/* Dataflow/walk.scm 403 */
										long BgL_offsetz00_3468;

										BgL_offsetz00_3468 =
											((long) (BgL_offsetz00_3467) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 403 */
											long BgL_modz00_3469;

											{	/* Dataflow/walk.scm 403 */
												int BgL_arg1822z00_3470;

												BgL_arg1822z00_3470 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 403 */
													long BgL_res2633z00_3480;

													{	/* Dataflow/walk.scm 403 */
														long BgL_auxz00_4495;

														BgL_auxz00_4495 = (long) (BgL_arg1822z00_3470);
														BgL_res2633z00_3480 =
															(BgL_offsetz00_3468 / BgL_auxz00_4495);
													}
													BgL_modz00_3469 = BgL_res2633z00_3480;
											}}
											{	/* Dataflow/walk.scm 403 */
												long BgL_restz00_3471;

												{	/* Dataflow/walk.scm 403 */
													int BgL_arg1821z00_3472;

													BgL_arg1821z00_3472 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 403 */
														long BgL_res2635z00_3484;

														{	/* Dataflow/walk.scm 403 */
															long BgL_auxz00_4499;

															BgL_auxz00_4499 = (long) (BgL_arg1821z00_3472);
															BgL_res2635z00_3484 =
																(BgL_offsetz00_3468 % BgL_auxz00_4499);
														}
														BgL_restz00_3471 = BgL_res2635z00_3484;
												}}
												{	/* Dataflow/walk.scm 403 */

													BgL_res2636z00_3489 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3466,
															(int) (BgL_modz00_3469)),
														(int) (BgL_restz00_3471));
					}}}}}}}}
					BgL_method2171z00_1822 = BgL_res2636z00_3489;
				}
				return
					PROCEDURE_ENTRY(BgL_method2171z00_1822) (BgL_method2171z00_1822,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3938, obj_t BgL_nodez00_3939)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 403 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3939));
		}
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 431 */
			{	/* Dataflow/walk.scm 431 */
				obj_t BgL_method2175z00_1823;

				{	/* Dataflow/walk.scm 431 */
					obj_t BgL_res2643z00_3518;

					{	/* Dataflow/walk.scm 431 */
						BgL_objectz00_bglt BgL_objz00_3490;

						BgL_objz00_3490 = ((BgL_objectz00_bglt) BgL_nodez00_109);
						{	/* Dataflow/walk.scm 431 */
							long BgL_objzd2classzd2numz00_3491;

							{	/* Dataflow/walk.scm 431 */
								long BgL_res2637z00_3494;

								BgL_res2637z00_3494 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3490);
								BgL_objzd2classzd2numz00_3491 = BgL_res2637z00_3494;
							}
							{	/* Dataflow/walk.scm 431 */
								obj_t BgL_arg1820z00_3492;

								BgL_arg1820z00_3492 =
									PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 431 */
									obj_t BgL_arrayz00_3495;
									int BgL_offsetz00_3496;

									BgL_arrayz00_3495 = BgL_arg1820z00_3492;
									BgL_offsetz00_3496 = (int) (BgL_objzd2classzd2numz00_3491);
									{	/* Dataflow/walk.scm 431 */
										long BgL_offsetz00_3497;

										BgL_offsetz00_3497 =
											((long) (BgL_offsetz00_3496) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 431 */
											long BgL_modz00_3498;

											{	/* Dataflow/walk.scm 431 */
												int BgL_arg1822z00_3499;

												BgL_arg1822z00_3499 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 431 */
													long BgL_res2640z00_3509;

													{	/* Dataflow/walk.scm 431 */
														long BgL_auxz00_4521;

														BgL_auxz00_4521 = (long) (BgL_arg1822z00_3499);
														BgL_res2640z00_3509 =
															(BgL_offsetz00_3497 / BgL_auxz00_4521);
													}
													BgL_modz00_3498 = BgL_res2640z00_3509;
											}}
											{	/* Dataflow/walk.scm 431 */
												long BgL_restz00_3500;

												{	/* Dataflow/walk.scm 431 */
													int BgL_arg1821z00_3501;

													BgL_arg1821z00_3501 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 431 */
														long BgL_res2642z00_3513;

														{	/* Dataflow/walk.scm 431 */
															long BgL_auxz00_4525;

															BgL_auxz00_4525 = (long) (BgL_arg1821z00_3501);
															BgL_res2642z00_3513 =
																(BgL_offsetz00_3497 % BgL_auxz00_4525);
														}
														BgL_restz00_3500 = BgL_res2642z00_3513;
												}}
												{	/* Dataflow/walk.scm 431 */

													BgL_res2643z00_3518 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3495,
															(int) (BgL_modz00_3498)),
														(int) (BgL_restz00_3500));
					}}}}}}}}
					BgL_method2175z00_1823 = BgL_res2643z00_3518;
				}
				return
					PROCEDURE_ENTRY(BgL_method2175z00_1823) (BgL_method2175z00_1823,
					((obj_t) BgL_nodez00_109), BEOA);
			}
		}
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3940,
		obj_t BgL_nodez00_3941)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 431 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3941));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2752z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2754z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2755z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2756z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2757z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2758z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2759z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2760z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2761z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2762z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2763z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2764z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2765z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2766z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2767z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2768z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2769z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2770z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2771z00zzdataflow_walkz00,
				BGl_string2753z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2772z00zzdataflow_walkz00,
				BGl_string2773z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2774z00zzdataflow_walkz00,
				BGl_string2773z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2775z00zzdataflow_walkz00,
				BGl_string2773z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2776z00zzdataflow_walkz00,
				BGl_string2773z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2777z00zzdataflow_walkz00,
				BGl_string2773z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2778z00zzdataflow_walkz00,
				BGl_string2779z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2780z00zzdataflow_walkz00, BGl_string2781z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2782z00zzdataflow_walkz00, BGl_string2781z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2783z00zzdataflow_walkz00, BGl_string2781z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2784z00zzdataflow_walkz00, BGl_string2781z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2785z00zzdataflow_walkz00, BGl_string2781z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2786z00zzdataflow_walkz00,
				BGl_string2781z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2787z00zzdataflow_walkz00, BGl_string2781z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2788z00zzdataflow_walkz00, BGl_string2781z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2789z00zzdataflow_walkz00, BGl_string2781z00zzdataflow_walkz00);
		}
	}



/* &abort?-app-ly2193 */
	obj_t BGl_z62abortzf3zd2appzd2ly2193z91zzdataflow_walkz00(obj_t
		BgL_envz00_3977, obj_t BgL_nodez00_3978)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 490 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2380;

				BgL_nodez00_2380 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3978);
				{	/* Dataflow/walk.scm 492 */
					obj_t BgL__ortest_1208z00_2384;

					BgL__ortest_1208z00_2384 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2380))->BgL_funz00));
					if (CBOOL(BgL__ortest_1208z00_2384))
						{	/* Dataflow/walk.scm 492 */
							return BgL__ortest_1208z00_2384;
						}
					else
						{	/* Dataflow/walk.scm 492 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2380))->BgL_argz00));
						}
				}
			}
		}
	}



/* &abort?-funcall2191 */
	obj_t BGl_z62abortzf3zd2funcall2191z43zzdataflow_walkz00(obj_t
		BgL_envz00_3979, obj_t BgL_nodez00_3980)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 483 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2364;

				BgL_nodez00_2364 = ((BgL_funcallz00_bglt) BgL_nodez00_3980);
				{	/* Dataflow/walk.scm 485 */
					obj_t BgL__ortest_1206z00_2368;

					BgL__ortest_1206z00_2368 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2364))->BgL_funz00));
					if (CBOOL(BgL__ortest_1206z00_2368))
						{	/* Dataflow/walk.scm 485 */
							return BgL__ortest_1206z00_2368;
						}
					else
						{	/* Dataflow/walk.scm 485 */
							obj_t BgL_g2114z00_2369;

							BgL_g2114z00_2369 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2364))->BgL_argsz00);
							{
								obj_t BgL_l2112z00_2371;

								BgL_l2112z00_2371 = BgL_g2114z00_2369;
							BgL_zc3anonymousza32530ze3z83_2372:
								if (NULLP(BgL_l2112z00_2371))
									{	/* Dataflow/walk.scm 485 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 485 */
										obj_t BgL__ortest_2115z00_2374;

										{	/* Dataflow/walk.scm 485 */
											obj_t BgL_arg2533z00_2376;

											BgL_arg2533z00_2376 = CAR(BgL_l2112z00_2371);
											BgL__ortest_2115z00_2374 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2533z00_2376));
										}
										if (CBOOL(BgL__ortest_2115z00_2374))
											{	/* Dataflow/walk.scm 485 */
												return BgL__ortest_2115z00_2374;
											}
										else
											{
												obj_t BgL_l2112z00_4592;

												BgL_l2112z00_4592 = CDR(BgL_l2112z00_2371);
												BgL_l2112z00_2371 = BgL_l2112z00_4592;
												goto BgL_zc3anonymousza32530ze3z83_2372;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-app2189 */
	obj_t BGl_z62abortzf3zd2app2189z43zzdataflow_walkz00(obj_t BgL_envz00_3981,
		obj_t BgL_nodez00_3982)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 476 */
			{
				BgL_appz00_bglt BgL_nodez00_2348;

				BgL_nodez00_2348 = ((BgL_appz00_bglt) BgL_nodez00_3982);
				{	/* Dataflow/walk.scm 478 */
					obj_t BgL__ortest_1204z00_2352;

					{	/* Dataflow/walk.scm 478 */
						BgL_varz00_bglt BgL_arg2529z00_2362;

						BgL_arg2529z00_2362 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2348))->BgL_funz00);
						BgL__ortest_1204z00_2352 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							((BgL_nodez00_bglt) BgL_arg2529z00_2362));
					}
					if (CBOOL(BgL__ortest_1204z00_2352))
						{	/* Dataflow/walk.scm 478 */
							return BgL__ortest_1204z00_2352;
						}
					else
						{	/* Dataflow/walk.scm 478 */
							obj_t BgL_g2110z00_2353;

							BgL_g2110z00_2353 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2348))->BgL_argsz00);
							{
								obj_t BgL_l2108z00_2355;

								BgL_l2108z00_2355 = BgL_g2110z00_2353;
							BgL_zc3anonymousza32525ze3z83_2356:
								if (NULLP(BgL_l2108z00_2355))
									{	/* Dataflow/walk.scm 478 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 478 */
										obj_t BgL__ortest_2111z00_2358;

										{	/* Dataflow/walk.scm 478 */
											obj_t BgL_arg2528z00_2360;

											BgL_arg2528z00_2360 = CAR(BgL_l2108z00_2355);
											BgL__ortest_2111z00_2358 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2528z00_2360));
										}
										if (CBOOL(BgL__ortest_2111z00_2358))
											{	/* Dataflow/walk.scm 478 */
												return BgL__ortest_2111z00_2358;
											}
										else
											{
												obj_t BgL_l2108z00_4608;

												BgL_l2108z00_4608 = CDR(BgL_l2108z00_2355);
												BgL_l2108z00_2355 = BgL_l2108z00_4608;
												goto BgL_zc3anonymousza32525ze3z83_2356;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-conditional2187 */
	obj_t BGl_z62abortzf3zd2conditional2187z43zzdataflow_walkz00(obj_t
		BgL_envz00_3983, obj_t BgL_nodez00_3984)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 469 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2338;

				BgL_nodez00_2338 = ((BgL_conditionalz00_bglt) BgL_nodez00_3984);
				{	/* Dataflow/walk.scm 471 */
					obj_t BgL__ortest_1201z00_2342;

					BgL__ortest_1201z00_2342 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2338))->BgL_testz00));
					if (CBOOL(BgL__ortest_1201z00_2342))
						{	/* Dataflow/walk.scm 471 */
							return BgL__ortest_1201z00_2342;
						}
					else
						{	/* Dataflow/walk.scm 471 */
							obj_t BgL__andtest_1202z00_2343;

							BgL__andtest_1202z00_2343 =
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2338))->
									BgL_truez00));
							if (CBOOL(BgL__andtest_1202z00_2343))
								{	/* Dataflow/walk.scm 471 */
									return
										BGl_abortzf3zf3zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2338))->
											BgL_falsez00));
								}
							else
								{	/* Dataflow/walk.scm 471 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &abort?-let-fun2185 */
	obj_t BGl_z62abortzf3zd2letzd2fun2185z91zzdataflow_walkz00(obj_t
		BgL_envz00_3985, obj_t BgL_nodez00_3986)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 462 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2332;

				BgL_nodez00_2332 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3986);
				return
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2332))->BgL_bodyz00));
			}
		}
	}



/* &abort?-let-var2183 */
	obj_t BGl_z62abortzf3zd2letzd2var2183z91zzdataflow_walkz00(obj_t
		BgL_envz00_3987, obj_t BgL_nodez00_3988)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 455 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2315;

				BgL_nodez00_2315 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3988);
				{	/* Dataflow/walk.scm 457 */
					obj_t BgL__ortest_1198z00_2319;

					{	/* Dataflow/walk.scm 457 */
						obj_t BgL_g2106z00_2321;

						BgL_g2106z00_2321 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2315))->
							BgL_bindingsz00);
						{
							obj_t BgL_l2104z00_2323;

							BgL_l2104z00_2323 = BgL_g2106z00_2321;
						BgL_zc3anonymousza32517ze3z83_2324:
							if (NULLP(BgL_l2104z00_2323))
								{	/* Dataflow/walk.scm 457 */
									BgL__ortest_1198z00_2319 = BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 457 */
									obj_t BgL__ortest_2107z00_2326;

									{	/* Dataflow/walk.scm 457 */
										obj_t BgL_bz00_2328;

										BgL_bz00_2328 = CAR(BgL_l2104z00_2323);
										{	/* Dataflow/walk.scm 457 */
											obj_t BgL_arg2520z00_2329;

											BgL_arg2520z00_2329 = CDR(BgL_bz00_2328);
											BgL__ortest_2107z00_2326 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2520z00_2329));
										}
									}
									if (CBOOL(BgL__ortest_2107z00_2326))
										{	/* Dataflow/walk.scm 457 */
											BgL__ortest_1198z00_2319 = BgL__ortest_2107z00_2326;
										}
									else
										{
											obj_t BgL_l2104z00_4634;

											BgL_l2104z00_4634 = CDR(BgL_l2104z00_2323);
											BgL_l2104z00_2323 = BgL_l2104z00_4634;
											goto BgL_zc3anonymousza32517ze3z83_2324;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1198z00_2319))
						{	/* Dataflow/walk.scm 457 */
							return BgL__ortest_1198z00_2319;
						}
					else
						{	/* Dataflow/walk.scm 457 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2315))->
									BgL_bodyz00));
						}
				}
			}
		}
	}



/* &abort?-sync2181 */
	obj_t BGl_z62abortzf3zd2sync2181z43zzdataflow_walkz00(obj_t BgL_envz00_3989,
		obj_t BgL_nodez00_3990)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 449 */
			{
				BgL_syncz00_bglt BgL_nodez00_2300;

				BgL_nodez00_2300 = ((BgL_syncz00_bglt) BgL_nodez00_3990);
				{	/* Dataflow/walk.scm 450 */
					obj_t BgL__ortest_1196z00_2303;

					BgL__ortest_1196z00_2303 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_2300))->BgL_mutexz00));
					if (CBOOL(BgL__ortest_1196z00_2303))
						{	/* Dataflow/walk.scm 450 */
							return BgL__ortest_1196z00_2303;
						}
					else
						{	/* Dataflow/walk.scm 450 */
							obj_t BgL_g2102z00_2304;

							BgL_g2102z00_2304 =
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_2300))->BgL_nodesz00);
							{
								obj_t BgL_l2100z00_2306;

								BgL_l2100z00_2306 = BgL_g2102z00_2304;
							BgL_zc3anonymousza32511ze3z83_2307:
								if (NULLP(BgL_l2100z00_2306))
									{	/* Dataflow/walk.scm 450 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 450 */
										obj_t BgL__ortest_2103z00_2309;

										{	/* Dataflow/walk.scm 450 */
											obj_t BgL_arg2514z00_2311;

											BgL_arg2514z00_2311 = CAR(BgL_l2100z00_2306);
											BgL__ortest_2103z00_2309 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2514z00_2311));
										}
										if (CBOOL(BgL__ortest_2103z00_2309))
											{	/* Dataflow/walk.scm 450 */
												return BgL__ortest_2103z00_2309;
											}
										else
											{
												obj_t BgL_l2100z00_4653;

												BgL_l2100z00_4653 = CDR(BgL_l2100z00_2306);
												BgL_l2100z00_2306 = BgL_l2100z00_4653;
												goto BgL_zc3anonymousza32511ze3z83_2307;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-sequence2179 */
	obj_t BGl_z62abortzf3zd2sequence2179z43zzdataflow_walkz00(obj_t
		BgL_envz00_3991, obj_t BgL_nodez00_3992)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 443 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2287;

				BgL_nodez00_2287 = ((BgL_sequencez00_bglt) BgL_nodez00_3992);
				{	/* Dataflow/walk.scm 444 */
					obj_t BgL_g2098z00_2290;

					BgL_g2098z00_2290 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2287))->BgL_nodesz00);
					{
						obj_t BgL_l2096z00_2292;

						BgL_l2096z00_2292 = BgL_g2098z00_2290;
					BgL_zc3anonymousza32507ze3z83_2293:
						if (NULLP(BgL_l2096z00_2292))
							{	/* Dataflow/walk.scm 444 */
								return BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 444 */
								obj_t BgL__ortest_2099z00_2295;

								{	/* Dataflow/walk.scm 444 */
									obj_t BgL_arg2510z00_2297;

									BgL_arg2510z00_2297 = CAR(BgL_l2096z00_2292);
									BgL__ortest_2099z00_2295 =
										BGl_abortzf3zf3zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2510z00_2297));
								}
								if (CBOOL(BgL__ortest_2099z00_2295))
									{	/* Dataflow/walk.scm 444 */
										return BgL__ortest_2099z00_2295;
									}
								else
									{
										obj_t BgL_l2096z00_4664;

										BgL_l2096z00_4664 = CDR(BgL_l2096z00_2292);
										BgL_l2096z00_2292 = BgL_l2096z00_4664;
										goto BgL_zc3anonymousza32507ze3z83_2293;
									}
							}
					}
				}
			}
		}
	}



/* &abort?-fail2177 */
	obj_t BGl_z62abortzf3zd2fail2177z43zzdataflow_walkz00(obj_t BgL_envz00_3993,
		obj_t BgL_nodez00_3994)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 437 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &dataflow-test-false-2173 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22173zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3995, obj_t BgL_nodez00_3996)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 409 */
			{
				BgL_appz00_bglt BgL_nodez00_2249;

				BgL_nodez00_2249 = ((BgL_appz00_bglt) BgL_nodez00_3996);
				{	/* Dataflow/walk.scm 411 */
					BgL_variablez00_bglt BgL_fz00_2253;

					BgL_fz00_2253 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2249))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 412 */

						{	/* Dataflow/walk.scm 413 */
							bool_t BgL_testz00_4670;

							{	/* Dataflow/walk.scm 413 */
								bool_t BgL_testz00_4671;

								{	/* Dataflow/walk.scm 413 */
									obj_t BgL_auxz00_4672;

									BgL_auxz00_4672 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_2249))->BgL_argsz00);
									BgL_testz00_4671 = PAIRP(BgL_auxz00_4672);
								}
								if (BgL_testz00_4671)
									{	/* Dataflow/walk.scm 413 */
										if (NULLP(CDR(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_2249))->
														BgL_argsz00))))
											{	/* Dataflow/walk.scm 414 */
												bool_t BgL_testz00_4679;

												{	/* Dataflow/walk.scm 414 */
													obj_t BgL_arg2501z00_2276;

													BgL_arg2501z00_2276 =
														CAR(
														(((BgL_appz00_bglt) CREF(BgL_nodez00_2249))->
															BgL_argsz00));
													BgL_testz00_4679 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2501z00_2276,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_4679)
													{	/* Dataflow/walk.scm 415 */
														BgL_typez00_bglt BgL_arg2497z00_2272;

														{
															BgL_variablez00_bglt BgL_auxz00_4683;

															{
																BgL_varz00_bglt BgL_auxz00_4684;

																{
																	obj_t BgL_auxz00_4685;

																	{	/* Dataflow/walk.scm 415 */
																		obj_t BgL_pairz00_3813;

																		BgL_pairz00_3813 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_2249))->BgL_argsz00);
																		BgL_auxz00_4685 = CAR(BgL_pairz00_3813);
																	}
																	BgL_auxz00_4684 =
																		((BgL_varz00_bglt) BgL_auxz00_4685);
																}
																BgL_auxz00_4683 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_4684))->
																	BgL_variablez00);
															}
															BgL_arg2497z00_2272 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4683))->BgL_typez00);
														}
														BgL_testz00_4670 =
															(
															((obj_t) BgL_arg2497z00_2272) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 414 */
														BgL_testz00_4670 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 413 */
												BgL_testz00_4670 = ((bool_t) 0);
											}
									}
								else
									{	/* Dataflow/walk.scm 413 */
										BgL_testz00_4670 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_4670)
								{	/* Dataflow/walk.scm 413 */
									if (
										(((obj_t) BgL_fz00_2253) ==
											BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
										{	/* Dataflow/walk.scm 418 */
											obj_t BgL_arg2481z00_2257;

											{	/* Dataflow/walk.scm 418 */
												BgL_variablez00_bglt BgL_arg2483z00_2259;

												{
													BgL_varz00_bglt BgL_auxz00_4696;

													{
														obj_t BgL_auxz00_4697;

														{	/* Dataflow/walk.scm 418 */
															obj_t BgL_pairz00_3820;

															BgL_pairz00_3820 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_2249))->
																BgL_argsz00);
															BgL_auxz00_4697 = CAR(BgL_pairz00_3820);
														}
														BgL_auxz00_4696 =
															((BgL_varz00_bglt) BgL_auxz00_4697);
													}
													BgL_arg2483z00_2259 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4696))->
														BgL_variablez00);
												}
												BgL_arg2481z00_2257 =
													MAKE_PAIR(
													((obj_t) BgL_arg2483z00_2259),
													BGl_za2pairza2z00zztype_cachez00);
											}
											{	/* Dataflow/walk.scm 418 */
												obj_t BgL_list2482z00_2258;

												BgL_list2482z00_2258 =
													MAKE_PAIR(BgL_arg2481z00_2257, BNIL);
												return BgL_list2482z00_2258;
											}
										}
									else
										{	/* Dataflow/walk.scm 419 */
											bool_t BgL_testz00_4705;

											if (
												(((obj_t) BgL_fz00_2253) ==
													BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
												{	/* Dataflow/walk.scm 419 */
													BgL_testz00_4705 = ((bool_t) 1);
												}
											else
												{	/* Dataflow/walk.scm 419 */
													BgL_testz00_4705 =
														(
														((obj_t) BgL_fz00_2253) ==
														BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
												}
											if (BgL_testz00_4705)
												{	/* Dataflow/walk.scm 420 */
													obj_t BgL_arg2487z00_2263;

													{	/* Dataflow/walk.scm 420 */
														BgL_variablez00_bglt BgL_arg2489z00_2265;

														{
															BgL_varz00_bglt BgL_auxz00_4711;

															{
																obj_t BgL_auxz00_4712;

																{	/* Dataflow/walk.scm 420 */
																	obj_t BgL_pairz00_3826;

																	BgL_pairz00_3826 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_nodez00_2249))->BgL_argsz00);
																	BgL_auxz00_4712 = CAR(BgL_pairz00_3826);
																}
																BgL_auxz00_4711 =
																	((BgL_varz00_bglt) BgL_auxz00_4712);
															}
															BgL_arg2489z00_2265 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_4711))->
																BgL_variablez00);
														}
														BgL_arg2487z00_2263 =
															MAKE_PAIR(
															((obj_t) BgL_arg2489z00_2265),
															BGl_za2bnilza2z00zztype_cachez00);
													}
													{	/* Dataflow/walk.scm 420 */
														obj_t BgL_list2488z00_2264;

														BgL_list2488z00_2264 =
															MAKE_PAIR(BgL_arg2487z00_2263, BNIL);
														return BgL_list2488z00_2264;
													}
												}
											else
												{	/* Dataflow/walk.scm 419 */
													return BNIL;
												}
										}
								}
							else
								{	/* Dataflow/walk.scm 413 */
									return BNIL;
								}
						}
					}
				}
			}
		}
	}



/* &dataflow-test-env-le2169 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le2169zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3997, obj_t BgL_nodez00_3998)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 381 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2208;

				BgL_nodez00_2208 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3998);
				{	/* Dataflow/walk.scm 383 */
					bool_t BgL_testz00_4721;

					{	/* Dataflow/walk.scm 383 */
						bool_t BgL_testz00_4722;

						{	/* Dataflow/walk.scm 383 */
							obj_t BgL_auxz00_4723;

							BgL_auxz00_4723 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2208))->
								BgL_bindingsz00);
							BgL_testz00_4722 = PAIRP(BgL_auxz00_4723);
						}
						if (BgL_testz00_4722)
							{	/* Dataflow/walk.scm 383 */
								BgL_testz00_4721 =
									NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2208))->
											BgL_bindingsz00)));
							}
						else
							{	/* Dataflow/walk.scm 383 */
								BgL_testz00_4721 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4721)
						{	/* Dataflow/walk.scm 385 */
							bool_t BgL_testz00_4729;

							{	/* Dataflow/walk.scm 385 */
								obj_t BgL_arg2472z00_2242;

								{	/* Dataflow/walk.scm 385 */
									obj_t BgL_pairz00_3747;

									BgL_pairz00_3747 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2208))->
										BgL_bindingsz00);
									BgL_arg2472z00_2242 = CDR(CAR(BgL_pairz00_3747));
								}
								BgL_testz00_4729 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2472z00_2242,
									BGl_varz00zzast_nodez00);
							}
							if (BgL_testz00_4729)
								{	/* Dataflow/walk.scm 386 */
									obj_t BgL_envz00_2214;

									BgL_envz00_2214 =
										BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2208))->
											BgL_bodyz00));
									{	/* Dataflow/walk.scm 387 */
										bool_t BgL_testz00_4736;

										if (NULLP(BgL_envz00_2214))
											{	/* Dataflow/walk.scm 387 */
												BgL_testz00_4736 = ((bool_t) 0);
											}
										else
											{	/* Dataflow/walk.scm 387 */
												if (NULLP(CDR(BgL_envz00_2214)))
													{	/* Dataflow/walk.scm 389 */
														obj_t BgL_auxz00_4742;

														{	/* Dataflow/walk.scm 389 */
															obj_t BgL_pairz00_3762;

															BgL_pairz00_3762 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_2208))->BgL_bindingsz00);
															BgL_auxz00_4742 = CAR(CAR(BgL_pairz00_3762));
														}
														BgL_testz00_4736 =
															(CAR(CAR(BgL_envz00_2214)) == BgL_auxz00_4742);
													}
												else
													{	/* Dataflow/walk.scm 388 */
														BgL_testz00_4736 = ((bool_t) 0);
													}
											}
										if (BgL_testz00_4736)
											{	/* Dataflow/walk.scm 390 */
												obj_t BgL_arg2446z00_2216;

												{	/* Dataflow/walk.scm 390 */
													BgL_variablez00_bglt BgL_arg2448z00_2218;
													obj_t BgL_arg2449z00_2219;

													{
														BgL_varz00_bglt BgL_auxz00_4749;

														{
															obj_t BgL_auxz00_4750;

															{	/* Dataflow/walk.scm 390 */
																obj_t BgL_pairz00_3766;

																BgL_pairz00_3766 =
																	(((BgL_letzd2varzd2_bglt)
																		CREF(BgL_nodez00_2208))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 390 */
																	obj_t BgL_pairz00_3769;

																	BgL_pairz00_3769 = CAR(BgL_pairz00_3766);
																	BgL_auxz00_4750 = CDR(BgL_pairz00_3769);
																}
															}
															BgL_auxz00_4749 =
																((BgL_varz00_bglt) BgL_auxz00_4750);
														}
														BgL_arg2448z00_2218 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4749))->
															BgL_variablez00);
													}
													BgL_arg2449z00_2219 = CDR(CAR(BgL_envz00_2214));
													BgL_arg2446z00_2216 =
														MAKE_PAIR(
														((obj_t) BgL_arg2448z00_2218), BgL_arg2449z00_2219);
												}
												{	/* Dataflow/walk.scm 390 */
													obj_t BgL_list2447z00_2217;

													BgL_list2447z00_2217 =
														MAKE_PAIR(BgL_arg2446z00_2216, BNIL);
													return BgL_list2447z00_2217;
												}
											}
										else
											{	/* Dataflow/walk.scm 387 */
												return BNIL;
											}
									}
								}
							else
								{	/* Dataflow/walk.scm 392 */
									bool_t BgL_testz00_4761;

									{	/* Dataflow/walk.scm 392 */
										bool_t BgL_testz00_4762;

										{	/* Dataflow/walk.scm 392 */
											BgL_nodez00_bglt BgL_arg2471z00_2241;

											BgL_arg2471z00_2241 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2208))->
												BgL_bodyz00);
											{	/* Dataflow/walk.scm 392 */
												bool_t BgL_res2708z00_3780;

												{	/* Dataflow/walk.scm 392 */
													obj_t BgL_objz00_3779;

													BgL_objz00_3779 = ((obj_t) BgL_arg2471z00_2241);
													BgL_res2708z00_3780 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3779,
														BGl_varz00zzast_nodez00);
												}
												BgL_testz00_4762 = BgL_res2708z00_3780;
											}
										}
										if (BgL_testz00_4762)
											{	/* Dataflow/walk.scm 393 */
												bool_t BgL_testz00_4766;

												{	/* Dataflow/walk.scm 393 */
													obj_t BgL_auxz00_4767;

													{	/* Dataflow/walk.scm 393 */
														obj_t BgL_pairz00_3784;

														BgL_pairz00_3784 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_2208))->BgL_bindingsz00);
														BgL_auxz00_4767 = CAR(CAR(BgL_pairz00_3784));
													}
													BgL_testz00_4766 =
														(
														((obj_t)
															(((BgL_varz00_bglt) CREF(
																		((BgL_varz00_bglt)
																			(((BgL_letzd2varzd2_bglt)
																					CREF(BgL_nodez00_2208))->
																				BgL_bodyz00))))->BgL_variablez00)) ==
														BgL_auxz00_4767);
												}
												if (BgL_testz00_4766)
													{	/* Dataflow/walk.scm 394 */
														BgL_typez00_bglt BgL_arg2464z00_2234;

														{
															BgL_variablez00_bglt BgL_auxz00_4776;

															{
																obj_t BgL_auxz00_4777;

																{	/* Dataflow/walk.scm 394 */
																	obj_t BgL_pairz00_3788;

																	BgL_pairz00_3788 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_2208))->BgL_bindingsz00);
																	{	/* Dataflow/walk.scm 394 */
																		obj_t BgL_pairz00_3791;

																		BgL_pairz00_3791 = CAR(BgL_pairz00_3788);
																		BgL_auxz00_4777 = CAR(BgL_pairz00_3791);
																	}
																}
																BgL_auxz00_4776 =
																	((BgL_variablez00_bglt) BgL_auxz00_4777);
															}
															BgL_arg2464z00_2234 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4776))->BgL_typez00);
														}
														BgL_testz00_4761 =
															(
															((obj_t) BgL_arg2464z00_2234) ==
															BGl_za2boolza2z00zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 393 */
														BgL_testz00_4761 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 392 */
												BgL_testz00_4761 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4761)
										{	/* Dataflow/walk.scm 395 */
											obj_t BgL_arg2460z00_2230;

											{	/* Dataflow/walk.scm 395 */
												obj_t BgL_pairz00_3795;

												BgL_pairz00_3795 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2208))->
													BgL_bindingsz00);
												BgL_arg2460z00_2230 = CDR(CAR(BgL_pairz00_3795));
											}
											return
												BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2460z00_2230));
										}
									else
										{	/* Dataflow/walk.scm 392 */
											return BNIL;
										}
								}
						}
					else
						{	/* Dataflow/walk.scm 383 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-va2167 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va2167zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3999, obj_t BgL_nodez00_4000)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 364 */
			{
				BgL_varz00_bglt BgL_nodez00_2199;

				BgL_nodez00_2199 = ((BgL_varz00_bglt) BgL_nodez00_4000);
				{	/* Dataflow/walk.scm 366 */
					bool_t BgL_testz00_4791;

					{	/* Dataflow/walk.scm 366 */
						BgL_variablez00_bglt BgL_arg2442z00_2206;

						BgL_arg2442z00_2206 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_2199))->BgL_variablez00);
						{	/* Dataflow/walk.scm 366 */
							bool_t BgL_res2699z00_3738;

							{	/* Dataflow/walk.scm 366 */
								obj_t BgL_objz00_3737;

								BgL_objz00_3737 = ((obj_t) BgL_arg2442z00_2206);
								BgL_res2699z00_3738 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_3737,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							BgL_testz00_4791 = BgL_res2699z00_3738;
						}
					}
					if (BgL_testz00_4791)
						{	/* Dataflow/walk.scm 367 */
							BgL_nodez00_bglt BgL_arg2439z00_2204;

							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_4795;

								{
									obj_t BgL_auxz00_4796;

									{	/* Dataflow/walk.scm 367 */
										BgL_objectz00_bglt BgL_auxz00_4797;

										BgL_auxz00_4797 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_2199))->
													BgL_variablez00)));
										BgL_auxz00_4796 = BGL_OBJECT_WIDENING(BgL_auxz00_4797);
									}
									BgL_auxz00_4795 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_4796);
								}
								BgL_arg2439z00_2204 =
									(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4795))->
									BgL_nodez00);
							}
							return
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
								(BgL_arg2439z00_2204);
						}
					else
						{	/* Dataflow/walk.scm 366 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-co2165 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co2165zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4001, obj_t BgL_nodez00_4002)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 355 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2185;

				BgL_nodez00_2185 = ((BgL_conditionalz00_bglt) BgL_nodez00_4002);
				{	/* Dataflow/walk.scm 357 */
					bool_t BgL_testz00_4806;

					{	/* Dataflow/walk.scm 357 */
						bool_t BgL_testz00_4807;

						{	/* Dataflow/walk.scm 357 */
							BgL_nodez00_bglt BgL_arg2437z00_2197;

							BgL_arg2437z00_2197 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2185))->
								BgL_falsez00);
							{	/* Dataflow/walk.scm 357 */
								bool_t BgL_res2698z00_3734;

								{	/* Dataflow/walk.scm 357 */
									obj_t BgL_objz00_3733;

									BgL_objz00_3733 = ((obj_t) BgL_arg2437z00_2197);
									BgL_res2698z00_3734 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_3733,
										BGl_atomz00zzast_nodez00);
								}
								BgL_testz00_4807 = BgL_res2698z00_3734;
							}
						}
						if (BgL_testz00_4807)
							{	/* Dataflow/walk.scm 357 */
								BgL_testz00_4806 =
									(
									(((BgL_atomz00_bglt) CREF(
												((BgL_atomz00_bglt)
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2185))->
														BgL_falsez00))))->BgL_valuez00) == BFALSE);
							}
						else
							{	/* Dataflow/walk.scm 357 */
								BgL_testz00_4806 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4806)
						{	/* Dataflow/walk.scm 357 */
							return
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2185))->
										BgL_testz00)),
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2185))->
										BgL_truez00)));
						}
					else
						{	/* Dataflow/walk.scm 357 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-in2163 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in2163zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4003, obj_t BgL_nodez00_4004)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 346 */
			{
				BgL_instanceofz00_bglt BgL_nodez00_2171;

				BgL_nodez00_2171 = ((BgL_instanceofz00_bglt) BgL_nodez00_4004);
				{	/* Dataflow/walk.scm 348 */
					bool_t BgL_testz00_4821;

					{	/* Dataflow/walk.scm 348 */
						obj_t BgL_arg2426z00_2182;

						{	/* Dataflow/walk.scm 348 */
							obj_t BgL_pairz00_3724;

							BgL_pairz00_3724 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_2171)))->BgL_exprza2za2);
							BgL_arg2426z00_2182 = CAR(BgL_pairz00_3724);
						}
						BgL_testz00_4821 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2426z00_2182,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_4821)
						{	/* Dataflow/walk.scm 349 */
							obj_t BgL_arg2419z00_2176;

							{	/* Dataflow/walk.scm 349 */
								BgL_variablez00_bglt BgL_arg2421z00_2178;
								BgL_typez00_bglt BgL_arg2422z00_2179;

								{
									BgL_varz00_bglt BgL_auxz00_4826;

									{
										obj_t BgL_auxz00_4827;

										{	/* Dataflow/walk.scm 349 */
											obj_t BgL_pairz00_3727;

											BgL_pairz00_3727 =
												(((BgL_externz00_bglt) CREF(
														((BgL_externz00_bglt) BgL_nodez00_2171)))->
												BgL_exprza2za2);
											BgL_auxz00_4827 = CAR(BgL_pairz00_3727);
										}
										BgL_auxz00_4826 = ((BgL_varz00_bglt) BgL_auxz00_4827);
									}
									BgL_arg2421z00_2178 =
										(((BgL_varz00_bglt) CREF(BgL_auxz00_4826))->
										BgL_variablez00);
								}
								BgL_arg2422z00_2179 =
									(((BgL_instanceofz00_bglt) CREF(BgL_nodez00_2171))->
									BgL_classz00);
								BgL_arg2419z00_2176 =
									MAKE_PAIR(((obj_t) BgL_arg2421z00_2178),
									((obj_t) BgL_arg2422z00_2179));
							}
							{	/* Dataflow/walk.scm 349 */
								obj_t BgL_list2420z00_2177;

								BgL_list2420z00_2177 = MAKE_PAIR(BgL_arg2419z00_2176, BNIL);
								return BgL_list2420z00_2177;
							}
						}
					else
						{	/* Dataflow/walk.scm 348 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-ap2161 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap2161zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4005, obj_t BgL_nodez00_4006)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 323 */
			{
				BgL_appz00_bglt BgL_nodez00_2131;

				BgL_nodez00_2131 = ((BgL_appz00_bglt) BgL_nodez00_4006);
				{	/* Dataflow/walk.scm 325 */
					BgL_variablez00_bglt BgL_fz00_2135;

					BgL_fz00_2135 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2131))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 325 */
						BgL_valuez00_bglt BgL_funvz00_2136;

						BgL_funvz00_2136 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2135))->BgL_valuez00);
						{	/* Dataflow/walk.scm 326 */

							{	/* Dataflow/walk.scm 328 */
								obj_t BgL_g1189z00_2137;

								BgL_g1189z00_2137 =
									BGl_isazd2ofzd2zztype_miscz00(
									((BgL_nodez00_bglt) BgL_nodez00_2131));
								if (CBOOL(BgL_g1189z00_2137))
									{	/* Dataflow/walk.scm 331 */
										bool_t BgL_testz00_4846;

										{	/* Dataflow/walk.scm 331 */
											obj_t BgL_arg2392z00_2146;

											BgL_arg2392z00_2146 =
												CAR(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_2131))->
													BgL_argsz00));
											BgL_testz00_4846 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2392z00_2146,
												BGl_varz00zzast_nodez00);
										}
										if (BgL_testz00_4846)
											{	/* Dataflow/walk.scm 332 */
												obj_t BgL_arg2387z00_2141;

												{	/* Dataflow/walk.scm 332 */
													BgL_variablez00_bglt BgL_arg2389z00_2143;

													{
														BgL_varz00_bglt BgL_auxz00_4850;

														{
															obj_t BgL_auxz00_4851;

															{	/* Dataflow/walk.scm 332 */
																obj_t BgL_pairz00_3691;

																BgL_pairz00_3691 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2131))->
																	BgL_argsz00);
																BgL_auxz00_4851 = CAR(BgL_pairz00_3691);
															}
															BgL_auxz00_4850 =
																((BgL_varz00_bglt) BgL_auxz00_4851);
														}
														BgL_arg2389z00_2143 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4850))->
															BgL_variablez00);
													}
													BgL_arg2387z00_2141 =
														MAKE_PAIR(
														((obj_t) BgL_arg2389z00_2143), BgL_g1189z00_2137);
												}
												{	/* Dataflow/walk.scm 332 */
													obj_t BgL_list2388z00_2142;

													BgL_list2388z00_2142 =
														MAKE_PAIR(BgL_arg2387z00_2141, BNIL);
													return BgL_list2388z00_2142;
												}
											}
										else
											{	/* Dataflow/walk.scm 331 */
												return BNIL;
											}
									}
								else
									{	/* Dataflow/walk.scm 334 */
										bool_t BgL_testz00_4859;

										{	/* Dataflow/walk.scm 334 */
											bool_t BgL_testz00_4860;

											{	/* Dataflow/walk.scm 334 */
												bool_t BgL_res2687z00_3698;

												{	/* Dataflow/walk.scm 334 */
													obj_t BgL_objz00_3697;

													BgL_objz00_3697 = ((obj_t) BgL_funvz00_2136);
													BgL_res2687z00_3698 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3697,
														BGl_funz00zzast_varz00);
												}
												BgL_testz00_4860 = BgL_res2687z00_3698;
											}
											if (BgL_testz00_4860)
												{	/* Dataflow/walk.scm 334 */
													if (CBOOL(
															(((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt) BgL_funvz00_2136)))->
																BgL_predicatezd2ofzd2)))
														{	/* Dataflow/walk.scm 336 */
															bool_t BgL_testz00_4867;

															{	/* Dataflow/walk.scm 336 */
																obj_t BgL_auxz00_4868;

																BgL_auxz00_4868 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2131))->
																	BgL_argsz00);
																BgL_testz00_4867 = PAIRP(BgL_auxz00_4868);
															}
															if (BgL_testz00_4867)
																{	/* Dataflow/walk.scm 336 */
																	if (NULLP(CDR(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_2131))->
																					BgL_argsz00))))
																		{	/* Dataflow/walk.scm 337 */
																			bool_t BgL_testz00_4875;

																			{	/* Dataflow/walk.scm 337 */
																				obj_t BgL_arg2411z00_2164;

																				BgL_arg2411z00_2164 =
																					CAR(
																					(((BgL_appz00_bglt)
																							CREF(BgL_nodez00_2131))->
																						BgL_argsz00));
																				BgL_testz00_4875 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_arg2411z00_2164,
																					BGl_varz00zzast_nodez00);
																			}
																			if (BgL_testz00_4875)
																				{	/* Dataflow/walk.scm 338 */
																					BgL_typez00_bglt BgL_arg2406z00_2160;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_4879;
																						{
																							BgL_varz00_bglt BgL_auxz00_4880;

																							{
																								obj_t BgL_auxz00_4881;

																								{	/* Dataflow/walk.scm 338 */
																									obj_t BgL_pairz00_3709;

																									BgL_pairz00_3709 =
																										(((BgL_appz00_bglt)
																											CREF(BgL_nodez00_2131))->
																										BgL_argsz00);
																									BgL_auxz00_4881 =
																										CAR(BgL_pairz00_3709);
																								}
																								BgL_auxz00_4880 =
																									((BgL_varz00_bglt)
																									BgL_auxz00_4881);
																							}
																							BgL_auxz00_4879 =
																								(((BgL_varz00_bglt)
																									CREF(BgL_auxz00_4880))->
																								BgL_variablez00);
																						}
																						BgL_arg2406z00_2160 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_4879))->
																							BgL_typez00);
																					}
																					BgL_testz00_4859 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg2406z00_2160);
																				}
																			else
																				{	/* Dataflow/walk.scm 337 */
																					BgL_testz00_4859 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Dataflow/walk.scm 336 */
																			BgL_testz00_4859 = ((bool_t) 0);
																		}
																}
															else
																{	/* Dataflow/walk.scm 336 */
																	BgL_testz00_4859 = ((bool_t) 0);
																}
														}
													else
														{	/* Dataflow/walk.scm 335 */
															BgL_testz00_4859 = ((bool_t) 0);
														}
												}
											else
												{	/* Dataflow/walk.scm 334 */
													BgL_testz00_4859 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_4859)
											{	/* Dataflow/walk.scm 339 */
												obj_t BgL_arg2395z00_2149;

												{	/* Dataflow/walk.scm 339 */
													BgL_variablez00_bglt BgL_arg2397z00_2151;
													obj_t BgL_arg2398z00_2152;

													{
														BgL_varz00_bglt BgL_auxz00_4888;

														{
															obj_t BgL_auxz00_4889;

															{	/* Dataflow/walk.scm 339 */
																obj_t BgL_pairz00_3716;

																BgL_pairz00_3716 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2131))->
																	BgL_argsz00);
																BgL_auxz00_4889 = CAR(BgL_pairz00_3716);
															}
															BgL_auxz00_4888 =
																((BgL_varz00_bglt) BgL_auxz00_4889);
														}
														BgL_arg2397z00_2151 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4888))->
															BgL_variablez00);
													}
													BgL_arg2398z00_2152 =
														(((BgL_funz00_bglt) CREF(
																((BgL_funz00_bglt) BgL_funvz00_2136)))->
														BgL_predicatezd2ofzd2);
													BgL_arg2395z00_2149 =
														MAKE_PAIR(((obj_t) BgL_arg2397z00_2151),
														BgL_arg2398z00_2152);
												}
												{	/* Dataflow/walk.scm 339 */
													obj_t BgL_list2396z00_2150;

													BgL_list2396z00_2150 =
														MAKE_PAIR(BgL_arg2395z00_2149, BNIL);
													return BgL_list2396z00_2150;
												}
											}
										else
											{	/* Dataflow/walk.scm 334 */
												return BNIL;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &dataflow-node!-box-s2157 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s2157za2zzdataflow_walkz00(obj_t
		BgL_envz00_4007, obj_t BgL_nodez00_4008, obj_t BgL_envz00_4009)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 302 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2123;
				obj_t BgL_envz00_2124;

				BgL_nodez00_2123 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4008);
				BgL_envz00_2124 = BgL_envz00_4009;
				{	/* Dataflow/walk.scm 303 */
					BgL_varz00_bglt BgL_arg2384z00_3677;

					BgL_arg2384z00_3677 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2123))->BgL_varz00);
					{	/* Dataflow/walk.scm 303 */
						BgL_nodez00_bglt BgL_oz00_3679;
						BgL_typez00_bglt BgL_vz00_3680;

						BgL_oz00_3679 = ((BgL_nodez00_bglt) BgL_arg2384z00_3677);
						BgL_vz00_3680 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_nodez00_bglt) CREF(BgL_oz00_3679))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3680), BUNSPEC);
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2123))->BgL_valuez00),
					BgL_envz00_2124);
			}
		}
	}



/* &dataflow-node!-box-r2155 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r2155za2zzdataflow_walkz00(obj_t
		BgL_envz00_4010, obj_t BgL_nodez00_4011, obj_t BgL_envz00_4012)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 294 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2116;
				obj_t BgL_envz00_2117;

				BgL_nodez00_2116 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_4011);
				BgL_envz00_2117 = BgL_envz00_4012;
				{	/* Dataflow/walk.scm 295 */
					BgL_varz00_bglt BgL_arg2383z00_3672;

					BgL_arg2383z00_3672 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2116))->BgL_varz00);
					{	/* Dataflow/walk.scm 295 */
						BgL_nodez00_bglt BgL_oz00_3673;
						BgL_typez00_bglt BgL_vz00_3674;

						BgL_oz00_3673 = ((BgL_nodez00_bglt) BgL_arg2383z00_3672);
						BgL_vz00_3674 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_nodez00_bglt) CREF(BgL_oz00_3673))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3674), BUNSPEC);
					}
				}
				return BgL_envz00_2117;
			}
		}
	}



/* &dataflow-node!-make-2153 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd22153za2zzdataflow_walkz00(obj_t
		BgL_envz00_4013, obj_t BgL_nodez00_4014, obj_t BgL_envz00_4015)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 288 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2110;
				obj_t BgL_envz00_2111;

				BgL_nodez00_2110 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4014);
				BgL_envz00_2111 = BgL_envz00_4015;
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2110))->BgL_valuez00),
					BgL_envz00_2111);
			}
		}
	}



/* &dataflow-node!-jump-2151 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd22151za2zzdataflow_walkz00(obj_t
		BgL_envz00_4016, obj_t BgL_nodez00_4017, obj_t BgL_envz00_4018)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 279 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2102;
				obj_t BgL_envz00_2103;

				BgL_nodez00_2102 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4017);
				BgL_envz00_2103 = BgL_envz00_4018;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2102))->BgL_exitz00),
					BgL_envz00_2103);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
							(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2102))->
						BgL_valuez00), BgL_envz00_2103);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-set-e2149 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e2149za2zzdataflow_walkz00(obj_t
		BgL_envz00_4019, obj_t BgL_nodez00_4020, obj_t BgL_envz00_4021)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 271 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2095;
				obj_t BgL_envz00_2096;

				BgL_nodez00_2095 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4020);
				BgL_envz00_2096 = BgL_envz00_4021;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2095))->BgL_bodyz00),
					BgL_envz00_2096);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-let-v2147 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v2147za2zzdataflow_walkz00(obj_t
		BgL_envz00_4022, obj_t BgL_nodez00_4023, obj_t BgL_envz00_4024)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 239 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2048;
				obj_t BgL_envz00_2049;

				BgL_nodez00_2048 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_4023);
				BgL_envz00_2049 = BgL_envz00_4024;
				BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
					(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
				{	/* Dataflow/walk.scm 242 */
					long BgL_stampz00_2053;

					BgL_stampz00_2053 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 242 */
						obj_t BgL_envz00_2054;

						{
							obj_t BgL_bindingsz00_2078;
							obj_t BgL_envz00_2079;

							BgL_bindingsz00_2078 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2048))->
								BgL_bindingsz00);
							BgL_envz00_2079 = BgL_envz00_2049;
						BgL_zc3anonymousza32372ze3z83_2080:
							if (NULLP(BgL_bindingsz00_2078))
								{	/* Dataflow/walk.scm 245 */
									BgL_envz00_2054 = BgL_envz00_2079;
								}
							else
								{	/* Dataflow/walk.scm 247 */
									obj_t BgL_nodez00_2082;

									{	/* Dataflow/walk.scm 247 */
										obj_t BgL_pairz00_3622;

										BgL_pairz00_3622 = BgL_bindingsz00_2078;
										BgL_nodez00_2082 = CDR(CAR(BgL_pairz00_3622));
									}
									{	/* Dataflow/walk.scm 247 */
										obj_t BgL_envz00_2083;

										BgL_envz00_2083 =
											BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_nodez00_2082), BgL_envz00_2079);
										{	/* Dataflow/walk.scm 248 */

											{	/* Dataflow/walk.scm 249 */
												obj_t BgL_lz00_2084;

												{	/* Dataflow/walk.scm 249 */
													obj_t BgL_pairz00_3626;

													BgL_pairz00_3626 = BgL_bindingsz00_2078;
													BgL_lz00_2084 = CAR(CAR(BgL_pairz00_3626));
												}
												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_lz00_2084)))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
													{	/* Dataflow/walk.scm 251 */
														BgL_localz00_bglt BgL_tmp1179z00_2086;

														BgL_tmp1179z00_2086 =
															((BgL_localz00_bglt) BgL_lz00_2084);
														{	/* Dataflow/walk.scm 251 */
															BgL_localz00_bglt BgL_tmp1180z00_2087;
															BgL_localzf2valuezf2_bglt BgL_wide1181z00_2088;

															BgL_tmp1180z00_2087 =
																((BgL_localz00_bglt) BgL_tmp1179z00_2086);
															BgL_wide1181z00_2088 =
																((BgL_localzf2valuezf2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_localzf2valuezf2_bgl))));
															{	/* Dataflow/walk.scm 251 */
																obj_t BgL_auxz00_4942;
																BgL_objectz00_bglt BgL_auxz00_4940;

																BgL_auxz00_4942 =
																	((obj_t) BgL_wide1181z00_2088);
																BgL_auxz00_4940 =
																	((BgL_objectz00_bglt) BgL_tmp1180z00_2087);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_4940,
																	BgL_auxz00_4942);
															}
															{	/* Dataflow/walk.scm 251 */
																long BgL_arg2375z00_2089;

																{	/* Dataflow/walk.scm 251 */
																	long BgL_res2672z00_3633;

																	BgL_res2672z00_3633 =
																		BGL_CLASS_INDEX
																		(BGl_localzf2valuezf2zzdataflow_walkz00);
																	BgL_arg2375z00_2089 = BgL_res2672z00_3633;
																}
																{	/* Dataflow/walk.scm 251 */
																	BgL_objectz00_bglt BgL_objz00_3634;

																	BgL_objz00_3634 =
																		((BgL_objectz00_bglt) BgL_tmp1180z00_2087);
																	((BgL_localz00_bglt)
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3634,
																			BgL_arg2375z00_2089));
															}} BgL_tmp1180z00_2087;
														}
														{	/* Dataflow/walk.scm 251 */
															BgL_localz00_bglt BgL_new1183z00_2090;

															BgL_new1183z00_2090 =
																((BgL_localz00_bglt) BgL_tmp1179z00_2086);
															{
																BgL_localzf2valuezf2_bglt BgL_auxz00_4950;

																{
																	obj_t BgL_auxz00_4951;

																	{	/* Dataflow/walk.scm 251 */
																		BgL_objectz00_bglt BgL_auxz00_4952;

																		BgL_auxz00_4952 =
																			((BgL_objectz00_bglt)
																			BgL_new1183z00_2090);
																		BgL_auxz00_4951 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_4952);
																	}
																	BgL_auxz00_4950 =
																		((BgL_localzf2valuezf2_bglt)
																		BgL_auxz00_4951);
																}
																((((BgL_localzf2valuezf2_bglt)
																			CREF(BgL_auxz00_4950))->BgL_stampz00) =
																	((int) (int) (BgL_stampz00_2053)), BUNSPEC);
															}
															{
																BgL_localzf2valuezf2_bglt BgL_auxz00_4958;

																{
																	obj_t BgL_auxz00_4959;

																	{	/* Dataflow/walk.scm 251 */
																		BgL_objectz00_bglt BgL_auxz00_4960;

																		BgL_auxz00_4960 =
																			((BgL_objectz00_bglt)
																			BgL_new1183z00_2090);
																		BgL_auxz00_4959 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_4960);
																	}
																	BgL_auxz00_4958 =
																		((BgL_localzf2valuezf2_bglt)
																		BgL_auxz00_4959);
																}
																((((BgL_localzf2valuezf2_bglt)
																			CREF(BgL_auxz00_4958))->BgL_nodez00) =
																	((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																			BgL_nodez00_2082)), BUNSPEC);
															}
															((obj_t) BgL_new1183z00_2090);
													}}
												else
													{	/* Dataflow/walk.scm 250 */
														BFALSE;
													}
											}
											{
												obj_t BgL_envz00_4969;
												obj_t BgL_bindingsz00_4967;

												BgL_bindingsz00_4967 = CDR(BgL_bindingsz00_2078);
												BgL_envz00_4969 = BgL_envz00_2083;
												BgL_envz00_2079 = BgL_envz00_4969;
												BgL_bindingsz00_2078 = BgL_bindingsz00_4967;
												goto BgL_zc3anonymousza32372ze3z83_2080;
											}
										}
									}
								}
						}
						{	/* Dataflow/walk.scm 243 */

							{	/* Dataflow/walk.scm 255 */
								obj_t BgL_arg2354z00_2056;

								BgL_arg2354z00_2056 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2048))->
										BgL_bodyz00), BgL_envz00_2054);
								{	/* Dataflow/walk.scm 257 */
									obj_t BgL_zc3anonymousza32356ze3z83_3962;

									BgL_zc3anonymousza32356ze3z83_3962 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32356ze3ze1zzdataflow_walkz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32356ze3z83_3962,
										(int) (((long) 0)), BINT(BgL_stampz00_2053));
									{	/* Dataflow/walk.scm 255 */
										obj_t BgL_list2355z00_2057;

										BgL_list2355z00_2057 = MAKE_PAIR(BgL_arg2354z00_2056, BNIL);
										return
											BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
											(BgL_zc3anonymousza32356ze3z83_3962,
											BgL_list2355z00_2057);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2356> */
	obj_t BGl_z62zc3anonymousza32356ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_4025, obj_t BgL_bz00_4027)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 255 */
			{	/* Dataflow/walk.scm 257 */
				long BgL_stampz00_4026;

				BgL_stampz00_4026 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4025, (int) (((long) 0))));
				{
					obj_t BgL_bz00_2058;

					BgL_bz00_2058 = BgL_bz00_4027;
					{	/* Dataflow/walk.scm 257 */
						bool_t BgL_testz00_4985;

						{	/* Dataflow/walk.scm 257 */
							bool_t BgL_testz00_4986;

							{	/* Dataflow/walk.scm 257 */
								obj_t BgL_arg2369z00_2073;

								BgL_arg2369z00_2073 = CAR(BgL_bz00_2058);
								BgL_testz00_4986 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2369z00_2073,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							if (BgL_testz00_4986)
								{	/* Dataflow/walk.scm 258 */
									long BgL_auxz00_4989;

									{	/* Dataflow/walk.scm 258 */
										int BgL_auxz00_4990;

										{
											BgL_localzf2valuezf2_bglt BgL_auxz00_4991;

											{
												obj_t BgL_auxz00_4992;

												{	/* Dataflow/walk.scm 258 */
													BgL_objectz00_bglt BgL_auxz00_4993;

													{
														BgL_localz00_bglt BgL_auxz00_4994;

														{	/* Dataflow/walk.scm 258 */
															obj_t BgL_pairz00_3640;

															BgL_pairz00_3640 = BgL_bz00_2058;
															BgL_auxz00_4994 =
																((BgL_localz00_bglt) CAR(BgL_pairz00_3640));
														}
														BgL_auxz00_4993 =
															((BgL_objectz00_bglt) BgL_auxz00_4994);
													}
													BgL_auxz00_4992 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4993);
												}
												BgL_auxz00_4991 =
													((BgL_localzf2valuezf2_bglt) BgL_auxz00_4992);
											}
											BgL_auxz00_4990 =
												(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4991))->
												BgL_stampz00);
										}
										BgL_auxz00_4989 = (long) (BgL_auxz00_4990);
									}
									BgL_testz00_4985 = (BgL_auxz00_4989 < BgL_stampz00_4026);
								}
							else
								{	/* Dataflow/walk.scm 257 */
									BgL_testz00_4985 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4985)
							{	/* Dataflow/walk.scm 257 */
								return BgL_bz00_2058;
							}
						else
							{	/* Dataflow/walk.scm 260 */
								bool_t BgL_testz00_5003;

								{	/* Dataflow/walk.scm 260 */
									BgL_nodez00_bglt BgL_arg2364z00_2068;

									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5004;

										{
											obj_t BgL_auxz00_5005;

											{	/* Dataflow/walk.scm 260 */
												BgL_objectz00_bglt BgL_auxz00_5006;

												{
													BgL_localz00_bglt BgL_auxz00_5007;

													{	/* Dataflow/walk.scm 260 */
														obj_t BgL_pairz00_3647;

														BgL_pairz00_3647 = BgL_bz00_2058;
														BgL_auxz00_5007 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_3647));
													}
													BgL_auxz00_5006 =
														((BgL_objectz00_bglt) BgL_auxz00_5007);
												}
												BgL_auxz00_5005 = BGL_OBJECT_WIDENING(BgL_auxz00_5006);
											}
											BgL_auxz00_5004 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5005);
										}
										BgL_arg2364z00_2068 =
											(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_5004))->
											BgL_nodez00);
									}
									{	/* Dataflow/walk.scm 260 */
										bool_t BgL_res2677z00_3652;

										{	/* Dataflow/walk.scm 260 */
											obj_t BgL_objz00_3651;

											BgL_objz00_3651 = ((obj_t) BgL_arg2364z00_2068);
											BgL_res2677z00_3652 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3651,
												BGl_varz00zzast_nodez00);
										}
										BgL_testz00_5003 = BgL_res2677z00_3652;
									}
								}
								if (BgL_testz00_5003)
									{	/* Dataflow/walk.scm 261 */
										BgL_variablez00_bglt BgL_vz00_2062;

										{
											BgL_varz00_bglt BgL_auxz00_5016;

											{
												BgL_nodez00_bglt BgL_auxz00_5017;

												{
													BgL_localzf2valuezf2_bglt BgL_auxz00_5018;

													{
														obj_t BgL_auxz00_5019;

														{	/* Dataflow/walk.scm 261 */
															BgL_objectz00_bglt BgL_auxz00_5020;

															{
																BgL_localz00_bglt BgL_auxz00_5021;

																{	/* Dataflow/walk.scm 261 */
																	obj_t BgL_pairz00_3653;

																	BgL_pairz00_3653 = BgL_bz00_2058;
																	BgL_auxz00_5021 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_3653));
																}
																BgL_auxz00_5020 =
																	((BgL_objectz00_bglt) BgL_auxz00_5021);
															}
															BgL_auxz00_5019 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5020);
														}
														BgL_auxz00_5018 =
															((BgL_localzf2valuezf2_bglt) BgL_auxz00_5019);
													}
													BgL_auxz00_5017 =
														(((BgL_localzf2valuezf2_bglt)
															CREF(BgL_auxz00_5018))->BgL_nodez00);
												}
												BgL_auxz00_5016 = ((BgL_varz00_bglt) BgL_auxz00_5017);
											}
											BgL_vz00_2062 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_5016))->
												BgL_variablez00);
										}
										if (
											((((BgL_variablez00_bglt) CREF(BgL_vz00_2062))->
													BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
											{	/* Dataflow/walk.scm 263 */
												obj_t BgL_arg2360z00_2064;

												BgL_arg2360z00_2064 = CDR(BgL_bz00_2058);
												return
													MAKE_PAIR(
													((obj_t) BgL_vz00_2062), BgL_arg2360z00_2064);
											}
										else
											{	/* Dataflow/walk.scm 262 */
												return BFALSE;
											}
									}
								else
									{	/* Dataflow/walk.scm 260 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-let-f2145 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f2145za2zzdataflow_walkz00(obj_t
		BgL_envz00_4028, obj_t BgL_nodez00_4029, obj_t BgL_envz00_4030)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 224 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2031;
				obj_t BgL_envz00_2032;

				BgL_nodez00_2031 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_4029);
				BgL_envz00_2032 = BgL_envz00_4030;
				{	/* Dataflow/walk.scm 226 */
					obj_t BgL_g2093z00_2036;

					BgL_g2093z00_2036 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2031))->BgL_localsz00);
					{
						obj_t BgL_l2091z00_2038;

						BgL_l2091z00_2038 = BgL_g2093z00_2036;
					BgL_zc3anonymousza32347ze3z83_2039:
						if (PAIRP(BgL_l2091z00_2038))
							{	/* Dataflow/walk.scm 226 */
								{	/* Dataflow/walk.scm 227 */
									obj_t BgL_localz00_2041;

									BgL_localz00_2041 = CAR(BgL_l2091z00_2038);
									{	/* Dataflow/walk.scm 227 */
										obj_t BgL_arg2349z00_2042;

										BgL_arg2349z00_2042 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_2041))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
												(BgL_nodez00_bglt) BgL_arg2349z00_2042), BNIL);
									}
								}
								{
									obj_t BgL_l2091z00_5048;

									BgL_l2091z00_5048 = CDR(BgL_l2091z00_2038);
									BgL_l2091z00_2038 = BgL_l2091z00_5048;
									goto BgL_zc3anonymousza32347ze3z83_2039;
								}
							}
						else
							{	/* Dataflow/walk.scm 226 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2031))->BgL_bodyz00),
					BgL_envz00_2032);
			}
		}
	}



/* &dataflow-node!-selec2143 */
	obj_t BGl_z62dataflowzd2nodez12zd2selec2143z70zzdataflow_walkz00(obj_t
		BgL_envz00_4031, obj_t BgL_nodez00_4032, obj_t BgL_envz00_4033)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 213 */
			{
				BgL_selectz00_bglt BgL_nodez00_2015;
				obj_t BgL_envz00_2016;

				BgL_nodez00_2015 = ((BgL_selectz00_bglt) BgL_nodez00_4032);
				BgL_envz00_2016 = BgL_envz00_4033;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_2015))->BgL_testz00),
					BgL_envz00_2016);
				{	/* Dataflow/walk.scm 216 */
					obj_t BgL_g2090z00_2021;

					BgL_g2090z00_2021 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_2015))->BgL_clausesz00);
					{
						obj_t BgL_l2088z00_2023;

						BgL_l2088z00_2023 = BgL_g2090z00_2021;
					BgL_zc3anonymousza32343ze3z83_2024:
						if (PAIRP(BgL_l2088z00_2023))
							{	/* Dataflow/walk.scm 216 */
								{	/* Dataflow/walk.scm 217 */
									obj_t BgL_clausez00_2026;

									BgL_clausez00_2026 = CAR(BgL_l2088z00_2023);
									{	/* Dataflow/walk.scm 217 */
										obj_t BgL_arg2345z00_2027;

										BgL_arg2345z00_2027 = CDR(BgL_clausez00_2026);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2345z00_2027),
											BgL_envz00_2016);
									}
								}
								{
									obj_t BgL_l2088z00_5062;

									BgL_l2088z00_5062 = CDR(BgL_l2088z00_2023);
									BgL_l2088z00_2023 = BgL_l2088z00_5062;
									goto BgL_zc3anonymousza32343ze3z83_2024;
								}
							}
						else
							{	/* Dataflow/walk.scm 216 */
								((bool_t) 1);
							}
					}
				}
				return BgL_envz00_2016;
			}
		}
	}



/* &dataflow-node!-fail2141 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail2141z70zzdataflow_walkz00(obj_t
		BgL_envz00_4034, obj_t BgL_nodez00_4035, obj_t BgL_envz00_4036)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 203 */
			{
				BgL_failz00_bglt BgL_nodez00_2006;
				obj_t BgL_envz00_2007;

				BgL_nodez00_2006 = ((BgL_failz00_bglt) BgL_nodez00_4035);
				BgL_envz00_2007 = BgL_envz00_4036;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2006))->BgL_procz00),
					BgL_envz00_2007);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_2006))->BgL_msgz00), BgL_envz00_2007);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_2006))->BgL_objz00), BgL_envz00_2007);
				return BgL_envz00_2007;
			}
		}
	}



/* &dataflow-node!-condi2139 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi2139z70zzdataflow_walkz00(obj_t
		BgL_envz00_4037, obj_t BgL_nodez00_4038, obj_t BgL_envz00_4039)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 180 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1965;
				obj_t BgL_envz00_1966;

				BgL_nodez00_1965 = ((BgL_conditionalz00_bglt) BgL_nodez00_4038);
				BgL_envz00_1966 = BgL_envz00_4039;
				{	/* Dataflow/walk.scm 191 */
					obj_t BgL_tenvz00_1971;

					BgL_tenvz00_1971 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1965))->BgL_testz00),
						BgL_envz00_1966);
					{	/* Dataflow/walk.scm 191 */
						obj_t BgL_truezd2envzd2_1972;

						BgL_truezd2envzd2_1972 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1965))->
									BgL_testz00)), BgL_tenvz00_1971);
						{	/* Dataflow/walk.scm 192 */
							obj_t BgL_falsezd2envzd2_1973;

							BgL_falsezd2envzd2_1973 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1965))->
										BgL_testz00)), BgL_tenvz00_1971);
							{	/* Dataflow/walk.scm 193 */

								{	/* Dataflow/walk.scm 194 */
									obj_t BgL_tenvz00_1974;
									obj_t BgL_fenvz00_1975;

									BgL_tenvz00_1974 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1965))->
											BgL_falsez00), BgL_falsezd2envzd2_1973);
									BgL_fenvz00_1975 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1965))->
											BgL_truez00), BgL_truezd2envzd2_1972);
									{	/* Dataflow/walk.scm 196 */
										bool_t BgL_testz00_5084;

										{	/* Dataflow/walk.scm 196 */
											BgL_nodez00_bglt BgL_arg2324z00_1977;

											BgL_arg2324z00_1977 =
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1965))->
												BgL_falsez00);
											BgL_testz00_5084 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg2324z00_1977));
										}
										if (BgL_testz00_5084)
											{	/* Dataflow/walk.scm 196 */
												return BgL_tenvz00_1974;
											}
										else
											{	/* Dataflow/walk.scm 196 */
												return
													BGl_zc3anonymousza32333ze3z83zzdataflow_walkz00
													(BgL_fenvz00_1975, BgL_tenvz00_1974);
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:2333> */
	obj_t BGl_zc3anonymousza32333ze3z83zzdataflow_walkz00(obj_t BgL_env2z00_4068,
		obj_t BgL_lis2084z00_1989)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 183 */
		BGl_zc3anonymousza32333ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2084z00_1989))
				{	/* Dataflow/walk.scm 183 */
					return BgL_lis2084z00_1989;
				}
			else
				{	/* Dataflow/walk.scm 183 */
					obj_t BgL_head2085z00_1992;
					obj_t BgL_tail2086z00_1993;

					BgL_head2085z00_1992 = CAR(BgL_lis2084z00_1989);
					BgL_tail2086z00_1993 = CDR(BgL_lis2084z00_1989);
					{	/* Dataflow/walk.scm 183 */
						bool_t BgL_testz00_5094;

						{	/* Dataflow/walk.scm 185 */
							obj_t BgL_c2z00_2000;

							BgL_c2z00_2000 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR
								(BgL_head2085z00_1992), BgL_env2z00_4068);
							{	/* Dataflow/walk.scm 186 */

								if (PAIRP(BgL_c2z00_2000))
									{	/* Dataflow/walk.scm 187 */
										BgL_testz00_5094 =
											(CDR(BgL_c2z00_2000) == CDR(BgL_head2085z00_1992));
									}
								else
									{	/* Dataflow/walk.scm 187 */
										BgL_testz00_5094 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_5094)
							{	/* Dataflow/walk.scm 183 */
								obj_t BgL_newzd2tail2087zd2_1995;

								BgL_newzd2tail2087zd2_1995 =
									BGl_zc3anonymousza32333ze3z83zzdataflow_walkz00
									(BgL_env2z00_4068, BgL_tail2086z00_1993);
								if ((BgL_tail2086z00_1993 == BgL_newzd2tail2087zd2_1995))
									{	/* Dataflow/walk.scm 183 */
										return BgL_lis2084z00_1989;
									}
								else
									{	/* Dataflow/walk.scm 183 */
										obj_t BgL_res2666z00_3602;

										BgL_res2666z00_3602 =
											MAKE_PAIR(BgL_head2085z00_1992,
											BgL_newzd2tail2087zd2_1995);
										return BgL_res2666z00_3602;
									}
							}
						else
							{
								obj_t BgL_lis2084z00_5106;

								BgL_lis2084z00_5106 = BgL_tail2086z00_1993;
								BgL_lis2084z00_1989 = BgL_lis2084z00_5106;
								goto BGl_zc3anonymousza32333ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-setq2137 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq2137z70zzdataflow_walkz00(obj_t
		BgL_envz00_4040, obj_t BgL_nodez00_4041, obj_t BgL_envz00_4042)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 160 */
			{
				BgL_setqz00_bglt BgL_nodez00_1928;
				obj_t BgL_envz00_1929;

				BgL_nodez00_1928 = ((BgL_setqz00_bglt) BgL_nodez00_4041);
				BgL_envz00_1929 = BgL_envz00_4042;
				{	/* Dataflow/walk.scm 168 */
					obj_t BgL_nenvz00_1934;

					BgL_nenvz00_1934 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1928))->BgL_valuez00),
						BgL_envz00_1929);
					{	/* Dataflow/walk.scm 169 */
						BgL_varz00_bglt BgL_i1172z00_1935;

						BgL_i1172z00_1935 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1928))->BgL_varz00);
						{	/* Dataflow/walk.scm 170 */
							bool_t BgL_testz00_5110;

							{	/* Dataflow/walk.scm 170 */
								BgL_variablez00_bglt BgL_arg2314z00_1945;

								BgL_arg2314z00_1945 =
									(((BgL_varz00_bglt) CREF(BgL_i1172z00_1935))->
									BgL_variablez00);
								{	/* Dataflow/walk.scm 170 */
									bool_t BgL_res2662z00_3587;

									{	/* Dataflow/walk.scm 170 */
										obj_t BgL_objz00_3586;

										BgL_objz00_3586 = ((obj_t) BgL_arg2314z00_1945);
										BgL_res2662z00_3587 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3586,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_5110 = BgL_res2662z00_3587;
								}
							}
							if (BgL_testz00_5110)
								{	/* Dataflow/walk.scm 170 */
									return
										BGl_zc3anonymousza32317ze3z83zzdataflow_walkz00(
										(((BgL_varz00_bglt) CREF(BgL_i1172z00_1935))->
											BgL_variablez00), BgL_nenvz00_1934);
								}
							else
								{	/* Dataflow/walk.scm 172 */
									BgL_typez00_bglt BgL_typz00_1938;

									BgL_typz00_1938 =
										BGl_getzd2typezd2zztype_typeofz00(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1928))->
											BgL_valuez00));
									{	/* Dataflow/walk.scm 173 */
										bool_t BgL_testz00_5118;

										if (
											(((obj_t) BgL_typz00_1938) ==
												BGl_za2_za2z00zztype_cachez00))
											{	/* Dataflow/walk.scm 173 */
												BgL_testz00_5118 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 173 */
												BgL_testz00_5118 =
													(
													((obj_t) BgL_typz00_1938) ==
													BGl_za2objza2z00zztype_cachez00);
											}
										if (BgL_testz00_5118)
											{	/* Dataflow/walk.scm 173 */
												return
													BGl_zc3anonymousza32317ze3z83zzdataflow_walkz00(
													(((BgL_varz00_bglt) CREF(BgL_i1172z00_1935))->
														BgL_variablez00), BgL_nenvz00_1934);
											}
										else
											{	/* Dataflow/walk.scm 175 */
												obj_t BgL_arg2310z00_1941;

												{	/* Dataflow/walk.scm 175 */
													BgL_variablez00_bglt BgL_arg2311z00_1942;

													BgL_arg2311z00_1942 =
														(((BgL_varz00_bglt) CREF(BgL_i1172z00_1935))->
														BgL_variablez00);
													BgL_arg2310z00_1941 =
														MAKE_PAIR(((obj_t) BgL_arg2311z00_1942),
														((obj_t) BgL_typz00_1938));
												}
												return MAKE_PAIR(BgL_arg2310z00_1941, BgL_nenvz00_1934);
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* <anonymous:2317> */
	obj_t BGl_zc3anonymousza32317ze3z83zzdataflow_walkz00(BgL_variablez00_bglt
		BgL_variablez00_4067, obj_t BgL_lis2079z00_1951)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 163 */
		BGl_zc3anonymousza32317ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2079z00_1951))
				{	/* Dataflow/walk.scm 163 */
					return BgL_lis2079z00_1951;
				}
			else
				{	/* Dataflow/walk.scm 163 */
					obj_t BgL_head2080z00_1954;
					obj_t BgL_tail2081z00_1955;

					BgL_head2080z00_1954 = CAR(BgL_lis2079z00_1951);
					BgL_tail2081z00_1955 = CDR(BgL_lis2079z00_1951);
					{	/* Dataflow/walk.scm 163 */
						bool_t BgL_testz00_5136;

						if ((CAR(BgL_head2080z00_1954) == ((obj_t) BgL_variablez00_4067)))
							{	/* Dataflow/walk.scm 164 */
								BgL_testz00_5136 = ((bool_t) 0);
							}
						else
							{	/* Dataflow/walk.scm 164 */
								BgL_testz00_5136 = ((bool_t) 1);
							}
						if (BgL_testz00_5136)
							{	/* Dataflow/walk.scm 163 */
								obj_t BgL_newzd2tail2082zd2_1957;

								BgL_newzd2tail2082zd2_1957 =
									BGl_zc3anonymousza32317ze3z83zzdataflow_walkz00
									(BgL_variablez00_4067, BgL_tail2081z00_1955);
								if ((BgL_tail2081z00_1955 == BgL_newzd2tail2082zd2_1957))
									{	/* Dataflow/walk.scm 163 */
										return BgL_lis2079z00_1951;
									}
								else
									{	/* Dataflow/walk.scm 163 */
										obj_t BgL_res2661z00_3585;

										BgL_res2661z00_3585 =
											MAKE_PAIR(BgL_head2080z00_1954,
											BgL_newzd2tail2082zd2_1957);
										return BgL_res2661z00_3585;
									}
							}
						else
							{
								obj_t BgL_lis2079z00_5145;

								BgL_lis2079z00_5145 = BgL_tail2081z00_1955;
								BgL_lis2079z00_1951 = BgL_lis2079z00_5145;
								goto BGl_zc3anonymousza32317ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-exter2135 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter2135z70zzdataflow_walkz00(obj_t
		BgL_envz00_4043, obj_t BgL_nodez00_4044, obj_t BgL_envz00_4045)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 153 */
			{
				BgL_externz00_bglt BgL_nodez00_1922;
				obj_t BgL_envz00_1923;

				BgL_nodez00_1922 = ((BgL_externz00_bglt) BgL_nodez00_4044);
				BgL_envz00_1923 = BgL_envz00_4045;
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1922))->BgL_exprza2za2),
					BgL_envz00_1923);
			}
		}
	}



/* &dataflow-node!-funca2133 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca2133z70zzdataflow_walkz00(obj_t
		BgL_envz00_4046, obj_t BgL_nodez00_4047, obj_t BgL_envz00_4048)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 145 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1914;
				obj_t BgL_envz00_1915;

				BgL_nodez00_1914 = ((BgL_funcallz00_bglt) BgL_nodez00_4047);
				BgL_envz00_1915 = BgL_envz00_4048;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1914))->BgL_funz00),
					BgL_envz00_1915);
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1914))->BgL_argsz00), BgL_envz00_1915);
			}
		}
	}



/* &dataflow-node!-app-l2131 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l2131za2zzdataflow_walkz00(obj_t
		BgL_envz00_4049, obj_t BgL_nodez00_4050, obj_t BgL_envz00_4051)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 137 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1906;
				obj_t BgL_envz00_1907;

				BgL_nodez00_1906 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4050);
				BgL_envz00_1907 = BgL_envz00_4051;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1906))->BgL_funz00),
					BgL_envz00_1907);
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
							CREF(BgL_nodez00_1906))->BgL_argz00), BgL_envz00_1907);
			}
		}
	}



/* &dataflow-node!-app2129 */
	obj_t BGl_z62dataflowzd2nodez12zd2app2129z70zzdataflow_walkz00(obj_t
		BgL_envz00_4052, obj_t BgL_nodez00_4053, obj_t BgL_envz00_4054)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 121 */
			{
				BgL_appz00_bglt BgL_nodez00_1879;
				obj_t BgL_envz00_1880;

				BgL_nodez00_1879 = ((BgL_appz00_bglt) BgL_nodez00_4053);
				BgL_envz00_1880 = BgL_envz00_4054;
				{	/* Dataflow/walk.scm 123 */
					obj_t BgL_aenvz00_1884;

					BgL_aenvz00_1884 =
						BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1879))->BgL_argsz00),
						BgL_envz00_1880);
					{	/* Dataflow/walk.scm 124 */
						bool_t BgL_testz00_5161;

						{	/* Dataflow/walk.scm 124 */
							bool_t BgL_testz00_5162;

							{	/* Dataflow/walk.scm 124 */
								BgL_varz00_bglt BgL_arg2300z00_1903;

								BgL_arg2300z00_1903 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1879))->BgL_funz00);
								{	/* Dataflow/walk.scm 124 */
									bool_t BgL_res2651z00_3544;

									{	/* Dataflow/walk.scm 124 */
										obj_t BgL_objz00_3543;

										BgL_objz00_3543 = ((obj_t) BgL_arg2300z00_1903);
										BgL_res2651z00_3544 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3543,
											BGl_varz00zzast_nodez00);
									}
									BgL_testz00_5162 = BgL_res2651z00_3544;
								}
							}
							if (BgL_testz00_5162)
								{	/* Dataflow/walk.scm 124 */
									BgL_variablez00_bglt BgL_arg2298z00_1901;

									BgL_arg2298z00_1901 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1879))->
													BgL_funz00)))->BgL_variablez00);
									{	/* Dataflow/walk.scm 124 */
										bool_t BgL_res2653z00_3549;

										{	/* Dataflow/walk.scm 124 */
											obj_t BgL_objz00_3548;

											BgL_objz00_3548 = ((obj_t) BgL_arg2298z00_1901);
											BgL_res2653z00_3549 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3548,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_5161 = BgL_res2653z00_3549;
									}
								}
							else
								{	/* Dataflow/walk.scm 124 */
									BgL_testz00_5161 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_5161)
							{	/* Dataflow/walk.scm 124 */
								return
									BGl_zc3anonymousza32292ze3z83zzdataflow_walkz00
									(BgL_aenvz00_1884);
							}
						else
							{	/* Dataflow/walk.scm 124 */
								return BgL_aenvz00_1884;
							}
					}
				}
			}
		}
	}



/* <anonymous:2292> */
	obj_t BGl_zc3anonymousza32292ze3z83zzdataflow_walkz00(obj_t
		BgL_lis2074z00_1887)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 128 */
		BGl_zc3anonymousza32292ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2074z00_1887))
				{	/* Dataflow/walk.scm 128 */
					return BgL_lis2074z00_1887;
				}
			else
				{	/* Dataflow/walk.scm 128 */
					obj_t BgL_head2075z00_1890;
					obj_t BgL_tail2076z00_1891;

					BgL_head2075z00_1890 = CAR(BgL_lis2074z00_1887);
					BgL_tail2076z00_1891 = CDR(BgL_lis2074z00_1887);
					{	/* Dataflow/walk.scm 128 */
						bool_t BgL_testz00_5176;

						{	/* Dataflow/walk.scm 129 */
							obj_t BgL_vz00_1896;

							BgL_vz00_1896 = CAR(BgL_head2075z00_1890);
							{	/* Dataflow/walk.scm 130 */
								bool_t BgL__ortest_1168z00_1897;

								BgL__ortest_1168z00_1897 =
									BGl_isazf3zf3zz__objectz00(BgL_vz00_1896,
									BGl_globalz00zzast_varz00);
								if (BgL__ortest_1168z00_1897)
									{	/* Dataflow/walk.scm 130 */
										BgL_testz00_5176 = BgL__ortest_1168z00_1897;
									}
								else
									{	/* Dataflow/walk.scm 130 */
										BgL_testz00_5176 =
											(
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_vz00_1896)))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
						}}}
						if (BgL_testz00_5176)
							{	/* Dataflow/walk.scm 128 */
								obj_t BgL_newzd2tail2077zd2_1893;

								BgL_newzd2tail2077zd2_1893 =
									BGl_zc3anonymousza32292ze3z83zzdataflow_walkz00
									(BgL_tail2076z00_1891);
								if ((BgL_tail2076z00_1891 == BgL_newzd2tail2077zd2_1893))
									{	/* Dataflow/walk.scm 128 */
										return BgL_lis2074z00_1887;
									}
								else
									{	/* Dataflow/walk.scm 128 */
										obj_t BgL_res2657z00_3564;

										BgL_res2657z00_3564 =
											MAKE_PAIR(BgL_head2075z00_1890,
											BgL_newzd2tail2077zd2_1893);
										return BgL_res2657z00_3564;
									}
							}
						else
							{
								obj_t BgL_lis2074z00_5188;

								BgL_lis2074z00_5188 = BgL_tail2076z00_1891;
								BgL_lis2074z00_1887 = BgL_lis2074z00_5188;
								goto BGl_zc3anonymousza32292ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-sync2127 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync2127z70zzdataflow_walkz00(obj_t
		BgL_envz00_4055, obj_t BgL_nodez00_4056, obj_t BgL_envz00_4057)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 110 */
			{
				BgL_syncz00_bglt BgL_nodez00_1863;
				obj_t BgL_envz00_1864;

				BgL_nodez00_1863 = ((BgL_syncz00_bglt) BgL_nodez00_4056);
				BgL_envz00_1864 = BgL_envz00_4057;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1863))->BgL_mutexz00),
					BgL_envz00_1864);
				{	/* Dataflow/walk.scm 112 */
					obj_t BgL_g1166z00_1868;

					BgL_g1166z00_1868 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1863))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_1870;
						obj_t BgL_envz00_1871;

						BgL_nodeza2za2_1870 = BgL_g1166z00_1868;
						BgL_envz00_1871 = BgL_envz00_1864;
					BgL_zc3anonymousza32286ze3z83_1872:
						if (NULLP(BgL_nodeza2za2_1870))
							{	/* Dataflow/walk.scm 114 */
								return BgL_envz00_1871;
							}
						else
							{	/* Dataflow/walk.scm 116 */
								obj_t BgL_arg2288z00_1874;
								obj_t BgL_arg2289z00_1875;

								BgL_arg2288z00_1874 = CDR(BgL_nodeza2za2_1870);
								{	/* Dataflow/walk.scm 116 */
									obj_t BgL_arg2290z00_1876;

									BgL_arg2290z00_1876 = CAR(BgL_nodeza2za2_1870);
									BgL_arg2289z00_1875 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2290z00_1876), BgL_envz00_1871);
								}
								{
									obj_t BgL_envz00_5199;
									obj_t BgL_nodeza2za2_5198;

									BgL_nodeza2za2_5198 = BgL_arg2288z00_1874;
									BgL_envz00_5199 = BgL_arg2289z00_1875;
									BgL_envz00_1871 = BgL_envz00_5199;
									BgL_nodeza2za2_1870 = BgL_nodeza2za2_5198;
									goto BgL_zc3anonymousza32286ze3z83_1872;
								}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-seque2125 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque2125z70zzdataflow_walkz00(obj_t
		BgL_envz00_4058, obj_t BgL_nodez00_4059, obj_t BgL_envz00_4060)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 100 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1848;
				obj_t BgL_envz00_1849;

				BgL_nodez00_1848 = ((BgL_sequencez00_bglt) BgL_nodez00_4059);
				BgL_envz00_1849 = BgL_envz00_4060;
				{	/* Dataflow/walk.scm 101 */
					obj_t BgL_g1165z00_1852;

					BgL_g1165z00_1852 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1848))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_1854;
						obj_t BgL_envz00_1855;

						BgL_nodeza2za2_1854 = BgL_g1165z00_1852;
						BgL_envz00_1855 = BgL_envz00_1849;
					BgL_zc3anonymousza32280ze3z83_1856:
						if (NULLP(BgL_nodeza2za2_1854))
							{	/* Dataflow/walk.scm 103 */
								return BgL_envz00_1855;
							}
						else
							{	/* Dataflow/walk.scm 105 */
								obj_t BgL_arg2282z00_1858;
								obj_t BgL_arg2283z00_1859;

								BgL_arg2282z00_1858 = CDR(BgL_nodeza2za2_1854);
								{	/* Dataflow/walk.scm 105 */
									obj_t BgL_arg2284z00_1860;

									BgL_arg2284z00_1860 = CAR(BgL_nodeza2za2_1854);
									BgL_arg2283z00_1859 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2284z00_1860), BgL_envz00_1855);
								}
								{
									obj_t BgL_envz00_5209;
									obj_t BgL_nodeza2za2_5208;

									BgL_nodeza2za2_5208 = BgL_arg2282z00_1858;
									BgL_envz00_5209 = BgL_arg2283z00_1859;
									BgL_envz00_1855 = BgL_envz00_5209;
									BgL_nodeza2za2_1854 = BgL_nodeza2za2_5208;
									goto BgL_zc3anonymousza32280ze3z83_1856;
								}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-closu2123 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu2123z70zzdataflow_walkz00(obj_t
		BgL_envz00_4061, obj_t BgL_nodez00_4062, obj_t BgL_envz00_4063)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 94 */
			return BgL_envz00_4063;
		}
	}



/* &dataflow-node!-var2121 */
	obj_t BGl_z62dataflowzd2nodez12zd2var2121z70zzdataflow_walkz00(obj_t
		BgL_envz00_4064, obj_t BgL_nodez00_4065, obj_t BgL_envz00_4066)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 80 */
			{
				BgL_varz00_bglt BgL_nodez00_1824;
				obj_t BgL_envz00_1825;

				BgL_nodez00_1824 = ((BgL_varz00_bglt) BgL_nodez00_4065);
				BgL_envz00_1825 = BgL_envz00_4066;
				{	/* Dataflow/walk.scm 82 */
					BgL_variablez00_bglt BgL_i1163z00_1829;

					BgL_i1163z00_1829 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1824))->BgL_variablez00);
					{	/* Dataflow/walk.scm 83 */
						bool_t BgL_testz00_5212;

						if (BGl_bigloozd2typezf3z21zztype_typez00(
								(((BgL_variablez00_bglt) CREF(BgL_i1163z00_1829))->
									BgL_typez00)))
							{	/* Dataflow/walk.scm 84 */
								bool_t BgL__ortest_1164z00_1836;

								{	/* Dataflow/walk.scm 84 */
									bool_t BgL_testz00_5216;

									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2278z00_1840;

										BgL_arg2278z00_1840 =
											(((BgL_variablez00_bglt) CREF(BgL_i1163z00_1829))->
											BgL_typez00);
										{	/* Dataflow/walk.scm 84 */
											bool_t BgL_res2644z00_3520;

											{	/* Dataflow/walk.scm 84 */
												obj_t BgL_objz00_3519;

												BgL_objz00_3519 = ((obj_t) BgL_arg2278z00_1840);
												BgL_res2644z00_3520 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_3519,
													BGl_tclassz00zzobject_classz00);
											}
											BgL_testz00_5216 = BgL_res2644z00_3520;
										}
									}
									if (BgL_testz00_5216)
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1164z00_1836 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1164z00_1836 = ((bool_t) 1);
										}
								}
								if (BgL__ortest_1164z00_1836)
									{	/* Dataflow/walk.scm 84 */
										BgL_testz00_5212 = BgL__ortest_1164z00_1836;
									}
								else
									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2275z00_1837;
										BgL_typez00_bglt BgL_arg2276z00_1838;

										BgL_arg2275z00_1837 =
											(((BgL_variablez00_bglt) CREF(BgL_i1163z00_1829))->
											BgL_typez00);
										BgL_arg2276z00_1838 =
											(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_nodez00_1824)))->BgL_typez00);
										BgL_testz00_5212 =
											BGl_typezd2subclasszf3z21zzobject_classz00
											(BgL_arg2275z00_1837, BgL_arg2276z00_1838);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BgL_testz00_5212 = ((bool_t) 0);
							}
						if (BgL_testz00_5212)
							{	/* Dataflow/walk.scm 85 */
								obj_t BgL_bz00_1831;

								BgL_bz00_1831 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t)
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1824))->
											BgL_variablez00)), BgL_envz00_1825);
								if (PAIRP(BgL_bz00_1831))
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1824)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													CDR(BgL_bz00_1831))), BUNSPEC);
									}
								else
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1824)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_1824))->
																BgL_variablez00)))->BgL_typez00)), BUNSPEC);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BFALSE;
							}
					}
				}
				return BgL_envz00_1825;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string2790z00zzdataflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
