/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	static obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz121943za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun1970za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2sync1948z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
	static obj_t
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i1974z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box1978za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var1972za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr1988z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32020ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62callzd2graphz12zd2app1950z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32041ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12zd2cast1959z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz121983za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2013z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2018z62zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2select1968z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2021z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly1952za2zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2028z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2029z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2036z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2039z62zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2funcall1954z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	static BgL_globalz00_bglt BGl_z62lambda2042z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd21976z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62lambda2052z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2053z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2extern1956z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref1980za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sequence1946z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro1992z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static BgL_valuez00_bglt
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12zd2local1990z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72280za7,
		BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2281z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2029za7622282z00, BGl_z62lambda2029z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2028za7622283z00, BGl_z62lambda2028z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2021za7622284z00, BGl_z62lambda2021z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72285za7,
		BGl_z62zc3anonymousza32020ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2018za7622286z00, BGl_z62lambda2018z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2013za7622287z00, BGl_z62lambda2013z62zzeffect_cgraphz00,
		0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72288za7,
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2289z00,
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72290za7,
		BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2291z00,
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2053za7622292z00, BGl_z62lambda2053z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2052za7622293z00, BGl_z62lambda2052z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2042za7622294z00, BGl_z62lambda2042z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72295za7,
		BGl_z62zc3anonymousza32041ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2039za7622296z00, BGl_z62lambda2039z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2036za7622297z00, BGl_z62lambda2036z62zzeffect_cgraphz00,
		0L, BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72298za7,
		BGl_z62callzd2graphz121943za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712299za7,
		BGl_z62savezd2callz121983za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2300z00,
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72301za7,
		BGl_z62callzd2graphz12zd2sequence1946z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72302za7,
		BGl_z62callzd2graphz12zd2sync1948z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72303za7,
		BGl_z62callzd2graphz12zd2app1950z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72304za7,
		BGl_z62callzd2graphz12zd2appzd2ly1952za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72305za7,
		BGl_z62callzd2graphz12zd2funcall1954z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72306za7,
		BGl_z62callzd2graphz12zd2extern1956z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72307za7,
		BGl_z62callzd2graphz12zd2cast1959z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2308z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72309za7,
		BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72310za7,
		BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72311za7,
		BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72312za7,
		BGl_z62callzd2graphz12zd2select1968z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72313za7,
		BGl_z62callzd2graphz12zd2letzd2fun1970za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72314za7,
		BGl_z62callzd2graphz12zd2letzd2var1972za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72315za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i1974z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72316za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd21976z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72317za7,
		BGl_z62callzd2graphz12zd2makezd2box1978za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72318za7,
		BGl_z62callzd2graphz12zd2boxzd2ref1980za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2319z00,
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2320z00,
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2321z00,
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72322za7,
		BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712323za7,
		BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712324za7,
		BGl_z62savezd2callz12zd2globalzf2fr1988z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712325za7,
		BGl_z62savezd2callz12zd2local1990z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712326za7,
		BGl_z62savezd2callz12zd2localzf2fro1992z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72327za7,
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72328za7,
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2329z00,
		BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global2330z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2331z00,
		BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2332z00,
		BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2333z00,
		BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72334za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2335z00,
		BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a2336za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2337z00,
		BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2338z00,
		BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s2339za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2340z00,
		BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72341za7,
		BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72342za7,
		BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712343za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec2344z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2345z00,
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72346za7,
		BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2347z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72348za7,
		BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2349z00,
		BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d22350za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72351za7,
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72352za7,
		BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72353za7,
		BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2246z00zzeffect_cgraphz00,
		BgL_bgl_string2246za700za7za7e2354za7, "", 0);
	      DEFINE_STRING(BGl_string2248z00zzeffect_cgraphz00,
		BgL_bgl_string2248za700za7za7e2355za7, "call-graph!1943", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2356z00,
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2357z00,
		BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2250z00zzeffect_cgraphz00,
		BgL_bgl_string2250za700za7za7e2358za7, "save-call!1983", 14);
	      DEFINE_STRING(BGl_string2251z00zzeffect_cgraphz00,
		BgL_bgl_string2251za700za7za7e2359za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2253z00zzeffect_cgraphz00,
		BgL_bgl_string2253za700za7za7e2360za7, "call-graph!", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72361za7,
		BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2362z00,
		BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72363za7,
		BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2272z00zzeffect_cgraphz00,
		BgL_bgl_string2272za700za7za7e2364za7, "save-call!", 10);
	      DEFINE_STRING(BGl_string2276z00zzeffect_cgraphz00,
		BgL_bgl_string2276za700za7za7e2365za7, "effect_cgraph", 13);
	      DEFINE_STRING(BGl_string2277z00zzeffect_cgraphz00,
		BgL_bgl_string2277za700za7za7e2366za7,
		"import done save-call!1983 _ global/from effect_cgraph local/from obj from nothing ",
		83);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2367z00,
		BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2368z00,
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2369z00,
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72370za7,
		BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2371z00,
		BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2372z00,
		BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2373z00,
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2374z00,
		BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72375za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2376z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72377za7,
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72378za7,
		BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72379za7,
		BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2380z00,
		BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2381z00,
		BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2382z00,
		BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2383z00,
		BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2384z00,
		BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72385za7,
		BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72386za7,
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2387z00,
		BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72388za7,
		BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2389z00,
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2390z00,
		BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72391za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2392z00,
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2keyzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72393za7,
		BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2394z00,
		BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2395z00,
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza72396za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_3385, char *BgL_fromz00_3386)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					BGl_toplevelzd2initzd2zzeffect_cgraphz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_3211;

				BgL_cportz00_3211 =
					bgl_open_input_string(BGl_string2277z00zzeffect_cgraphz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3212;

					BgL_iz00_3212 = ((long) 9);
				BgL_loopz00_3213:
					if ((BgL_iz00_3212 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg2279z00_3215;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_3217;

										BgL_locationz00_3217 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg2279z00_3215 =
												BGl_readz00zz__readerz00(BgL_cportz00_3211,
												BgL_locationz00_3217);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_auxz00_3409;

									BgL_auxz00_3409 = (int) (BgL_iz00_3212);
									CNST_TABLE_SET(BgL_auxz00_3409, BgL_arg2279z00_3215);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_3218;

								BgL_auxz00_3218 = (int) ((BgL_iz00_3212 - ((long) 1)));
								{
									long BgL_iz00_3414;

									BgL_iz00_3414 = (long) (BgL_auxz00_3218);
									BgL_iz00_3212 = BgL_iz00_3414;
									goto BgL_loopz00_3213;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1212z00_3,
		obj_t BgL_name1213z00_4, BgL_typez00_bglt BgL_type1214z00_5,
		BgL_valuez00_bglt BgL_value1215z00_6, obj_t BgL_access1216z00_7,
		obj_t BgL_fastzd2alpha1217zd2_8, obj_t BgL_removable1218z00_9,
		long BgL_occurrence1219z00_10, long BgL_occurrencew1220z00_11,
		bool_t BgL_userzf31221zf3_12, long BgL_key1222z00_13,
		obj_t BgL_from1223z00_14)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				BgL_localz00_bglt BgL_new1147z00_3219;

				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_tmp1145z00_3220;
					BgL_localzf2fromzf2_bglt BgL_wide1146z00_3221;

					{
						BgL_localz00_bglt BgL_auxz00_3416;

						{	/* Effect/cgraph.sch 89 */
							BgL_localz00_bglt BgL_new1144z00_3222;

							BgL_new1144z00_3222 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Effect/cgraph.sch 89 */
								long BgL_arg1997z00_3223;

								{	/* Effect/cgraph.sch 89 */
									long BgL_res2181z00_3224;

									BgL_res2181z00_3224 =
										BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
									BgL_arg1997z00_3223 = BgL_res2181z00_3224;
								}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_objz00_3225;

									BgL_objz00_3225 = ((BgL_objectz00_bglt) BgL_new1144z00_3222);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3225,
										BgL_arg1997z00_3223);
							}}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3421;

								BgL_auxz00_3421 = ((BgL_objectz00_bglt) BgL_new1144z00_3222);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3421, BFALSE);
							}
							BgL_auxz00_3416 = BgL_new1144z00_3222;
						}
						BgL_tmp1145z00_3220 = ((BgL_localz00_bglt) BgL_auxz00_3416);
					}
					BgL_wide1146z00_3221 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 89 */
						obj_t BgL_auxz00_3428;
						BgL_objectz00_bglt BgL_auxz00_3426;

						BgL_auxz00_3428 = ((obj_t) BgL_wide1146z00_3221);
						BgL_auxz00_3426 = ((BgL_objectz00_bglt) BgL_tmp1145z00_3220);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3426, BgL_auxz00_3428);
					}
					{	/* Effect/cgraph.sch 89 */
						long BgL_arg1996z00_3226;

						{	/* Effect/cgraph.sch 89 */
							long BgL_res2182z00_3227;

							BgL_res2182z00_3227 =
								BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BgL_arg1996z00_3226 = BgL_res2182z00_3227;
						}
						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_objz00_3228;

							BgL_objz00_3228 = ((BgL_objectz00_bglt) BgL_tmp1145z00_3220);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3228, BgL_arg1996z00_3226));
					}}
					BgL_new1147z00_3219 = ((BgL_localz00_bglt) BgL_tmp1145z00_3220);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1147z00_3219)))->BgL_idz00) =
					((obj_t) BgL_id1212z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_namez00) =
					((obj_t) BgL_name1213z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1214z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1215z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_accessz00) =
					((obj_t) BgL_access1216z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1217zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_removablez00) =
					((obj_t) BgL_removable1218z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_occurrencez00) =
					((long) BgL_occurrence1219z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1220z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1147z00_3219)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31221zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1147z00_3219)))->BgL_keyz00) =
					((long) BgL_key1222z00_13), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3458;

					{
						obj_t BgL_auxz00_3459;

						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_auxz00_3460;

							BgL_auxz00_3460 = ((BgL_objectz00_bglt) BgL_new1147z00_3219);
							BgL_auxz00_3459 = BGL_OBJECT_WIDENING(BgL_auxz00_3460);
						}
						BgL_auxz00_3458 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3459);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3458))->BgL_fromz00) =
						((obj_t) BgL_from1223z00_14), BUNSPEC);
				}
				return BgL_new1147z00_3219;
			}
		}
	}



/* &make-local/from */
	BgL_localz00_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2845, obj_t BgL_id1212z00_2846, obj_t BgL_name1213z00_2847,
		obj_t BgL_type1214z00_2848, obj_t BgL_value1215z00_2849,
		obj_t BgL_access1216z00_2850, obj_t BgL_fastzd2alpha1217zd2_2851,
		obj_t BgL_removable1218z00_2852, obj_t BgL_occurrence1219z00_2853,
		obj_t BgL_occurrencew1220z00_2854, obj_t BgL_userzf31221zf3_2855,
		obj_t BgL_key1222z00_2856, obj_t BgL_from1223z00_2857)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				obj_t BgL_id1212z00_3229;
				BgL_typez00_bglt BgL_type1214z00_3231;
				BgL_valuez00_bglt BgL_value1215z00_3232;
				long BgL_occurrence1219z00_3236;
				long BgL_occurrencew1220z00_3237;
				bool_t BgL_userzf31221zf3_3238;
				long BgL_key1222z00_3239;

				BgL_id1212z00_3229 = BgL_id1212z00_2846;
				BgL_type1214z00_3231 = ((BgL_typez00_bglt) BgL_type1214z00_2848);
				BgL_value1215z00_3232 = ((BgL_valuez00_bglt) BgL_value1215z00_2849);
				BgL_occurrence1219z00_3236 = (long) CINT(BgL_occurrence1219z00_2853);
				BgL_occurrencew1220z00_3237 = (long) CINT(BgL_occurrencew1220z00_2854);
				BgL_userzf31221zf3_3238 = CBOOL(BgL_userzf31221zf3_2855);
				BgL_key1222z00_3239 = (long) CINT(BgL_key1222z00_2856);
				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_new1147z00_3241;

					{	/* Effect/cgraph.sch 89 */
						BgL_localz00_bglt BgL_tmp1145z00_3242;
						BgL_localzf2fromzf2_bglt BgL_wide1146z00_3243;

						{
							BgL_localz00_bglt BgL_auxz00_3471;

							{	/* Effect/cgraph.sch 89 */
								BgL_localz00_bglt BgL_new1144z00_3244;

								BgL_new1144z00_3244 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.sch 89 */
									long BgL_arg1997z00_3245;

									{	/* Effect/cgraph.sch 89 */
										long BgL_res2181z00_3246;

										BgL_res2181z00_3246 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg1997z00_3245 = BgL_res2181z00_3246;
									}
									{	/* Effect/cgraph.sch 89 */
										BgL_objectz00_bglt BgL_objz00_3247;

										BgL_objz00_3247 =
											((BgL_objectz00_bglt) BgL_new1144z00_3244);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3247,
											BgL_arg1997z00_3245);
								}}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_auxz00_3476;

									BgL_auxz00_3476 = ((BgL_objectz00_bglt) BgL_new1144z00_3244);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3476, BFALSE);
								}
								BgL_auxz00_3471 = BgL_new1144z00_3244;
							}
							BgL_tmp1145z00_3242 = ((BgL_localz00_bglt) BgL_auxz00_3471);
						}
						BgL_wide1146z00_3243 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 89 */
							obj_t BgL_auxz00_3483;
							BgL_objectz00_bglt BgL_auxz00_3481;

							BgL_auxz00_3483 = ((obj_t) BgL_wide1146z00_3243);
							BgL_auxz00_3481 = ((BgL_objectz00_bglt) BgL_tmp1145z00_3242);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3481, BgL_auxz00_3483);
						}
						{	/* Effect/cgraph.sch 89 */
							long BgL_arg1996z00_3248;

							{	/* Effect/cgraph.sch 89 */
								long BgL_res2182z00_3249;

								BgL_res2182z00_3249 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg1996z00_3248 = BgL_res2182z00_3249;
							}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_objz00_3250;

								BgL_objz00_3250 = ((BgL_objectz00_bglt) BgL_tmp1145z00_3242);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3250,
										BgL_arg1996z00_3248));
						}}
						BgL_new1147z00_3241 = ((BgL_localz00_bglt) BgL_tmp1145z00_3242);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1147z00_3241)))->BgL_idz00) =
						((obj_t) BgL_id1212z00_3229), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_namez00) =
						((obj_t) BgL_name1213z00_2847), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1214z00_3231), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1215z00_3232), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_accessz00) =
						((obj_t) BgL_access1216z00_2850), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1217zd2_2851), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_removablez00) =
						((obj_t) BgL_removable1218z00_2852), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_occurrencez00) =
						((long) BgL_occurrence1219z00_3236), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1220z00_3237), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1147z00_3241)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31221zf3_3238), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1147z00_3241)))->BgL_keyz00) =
						((long) BgL_key1222z00_3239), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_3513;

						{
							obj_t BgL_auxz00_3514;

							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3515;

								BgL_auxz00_3515 = ((BgL_objectz00_bglt) BgL_new1147z00_3241);
								BgL_auxz00_3514 = BGL_OBJECT_WIDENING(BgL_auxz00_3515);
							}
							BgL_auxz00_3513 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3514);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3513))->BgL_fromz00) =
							((obj_t) BgL_from1223z00_2857), BUNSPEC);
					}
					return BgL_new1147z00_3241;
				}
			}
		}
	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_15)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_15,
				BGl_localzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2858,
		obj_t BgL_objz00_2859)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2859,
					BGl_localzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			{	/* Effect/cgraph.sch 91 */
				obj_t BgL_classz00_2527;

				BgL_classz00_2527 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 91 */
					obj_t BgL__ortest_1091z00_2528;

					BgL__ortest_1091z00_2528 = BGL_CLASS_NIL(BgL_classz00_2527);
					if (CBOOL(BgL__ortest_1091z00_2528))
						{	/* Effect/cgraph.sch 91 */
							return ((BgL_localz00_bglt) BgL__ortest_1091z00_2528);
						}
					else
						{	/* Effect/cgraph.sch 91 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2527));
						}
				}
			}
		}
	}



/* &local/from-nil */
	BgL_localz00_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2860)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* local/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_16)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3530;

				{
					obj_t BgL_auxz00_3531;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3532;

						BgL_auxz00_3532 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3531 = BGL_OBJECT_WIDENING(BgL_auxz00_3532);
					}
					BgL_auxz00_3530 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3531);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3530))->BgL_fromz00);
			}
		}
	}



/* &local/from-from */
	obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2861,
		obj_t BgL_oz00_2862)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3537;

				{
					obj_t BgL_auxz00_3538;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3539;

						BgL_auxz00_3539 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2862));
						BgL_auxz00_3538 = BGL_OBJECT_WIDENING(BgL_auxz00_3539);
					}
					BgL_auxz00_3537 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3538);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3537))->BgL_fromz00);
			}
		}
	}



/* local/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3545;

				{
					obj_t BgL_auxz00_3546;

					{	/* Effect/cgraph.sch 93 */
						BgL_objectz00_bglt BgL_auxz00_3547;

						BgL_auxz00_3547 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3546 = BGL_OBJECT_WIDENING(BgL_auxz00_3547);
					}
					BgL_auxz00_3545 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3546);
				}
				return
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3545))->BgL_fromz00) =
					((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}
	}



/* &local/from-from-set! */
	obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2863, obj_t BgL_oz00_2864, obj_t BgL_vz00_2865)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{	/* Effect/cgraph.sch 93 */
				BgL_localz00_bglt BgL_oz00_3253;

				BgL_oz00_3253 = ((BgL_localz00_bglt) BgL_oz00_2864);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3553;

					{
						obj_t BgL_auxz00_3554;

						{	/* Effect/cgraph.sch 93 */
							BgL_objectz00_bglt BgL_auxz00_3555;

							BgL_auxz00_3555 = ((BgL_objectz00_bglt) BgL_oz00_3253);
							BgL_auxz00_3554 = BGL_OBJECT_WIDENING(BgL_auxz00_3555);
						}
						BgL_auxz00_3553 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3554);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3553))->BgL_fromz00) =
						((obj_t) BgL_vz00_2865), BUNSPEC);
				}
			}
		}
	}



/* local/from-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_19)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				(((BgL_localz00_bglt) CREF(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}
	}



/* &local/from-key */
	obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t BgL_envz00_2866,
		obj_t BgL_oz00_2867)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				BINT(
				(((BgL_localz00_bglt) CREF(
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2867))))->BgL_keyz00));
		}
	}



/* local/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}
	}



/* &local/from-user? */
	obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2868, obj_t BgL_oz00_2869)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2869))))->BgL_userzf3zf3));
		}
	}



/* local/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_23, bool_t BgL_vz00_24)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}
	}



/* &local/from-user?-set! */
	obj_t BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2870, obj_t BgL_oz00_2871, obj_t BgL_vz00_2872)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			{	/* Effect/cgraph.sch 97 */
				BgL_localz00_bglt BgL_oz00_3257;
				bool_t BgL_vz00_3258;

				BgL_oz00_3257 = ((BgL_localz00_bglt) BgL_oz00_2871);
				BgL_vz00_3258 = CBOOL(BgL_vz00_2872);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3257)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3258), BUNSPEC);
			}
		}
	}



/* local/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}
	}



/* &local/from-occurrencew */
	obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2873, obj_t BgL_oz00_2874)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2874))))->BgL_occurrencewz00));
		}
	}



/* local/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}
	}



/* &local/from-occurrencew-set! */
	obj_t BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2875, obj_t BgL_oz00_2876, obj_t BgL_vz00_2877)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			{	/* Effect/cgraph.sch 99 */
				BgL_localz00_bglt BgL_oz00_3260;
				long BgL_vz00_3261;

				BgL_oz00_3260 = ((BgL_localz00_bglt) BgL_oz00_2876);
				BgL_vz00_3261 = (long) CINT(BgL_vz00_2877);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3260)))->BgL_occurrencewz00) =
					((long) BgL_vz00_3261), BUNSPEC);
		}}
	}



/* local/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}
	}



/* &local/from-occurrence */
	obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2878, obj_t BgL_oz00_2879)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2879))))->BgL_occurrencez00));
		}
	}



/* local/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}
	}



/* &local/from-occurrence-set! */
	obj_t BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2880, obj_t BgL_oz00_2881, obj_t BgL_vz00_2882)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			{	/* Effect/cgraph.sch 101 */
				BgL_localz00_bglt BgL_oz00_3263;
				long BgL_vz00_3264;

				BgL_oz00_3263 = ((BgL_localz00_bglt) BgL_oz00_2881);
				BgL_vz00_3264 = (long) CINT(BgL_vz00_2882);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3263)))->BgL_occurrencez00) =
					((long) BgL_vz00_3264), BUNSPEC);
		}}
	}



/* local/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}
	}



/* &local/from-removable */
	obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2883, obj_t BgL_oz00_2884)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2884))))->BgL_removablez00);
		}
	}



/* local/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}
	}



/* &local/from-removable-set! */
	obj_t BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2885, obj_t BgL_oz00_2886, obj_t BgL_vz00_2887)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			{	/* Effect/cgraph.sch 103 */
				BgL_localz00_bglt BgL_oz00_3266;

				BgL_oz00_3266 = ((BgL_localz00_bglt) BgL_oz00_2886);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3266)))->BgL_removablez00) =
					((obj_t) BgL_vz00_2887), BUNSPEC);
			}
		}
	}



/* local/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}
	}



/* &local/from-fast-alpha */
	obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2888, obj_t BgL_oz00_2889)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2889))))->BgL_fastzd2alphazd2);
		}
	}



/* local/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}
	}



/* &local/from-fast-alpha-set! */
	obj_t BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2890, obj_t BgL_oz00_2891, obj_t BgL_vz00_2892)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			{	/* Effect/cgraph.sch 105 */
				BgL_localz00_bglt BgL_oz00_3269;

				BgL_oz00_3269 = ((BgL_localz00_bglt) BgL_oz00_2891);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3269)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_vz00_2892), BUNSPEC);
			}
		}
	}



/* local/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}
	}



/* &local/from-access */
	obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t BgL_envz00_2893,
		obj_t BgL_oz00_2894)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2894))))->BgL_accessz00);
		}
	}



/* local/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}
	}



/* &local/from-access-set! */
	obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2895, obj_t BgL_oz00_2896, obj_t BgL_vz00_2897)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			{	/* Effect/cgraph.sch 107 */
				BgL_localz00_bglt BgL_oz00_3272;

				BgL_oz00_3272 = ((BgL_localz00_bglt) BgL_oz00_2896);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3272)))->BgL_accessz00) =
					((obj_t) BgL_vz00_2897), BUNSPEC);
			}
		}
	}



/* local/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_40)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}
	}



/* &local/from-value */
	BgL_valuez00_bglt BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2898, obj_t BgL_oz00_2899)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2899))))->BgL_valuez00);
		}
	}



/* local/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}
	}



/* &local/from-value-set! */
	obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2900, obj_t BgL_oz00_2901, obj_t BgL_vz00_2902)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			{	/* Effect/cgraph.sch 109 */
				BgL_localz00_bglt BgL_oz00_3275;
				BgL_valuez00_bglt BgL_vz00_3276;

				BgL_oz00_3275 = ((BgL_localz00_bglt) BgL_oz00_2901);
				BgL_vz00_3276 = ((BgL_valuez00_bglt) BgL_vz00_2902);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3275)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_vz00_3276), BUNSPEC);
			}
		}
	}



/* local/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_43)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}
	}



/* &local/from-type */
	BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2903, obj_t BgL_oz00_2904)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2904))))->BgL_typez00);
		}
	}



/* local/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}
	}



/* &local/from-type-set! */
	obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2905, obj_t BgL_oz00_2906, obj_t BgL_vz00_2907)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			{	/* Effect/cgraph.sch 111 */
				BgL_localz00_bglt BgL_oz00_3278;
				BgL_typez00_bglt BgL_vz00_3279;

				BgL_oz00_3278 = ((BgL_localz00_bglt) BgL_oz00_2906);
				BgL_vz00_3279 = ((BgL_typez00_bglt) BgL_vz00_2907);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3278)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3279), BUNSPEC);
			}
		}
	}



/* local/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}
	}



/* &local/from-name */
	obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2908,
		obj_t BgL_oz00_2909)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2909))))->BgL_namez00);
		}
	}



/* local/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}
	}



/* &local/from-name-set! */
	obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2910, obj_t BgL_oz00_2911, obj_t BgL_vz00_2912)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			{	/* Effect/cgraph.sch 113 */
				BgL_localz00_bglt BgL_oz00_3281;

				BgL_oz00_3281 = ((BgL_localz00_bglt) BgL_oz00_2911);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3281)))->BgL_namez00) =
					((obj_t) BgL_vz00_2912), BUNSPEC);
			}
		}
	}



/* local/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}
	}



/* &local/from-id */
	obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2913,
		obj_t BgL_oz00_2914)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2914))))->BgL_idz00);
		}
	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1191z00_52,
		obj_t BgL_name1192z00_53, BgL_typez00_bglt BgL_type1193z00_54,
		BgL_valuez00_bglt BgL_value1194z00_55, obj_t BgL_access1195z00_56,
		obj_t BgL_fastzd2alpha1196zd2_57, obj_t BgL_removable1197z00_58,
		long BgL_occurrence1198z00_59, long BgL_occurrencew1199z00_60,
		bool_t BgL_userzf31200zf3_61, obj_t BgL_module1201z00_62,
		obj_t BgL_import1202z00_63, bool_t BgL_evaluablezf31203zf3_64,
		bool_t BgL_evalzf31204zf3_65, obj_t BgL_library1205z00_66,
		obj_t BgL_pragma1206z00_67, obj_t BgL_src1207z00_68,
		obj_t BgL_jvmzd2typezd2name1208z00_69, obj_t BgL_init1209z00_70,
		obj_t BgL_from1210z00_71)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				BgL_globalz00_bglt BgL_new1175z00_3284;

				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_tmp1173z00_3285;
					BgL_globalzf2fromzf2_bglt BgL_wide1174z00_3286;

					{
						BgL_globalz00_bglt BgL_auxz00_3669;

						{	/* Effect/cgraph.sch 118 */
							BgL_globalz00_bglt BgL_new1172z00_3287;

							BgL_new1172z00_3287 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Effect/cgraph.sch 118 */
								long BgL_arg1999z00_3288;

								{	/* Effect/cgraph.sch 118 */
									long BgL_res2183z00_3289;

									BgL_res2183z00_3289 =
										BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
									BgL_arg1999z00_3288 = BgL_res2183z00_3289;
								}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_objz00_3290;

									BgL_objz00_3290 = ((BgL_objectz00_bglt) BgL_new1172z00_3287);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3290,
										BgL_arg1999z00_3288);
							}}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3674;

								BgL_auxz00_3674 = ((BgL_objectz00_bglt) BgL_new1172z00_3287);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3674, BFALSE);
							}
							BgL_auxz00_3669 = BgL_new1172z00_3287;
						}
						BgL_tmp1173z00_3285 = ((BgL_globalz00_bglt) BgL_auxz00_3669);
					}
					BgL_wide1174z00_3286 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 118 */
						obj_t BgL_auxz00_3681;
						BgL_objectz00_bglt BgL_auxz00_3679;

						BgL_auxz00_3681 = ((obj_t) BgL_wide1174z00_3286);
						BgL_auxz00_3679 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3285);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3679, BgL_auxz00_3681);
					}
					{	/* Effect/cgraph.sch 118 */
						long BgL_arg1998z00_3291;

						{	/* Effect/cgraph.sch 118 */
							long BgL_res2184z00_3292;

							BgL_res2184z00_3292 =
								BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BgL_arg1998z00_3291 = BgL_res2184z00_3292;
						}
						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_objz00_3293;

							BgL_objz00_3293 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3285);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3293, BgL_arg1998z00_3291));
					}}
					BgL_new1175z00_3284 = ((BgL_globalz00_bglt) BgL_tmp1173z00_3285);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1175z00_3284)))->BgL_idz00) =
					((obj_t) BgL_id1191z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_namez00) =
					((obj_t) BgL_name1192z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1193z00_54), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1194z00_55), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_accessz00) =
					((obj_t) BgL_access1195z00_56), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1196zd2_57), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_removablez00) =
					((obj_t) BgL_removable1197z00_58), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_occurrencez00) =
					((long) BgL_occurrence1198z00_59), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1199z00_60), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3284)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31200zf3_61), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_modulez00) =
					((obj_t) BgL_module1201z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_importz00) =
					((obj_t) BgL_import1202z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31203zf3_64), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31204zf3_65), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_libraryz00) =
					((obj_t) BgL_library1205z00_66), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1206z00_67), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_srcz00) =
					((obj_t) BgL_src1207z00_68), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1208z00_69), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3284)))->BgL_initz00) =
					((obj_t) BgL_init1209z00_70), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3727;

					{
						obj_t BgL_auxz00_3728;

						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_auxz00_3729;

							BgL_auxz00_3729 = ((BgL_objectz00_bglt) BgL_new1175z00_3284);
							BgL_auxz00_3728 = BGL_OBJECT_WIDENING(BgL_auxz00_3729);
						}
						BgL_auxz00_3727 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3728);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3727))->BgL_fromz00) =
						((obj_t) BgL_from1210z00_71), BUNSPEC);
				}
				return BgL_new1175z00_3284;
			}
		}
	}



/* &make-global/from */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2915, obj_t BgL_id1191z00_2916, obj_t BgL_name1192z00_2917,
		obj_t BgL_type1193z00_2918, obj_t BgL_value1194z00_2919,
		obj_t BgL_access1195z00_2920, obj_t BgL_fastzd2alpha1196zd2_2921,
		obj_t BgL_removable1197z00_2922, obj_t BgL_occurrence1198z00_2923,
		obj_t BgL_occurrencew1199z00_2924, obj_t BgL_userzf31200zf3_2925,
		obj_t BgL_module1201z00_2926, obj_t BgL_import1202z00_2927,
		obj_t BgL_evaluablezf31203zf3_2928, obj_t BgL_evalzf31204zf3_2929,
		obj_t BgL_library1205z00_2930, obj_t BgL_pragma1206z00_2931,
		obj_t BgL_src1207z00_2932, obj_t BgL_jvmzd2typezd2name1208z00_2933,
		obj_t BgL_init1209z00_2934, obj_t BgL_from1210z00_2935)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				obj_t BgL_id1191z00_3294;
				BgL_typez00_bglt BgL_type1193z00_3296;
				BgL_valuez00_bglt BgL_value1194z00_3297;
				long BgL_occurrence1198z00_3301;
				long BgL_occurrencew1199z00_3302;
				bool_t BgL_userzf31200zf3_3303;
				obj_t BgL_module1201z00_3304;
				bool_t BgL_evaluablezf31203zf3_3306;
				bool_t BgL_evalzf31204zf3_3307;
				obj_t BgL_jvmzd2typezd2name1208z00_3311;

				BgL_id1191z00_3294 = BgL_id1191z00_2916;
				BgL_type1193z00_3296 = ((BgL_typez00_bglt) BgL_type1193z00_2918);
				BgL_value1194z00_3297 = ((BgL_valuez00_bglt) BgL_value1194z00_2919);
				BgL_occurrence1198z00_3301 = (long) CINT(BgL_occurrence1198z00_2923);
				BgL_occurrencew1199z00_3302 = (long) CINT(BgL_occurrencew1199z00_2924);
				BgL_userzf31200zf3_3303 = CBOOL(BgL_userzf31200zf3_2925);
				BgL_module1201z00_3304 = BgL_module1201z00_2926;
				BgL_evaluablezf31203zf3_3306 = CBOOL(BgL_evaluablezf31203zf3_2928);
				BgL_evalzf31204zf3_3307 = CBOOL(BgL_evalzf31204zf3_2929);
				BgL_jvmzd2typezd2name1208z00_3311 = BgL_jvmzd2typezd2name1208z00_2933;
				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_new1175z00_3314;

					{	/* Effect/cgraph.sch 118 */
						BgL_globalz00_bglt BgL_tmp1173z00_3315;
						BgL_globalzf2fromzf2_bglt BgL_wide1174z00_3316;

						{
							BgL_globalz00_bglt BgL_auxz00_3741;

							{	/* Effect/cgraph.sch 118 */
								BgL_globalz00_bglt BgL_new1172z00_3317;

								BgL_new1172z00_3317 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.sch 118 */
									long BgL_arg1999z00_3318;

									{	/* Effect/cgraph.sch 118 */
										long BgL_res2183z00_3319;

										BgL_res2183z00_3319 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg1999z00_3318 = BgL_res2183z00_3319;
									}
									{	/* Effect/cgraph.sch 118 */
										BgL_objectz00_bglt BgL_objz00_3320;

										BgL_objz00_3320 =
											((BgL_objectz00_bglt) BgL_new1172z00_3317);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3320,
											BgL_arg1999z00_3318);
								}}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_auxz00_3746;

									BgL_auxz00_3746 = ((BgL_objectz00_bglt) BgL_new1172z00_3317);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3746, BFALSE);
								}
								BgL_auxz00_3741 = BgL_new1172z00_3317;
							}
							BgL_tmp1173z00_3315 = ((BgL_globalz00_bglt) BgL_auxz00_3741);
						}
						BgL_wide1174z00_3316 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 118 */
							obj_t BgL_auxz00_3753;
							BgL_objectz00_bglt BgL_auxz00_3751;

							BgL_auxz00_3753 = ((obj_t) BgL_wide1174z00_3316);
							BgL_auxz00_3751 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3315);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3751, BgL_auxz00_3753);
						}
						{	/* Effect/cgraph.sch 118 */
							long BgL_arg1998z00_3321;

							{	/* Effect/cgraph.sch 118 */
								long BgL_res2184z00_3322;

								BgL_res2184z00_3322 =
									BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
								BgL_arg1998z00_3321 = BgL_res2184z00_3322;
							}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_objz00_3323;

								BgL_objz00_3323 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3315);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3323,
										BgL_arg1998z00_3321));
						}}
						BgL_new1175z00_3314 = ((BgL_globalz00_bglt) BgL_tmp1173z00_3315);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1175z00_3314)))->BgL_idz00) =
						((obj_t) BgL_id1191z00_3294), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_namez00) =
						((obj_t) BgL_name1192z00_2917), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1193z00_3296), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1194z00_3297), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_accessz00) =
						((obj_t) BgL_access1195z00_2920), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1196zd2_2921), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_removablez00) =
						((obj_t) BgL_removable1197z00_2922), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_occurrencez00) =
						((long) BgL_occurrence1198z00_3301), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1199z00_3302), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3314)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31200zf3_3303), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_modulez00) =
						((obj_t) BgL_module1201z00_3304), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_importz00) =
						((obj_t) BgL_import1202z00_2927), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31203zf3_3306), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31204zf3_3307), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_libraryz00) =
						((obj_t) BgL_library1205z00_2930), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1206z00_2931), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_srcz00) =
						((obj_t) BgL_src1207z00_2932), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1208z00_3311), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3314)))->BgL_initz00) =
						((obj_t) BgL_init1209z00_2934), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_3799;

						{
							obj_t BgL_auxz00_3800;

							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3801;

								BgL_auxz00_3801 = ((BgL_objectz00_bglt) BgL_new1175z00_3314);
								BgL_auxz00_3800 = BGL_OBJECT_WIDENING(BgL_auxz00_3801);
							}
							BgL_auxz00_3799 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3800);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3799))->
								BgL_fromz00) = ((obj_t) BgL_from1210z00_2935), BUNSPEC);
					}
					return BgL_new1175z00_3314;
				}
			}
		}
	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_72)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_72,
				BGl_globalzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2936,
		obj_t BgL_objz00_2937)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2937,
					BGl_globalzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			{	/* Effect/cgraph.sch 120 */
				obj_t BgL_classz00_2565;

				BgL_classz00_2565 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 120 */
					obj_t BgL__ortest_1091z00_2566;

					BgL__ortest_1091z00_2566 = BGL_CLASS_NIL(BgL_classz00_2565);
					if (CBOOL(BgL__ortest_1091z00_2566))
						{	/* Effect/cgraph.sch 120 */
							return ((BgL_globalz00_bglt) BgL__ortest_1091z00_2566);
						}
					else
						{	/* Effect/cgraph.sch 120 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2565));
						}
				}
			}
		}
	}



/* &global/from-nil */
	BgL_globalz00_bglt BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2938)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* global/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_73)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3816;

				{
					obj_t BgL_auxz00_3817;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3818;

						BgL_auxz00_3818 = ((BgL_objectz00_bglt) BgL_oz00_73);
						BgL_auxz00_3817 = BGL_OBJECT_WIDENING(BgL_auxz00_3818);
					}
					BgL_auxz00_3816 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3817);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3816))->BgL_fromz00);
			}
		}
	}



/* &global/from-from */
	obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2939,
		obj_t BgL_oz00_2940)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3823;

				{
					obj_t BgL_auxz00_3824;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3825;

						BgL_auxz00_3825 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2940));
						BgL_auxz00_3824 = BGL_OBJECT_WIDENING(BgL_auxz00_3825);
					}
					BgL_auxz00_3823 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3824);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3823))->BgL_fromz00);
			}
		}
	}



/* global/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3831;

				{
					obj_t BgL_auxz00_3832;

					{	/* Effect/cgraph.sch 122 */
						BgL_objectz00_bglt BgL_auxz00_3833;

						BgL_auxz00_3833 = ((BgL_objectz00_bglt) BgL_oz00_74);
						BgL_auxz00_3832 = BGL_OBJECT_WIDENING(BgL_auxz00_3833);
					}
					BgL_auxz00_3831 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3832);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3831))->BgL_fromz00) =
					((obj_t) BgL_vz00_75), BUNSPEC);
			}
		}
	}



/* &global/from-from-set! */
	obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2941, obj_t BgL_oz00_2942, obj_t BgL_vz00_2943)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{	/* Effect/cgraph.sch 122 */
				BgL_globalz00_bglt BgL_oz00_3326;

				BgL_oz00_3326 = ((BgL_globalz00_bglt) BgL_oz00_2942);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3839;

					{
						obj_t BgL_auxz00_3840;

						{	/* Effect/cgraph.sch 122 */
							BgL_objectz00_bglt BgL_auxz00_3841;

							BgL_auxz00_3841 = ((BgL_objectz00_bglt) BgL_oz00_3326);
							BgL_auxz00_3840 = BGL_OBJECT_WIDENING(BgL_auxz00_3841);
						}
						BgL_auxz00_3839 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3840);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3839))->
							BgL_fromz00) = ((obj_t) BgL_vz00_2943), BUNSPEC);
				}
			}
		}
	}



/* global/from-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_76)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_76)))->BgL_initz00);
		}
	}



/* &global/from-init */
	obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t BgL_envz00_2944,
		obj_t BgL_oz00_2945)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2945))))->BgL_initz00);
		}
	}



/* global/from-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_77, obj_t BgL_vz00_78)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_77)))->BgL_initz00) =
				((obj_t) BgL_vz00_78), BUNSPEC);
		}
	}



/* &global/from-init-set! */
	obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2946, obj_t BgL_oz00_2947, obj_t BgL_vz00_2948)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			{	/* Effect/cgraph.sch 124 */
				BgL_globalz00_bglt BgL_oz00_3329;

				BgL_oz00_3329 = ((BgL_globalz00_bglt) BgL_oz00_2947);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3329)))->BgL_initz00) =
					((obj_t) BgL_vz00_2948), BUNSPEC);
			}
		}
	}



/* global/from-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_79)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_79)))->BgL_jvmzd2typezd2namez00);
		}
	}



/* &global/from-jvm-type-name */
	obj_t BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2949, obj_t BgL_oz00_2950)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2950))))->
				BgL_jvmzd2typezd2namez00);
		}
	}



/* global/from-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_80, obj_t BgL_vz00_81)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_80)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_81), BUNSPEC);
		}
	}



/* &global/from-jvm-type-name-set! */
	obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2951, obj_t BgL_oz00_2952, obj_t BgL_vz00_2953)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			{	/* Effect/cgraph.sch 126 */
				BgL_globalz00_bglt BgL_oz00_3332;
				obj_t BgL_vz00_3333;

				BgL_oz00_3332 = ((BgL_globalz00_bglt) BgL_oz00_2952);
				BgL_vz00_3333 = BgL_vz00_2953;
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3332)))->
						BgL_jvmzd2typezd2namez00) = ((obj_t) BgL_vz00_3333), BUNSPEC);
			}
		}
	}



/* global/from-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_82)))->BgL_srcz00);
		}
	}



/* &global/from-src */
	obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t BgL_envz00_2954,
		obj_t BgL_oz00_2955)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2955))))->BgL_srcz00);
		}
	}



/* global/from-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_83)))->BgL_srcz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}
	}



/* &global/from-src-set! */
	obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2956, obj_t BgL_oz00_2957, obj_t BgL_vz00_2958)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			{	/* Effect/cgraph.sch 128 */
				BgL_globalz00_bglt BgL_oz00_3335;

				BgL_oz00_3335 = ((BgL_globalz00_bglt) BgL_oz00_2957);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3335)))->BgL_srcz00) =
					((obj_t) BgL_vz00_2958), BUNSPEC);
			}
		}
	}



/* global/from-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_85)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_85)))->BgL_pragmaz00);
		}
	}



/* &global/from-pragma */
	obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2959, obj_t BgL_oz00_2960)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2960))))->BgL_pragmaz00);
		}
	}



/* global/from-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_86)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}
	}



/* &global/from-pragma-set! */
	obj_t BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2961, obj_t BgL_oz00_2962, obj_t BgL_vz00_2963)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			{	/* Effect/cgraph.sch 130 */
				BgL_globalz00_bglt BgL_oz00_3338;

				BgL_oz00_3338 = ((BgL_globalz00_bglt) BgL_oz00_2962);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3338)))->BgL_pragmaz00) =
					((obj_t) BgL_vz00_2963), BUNSPEC);
			}
		}
	}



/* global/from-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_88)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_88)))->BgL_libraryz00);
		}
	}



/* &global/from-library */
	obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2964, obj_t BgL_oz00_2965)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2965))))->BgL_libraryz00);
		}
	}



/* global/from-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_89)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}
	}



/* &global/from-library-set! */
	obj_t BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2966, obj_t BgL_oz00_2967, obj_t BgL_vz00_2968)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			{	/* Effect/cgraph.sch 132 */
				BgL_globalz00_bglt BgL_oz00_3341;

				BgL_oz00_3341 = ((BgL_globalz00_bglt) BgL_oz00_2967);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3341)))->BgL_libraryz00) =
					((obj_t) BgL_vz00_2968), BUNSPEC);
			}
		}
	}



/* global/from-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_91)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_91)))->BgL_evalzf3zf3);
		}
	}



/* &global/from-eval? */
	obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2969, obj_t BgL_oz00_2970)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2970))))->BgL_evalzf3zf3));
		}
	}



/* global/from-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_92, bool_t BgL_vz00_93)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_92)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_93), BUNSPEC);
		}
	}



/* &global/from-eval?-set! */
	obj_t BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2971, obj_t BgL_oz00_2972, obj_t BgL_vz00_2973)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			{	/* Effect/cgraph.sch 134 */
				BgL_globalz00_bglt BgL_oz00_3344;
				bool_t BgL_vz00_3345;

				BgL_oz00_3344 = ((BgL_globalz00_bglt) BgL_oz00_2972);
				BgL_vz00_3345 = CBOOL(BgL_vz00_2973);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3344)))->BgL_evalzf3zf3) =
					((bool_t) BgL_vz00_3345), BUNSPEC);
			}
		}
	}



/* global/from-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_94)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_94)))->BgL_evaluablezf3zf3);
		}
	}



/* &global/from-evaluable? */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2974, obj_t BgL_oz00_2975)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2975))))->BgL_evaluablezf3zf3));
		}
	}



/* global/from-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_95, bool_t BgL_vz00_96)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_95)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_96), BUNSPEC);
		}
	}



/* &global/from-evaluable?-set! */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2976, obj_t BgL_oz00_2977, obj_t BgL_vz00_2978)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			{	/* Effect/cgraph.sch 136 */
				BgL_globalz00_bglt BgL_oz00_3347;
				bool_t BgL_vz00_3348;

				BgL_oz00_3347 = ((BgL_globalz00_bglt) BgL_oz00_2977);
				BgL_vz00_3348 = CBOOL(BgL_vz00_2978);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3347)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_vz00_3348), BUNSPEC);
			}
		}
	}



/* global/from-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_97)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_97)))->BgL_importz00);
		}
	}



/* &global/from-import */
	obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2979, obj_t BgL_oz00_2980)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2980))))->BgL_importz00);
		}
	}



/* global/from-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_98)))->BgL_importz00) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}
	}



/* &global/from-import-set! */
	obj_t BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2981, obj_t BgL_oz00_2982, obj_t BgL_vz00_2983)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			{	/* Effect/cgraph.sch 138 */
				BgL_globalz00_bglt BgL_oz00_3350;

				BgL_oz00_3350 = ((BgL_globalz00_bglt) BgL_oz00_2982);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3350)))->BgL_importz00) =
					((obj_t) BgL_vz00_2983), BUNSPEC);
			}
		}
	}



/* global/from-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_100)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_100)))->BgL_modulez00);
		}
	}



/* &global/from-module */
	obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2984, obj_t BgL_oz00_2985)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2985))))->BgL_modulez00);
		}
	}



/* global/from-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_101, obj_t BgL_vz00_102)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_101)))->BgL_modulez00) =
				((obj_t) BgL_vz00_102), BUNSPEC);
		}
	}



/* &global/from-module-set! */
	obj_t BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2986, obj_t BgL_oz00_2987, obj_t BgL_vz00_2988)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			{	/* Effect/cgraph.sch 140 */
				BgL_globalz00_bglt BgL_oz00_3353;
				obj_t BgL_vz00_3354;

				BgL_oz00_3353 = ((BgL_globalz00_bglt) BgL_oz00_2987);
				BgL_vz00_3354 = BgL_vz00_2988;
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3353)))->BgL_modulez00) =
					((obj_t) BgL_vz00_3354), BUNSPEC);
			}
		}
	}



/* global/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_103)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_103)))->BgL_userzf3zf3);
		}
	}



/* &global/from-user? */
	obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2989, obj_t BgL_oz00_2990)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2990))))->BgL_userzf3zf3));
		}
	}



/* global/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_104)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_105), BUNSPEC);
		}
	}



/* &global/from-user?-set! */
	obj_t BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2991, obj_t BgL_oz00_2992, obj_t BgL_vz00_2993)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			{	/* Effect/cgraph.sch 142 */
				BgL_globalz00_bglt BgL_oz00_3356;
				bool_t BgL_vz00_3357;

				BgL_oz00_3356 = ((BgL_globalz00_bglt) BgL_oz00_2992);
				BgL_vz00_3357 = CBOOL(BgL_vz00_2993);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3356)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3357), BUNSPEC);
			}
		}
	}



/* global/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_106)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_106)))->BgL_occurrencewz00);
		}
	}



/* &global/from-occurrencew */
	obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2994, obj_t BgL_oz00_2995)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2995))))->BgL_occurrencewz00));
		}
	}



/* global/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_107, long BgL_vz00_108)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_107)))->BgL_occurrencewz00) =
				((long) BgL_vz00_108), BUNSPEC);
		}
	}



/* &global/from-occurrencew-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2996, obj_t BgL_oz00_2997, obj_t BgL_vz00_2998)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			{	/* Effect/cgraph.sch 144 */
				BgL_globalz00_bglt BgL_oz00_3359;
				long BgL_vz00_3360;

				BgL_oz00_3359 = ((BgL_globalz00_bglt) BgL_oz00_2997);
				BgL_vz00_3360 = (long) CINT(BgL_vz00_2998);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3359)))->BgL_occurrencewz00) =
					((long) BgL_vz00_3360), BUNSPEC);
		}}
	}



/* global/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_109)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_109)))->BgL_occurrencez00);
		}
	}



/* &global/from-occurrence */
	obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2999, obj_t BgL_oz00_3000)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3000))))->BgL_occurrencez00));
		}
	}



/* global/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_110, long BgL_vz00_111)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_110)))->BgL_occurrencez00) =
				((long) BgL_vz00_111), BUNSPEC);
		}
	}



/* &global/from-occurrence-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3001, obj_t BgL_oz00_3002, obj_t BgL_vz00_3003)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			{	/* Effect/cgraph.sch 146 */
				BgL_globalz00_bglt BgL_oz00_3362;
				long BgL_vz00_3363;

				BgL_oz00_3362 = ((BgL_globalz00_bglt) BgL_oz00_3002);
				BgL_vz00_3363 = (long) CINT(BgL_vz00_3003);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3362)))->BgL_occurrencez00) =
					((long) BgL_vz00_3363), BUNSPEC);
		}}
	}



/* global/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_112)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_112)))->BgL_removablez00);
		}
	}



/* &global/from-removable */
	obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3004, obj_t BgL_oz00_3005)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3005))))->BgL_removablez00);
		}
	}



/* global/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_113, obj_t BgL_vz00_114)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_113)))->BgL_removablez00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}
	}



/* &global/from-removable-set! */
	obj_t BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3006, obj_t BgL_oz00_3007, obj_t BgL_vz00_3008)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			{	/* Effect/cgraph.sch 148 */
				BgL_globalz00_bglt BgL_oz00_3365;

				BgL_oz00_3365 = ((BgL_globalz00_bglt) BgL_oz00_3007);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3365)))->BgL_removablez00) =
					((obj_t) BgL_vz00_3008), BUNSPEC);
			}
		}
	}



/* global/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_115)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_fastzd2alphazd2);
		}
	}



/* &global/from-fast-alpha */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_3009, obj_t BgL_oz00_3010)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3010))))->BgL_fastzd2alphazd2);
		}
	}



/* global/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_116, obj_t BgL_vz00_117)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_116)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_117), BUNSPEC);
		}
	}



/* &global/from-fast-alpha-set! */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_3011, obj_t BgL_oz00_3012, obj_t BgL_vz00_3013)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			{	/* Effect/cgraph.sch 150 */
				BgL_globalz00_bglt BgL_oz00_3368;

				BgL_oz00_3368 = ((BgL_globalz00_bglt) BgL_oz00_3012);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3368)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_vz00_3013), BUNSPEC);
			}
		}
	}



/* global/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_118)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_accessz00);
		}
	}



/* &global/from-access */
	obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t
		BgL_envz00_3014, obj_t BgL_oz00_3015)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3015))))->BgL_accessz00);
		}
	}



/* global/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_119, obj_t BgL_vz00_120)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_119)))->BgL_accessz00) =
				((obj_t) BgL_vz00_120), BUNSPEC);
		}
	}



/* &global/from-access-set! */
	obj_t BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3016, obj_t BgL_oz00_3017, obj_t BgL_vz00_3018)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			{	/* Effect/cgraph.sch 152 */
				BgL_globalz00_bglt BgL_oz00_3371;

				BgL_oz00_3371 = ((BgL_globalz00_bglt) BgL_oz00_3017);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3371)))->BgL_accessz00) =
					((obj_t) BgL_vz00_3018), BUNSPEC);
			}
		}
	}



/* global/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_121)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_valuez00);
		}
	}



/* &global/from-value */
	BgL_valuez00_bglt BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3019, obj_t BgL_oz00_3020)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3020))))->BgL_valuez00);
		}
	}



/* global/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_122, BgL_valuez00_bglt BgL_vz00_123)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_122)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_123), BUNSPEC);
		}
	}



/* &global/from-value-set! */
	obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3021, obj_t BgL_oz00_3022, obj_t BgL_vz00_3023)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			{	/* Effect/cgraph.sch 154 */
				BgL_globalz00_bglt BgL_oz00_3374;
				BgL_valuez00_bglt BgL_vz00_3375;

				BgL_oz00_3374 = ((BgL_globalz00_bglt) BgL_oz00_3022);
				BgL_vz00_3375 = ((BgL_valuez00_bglt) BgL_vz00_3023);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3374)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_vz00_3375), BUNSPEC);
			}
		}
	}



/* global/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_124)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_124)))->BgL_typez00);
		}
	}



/* &global/from-type */
	BgL_typez00_bglt BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3024, obj_t BgL_oz00_3025)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3025))))->BgL_typez00);
		}
	}



/* global/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_125, BgL_typez00_bglt BgL_vz00_126)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_125)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_126), BUNSPEC);
		}
	}



/* &global/from-type-set! */
	obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3026, obj_t BgL_oz00_3027, obj_t BgL_vz00_3028)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			{	/* Effect/cgraph.sch 156 */
				BgL_globalz00_bglt BgL_oz00_3377;
				BgL_typez00_bglt BgL_vz00_3378;

				BgL_oz00_3377 = ((BgL_globalz00_bglt) BgL_oz00_3027);
				BgL_vz00_3378 = ((BgL_typez00_bglt) BgL_vz00_3028);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3377)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3378), BUNSPEC);
			}
		}
	}



/* global/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_127)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_127)))->BgL_namez00);
		}
	}



/* &global/from-name */
	obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_3029,
		obj_t BgL_oz00_3030)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3030))))->BgL_namez00);
		}
	}



/* global/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_128)))->BgL_namez00) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}
	}



/* &global/from-name-set! */
	obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3031, obj_t BgL_oz00_3032, obj_t BgL_vz00_3033)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			{	/* Effect/cgraph.sch 158 */
				BgL_globalz00_bglt BgL_oz00_3380;

				BgL_oz00_3380 = ((BgL_globalz00_bglt) BgL_oz00_3032);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3380)))->BgL_namez00) =
					((obj_t) BgL_vz00_3033), BUNSPEC);
			}
		}
	}



/* global/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_130)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_130)))->BgL_idz00);
		}
	}



/* &global/from-id */
	obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_3034,
		obj_t BgL_oz00_3035)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3035))))->BgL_idz00);
		}
	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_133)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_PAIR(
				((obj_t) BgL_variablez00_133),
				BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 33 */
				obj_t BgL_arg2000z00_1444;

				BgL_arg2000z00_1444 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_133))->
									BgL_valuez00))))->BgL_bodyz00);
				return BGl_callzd2graphz12zc0zzeffect_cgraphz00(((BgL_nodez00_bglt)
						BgL_arg2000z00_1444), BgL_variablez00_133);
			}
		}
	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_3036,
		obj_t BgL_variablez00_3037)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_3037));
		}
	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_172,
		obj_t BgL_ownerz00_173)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 205 */
			{
				obj_t BgL_l1937z00_1447;

				BgL_l1937z00_1447 = BgL_nodeza2za2_172;
			BgL_zc3anonymousza32002ze3z83_1448:
				if (PAIRP(BgL_l1937z00_1447))
					{	/* Effect/cgraph.scm 206 */
						{	/* Effect/cgraph.scm 206 */
							obj_t BgL_nodez00_1450;

							BgL_nodez00_1450 = CAR(BgL_l1937z00_1447);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_1450),
								((BgL_variablez00_bglt) BgL_ownerz00_173));
						}
						{
							obj_t BgL_l1937z00_4058;

							BgL_l1937z00_4058 = CDR(BgL_l1937z00_1447);
							BgL_l1937z00_1447 = BgL_l1937z00_4058;
							goto BgL_zc3anonymousza32002ze3z83_1448;
						}
					}
				else
					{	/* Effect/cgraph.scm 206 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 250 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_3038)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 250 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 261 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_3039)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 261 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 272 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3040)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 272 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}
	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_184)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 279 */
			{	/* Effect/cgraph.scm 281 */
				BgL_valuez00_bglt BgL_funz00_1453;

				BgL_funz00_1453 =
					(((BgL_variablez00_bglt) CREF(BgL_vz00_184))->BgL_valuez00);
				if (CBOOL(
						(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_funz00_1453)))->BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 283 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_vz00_184),
									BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
							{	/* Effect/cgraph.scm 286 */
								return CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Effect/cgraph.scm 286 */
								return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
									MAKE_PAIR(
										((obj_t) BgL_vz00_184),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
									BUNSPEC);
							}
					}
				else
					{	/* Effect/cgraph.scm 283 */
						BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
							MAKE_PAIR(
							((obj_t) BgL_vz00_184),
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
						{	/* Effect/cgraph.scm 285 */
							BgL_funz00_bglt BgL_oz00_2620;

							BgL_oz00_2620 = ((BgL_funz00_bglt) BgL_funz00_1453);
							return
								((((BgL_funz00_bglt) CREF(BgL_oz00_2620))->
									BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg2011z00_1460;
				obj_t BgL_arg2012z00_1461;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1939z00_1494;

					BgL_v1939z00_1494 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2025z00_1495;

						BgL_arg2025z00_1495 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2235z00zzeffect_cgraphz00,
							BGl_proc2234z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1939z00_1494, (int) (((long) 0)),
							BgL_arg2025z00_1495);
					}
					BgL_arg2011z00_1460 = BgL_v1939z00_1494;
				}
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1940z00_1507;

					BgL_v1940z00_1507 = create_vector((int) (((long) 0)));
					BgL_arg2012z00_1461 = BgL_v1940z00_1507;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 19676),
					BGl_proc2239z00zzeffect_cgraphz00, BGl_proc2238z00zzeffect_cgraphz00,
					BFALSE, BGl_proc2237z00zzeffect_cgraphz00,
					BGl_proc2236z00zzeffect_cgraphz00, BgL_arg2011z00_1460,
					BgL_arg2012z00_1461);
			}
			{	/* Effect/cgraph.scm 22 */
				obj_t BgL_arg2034z00_1516;
				obj_t BgL_arg2035z00_1517;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1941z00_1558;

					BgL_v1941z00_1558 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2048z00_1559;

						BgL_arg2048z00_1559 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2241z00zzeffect_cgraphz00,
							BGl_proc2240z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1941z00_1558, (int) (((long) 0)),
							BgL_arg2048z00_1559);
					}
					BgL_arg2034z00_1516 = BgL_v1941z00_1558;
				}
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1942z00_1571;

					BgL_v1942z00_1571 = create_vector((int) (((long) 0)));
					BgL_arg2035z00_1517 = BgL_v1942z00_1571;
				}
				return (BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)), BGl_globalz00zzast_varz00,
						((long) 6288), BGl_proc2245z00zzeffect_cgraphz00,
						BGl_proc2244z00zzeffect_cgraphz00, BFALSE,
						BGl_proc2243z00zzeffect_cgraphz00,
						BGl_proc2242z00zzeffect_cgraphz00, BgL_arg2034z00_1516,
						BgL_arg2035z00_1517), BUNSPEC);
		}}
	}



/* &lambda2042 */
	BgL_globalz00_bglt BGl_z62lambda2042z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3053, obj_t BgL_o1138z00_3054)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1138z00_1552;

				BgL_o1138z00_1552 = ((BgL_globalz00_bglt) BgL_o1138z00_3054);
				{	/* Effect/cgraph.scm 22 */
					long BgL_arg2044z00_1555;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2046z00_1556;

						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_arg2047z00_1557;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_objectz00_2685;

								BgL_objectz00_2685 = ((BgL_objectz00_bglt) BgL_o1138z00_1552);
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg1823z00_2686;

									{	/* Effect/cgraph.scm 22 */
										long BgL_arg1824z00_2687;

										{	/* Effect/cgraph.scm 22 */
											long BgL_res2197z00_2689;

											BgL_res2197z00_2689 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2685);
											BgL_arg1824z00_2687 = BgL_res2197z00_2689;
										}
										BgL_arg1823z00_2686 = (BgL_arg1824z00_2687 - OBJECT_TYPE);
									}
									BgL_arg2047z00_1557 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1823z00_2686));
							}}
							BgL_arg2046z00_1556 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2047z00_1557);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_res2199z00_2696;

							BgL_res2199z00_2696 = BGL_CLASS_INDEX(BgL_arg2046z00_1556);
							BgL_arg2044z00_1555 = BgL_res2199z00_2696;
					}}
					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_objz00_2697;

						BgL_objz00_2697 = ((BgL_objectz00_bglt) BgL_o1138z00_1552);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2697, BgL_arg2044z00_1555);
				}}
				{	/* Effect/cgraph.scm 22 */
					BgL_objectz00_bglt BgL_auxz00_4110;

					BgL_auxz00_4110 = ((BgL_objectz00_bglt) BgL_o1138z00_1552);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4110, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1138z00_1552);
			}
		}
	}



/* &<anonymous:2041> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32041ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_3055, obj_t BgL_new1137z00_3056)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_new1137z00_1550;

				BgL_new1137z00_1550 = ((BgL_globalz00_bglt) BgL_new1137z00_3056);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1137z00_1550)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1550)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4120;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_2681;

						BgL_classz00_2681 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1091z00_2682;

							BgL__ortest_1091z00_2682 = BGL_CLASS_NIL(BgL_classz00_2681);
							if (CBOOL(BgL__ortest_1091z00_2682))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4120 =
										((BgL_typez00_bglt) BgL__ortest_1091z00_2682);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4120 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2681));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1137z00_1550)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4120), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4129;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_2683;

						BgL_classz00_2683 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1091z00_2684;

							BgL__ortest_1091z00_2684 = BGL_CLASS_NIL(BgL_classz00_2683);
							if (CBOOL(BgL__ortest_1091z00_2684))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4129 =
										((BgL_valuez00_bglt) BgL__ortest_1091z00_2684);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4129 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2683));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1137z00_1550)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4129), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1137z00_1550)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1550)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1550)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1550)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1550)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1550)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2246z00zzeffect_cgraphz00), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1550)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4169;

					{
						obj_t BgL_auxz00_4170;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4171;

							BgL_auxz00_4171 = ((BgL_objectz00_bglt) BgL_new1137z00_1550);
							BgL_auxz00_4170 = BGL_OBJECT_WIDENING(BgL_auxz00_4171);
						}
						BgL_auxz00_4169 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4170);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4169))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1137z00_1550;
			}
		}
	}



/* &lambda2039 */
	BgL_globalz00_bglt BGl_z62lambda2039z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3057, obj_t BgL_o1134z00_3058)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1134z00_1545;

				BgL_o1134z00_1545 = ((BgL_globalz00_bglt) BgL_o1134z00_3058);
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_tmp1135z00_1547;
					BgL_globalzf2fromzf2_bglt BgL_wide1136z00_1548;

					BgL_tmp1135z00_1547 = ((BgL_globalz00_bglt) BgL_o1134z00_1545);
					BgL_wide1136z00_1548 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_auxz00_4181;
						BgL_objectz00_bglt BgL_auxz00_4179;

						BgL_auxz00_4181 = ((obj_t) BgL_wide1136z00_1548);
						BgL_auxz00_4179 = ((BgL_objectz00_bglt) BgL_tmp1135z00_1547);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4179, BgL_auxz00_4181);
					}
					{	/* Effect/cgraph.scm 22 */
						long BgL_arg2040z00_1549;

						{	/* Effect/cgraph.scm 22 */
							long BgL_res2196z00_2678;

							BgL_res2196z00_2678 =
								BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BgL_arg2040z00_1549 = BgL_res2196z00_2678;
						}
						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_objz00_2679;

							BgL_objz00_2679 = ((BgL_objectz00_bglt) BgL_tmp1135z00_1547);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2679, BgL_arg2040z00_1549));
					}}
					return ((BgL_globalz00_bglt) BgL_tmp1135z00_1547);
				}
			}
		}
	}



/* &lambda2036 */
	BgL_globalz00_bglt BGl_z62lambda2036z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3059, obj_t BgL_id1114z00_3060, obj_t BgL_name1115z00_3061,
		obj_t BgL_type1116z00_3062, obj_t BgL_value1117z00_3063,
		obj_t BgL_access1118z00_3064, obj_t BgL_fastzd2alpha1119zd2_3065,
		obj_t BgL_removable1120z00_3066, obj_t BgL_occurrence1121z00_3067,
		obj_t BgL_occurrencew1122z00_3068, obj_t BgL_userzf31123zf3_3069,
		obj_t BgL_module1124z00_3070, obj_t BgL_import1125z00_3071,
		obj_t BgL_evaluablezf31126zf3_3072, obj_t BgL_evalzf31127zf3_3073,
		obj_t BgL_library1128z00_3074, obj_t BgL_pragma1129z00_3075,
		obj_t BgL_src1130z00_3076, obj_t BgL_jvmzd2typezd2name1131z00_3077,
		obj_t BgL_init1132z00_3078, obj_t BgL_from1133z00_3079)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				obj_t BgL_id1114z00_1518;
				obj_t BgL_name1115z00_1519;
				BgL_typez00_bglt BgL_type1116z00_1520;
				BgL_valuez00_bglt BgL_value1117z00_1521;
				obj_t BgL_access1118z00_1522;
				obj_t BgL_fastzd2alpha1119zd2_1523;
				obj_t BgL_removable1120z00_1524;
				long BgL_occurrence1121z00_1525;
				long BgL_occurrencew1122z00_1526;
				bool_t BgL_userzf31123zf3_1527;
				obj_t BgL_module1124z00_1528;
				obj_t BgL_import1125z00_1529;
				bool_t BgL_evaluablezf31126zf3_1530;
				bool_t BgL_evalzf31127zf3_1531;
				obj_t BgL_library1128z00_1532;
				obj_t BgL_pragma1129z00_1533;
				obj_t BgL_src1130z00_1534;
				obj_t BgL_jvmzd2typezd2name1131z00_1535;
				obj_t BgL_init1132z00_1536;
				obj_t BgL_from1133z00_1537;

				BgL_id1114z00_1518 = BgL_id1114z00_3060;
				BgL_name1115z00_1519 = BgL_name1115z00_3061;
				BgL_type1116z00_1520 = ((BgL_typez00_bglt) BgL_type1116z00_3062);
				BgL_value1117z00_1521 = ((BgL_valuez00_bglt) BgL_value1117z00_3063);
				BgL_access1118z00_1522 = BgL_access1118z00_3064;
				BgL_fastzd2alpha1119zd2_1523 = BgL_fastzd2alpha1119zd2_3065;
				BgL_removable1120z00_1524 = BgL_removable1120z00_3066;
				BgL_occurrence1121z00_1525 = (long) CINT(BgL_occurrence1121z00_3067);
				BgL_occurrencew1122z00_1526 = (long) CINT(BgL_occurrencew1122z00_3068);
				BgL_userzf31123zf3_1527 = CBOOL(BgL_userzf31123zf3_3069);
				BgL_module1124z00_1528 = BgL_module1124z00_3070;
				BgL_import1125z00_1529 = BgL_import1125z00_3071;
				BgL_evaluablezf31126zf3_1530 = CBOOL(BgL_evaluablezf31126zf3_3072);
				BgL_evalzf31127zf3_1531 = CBOOL(BgL_evalzf31127zf3_3073);
				BgL_library1128z00_1532 = BgL_library1128z00_3074;
				BgL_pragma1129z00_1533 = BgL_pragma1129z00_3075;
				BgL_src1130z00_1534 = BgL_src1130z00_3076;
				BgL_jvmzd2typezd2name1131z00_1535 = BgL_jvmzd2typezd2name1131z00_3077;
				BgL_init1132z00_1536 = BgL_init1132z00_3078;
				BgL_from1133z00_1537 = BgL_from1133z00_3079;
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_new1252z00_2663;

					{	/* Effect/cgraph.scm 22 */
						BgL_globalz00_bglt BgL_tmp1250z00_2664;
						BgL_globalzf2fromzf2_bglt BgL_wide1251z00_2665;

						{
							BgL_globalz00_bglt BgL_auxz00_4190;

							{	/* Effect/cgraph.scm 22 */
								BgL_globalz00_bglt BgL_new1249z00_2666;

								BgL_new1249z00_2666 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg2038z00_2667;

									{	/* Effect/cgraph.scm 22 */
										long BgL_res2194z00_2670;

										BgL_res2194z00_2670 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2038z00_2667 = BgL_res2194z00_2670;
									}
									{	/* Effect/cgraph.scm 22 */
										BgL_objectz00_bglt BgL_objz00_2671;

										BgL_objz00_2671 =
											((BgL_objectz00_bglt) BgL_new1249z00_2666);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2671,
											BgL_arg2038z00_2667);
								}}
								{	/* Effect/cgraph.scm 22 */
									BgL_objectz00_bglt BgL_auxz00_4195;

									BgL_auxz00_4195 = ((BgL_objectz00_bglt) BgL_new1249z00_2666);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4195, BFALSE);
								}
								BgL_auxz00_4190 = BgL_new1249z00_2666;
							}
							BgL_tmp1250z00_2664 = ((BgL_globalz00_bglt) BgL_auxz00_4190);
						}
						BgL_wide1251z00_2665 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_auxz00_4202;
							BgL_objectz00_bglt BgL_auxz00_4200;

							BgL_auxz00_4202 = ((obj_t) BgL_wide1251z00_2665);
							BgL_auxz00_4200 = ((BgL_objectz00_bglt) BgL_tmp1250z00_2664);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4200, BgL_auxz00_4202);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_arg2037z00_2668;

							{	/* Effect/cgraph.scm 22 */
								long BgL_res2195z00_2674;

								BgL_res2195z00_2674 =
									BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2037z00_2668 = BgL_res2195z00_2674;
							}
							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_objz00_2675;

								BgL_objz00_2675 = ((BgL_objectz00_bglt) BgL_tmp1250z00_2664);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2675,
										BgL_arg2037z00_2668));
						}}
						BgL_new1252z00_2663 = ((BgL_globalz00_bglt) BgL_tmp1250z00_2664);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1252z00_2663)))->BgL_idz00) =
						((obj_t) BgL_id1114z00_1518), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_namez00) =
						((obj_t) BgL_name1115z00_1519), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1116z00_1520), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1117z00_1521), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_accessz00) =
						((obj_t) BgL_access1118z00_1522), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1119zd2_1523), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_removablez00) =
						((obj_t) BgL_removable1120z00_1524), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_occurrencez00) =
						((long) BgL_occurrence1121z00_1525), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1122z00_1526), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2663)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31123zf3_1527), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_modulez00) =
						((obj_t) BgL_module1124z00_1528), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_importz00) =
						((obj_t) BgL_import1125z00_1529), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31126zf3_1530), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31127zf3_1531), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_libraryz00) =
						((obj_t) BgL_library1128z00_1532), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1129z00_1533), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_srcz00) =
						((obj_t) BgL_src1130z00_1534), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1131z00_1535), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2663)))->BgL_initz00) =
						((obj_t) BgL_init1132z00_1536), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4248;

						{
							obj_t BgL_auxz00_4249;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_auxz00_4250;

								BgL_auxz00_4250 = ((BgL_objectz00_bglt) BgL_new1252z00_2663);
								BgL_auxz00_4249 = BGL_OBJECT_WIDENING(BgL_auxz00_4250);
							}
							BgL_auxz00_4248 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4249);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4248))->
								BgL_fromz00) = ((obj_t) BgL_from1133z00_1537), BUNSPEC);
					}
					return BgL_new1252z00_2663;
				}
			}
		}
	}



/* &lambda2053 */
	obj_t BGl_z62lambda2053z62zzeffect_cgraphz00(obj_t BgL_envz00_3080,
		obj_t BgL_oz00_3081, obj_t BgL_vz00_3082)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1565;
				obj_t BgL_vz00_1566;

				BgL_oz00_1565 = ((BgL_globalz00_bglt) BgL_oz00_3081);
				BgL_vz00_1566 = BgL_vz00_3082;
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4262;

					{
						obj_t BgL_auxz00_4263;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4264;

							BgL_auxz00_4264 = ((BgL_objectz00_bglt) BgL_oz00_1565);
							BgL_auxz00_4263 = BGL_OBJECT_WIDENING(BgL_auxz00_4264);
						}
						BgL_auxz00_4262 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4263);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4262))->
							BgL_fromz00) = ((obj_t) BgL_vz00_1566), BUNSPEC);
				}
			}
		}
	}



/* &lambda2052 */
	obj_t BGl_z62lambda2052z62zzeffect_cgraphz00(obj_t BgL_envz00_3083,
		obj_t BgL_oz00_3084)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1562;

				BgL_oz00_1562 = ((BgL_globalz00_bglt) BgL_oz00_3084);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4270;

					{
						obj_t BgL_auxz00_4271;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4272;

							BgL_auxz00_4272 = ((BgL_objectz00_bglt) BgL_oz00_1562);
							BgL_auxz00_4271 = BGL_OBJECT_WIDENING(BgL_auxz00_4272);
						}
						BgL_auxz00_4270 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4271);
					}
					return
						(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4270))->BgL_fromz00);
				}
			}
		}
	}



/* &lambda2021 */
	BgL_localz00_bglt BGl_z62lambda2021z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3085, obj_t BgL_o1112z00_3086)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1112z00_1488;

				BgL_o1112z00_1488 = ((BgL_localz00_bglt) BgL_o1112z00_3086);
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg2022z00_1491;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2023z00_1492;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_arg2024z00_1493;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objectz00_2644;

								BgL_objectz00_2644 = ((BgL_objectz00_bglt) BgL_o1112z00_1488);
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg1823z00_2645;

									{	/* Effect/cgraph.scm 21 */
										long BgL_arg1824z00_2646;

										{	/* Effect/cgraph.scm 21 */
											long BgL_res2191z00_2648;

											BgL_res2191z00_2648 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2644);
											BgL_arg1824z00_2646 = BgL_res2191z00_2648;
										}
										BgL_arg1823z00_2645 = (BgL_arg1824z00_2646 - OBJECT_TYPE);
									}
									BgL_arg2024z00_1493 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1823z00_2645));
							}}
							BgL_arg2023z00_1492 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2024z00_1493);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_res2193z00_2655;

							BgL_res2193z00_2655 = BGL_CLASS_INDEX(BgL_arg2023z00_1492);
							BgL_arg2022z00_1491 = BgL_res2193z00_2655;
					}}
					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_objz00_2656;

						BgL_objz00_2656 = ((BgL_objectz00_bglt) BgL_o1112z00_1488);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2656, BgL_arg2022z00_1491);
				}}
				{	/* Effect/cgraph.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_4287;

					BgL_auxz00_4287 = ((BgL_objectz00_bglt) BgL_o1112z00_1488);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4287, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1112z00_1488);
			}
		}
	}



/* &<anonymous:2020> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32020ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_3087, obj_t BgL_new1111z00_3088)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_new1111z00_1486;

				BgL_new1111z00_1486 = ((BgL_localz00_bglt) BgL_new1111z00_3088);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1111z00_1486)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1486)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4297;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_2640;

						BgL_classz00_2640 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1091z00_2641;

							BgL__ortest_1091z00_2641 = BGL_CLASS_NIL(BgL_classz00_2640);
							if (CBOOL(BgL__ortest_1091z00_2641))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4297 =
										((BgL_typez00_bglt) BgL__ortest_1091z00_2641);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4297 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2640));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1111z00_1486)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4297), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4306;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_2642;

						BgL_classz00_2642 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1091z00_2643;

							BgL__ortest_1091z00_2643 = BGL_CLASS_NIL(BgL_classz00_2642);
							if (CBOOL(BgL__ortest_1091z00_2643))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4306 =
										((BgL_valuez00_bglt) BgL__ortest_1091z00_2643);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4306 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2642));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1111z00_1486)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4306), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1111z00_1486)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1486)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1486)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1486)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1486)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1486)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1111z00_1486)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4329;

					{
						obj_t BgL_auxz00_4330;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4331;

							BgL_auxz00_4331 = ((BgL_objectz00_bglt) BgL_new1111z00_1486);
							BgL_auxz00_4330 = BGL_OBJECT_WIDENING(BgL_auxz00_4331);
						}
						BgL_auxz00_4329 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4330);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4329))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1111z00_1486;
			}
		}
	}



/* &lambda2018 */
	BgL_localz00_bglt BGl_z62lambda2018z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3089, obj_t BgL_o1108z00_3090)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1108z00_1481;

				BgL_o1108z00_1481 = ((BgL_localz00_bglt) BgL_o1108z00_3090);
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_tmp1109z00_1483;
					BgL_localzf2fromzf2_bglt BgL_wide1110z00_1484;

					BgL_tmp1109z00_1483 = ((BgL_localz00_bglt) BgL_o1108z00_1481);
					BgL_wide1110z00_1484 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_auxz00_4341;
						BgL_objectz00_bglt BgL_auxz00_4339;

						BgL_auxz00_4341 = ((obj_t) BgL_wide1110z00_1484);
						BgL_auxz00_4339 = ((BgL_objectz00_bglt) BgL_tmp1109z00_1483);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4339, BgL_auxz00_4341);
					}
					{	/* Effect/cgraph.scm 21 */
						long BgL_arg2019z00_1485;

						{	/* Effect/cgraph.scm 21 */
							long BgL_res2190z00_2637;

							BgL_res2190z00_2637 =
								BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BgL_arg2019z00_1485 = BgL_res2190z00_2637;
						}
						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_objz00_2638;

							BgL_objz00_2638 = ((BgL_objectz00_bglt) BgL_tmp1109z00_1483);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2638, BgL_arg2019z00_1485));
					}}
					return ((BgL_localz00_bglt) BgL_tmp1109z00_1483);
				}
			}
		}
	}



/* &lambda2013 */
	BgL_localz00_bglt BGl_z62lambda2013z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3091, obj_t BgL_id1096z00_3092, obj_t BgL_name1097z00_3093,
		obj_t BgL_type1098z00_3094, obj_t BgL_value1099z00_3095,
		obj_t BgL_access1100z00_3096, obj_t BgL_fastzd2alpha1101zd2_3097,
		obj_t BgL_removable1102z00_3098, obj_t BgL_occurrence1103z00_3099,
		obj_t BgL_occurrencew1104z00_3100, obj_t BgL_userzf31105zf3_3101,
		obj_t BgL_key1106z00_3102, obj_t BgL_from1107z00_3103)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				obj_t BgL_id1096z00_1462;
				obj_t BgL_name1097z00_1463;
				BgL_typez00_bglt BgL_type1098z00_1464;
				BgL_valuez00_bglt BgL_value1099z00_1465;
				obj_t BgL_access1100z00_1466;
				obj_t BgL_fastzd2alpha1101zd2_1467;
				obj_t BgL_removable1102z00_1468;
				long BgL_occurrence1103z00_1469;
				long BgL_occurrencew1104z00_1470;
				bool_t BgL_userzf31105zf3_1471;
				long BgL_key1106z00_1472;
				obj_t BgL_from1107z00_1473;

				BgL_id1096z00_1462 = BgL_id1096z00_3092;
				BgL_name1097z00_1463 = BgL_name1097z00_3093;
				BgL_type1098z00_1464 = ((BgL_typez00_bglt) BgL_type1098z00_3094);
				BgL_value1099z00_1465 = ((BgL_valuez00_bglt) BgL_value1099z00_3095);
				BgL_access1100z00_1466 = BgL_access1100z00_3096;
				BgL_fastzd2alpha1101zd2_1467 = BgL_fastzd2alpha1101zd2_3097;
				BgL_removable1102z00_1468 = BgL_removable1102z00_3098;
				BgL_occurrence1103z00_1469 = (long) CINT(BgL_occurrence1103z00_3099);
				BgL_occurrencew1104z00_1470 = (long) CINT(BgL_occurrencew1104z00_3100);
				BgL_userzf31105zf3_1471 = CBOOL(BgL_userzf31105zf3_3101);
				BgL_key1106z00_1472 = (long) CINT(BgL_key1106z00_3102);
				BgL_from1107z00_1473 = BgL_from1107z00_3103;
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_new1245z00_1475;

					{	/* Effect/cgraph.scm 21 */
						BgL_localz00_bglt BgL_tmp1242z00_1476;
						BgL_localzf2fromzf2_bglt BgL_wide1243z00_1477;

						{
							BgL_localz00_bglt BgL_auxz00_4350;

							{	/* Effect/cgraph.scm 21 */
								BgL_localz00_bglt BgL_new1241z00_1479;

								BgL_new1241z00_1479 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg2017z00_1480;

									{	/* Effect/cgraph.scm 21 */
										long BgL_res2188z00_2629;

										BgL_res2188z00_2629 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg2017z00_1480 = BgL_res2188z00_2629;
									}
									{	/* Effect/cgraph.scm 21 */
										BgL_objectz00_bglt BgL_objz00_2630;

										BgL_objz00_2630 =
											((BgL_objectz00_bglt) BgL_new1241z00_1479);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2630,
											BgL_arg2017z00_1480);
								}}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_auxz00_4355;

									BgL_auxz00_4355 = ((BgL_objectz00_bglt) BgL_new1241z00_1479);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4355, BFALSE);
								}
								BgL_auxz00_4350 = BgL_new1241z00_1479;
							}
							BgL_tmp1242z00_1476 = ((BgL_localz00_bglt) BgL_auxz00_4350);
						}
						BgL_wide1243z00_1477 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_4362;
							BgL_objectz00_bglt BgL_auxz00_4360;

							BgL_auxz00_4362 = ((obj_t) BgL_wide1243z00_1477);
							BgL_auxz00_4360 = ((BgL_objectz00_bglt) BgL_tmp1242z00_1476);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4360, BgL_auxz00_4362);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg2014z00_1478;

							{	/* Effect/cgraph.scm 21 */
								long BgL_res2189z00_2633;

								BgL_res2189z00_2633 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2014z00_1478 = BgL_res2189z00_2633;
							}
							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objz00_2634;

								BgL_objz00_2634 = ((BgL_objectz00_bglt) BgL_tmp1242z00_1476);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2634,
										BgL_arg2014z00_1478));
						}}
						BgL_new1245z00_1475 = ((BgL_localz00_bglt) BgL_tmp1242z00_1476);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1245z00_1475)))->BgL_idz00) =
						((obj_t) BgL_id1096z00_1462), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_namez00) =
						((obj_t) BgL_name1097z00_1463), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1098z00_1464), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1099z00_1465), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_accessz00) =
						((obj_t) BgL_access1100z00_1466), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1101zd2_1467), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_removablez00) =
						((obj_t) BgL_removable1102z00_1468), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_occurrencez00) =
						((long) BgL_occurrence1103z00_1469), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1104z00_1470), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1475)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31105zf3_1471), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1245z00_1475)))->BgL_keyz00) =
						((long) BgL_key1106z00_1472), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4392;

						{
							obj_t BgL_auxz00_4393;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_auxz00_4394;

								BgL_auxz00_4394 = ((BgL_objectz00_bglt) BgL_new1245z00_1475);
								BgL_auxz00_4393 = BGL_OBJECT_WIDENING(BgL_auxz00_4394);
							}
							BgL_auxz00_4392 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4393);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4392))->BgL_fromz00) =
							((obj_t) BgL_from1107z00_1473), BUNSPEC);
					}
					return BgL_new1245z00_1475;
				}
			}
		}
	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zzeffect_cgraphz00(obj_t BgL_envz00_3104,
		obj_t BgL_oz00_3105, obj_t BgL_vz00_3106)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1501;
				obj_t BgL_vz00_1502;

				BgL_oz00_1501 = ((BgL_localz00_bglt) BgL_oz00_3105);
				BgL_vz00_1502 = BgL_vz00_3106;
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4405;

					{
						obj_t BgL_auxz00_4406;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4407;

							BgL_auxz00_4407 = ((BgL_objectz00_bglt) BgL_oz00_1501);
							BgL_auxz00_4406 = BGL_OBJECT_WIDENING(BgL_auxz00_4407);
						}
						BgL_auxz00_4405 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4406);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4405))->BgL_fromz00) =
						((obj_t) BgL_vz00_1502), BUNSPEC);
				}
			}
		}
	}



/* &lambda2028 */
	obj_t BGl_z62lambda2028z62zzeffect_cgraphz00(obj_t BgL_envz00_3107,
		obj_t BgL_oz00_3108)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1498;

				BgL_oz00_1498 = ((BgL_localz00_bglt) BgL_oz00_3108);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4413;

					{
						obj_t BgL_auxz00_4414;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4415;

							BgL_auxz00_4415 = ((BgL_objectz00_bglt) BgL_oz00_1498);
							BgL_auxz00_4414 = BGL_OBJECT_WIDENING(BgL_auxz00_4415);
						}
						BgL_auxz00_4413 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4414);
					}
					return
						(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4413))->BgL_fromz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2247z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string2248z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2249z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string2250z00zzeffect_cgraphz00);
		}
	}



/* &save-call!1983 */
	obj_t BGl_z62savezd2callz121983za2zzeffect_cgraphz00(obj_t BgL_envz00_3111,
		obj_t BgL_calleez00_3112, obj_t BgL_ownerz00_3113)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			{
				BgL_variablez00_bglt BgL_calleez00_1582;
				BgL_variablez00_bglt BgL_ownerz00_1583;

				BgL_calleez00_1582 = ((BgL_variablez00_bglt) BgL_calleez00_3112);
				BgL_ownerz00_1583 = ((BgL_variablez00_bglt) BgL_ownerz00_3113);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2251z00zzeffect_cgraphz00, ((obj_t) BgL_calleez00_1582));
		}}
	}



/* &call-graph!1943 */
	obj_t BGl_z62callzd2graphz121943za2zzeffect_cgraphz00(obj_t BgL_envz00_3114,
		obj_t BgL_nodez00_3115, obj_t BgL_ownerz00_3116)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return CNST_TABLE_REF(((long) 8));
		}
	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt
		BgL_nodez00_134, BgL_variablez00_bglt BgL_ownerz00_135)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_method1944z00_1586;

				{	/* Effect/cgraph.scm 38 */
					obj_t BgL_res2206z00_2727;

					{	/* Effect/cgraph.scm 38 */
						BgL_objectz00_bglt BgL_objz00_2699;

						BgL_objz00_2699 = ((BgL_objectz00_bglt) BgL_nodez00_134);
						{	/* Effect/cgraph.scm 38 */
							long BgL_objzd2classzd2numz00_2700;

							{	/* Effect/cgraph.scm 38 */
								long BgL_res2200z00_2703;

								BgL_res2200z00_2703 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2699);
								BgL_objzd2classzd2numz00_2700 = BgL_res2200z00_2703;
							}
							{	/* Effect/cgraph.scm 38 */
								obj_t BgL_arg1820z00_2701;

								BgL_arg1820z00_2701 =
									PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 38 */
									obj_t BgL_arrayz00_2704;
									int BgL_offsetz00_2705;

									BgL_arrayz00_2704 = BgL_arg1820z00_2701;
									BgL_offsetz00_2705 = (int) (BgL_objzd2classzd2numz00_2700);
									{	/* Effect/cgraph.scm 38 */
										long BgL_offsetz00_2706;

										BgL_offsetz00_2706 =
											((long) (BgL_offsetz00_2705) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 38 */
											long BgL_modz00_2707;

											{	/* Effect/cgraph.scm 38 */
												int BgL_arg1822z00_2708;

												BgL_arg1822z00_2708 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 38 */
													long BgL_res2203z00_2718;

													{	/* Effect/cgraph.scm 38 */
														long BgL_auxz00_4437;

														BgL_auxz00_4437 = (long) (BgL_arg1822z00_2708);
														BgL_res2203z00_2718 =
															(BgL_offsetz00_2706 / BgL_auxz00_4437);
													}
													BgL_modz00_2707 = BgL_res2203z00_2718;
											}}
											{	/* Effect/cgraph.scm 38 */
												long BgL_restz00_2709;

												{	/* Effect/cgraph.scm 38 */
													int BgL_arg1821z00_2710;

													BgL_arg1821z00_2710 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 38 */
														long BgL_res2205z00_2722;

														{	/* Effect/cgraph.scm 38 */
															long BgL_auxz00_4441;

															BgL_auxz00_4441 = (long) (BgL_arg1821z00_2710);
															BgL_res2205z00_2722 =
																(BgL_offsetz00_2706 % BgL_auxz00_4441);
														}
														BgL_restz00_2709 = BgL_res2205z00_2722;
												}}
												{	/* Effect/cgraph.scm 38 */

													BgL_res2206z00_2727 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2704,
															(int) (BgL_modz00_2707)),
														(int) (BgL_restz00_2709));
					}}}}}}}}
					BgL_method1944z00_1586 = BgL_res2206z00_2727;
				}
				return
					PROCEDURE_ENTRY(BgL_method1944z00_1586) (BgL_method1944z00_1586,
					((obj_t) BgL_nodez00_134), ((obj_t) BgL_ownerz00_135), BEOA);
			}
		}
	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_3117,
		obj_t BgL_nodez00_3118, obj_t BgL_ownerz00_3119)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_3118),
				((BgL_variablez00_bglt) BgL_ownerz00_3119));
		}
	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_174, BgL_variablez00_bglt BgL_ownerz00_175)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			{	/* Effect/cgraph.scm 211 */
				obj_t BgL_method1984z00_1587;

				{	/* Effect/cgraph.scm 211 */
					obj_t BgL_res2213z00_2756;

					{	/* Effect/cgraph.scm 211 */
						BgL_objectz00_bglt BgL_objz00_2728;

						BgL_objz00_2728 = ((BgL_objectz00_bglt) BgL_calleez00_174);
						{	/* Effect/cgraph.scm 211 */
							long BgL_objzd2classzd2numz00_2729;

							{	/* Effect/cgraph.scm 211 */
								long BgL_res2207z00_2732;

								BgL_res2207z00_2732 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2728);
								BgL_objzd2classzd2numz00_2729 = BgL_res2207z00_2732;
							}
							{	/* Effect/cgraph.scm 211 */
								obj_t BgL_arg1820z00_2730;

								BgL_arg1820z00_2730 =
									PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 211 */
									obj_t BgL_arrayz00_2733;
									int BgL_offsetz00_2734;

									BgL_arrayz00_2733 = BgL_arg1820z00_2730;
									BgL_offsetz00_2734 = (int) (BgL_objzd2classzd2numz00_2729);
									{	/* Effect/cgraph.scm 211 */
										long BgL_offsetz00_2735;

										BgL_offsetz00_2735 =
											((long) (BgL_offsetz00_2734) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 211 */
											long BgL_modz00_2736;

											{	/* Effect/cgraph.scm 211 */
												int BgL_arg1822z00_2737;

												BgL_arg1822z00_2737 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 211 */
													long BgL_res2210z00_2747;

													{	/* Effect/cgraph.scm 211 */
														long BgL_auxz00_4466;

														BgL_auxz00_4466 = (long) (BgL_arg1822z00_2737);
														BgL_res2210z00_2747 =
															(BgL_offsetz00_2735 / BgL_auxz00_4466);
													}
													BgL_modz00_2736 = BgL_res2210z00_2747;
											}}
											{	/* Effect/cgraph.scm 211 */
												long BgL_restz00_2738;

												{	/* Effect/cgraph.scm 211 */
													int BgL_arg1821z00_2739;

													BgL_arg1821z00_2739 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 211 */
														long BgL_res2212z00_2751;

														{	/* Effect/cgraph.scm 211 */
															long BgL_auxz00_4470;

															BgL_auxz00_4470 = (long) (BgL_arg1821z00_2739);
															BgL_res2212z00_2751 =
																(BgL_offsetz00_2735 % BgL_auxz00_4470);
														}
														BgL_restz00_2738 = BgL_res2212z00_2751;
												}}
												{	/* Effect/cgraph.scm 211 */

													BgL_res2213z00_2756 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2733,
															(int) (BgL_modz00_2736)),
														(int) (BgL_restz00_2738));
					}}}}}}}}
					BgL_method1984z00_1587 = BgL_res2213z00_2756;
				}
				return
					PROCEDURE_ENTRY(BgL_method1984z00_1587) (BgL_method1984z00_1587,
					((obj_t) BgL_calleez00_174), ((obj_t) BgL_ownerz00_175), BEOA);
			}
		}
	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_3120,
		obj_t BgL_calleez00_3121, obj_t BgL_ownerz00_3122)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_3121),
				((BgL_variablez00_bglt) BgL_ownerz00_3122));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2252z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_syncz00zzast_nodez00, BGl_proc2254z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc2255z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2256z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2257z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc2258z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc2259z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc2260z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2261z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc2262z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_selectz00zzast_nodez00, BGl_proc2263z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2264z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2265z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2266z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2267z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2268z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2269z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2270z00zzeffect_cgraphz00,
				BGl_string2253z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc2271z00zzeffect_cgraphz00,
				BGl_string2272z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2273z00zzeffect_cgraphz00, BGl_string2272z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc2274z00zzeffect_cgraphz00,
				BGl_string2272z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2275z00zzeffect_cgraphz00, BGl_string2272z00zzeffect_cgraphz00);
		}
	}



/* &save-call!-local/fro1992 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro1992z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3145, obj_t BgL_calleez00_3146, obj_t BgL_ownerz00_3147)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 242 */
			{
				BgL_localz00_bglt BgL_calleez00_1794;
				obj_t BgL_ownerz00_1795;

				BgL_calleez00_1794 = ((BgL_localz00_bglt) BgL_calleez00_3146);
				BgL_ownerz00_1795 = BgL_ownerz00_3147;
				{	/* Effect/cgraph.scm 244 */
					bool_t BgL_testz00_4509;

					{	/* Effect/cgraph.scm 244 */
						obj_t BgL_auxz00_4510;

						{	/* Effect/cgraph.scm 244 */
							obj_t BgL_auxz00_4511;

							{
								BgL_localzf2fromzf2_bglt BgL_auxz00_4512;

								{
									obj_t BgL_auxz00_4513;

									{	/* Effect/cgraph.scm 244 */
										BgL_objectz00_bglt BgL_auxz00_4514;

										BgL_auxz00_4514 = ((BgL_objectz00_bglt) BgL_calleez00_1794);
										BgL_auxz00_4513 = BGL_OBJECT_WIDENING(BgL_auxz00_4514);
									}
									BgL_auxz00_4512 =
										((BgL_localzf2fromzf2_bglt) BgL_auxz00_4513);
								}
								BgL_auxz00_4511 =
									(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4512))->
									BgL_fromz00);
							}
							BgL_auxz00_4510 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1795,
								BgL_auxz00_4511);
						}
						BgL_testz00_4509 = CBOOL(BgL_auxz00_4510);
					}
					if (BgL_testz00_4509)
						{	/* Effect/cgraph.scm 244 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4527;
							BgL_localzf2fromzf2_bglt BgL_auxz00_4521;

							{	/* Effect/cgraph.scm 245 */
								obj_t BgL_arg2123z00_1800;

								{
									BgL_localzf2fromzf2_bglt BgL_auxz00_4528;

									{
										obj_t BgL_auxz00_4529;

										{	/* Effect/cgraph.scm 245 */
											BgL_objectz00_bglt BgL_auxz00_4530;

											BgL_auxz00_4530 =
												((BgL_objectz00_bglt) BgL_calleez00_1794);
											BgL_auxz00_4529 = BGL_OBJECT_WIDENING(BgL_auxz00_4530);
										}
										BgL_auxz00_4528 =
											((BgL_localzf2fromzf2_bglt) BgL_auxz00_4529);
									}
									BgL_arg2123z00_1800 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4528))->
										BgL_fromz00);
								}
								BgL_auxz00_4527 =
									MAKE_PAIR(BgL_ownerz00_1795, BgL_arg2123z00_1800);
							}
							{
								obj_t BgL_auxz00_4522;

								{	/* Effect/cgraph.scm 245 */
									BgL_objectz00_bglt BgL_auxz00_4523;

									BgL_auxz00_4523 = ((BgL_objectz00_bglt) BgL_calleez00_1794);
									BgL_auxz00_4522 = BGL_OBJECT_WIDENING(BgL_auxz00_4523);
								}
								BgL_auxz00_4521 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4522);
							}
							return
								((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4521))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4527), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-local1990 */
	obj_t BGl_z62savezd2callz12zd2local1990z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3148, obj_t BgL_calleez00_3149, obj_t BgL_ownerz00_3150)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 236 */
			{
				BgL_localz00_bglt BgL_calleez00_1783;
				obj_t BgL_ownerz00_1784;

				BgL_calleez00_1783 = ((BgL_localz00_bglt) BgL_calleez00_3149);
				BgL_ownerz00_1784 = BgL_ownerz00_3150;
				{	/* Effect/cgraph.scm 237 */
					BgL_localz00_bglt BgL_arg2118z00_1787;

					{	/* Effect/cgraph.scm 237 */
						BgL_localz00_bglt BgL_tmp1237z00_1789;
						BgL_localzf2fromzf2_bglt BgL_wide1238z00_1790;

						BgL_tmp1237z00_1789 = ((BgL_localz00_bglt) BgL_calleez00_1783);
						BgL_wide1238z00_1790 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 237 */
							obj_t BgL_auxz00_4542;
							BgL_objectz00_bglt BgL_auxz00_4540;

							BgL_auxz00_4542 = ((obj_t) BgL_wide1238z00_1790);
							BgL_auxz00_4540 = ((BgL_objectz00_bglt) BgL_tmp1237z00_1789);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4540, BgL_auxz00_4542);
						}
						{	/* Effect/cgraph.scm 237 */
							long BgL_arg2120z00_1791;

							{	/* Effect/cgraph.scm 237 */
								long BgL_res2233z00_2829;

								BgL_res2233z00_2829 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2120z00_1791 = BgL_res2233z00_2829;
							}
							{	/* Effect/cgraph.scm 237 */
								BgL_objectz00_bglt BgL_objz00_2830;

								BgL_objz00_2830 = ((BgL_objectz00_bglt) BgL_tmp1237z00_1789);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2830,
										BgL_arg2120z00_1791));
						}} BgL_tmp1237z00_1789;
					}
					{	/* Effect/cgraph.scm 237 */
						BgL_localz00_bglt BgL_new1239z00_1792;

						BgL_new1239z00_1792 = ((BgL_localz00_bglt) BgL_calleez00_1783);
						{
							BgL_localzf2fromzf2_bglt BgL_auxz00_4550;

							{
								obj_t BgL_auxz00_4551;

								{	/* Effect/cgraph.scm 237 */
									BgL_objectz00_bglt BgL_auxz00_4552;

									BgL_auxz00_4552 = ((BgL_objectz00_bglt) BgL_new1239z00_1792);
									BgL_auxz00_4551 = BGL_OBJECT_WIDENING(BgL_auxz00_4552);
								}
								BgL_auxz00_4550 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4551);
							}
							((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4550))->
									BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2118z00_1787 = BgL_new1239z00_1792;
					}
					return
						BGl_savezd2callz12zc0zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_arg2118z00_1787),
						((BgL_variablez00_bglt) BgL_ownerz00_1784));
				}
			}
		}
	}



/* &save-call!-global/fr1988 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr1988z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3151, obj_t BgL_calleez00_3152, obj_t BgL_ownerz00_3153)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 228 */
			{
				BgL_globalz00_bglt BgL_calleez00_1774;
				obj_t BgL_ownerz00_1775;

				BgL_calleez00_1774 = ((BgL_globalz00_bglt) BgL_calleez00_3152);
				BgL_ownerz00_1775 = BgL_ownerz00_3153;
				{	/* Effect/cgraph.scm 230 */
					bool_t BgL_testz00_4561;

					{	/* Effect/cgraph.scm 230 */
						obj_t BgL_auxz00_4562;

						{	/* Effect/cgraph.scm 230 */
							obj_t BgL_auxz00_4563;

							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4564;

								{
									obj_t BgL_auxz00_4565;

									{	/* Effect/cgraph.scm 230 */
										BgL_objectz00_bglt BgL_auxz00_4566;

										BgL_auxz00_4566 = ((BgL_objectz00_bglt) BgL_calleez00_1774);
										BgL_auxz00_4565 = BGL_OBJECT_WIDENING(BgL_auxz00_4566);
									}
									BgL_auxz00_4564 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4565);
								}
								BgL_auxz00_4563 =
									(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4564))->
									BgL_fromz00);
							}
							BgL_auxz00_4562 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1775,
								BgL_auxz00_4563);
						}
						BgL_testz00_4561 = CBOOL(BgL_auxz00_4562);
					}
					if (BgL_testz00_4561)
						{	/* Effect/cgraph.scm 230 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4579;
							BgL_globalzf2fromzf2_bglt BgL_auxz00_4573;

							{	/* Effect/cgraph.scm 231 */
								obj_t BgL_arg2114z00_1780;

								{
									BgL_globalzf2fromzf2_bglt BgL_auxz00_4580;

									{
										obj_t BgL_auxz00_4581;

										{	/* Effect/cgraph.scm 231 */
											BgL_objectz00_bglt BgL_auxz00_4582;

											BgL_auxz00_4582 =
												((BgL_objectz00_bglt) BgL_calleez00_1774);
											BgL_auxz00_4581 = BGL_OBJECT_WIDENING(BgL_auxz00_4582);
										}
										BgL_auxz00_4580 =
											((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4581);
									}
									BgL_arg2114z00_1780 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4580))->
										BgL_fromz00);
								}
								BgL_auxz00_4579 =
									MAKE_PAIR(BgL_ownerz00_1775, BgL_arg2114z00_1780);
							}
							{
								obj_t BgL_auxz00_4574;

								{	/* Effect/cgraph.scm 231 */
									BgL_objectz00_bglt BgL_auxz00_4575;

									BgL_auxz00_4575 = ((BgL_objectz00_bglt) BgL_calleez00_1774);
									BgL_auxz00_4574 = BGL_OBJECT_WIDENING(BgL_auxz00_4575);
								}
								BgL_auxz00_4573 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4574);
							}
							return
								((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4573))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4579), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-global1986 */
	obj_t BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3154, obj_t BgL_calleez00_3155, obj_t BgL_ownerz00_3156)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 216 */
			{
				BgL_globalz00_bglt BgL_calleez00_1757;
				obj_t BgL_ownerz00_1758;

				BgL_calleez00_1757 = ((BgL_globalz00_bglt) BgL_calleez00_3155);
				BgL_ownerz00_1758 = BgL_ownerz00_3156;
				{	/* Effect/cgraph.scm 217 */
					BgL_valuez00_bglt BgL_funz00_1761;

					BgL_funz00_1761 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_calleez00_1757)))->BgL_valuez00);
					{	/* Effect/cgraph.scm 218 */
						bool_t BgL_testz00_4592;

						{	/* Effect/cgraph.scm 218 */
							bool_t BgL_testz00_4593;

							{	/* Effect/cgraph.scm 218 */
								bool_t BgL_res2230z00_2817;

								{	/* Effect/cgraph.scm 218 */
									obj_t BgL_objz00_2816;

									BgL_objz00_2816 = ((obj_t) BgL_funz00_1761);
									BgL_res2230z00_2817 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2816,
										BGl_cfunz00zzast_varz00);
								}
								BgL_testz00_4593 = BgL_res2230z00_2817;
							}
							if (BgL_testz00_4593)
								{	/* Effect/cgraph.scm 218 */
									BgL_testz00_4592 = ((bool_t) 1);
								}
							else
								{	/* Effect/cgraph.scm 219 */
									bool_t BgL_testz00_4596;

									{	/* Effect/cgraph.scm 219 */
										bool_t BgL_res2231z00_2819;

										{	/* Effect/cgraph.scm 219 */
											obj_t BgL_objz00_2818;

											BgL_objz00_2818 = ((obj_t) BgL_funz00_1761);
											BgL_res2231z00_2819 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2818,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_4596 = BgL_res2231z00_2819;
									}
									if (BgL_testz00_4596)
										{	/* Effect/cgraph.scm 219 */
											BgL_testz00_4592 =
												(
												(((BgL_globalz00_bglt) CREF(BgL_calleez00_1757))->
													BgL_importz00) == CNST_TABLE_REF(((long) 9)));
										}
									else
										{	/* Effect/cgraph.scm 219 */
											BgL_testz00_4592 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_4592)
							{	/* Effect/cgraph.scm 218 */
								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1761)))->
											BgL_sidezd2effectzd2)))
									{	/* Effect/cgraph.scm 221 */
										return
											BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
											((BgL_variablez00_bglt) BgL_ownerz00_1758));
									}
								else
									{	/* Effect/cgraph.scm 221 */
										return BFALSE;
									}
							}
						else
							{	/* Effect/cgraph.scm 223 */
								BgL_globalz00_bglt BgL_arg2108z00_1764;

								{	/* Effect/cgraph.scm 223 */
									BgL_globalz00_bglt BgL_tmp1232z00_1766;
									BgL_globalzf2fromzf2_bglt BgL_wide1233z00_1767;

									BgL_tmp1232z00_1766 =
										((BgL_globalz00_bglt) BgL_calleez00_1757);
									BgL_wide1233z00_1767 =
										((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_globalzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 223 */
										obj_t BgL_auxz00_4612;
										BgL_objectz00_bglt BgL_auxz00_4610;

										BgL_auxz00_4612 = ((obj_t) BgL_wide1233z00_1767);
										BgL_auxz00_4610 =
											((BgL_objectz00_bglt) BgL_tmp1232z00_1766);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4610, BgL_auxz00_4612);
									}
									{	/* Effect/cgraph.scm 223 */
										long BgL_arg2110z00_1768;

										{	/* Effect/cgraph.scm 223 */
											long BgL_res2232z00_2825;

											BgL_res2232z00_2825 =
												BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
											BgL_arg2110z00_1768 = BgL_res2232z00_2825;
										}
										{	/* Effect/cgraph.scm 223 */
											BgL_objectz00_bglt BgL_objz00_2826;

											BgL_objz00_2826 =
												((BgL_objectz00_bglt) BgL_tmp1232z00_1766);
											((BgL_globalz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2826,
													BgL_arg2110z00_1768));
									}} BgL_tmp1232z00_1766;
								}
								{	/* Effect/cgraph.scm 223 */
									BgL_globalz00_bglt BgL_new1234z00_1769;

									BgL_new1234z00_1769 =
										((BgL_globalz00_bglt) BgL_calleez00_1757);
									{
										BgL_globalzf2fromzf2_bglt BgL_auxz00_4620;

										{
											obj_t BgL_auxz00_4621;

											{	/* Effect/cgraph.scm 223 */
												BgL_objectz00_bglt BgL_auxz00_4622;

												BgL_auxz00_4622 =
													((BgL_objectz00_bglt) BgL_new1234z00_1769);
												BgL_auxz00_4621 = BGL_OBJECT_WIDENING(BgL_auxz00_4622);
											}
											BgL_auxz00_4620 =
												((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4621);
										}
										((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4620))->
												BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									BgL_arg2108z00_1764 = BgL_new1234z00_1769;
								}
								return
									BGl_savezd2callz12zc0zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_arg2108z00_1764),
									((BgL_variablez00_bglt) BgL_ownerz00_1758));
							}
					}
				}
			}
		}
	}



/* &call-graph!-box-set!1982 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_3157, obj_t BgL_nodez00_3158, obj_t BgL_ownerz00_3159)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 195 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1745;
				obj_t BgL_ownerz00_1746;

				BgL_nodez00_1745 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3158);
				BgL_ownerz00_1746 = BgL_ownerz00_3159;
				{	/* Effect/cgraph.scm 197 */
					bool_t BgL_testz00_4631;

					if (BGl_isazf3zf3zz__objectz00(BgL_ownerz00_1746,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 197 */
							BgL_testz00_4631 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 197 */
							BgL_variablez00_bglt BgL_arg2102z00_1752;

							BgL_arg2102z00_1752 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1745))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 197 */
								bool_t BgL_res2228z00_2812;

								{	/* Effect/cgraph.scm 197 */
									obj_t BgL_objz00_2811;

									BgL_objz00_2811 = ((obj_t) BgL_arg2102z00_1752);
									BgL_res2228z00_2812 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2811,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_4631 = BgL_res2228z00_2812;
							}
						}
					if (BgL_testz00_4631)
						{	/* Effect/cgraph.scm 197 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1746));
						}
					else
						{	/* Effect/cgraph.scm 197 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 199 */
					BgL_varz00_bglt BgL_arg2104z00_1754;

					BgL_arg2104z00_1754 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1745))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2104z00_1754),
						((BgL_variablez00_bglt) BgL_ownerz00_1746));
				}
				{	/* Effect/cgraph.scm 200 */
					BgL_nodez00_bglt BgL_arg2105z00_1755;

					BgL_arg2105z00_1755 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1745))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2105z00_1755,
						((BgL_variablez00_bglt) BgL_ownerz00_1746));
				}
			}
		}
	}



/* &call-graph!-box-ref1980 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref1980za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3160, obj_t BgL_nodez00_3161, obj_t BgL_ownerz00_3162)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 187 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1739;
				obj_t BgL_ownerz00_1740;

				BgL_nodez00_1739 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3161);
				BgL_ownerz00_1740 = BgL_ownerz00_3162;
				{	/* Effect/cgraph.scm 188 */
					BgL_varz00_bglt BgL_arg2099z00_2802;

					BgL_arg2099z00_2802 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1739))->BgL_varz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2099z00_2802),
						((BgL_variablez00_bglt) BgL_ownerz00_1740));
				}
			}
		}
	}



/* &call-graph!-make-box1978 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box1978za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3163, obj_t BgL_nodez00_3164, obj_t BgL_ownerz00_3165)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 181 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1733;
				obj_t BgL_ownerz00_1734;

				BgL_nodez00_1733 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3164);
				BgL_ownerz00_1734 = BgL_ownerz00_3165;
				{	/* Effect/cgraph.scm 182 */
					BgL_nodez00_bglt BgL_arg2098z00_2798;

					BgL_arg2098z00_2798 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1733))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2098z00_2798,
						((BgL_variablez00_bglt) BgL_ownerz00_1734));
				}
			}
		}
	}



/* &call-graph!-jump-ex-1976 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd21976z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3166, obj_t BgL_nodez00_3167, obj_t BgL_ownerz00_3168)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 172 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1725;
				obj_t BgL_ownerz00_1726;

				BgL_nodez00_1725 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3167);
				BgL_ownerz00_1726 = BgL_ownerz00_3168;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1726));
				{	/* Effect/cgraph.scm 175 */
					BgL_nodez00_bglt BgL_arg2096z00_1730;

					BgL_arg2096z00_1730 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1725))->
						BgL_exitz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2096z00_1730,
						((BgL_variablez00_bglt) BgL_ownerz00_1726));
				}
				{	/* Effect/cgraph.scm 176 */
					BgL_nodez00_bglt BgL_arg2097z00_1731;

					BgL_arg2097z00_1731 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1725))->
						BgL_valuez00);
					return BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2097z00_1731,
						((BgL_variablez00_bglt) BgL_ownerz00_1726));
				}
			}
		}
	}



/* &call-graph!-set-ex-i1974 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i1974z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3169, obj_t BgL_nodez00_3170, obj_t BgL_ownerz00_3171)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 164 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1718;
				obj_t BgL_ownerz00_1719;

				BgL_nodez00_1718 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3170);
				BgL_ownerz00_1719 = BgL_ownerz00_3171;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1719));
				{	/* Effect/cgraph.scm 167 */
					BgL_nodez00_bglt BgL_arg2095z00_2794;

					BgL_arg2095z00_2794 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1718))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2095z00_2794,
						((BgL_variablez00_bglt) BgL_ownerz00_1719));
				}
			}
		}
	}



/* &call-graph!-let-var1972 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var1972za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3172, obj_t BgL_nodez00_3173, obj_t BgL_ownerz00_3174)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 154 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1702;
				obj_t BgL_ownerz00_1703;

				{	/* Effect/cgraph.scm 155 */
					bool_t BgL_auxz00_4672;

					BgL_nodez00_1702 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3173);
					BgL_ownerz00_1703 = BgL_ownerz00_3174;
					{	/* Effect/cgraph.scm 156 */
						BgL_nodez00_bglt BgL_arg2090z00_1707;

						BgL_arg2090z00_1707 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1702))->BgL_bodyz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2090z00_1707,
							((BgL_variablez00_bglt) BgL_ownerz00_1703));
					}
					{	/* Effect/cgraph.scm 157 */
						obj_t BgL_g1936z00_1708;

						BgL_g1936z00_1708 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1702))->
							BgL_bindingsz00);
						{
							obj_t BgL_l1934z00_1710;

							BgL_l1934z00_1710 = BgL_g1936z00_1708;
						BgL_zc3anonymousza32091ze3z83_1711:
							if (PAIRP(BgL_l1934z00_1710))
								{	/* Effect/cgraph.scm 157 */
									{	/* Effect/cgraph.scm 158 */
										obj_t BgL_bindingz00_1713;

										BgL_bindingz00_1713 = CAR(BgL_l1934z00_1710);
										{	/* Effect/cgraph.scm 158 */
											obj_t BgL_arg2093z00_1714;

											BgL_arg2093z00_1714 = CDR(BgL_bindingz00_1713);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2093z00_1714),
												((BgL_variablez00_bglt) BgL_ownerz00_1703));
										}
									}
									{
										obj_t BgL_l1934z00_4684;

										BgL_l1934z00_4684 = CDR(BgL_l1934z00_1710);
										BgL_l1934z00_1710 = BgL_l1934z00_4684;
										goto BgL_zc3anonymousza32091ze3z83_1711;
									}
								}
							else
								{	/* Effect/cgraph.scm 157 */
									BgL_auxz00_4672 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4672);
				}
			}
		}
	}



/* &call-graph!-let-fun1970 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun1970za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3175, obj_t BgL_nodez00_3176, obj_t BgL_ownerz00_3177)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 144 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1687;
				obj_t BgL_ownerz00_1688;

				BgL_nodez00_1687 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3176);
				BgL_ownerz00_1688 = BgL_ownerz00_3177;
				{	/* Effect/cgraph.scm 146 */
					obj_t BgL_g1933z00_1692;

					BgL_g1933z00_1692 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1687))->BgL_localsz00);
					{
						obj_t BgL_l1931z00_1694;

						BgL_l1931z00_1694 = BgL_g1933z00_1692;
					BgL_zc3anonymousza32086ze3z83_1695:
						if (PAIRP(BgL_l1931z00_1694))
							{	/* Effect/cgraph.scm 146 */
								{	/* Effect/cgraph.scm 147 */
									obj_t BgL_localz00_1697;

									BgL_localz00_1697 = CAR(BgL_l1931z00_1694);
									BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_localz00_1697));
								}
								{
									obj_t BgL_l1931z00_4694;

									BgL_l1931z00_4694 = CDR(BgL_l1931z00_1694);
									BgL_l1931z00_1694 = BgL_l1931z00_4694;
									goto BgL_zc3anonymousza32086ze3z83_1695;
								}
							}
						else
							{	/* Effect/cgraph.scm 146 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/cgraph.scm 149 */
					BgL_nodez00_bglt BgL_arg2089z00_1700;

					BgL_arg2089z00_1700 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1687))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2089z00_1700,
						((BgL_variablez00_bglt) BgL_ownerz00_1688));
				}
			}
		}
	}



/* &call-graph!-select1968 */
	obj_t BGl_z62callzd2graphz12zd2select1968z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3178, obj_t BgL_nodez00_3179, obj_t BgL_ownerz00_3180)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 134 */
			{
				BgL_selectz00_bglt BgL_nodez00_1671;
				obj_t BgL_ownerz00_1672;

				{	/* Effect/cgraph.scm 135 */
					bool_t BgL_auxz00_4700;

					BgL_nodez00_1671 = ((BgL_selectz00_bglt) BgL_nodez00_3179);
					BgL_ownerz00_1672 = BgL_ownerz00_3180;
					{	/* Effect/cgraph.scm 136 */
						BgL_nodez00_bglt BgL_arg2081z00_1676;

						BgL_arg2081z00_1676 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1671))->BgL_testz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2081z00_1676,
							((BgL_variablez00_bglt) BgL_ownerz00_1672));
					}
					{	/* Effect/cgraph.scm 137 */
						obj_t BgL_g1930z00_1677;

						BgL_g1930z00_1677 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1671))->BgL_clausesz00);
						{
							obj_t BgL_l1919z00_1679;

							BgL_l1919z00_1679 = BgL_g1930z00_1677;
						BgL_zc3anonymousza32082ze3z83_1680:
							if (PAIRP(BgL_l1919z00_1679))
								{	/* Effect/cgraph.scm 137 */
									{	/* Effect/cgraph.scm 138 */
										obj_t BgL_clausez00_1682;

										BgL_clausez00_1682 = CAR(BgL_l1919z00_1679);
										{	/* Effect/cgraph.scm 138 */
											obj_t BgL_arg2084z00_1683;

											BgL_arg2084z00_1683 = CDR(BgL_clausez00_1682);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2084z00_1683),
												((BgL_variablez00_bglt) BgL_ownerz00_1672));
										}
									}
									{
										obj_t BgL_l1919z00_4712;

										BgL_l1919z00_4712 = CDR(BgL_l1919z00_1679);
										BgL_l1919z00_1679 = BgL_l1919z00_4712;
										goto BgL_zc3anonymousza32082ze3z83_1680;
									}
								}
							else
								{	/* Effect/cgraph.scm 137 */
									BgL_auxz00_4700 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4700);
				}
			}
		}
	}



/* &call-graph!-fail1965 */
	obj_t BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3181, obj_t BgL_nodez00_3182, obj_t BgL_ownerz00_3183)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 124 */
			{
				BgL_failz00_bglt BgL_nodez00_1662;
				obj_t BgL_ownerz00_1663;

				BgL_nodez00_1662 = ((BgL_failz00_bglt) BgL_nodez00_3182);
				BgL_ownerz00_1663 = BgL_ownerz00_3183;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1663));
				{	/* Effect/cgraph.scm 127 */
					BgL_nodez00_bglt BgL_arg2078z00_1667;

					BgL_arg2078z00_1667 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1662))->BgL_procz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2078z00_1667,
						((BgL_variablez00_bglt) BgL_ownerz00_1663));
				}
				{	/* Effect/cgraph.scm 128 */
					BgL_nodez00_bglt BgL_arg2079z00_1668;

					BgL_arg2079z00_1668 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1662))->BgL_msgz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2079z00_1668,
						((BgL_variablez00_bglt) BgL_ownerz00_1663));
				}
				{	/* Effect/cgraph.scm 129 */
					BgL_nodez00_bglt BgL_arg2080z00_1669;

					BgL_arg2080z00_1669 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1662))->BgL_objz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2080z00_1669,
						((BgL_variablez00_bglt) BgL_ownerz00_1663));
				}
			}
		}
	}



/* &call-graph!-conditio1963 */
	obj_t BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3184, obj_t BgL_nodez00_3185, obj_t BgL_ownerz00_3186)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 115 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1653;
				obj_t BgL_ownerz00_1654;

				BgL_nodez00_1653 = ((BgL_conditionalz00_bglt) BgL_nodez00_3185);
				BgL_ownerz00_1654 = BgL_ownerz00_3186;
				{	/* Effect/cgraph.scm 117 */
					BgL_nodez00_bglt BgL_arg2075z00_1658;

					BgL_arg2075z00_1658 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1653))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2075z00_1658,
						((BgL_variablez00_bglt) BgL_ownerz00_1654));
				}
				{	/* Effect/cgraph.scm 118 */
					BgL_nodez00_bglt BgL_arg2076z00_1659;

					BgL_arg2076z00_1659 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1653))->BgL_truez00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2076z00_1659,
						((BgL_variablez00_bglt) BgL_ownerz00_1654));
				}
				{	/* Effect/cgraph.scm 119 */
					BgL_nodez00_bglt BgL_arg2077z00_1660;

					BgL_arg2077z00_1660 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1653))->BgL_falsez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2077z00_1660,
						((BgL_variablez00_bglt) BgL_ownerz00_1654));
				}
			}
		}
	}



/* &call-graph!-setq1961 */
	obj_t BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3187, obj_t BgL_nodez00_3188, obj_t BgL_ownerz00_3189)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 105 */
			{
				BgL_setqz00_bglt BgL_nodez00_1641;
				obj_t BgL_ownerz00_1642;

				BgL_nodez00_1641 = ((BgL_setqz00_bglt) BgL_nodez00_3188);
				BgL_ownerz00_1642 = BgL_ownerz00_3189;
				{	/* Effect/cgraph.scm 107 */
					bool_t BgL_testz00_4738;

					if (BGl_isazf3zf3zz__objectz00(BgL_ownerz00_1642,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 107 */
							BgL_testz00_4738 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 107 */
							BgL_variablez00_bglt BgL_arg2071z00_1648;

							BgL_arg2071z00_1648 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1641))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 107 */
								bool_t BgL_res2219z00_2779;

								{	/* Effect/cgraph.scm 107 */
									obj_t BgL_objz00_2778;

									BgL_objz00_2778 = ((obj_t) BgL_arg2071z00_1648);
									BgL_res2219z00_2779 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2778,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_4738 = BgL_res2219z00_2779;
							}
						}
					if (BgL_testz00_4738)
						{	/* Effect/cgraph.scm 107 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1642));
						}
					else
						{	/* Effect/cgraph.scm 107 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 109 */
					BgL_varz00_bglt BgL_arg2073z00_1650;

					BgL_arg2073z00_1650 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1641))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2073z00_1650),
						((BgL_variablez00_bglt) BgL_ownerz00_1642));
				}
				{	/* Effect/cgraph.scm 110 */
					BgL_nodez00_bglt BgL_arg2074z00_1651;

					BgL_arg2074z00_1651 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1641))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2074z00_1651,
						((BgL_variablez00_bglt) BgL_ownerz00_1642));
				}
			}
		}
	}



/* &call-graph!-cast1959 */
	obj_t BGl_z62callzd2graphz12zd2cast1959z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3190, obj_t BgL_nodez00_3191, obj_t BgL_ownerz00_3192)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 94 */
			{
				BgL_castz00_bglt BgL_nodez00_1634;
				obj_t BgL_ownerz00_1635;

				BgL_nodez00_1634 = ((BgL_castz00_bglt) BgL_nodez00_3191);
				BgL_ownerz00_1635 = BgL_ownerz00_3192;
				{	/* Effect/cgraph.scm 95 */
					BgL_nodez00_bglt BgL_arg2068z00_2772;

					BgL_arg2068z00_2772 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1634))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2068z00_2772,
						((BgL_variablez00_bglt) BgL_ownerz00_1635));
				}
			}
		}
	}



/* &call-graph!-extern1956 */
	obj_t BGl_z62callzd2graphz12zd2extern1956z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3193, obj_t BgL_nodez00_3194, obj_t BgL_ownerz00_3195)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 85 */
			{
				BgL_externz00_bglt BgL_nodez00_1626;
				obj_t BgL_ownerz00_1627;

				{	/* Effect/cgraph.scm 86 */
					bool_t BgL_auxz00_4759;

					BgL_nodez00_1626 = ((BgL_externz00_bglt) BgL_nodez00_3194);
					BgL_ownerz00_1627 = BgL_ownerz00_3195;
					if (CBOOL(
							(((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1626)))->
								BgL_sidezd2effectzd2)))
						{	/* Effect/cgraph.scm 87 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1627));
						}
					else
						{	/* Effect/cgraph.scm 87 */
							BFALSE;
						}
					BgL_auxz00_4759 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1626))->BgL_exprza2za2),
						BgL_ownerz00_1627);
					return BBOOL(BgL_auxz00_4759);
				}
			}
		}
	}



/* &call-graph!-funcall1954 */
	obj_t BGl_z62callzd2graphz12zd2funcall1954z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3196, obj_t BgL_nodez00_3197, obj_t BgL_ownerz00_3198)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 76 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1618;
				obj_t BgL_ownerz00_1619;

				{	/* Effect/cgraph.scm 77 */
					bool_t BgL_auxz00_4770;

					BgL_nodez00_1618 = ((BgL_funcallz00_bglt) BgL_nodez00_3197);
					BgL_ownerz00_1619 = BgL_ownerz00_3198;
					BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_ownerz00_1619));
					{	/* Effect/cgraph.scm 79 */
						BgL_nodez00_bglt BgL_arg2064z00_1623;

						BgL_arg2064z00_1623 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1618))->BgL_funz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2064z00_1623,
							((BgL_variablez00_bglt) BgL_ownerz00_1619));
					}
					BgL_auxz00_4770 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1618))->BgL_argsz00),
						BgL_ownerz00_1619);
					return BBOOL(BgL_auxz00_4770);
				}
			}
		}
	}



/* &call-graph!-app-ly1952 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly1952za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3199, obj_t BgL_nodez00_3200, obj_t BgL_ownerz00_3201)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 67 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1610;
				obj_t BgL_ownerz00_1611;

				BgL_nodez00_1610 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3200);
				BgL_ownerz00_1611 = BgL_ownerz00_3201;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1611));
				{	/* Effect/cgraph.scm 70 */
					BgL_nodez00_bglt BgL_arg2062z00_1615;

					BgL_arg2062z00_1615 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1610))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2062z00_1615,
						((BgL_variablez00_bglt) BgL_ownerz00_1611));
				}
				{	/* Effect/cgraph.scm 71 */
					BgL_nodez00_bglt BgL_arg2063z00_1616;

					BgL_arg2063z00_1616 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1610))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2063z00_1616,
						((BgL_variablez00_bglt) BgL_ownerz00_1611));
				}
			}
		}
	}



/* &call-graph!-app1950 */
	obj_t BGl_z62callzd2graphz12zd2app1950z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3202, obj_t BgL_nodez00_3203, obj_t BgL_ownerz00_3204)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 57 */
			{
				BgL_appz00_bglt BgL_nodez00_1601;
				obj_t BgL_ownerz00_1602;

				{	/* Effect/cgraph.scm 58 */
					bool_t BgL_auxz00_4789;

					BgL_nodez00_1601 = ((BgL_appz00_bglt) BgL_nodez00_3203);
					BgL_ownerz00_1602 = BgL_ownerz00_3204;
					{	/* Effect/cgraph.scm 61 */
						BgL_variablez00_bglt BgL_arg2059z00_1606;

						BgL_arg2059z00_1606 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1601))->BgL_funz00)))->
							BgL_variablez00);
						BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg2059z00_1606,
							((BgL_variablez00_bglt) BgL_ownerz00_1602));
					}
					BgL_auxz00_4789 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1601))->BgL_argsz00),
						BgL_ownerz00_1602);
					return BBOOL(BgL_auxz00_4789);
				}
			}
		}
	}



/* &call-graph!-sync1948 */
	obj_t BGl_z62callzd2graphz12zd2sync1948z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3205, obj_t BgL_nodez00_3206, obj_t BgL_ownerz00_3207)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 50 */
			{
				BgL_syncz00_bglt BgL_nodez00_1594;
				obj_t BgL_ownerz00_1595;

				{	/* Effect/cgraph.scm 51 */
					bool_t BgL_auxz00_4798;

					BgL_nodez00_1594 = ((BgL_syncz00_bglt) BgL_nodez00_3206);
					BgL_ownerz00_1595 = BgL_ownerz00_3207;
					{	/* Effect/cgraph.scm 51 */
						BgL_nodez00_bglt BgL_arg2057z00_2760;

						BgL_arg2057z00_2760 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1594))->BgL_mutexz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2057z00_2760,
							((BgL_variablez00_bglt) BgL_ownerz00_1595));
					}
					BgL_auxz00_4798 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1594))->BgL_nodesz00),
						BgL_ownerz00_1595);
					return BBOOL(BgL_auxz00_4798);
				}
			}
		}
	}



/* &call-graph!-sequence1946 */
	obj_t BGl_z62callzd2graphz12zd2sequence1946z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3208, obj_t BgL_nodez00_3209, obj_t BgL_ownerz00_3210)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 44 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1588;
				obj_t BgL_ownerz00_1589;

				{	/* Effect/cgraph.scm 45 */
					bool_t BgL_auxz00_4806;

					BgL_nodez00_1588 = ((BgL_sequencez00_bglt) BgL_nodez00_3209);
					BgL_ownerz00_1589 = BgL_ownerz00_3210;
					BgL_auxz00_4806 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1588))->BgL_nodesz00),
						BgL_ownerz00_1589);
					return BBOOL(BgL_auxz00_4806);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2276z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2276z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2276z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2276z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2276z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2276z00zzeffect_cgraphz00));
		}
	}

#ifdef __cplusplus
}
#endif
