/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inlinezd2node1939zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long,
		obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2kwote1948z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1976zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_objectzd2initzd2zzinline_inlinez00();
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2atom1943z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t);
	static obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2var1945z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sync1952z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2fail1970z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt
		BGl_z62zc3anonymousza32020ze3ze1zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21980z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1950z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2funcall1959z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long,
		obj_t);
	static obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00();
	static obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
	static obj_t BGl_genericzd2initzd2zzinline_inlinez00();
	static obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1984zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1956zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2select1972z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2extern1961z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2013z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2018z62zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2021z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2029z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2030z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2035z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2036z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2app1954z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2cast1963z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1978z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1968z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_inlinez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121986za2zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1982zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setq1965z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt,
		long, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1974zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
	static obj_t BGl_z62zc3anonymousza32031ze3ze1zzinline_inlinez00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2keyszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2keysza72256za7,
		BGl_z62isfunzd2keyszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72257za7,
		BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzinline_inlinez00,
		BgL_bgl_za762za7c3anonymousza72258za7,
		BGl_z62zc3anonymousza32031ze3ze1zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzinline_inlinez00,
		BgL_bgl_za762lambda2030za7622259z00, BGl_z62lambda2030z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzinline_inlinez00,
		BgL_bgl_za762lambda2029za7622260z00, BGl_z62lambda2029z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2nilza7b2261za7,
		BGl_z62isfunzd2nilzb0zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzinline_inlinez00,
		BgL_bgl_za762lambda2036za7622262z00, BGl_z62lambda2036z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzinline_inlinez00,
		BgL_bgl_za762lambda2035za7622263z00, BGl_z62lambda2035z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzinline_inlinez00,
		BgL_bgl_za762lambda2021za7622264z00, BGl_z62lambda2021z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzinline_inlinez00,
		BgL_bgl_za762za7c3anonymousza72265za7,
		BGl_z62zc3anonymousza32020ze3ze1zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzinline_inlinez00,
		BgL_bgl_za762lambda2018za7622266z00, BGl_z62lambda2018z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2classzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2267z00,
		BGl_z62isfunzd2classzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzinline_inlinez00,
		BgL_bgl_za762lambda2013za7622268z00, BGl_z62lambda2013z62zzinline_inlinez00,
		0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2269z00,
		BGl_z62inlinezd2node1939zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2270z00,
		BGl_z62inlinezd2nodezd2atom1943z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2classzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2271z00,
		BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2272z00,
		BGl_z62inlinezd2nodezd2var1945z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2273z00,
		BGl_z62inlinezd2nodezd2kwote1948z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2274z00,
		BGl_z62inlinezd2nodezd2sequence1950z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2275z00,
		BGl_z62inlinezd2nodezd2sync1952z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2276z00,
		BGl_z62inlinezd2nodezd2app1954z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2277z00,
		BGl_z62inlinezd2nodezd2appzd2ly1956zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2278z00,
		BGl_z62inlinezd2nodezd2funcall1959z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2279z00,
		BGl_z62inlinezd2nodezd2extern1961z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2280z00,
		BGl_z62inlinezd2nodezd2cast1963z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2propertyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2281z00,
		BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2bodyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72282za7,
		BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2283z00,
		BGl_z62inlinezd2nodezd2setq1965z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2284z00,
		BGl_z62inlinezd2nodezd2conditio1968z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2285z00,
		BGl_z62inlinezd2nodezd2fail1970z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2286z00,
		BGl_z62inlinezd2nodezd2select1972z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2287z00,
		BGl_z62inlinezd2nodezd2letzd2fun1974zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2288z00,
		BGl_z62inlinezd2nodezd2letzd2var1976zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2289z00,
		BGl_z62inlinezd2nodezd2setzd2exzd2i1978z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2290z00,
		BGl_z62inlinezd2nodezd2jumpzd2exzd21980z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2291z00,
		BGl_z62inlinezd2nodezd2makezd2box1982zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2292z00,
		BGl_z62inlinezd2nodezd2boxzd2ref1984zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2293z00,
		BGl_z62inlinezd2nodezd2boxzd2setz121986za2zzinline_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2strengthzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2294z00,
		BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2topzf3zd2setz12zd2envz33zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2295za7,
		BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2bodyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72296za7,
		BGl_z62isfunzd2bodyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72297za7,
		BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2argszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72298za7,
		BGl_z62isfunzd2argszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2299z00,
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2originalzd2bodyzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2origi2300z00,
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2nodeza2z12zd2envzb0zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2301z00,
		BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2namezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72302za7,
		BGl_z62isfunzd2argszd2namez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2303z00,
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2304z00,
		BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2effectzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2305z00,
		BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2306z00,
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2propertyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2307z00,
		BGl_z62isfunzd2propertyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2topzf3zd2envzf3zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2308za7,
		BGl_z62isfunzd2topzf3z43zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl_za762makeza7d2isfunza72309za7,
		BGl_z62makezd2isfunzb0zzinline_inlinez00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2310za7,
		BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2227z00zzinline_inlinez00,
		BgL_bgl_string2227za700za7za7i2311za7, "inline-node1939", 15);
	      DEFINE_STRING(BGl_string2228z00zzinline_inlinez00,
		BgL_bgl_string2228za700za7za7i2312za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2230z00zzinline_inlinez00,
		BgL_bgl_string2230za700za7za7i2313za7, "inline-node", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2effectzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2314z00,
		BGl_z62isfunzd2effectzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2sfun2315z00,
		BGl_z62inlinezd2sfunz12za2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2251z00zzinline_inlinez00,
		BgL_bgl_string2251za700za7za7i2316za7, "inline_inline", 13);
	      DEFINE_STRING(BGl_string2252z00zzinline_inlinez00,
		BgL_bgl_string2252za700za7za7i2317za7,
		"read static inline-node1939 _ inline_inline isfun original-body obj recursive-calls done ",
		89);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2318z00,
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2strengthzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2319z00,
		BGl_z62isfunzd2strengthzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2320za7,
		BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2arityzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2arity2321z00,
		BGl_z62isfunzd2arityzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl_za762isfunza7f3za791za7za72322za7,
		BGl_z62isfunzf3z91zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2323z00,
		BGl_z62inlinezd2nodezb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2324za7,
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2325z00,
		BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2326za7,
		BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2loczd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7b2327za7,
		BGl_z62isfunzd2loczb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2optionalszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2optio2328z00,
		BGl_z62isfunzd2optionalszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2329z00,
		BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2loczd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7d2330za7,
		BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72331za7,
		BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2332z00,
		BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long
		BgL_checksumz00_3136, char *BgL_fromz00_3137)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
					BGl_cnstzd2initzd2zzinline_inlinez00();
					BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
					BGl_objectzd2initzd2zzinline_inlinez00();
					BGl_genericzd2initzd2zzinline_inlinez00();
					BGl_methodzd2initzd2zzinline_inlinez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_inline");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 15 */
				obj_t BgL_cportz00_3028;

				BgL_cportz00_3028 =
					bgl_open_input_string(BGl_string2252z00zzinline_inlinez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3029;

					BgL_iz00_3029 = ((long) 9);
				BgL_loopz00_3030:
					if ((BgL_iz00_3029 == ((long) -1)))
						{	/* Inline/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/inline.scm 15 */
							{	/* Inline/inline.scm 15 */
								obj_t BgL_arg2254z00_3032;

								{	/* Inline/inline.scm 15 */

									{	/* Inline/inline.scm 15 */
										obj_t BgL_locationz00_3034;

										BgL_locationz00_3034 = BBOOL(((bool_t) 0));
										{	/* Inline/inline.scm 15 */

											BgL_arg2254z00_3032 =
												BGl_readz00zz__readerz00(BgL_cportz00_3028,
												BgL_locationz00_3034);
										}
									}
								}
								{	/* Inline/inline.scm 15 */
									int BgL_auxz00_3159;

									BgL_auxz00_3159 = (int) (BgL_iz00_3029);
									CNST_TABLE_SET(BgL_auxz00_3159, BgL_arg2254z00_3032);
							}}
							{	/* Inline/inline.scm 15 */
								int BgL_auxz00_3035;

								BgL_auxz00_3035 = (int) ((BgL_iz00_3029 - ((long) 1)));
								{
									long BgL_iz00_3164;

									BgL_iz00_3164 = (long) (BgL_auxz00_3035);
									BgL_iz00_3029 = BgL_iz00_3164;
									goto BgL_loopz00_3030;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return BUNSPEC;
		}
	}



/* make-isfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long
		BgL_arity1172z00_3, obj_t BgL_sidezd2effect1173zd2_4,
		obj_t BgL_predicatezd2of1174zd2_5, obj_t BgL_stackzd2allocator1175zd2_6,
		bool_t BgL_topzf31176zf3_7, obj_t BgL_thezd2closure1177zd2_8,
		obj_t BgL_effect1178z00_9, obj_t BgL_property1179z00_10,
		obj_t BgL_args1180z00_11, obj_t BgL_argszd2name1181zd2_12,
		obj_t BgL_body1182z00_13, obj_t BgL_class1183z00_14,
		obj_t BgL_dssslzd2keywords1184zd2_15, obj_t BgL_loc1185z00_16,
		obj_t BgL_optionals1186z00_17, obj_t BgL_keys1187z00_18,
		obj_t BgL_thezd2closurezd2global1188z00_19, obj_t BgL_strength1189z00_20,
		BgL_nodez00_bglt BgL_originalzd2body1190zd2_21,
		obj_t BgL_recursivezd2calls1191zd2_22)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 56 */
			{	/* Inline/inline.sch 56 */
				BgL_sfunz00_bglt BgL_new1130z00_3036;

				{	/* Inline/inline.sch 56 */
					BgL_sfunz00_bglt BgL_tmp1128z00_3037;
					BgL_isfunz00_bglt BgL_wide1129z00_3038;

					{
						BgL_sfunz00_bglt BgL_auxz00_3166;

						{	/* Inline/inline.sch 56 */
							BgL_sfunz00_bglt BgL_new1127z00_3039;

							BgL_new1127z00_3039 =
								((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Inline/inline.sch 56 */
								long BgL_arg1992z00_3040;

								{	/* Inline/inline.sch 56 */
									long BgL_res2174z00_3041;

									BgL_res2174z00_3041 =
										BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
									BgL_arg1992z00_3040 = BgL_res2174z00_3041;
								}
								{	/* Inline/inline.sch 56 */
									BgL_objectz00_bglt BgL_objz00_3042;

									BgL_objz00_3042 = ((BgL_objectz00_bglt) BgL_new1127z00_3039);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3042,
										BgL_arg1992z00_3040);
							}}
							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3171;

								BgL_auxz00_3171 = ((BgL_objectz00_bglt) BgL_new1127z00_3039);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3171, BFALSE);
							}
							BgL_auxz00_3166 = BgL_new1127z00_3039;
						}
						BgL_tmp1128z00_3037 = ((BgL_sfunz00_bglt) BgL_auxz00_3166);
					}
					BgL_wide1129z00_3038 =
						((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.sch 56 */
						obj_t BgL_auxz00_3178;
						BgL_objectz00_bglt BgL_auxz00_3176;

						BgL_auxz00_3178 = ((obj_t) BgL_wide1129z00_3038);
						BgL_auxz00_3176 = ((BgL_objectz00_bglt) BgL_tmp1128z00_3037);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3176, BgL_auxz00_3178);
					}
					{	/* Inline/inline.sch 56 */
						long BgL_arg1990z00_3043;

						{	/* Inline/inline.sch 56 */
							long BgL_res2175z00_3044;

							BgL_res2175z00_3044 =
								BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
							BgL_arg1990z00_3043 = BgL_res2175z00_3044;
						}
						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_objz00_3045;

							BgL_objz00_3045 = ((BgL_objectz00_bglt) BgL_tmp1128z00_3037);
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3045, BgL_arg1990z00_3043));
					}}
					BgL_new1130z00_3036 = ((BgL_sfunz00_bglt) BgL_tmp1128z00_3037);
				}
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1130z00_3036)))->BgL_arityz00) =
					((long) BgL_arity1172z00_3), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3036)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1173zd2_4), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3036)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1174zd2_5), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3036)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1175zd2_6), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3036)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31176zf3_7), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3036)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1177zd2_8), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3036)))->
						BgL_effectz00) = ((obj_t) BgL_effect1178z00_9), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3036)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_propertyz00) = ((obj_t) BgL_property1179z00_10), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_argsz00) = ((obj_t) BgL_args1180z00_11), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_argszd2namezd2) = ((obj_t) BgL_argszd2name1181zd2_12), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_bodyz00) = ((obj_t) BgL_body1182z00_13), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_classz00) = ((obj_t) BgL_class1183z00_14), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1184zd2_15), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_locz00) = ((obj_t) BgL_loc1185z00_16), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_optionalsz00) = ((obj_t) BgL_optionals1186z00_17), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_keysz00) = ((obj_t) BgL_keys1187z00_18), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1188z00_19), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3036)))->
						BgL_strengthz00) = ((obj_t) BgL_strength1189z00_20), BUNSPEC);
				{
					BgL_isfunz00_bglt BgL_auxz00_3224;

					{
						obj_t BgL_auxz00_3225;

						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_auxz00_3226;

							BgL_auxz00_3226 = ((BgL_objectz00_bglt) BgL_new1130z00_3036);
							BgL_auxz00_3225 = BGL_OBJECT_WIDENING(BgL_auxz00_3226);
						}
						BgL_auxz00_3224 = ((BgL_isfunz00_bglt) BgL_auxz00_3225);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3224))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_21), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3231;

					{
						obj_t BgL_auxz00_3232;

						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_auxz00_3233;

							BgL_auxz00_3233 = ((BgL_objectz00_bglt) BgL_new1130z00_3036);
							BgL_auxz00_3232 = BGL_OBJECT_WIDENING(BgL_auxz00_3233);
						}
						BgL_auxz00_3231 = ((BgL_isfunz00_bglt) BgL_auxz00_3232);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3231))->
							BgL_recursivezd2callszd2) =
						((obj_t) BgL_recursivezd2calls1191zd2_22), BUNSPEC);
				}
				return BgL_new1130z00_3036;
			}
		}
	}



/* &make-isfun */
	BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t
		BgL_envz00_2747, obj_t BgL_arity1172z00_2748,
		obj_t BgL_sidezd2effect1173zd2_2749, obj_t BgL_predicatezd2of1174zd2_2750,
		obj_t BgL_stackzd2allocator1175zd2_2751, obj_t BgL_topzf31176zf3_2752,
		obj_t BgL_thezd2closure1177zd2_2753, obj_t BgL_effect1178z00_2754,
		obj_t BgL_property1179z00_2755, obj_t BgL_args1180z00_2756,
		obj_t BgL_argszd2name1181zd2_2757, obj_t BgL_body1182z00_2758,
		obj_t BgL_class1183z00_2759, obj_t BgL_dssslzd2keywords1184zd2_2760,
		obj_t BgL_loc1185z00_2761, obj_t BgL_optionals1186z00_2762,
		obj_t BgL_keys1187z00_2763, obj_t BgL_thezd2closurezd2global1188z00_2764,
		obj_t BgL_strength1189z00_2765, obj_t BgL_originalzd2body1190zd2_2766,
		obj_t BgL_recursivezd2calls1191zd2_2767)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 56 */
			{	/* Inline/inline.sch 56 */
				long BgL_arity1172z00_3046;
				bool_t BgL_topzf31176zf3_3050;
				obj_t BgL_strength1189z00_3063;
				BgL_nodez00_bglt BgL_originalzd2body1190zd2_3064;

				BgL_arity1172z00_3046 = (long) CINT(BgL_arity1172z00_2748);
				BgL_topzf31176zf3_3050 = CBOOL(BgL_topzf31176zf3_2752);
				BgL_strength1189z00_3063 = BgL_strength1189z00_2765;
				BgL_originalzd2body1190zd2_3064 =
					((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_2766);
				{	/* Inline/inline.sch 56 */
					BgL_sfunz00_bglt BgL_new1130z00_3066;

					{	/* Inline/inline.sch 56 */
						BgL_sfunz00_bglt BgL_tmp1128z00_3067;
						BgL_isfunz00_bglt BgL_wide1129z00_3068;

						{
							BgL_sfunz00_bglt BgL_auxz00_3241;

							{	/* Inline/inline.sch 56 */
								BgL_sfunz00_bglt BgL_new1127z00_3069;

								BgL_new1127z00_3069 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.sch 56 */
									long BgL_arg1992z00_3070;

									{	/* Inline/inline.sch 56 */
										long BgL_res2174z00_3071;

										BgL_res2174z00_3071 =
											BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
										BgL_arg1992z00_3070 = BgL_res2174z00_3071;
									}
									{	/* Inline/inline.sch 56 */
										BgL_objectz00_bglt BgL_objz00_3072;

										BgL_objz00_3072 =
											((BgL_objectz00_bglt) BgL_new1127z00_3069);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3072,
											BgL_arg1992z00_3070);
								}}
								{	/* Inline/inline.sch 56 */
									BgL_objectz00_bglt BgL_auxz00_3246;

									BgL_auxz00_3246 = ((BgL_objectz00_bglt) BgL_new1127z00_3069);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3246, BFALSE);
								}
								BgL_auxz00_3241 = BgL_new1127z00_3069;
							}
							BgL_tmp1128z00_3067 = ((BgL_sfunz00_bglt) BgL_auxz00_3241);
						}
						BgL_wide1129z00_3068 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.sch 56 */
							obj_t BgL_auxz00_3253;
							BgL_objectz00_bglt BgL_auxz00_3251;

							BgL_auxz00_3253 = ((obj_t) BgL_wide1129z00_3068);
							BgL_auxz00_3251 = ((BgL_objectz00_bglt) BgL_tmp1128z00_3067);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3251, BgL_auxz00_3253);
						}
						{	/* Inline/inline.sch 56 */
							long BgL_arg1990z00_3073;

							{	/* Inline/inline.sch 56 */
								long BgL_res2175z00_3074;

								BgL_res2175z00_3074 =
									BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
								BgL_arg1990z00_3073 = BgL_res2175z00_3074;
							}
							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_objz00_3075;

								BgL_objz00_3075 = ((BgL_objectz00_bglt) BgL_tmp1128z00_3067);
								((BgL_sfunz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3075,
										BgL_arg1990z00_3073));
						}}
						BgL_new1130z00_3066 = ((BgL_sfunz00_bglt) BgL_tmp1128z00_3067);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1130z00_3066)))->BgL_arityz00) =
						((long) BgL_arity1172z00_3046), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3066)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1173zd2_2749), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3066)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1174zd2_2750), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3066)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1175zd2_2751), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3066)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31176zf3_3050), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3066)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1177zd2_2753), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3066)))->
							BgL_effectz00) = ((obj_t) BgL_effect1178z00_2754), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3066)))->
							BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_propertyz00) =
						((obj_t) BgL_property1179z00_2755), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_argsz00) =
						((obj_t) BgL_args1180z00_2756), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1181zd2_2757), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_bodyz00) =
						((obj_t) BgL_body1182z00_2758), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_classz00) =
						((obj_t) BgL_class1183z00_2759), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1184zd2_2760), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_locz00) =
						((obj_t) BgL_loc1185z00_2761), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1186z00_2762), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_keysz00) =
						((obj_t) BgL_keys1187z00_2763), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1188z00_2764), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3066)))->BgL_strengthz00) =
						((obj_t) BgL_strength1189z00_3063), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3299;

						{
							obj_t BgL_auxz00_3300;

							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3301;

								BgL_auxz00_3301 = ((BgL_objectz00_bglt) BgL_new1130z00_3066);
								BgL_auxz00_3300 = BGL_OBJECT_WIDENING(BgL_auxz00_3301);
							}
							BgL_auxz00_3299 = ((BgL_isfunz00_bglt) BgL_auxz00_3300);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3299))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_3064), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3306;

						{
							obj_t BgL_auxz00_3307;

							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3308;

								BgL_auxz00_3308 = ((BgL_objectz00_bglt) BgL_new1130z00_3066);
								BgL_auxz00_3307 = BGL_OBJECT_WIDENING(BgL_auxz00_3308);
							}
							BgL_auxz00_3306 = ((BgL_isfunz00_bglt) BgL_auxz00_3307);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3306))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1191zd2_2767), BUNSPEC);
					}
					return BgL_new1130z00_3066;
				}
			}
		}
	}



/* isfun? */
	BGL_EXPORTED_DEF bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t BgL_objz00_23)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 57 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_23,
				BGl_isfunz00zzinline_inlinez00);
		}
	}



/* &isfun? */
	obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t BgL_envz00_2768,
		obj_t BgL_objz00_2769)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 57 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2769,
					BGl_isfunz00zzinline_inlinez00));
		}
	}



/* isfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 58 */
			{	/* Inline/inline.sch 58 */
				obj_t BgL_classz00_2438;

				BgL_classz00_2438 = BGl_isfunz00zzinline_inlinez00;
				{	/* Inline/inline.sch 58 */
					obj_t BgL__ortest_1091z00_2439;

					BgL__ortest_1091z00_2439 = BGL_CLASS_NIL(BgL_classz00_2438);
					if (CBOOL(BgL__ortest_1091z00_2439))
						{	/* Inline/inline.sch 58 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1091z00_2439);
						}
					else
						{	/* Inline/inline.sch 58 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2438));
						}
				}
			}
		}
	}



/* &isfun-nil */
	BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t
		BgL_envz00_2770)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 58 */
			return BGl_isfunzd2nilzd2zzinline_inlinez00();
		}
	}



/* isfun-recursive-calls */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_24)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 59 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3323;

				{
					obj_t BgL_auxz00_3324;

					{	/* Inline/inline.sch 59 */
						BgL_objectz00_bglt BgL_auxz00_3325;

						BgL_auxz00_3325 = ((BgL_objectz00_bglt) BgL_oz00_24);
						BgL_auxz00_3324 = BGL_OBJECT_WIDENING(BgL_auxz00_3325);
					}
					BgL_auxz00_3323 = ((BgL_isfunz00_bglt) BgL_auxz00_3324);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3323))->
					BgL_recursivezd2callszd2);
			}
		}
	}



/* &isfun-recursive-calls */
	obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t
		BgL_envz00_2771, obj_t BgL_oz00_2772)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 59 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3330;

				{
					obj_t BgL_auxz00_3331;

					{	/* Inline/inline.sch 59 */
						BgL_objectz00_bglt BgL_auxz00_3332;

						BgL_auxz00_3332 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2772));
						BgL_auxz00_3331 = BGL_OBJECT_WIDENING(BgL_auxz00_3332);
					}
					BgL_auxz00_3330 = ((BgL_isfunz00_bglt) BgL_auxz00_3331);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3330))->
					BgL_recursivezd2callszd2);
			}
		}
	}



/* isfun-recursive-calls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_25, obj_t BgL_vz00_26)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 60 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3338;

				{
					obj_t BgL_auxz00_3339;

					{	/* Inline/inline.sch 60 */
						BgL_objectz00_bglt BgL_auxz00_3340;

						BgL_auxz00_3340 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_3339 = BGL_OBJECT_WIDENING(BgL_auxz00_3340);
					}
					BgL_auxz00_3338 = ((BgL_isfunz00_bglt) BgL_auxz00_3339);
				}
				return
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3338))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_26), BUNSPEC);
			}
		}
	}



/* &isfun-recursive-calls-set! */
	obj_t BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2773, obj_t BgL_oz00_2774, obj_t BgL_vz00_2775)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 60 */
			{	/* Inline/inline.sch 60 */
				BgL_sfunz00_bglt BgL_oz00_3078;

				BgL_oz00_3078 = ((BgL_sfunz00_bglt) BgL_oz00_2774);
				{
					BgL_isfunz00_bglt BgL_auxz00_3346;

					{
						obj_t BgL_auxz00_3347;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_auxz00_3348;

							BgL_auxz00_3348 = ((BgL_objectz00_bglt) BgL_oz00_3078);
							BgL_auxz00_3347 = BGL_OBJECT_WIDENING(BgL_auxz00_3348);
						}
						BgL_auxz00_3346 = ((BgL_isfunz00_bglt) BgL_auxz00_3347);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3346))->
							BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_2775), BUNSPEC);
				}
			}
		}
	}



/* isfun-original-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_27)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 61 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3353;

				{
					obj_t BgL_auxz00_3354;

					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_auxz00_3355;

						BgL_auxz00_3355 = ((BgL_objectz00_bglt) BgL_oz00_27);
						BgL_auxz00_3354 = BGL_OBJECT_WIDENING(BgL_auxz00_3355);
					}
					BgL_auxz00_3353 = ((BgL_isfunz00_bglt) BgL_auxz00_3354);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3353))->BgL_originalzd2bodyzd2);
			}
		}
	}



/* &isfun-original-body */
	BgL_nodez00_bglt BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t
		BgL_envz00_2776, obj_t BgL_oz00_2777)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 61 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3360;

				{
					obj_t BgL_auxz00_3361;

					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_auxz00_3362;

						BgL_auxz00_3362 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2777));
						BgL_auxz00_3361 = BGL_OBJECT_WIDENING(BgL_auxz00_3362);
					}
					BgL_auxz00_3360 = ((BgL_isfunz00_bglt) BgL_auxz00_3361);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3360))->BgL_originalzd2bodyzd2);
			}
		}
	}



/* isfun-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_30)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 63 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_30)))->BgL_strengthz00);
		}
	}



/* &isfun-strength */
	obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t BgL_envz00_2778,
		obj_t BgL_oz00_2779)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 63 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2779))))->BgL_strengthz00);
		}
	}



/* isfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_31, obj_t BgL_vz00_32)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 64 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_31)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}
	}



/* &isfun-strength-set! */
	obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2780, obj_t BgL_oz00_2781, obj_t BgL_vz00_2782)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 64 */
			{	/* Inline/inline.sch 64 */
				BgL_sfunz00_bglt BgL_oz00_3082;
				obj_t BgL_vz00_3083;

				BgL_oz00_3082 = ((BgL_sfunz00_bglt) BgL_oz00_2781);
				BgL_vz00_3083 = BgL_vz00_2782;
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3082)))->BgL_strengthz00) =
					((obj_t) BgL_vz00_3083), BUNSPEC);
			}
		}
	}



/* isfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_33)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 65 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_33)))->BgL_thezd2closurezd2globalz00);
		}
	}



/* &isfun-the-closure-global */
	obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t
		BgL_envz00_2783, obj_t BgL_oz00_2784)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 65 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2784))))->
				BgL_thezd2closurezd2globalz00);
		}
	}



/* isfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt BgL_oz00_34, obj_t BgL_vz00_35)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 66 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_34)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_35), BUNSPEC);
		}
	}



/* &isfun-the-closure-global-set! */
	obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2785, obj_t BgL_oz00_2786, obj_t BgL_vz00_2787)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 66 */
			{	/* Inline/inline.sch 66 */
				BgL_sfunz00_bglt BgL_oz00_3085;

				BgL_oz00_3085 = ((BgL_sfunz00_bglt) BgL_oz00_2786);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3085)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_2787), BUNSPEC);
			}
		}
	}



/* isfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_36)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 67 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_36)))->BgL_keysz00);
		}
	}



/* &isfun-keys */
	obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t BgL_envz00_2788,
		obj_t BgL_oz00_2789)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 67 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2789))))->BgL_keysz00);
		}
	}



/* isfun-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_39)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_39)))->BgL_optionalsz00);
		}
	}



/* &isfun-optionals */
	obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t BgL_envz00_2790,
		obj_t BgL_oz00_2791)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2791))))->BgL_optionalsz00);
		}
	}



/* isfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_42)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_42)))->BgL_locz00);
		}
	}



/* &isfun-loc */
	obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t BgL_envz00_2792,
		obj_t BgL_oz00_2793)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2793))))->BgL_locz00);
		}
	}



/* isfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_43,
		obj_t BgL_vz00_44)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 72 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_43)))->BgL_locz00) =
				((obj_t) BgL_vz00_44), BUNSPEC);
		}
	}



/* &isfun-loc-set! */
	obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2794,
		obj_t BgL_oz00_2795, obj_t BgL_vz00_2796)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 72 */
			{	/* Inline/inline.sch 72 */
				BgL_sfunz00_bglt BgL_oz00_3090;

				BgL_oz00_3090 = ((BgL_sfunz00_bglt) BgL_oz00_2795);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3090)))->BgL_locz00) =
					((obj_t) BgL_vz00_2796), BUNSPEC);
			}
		}
	}



/* isfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_45)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_45)))->BgL_dssslzd2keywordszd2);
		}
	}



/* &isfun-dsssl-keywords */
	obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t
		BgL_envz00_2797, obj_t BgL_oz00_2798)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2798))))->BgL_dssslzd2keywordszd2);
		}
	}



/* isfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_46, obj_t BgL_vz00_47)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 74 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_46)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_47), BUNSPEC);
		}
	}



/* &isfun-dsssl-keywords-set! */
	obj_t BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2799, obj_t BgL_oz00_2800, obj_t BgL_vz00_2801)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 74 */
			{	/* Inline/inline.sch 74 */
				BgL_sfunz00_bglt BgL_oz00_3093;

				BgL_oz00_3093 = ((BgL_sfunz00_bglt) BgL_oz00_2800);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3093)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_vz00_2801), BUNSPEC);
			}
		}
	}



/* isfun-class */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_48)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_48)))->BgL_classz00);
		}
	}



/* &isfun-class */
	obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t BgL_envz00_2802,
		obj_t BgL_oz00_2803)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2803))))->BgL_classz00);
		}
	}



/* isfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_49, obj_t BgL_vz00_50)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 76 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_49)))->BgL_classz00) =
				((obj_t) BgL_vz00_50), BUNSPEC);
		}
	}



/* &isfun-class-set! */
	obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2804, obj_t BgL_oz00_2805, obj_t BgL_vz00_2806)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 76 */
			{	/* Inline/inline.sch 76 */
				BgL_sfunz00_bglt BgL_oz00_3096;

				BgL_oz00_3096 = ((BgL_sfunz00_bglt) BgL_oz00_2805);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3096)))->BgL_classz00) =
					((obj_t) BgL_vz00_2806), BUNSPEC);
			}
		}
	}



/* isfun-body */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_51)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_51)))->BgL_bodyz00);
		}
	}



/* &isfun-body */
	obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t BgL_envz00_2807,
		obj_t BgL_oz00_2808)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2808))))->BgL_bodyz00);
		}
	}



/* isfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_52,
		obj_t BgL_vz00_53)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 78 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_52)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_53), BUNSPEC);
		}
	}



/* &isfun-body-set! */
	obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2809,
		obj_t BgL_oz00_2810, obj_t BgL_vz00_2811)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 78 */
			{	/* Inline/inline.sch 78 */
				BgL_sfunz00_bglt BgL_oz00_3099;

				BgL_oz00_3099 = ((BgL_sfunz00_bglt) BgL_oz00_2810);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3099)))->BgL_bodyz00) =
					((obj_t) BgL_vz00_2811), BUNSPEC);
			}
		}
	}



/* isfun-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_54)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_54)))->BgL_argszd2namezd2);
		}
	}



/* &isfun-args-name */
	obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t BgL_envz00_2812,
		obj_t BgL_oz00_2813)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2813))))->BgL_argszd2namezd2);
		}
	}



/* isfun-args */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_57)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_57)))->BgL_argsz00);
		}
	}



/* &isfun-args */
	obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t BgL_envz00_2814,
		obj_t BgL_oz00_2815)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2815))))->BgL_argsz00);
		}
	}



/* isfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_58,
		obj_t BgL_vz00_59)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 82 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_58)))->BgL_argsz00) =
				((obj_t) BgL_vz00_59), BUNSPEC);
		}
	}



/* &isfun-args-set! */
	obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2816,
		obj_t BgL_oz00_2817, obj_t BgL_vz00_2818)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 82 */
			{	/* Inline/inline.sch 82 */
				BgL_sfunz00_bglt BgL_oz00_3103;

				BgL_oz00_3103 = ((BgL_sfunz00_bglt) BgL_oz00_2817);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3103)))->BgL_argsz00) =
					((obj_t) BgL_vz00_2818), BUNSPEC);
			}
		}
	}



/* isfun-property */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_60)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_60)))->BgL_propertyz00);
		}
	}



/* &isfun-property */
	obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t BgL_envz00_2819,
		obj_t BgL_oz00_2820)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2820))))->BgL_propertyz00);
		}
	}



/* isfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_61, obj_t BgL_vz00_62)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 84 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_61)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_62), BUNSPEC);
		}
	}



/* &isfun-property-set! */
	obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2821, obj_t BgL_oz00_2822, obj_t BgL_vz00_2823)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 84 */
			{	/* Inline/inline.sch 84 */
				BgL_sfunz00_bglt BgL_oz00_3106;

				BgL_oz00_3106 = ((BgL_sfunz00_bglt) BgL_oz00_2822);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3106)))->BgL_propertyz00) =
					((obj_t) BgL_vz00_2823), BUNSPEC);
			}
		}
	}



/* isfun-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_63)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_63)))->BgL_effectz00);
		}
	}



/* &isfun-effect */
	obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t BgL_envz00_2824,
		obj_t BgL_oz00_2825)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2825))))->BgL_effectz00);
		}
	}



/* isfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_64, obj_t BgL_vz00_65)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 86 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_64)))->BgL_effectz00) =
				((obj_t) BgL_vz00_65), BUNSPEC);
		}
	}



/* &isfun-effect-set! */
	obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2826, obj_t BgL_oz00_2827, obj_t BgL_vz00_2828)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 86 */
			{	/* Inline/inline.sch 86 */
				BgL_sfunz00_bglt BgL_oz00_3109;

				BgL_oz00_3109 = ((BgL_sfunz00_bglt) BgL_oz00_2827);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3109)))->BgL_effectz00) =
					((obj_t) BgL_vz00_2828), BUNSPEC);
			}
		}
	}



/* isfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_66)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_66)))->BgL_thezd2closurezd2);
		}
	}



/* &isfun-the-closure */
	obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t BgL_envz00_2829,
		obj_t BgL_oz00_2830)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2830))))->BgL_thezd2closurezd2);
		}
	}



/* isfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_67, obj_t BgL_vz00_68)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 88 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_67)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_68), BUNSPEC);
		}
	}



/* &isfun-the-closure-set! */
	obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2831, obj_t BgL_oz00_2832, obj_t BgL_vz00_2833)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 88 */
			{	/* Inline/inline.sch 88 */
				BgL_sfunz00_bglt BgL_oz00_3112;

				BgL_oz00_3112 = ((BgL_sfunz00_bglt) BgL_oz00_2832);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3112)))->BgL_thezd2closurezd2) =
					((obj_t) BgL_vz00_2833), BUNSPEC);
			}
		}
	}



/* isfun-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_69)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 89 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_69)))->BgL_topzf3zf3);
		}
	}



/* &isfun-top? */
	obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t BgL_envz00_2834,
		obj_t BgL_oz00_2835)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 89 */
			return
				BBOOL(
				(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2835))))->BgL_topzf3zf3));
		}
	}



/* isfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_70, bool_t BgL_vz00_71)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 90 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_70)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_71), BUNSPEC);
		}
	}



/* &isfun-top?-set! */
	obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t
		BgL_envz00_2836, obj_t BgL_oz00_2837, obj_t BgL_vz00_2838)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 90 */
			{	/* Inline/inline.sch 90 */
				BgL_sfunz00_bglt BgL_oz00_3115;
				bool_t BgL_vz00_3116;

				BgL_oz00_3115 = ((BgL_sfunz00_bglt) BgL_oz00_2837);
				BgL_vz00_3116 = CBOOL(BgL_vz00_2838);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3115)))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_3116), BUNSPEC);
			}
		}
	}



/* isfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_72)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_72)))->BgL_stackzd2allocatorzd2);
		}
	}



/* &isfun-stack-allocator */
	obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t
		BgL_envz00_2839, obj_t BgL_oz00_2840)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2840))))->BgL_stackzd2allocatorzd2);
		}
	}



/* isfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_73, obj_t BgL_vz00_74)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 92 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_73)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_74), BUNSPEC);
		}
	}



/* &isfun-stack-allocator-set! */
	obj_t BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2841, obj_t BgL_oz00_2842, obj_t BgL_vz00_2843)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 92 */
			{	/* Inline/inline.sch 92 */
				BgL_sfunz00_bglt BgL_oz00_3118;

				BgL_oz00_3118 = ((BgL_sfunz00_bglt) BgL_oz00_2842);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3118)))->BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_vz00_2843), BUNSPEC);
			}
		}
	}



/* isfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_75)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_75)))->BgL_predicatezd2ofzd2);
		}
	}



/* &isfun-predicate-of */
	obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t
		BgL_envz00_2844, obj_t BgL_oz00_2845)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2845))))->BgL_predicatezd2ofzd2);
		}
	}



/* isfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_76, obj_t BgL_vz00_77)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 94 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_76)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_77), BUNSPEC);
		}
	}



/* &isfun-predicate-of-set! */
	obj_t BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2846, obj_t BgL_oz00_2847, obj_t BgL_vz00_2848)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 94 */
			{	/* Inline/inline.sch 94 */
				BgL_sfunz00_bglt BgL_oz00_3121;

				BgL_oz00_3121 = ((BgL_sfunz00_bglt) BgL_oz00_2847);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3121)))->BgL_predicatezd2ofzd2) =
					((obj_t) BgL_vz00_2848), BUNSPEC);
			}
		}
	}



/* isfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_78)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_78)))->BgL_sidezd2effectzd2);
		}
	}



/* &isfun-side-effect */
	obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t BgL_envz00_2849,
		obj_t BgL_oz00_2850)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2850))))->BgL_sidezd2effectzd2);
		}
	}



/* isfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_79, obj_t BgL_vz00_80)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 96 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_79)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_80), BUNSPEC);
		}
	}



/* &isfun-side-effect-set! */
	obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2851, obj_t BgL_oz00_2852, obj_t BgL_vz00_2853)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 96 */
			{	/* Inline/inline.sch 96 */
				BgL_sfunz00_bglt BgL_oz00_3124;

				BgL_oz00_3124 = ((BgL_sfunz00_bglt) BgL_oz00_2852);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3124)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_vz00_2853), BUNSPEC);
			}
		}
	}



/* isfun-arity */
	BGL_EXPORTED_DEF long BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_81)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 97 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_81)))->BgL_arityz00);
		}
	}



/* &isfun-arity */
	obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t BgL_envz00_2854,
		obj_t BgL_oz00_2855)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 97 */
			return
				BINT(
				(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2855))))->BgL_arityz00));
		}
	}



/* inline-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt
		BgL_variablez00_84, long BgL_kfactorz00_85, obj_t BgL_stackz00_86)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 35 */
			{	/* Inline/inline.scm 38 */
				BgL_valuez00_bglt BgL_sfunz00_1385;

				BgL_sfunz00_1385 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_84))->BgL_valuez00);
				{	/* Inline/inline.scm 38 */
					BgL_valuez00_bglt BgL_isfunz00_1386;

					{	/* Inline/inline.scm 41 */
						BgL_sfunz00_bglt BgL_tmp1171z00_1396;

						BgL_tmp1171z00_1396 = ((BgL_sfunz00_bglt) BgL_sfunz00_1385);
						{	/* Inline/inline.scm 41 */
							BgL_sfunz00_bglt BgL_tmp1172z00_1397;
							BgL_isfunz00_bglt BgL_wide1173z00_1398;

							BgL_tmp1172z00_1397 = ((BgL_sfunz00_bglt) BgL_tmp1171z00_1396);
							BgL_wide1173z00_1398 =
								((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_isfunz00_bgl))));
							{	/* Inline/inline.scm 41 */
								obj_t BgL_auxz00_3537;
								BgL_objectz00_bglt BgL_auxz00_3535;

								BgL_auxz00_3537 = ((obj_t) BgL_wide1173z00_1398);
								BgL_auxz00_3535 = ((BgL_objectz00_bglt) BgL_tmp1172z00_1397);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3535, BgL_auxz00_3537);
							}
							{	/* Inline/inline.scm 41 */
								long BgL_arg2000z00_1399;

								{	/* Inline/inline.scm 41 */
									long BgL_res2178z00_2480;

									BgL_res2178z00_2480 =
										BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
									BgL_arg2000z00_1399 = BgL_res2178z00_2480;
								}
								{	/* Inline/inline.scm 41 */
									BgL_objectz00_bglt BgL_objz00_2481;

									BgL_objz00_2481 = ((BgL_objectz00_bglt) BgL_tmp1172z00_1397);
									((BgL_sfunz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2481,
											BgL_arg2000z00_1399));
							}} BgL_tmp1172z00_1397;
						}
						{	/* Inline/inline.scm 41 */
							BgL_sfunz00_bglt BgL_new1174z00_1400;

							BgL_new1174z00_1400 = ((BgL_sfunz00_bglt) BgL_tmp1171z00_1396);
							{
								BgL_isfunz00_bglt BgL_auxz00_3545;

								{
									obj_t BgL_auxz00_3546;

									{	/* Inline/inline.scm 41 */
										BgL_objectz00_bglt BgL_auxz00_3547;

										BgL_auxz00_3547 =
											((BgL_objectz00_bglt) BgL_new1174z00_1400);
										BgL_auxz00_3546 = BGL_OBJECT_WIDENING(BgL_auxz00_3547);
									}
									BgL_auxz00_3545 = ((BgL_isfunz00_bglt) BgL_auxz00_3546);
								}
								((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3545))->
										BgL_originalzd2bodyzd2) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) BgL_sfunz00_1385)))->
												BgL_bodyz00))), BUNSPEC);
							}
							{
								BgL_isfunz00_bglt BgL_auxz00_3555;

								{
									obj_t BgL_auxz00_3556;

									{	/* Inline/inline.scm 41 */
										BgL_objectz00_bglt BgL_auxz00_3557;

										BgL_auxz00_3557 =
											((BgL_objectz00_bglt) BgL_new1174z00_1400);
										BgL_auxz00_3556 = BGL_OBJECT_WIDENING(BgL_auxz00_3557);
									}
									BgL_auxz00_3555 = ((BgL_isfunz00_bglt) BgL_auxz00_3556);
								}
								((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3555))->
										BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							BgL_isfunz00_1386 = ((BgL_valuez00_bglt) BgL_new1174z00_1400);
					}}
					{	/* Inline/inline.scm 39 */
						BgL_nodez00_bglt BgL_ozd2bodyzd2_1387;

						{
							BgL_isfunz00_bglt BgL_auxz00_3563;

							{
								obj_t BgL_auxz00_3564;

								{	/* Inline/inline.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_3565;

									BgL_auxz00_3565 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_isfunz00_1386));
									BgL_auxz00_3564 = BGL_OBJECT_WIDENING(BgL_auxz00_3565);
								}
								BgL_auxz00_3563 = ((BgL_isfunz00_bglt) BgL_auxz00_3564);
							}
							BgL_ozd2bodyzd2_1387 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3563))->
								BgL_originalzd2bodyzd2);
						}
						{	/* Inline/inline.scm 42 */
							BgL_nodez00_bglt BgL_inlzd2bodyzd2_1388;

							{	/* Inline/inline.scm 43 */
								bool_t BgL_testz00_3571;

								{	/* Inline/inline.scm 45 */
									long BgL_arg1996z00_1392;

									BgL_arg1996z00_1392 =
										(((long) 1) +
										bgl_list_length(
											(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1385)))->
												BgL_argsz00)));
									BgL_testz00_3571 =
										BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_84,
										(long) CINT(BGl_za2kfactorza2z00zzinline_walkz00),
										BgL_arg1996z00_1392, BNIL);
								}
								if (BgL_testz00_3571)
									{	/* Inline/inline.scm 43 */
										BgL_inlzd2bodyzd2_1388 =
											BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE,
											BgL_ozd2bodyzd2_1387);
									}
								else
									{	/* Inline/inline.scm 43 */
										BgL_inlzd2bodyzd2_1388 = BgL_ozd2bodyzd2_1387;
									}
							}
							{	/* Inline/inline.scm 43 */

								{	/* Inline/inline.scm 56 */
									BgL_nodez00_bglt BgL_arg1993z00_1389;

									{	/* Inline/inline.scm 56 */
										obj_t BgL_arg1994z00_1390;

										BgL_arg1994z00_1390 =
											MAKE_PAIR(((obj_t) BgL_variablez00_84), BgL_stackz00_86);
										BgL_arg1993z00_1389 =
											BGl_inlinezd2nodezd2zzinline_inlinez00
											(BgL_inlzd2bodyzd2_1388, BgL_kfactorz00_85,
											BgL_arg1994z00_1390);
									}
									{	/* Inline/inline.scm 54 */
										BgL_sfunz00_bglt BgL_oz00_2493;
										obj_t BgL_vz00_2494;

										BgL_oz00_2493 = ((BgL_sfunz00_bglt) BgL_sfunz00_1385);
										BgL_vz00_2494 = ((obj_t) BgL_arg1993z00_1389);
										((((BgL_sfunz00_bglt) CREF(BgL_oz00_2493))->BgL_bodyz00) =
											((obj_t) BgL_vz00_2494), BUNSPEC);
									}
								}
								return BNIL;
							}
						}
					}
				}
			}
		}
	}



/* &inline-sfun! */
	obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t BgL_envz00_2856,
		obj_t BgL_variablez00_2857, obj_t BgL_kfactorz00_2858,
		obj_t BgL_stackz00_2859)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 35 */
			return
				BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
				((BgL_variablez00_bglt) BgL_variablez00_2857),
				(long) CINT(BgL_kfactorz00_2858), BgL_stackz00_2859);
		}
	}



/* inline-node*! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t
		BgL_nodeza2za2_153, obj_t BgL_kfactorz00_154, obj_t BgL_stackz00_155)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 254 */
		BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
			if (NULLP(BgL_nodeza2za2_153))
				{	/* Inline/inline.scm 255 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Inline/inline.scm 255 */
					{	/* Inline/inline.scm 258 */
						BgL_nodez00_bglt BgL_arg2003z00_1402;

						{	/* Inline/inline.scm 258 */
							obj_t BgL_arg2004z00_1403;

							BgL_arg2004z00_1403 = CAR(BgL_nodeza2za2_153);
							BgL_arg2003z00_1402 =
								BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg2004z00_1403),
								(long) CINT(BgL_kfactorz00_154), BgL_stackz00_155);
						}
						{	/* Inline/inline.scm 258 */
							obj_t BgL_pairz00_2499;
							obj_t BgL_objz00_2500;

							BgL_pairz00_2499 = BgL_nodeza2za2_153;
							BgL_objz00_2500 = ((obj_t) BgL_arg2003z00_1402);
							SET_CAR(BgL_pairz00_2499, BgL_objz00_2500);
					}}
					{
						obj_t BgL_nodeza2za2_3597;

						BgL_nodeza2za2_3597 = CDR(BgL_nodeza2za2_153);
						BgL_nodeza2za2_153 = BgL_nodeza2za2_3597;
						goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;
					}
				}
		}
	}



/* &inline-node*! */
	obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t BgL_envz00_2862,
		obj_t BgL_nodeza2za2_2863, obj_t BgL_kfactorz00_2864,
		obj_t BgL_stackz00_2865)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 254 */
			return
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_nodeza2za2_2863,
				BgL_kfactorz00_2864, BgL_stackz00_2865);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 26 */
				obj_t BgL_arg2011z00_1409;
				obj_t BgL_arg2012z00_1410;

				{	/* Inline/inline.scm 26 */
					obj_t BgL_v1937z00_1452;

					BgL_v1937z00_1452 = create_vector((int) (((long) 2)));
					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2025z00_1453;

						BgL_arg2025z00_1453 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2219z00zzinline_inlinez00,
							BGl_proc2218z00zzinline_inlinez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2217z00zzinline_inlinez00,
							CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1937z00_1452, (int) (((long) 1)),
							BgL_arg2025z00_1453);
					}
					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2032z00_1468;

						BgL_arg2032z00_1468 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc2221z00zzinline_inlinez00,
							BGl_proc2220z00zzinline_inlinez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1937z00_1452, (int) (((long) 0)),
							BgL_arg2032z00_1468);
					}
					BgL_arg2011z00_1409 = BgL_v1937z00_1452;
				}
				{	/* Inline/inline.scm 26 */
					obj_t BgL_v1938z00_1480;

					BgL_v1938z00_1480 = create_vector((int) (((long) 0)));
					BgL_arg2012z00_1410 = BgL_v1938z00_1480;
				}
				return (BGl_isfunz00zzinline_inlinez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 5)), BGl_sfunz00zzast_varz00, ((long) 59763),
						BGl_proc2225z00zzinline_inlinez00,
						BGl_proc2224z00zzinline_inlinez00, BFALSE,
						BGl_proc2223z00zzinline_inlinez00,
						BGl_proc2222z00zzinline_inlinez00, BgL_arg2011z00_1409,
						BgL_arg2012z00_1410), BUNSPEC);
		}}
	}



/* &lambda2021 */
	BgL_sfunz00_bglt BGl_z62lambda2021z62zzinline_inlinez00(obj_t BgL_envz00_2875,
		obj_t BgL_o1121z00_2876)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_o1121z00_1446;

				BgL_o1121z00_1446 = ((BgL_sfunz00_bglt) BgL_o1121z00_2876);
				{	/* Inline/inline.scm 26 */
					long BgL_arg2022z00_1449;

					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2023z00_1450;

						{	/* Inline/inline.scm 26 */
							obj_t BgL_arg2024z00_1451;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_objectz00_2532;

								BgL_objectz00_2532 = ((BgL_objectz00_bglt) BgL_o1121z00_1446);
								{	/* Inline/inline.scm 26 */
									long BgL_arg1823z00_2533;

									{	/* Inline/inline.scm 26 */
										long BgL_arg1824z00_2534;

										{	/* Inline/inline.scm 26 */
											long BgL_res2185z00_2536;

											BgL_res2185z00_2536 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2532);
											BgL_arg1824z00_2534 = BgL_res2185z00_2536;
										}
										BgL_arg1823z00_2533 = (BgL_arg1824z00_2534 - OBJECT_TYPE);
									}
									BgL_arg2024z00_1451 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1823z00_2533));
							}}
							BgL_arg2023z00_1450 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2024z00_1451);
						}
						{	/* Inline/inline.scm 26 */
							long BgL_res2187z00_2543;

							BgL_res2187z00_2543 = BGL_CLASS_INDEX(BgL_arg2023z00_1450);
							BgL_arg2022z00_1449 = BgL_res2187z00_2543;
					}}
					{	/* Inline/inline.scm 26 */
						BgL_objectz00_bglt BgL_objz00_2544;

						BgL_objz00_2544 = ((BgL_objectz00_bglt) BgL_o1121z00_1446);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2544, BgL_arg2022z00_1449);
				}}
				{	/* Inline/inline.scm 26 */
					BgL_objectz00_bglt BgL_auxz00_3625;

					BgL_auxz00_3625 = ((BgL_objectz00_bglt) BgL_o1121z00_1446);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3625, BFALSE);
				}
				return ((BgL_sfunz00_bglt) BgL_o1121z00_1446);
			}
		}
	}



/* &<anonymous:2020> */
	BgL_sfunz00_bglt BGl_z62zc3anonymousza32020ze3ze1zzinline_inlinez00(obj_t
		BgL_envz00_2877, obj_t BgL_new1120z00_2878)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_new1120z00_1444;

				BgL_new1120z00_1444 = ((BgL_sfunz00_bglt) BgL_new1120z00_2878);
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1120z00_1444)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1444)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1444)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1444)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1444)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1444)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1444)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1444)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1444)))->
						BgL_strengthz00) = ((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3675;
					BgL_isfunz00_bglt BgL_auxz00_3669;

					{	/* Inline/inline.scm 26 */
						obj_t BgL_classz00_2530;

						BgL_classz00_2530 = BGl_nodez00zzast_nodez00;
						{	/* Inline/inline.scm 26 */
							obj_t BgL__ortest_1091z00_2531;

							BgL__ortest_1091z00_2531 = BGL_CLASS_NIL(BgL_classz00_2530);
							if (CBOOL(BgL__ortest_1091z00_2531))
								{	/* Inline/inline.scm 26 */
									BgL_auxz00_3675 =
										((BgL_nodez00_bglt) BgL__ortest_1091z00_2531);
								}
							else
								{	/* Inline/inline.scm 26 */
									BgL_auxz00_3675 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2530));
								}
						}
					}
					{
						obj_t BgL_auxz00_3670;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3671;

							BgL_auxz00_3671 = ((BgL_objectz00_bglt) BgL_new1120z00_1444);
							BgL_auxz00_3670 = BGL_OBJECT_WIDENING(BgL_auxz00_3671);
						}
						BgL_auxz00_3669 = ((BgL_isfunz00_bglt) BgL_auxz00_3670);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3669))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_auxz00_3675), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3683;

					{
						obj_t BgL_auxz00_3684;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3685;

							BgL_auxz00_3685 = ((BgL_objectz00_bglt) BgL_new1120z00_1444);
							BgL_auxz00_3684 = BGL_OBJECT_WIDENING(BgL_auxz00_3685);
						}
						BgL_auxz00_3683 = ((BgL_isfunz00_bglt) BgL_auxz00_3684);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3683))->
							BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1120z00_1444;
			}
		}
	}



/* &lambda2018 */
	BgL_sfunz00_bglt BGl_z62lambda2018z62zzinline_inlinez00(obj_t BgL_envz00_2879,
		obj_t BgL_o1117z00_2880)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_o1117z00_1439;

				BgL_o1117z00_1439 = ((BgL_sfunz00_bglt) BgL_o1117z00_2880);
				{	/* Inline/inline.scm 26 */
					BgL_sfunz00_bglt BgL_tmp1118z00_1441;
					BgL_isfunz00_bglt BgL_wide1119z00_1442;

					BgL_tmp1118z00_1441 = ((BgL_sfunz00_bglt) BgL_o1117z00_1439);
					BgL_wide1119z00_1442 =
						((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.scm 26 */
						obj_t BgL_auxz00_3695;
						BgL_objectz00_bglt BgL_auxz00_3693;

						BgL_auxz00_3695 = ((obj_t) BgL_wide1119z00_1442);
						BgL_auxz00_3693 = ((BgL_objectz00_bglt) BgL_tmp1118z00_1441);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3693, BgL_auxz00_3695);
					}
					{	/* Inline/inline.scm 26 */
						long BgL_arg2019z00_1443;

						{	/* Inline/inline.scm 26 */
							long BgL_res2184z00_2527;

							BgL_res2184z00_2527 =
								BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
							BgL_arg2019z00_1443 = BgL_res2184z00_2527;
						}
						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_objz00_2528;

							BgL_objz00_2528 = ((BgL_objectz00_bglt) BgL_tmp1118z00_1441);
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2528, BgL_arg2019z00_1443));
					}}
					return ((BgL_sfunz00_bglt) BgL_tmp1118z00_1441);
				}
			}
		}
	}



/* &lambda2013 */
	BgL_sfunz00_bglt BGl_z62lambda2013z62zzinline_inlinez00(obj_t BgL_envz00_2881,
		obj_t BgL_arity1096z00_2882, obj_t BgL_sidezd2effect1097zd2_2883,
		obj_t BgL_predicatezd2of1098zd2_2884,
		obj_t BgL_stackzd2allocator1099zd2_2885, obj_t BgL_topzf31100zf3_2886,
		obj_t BgL_thezd2closure1101zd2_2887, obj_t BgL_effect1102z00_2888,
		obj_t BgL_failsafe1103z00_2889, obj_t BgL_property1104z00_2890,
		obj_t BgL_args1105z00_2891, obj_t BgL_argszd2name1106zd2_2892,
		obj_t BgL_body1107z00_2893, obj_t BgL_class1108z00_2894,
		obj_t BgL_dssslzd2keywords1109zd2_2895, obj_t BgL_loc1110z00_2896,
		obj_t BgL_optionals1111z00_2897, obj_t BgL_keys1112z00_2898,
		obj_t BgL_thezd2closurezd2global1113z00_2899,
		obj_t BgL_strength1114z00_2900, obj_t BgL_originalzd2body1115zd2_2901,
		obj_t BgL_recursivezd2calls1116zd2_2902)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				long BgL_arity1096z00_1411;
				obj_t BgL_sidezd2effect1097zd2_1412;
				obj_t BgL_predicatezd2of1098zd2_1413;
				obj_t BgL_stackzd2allocator1099zd2_1414;
				bool_t BgL_topzf31100zf3_1415;
				obj_t BgL_thezd2closure1101zd2_1416;
				obj_t BgL_effect1102z00_1417;
				obj_t BgL_failsafe1103z00_1418;
				obj_t BgL_property1104z00_1419;
				obj_t BgL_args1105z00_1420;
				obj_t BgL_argszd2name1106zd2_1421;
				obj_t BgL_body1107z00_1422;
				obj_t BgL_class1108z00_1423;
				obj_t BgL_dssslzd2keywords1109zd2_1424;
				obj_t BgL_loc1110z00_1425;
				obj_t BgL_optionals1111z00_1426;
				obj_t BgL_keys1112z00_1427;
				obj_t BgL_thezd2closurezd2global1113z00_1428;
				obj_t BgL_strength1114z00_1429;
				BgL_nodez00_bglt BgL_originalzd2body1115zd2_1430;
				obj_t BgL_recursivezd2calls1116zd2_1431;

				BgL_arity1096z00_1411 = (long) CINT(BgL_arity1096z00_2882);
				BgL_sidezd2effect1097zd2_1412 = BgL_sidezd2effect1097zd2_2883;
				BgL_predicatezd2of1098zd2_1413 = BgL_predicatezd2of1098zd2_2884;
				BgL_stackzd2allocator1099zd2_1414 = BgL_stackzd2allocator1099zd2_2885;
				BgL_topzf31100zf3_1415 = CBOOL(BgL_topzf31100zf3_2886);
				BgL_thezd2closure1101zd2_1416 = BgL_thezd2closure1101zd2_2887;
				BgL_effect1102z00_1417 = BgL_effect1102z00_2888;
				BgL_failsafe1103z00_1418 = BgL_failsafe1103z00_2889;
				BgL_property1104z00_1419 = BgL_property1104z00_2890;
				BgL_args1105z00_1420 = BgL_args1105z00_2891;
				BgL_argszd2name1106zd2_1421 = BgL_argszd2name1106zd2_2892;
				BgL_body1107z00_1422 = BgL_body1107z00_2893;
				BgL_class1108z00_1423 = BgL_class1108z00_2894;
				BgL_dssslzd2keywords1109zd2_1424 = BgL_dssslzd2keywords1109zd2_2895;
				BgL_loc1110z00_1425 = BgL_loc1110z00_2896;
				BgL_optionals1111z00_1426 = BgL_optionals1111z00_2897;
				BgL_keys1112z00_1427 = BgL_keys1112z00_2898;
				BgL_thezd2closurezd2global1113z00_1428 =
					BgL_thezd2closurezd2global1113z00_2899;
				BgL_strength1114z00_1429 = BgL_strength1114z00_2900;
				BgL_originalzd2body1115zd2_1430 =
					((BgL_nodez00_bglt) BgL_originalzd2body1115zd2_2901);
				BgL_recursivezd2calls1116zd2_1431 = BgL_recursivezd2calls1116zd2_2902;
				{	/* Inline/inline.scm 26 */
					BgL_sfunz00_bglt BgL_new1186z00_2512;

					{	/* Inline/inline.scm 26 */
						BgL_sfunz00_bglt BgL_tmp1184z00_2513;
						BgL_isfunz00_bglt BgL_wide1185z00_2514;

						{
							BgL_sfunz00_bglt BgL_auxz00_3704;

							{	/* Inline/inline.scm 26 */
								BgL_sfunz00_bglt BgL_new1183z00_2515;

								BgL_new1183z00_2515 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.scm 26 */
									long BgL_arg2017z00_2516;

									{	/* Inline/inline.scm 26 */
										long BgL_res2182z00_2519;

										BgL_res2182z00_2519 =
											BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
										BgL_arg2017z00_2516 = BgL_res2182z00_2519;
									}
									{	/* Inline/inline.scm 26 */
										BgL_objectz00_bglt BgL_objz00_2520;

										BgL_objz00_2520 =
											((BgL_objectz00_bglt) BgL_new1183z00_2515);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2520,
											BgL_arg2017z00_2516);
								}}
								{	/* Inline/inline.scm 26 */
									BgL_objectz00_bglt BgL_auxz00_3709;

									BgL_auxz00_3709 = ((BgL_objectz00_bglt) BgL_new1183z00_2515);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3709, BFALSE);
								}
								BgL_auxz00_3704 = BgL_new1183z00_2515;
							}
							BgL_tmp1184z00_2513 = ((BgL_sfunz00_bglt) BgL_auxz00_3704);
						}
						BgL_wide1185z00_2514 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 26 */
							obj_t BgL_auxz00_3716;
							BgL_objectz00_bglt BgL_auxz00_3714;

							BgL_auxz00_3716 = ((obj_t) BgL_wide1185z00_2514);
							BgL_auxz00_3714 = ((BgL_objectz00_bglt) BgL_tmp1184z00_2513);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3714, BgL_auxz00_3716);
						}
						{	/* Inline/inline.scm 26 */
							long BgL_arg2014z00_2517;

							{	/* Inline/inline.scm 26 */
								long BgL_res2183z00_2523;

								BgL_res2183z00_2523 =
									BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
								BgL_arg2014z00_2517 = BgL_res2183z00_2523;
							}
							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_objz00_2524;

								BgL_objz00_2524 = ((BgL_objectz00_bglt) BgL_tmp1184z00_2513);
								((BgL_sfunz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2524,
										BgL_arg2014z00_2517));
						}}
						BgL_new1186z00_2512 = ((BgL_sfunz00_bglt) BgL_tmp1184z00_2513);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1186z00_2512)))->BgL_arityz00) =
						((long) BgL_arity1096z00_1411), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2512)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1097zd2_1412), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2512)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1098zd2_1413), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2512)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1099zd2_1414), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2512)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31100zf3_1415), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2512)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1101zd2_1416), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2512)))->
							BgL_effectz00) = ((obj_t) BgL_effect1102z00_1417), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2512)))->
							BgL_failsafez00) = ((obj_t) BgL_failsafe1103z00_1418), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_propertyz00) =
						((obj_t) BgL_property1104z00_1419), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_argsz00) =
						((obj_t) BgL_args1105z00_1420), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1106zd2_1421), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_bodyz00) =
						((obj_t) BgL_body1107z00_1422), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_classz00) =
						((obj_t) BgL_class1108z00_1423), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1109zd2_1424), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_locz00) =
						((obj_t) BgL_loc1110z00_1425), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1111z00_1426), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_keysz00) =
						((obj_t) BgL_keys1112z00_1427), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1113z00_1428), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2512)))->BgL_strengthz00) =
						((obj_t) BgL_strength1114z00_1429), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3762;

						{
							obj_t BgL_auxz00_3763;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_auxz00_3764;

								BgL_auxz00_3764 = ((BgL_objectz00_bglt) BgL_new1186z00_2512);
								BgL_auxz00_3763 = BGL_OBJECT_WIDENING(BgL_auxz00_3764);
							}
							BgL_auxz00_3762 = ((BgL_isfunz00_bglt) BgL_auxz00_3763);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3762))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) BgL_originalzd2body1115zd2_1430), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3769;

						{
							obj_t BgL_auxz00_3770;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_auxz00_3771;

								BgL_auxz00_3771 = ((BgL_objectz00_bglt) BgL_new1186z00_2512);
								BgL_auxz00_3770 = BGL_OBJECT_WIDENING(BgL_auxz00_3771);
							}
							BgL_auxz00_3769 = ((BgL_isfunz00_bglt) BgL_auxz00_3770);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3769))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1116zd2_1431), BUNSPEC);
					}
					return BgL_new1186z00_2512;
				}
			}
		}
	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zzinline_inlinez00(obj_t BgL_envz00_2903,
		obj_t BgL_oz00_2904, obj_t BgL_vz00_2905)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1474;
				BgL_nodez00_bglt BgL_vz00_1475;

				BgL_oz00_1474 = ((BgL_sfunz00_bglt) BgL_oz00_2904);
				BgL_vz00_1475 = ((BgL_nodez00_bglt) BgL_vz00_2905);
				{
					BgL_isfunz00_bglt BgL_auxz00_3779;

					{
						obj_t BgL_auxz00_3780;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3781;

							BgL_auxz00_3781 = ((BgL_objectz00_bglt) BgL_oz00_1474);
							BgL_auxz00_3780 = BGL_OBJECT_WIDENING(BgL_auxz00_3781);
						}
						BgL_auxz00_3779 = ((BgL_isfunz00_bglt) BgL_auxz00_3780);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3779))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_vz00_1475), BUNSPEC);
				}
			}
		}
	}



/* &lambda2035 */
	BgL_nodez00_bglt BGl_z62lambda2035z62zzinline_inlinez00(obj_t BgL_envz00_2906,
		obj_t BgL_oz00_2907)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1471;

				BgL_oz00_1471 = ((BgL_sfunz00_bglt) BgL_oz00_2907);
				{
					BgL_isfunz00_bglt BgL_auxz00_3788;

					{
						obj_t BgL_auxz00_3789;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3790;

							BgL_auxz00_3790 = ((BgL_objectz00_bglt) BgL_oz00_1471);
							BgL_auxz00_3789 = BGL_OBJECT_WIDENING(BgL_auxz00_3790);
						}
						BgL_auxz00_3788 = ((BgL_isfunz00_bglt) BgL_auxz00_3789);
					}
					return
						(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3788))->
						BgL_originalzd2bodyzd2);
				}
			}
		}
	}



/* &<anonymous:2031> */
	obj_t BGl_z62zc3anonymousza32031ze3ze1zzinline_inlinez00(obj_t
		BgL_envz00_2908)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			return BUNSPEC;
		}
	}



/* &lambda2030 */
	obj_t BGl_z62lambda2030z62zzinline_inlinez00(obj_t BgL_envz00_2909,
		obj_t BgL_oz00_2910, obj_t BgL_vz00_2911)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1460;
				obj_t BgL_vz00_1461;

				BgL_oz00_1460 = ((BgL_sfunz00_bglt) BgL_oz00_2910);
				BgL_vz00_1461 = BgL_vz00_2911;
				{
					BgL_isfunz00_bglt BgL_auxz00_3796;

					{
						obj_t BgL_auxz00_3797;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3798;

							BgL_auxz00_3798 = ((BgL_objectz00_bglt) BgL_oz00_1460);
							BgL_auxz00_3797 = BGL_OBJECT_WIDENING(BgL_auxz00_3798);
						}
						BgL_auxz00_3796 = ((BgL_isfunz00_bglt) BgL_auxz00_3797);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3796))->
							BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_1461), BUNSPEC);
				}
			}
		}
	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zzinline_inlinez00(obj_t BgL_envz00_2912,
		obj_t BgL_oz00_2913)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1457;

				BgL_oz00_1457 = ((BgL_sfunz00_bglt) BgL_oz00_2913);
				{
					BgL_isfunz00_bglt BgL_auxz00_3804;

					{
						obj_t BgL_auxz00_3805;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3806;

							BgL_auxz00_3806 = ((BgL_objectz00_bglt) BgL_oz00_1457);
							BgL_auxz00_3805 = BGL_OBJECT_WIDENING(BgL_auxz00_3806);
						}
						BgL_auxz00_3804 = ((BgL_isfunz00_bglt) BgL_auxz00_3805);
					}
					return
						(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3804))->
						BgL_recursivezd2callszd2);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_proc2226z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string2227z00zzinline_inlinez00);
		}
	}



/* &inline-node1939 */
	obj_t BGl_z62inlinezd2node1939zb0zzinline_inlinez00(obj_t BgL_envz00_2915,
		obj_t BgL_nodez00_2916, obj_t BgL_kfactorz00_2917, obj_t BgL_stackz00_2918)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 63 */
			{
				BgL_nodez00_bglt BgL_nodez00_1486;
				long BgL_kfactorz00_1487;
				obj_t BgL_stackz00_1488;

				BgL_nodez00_1486 = ((BgL_nodez00_bglt) BgL_nodez00_2916);
				BgL_kfactorz00_1487 = (long) CINT(BgL_kfactorz00_2917);
				BgL_stackz00_1488 = BgL_stackz00_2918;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2228z00zzinline_inlinez00, ((obj_t) BgL_nodez00_1486));
		}}
	}



/* inline-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_87,
		long BgL_kfactorz00_88, obj_t BgL_stackz00_89)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 63 */
			{	/* Inline/inline.scm 63 */
				obj_t BgL_method1940z00_1491;

				{	/* Inline/inline.scm 63 */
					obj_t BgL_res2194z00_2574;

					{	/* Inline/inline.scm 63 */
						BgL_objectz00_bglt BgL_objz00_2546;

						BgL_objz00_2546 = ((BgL_objectz00_bglt) BgL_nodez00_87);
						{	/* Inline/inline.scm 63 */
							long BgL_objzd2classzd2numz00_2547;

							{	/* Inline/inline.scm 63 */
								long BgL_res2188z00_2550;

								BgL_res2188z00_2550 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2546);
								BgL_objzd2classzd2numz00_2547 = BgL_res2188z00_2550;
							}
							{	/* Inline/inline.scm 63 */
								obj_t BgL_arg1820z00_2548;

								BgL_arg1820z00_2548 =
									PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
									(int) (((long) 1)));
								{	/* Inline/inline.scm 63 */
									obj_t BgL_arrayz00_2551;
									int BgL_offsetz00_2552;

									BgL_arrayz00_2551 = BgL_arg1820z00_2548;
									BgL_offsetz00_2552 = (int) (BgL_objzd2classzd2numz00_2547);
									{	/* Inline/inline.scm 63 */
										long BgL_offsetz00_2553;

										BgL_offsetz00_2553 =
											((long) (BgL_offsetz00_2552) - OBJECT_TYPE);
										{	/* Inline/inline.scm 63 */
											long BgL_modz00_2554;

											{	/* Inline/inline.scm 63 */
												int BgL_arg1822z00_2555;

												BgL_arg1822z00_2555 = (int) (((long) 16));
												{	/* Inline/inline.scm 63 */
													long BgL_res2191z00_2565;

													{	/* Inline/inline.scm 63 */
														long BgL_auxz00_3826;

														BgL_auxz00_3826 = (long) (BgL_arg1822z00_2555);
														BgL_res2191z00_2565 =
															(BgL_offsetz00_2553 / BgL_auxz00_3826);
													}
													BgL_modz00_2554 = BgL_res2191z00_2565;
											}}
											{	/* Inline/inline.scm 63 */
												long BgL_restz00_2556;

												{	/* Inline/inline.scm 63 */
													int BgL_arg1821z00_2557;

													BgL_arg1821z00_2557 = (int) (((long) 16));
													{	/* Inline/inline.scm 63 */
														long BgL_res2193z00_2569;

														{	/* Inline/inline.scm 63 */
															long BgL_auxz00_3830;

															BgL_auxz00_3830 = (long) (BgL_arg1821z00_2557);
															BgL_res2193z00_2569 =
																(BgL_offsetz00_2553 % BgL_auxz00_3830);
														}
														BgL_restz00_2556 = BgL_res2193z00_2569;
												}}
												{	/* Inline/inline.scm 63 */

													BgL_res2194z00_2574 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2551,
															(int) (BgL_modz00_2554)),
														(int) (BgL_restz00_2556));
					}}}}}}}}
					BgL_method1940z00_1491 = BgL_res2194z00_2574;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1940z00_1491) (BgL_method1940z00_1491,
						((obj_t) BgL_nodez00_87),
						BINT(BgL_kfactorz00_88), BgL_stackz00_89, BEOA));
			}
		}
	}



/* &inline-node */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t
		BgL_envz00_2919, obj_t BgL_nodez00_2920, obj_t BgL_kfactorz00_2921,
		obj_t BgL_stackz00_2922)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 63 */
			return
				BGl_inlinezd2nodezd2zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nodez00_2920),
				(long) CINT(BgL_kfactorz00_2921), BgL_stackz00_2922);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00,
				BGl_proc2229z00zzinline_inlinez00, BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00,
				BGl_proc2231z00zzinline_inlinez00, BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2232z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2233z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_syncz00zzast_nodez00,
				BGl_proc2234z00zzinline_inlinez00, BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00,
				BGl_proc2235z00zzinline_inlinez00, BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2236z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2237z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_externz00zzast_nodez00, BGl_proc2238z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00,
				BGl_proc2239z00zzinline_inlinez00, BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00,
				BGl_proc2240z00zzinline_inlinez00, BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2241z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00,
				BGl_proc2242z00zzinline_inlinez00, BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_selectz00zzast_nodez00, BGl_proc2243z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2244z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2245z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2246z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2247z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2248z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2249z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2250z00zzinline_inlinez00,
				BGl_string2230z00zzinline_inlinez00);
		}
	}



/* &inline-node-box-set!1986 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121986za2zzinline_inlinez00(obj_t
		BgL_envz00_2944, obj_t BgL_nodez00_2945, obj_t BgL_kfactorz00_2946,
		obj_t BgL_stackz00_2947)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 245 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1705;
				obj_t BgL_kfactorz00_1706;
				obj_t BgL_stackz00_1707;

				BgL_nodez00_1705 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2945);
				BgL_kfactorz00_1706 = BgL_kfactorz00_2946;
				BgL_stackz00_1707 = BgL_stackz00_2947;
				{
					BgL_varz00_bglt BgL_auxz00_3870;

					{	/* Inline/inline.scm 247 */
						BgL_varz00_bglt BgL_arg2113z00_1711;

						BgL_arg2113z00_1711 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1705))->BgL_varz00);
						BgL_auxz00_3870 =
							((BgL_varz00_bglt)
							BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg2113z00_1711),
								(long) CINT(BgL_kfactorz00_1706), BgL_stackz00_1707));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1705))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3870), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3877;

					{	/* Inline/inline.scm 248 */
						BgL_nodez00_bglt BgL_arg2114z00_1712;

						BgL_arg2114z00_1712 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1705))->
							BgL_valuez00);
						BgL_auxz00_3877 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2114z00_1712,
							(long) CINT(BgL_kfactorz00_1706), BgL_stackz00_1707);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1705))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3877), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1705);
			}
		}
	}



/* &inline-node-box-ref1984 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1984zb0zzinline_inlinez00(obj_t
		BgL_envz00_2948, obj_t BgL_nodez00_2949, obj_t BgL_kfactorz00_2950,
		obj_t BgL_stackz00_2951)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 238 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1697;
				obj_t BgL_kfactorz00_1698;
				obj_t BgL_stackz00_1699;

				BgL_nodez00_1697 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2949);
				BgL_kfactorz00_1698 = BgL_kfactorz00_2950;
				BgL_stackz00_1699 = BgL_stackz00_2951;
				{	/* Inline/inline.scm 239 */
					BgL_nodez00_bglt BgL_arg2110z00_2702;

					{	/* Inline/inline.scm 239 */
						BgL_varz00_bglt BgL_arg2112z00_2703;

						BgL_arg2112z00_2703 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1697))->BgL_varz00);
						BgL_arg2110z00_2702 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(
							((BgL_nodez00_bglt) BgL_arg2112z00_2703),
							(long) CINT(BgL_kfactorz00_1698), BgL_stackz00_1699);
					}
					{	/* Inline/inline.scm 239 */
						BgL_varz00_bglt BgL_vz00_2708;

						BgL_vz00_2708 = ((BgL_varz00_bglt) BgL_arg2110z00_2702);
						((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1697))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_vz00_2708), BUNSPEC);
				}}
				return ((BgL_nodez00_bglt) BgL_nodez00_1697);
			}
		}
	}



/* &inline-node-make-box1982 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1982zb0zzinline_inlinez00(obj_t
		BgL_envz00_2952, obj_t BgL_nodez00_2953, obj_t BgL_kfactorz00_2954,
		obj_t BgL_stackz00_2955)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 231 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1689;
				obj_t BgL_kfactorz00_1690;
				obj_t BgL_stackz00_1691;

				BgL_nodez00_1689 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2953);
				BgL_kfactorz00_1690 = BgL_kfactorz00_2954;
				BgL_stackz00_1691 = BgL_stackz00_2955;
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1689))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_makezd2boxzd2_bglt)
									CREF(BgL_nodez00_1689))->BgL_valuez00),
							(long) CINT(BgL_kfactorz00_1690), BgL_stackz00_1691)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1689);
			}
		}
	}



/* &inline-node-jump-ex-1980 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21980z62zzinline_inlinez00(obj_t
		BgL_envz00_2956, obj_t BgL_nodez00_2957, obj_t BgL_kfactorz00_2958,
		obj_t BgL_stackz00_2959)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 222 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1680;
				obj_t BgL_kfactorz00_1681;
				obj_t BgL_stackz00_1682;

				BgL_nodez00_1680 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2957);
				BgL_kfactorz00_1681 = BgL_kfactorz00_2958;
				BgL_stackz00_1682 = BgL_stackz00_2959;
				{
					BgL_nodez00_bglt BgL_auxz00_3898;

					{	/* Inline/inline.scm 224 */
						BgL_nodez00_bglt BgL_arg2105z00_1686;

						BgL_arg2105z00_1686 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1680))->
							BgL_exitz00);
						BgL_auxz00_3898 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2105z00_1686,
							(long) CINT(BgL_kfactorz00_1681), BgL_stackz00_1682);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1680))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3898), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3903;

					{	/* Inline/inline.scm 225 */
						BgL_nodez00_bglt BgL_arg2106z00_1687;

						BgL_arg2106z00_1687 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1680))->
							BgL_valuez00);
						BgL_auxz00_3903 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2106z00_1687,
							(long) CINT(BgL_kfactorz00_1681), BgL_stackz00_1682);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1680))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3903), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1680);
			}
		}
	}



/* &inline-node-set-ex-i1978 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1978z62zzinline_inlinez00(obj_t
		BgL_envz00_2960, obj_t BgL_nodez00_2961, obj_t BgL_kfactorz00_2962,
		obj_t BgL_stackz00_2963)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 215 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1672;
				obj_t BgL_kfactorz00_1673;
				obj_t BgL_stackz00_1674;

				BgL_nodez00_1672 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2961);
				BgL_kfactorz00_1673 = BgL_kfactorz00_2962;
				BgL_stackz00_1674 = BgL_stackz00_2963;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1672))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setzd2exzd2itz00_bglt)
									CREF(BgL_nodez00_1672))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1673), BgL_stackz00_1674)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1672);
			}
		}
	}



/* &inline-node-let-var1976 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1976zb0zzinline_inlinez00(obj_t
		BgL_envz00_2964, obj_t BgL_nodez00_2965, obj_t BgL_kfactorz00_2966,
		obj_t BgL_stackz00_2967)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 205 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1654;
				obj_t BgL_kfactorz00_1655;
				obj_t BgL_stackz00_1656;

				BgL_nodez00_1654 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2965);
				BgL_kfactorz00_1655 = BgL_kfactorz00_2966;
				BgL_stackz00_1656 = BgL_stackz00_2967;
				{	/* Inline/inline.scm 206 */
					obj_t BgL_g1936z00_1659;

					BgL_g1936z00_1659 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1654))->BgL_bindingsz00);
					{
						obj_t BgL_l1934z00_1661;

						BgL_l1934z00_1661 = BgL_g1936z00_1659;
					BgL_zc3anonymousza32096ze3z83_1662:
						if (PAIRP(BgL_l1934z00_1661))
							{	/* Inline/inline.scm 208 */
								{	/* Inline/inline.scm 207 */
									obj_t BgL_bindingz00_1664;

									BgL_bindingz00_1664 = CAR(BgL_l1934z00_1661);
									{	/* Inline/inline.scm 207 */
										BgL_nodez00_bglt BgL_arg2098z00_1665;

										{	/* Inline/inline.scm 207 */
											obj_t BgL_arg2099z00_1666;

											BgL_arg2099z00_1666 = CDR(BgL_bindingz00_1664);
											BgL_arg2098z00_1665 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg2099z00_1666),
												(long) CINT(BgL_kfactorz00_1655), BgL_stackz00_1656);
										}
										{	/* Inline/inline.scm 207 */
											obj_t BgL_pairz00_2677;
											obj_t BgL_objz00_2678;

											BgL_pairz00_2677 = BgL_bindingz00_1664;
											BgL_objz00_2678 = ((obj_t) BgL_arg2098z00_1665);
											SET_CDR(BgL_pairz00_2677, BgL_objz00_2678);
								}}}
								{
									obj_t BgL_l1934z00_3926;

									BgL_l1934z00_3926 = CDR(BgL_l1934z00_1661);
									BgL_l1934z00_1661 = BgL_l1934z00_3926;
									goto BgL_zc3anonymousza32096ze3z83_1662;
								}
							}
						else
							{	/* Inline/inline.scm 208 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1654))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2varzd2_bglt)
									CREF(BgL_nodez00_1654))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1655), BgL_stackz00_1656)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1654);
			}
		}
	}



/* &inline-node-let-fun1974 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1974zb0zzinline_inlinez00(obj_t
		BgL_envz00_2968, obj_t BgL_nodez00_2969, obj_t BgL_kfactorz00_2970,
		obj_t BgL_stackz00_2971)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 192 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1638;
				obj_t BgL_kfactorz00_1639;
				obj_t BgL_stackz00_1640;

				BgL_nodez00_1638 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2969);
				BgL_kfactorz00_1639 = BgL_kfactorz00_2970;
				BgL_stackz00_1640 = BgL_stackz00_2971;
				{	/* Inline/inline.scm 196 */
					obj_t BgL_g1933z00_1643;

					BgL_g1933z00_1643 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1638))->BgL_localsz00);
					{
						obj_t BgL_l1931z00_1645;

						BgL_l1931z00_1645 = BgL_g1933z00_1643;
					BgL_zc3anonymousza32090ze3z83_1646:
						if (PAIRP(BgL_l1931z00_1645))
							{	/* Inline/inline.scm 198 */
								{	/* Inline/inline.scm 197 */
									obj_t BgL_localz00_1648;

									BgL_localz00_1648 = CAR(BgL_l1931z00_1645);
									BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
										((BgL_variablez00_bglt) BgL_localz00_1648),
										(long) CINT(BgL_kfactorz00_1639), BgL_stackz00_1640);
								}
								{
									obj_t BgL_l1931z00_3941;

									BgL_l1931z00_3941 = CDR(BgL_l1931z00_1645);
									BgL_l1931z00_1645 = BgL_l1931z00_3941;
									goto BgL_zc3anonymousza32090ze3z83_1646;
								}
							}
						else
							{	/* Inline/inline.scm 198 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1638))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2funzd2_bglt)
									CREF(BgL_nodez00_1638))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1639), BgL_stackz00_1640)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1638);
			}
		}
	}



/* &inline-node-select1972 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2select1972z62zzinline_inlinez00(obj_t
		BgL_envz00_2972, obj_t BgL_nodez00_2973, obj_t BgL_kfactorz00_2974,
		obj_t BgL_stackz00_2975)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 182 */
			{
				BgL_selectz00_bglt BgL_nodez00_1620;
				obj_t BgL_kfactorz00_1621;
				obj_t BgL_stackz00_1622;

				BgL_nodez00_1620 = ((BgL_selectz00_bglt) BgL_nodez00_2973);
				BgL_kfactorz00_1621 = BgL_kfactorz00_2974;
				BgL_stackz00_1622 = BgL_stackz00_2975;
				((((BgL_selectz00_bglt) CREF(BgL_nodez00_1620))->BgL_testz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_selectz00_bglt)
									CREF(BgL_nodez00_1620))->BgL_testz00),
							(long) CINT(BgL_kfactorz00_1621), BgL_stackz00_1622)), BUNSPEC);
				{	/* Inline/inline.scm 184 */
					obj_t BgL_g1930z00_1627;

					BgL_g1930z00_1627 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1620))->BgL_clausesz00);
					{
						obj_t BgL_l1854z00_1629;

						BgL_l1854z00_1629 = BgL_g1930z00_1627;
					BgL_zc3anonymousza32085ze3z83_1630:
						if (PAIRP(BgL_l1854z00_1629))
							{	/* Inline/inline.scm 186 */
								{	/* Inline/inline.scm 185 */
									obj_t BgL_clausez00_1632;

									BgL_clausez00_1632 = CAR(BgL_l1854z00_1629);
									{	/* Inline/inline.scm 185 */
										BgL_nodez00_bglt BgL_arg2087z00_1633;

										{	/* Inline/inline.scm 185 */
											obj_t BgL_arg2088z00_1634;

											BgL_arg2088z00_1634 = CDR(BgL_clausez00_1632);
											BgL_arg2087z00_1633 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg2088z00_1634),
												(long) CINT(BgL_kfactorz00_1621), BgL_stackz00_1622);
										}
										{	/* Inline/inline.scm 185 */
											obj_t BgL_pairz00_2656;
											obj_t BgL_objz00_2657;

											BgL_pairz00_2656 = BgL_clausez00_1632;
											BgL_objz00_2657 = ((obj_t) BgL_arg2087z00_1633);
											SET_CDR(BgL_pairz00_2656, BgL_objz00_2657);
								}}}
								{
									obj_t BgL_l1854z00_3963;

									BgL_l1854z00_3963 = CDR(BgL_l1854z00_1629);
									BgL_l1854z00_1629 = BgL_l1854z00_3963;
									goto BgL_zc3anonymousza32085ze3z83_1630;
								}
							}
						else
							{	/* Inline/inline.scm 186 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1620);
			}
		}
	}



/* &inline-node-fail1970 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2fail1970z62zzinline_inlinez00(obj_t
		BgL_envz00_2976, obj_t BgL_nodez00_2977, obj_t BgL_kfactorz00_2978,
		obj_t BgL_stackz00_2979)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 172 */
			{
				BgL_failz00_bglt BgL_nodez00_1610;
				obj_t BgL_kfactorz00_1611;
				obj_t BgL_stackz00_1612;

				BgL_nodez00_1610 = ((BgL_failz00_bglt) BgL_nodez00_2977);
				BgL_kfactorz00_1611 = BgL_kfactorz00_2978;
				BgL_stackz00_1612 = BgL_stackz00_2979;
				{
					BgL_nodez00_bglt BgL_auxz00_3967;

					{	/* Inline/inline.scm 174 */
						BgL_nodez00_bglt BgL_arg2080z00_1616;

						BgL_arg2080z00_1616 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1610))->BgL_procz00);
						BgL_auxz00_3967 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2080z00_1616,
							(long) CINT(BgL_kfactorz00_1611), BgL_stackz00_1612);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1610))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3967), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3972;

					{	/* Inline/inline.scm 175 */
						BgL_nodez00_bglt BgL_arg2081z00_1617;

						BgL_arg2081z00_1617 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1610))->BgL_msgz00);
						BgL_auxz00_3972 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2081z00_1617,
							(long) CINT(BgL_kfactorz00_1611), BgL_stackz00_1612);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1610))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3972), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3977;

					{	/* Inline/inline.scm 176 */
						BgL_nodez00_bglt BgL_arg2082z00_1618;

						BgL_arg2082z00_1618 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1610))->BgL_objz00);
						BgL_auxz00_3977 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2082z00_1618,
							(long) CINT(BgL_kfactorz00_1611), BgL_stackz00_1612);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1610))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3977), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1610);
			}
		}
	}



/* &inline-node-conditio1968 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1968z62zzinline_inlinez00(obj_t
		BgL_envz00_2980, obj_t BgL_nodez00_2981, obj_t BgL_kfactorz00_2982,
		obj_t BgL_stackz00_2983)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 162 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1600;
				obj_t BgL_kfactorz00_1601;
				obj_t BgL_stackz00_1602;

				BgL_nodez00_1600 = ((BgL_conditionalz00_bglt) BgL_nodez00_2981);
				BgL_kfactorz00_1601 = BgL_kfactorz00_2982;
				BgL_stackz00_1602 = BgL_stackz00_2983;
				{
					BgL_nodez00_bglt BgL_auxz00_3984;

					{	/* Inline/inline.scm 164 */
						BgL_nodez00_bglt BgL_arg2077z00_1606;

						BgL_arg2077z00_1606 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1600))->BgL_testz00);
						BgL_auxz00_3984 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2077z00_1606,
							(long) CINT(BgL_kfactorz00_1601), BgL_stackz00_1602);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1600))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3984), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3989;

					{	/* Inline/inline.scm 165 */
						BgL_nodez00_bglt BgL_arg2078z00_1607;

						BgL_arg2078z00_1607 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1600))->BgL_truez00);
						BgL_auxz00_3989 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2078z00_1607,
							(long) CINT(BgL_kfactorz00_1601), BgL_stackz00_1602);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1600))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3989), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3994;

					{	/* Inline/inline.scm 166 */
						BgL_nodez00_bglt BgL_arg2079z00_1608;

						BgL_arg2079z00_1608 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1600))->
							BgL_falsez00);
						BgL_auxz00_3994 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2079z00_1608,
							(long) CINT(BgL_kfactorz00_1601), BgL_stackz00_1602);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1600))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3994), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1600);
			}
		}
	}



/* &inline-node-setq1965 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2setq1965z62zzinline_inlinez00(obj_t
		BgL_envz00_2984, obj_t BgL_nodez00_2985, obj_t BgL_kfactorz00_2986,
		obj_t BgL_stackz00_2987)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 155 */
			{
				BgL_setqz00_bglt BgL_nodez00_1592;
				obj_t BgL_kfactorz00_1593;
				obj_t BgL_stackz00_1594;

				BgL_nodez00_1592 = ((BgL_setqz00_bglt) BgL_nodez00_2985);
				BgL_kfactorz00_1593 = BgL_kfactorz00_2986;
				BgL_stackz00_1594 = BgL_stackz00_2987;
				((((BgL_setqz00_bglt) CREF(BgL_nodez00_1592))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setqz00_bglt)
									CREF(BgL_nodez00_1592))->BgL_valuez00),
							(long) CINT(BgL_kfactorz00_1593), BgL_stackz00_1594)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1592);
			}
		}
	}



/* &inline-node-cast1963 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2cast1963z62zzinline_inlinez00(obj_t
		BgL_envz00_2988, obj_t BgL_nodez00_2989, obj_t BgL_kfactorz00_2990,
		obj_t BgL_stackz00_2991)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 148 */
			{
				BgL_castz00_bglt BgL_nodez00_1585;
				obj_t BgL_kfactorz00_1586;
				obj_t BgL_stackz00_1587;

				BgL_nodez00_1585 = ((BgL_castz00_bglt) BgL_nodez00_2989);
				BgL_kfactorz00_1586 = BgL_kfactorz00_2990;
				BgL_stackz00_1587 = BgL_stackz00_2991;
				BGl_inlinezd2nodezd2zzinline_inlinez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1585))->BgL_argz00),
					(long) CINT(BgL_kfactorz00_1586), BgL_stackz00_1587);
				return ((BgL_nodez00_bglt) BgL_nodez00_1585);
			}
		}
	}



/* &inline-node-extern1961 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2extern1961z62zzinline_inlinez00(obj_t
		BgL_envz00_2992, obj_t BgL_nodez00_2993, obj_t BgL_kfactorz00_2994,
		obj_t BgL_stackz00_2995)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 141 */
			{
				BgL_externz00_bglt BgL_nodez00_1578;
				obj_t BgL_kfactorz00_1579;
				obj_t BgL_stackz00_1580;

				BgL_nodez00_1578 = ((BgL_externz00_bglt) BgL_nodez00_2993);
				BgL_kfactorz00_1579 = BgL_kfactorz00_2994;
				BgL_stackz00_1580 = BgL_stackz00_2995;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1578))->BgL_exprza2za2),
					BgL_kfactorz00_1579, BgL_stackz00_1580);
				return ((BgL_nodez00_bglt) BgL_nodez00_1578);
			}
		}
	}



/* &inline-node-funcall1959 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2funcall1959z62zzinline_inlinez00(obj_t
		BgL_envz00_2996, obj_t BgL_nodez00_2997, obj_t BgL_kfactorz00_2998,
		obj_t BgL_stackz00_2999)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 131 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1569;
				obj_t BgL_kfactorz00_1570;
				obj_t BgL_stackz00_1571;

				BgL_nodez00_1569 = ((BgL_funcallz00_bglt) BgL_nodez00_2997);
				BgL_kfactorz00_1570 = BgL_kfactorz00_2998;
				BgL_stackz00_1571 = BgL_stackz00_2999;
				{	/* Inline/inline.scm 133 */
					long BgL_za71za7_2617;

					BgL_za71za7_2617 =
						(long) CINT(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00);
					BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
						BINT((BgL_za71za7_2617 + ((long) 1)));
				}
				((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1569))->BgL_funz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_funcallz00_bglt)
									CREF(BgL_nodez00_1569))->BgL_funz00),
							(long) CINT(BgL_kfactorz00_1570), BgL_stackz00_1571)), BUNSPEC);
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1569))->BgL_argsz00), BgL_kfactorz00_1570,
					BgL_stackz00_1571);
				return ((BgL_nodez00_bglt) BgL_nodez00_1569);
			}
		}
	}



/* &inline-node-app-ly1956 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1956zb0zzinline_inlinez00(obj_t
		BgL_envz00_3000, obj_t BgL_nodez00_3001, obj_t BgL_kfactorz00_3002,
		obj_t BgL_stackz00_3003)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 122 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1560;
				obj_t BgL_kfactorz00_1561;
				obj_t BgL_stackz00_1562;

				BgL_nodez00_1560 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3001);
				BgL_kfactorz00_1561 = BgL_kfactorz00_3002;
				BgL_stackz00_1562 = BgL_stackz00_3003;
				{
					BgL_nodez00_bglt BgL_auxz00_4027;

					{	/* Inline/inline.scm 124 */
						BgL_nodez00_bglt BgL_arg2068z00_1566;

						BgL_arg2068z00_1566 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1560))->BgL_funz00);
						BgL_auxz00_4027 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2068z00_1566,
							(long) CINT(BgL_kfactorz00_1561), BgL_stackz00_1562);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1560))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4027), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4032;

					{	/* Inline/inline.scm 125 */
						BgL_nodez00_bglt BgL_arg2069z00_1567;

						BgL_arg2069z00_1567 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1560))->BgL_argz00);
						BgL_auxz00_4032 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2069z00_1567,
							(long) CINT(BgL_kfactorz00_1561), BgL_stackz00_1562);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1560))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4032), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1560);
			}
		}
	}



/* &inline-node-app1954 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2app1954z62zzinline_inlinez00(obj_t
		BgL_envz00_3004, obj_t BgL_nodez00_3005, obj_t BgL_kfactorz00_3006,
		obj_t BgL_stackz00_3007)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 115 */
			{
				BgL_appz00_bglt BgL_nodez00_1553;
				obj_t BgL_kfactorz00_1554;
				obj_t BgL_stackz00_1555;

				BgL_nodez00_1553 = ((BgL_appz00_bglt) BgL_nodez00_3005);
				BgL_kfactorz00_1554 = BgL_kfactorz00_3006;
				BgL_stackz00_1555 = BgL_stackz00_3007;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1553))->BgL_argsz00),
					BgL_kfactorz00_1554, BgL_stackz00_1555);
				return BGl_inlinezd2appzd2zzinline_appz00(BgL_nodez00_1553,
					(long) CINT(BgL_kfactorz00_1554), BgL_stackz00_1555);
		}}
	}



/* &inline-node-sync1952 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2sync1952z62zzinline_inlinez00(obj_t
		BgL_envz00_3008, obj_t BgL_nodez00_3009, obj_t BgL_kfactorz00_3010,
		obj_t BgL_stackz00_3011)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 107 */
			{
				BgL_syncz00_bglt BgL_nodez00_1544;
				obj_t BgL_kfactorz00_1545;
				obj_t BgL_stackz00_1546;

				BgL_nodez00_1544 = ((BgL_syncz00_bglt) BgL_nodez00_3009);
				BgL_kfactorz00_1545 = BgL_kfactorz00_3010;
				BgL_stackz00_1546 = BgL_stackz00_3011;
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1544))->BgL_mutexz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1544))->BgL_mutexz00),
							(long) CINT(BgL_kfactorz00_1545), BgL_stackz00_1546)), BUNSPEC);
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_1544))->BgL_nodesz00), BgL_kfactorz00_1545,
					BgL_stackz00_1546);
				return ((BgL_nodez00_bglt) BgL_nodez00_1544);
			}
		}
	}



/* &inline-node-sequence1950 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1950z62zzinline_inlinez00(obj_t
		BgL_envz00_3012, obj_t BgL_nodez00_3013, obj_t BgL_kfactorz00_3014,
		obj_t BgL_stackz00_3015)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 100 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1537;
				obj_t BgL_kfactorz00_1538;
				obj_t BgL_stackz00_1539;

				BgL_nodez00_1537 = ((BgL_sequencez00_bglt) BgL_nodez00_3013);
				BgL_kfactorz00_1538 = BgL_kfactorz00_3014;
				BgL_stackz00_1539 = BgL_stackz00_3015;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1537))->BgL_nodesz00),
					BgL_kfactorz00_1538, BgL_stackz00_1539);
				return ((BgL_nodez00_bglt) BgL_nodez00_1537);
			}
		}
	}



/* &inline-node-kwote1948 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2kwote1948z62zzinline_inlinez00(obj_t
		BgL_envz00_3016, obj_t BgL_nodez00_3017, obj_t BgL_kfactorz00_3018,
		obj_t BgL_stackz00_3019)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 94 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3017));
		}
	}



/* &inline-node-var1945 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2var1945z62zzinline_inlinez00(obj_t
		BgL_envz00_3020, obj_t BgL_nodez00_3021, obj_t BgL_kfactorz00_3022,
		obj_t BgL_stackz00_3023)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 74 */
			{
				BgL_varz00_bglt BgL_nodez00_1498;
				obj_t BgL_kfactorz00_1499;
				obj_t BgL_stackz00_1500;

				BgL_nodez00_1498 = ((BgL_varz00_bglt) BgL_nodez00_3021);
				BgL_kfactorz00_1499 = BgL_kfactorz00_3022;
				BgL_stackz00_1500 = BgL_stackz00_3023;
				{	/* Inline/inline.scm 76 */
					bool_t BgL_testz00_4058;

					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > ((long) 0)))
						{	/* Inline/inline.scm 77 */
							bool_t BgL_testz00_4062;

							{	/* Inline/inline.scm 77 */
								BgL_variablez00_bglt BgL_arg2062z00_1529;

								BgL_arg2062z00_1529 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1498))->BgL_variablez00);
								{	/* Inline/inline.scm 77 */
									bool_t BgL_res2196z00_2579;

									{	/* Inline/inline.scm 77 */
										obj_t BgL_objz00_2578;

										BgL_objz00_2578 = ((obj_t) BgL_arg2062z00_1529);
										BgL_res2196z00_2579 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_2578,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_4062 = BgL_res2196z00_2579;
							}}
							if (BgL_testz00_4062)
								{	/* Inline/inline.scm 77 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1498))->
																BgL_variablez00))))->BgL_importz00) ==
											CNST_TABLE_REF(((long) 8))))
										{	/* Inline/inline.scm 78 */
											if (
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) CREF(BgL_nodez00_1498))->
																	BgL_variablez00))))->BgL_evalzf3zf3))
												{	/* Inline/inline.scm 79 */
													BgL_testz00_4058 = ((bool_t) 0);
												}
											else
												{	/* Inline/inline.scm 80 */
													bool_t BgL_testz00_4076;

													if (
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1498))->
																					BgL_variablez00)))))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 9))))
														{	/* Inline/inline.scm 80 */
															BgL_testz00_4076 = ((bool_t) 1);
														}
													else
														{	/* Inline/inline.scm 80 */
															if (
																((((BgL_globalz00_bglt) CREF(
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							CREF(BgL_nodez00_1498))->
																						BgL_variablez00))))->BgL_initz00) ==
																	BTRUE))
																{	/* Inline/inline.scm 81 */
																	BgL_testz00_4076 =
																		(
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							(((BgL_varz00_bglt)
																									CREF(BgL_nodez00_1498))->
																								BgL_variablez00)))))->
																			BgL_occurrencewz00) == ((long) 1));
																}
															else
																{	/* Inline/inline.scm 81 */
																	BgL_testz00_4076 = ((bool_t) 0);
																}
														}
													if (BgL_testz00_4076)
														{	/* Inline/inline.scm 83 */
															bool_t BgL__ortest_1177z00_1513;

															{	/* Inline/inline.scm 83 */
																obj_t BgL_arg2050z00_1516;

																BgL_arg2050z00_1516 =
																	(((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1498))->
																					BgL_variablez00))))->BgL_srcz00);
																BgL__ortest_1177z00_1513 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2050z00_1516,
																	BGl_atomz00zzast_nodez00);
															}
															if (BgL__ortest_1177z00_1513)
																{	/* Inline/inline.scm 83 */
																	BgL_testz00_4058 = BgL__ortest_1177z00_1513;
																}
															else
																{	/* Inline/inline.scm 84 */
																	obj_t BgL_arg2047z00_1514;

																	BgL_arg2047z00_1514 =
																		(((BgL_globalz00_bglt) CREF(
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							CREF(BgL_nodez00_1498))->
																						BgL_variablez00))))->BgL_srcz00);
																	BgL_testz00_4058 =
																		BGl_isazf3zf3zz__objectz00
																		(BgL_arg2047z00_1514,
																		BGl_kwotez00zzast_nodez00);
																}
														}
													else
														{	/* Inline/inline.scm 80 */
															BgL_testz00_4058 = ((bool_t) 0);
														}
												}
										}
									else
										{	/* Inline/inline.scm 78 */
											BgL_testz00_4058 = ((bool_t) 0);
										}
								}
							else
								{	/* Inline/inline.scm 77 */
									BgL_testz00_4058 = ((bool_t) 0);
								}
						}
					else
						{	/* Inline/inline.scm 76 */
							BgL_testz00_4058 = ((bool_t) 0);
						}
					if (BgL_testz00_4058)
						{	/* Inline/inline.scm 76 */
							{	/* Inline/inline.scm 88 */
								obj_t BgL_arg2039z00_1505;
								obj_t BgL_arg2040z00_1506;

								BgL_arg2039z00_1505 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1498)))->BgL_locz00);
								BgL_arg2040z00_1506 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_1498))->
													BgL_variablez00))))->BgL_srcz00);
								return BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg2039z00_1505,
									((BgL_nodez00_bglt) BgL_arg2040z00_1506));
							}
						}
					else
						{	/* Inline/inline.scm 76 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1498);
						}
				}
			}
		}
	}



/* &inline-node-atom1943 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2atom1943z62zzinline_inlinez00(obj_t
		BgL_envz00_3024, obj_t BgL_nodez00_3025, obj_t BgL_kfactorz00_3026,
		obj_t BgL_stackz00_3027)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 68 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3025));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2251z00zzinline_inlinez00));
		}
	}

#ifdef __cplusplus
}
#endif
