/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/node.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static BgL_nodez00_bglt BGl_z62gloz12zd2kwote1952za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1984z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2sync1961za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1956za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2fail1978za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzintegrate_nodez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1954za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1988za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1959za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1976za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1965z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2select1980za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1970za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1986za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1968za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2cast1972za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2setq1974za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1992z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121994z62zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1990z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2app1963za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2atom1950za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1982z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62gloz121945z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string2321z00zzintegrate_nodez00,
		BgL_bgl_string2321za700za7za7i2352za7, "glo!1945", 8);
	      DEFINE_STRING(BGl_string2322z00zzintegrate_nodez00,
		BgL_bgl_string2322za700za7za7i2353za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2324z00zzintegrate_nodez00,
		BgL_bgl_string2324za700za7za7i2354za7, "glo!", 4);
	      DEFINE_STRING(BGl_string2346z00zzintegrate_nodez00,
		BgL_bgl_string2346za700za7za7i2355za7, "node-free", 9);
	      DEFINE_STRING(BGl_string2347z00zzintegrate_nodez00,
		BgL_bgl_string2347za700za7za7i2356za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2348z00zzintegrate_nodez00,
		BgL_bgl_string2348za700za7za7i2357za7, "integrate_node", 14);
	      DEFINE_STRING(BGl_string2349z00zzintegrate_nodez00,
		BgL_bgl_string2349za700za7za7i2358za7,
		"aux glo!1945 done (write cell-integrate) cell-integrate read ", 61);
	      DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl_za762gloza712za770za7za7in2359za7,
		BGl_z62gloz12z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2c2360z00,
		BGl_z62integratezd2celledzf3z43zzintegrate_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2globaliza7ez12zd2envzb5zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2g2361z00,
		BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzintegrate_nodez00,
		BgL_bgl_za762gloza7121945za7702362za7,
		BGl_z62gloz121945z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2atom2363za7,
		BGl_z62gloz12zd2atom1950za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2kwot2364za7,
		BGl_z62gloz12zd2kwote1952za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2var12365za7,
		BGl_z62gloz12zd2var1954za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2clos2366za7,
		BGl_z62gloz12zd2closure1956za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sequ2367za7,
		BGl_z62gloz12zd2sequence1959za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sync2368za7,
		BGl_z62gloz12zd2sync1961za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2app12369za7,
		BGl_z62gloz12zd2app1963za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2appza72370z00,
		BGl_z62gloz12zd2appzd2ly1965z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2func2371za7,
		BGl_z62gloz12zd2funcall1968za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2exte2372za7,
		BGl_z62gloz12zd2extern1970za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cast2373za7,
		BGl_z62gloz12zd2cast1972za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setq2374za7,
		BGl_z62gloz12zd2setq1974za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cond2375za7,
		BGl_z62gloz12zd2conditional1976za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2fail2376za7,
		BGl_z62gloz12zd2fail1978za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sele2377za7,
		BGl_z62gloz12zd2select1980za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72378z00,
		BGl_z62gloz12zd2letzd2fun1982z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72379z00,
		BGl_z62gloz12zd2letzd2var1984z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setza72380z00,
		BGl_z62gloz12zd2setzd2exzd2it1986za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2jump2381za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1988za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2make2382za7,
		BGl_z62gloz12zd2makezd2box1990z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72383z00,
		BGl_z62gloz12zd2boxzd2ref1992z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72384z00,
		BGl_z62gloz12zd2boxzd2setz121994z62zzintegrate_nodez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_3187, char *BgL_fromz00_3188)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_node");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_3175;

				BgL_cportz00_3175 =
					bgl_open_input_string(BGl_string2349z00zzintegrate_nodez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3176;

					BgL_iz00_3176 = ((long) 5);
				BgL_loopz00_3177:
					if ((BgL_iz00_3176 == ((long) -1)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg2351z00_3179;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_3181;

										BgL_locationz00_3181 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg2351z00_3179 =
												BGl_readz00zz__readerz00(BgL_cportz00_3175,
												BgL_locationz00_3181);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_auxz00_3209;

									BgL_auxz00_3209 = (int) (BgL_iz00_3176);
									CNST_TABLE_SET(BgL_auxz00_3209, BgL_arg2351z00_3179);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_3182;

								BgL_auxz00_3182 = (int) ((BgL_iz00_3176 - ((long) 1)));
								{
									long BgL_iz00_3214;

									BgL_iz00_3214 = (long) (BgL_auxz00_3182);
									BgL_iz00_3176 = BgL_iz00_3214;
									goto BgL_loopz00_3177;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1424;

				BgL_headz00_1424 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1425;
					obj_t BgL_tailz00_1426;

					BgL_prevz00_1425 = BgL_headz00_1424;
					BgL_tailz00_1426 = BgL_l1z00_1;
				BgL_loopz00_1427:
					if (PAIRP(BgL_tailz00_1426))
						{
							obj_t BgL_newzd2prevzd2_1429;

							BgL_newzd2prevzd2_1429 =
								MAKE_PAIR(CAR(BgL_tailz00_1426), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1425, BgL_newzd2prevzd2_1429);
							{
								obj_t BgL_tailz00_3223;
								obj_t BgL_prevz00_3222;

								BgL_prevz00_3222 = BgL_newzd2prevzd2_1429;
								BgL_tailz00_3223 = CDR(BgL_tailz00_1426);
								BgL_tailz00_1426 = BgL_tailz00_3223;
								BgL_prevz00_1425 = BgL_prevz00_3222;
								goto BgL_loopz00_1427;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1424);
				}
			}
		}
	}



/* integrate-globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_astz00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 36 */
			{	/* Integrate/node.scm 42 */
				BgL_valuez00_bglt BgL_funz00_1432;

				BgL_funz00_1432 =
					(((BgL_variablez00_bglt) CREF(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Integrate/node.scm 42 */
					obj_t BgL_celledz00_1433;

					{	/* Integrate/node.scm 43 */
						obj_t BgL_arg2009z00_1454;

						BgL_arg2009z00_1454 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1432)))->BgL_argsz00);
						BgL_celledz00_1433 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg2009z00_1454);
					}
					{	/* Integrate/node.scm 43 */
						obj_t BgL_whatzf2byza2z50_1434;

						BgL_whatzf2byza2z50_1434 =
							BGl_appendzd221011zd2zzintegrate_nodez00(BgL_celledz00_1433,
							BgL_whatzf2byza2z50_5);
						{	/* Integrate/node.scm 44 */

							{
								obj_t BgL_l1923z00_1436;

								BgL_l1923z00_1436 = BgL_whatzf2byza2z50_1434;
							BgL_zc3anonymousza31998ze3z83_1437:
								if (PAIRP(BgL_l1923z00_1436))
									{	/* Integrate/node.scm 46 */
										{	/* Integrate/node.scm 47 */
											obj_t BgL_wzd2bzd2_1439;

											BgL_wzd2bzd2_1439 = CAR(BgL_l1923z00_1436);
											{	/* Integrate/node.scm 47 */
												obj_t BgL_arg2000z00_1440;
												obj_t BgL_arg2001z00_1441;

												BgL_arg2000z00_1440 = CAR(BgL_wzd2bzd2_1439);
												BgL_arg2001z00_1441 = CDR(BgL_wzd2bzd2_1439);
												{	/* Integrate/node.scm 47 */
													BgL_localz00_bglt BgL_oz00_2677;

													BgL_oz00_2677 =
														((BgL_localz00_bglt) BgL_arg2000z00_1440);
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_oz00_2677)))->
															BgL_fastzd2alphazd2) =
														((obj_t) BgL_arg2001z00_1441), BUNSPEC);
												}
											}
										}
										{
											obj_t BgL_l1923z00_3239;

											BgL_l1923z00_3239 = CDR(BgL_l1923z00_1436);
											BgL_l1923z00_1436 = BgL_l1923z00_3239;
											goto BgL_zc3anonymousza31998ze3z83_1437;
										}
									}
								else
									{	/* Integrate/node.scm 46 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 49 */
								BgL_nodez00_bglt BgL_resz00_1444;

								BgL_resz00_1444 =
									BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1433,
									BGl_gloz12z12zzintegrate_nodez00(BgL_astz00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1925z00_1446;

									BgL_l1925z00_1446 = BgL_whatzf2byza2z50_1434;
								BgL_zc3anonymousza32004ze3z83_1447:
									if (PAIRP(BgL_l1925z00_1446))
										{	/* Integrate/node.scm 51 */
											{	/* Integrate/node.scm 52 */
												obj_t BgL_wzd2bzd2_1449;

												BgL_wzd2bzd2_1449 = CAR(BgL_l1925z00_1446);
												{	/* Integrate/node.scm 52 */
													obj_t BgL_arg2006z00_1450;

													BgL_arg2006z00_1450 = CAR(BgL_wzd2bzd2_1449);
													{	/* Integrate/node.scm 52 */
														BgL_localz00_bglt BgL_oz00_2685;

														BgL_oz00_2685 =
															((BgL_localz00_bglt) BgL_arg2006z00_1450);
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt) BgL_oz00_2685)))->
																BgL_fastzd2alphazd2) =
															((obj_t) BUNSPEC), BUNSPEC);
													}
												}
											}
											{
												obj_t BgL_l1925z00_3250;

												BgL_l1925z00_3250 = CDR(BgL_l1925z00_1446);
												BgL_l1925z00_1446 = BgL_l1925z00_3250;
												goto BgL_zc3anonymousza32004ze3z83_1447;
											}
										}
									else
										{	/* Integrate/node.scm 51 */
											((bool_t) 1);
										}
								}
								return ((obj_t) BgL_resz00_1444);
							}
						}
					}
				}
			}
		}
	}



/* &integrate-globalize! */
	obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t
		BgL_envz00_3074, obj_t BgL_astz00_3075, obj_t BgL_integratorz00_3076,
		obj_t BgL_whatzf2byza2z50_3077)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 36 */
			return
				BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_astz00_3075),
				((BgL_variablez00_bglt) BgL_integratorz00_3076),
				BgL_whatzf2byza2z50_3077);
		}
	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_6)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 59 */
			{
				obj_t BgL_celledz00_1457;
				obj_t BgL_formalsz00_1458;

				BgL_celledz00_1457 = BNIL;
				BgL_formalsz00_1458 = BgL_formalsz00_6;
			BgL_zc3anonymousza32010ze3z83_1459:
				if (NULLP(BgL_formalsz00_1458))
					{	/* Integrate/node.scm 63 */
						return BgL_celledz00_1457;
					}
				else
					{	/* Integrate/node.scm 63 */
						if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								((BgL_localz00_bglt) CAR(BgL_formalsz00_1458))))
							{	/* Integrate/node.scm 68 */
								BgL_typez00_bglt BgL_vtypez00_1462;

								{
									BgL_variablez00_bglt BgL_auxz00_3262;

									{
										BgL_localz00_bglt BgL_auxz00_3263;

										{	/* Integrate/node.scm 68 */
											obj_t BgL_pairz00_2692;

											BgL_pairz00_2692 = BgL_formalsz00_1458;
											BgL_auxz00_3263 =
												((BgL_localz00_bglt) CAR(BgL_pairz00_2692));
										}
										BgL_auxz00_3262 = ((BgL_variablez00_bglt) BgL_auxz00_3263);
									}
									BgL_vtypez00_1462 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_3262))->
										BgL_typez00);
								}
								{	/* Integrate/node.scm 68 */
									obj_t BgL_ntypez00_1463;

									if (
										(((obj_t) BgL_vtypez00_1462) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Integrate/node.scm 70 */
											BgL_ntypez00_1463 = BGl_za2objza2z00zztype_cachez00;
										}
									else
										{	/* Integrate/node.scm 70 */
											if (BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_vtypez00_1462))
												{	/* Integrate/node.scm 71 */
													BgL_ntypez00_1463 = ((obj_t) BgL_vtypez00_1462);
												}
											else
												{	/* Integrate/node.scm 72 */
													bool_t BgL_testz00_3274;

													{	/* Integrate/node.scm 72 */
														obj_t BgL_auxz00_3275;

														{
															BgL_variablez00_bglt BgL_auxz00_3276;

															{
																BgL_localz00_bglt BgL_auxz00_3277;

																{	/* Integrate/node.scm 72 */
																	obj_t BgL_pairz00_2696;

																	BgL_pairz00_2696 = BgL_formalsz00_1458;
																	BgL_auxz00_3277 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_2696));
																}
																BgL_auxz00_3276 =
																	((BgL_variablez00_bglt) BgL_auxz00_3277);
															}
															BgL_auxz00_3275 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_3276))->BgL_accessz00);
														}
														BgL_testz00_3274 =
															(BgL_auxz00_3275 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_3274)
														{	/* Integrate/node.scm 72 */
															BgL_ntypez00_1463 = ((obj_t) BgL_vtypez00_1462);
														}
													else
														{	/* Integrate/node.scm 72 */
															BgL_ntypez00_1463 =
																BGl_za2objza2z00zztype_cachez00;
														}
												}
										}
									{	/* Integrate/node.scm 69 */
										BgL_localz00_bglt BgL_varz00_1464;

										{	/* Integrate/node.scm 74 */
											obj_t BgL_arg2019z00_1474;

											{
												BgL_variablez00_bglt BgL_auxz00_3285;

												{
													BgL_localz00_bglt BgL_auxz00_3286;

													{	/* Integrate/node.scm 74 */
														obj_t BgL_pairz00_2699;

														BgL_pairz00_2699 = BgL_formalsz00_1458;
														BgL_auxz00_3286 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_2699));
													}
													BgL_auxz00_3285 =
														((BgL_variablez00_bglt) BgL_auxz00_3286);
												}
												BgL_arg2019z00_1474 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3285))->
													BgL_idz00);
											}
											BgL_varz00_1464 =
												BGl_makezd2localzd2svarz00zzast_localz00
												(BgL_arg2019z00_1474,
												((BgL_typez00_bglt) BgL_ntypez00_1463));
										}
										{	/* Integrate/node.scm 74 */
											obj_t BgL_ozd2nzd2_1465;

											{	/* Integrate/node.scm 75 */
												obj_t BgL_arg2018z00_1473;

												BgL_arg2018z00_1473 = CAR(BgL_formalsz00_1458);
												BgL_ozd2nzd2_1465 =
													MAKE_PAIR(BgL_arg2018z00_1473,
													((obj_t) BgL_varz00_1464));
											}
											{	/* Integrate/node.scm 75 */

												{	/* Integrate/node.scm 76 */
													obj_t BgL_vz00_2705;

													BgL_vz00_2705 = CNST_TABLE_REF(((long) 1));
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_varz00_1464)))->
															BgL_accessz00) =
														((obj_t) BgL_vz00_2705), BUNSPEC);
												}
												{	/* Integrate/node.scm 77 */
													BgL_svarz00_bglt BgL_tmp1104z00_1466;

													BgL_tmp1104z00_1466 =
														((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_varz00_1464)))->
															BgL_valuez00));
													{	/* Integrate/node.scm 77 */
														BgL_svarz00_bglt BgL_tmp1105z00_1467;
														BgL_svarzf2iinfozf2_bglt BgL_wide1106z00_1468;

														BgL_tmp1105z00_1467 =
															((BgL_svarz00_bglt) BgL_tmp1104z00_1466);
														BgL_wide1106z00_1468 =
															((BgL_svarzf2iinfozf2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_svarzf2iinfozf2_bgl))));
														{	/* Integrate/node.scm 77 */
															obj_t BgL_auxz00_3306;
															BgL_objectz00_bglt BgL_auxz00_3304;

															BgL_auxz00_3306 = ((obj_t) BgL_wide1106z00_1468);
															BgL_auxz00_3304 =
																((BgL_objectz00_bglt) BgL_tmp1105z00_1467);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3304,
																BgL_auxz00_3306);
														}
														{	/* Integrate/node.scm 77 */
															long BgL_arg2013z00_1469;

															{	/* Integrate/node.scm 77 */
																long BgL_res2249z00_2711;

																BgL_res2249z00_2711 =
																	BGL_CLASS_INDEX
																	(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																BgL_arg2013z00_1469 = BgL_res2249z00_2711;
															}
															{	/* Integrate/node.scm 77 */
																BgL_objectz00_bglt BgL_objz00_2712;

																BgL_objz00_2712 =
																	((BgL_objectz00_bglt) BgL_tmp1105z00_1467);
																((BgL_svarz00_bglt)
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2712,
																		BgL_arg2013z00_1469));
														}} BgL_tmp1105z00_1467;
													}
													{	/* Integrate/node.scm 77 */
														BgL_svarz00_bglt BgL_new1107z00_1470;

														BgL_new1107z00_1470 =
															((BgL_svarz00_bglt) BgL_tmp1104z00_1466);
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3314;

															{
																obj_t BgL_auxz00_3315;

																{	/* Integrate/node.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_3316;

																	BgL_auxz00_3316 =
																		((BgL_objectz00_bglt) BgL_new1107z00_1470);
																	BgL_auxz00_3315 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3316);
																}
																BgL_auxz00_3314 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3315);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3314))->BgL_fzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3321;

															{
																obj_t BgL_auxz00_3322;

																{	/* Integrate/node.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_3323;

																	BgL_auxz00_3323 =
																		((BgL_objectz00_bglt) BgL_new1107z00_1470);
																	BgL_auxz00_3322 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3323);
																}
																BgL_auxz00_3321 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3322);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3321))->BgL_uzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3328;

															{
																obj_t BgL_auxz00_3329;

																{	/* Integrate/node.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_3330;

																	BgL_auxz00_3330 =
																		((BgL_objectz00_bglt) BgL_new1107z00_1470);
																	BgL_auxz00_3329 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3330);
																}
																BgL_auxz00_3328 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3329);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3328))->
																	BgL_kapturedzf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3335;

															{
																obj_t BgL_auxz00_3336;

																{	/* Integrate/node.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_3337;

																	BgL_auxz00_3337 =
																		((BgL_objectz00_bglt) BgL_new1107z00_1470);
																	BgL_auxz00_3336 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3337);
																}
																BgL_auxz00_3335 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3336);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3335))->BgL_celledzf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														} BgL_new1107z00_1470;
												}}
												{	/* Integrate/node.scm 80 */
													obj_t BgL_arg2014z00_1471;
													obj_t BgL_arg2017z00_1472;

													BgL_arg2014z00_1471 =
														MAKE_PAIR(BgL_ozd2nzd2_1465, BgL_celledz00_1457);
													BgL_arg2017z00_1472 = CDR(BgL_formalsz00_1458);
													{
														obj_t BgL_formalsz00_3345;
														obj_t BgL_celledz00_3344;

														BgL_celledz00_3344 = BgL_arg2014z00_1471;
														BgL_formalsz00_3345 = BgL_arg2017z00_1472;
														BgL_formalsz00_1458 = BgL_formalsz00_3345;
														BgL_celledz00_1457 = BgL_celledz00_3344;
														goto BgL_zc3anonymousza32010ze3z83_1459;
													}
												}
											}
										}
									}
								}
							}
						else
							{
								obj_t BgL_formalsz00_3346;

								BgL_formalsz00_3346 = CDR(BgL_formalsz00_1458);
								BgL_formalsz00_1458 = BgL_formalsz00_3346;
								goto BgL_zc3anonymousza32010ze3z83_1459;
							}
					}
			}
		}
	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t
		BgL_celledz00_7, BgL_nodez00_bglt BgL_bodyz00_8)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 85 */
			if (NULLP(BgL_celledz00_7))
				{	/* Integrate/node.scm 86 */
					return BgL_bodyz00_8;
				}
			else
				{	/* Integrate/node.scm 88 */
					obj_t BgL_locz00_1486;

					BgL_locz00_1486 =
						(((BgL_nodez00_bglt) CREF(BgL_bodyz00_8))->BgL_locz00);
					{	/* Integrate/node.scm 89 */
						BgL_letzd2varzd2_bglt BgL_new1109z00_1487;

						{	/* Integrate/node.scm 89 */
							BgL_letzd2varzd2_bglt BgL_new1108z00_1511;

							BgL_new1108z00_1511 =
								((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Integrate/node.scm 89 */
								long BgL_arg2047z00_1512;

								{	/* Integrate/node.scm 89 */
									long BgL_res2251z00_2721;

									BgL_res2251z00_2721 =
										BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
									BgL_arg2047z00_1512 = BgL_res2251z00_2721;
								}
								{	/* Integrate/node.scm 89 */
									BgL_objectz00_bglt BgL_objz00_2722;

									BgL_objz00_2722 = ((BgL_objectz00_bglt) BgL_new1108z00_1511);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2722,
										BgL_arg2047z00_1512);
							}}
							{	/* Integrate/node.scm 89 */
								BgL_objectz00_bglt BgL_auxz00_3355;

								BgL_auxz00_3355 = ((BgL_objectz00_bglt) BgL_new1108z00_1511);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3355, BFALSE);
							}
							BgL_new1109z00_1487 = BgL_new1108z00_1511;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1109z00_1487)))->BgL_locz00) =
							((obj_t) BgL_locz00_1486), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_3360;

							{	/* Integrate/node.scm 92 */
								BgL_typez00_bglt BgL_arg2031z00_1488;

								BgL_arg2031z00_1488 =
									(((BgL_nodez00_bglt) CREF(BgL_bodyz00_8))->BgL_typez00);
								BgL_auxz00_3360 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2031z00_1488,
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1109z00_1487)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_3360), BUNSPEC);
						}
						((((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_new1109z00_1487)))->
								BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1109z00_1487)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3371;

							{	/* Integrate/node.scm 93 */
								obj_t BgL_head1929z00_1491;

								{	/* Integrate/node.scm 93 */
									obj_t BgL_res2254z00_2731;

									BgL_res2254z00_2731 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1929z00_1491 = BgL_res2254z00_2731;
								}
								{
									obj_t BgL_l1927z00_1493;
									obj_t BgL_tail1930z00_1494;

									BgL_l1927z00_1493 = BgL_celledz00_7;
									BgL_tail1930z00_1494 = BgL_head1929z00_1491;
								BgL_zc3anonymousza32033ze3z83_1495:
									if (NULLP(BgL_l1927z00_1493))
										{	/* Integrate/node.scm 93 */
											BgL_auxz00_3371 = CDR(BgL_head1929z00_1491);
										}
									else
										{	/* Integrate/node.scm 93 */
											obj_t BgL_newtail1931z00_1497;

											{	/* Integrate/node.scm 93 */
												obj_t BgL_arg2037z00_1499;

												{	/* Integrate/node.scm 93 */
													obj_t BgL_ozd2nzd2_1500;

													{	/* Integrate/node.scm 93 */
														obj_t BgL_pairz00_2735;

														BgL_pairz00_2735 = BgL_l1927z00_1493;
														BgL_ozd2nzd2_1500 = CAR(BgL_pairz00_2735);
													}
													{	/* Integrate/node.scm 94 */
														obj_t BgL_arg2038z00_1501;
														BgL_makezd2boxzd2_bglt BgL_arg2039z00_1502;

														{	/* Integrate/node.scm 94 */
															obj_t BgL_pairz00_2736;

															BgL_pairz00_2736 = BgL_ozd2nzd2_1500;
															BgL_arg2038z00_1501 = CDR(BgL_pairz00_2736);
														}
														{	/* Integrate/node.scm 95 */
															BgL_varz00_bglt BgL_arg2040z00_1503;
															obj_t BgL_arg2041z00_1504;

															{	/* Integrate/node.scm 95 */
																BgL_varz00_bglt BgL_new1111z00_1505;

																{	/* Integrate/node.scm 95 */
																	BgL_varz00_bglt BgL_new1110z00_1508;

																	BgL_new1110z00_1508 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Integrate/node.scm 95 */
																		long BgL_arg2046z00_1509;

																		{	/* Integrate/node.scm 95 */
																			long BgL_res2256z00_2738;

																			{	/* Integrate/node.scm 95 */
																				obj_t BgL_classz00_2737;

																				BgL_classz00_2737 =
																					BGl_varz00zzast_nodez00;
																				BgL_res2256z00_2738 =
																					BGL_CLASS_INDEX(BgL_classz00_2737);
																			}
																			BgL_arg2046z00_1509 = BgL_res2256z00_2738;
																		}
																		{	/* Integrate/node.scm 95 */
																			BgL_objectz00_bglt BgL_objz00_2739;

																			BgL_objz00_2739 =
																				((BgL_objectz00_bglt)
																				BgL_new1110z00_1508);
																			BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2739,
																				BgL_arg2046z00_1509);
																	}}
																	{	/* Integrate/node.scm 95 */
																		BgL_objectz00_bglt BgL_auxz00_3382;

																		BgL_auxz00_3382 =
																			((BgL_objectz00_bglt)
																			BgL_new1110z00_1508);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3382,
																			BFALSE);
																	}
																	BgL_new1111z00_1505 = BgL_new1110z00_1508;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1111z00_1505)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1486), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_3387;

																	{	/* Integrate/node.scm 98 */
																		BgL_typez00_bglt BgL_arg2042z00_1506;

																		{
																			BgL_variablez00_bglt BgL_auxz00_3389;

																			{	/* Integrate/node.scm 98 */
																				obj_t BgL_pairz00_2741;

																				BgL_pairz00_2741 = BgL_ozd2nzd2_1500;
																				BgL_auxz00_3389 =
																					((BgL_variablez00_bglt)
																					CAR(BgL_pairz00_2741));
																			}
																			BgL_arg2042z00_1506 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_3389))->BgL_typez00);
																		}
																		BgL_auxz00_3387 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00
																			(BgL_arg2042z00_1506,
																			((BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00));
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1111z00_1505)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_3387),
																		BUNSPEC);
																}
																{
																	BgL_variablez00_bglt BgL_auxz00_3396;

																	{	/* Integrate/node.scm 101 */
																		obj_t BgL_pairz00_2745;

																		BgL_pairz00_2745 = BgL_ozd2nzd2_1500;
																		BgL_auxz00_3396 =
																			((BgL_variablez00_bglt)
																			CAR(BgL_pairz00_2745));
																	}
																	((((BgL_varz00_bglt)
																				CREF(BgL_new1111z00_1505))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) BgL_auxz00_3396),
																		BUNSPEC);
																}
																BgL_arg2040z00_1503 = BgL_new1111z00_1505;
															}
															{	/* Integrate/node.scm 102 */
																obj_t BgL_pairz00_2746;

																BgL_pairz00_2746 = BgL_ozd2nzd2_1500;
																BgL_arg2041z00_1504 = CAR(BgL_pairz00_2746);
															}
															BgL_arg2039z00_1502 =
																BGl_azd2makezd2cellz00zzintegrate_nodez00(
																((BgL_nodez00_bglt) BgL_arg2040z00_1503),
																((BgL_variablez00_bglt) BgL_arg2041z00_1504));
														}
														BgL_arg2037z00_1499 =
															MAKE_PAIR(BgL_arg2038z00_1501,
															((obj_t) BgL_arg2039z00_1502));
												}}
												{	/* Integrate/node.scm 93 */
													obj_t BgL_res2258z00_2749;

													BgL_res2258z00_2749 =
														MAKE_PAIR(BgL_arg2037z00_1499, BNIL);
													BgL_newtail1931z00_1497 = BgL_res2258z00_2749;
											}}
											SET_CDR(BgL_tail1930z00_1494, BgL_newtail1931z00_1497);
											{	/* Integrate/node.scm 93 */
												obj_t BgL_arg2035z00_1498;

												{	/* Integrate/node.scm 93 */
													obj_t BgL_pairz00_2752;

													BgL_pairz00_2752 = BgL_l1927z00_1493;
													BgL_arg2035z00_1498 = CDR(BgL_pairz00_2752);
												}
												{
													obj_t BgL_tail1930z00_3410;
													obj_t BgL_l1927z00_3409;

													BgL_l1927z00_3409 = BgL_arg2035z00_1498;
													BgL_tail1930z00_3410 = BgL_newtail1931z00_1497;
													BgL_tail1930z00_1494 = BgL_tail1930z00_3410;
													BgL_l1927z00_1493 = BgL_l1927z00_3409;
													goto BgL_zc3anonymousza32033ze3z83_1495;
												}
											}
										}
								}
							}
							((((BgL_letzd2varzd2_bglt) CREF(BgL_new1109z00_1487))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_3371), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1109z00_1487))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_8), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1109z00_1487))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1109z00_1487);
					}
				}
		}
	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_9,
		BgL_variablez00_bglt BgL_variablez00_10)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 108 */
			{	/* Integrate/node.scm 112 */
				BgL_localz00_bglt BgL_oz00_2753;
				obj_t BgL_vz00_2754;

				BgL_oz00_2753 = ((BgL_localz00_bglt) BgL_variablez00_10);
				BgL_vz00_2754 = CNST_TABLE_REF(((long) 1));
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_2753)))->BgL_accessz00) =
					((obj_t) BgL_vz00_2754), BUNSPEC);
			}
			{	/* Integrate/node.scm 113 */
				BgL_valuez00_bglt BgL_arg2048z00_1514;

				BgL_arg2048z00_1514 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_10))->BgL_valuez00);
				{	/* Integrate/node.scm 113 */
					BgL_svarz00_bglt BgL_oz00_2759;

					BgL_oz00_2759 = ((BgL_svarz00_bglt) BgL_arg2048z00_1514);
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3421;

						{
							obj_t BgL_auxz00_3422;

							{	/* Integrate/node.scm 113 */
								BgL_objectz00_bglt BgL_auxz00_3423;

								BgL_auxz00_3423 = ((BgL_objectz00_bglt) BgL_oz00_2759);
								BgL_auxz00_3422 = BGL_OBJECT_WIDENING(BgL_auxz00_3423);
							}
							BgL_auxz00_3421 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3422);
						}
						((((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3421))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}}
			{	/* Integrate/node.scm 114 */
				BgL_makezd2boxzd2_bglt BgL_new1114z00_1515;

				{	/* Integrate/node.scm 114 */
					BgL_makezd2boxzd2_bglt BgL_new1113z00_1516;

					BgL_new1113z00_1516 =
						((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Integrate/node.scm 114 */
						long BgL_arg2050z00_1517;

						{	/* Integrate/node.scm 114 */
							long BgL_res2260z00_2763;

							BgL_res2260z00_2763 =
								BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
							BgL_arg2050z00_1517 = BgL_res2260z00_2763;
						}
						{	/* Integrate/node.scm 114 */
							BgL_objectz00_bglt BgL_objz00_2764;

							BgL_objz00_2764 = ((BgL_objectz00_bglt) BgL_new1113z00_1516);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2764, BgL_arg2050z00_1517);
					}}
					{	/* Integrate/node.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_3432;

						BgL_auxz00_3432 = ((BgL_objectz00_bglt) BgL_new1113z00_1516);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3432, BFALSE);
					}
					BgL_new1114z00_1515 = BgL_new1113z00_1516;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1114z00_1515)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) CREF(BgL_nodez00_9))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1114z00_1515)))->
						BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
								BGl_za2cellza2z00zztype_cachez00),
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00))), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1114z00_1515)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1114z00_1515)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1114z00_1515))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_nodez00_9), BUNSPEC);
				return BgL_new1114z00_1515;
			}
		}
	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_11)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 122 */
			{	/* Integrate/node.scm 133 */
				bool_t BgL_testz00_3449;

				{	/* Integrate/node.scm 133 */
					BgL_valuez00_bglt BgL_arg2054z00_1524;

					BgL_arg2054z00_1524 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_variablez00_11)))->BgL_valuez00);
					{	/* Integrate/node.scm 133 */
						bool_t BgL_res2262z00_2770;

						{	/* Integrate/node.scm 133 */
							obj_t BgL_objz00_2769;

							BgL_objz00_2769 = ((obj_t) BgL_arg2054z00_1524);
							BgL_res2262z00_2770 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_2769,
								BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						}
						BgL_testz00_3449 = BgL_res2262z00_2770;
					}
				}
				if (BgL_testz00_3449)
					{	/* Integrate/node.scm 134 */
						bool_t BgL__ortest_1116z00_1519;

						{
							BgL_svarzf2iinfozf2_bglt BgL_auxz00_3454;

							{
								obj_t BgL_auxz00_3455;

								{	/* Integrate/node.scm 134 */
									BgL_objectz00_bglt BgL_auxz00_3456;

									BgL_auxz00_3456 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_variablez00_11)))->
												BgL_valuez00)));
									BgL_auxz00_3455 = BGL_OBJECT_WIDENING(BgL_auxz00_3456);
								}
								BgL_auxz00_3454 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3455);
							}
							BgL__ortest_1116z00_1519 =
								(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3454))->
								BgL_celledzf3zf3);
						}
						if (BgL__ortest_1116z00_1519)
							{	/* Integrate/node.scm 134 */
								return BgL__ortest_1116z00_1519;
							}
						else
							{	/* Integrate/node.scm 134 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_variablez00_11)))->
												BgL_accessz00), CNST_TABLE_REF(((long) 2)))))
									{
										BgL_svarzf2iinfozf2_bglt BgL_auxz00_3471;

										{
											obj_t BgL_auxz00_3472;

											{	/* Integrate/node.scm 136 */
												BgL_objectz00_bglt BgL_auxz00_3473;

												BgL_auxz00_3473 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_variablez00_11)))->BgL_valuez00)));
												BgL_auxz00_3472 = BGL_OBJECT_WIDENING(BgL_auxz00_3473);
											}
											BgL_auxz00_3471 =
												((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3472);
										}
										return
											(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3471))->
											BgL_kapturedzf3zf3);
									}
								else
									{	/* Integrate/node.scm 135 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 133 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &integrate-celled? */
	obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t
		BgL_envz00_3078, obj_t BgL_variablez00_3079)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 122 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					((BgL_localz00_bglt) BgL_variablez00_3079)));
		}
	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_58,
		obj_t BgL_integratorz00_59)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 423 */
			{
				obj_t BgL_nodeza2za2_1526;

				BgL_nodeza2za2_1526 = BgL_nodeza2za2_58;
			BgL_zc3anonymousza32055ze3z83_1527:
				if (NULLP(BgL_nodeza2za2_1526))
					{	/* Integrate/node.scm 425 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Integrate/node.scm 425 */
						{	/* Integrate/node.scm 428 */
							BgL_nodez00_bglt BgL_arg2057z00_1529;

							{	/* Integrate/node.scm 428 */
								obj_t BgL_arg2058z00_1530;

								BgL_arg2058z00_1530 = CAR(BgL_nodeza2za2_1526);
								BgL_arg2057z00_1529 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_arg2058z00_1530),
									((BgL_variablez00_bglt) BgL_integratorz00_59));
							}
							{	/* Integrate/node.scm 428 */
								obj_t BgL_pairz00_2788;
								obj_t BgL_objz00_2789;

								BgL_pairz00_2788 = BgL_nodeza2za2_1526;
								BgL_objz00_2789 = ((obj_t) BgL_arg2057z00_1529);
								SET_CAR(BgL_pairz00_2788, BgL_objz00_2789);
							}
						}
						{
							obj_t BgL_nodeza2za2_3493;

							BgL_nodeza2za2_3493 = CDR(BgL_nodeza2za2_1526);
							BgL_nodeza2za2_1526 = BgL_nodeza2za2_3493;
							goto BgL_zc3anonymousza32055ze3z83_1527;
						}
					}
			}
		}
	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_60, BgL_variablez00_bglt BgL_integratorz00_61)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 434 */
			{	/* Integrate/node.scm 437 */
				BgL_valuez00_bglt BgL_funz00_1533;

				BgL_funz00_1533 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_60)))->BgL_valuez00);
				{	/* Integrate/node.scm 437 */
					obj_t BgL_obodyz00_1534;

					BgL_obodyz00_1534 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1533)))->BgL_bodyz00);
					{	/* Integrate/node.scm 438 */

						if ((((obj_t) BgL_localz00_60) == ((obj_t) BgL_integratorz00_61)))
							{	/* Integrate/node.scm 441 */
								BgL_nodez00_bglt BgL_arg2061z00_1536;

								BgL_arg2061z00_1536 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_obodyz00_1534), BgL_integratorz00_61);
								{	/* Integrate/node.scm 441 */
									BgL_sfunz00_bglt BgL_oz00_2796;
									obj_t BgL_vz00_2797;

									BgL_oz00_2796 = ((BgL_sfunz00_bglt) BgL_funz00_1533);
									BgL_vz00_2797 = ((obj_t) BgL_arg2061z00_1536);
									return
										((((BgL_sfunz00_bglt) CREF(BgL_oz00_2796))->BgL_bodyz00) =
										((obj_t) BgL_vz00_2797), BUNSPEC);
								}
							}
						else
							{	/* Integrate/node.scm 442 */
								bool_t BgL_testz00_3508;

								{	/* Integrate/node.scm 442 */
									bool_t BgL_testz00_3509;

									{	/* Integrate/node.scm 442 */
										bool_t BgL_res2269z00_2800;

										{	/* Integrate/node.scm 442 */
											obj_t BgL_objz00_2799;

											BgL_objz00_2799 = ((obj_t) BgL_funz00_1533);
											BgL_res2269z00_2800 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2799,
												BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
										}
										BgL_testz00_3509 = BgL_res2269z00_2800;
									}
									if (BgL_testz00_3509)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3512;

											{
												obj_t BgL_auxz00_3513;

												{	/* Integrate/node.scm 442 */
													BgL_objectz00_bglt BgL_auxz00_3514;

													BgL_auxz00_3514 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_1533));
													BgL_auxz00_3513 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3514);
												}
												BgL_auxz00_3512 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3513);
											}
											BgL_testz00_3508 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3512))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 442 */
											BgL_testz00_3508 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3508)
									{	/* Integrate/node.scm 442 */
										return BUNSPEC;
									}
								else
									{	/* Integrate/node.scm 445 */
										obj_t BgL_celledz00_1538;

										{	/* Integrate/node.scm 445 */
											obj_t BgL_arg2072z00_1558;

											BgL_arg2072z00_1558 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_1533)))->
												BgL_argsz00);
											BgL_celledz00_1538 =
												BGl_celledzd2bindingszd2zzintegrate_nodez00
												(BgL_arg2072z00_1558);
										}
										{
											obj_t BgL_l1941z00_1540;

											BgL_l1941z00_1540 = BgL_celledz00_1538;
										BgL_zc3anonymousza32063ze3z83_1541:
											if (PAIRP(BgL_l1941z00_1540))
												{	/* Integrate/node.scm 446 */
													{	/* Integrate/node.scm 447 */
														obj_t BgL_wzd2bzd2_1543;

														BgL_wzd2bzd2_1543 = CAR(BgL_l1941z00_1540);
														{	/* Integrate/node.scm 447 */
															obj_t BgL_arg2065z00_1544;
															obj_t BgL_arg2066z00_1545;

															BgL_arg2065z00_1544 = CAR(BgL_wzd2bzd2_1543);
															BgL_arg2066z00_1545 = CDR(BgL_wzd2bzd2_1543);
															{	/* Integrate/node.scm 447 */
																BgL_variablez00_bglt BgL_oz00_2811;

																BgL_oz00_2811 =
																	((BgL_variablez00_bglt) BgL_arg2065z00_1544);
																((((BgL_variablez00_bglt) CREF(BgL_oz00_2811))->
																		BgL_fastzd2alphazd2) =
																	((obj_t) BgL_arg2066z00_1545), BUNSPEC);
															}
														}
													}
													{
														obj_t BgL_l1941z00_3530;

														BgL_l1941z00_3530 = CDR(BgL_l1941z00_1540);
														BgL_l1941z00_1540 = BgL_l1941z00_3530;
														goto BgL_zc3anonymousza32063ze3z83_1541;
													}
												}
											else
												{	/* Integrate/node.scm 446 */
													((bool_t) 1);
												}
										}
										{	/* Integrate/node.scm 449 */
											BgL_nodez00_bglt BgL_nbody1z00_1548;

											BgL_nbody1z00_1548 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_obodyz00_1534),
												BgL_integratorz00_61);
											{	/* Integrate/node.scm 449 */
												BgL_nodez00_bglt BgL_nbody2z00_1549;

												BgL_nbody2z00_1549 =
													BGl_cellzd2formalszd2zzintegrate_nodez00
													(BgL_celledz00_1538, BgL_nbody1z00_1548);
												{	/* Integrate/node.scm 450 */

													{
														obj_t BgL_l1943z00_1551;

														BgL_l1943z00_1551 = BgL_celledz00_1538;
													BgL_zc3anonymousza32068ze3z83_1552:
														if (PAIRP(BgL_l1943z00_1551))
															{	/* Integrate/node.scm 451 */
																{	/* Integrate/node.scm 452 */
																	obj_t BgL_wzd2bzd2_1554;

																	BgL_wzd2bzd2_1554 = CAR(BgL_l1943z00_1551);
																	{	/* Integrate/node.scm 452 */
																		obj_t BgL_arg2070z00_1555;

																		BgL_arg2070z00_1555 =
																			CAR(BgL_wzd2bzd2_1554);
																		{	/* Integrate/node.scm 452 */
																			BgL_variablez00_bglt BgL_oz00_2819;

																			BgL_oz00_2819 =
																				((BgL_variablez00_bglt)
																				BgL_arg2070z00_1555);
																			((((BgL_variablez00_bglt)
																						CREF(BgL_oz00_2819))->
																					BgL_fastzd2alphazd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																		}
																	}
																}
																{
																	obj_t BgL_l1943z00_3541;

																	BgL_l1943z00_3541 = CDR(BgL_l1943z00_1551);
																	BgL_l1943z00_1551 = BgL_l1943z00_3541;
																	goto BgL_zc3anonymousza32068ze3z83_1552;
																}
															}
														else
															{	/* Integrate/node.scm 451 */
																((bool_t) 1);
															}
													}
													{	/* Integrate/node.scm 454 */
														BgL_sfunz00_bglt BgL_oz00_2823;
														obj_t BgL_vz00_2824;

														BgL_oz00_2823 =
															((BgL_sfunz00_bglt) BgL_funz00_1533);
														BgL_vz00_2824 = ((obj_t) BgL_nbody2z00_1549);
														return
															((((BgL_sfunz00_bglt) CREF(BgL_oz00_2823))->
																BgL_bodyz00) =
															((obj_t) BgL_vz00_2824), BUNSPEC);
													}
												}
											}
										}
									}
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_proc2320z00zzintegrate_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string2321z00zzintegrate_nodez00);
		}
	}



/* &glo!1945 */
	obj_t BGl_z62gloz121945z70zzintegrate_nodez00(obj_t BgL_envz00_3081,
		obj_t BgL_nodez00_3082, obj_t BgL_integratorz00_3083)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			{
				BgL_nodez00_bglt BgL_nodez00_1561;
				BgL_variablez00_bglt BgL_integratorz00_1562;

				BgL_nodez00_1561 = ((BgL_nodez00_bglt) BgL_nodez00_3082);
				BgL_integratorz00_1562 =
					((BgL_variablez00_bglt) BgL_integratorz00_3083);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
					BGl_string2322z00zzintegrate_nodez00, ((obj_t) BgL_nodez00_1561));
		}}
	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_12, BgL_variablez00_bglt BgL_integratorz00_13)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			{	/* Integrate/node.scm 141 */
				obj_t BgL_method1947z00_1565;

				{	/* Integrate/node.scm 141 */
					obj_t BgL_res2279z00_2854;

					{	/* Integrate/node.scm 141 */
						BgL_objectz00_bglt BgL_objz00_2826;

						BgL_objz00_2826 = ((BgL_objectz00_bglt) BgL_nodez00_12);
						{	/* Integrate/node.scm 141 */
							long BgL_objzd2classzd2numz00_2827;

							{	/* Integrate/node.scm 141 */
								long BgL_res2273z00_2830;

								BgL_res2273z00_2830 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2826);
								BgL_objzd2classzd2numz00_2827 = BgL_res2273z00_2830;
							}
							{	/* Integrate/node.scm 141 */
								obj_t BgL_arg1820z00_2828;

								BgL_arg1820z00_2828 =
									PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
									(int) (((long) 1)));
								{	/* Integrate/node.scm 141 */
									obj_t BgL_arrayz00_2831;
									int BgL_offsetz00_2832;

									BgL_arrayz00_2831 = BgL_arg1820z00_2828;
									BgL_offsetz00_2832 = (int) (BgL_objzd2classzd2numz00_2827);
									{	/* Integrate/node.scm 141 */
										long BgL_offsetz00_2833;

										BgL_offsetz00_2833 =
											((long) (BgL_offsetz00_2832) - OBJECT_TYPE);
										{	/* Integrate/node.scm 141 */
											long BgL_modz00_2834;

											{	/* Integrate/node.scm 141 */
												int BgL_arg1822z00_2835;

												BgL_arg1822z00_2835 = (int) (((long) 16));
												{	/* Integrate/node.scm 141 */
													long BgL_res2276z00_2845;

													{	/* Integrate/node.scm 141 */
														long BgL_auxz00_3560;

														BgL_auxz00_3560 = (long) (BgL_arg1822z00_2835);
														BgL_res2276z00_2845 =
															(BgL_offsetz00_2833 / BgL_auxz00_3560);
													}
													BgL_modz00_2834 = BgL_res2276z00_2845;
											}}
											{	/* Integrate/node.scm 141 */
												long BgL_restz00_2836;

												{	/* Integrate/node.scm 141 */
													int BgL_arg1821z00_2837;

													BgL_arg1821z00_2837 = (int) (((long) 16));
													{	/* Integrate/node.scm 141 */
														long BgL_res2278z00_2849;

														{	/* Integrate/node.scm 141 */
															long BgL_auxz00_3564;

															BgL_auxz00_3564 = (long) (BgL_arg1821z00_2837);
															BgL_res2278z00_2849 =
																(BgL_offsetz00_2833 % BgL_auxz00_3564);
														}
														BgL_restz00_2836 = BgL_res2278z00_2849;
												}}
												{	/* Integrate/node.scm 141 */

													BgL_res2279z00_2854 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2831,
															(int) (BgL_modz00_2834)),
														(int) (BgL_restz00_2836));
					}}}}}}}}
					BgL_method1947z00_1565 = BgL_res2279z00_2854;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1947z00_1565) (BgL_method1947z00_1565,
						((obj_t) BgL_nodez00_12), ((obj_t) BgL_integratorz00_13), BEOA));
			}
		}
	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t BgL_envz00_3084,
		obj_t BgL_nodez00_3085, obj_t BgL_integratorz00_3086)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			return
				BGl_gloz12z12zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_3085),
				((BgL_variablez00_bglt) BgL_integratorz00_3086));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc2323z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2325z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc2326z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc2327z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2328z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc2329z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc2330z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2331z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2332z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc2333z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc2334z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc2335z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2336z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc2337z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_selectz00zzast_nodez00,
				BGl_proc2338z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2339z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2340z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2341z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2342z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc2343z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc2344z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2345z00zzintegrate_nodez00,
				BGl_string2324z00zzintegrate_nodez00);
		}
	}



/* &glo!-box-set!1994 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2setz121994z62zzintegrate_nodez00(obj_t
		BgL_envz00_3109, obj_t BgL_nodez00_3110, obj_t BgL_integratorz00_3111)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 413 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1832;
				obj_t BgL_integratorz00_1833;

				BgL_nodez00_1832 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3110);
				BgL_integratorz00_1833 = BgL_integratorz00_3111;
				{
					BgL_varz00_bglt BgL_auxz00_3604;

					{	/* Integrate/node.scm 416 */
						BgL_varz00_bglt BgL_arg2173z00_1837;

						BgL_arg2173z00_1837 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1832))->BgL_varz00);
						BgL_auxz00_3604 =
							((BgL_varz00_bglt)
							BGl_gloz12z12zzintegrate_nodez00(
								((BgL_nodez00_bglt) BgL_arg2173z00_1837),
								((BgL_variablez00_bglt) BgL_integratorz00_1833)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1832))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3604), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3611;

					{	/* Integrate/node.scm 417 */
						BgL_nodez00_bglt BgL_arg2174z00_1838;

						BgL_arg2174z00_1838 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1832))->
							BgL_valuez00);
						BgL_auxz00_3611 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2174z00_1838,
							((BgL_variablez00_bglt) BgL_integratorz00_1833));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1832))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3611), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1832);
			}
		}
	}



/* &glo!-box-ref1992 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1992z70zzintegrate_nodez00(obj_t
		BgL_envz00_3112, obj_t BgL_nodez00_3113, obj_t BgL_integratorz00_3114)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 404 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1825;
				obj_t BgL_integratorz00_1826;

				BgL_nodez00_1825 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3113);
				BgL_integratorz00_1826 = BgL_integratorz00_3114;
				{
					BgL_varz00_bglt BgL_auxz00_3618;

					{	/* Integrate/node.scm 406 */
						BgL_varz00_bglt BgL_arg2172z00_3044;

						BgL_arg2172z00_3044 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1825))->BgL_varz00);
						BgL_auxz00_3618 =
							((BgL_varz00_bglt)
							BGl_gloz12z12zzintegrate_nodez00(
								((BgL_nodez00_bglt) BgL_arg2172z00_3044),
								((BgL_variablez00_bglt) BgL_integratorz00_1826)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1825))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3618), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1825);
			}
		}
	}



/* &glo!-make-box1990 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1990z70zzintegrate_nodez00(obj_t
		BgL_envz00_3115, obj_t BgL_nodez00_3116, obj_t BgL_integratorz00_3117)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 396 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1818;
				obj_t BgL_integratorz00_1819;

				BgL_nodez00_1818 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3116);
				BgL_integratorz00_1819 = BgL_integratorz00_3117;
				{
					BgL_nodez00_bglt BgL_auxz00_3627;

					{	/* Integrate/node.scm 397 */
						BgL_nodez00_bglt BgL_arg2169z00_3042;

						BgL_arg2169z00_3042 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1818))->BgL_valuez00);
						BgL_auxz00_3627 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2169z00_3042,
							((BgL_variablez00_bglt) BgL_integratorz00_1819));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1818))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3627), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1818);
			}
		}
	}



/* &glo!-jump-ex-it1988 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1988za2zzintegrate_nodez00(obj_t
		BgL_envz00_3118, obj_t BgL_nodez00_3119, obj_t BgL_integratorz00_3120)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 387 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1810;
				obj_t BgL_integratorz00_1811;

				BgL_nodez00_1810 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3119);
				BgL_integratorz00_1811 = BgL_integratorz00_3120;
				{
					BgL_nodez00_bglt BgL_auxz00_3634;

					{	/* Integrate/node.scm 389 */
						BgL_nodez00_bglt BgL_arg2167z00_1815;

						BgL_arg2167z00_1815 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1810))->
							BgL_exitz00);
						BgL_auxz00_3634 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2167z00_1815,
							((BgL_variablez00_bglt) BgL_integratorz00_1811));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1810))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3634), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3639;

					{	/* Integrate/node.scm 390 */
						BgL_nodez00_bglt BgL_arg2168z00_1816;

						BgL_arg2168z00_1816 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1810))->
							BgL_valuez00);
						BgL_auxz00_3639 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2168z00_1816,
							((BgL_variablez00_bglt) BgL_integratorz00_1811));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1810))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3639), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1810);
			}
		}
	}



/* &glo!-set-ex-it1986 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setzd2exzd2it1986za2zzintegrate_nodez00(obj_t
		BgL_envz00_3121, obj_t BgL_nodez00_3122, obj_t BgL_integratorz00_3123)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 379 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1803;
				obj_t BgL_integratorz00_1804;

				BgL_nodez00_1803 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3122);
				BgL_integratorz00_1804 = BgL_integratorz00_3123;
				{
					BgL_nodez00_bglt BgL_auxz00_3646;

					{	/* Integrate/node.scm 380 */
						BgL_nodez00_bglt BgL_arg2166z00_3040;

						BgL_arg2166z00_3040 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1803))->
							BgL_bodyz00);
						BgL_auxz00_3646 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2166z00_3040,
							((BgL_variablez00_bglt) BgL_integratorz00_1804));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1803))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3646), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1803);
			}
		}
	}



/* &glo!-let-var1984 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1984z70zzintegrate_nodez00(obj_t
		BgL_envz00_3124, obj_t BgL_nodez00_3125, obj_t BgL_integratorz00_3126)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 361 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1782;
				obj_t BgL_integratorz00_1783;

				BgL_nodez00_1782 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3125);
				BgL_integratorz00_1783 = BgL_integratorz00_3126;
				{	/* Integrate/node.scm 363 */
					obj_t BgL_g1940z00_1787;

					BgL_g1940z00_1787 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1782))->BgL_bindingsz00);
					{
						obj_t BgL_l1938z00_1789;

						BgL_l1938z00_1789 = BgL_g1940z00_1787;
					BgL_zc3anonymousza32158ze3z83_1790:
						if (PAIRP(BgL_l1938z00_1789))
							{	/* Integrate/node.scm 363 */
								{	/* Integrate/node.scm 364 */
									obj_t BgL_bindingz00_1792;

									BgL_bindingz00_1792 = CAR(BgL_l1938z00_1789);
									{	/* Integrate/node.scm 364 */
										obj_t BgL_varz00_1793;
										obj_t BgL_valz00_1794;

										BgL_varz00_1793 = CAR(BgL_bindingz00_1792);
										BgL_valz00_1794 = CDR(BgL_bindingz00_1792);
										{	/* Integrate/node.scm 366 */
											BgL_nodez00_bglt BgL_arg2160z00_1795;

											BgL_arg2160z00_1795 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_valz00_1794),
												((BgL_variablez00_bglt) BgL_integratorz00_1783));
											{	/* Integrate/node.scm 366 */
												obj_t BgL_pairz00_3030;
												obj_t BgL_objz00_3031;

												BgL_pairz00_3030 = BgL_bindingz00_1792;
												BgL_objz00_3031 = ((obj_t) BgL_arg2160z00_1795);
												SET_CDR(BgL_pairz00_3030, BgL_objz00_3031);
											}
										}
										if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_1793)))
											{	/* Integrate/node.scm 367 */
												{	/* Integrate/node.scm 369 */
													BgL_localz00_bglt BgL_oz00_3032;
													BgL_typez00_bglt BgL_vz00_3033;

													BgL_oz00_3032 = ((BgL_localz00_bglt) BgL_varz00_1793);
													BgL_vz00_3033 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_oz00_3032)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3033), BUNSPEC);
												}
												{	/* Integrate/node.scm 370 */
													BgL_makezd2boxzd2_bglt BgL_arg2162z00_1797;

													{	/* Integrate/node.scm 370 */
														obj_t BgL_arg2163z00_1798;

														BgL_arg2163z00_1798 = CDR(BgL_bindingz00_1792);
														BgL_arg2162z00_1797 =
															BGl_azd2makezd2cellz00zzintegrate_nodez00(
															((BgL_nodez00_bglt) BgL_arg2163z00_1798),
															((BgL_variablez00_bglt) BgL_varz00_1793));
													}
													{	/* Integrate/node.scm 370 */
														obj_t BgL_pairz00_3036;
														obj_t BgL_objz00_3037;

														BgL_pairz00_3036 = BgL_bindingz00_1792;
														BgL_objz00_3037 = ((obj_t) BgL_arg2162z00_1797);
														SET_CDR(BgL_pairz00_3036, BgL_objz00_3037);
													}
												}
											}
										else
											{	/* Integrate/node.scm 367 */
												BFALSE;
											}
									}
								}
								{
									obj_t BgL_l1938z00_3677;

									BgL_l1938z00_3677 = CDR(BgL_l1938z00_1789);
									BgL_l1938z00_1789 = BgL_l1938z00_3677;
									goto BgL_zc3anonymousza32158ze3z83_1790;
								}
							}
						else
							{	/* Integrate/node.scm 363 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3679;

					{	/* Integrate/node.scm 373 */
						BgL_nodez00_bglt BgL_arg2165z00_1801;

						BgL_arg2165z00_1801 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1782))->BgL_bodyz00);
						BgL_auxz00_3679 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2165z00_1801,
							((BgL_variablez00_bglt) BgL_integratorz00_1783));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1782))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3679), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1782);
			}
		}
	}



/* &glo!-let-fun1982 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1982z70zzintegrate_nodez00(obj_t
		BgL_envz00_3127, obj_t BgL_nodez00_3128, obj_t BgL_integratorz00_3129)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 350 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1767;
				obj_t BgL_integratorz00_1768;

				BgL_nodez00_1767 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3128);
				BgL_integratorz00_1768 = BgL_integratorz00_3129;
				{
					BgL_nodez00_bglt BgL_auxz00_3686;

					{	/* Integrate/node.scm 352 */
						BgL_nodez00_bglt BgL_arg2154z00_1772;

						BgL_arg2154z00_1772 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1767))->BgL_bodyz00);
						BgL_auxz00_3686 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2154z00_1772,
							((BgL_variablez00_bglt) BgL_integratorz00_1768));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1767))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3686), BUNSPEC);
				}
				{	/* Integrate/node.scm 353 */
					obj_t BgL_g1937z00_1773;

					BgL_g1937z00_1773 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1767))->BgL_localsz00);
					{
						obj_t BgL_l1935z00_1775;

						BgL_l1935z00_1775 = BgL_g1937z00_1773;
					BgL_zc3anonymousza32155ze3z83_1776:
						if (PAIRP(BgL_l1935z00_1775))
							{	/* Integrate/node.scm 353 */
								{	/* Integrate/node.scm 354 */
									obj_t BgL_localz00_1778;

									BgL_localz00_1778 = CAR(BgL_l1935z00_1775);
									BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
										((BgL_localz00_bglt) BgL_localz00_1778),
										((BgL_variablez00_bglt) BgL_integratorz00_1768));
								}
								{
									obj_t BgL_l1935z00_3698;

									BgL_l1935z00_3698 = CDR(BgL_l1935z00_1775);
									BgL_l1935z00_1775 = BgL_l1935z00_3698;
									goto BgL_zc3anonymousza32155ze3z83_1776;
								}
							}
						else
							{	/* Integrate/node.scm 353 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1767);
			}
		}
	}



/* &glo!-select1980 */
	BgL_nodez00_bglt BGl_z62gloz12zd2select1980za2zzintegrate_nodez00(obj_t
		BgL_envz00_3130, obj_t BgL_nodez00_3131, obj_t BgL_integratorz00_3132)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 339 */
			{
				BgL_selectz00_bglt BgL_nodez00_1750;
				obj_t BgL_integratorz00_1751;

				BgL_nodez00_1750 = ((BgL_selectz00_bglt) BgL_nodez00_3131);
				BgL_integratorz00_1751 = BgL_integratorz00_3132;
				{
					BgL_nodez00_bglt BgL_auxz00_3702;

					{	/* Integrate/node.scm 341 */
						BgL_nodez00_bglt BgL_arg2148z00_1755;

						BgL_arg2148z00_1755 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1750))->BgL_testz00);
						BgL_auxz00_3702 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2148z00_1755,
							((BgL_variablez00_bglt) BgL_integratorz00_1751));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1750))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3702), BUNSPEC);
				}
				{	/* Integrate/node.scm 342 */
					obj_t BgL_g1934z00_1756;

					BgL_g1934z00_1756 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1750))->BgL_clausesz00);
					{
						obj_t BgL_l1932z00_1758;

						BgL_l1932z00_1758 = BgL_g1934z00_1756;
					BgL_zc3anonymousza32149ze3z83_1759:
						if (PAIRP(BgL_l1932z00_1758))
							{	/* Integrate/node.scm 342 */
								{	/* Integrate/node.scm 343 */
									obj_t BgL_clausez00_1761;

									BgL_clausez00_1761 = CAR(BgL_l1932z00_1758);
									{	/* Integrate/node.scm 343 */
										BgL_nodez00_bglt BgL_arg2151z00_1762;

										{	/* Integrate/node.scm 343 */
											obj_t BgL_arg2152z00_1763;

											BgL_arg2152z00_1763 = CDR(BgL_clausez00_1761);
											BgL_arg2151z00_1762 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg2152z00_1763),
												((BgL_variablez00_bglt) BgL_integratorz00_1751));
										}
										{	/* Integrate/node.scm 343 */
											obj_t BgL_pairz00_3018;
											obj_t BgL_objz00_3019;

											BgL_pairz00_3018 = BgL_clausez00_1761;
											BgL_objz00_3019 = ((obj_t) BgL_arg2151z00_1762);
											SET_CDR(BgL_pairz00_3018, BgL_objz00_3019);
										}
									}
								}
								{
									obj_t BgL_l1932z00_3717;

									BgL_l1932z00_3717 = CDR(BgL_l1932z00_1758);
									BgL_l1932z00_1758 = BgL_l1932z00_3717;
									goto BgL_zc3anonymousza32149ze3z83_1759;
								}
							}
						else
							{	/* Integrate/node.scm 342 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1750);
			}
		}
	}



/* &glo!-fail1978 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1978za2zzintegrate_nodez00(obj_t
		BgL_envz00_3133, obj_t BgL_nodez00_3134, obj_t BgL_integratorz00_3135)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 329 */
			{
				BgL_failz00_bglt BgL_nodez00_1741;
				obj_t BgL_integratorz00_1742;

				BgL_nodez00_1741 = ((BgL_failz00_bglt) BgL_nodez00_3134);
				BgL_integratorz00_1742 = BgL_integratorz00_3135;
				{
					BgL_nodez00_bglt BgL_auxz00_3721;

					{	/* Integrate/node.scm 331 */
						BgL_nodez00_bglt BgL_arg2143z00_1746;

						BgL_arg2143z00_1746 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1741))->BgL_procz00);
						BgL_auxz00_3721 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2143z00_1746,
							((BgL_variablez00_bglt) BgL_integratorz00_1742));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1741))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3721), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3726;

					{	/* Integrate/node.scm 332 */
						BgL_nodez00_bglt BgL_arg2146z00_1747;

						BgL_arg2146z00_1747 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1741))->BgL_msgz00);
						BgL_auxz00_3726 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2146z00_1747,
							((BgL_variablez00_bglt) BgL_integratorz00_1742));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1741))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3726), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3731;

					{	/* Integrate/node.scm 333 */
						BgL_nodez00_bglt BgL_arg2147z00_1748;

						BgL_arg2147z00_1748 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1741))->BgL_objz00);
						BgL_auxz00_3731 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2147z00_1748,
							((BgL_variablez00_bglt) BgL_integratorz00_1742));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1741))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3731), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1741);
			}
		}
	}



/* &glo!-conditional1976 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1976za2zzintegrate_nodez00(obj_t
		BgL_envz00_3136, obj_t BgL_nodez00_3137, obj_t BgL_integratorz00_3138)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 319 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1732;
				obj_t BgL_integratorz00_1733;

				BgL_nodez00_1732 = ((BgL_conditionalz00_bglt) BgL_nodez00_3137);
				BgL_integratorz00_1733 = BgL_integratorz00_3138;
				{
					BgL_nodez00_bglt BgL_auxz00_3738;

					{	/* Integrate/node.scm 321 */
						BgL_nodez00_bglt BgL_arg2139z00_1737;

						BgL_arg2139z00_1737 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1732))->BgL_testz00);
						BgL_auxz00_3738 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2139z00_1737,
							((BgL_variablez00_bglt) BgL_integratorz00_1733));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1732))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3738), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3743;

					{	/* Integrate/node.scm 322 */
						BgL_nodez00_bglt BgL_arg2141z00_1738;

						BgL_arg2141z00_1738 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1732))->BgL_truez00);
						BgL_auxz00_3743 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2141z00_1738,
							((BgL_variablez00_bglt) BgL_integratorz00_1733));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1732))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3743), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3748;

					{	/* Integrate/node.scm 323 */
						BgL_nodez00_bglt BgL_arg2142z00_1739;

						BgL_arg2142z00_1739 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1732))->
							BgL_falsez00);
						BgL_auxz00_3748 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2142z00_1739,
							((BgL_variablez00_bglt) BgL_integratorz00_1733));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1732))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3748), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1732);
			}
		}
	}



/* &glo!-setq1974 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1974za2zzintegrate_nodez00(obj_t
		BgL_envz00_3139, obj_t BgL_nodez00_3140, obj_t BgL_integratorz00_3141)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 283 */
			{
				BgL_setqz00_bglt BgL_nodez00_1689;
				obj_t BgL_integratorz00_1690;

				BgL_nodez00_1689 = ((BgL_setqz00_bglt) BgL_nodez00_3140);
				BgL_integratorz00_1690 = BgL_integratorz00_3141;
				{
					BgL_nodez00_bglt BgL_auxz00_3755;

					{	/* Integrate/node.scm 285 */
						BgL_nodez00_bglt BgL_arg2121z00_1694;

						BgL_arg2121z00_1694 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1689))->BgL_valuez00);
						BgL_auxz00_3755 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2121z00_1694,
							((BgL_variablez00_bglt) BgL_integratorz00_1690));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1689))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3755), BUNSPEC);
				}
				{	/* Integrate/node.scm 286 */
					BgL_variablez00_bglt BgL_varz00_1695;

					BgL_varz00_1695 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1689))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Integrate/node.scm 287 */
						obj_t BgL_g1134z00_1696;

						BgL_g1134z00_1696 =
							(((BgL_variablez00_bglt) CREF(BgL_varz00_1695))->
							BgL_fastzd2alphazd2);
						{
							BgL_variablez00_bglt BgL_varz00_1698;
							obj_t BgL_alphaz00_1699;

							BgL_varz00_1698 = BgL_varz00_1695;
							BgL_alphaz00_1699 = BgL_g1134z00_1696;
						BgL_zc3anonymousza32122ze3z83_1700:
							if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1699,
									BGl_localz00zzast_varz00))
								{	/* Integrate/node.scm 289 */
									{	/* Integrate/node.scm 291 */
										BgL_varz00_bglt BgL_arg2124z00_1702;

										BgL_arg2124z00_1702 =
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1689))->BgL_varz00);
										{	/* Integrate/node.scm 291 */
											BgL_variablez00_bglt BgL_vz00_2964;

											BgL_vz00_2964 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_1699));
											((((BgL_varz00_bglt) CREF(BgL_arg2124z00_1702))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) BgL_vz00_2964), BUNSPEC);
										}
									}
									{	/* Integrate/node.scm 292 */
										obj_t BgL_arg2125z00_1703;

										BgL_arg2125z00_1703 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_alphaz00_1699))))->
											BgL_fastzd2alphazd2);
										{
											obj_t BgL_alphaz00_3775;
											BgL_variablez00_bglt BgL_varz00_3772;

											BgL_varz00_3772 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_1699));
											BgL_alphaz00_3775 = BgL_arg2125z00_1703;
											BgL_alphaz00_1699 = BgL_alphaz00_3775;
											BgL_varz00_1698 = BgL_varz00_3772;
											goto BgL_zc3anonymousza32122ze3z83_1700;
										}
									}
								}
							else
								{	/* Integrate/node.scm 293 */
									BgL_variablez00_bglt BgL_varz00_1704;

									BgL_varz00_1704 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1689))->
													BgL_varz00)))->BgL_variablez00);
									{	/* Integrate/node.scm 294 */
										bool_t BgL_testz00_3778;

										{	/* Integrate/node.scm 294 */
											bool_t BgL_testz00_3779;

											{	/* Integrate/node.scm 294 */
												bool_t BgL_res2307z00_2975;

												{	/* Integrate/node.scm 294 */
													obj_t BgL_objz00_2974;

													BgL_objz00_2974 = ((obj_t) BgL_varz00_1704);
													BgL_res2307z00_2975 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2974,
														BGl_localz00zzast_varz00);
												}
												BgL_testz00_3779 = BgL_res2307z00_2975;
											}
											if (BgL_testz00_3779)
												{	/* Integrate/node.scm 294 */
													BgL_testz00_3778 =
														BGl_integratezd2celledzf3z21zzintegrate_nodez00(
														((BgL_localz00_bglt) BgL_varz00_1704));
												}
											else
												{	/* Integrate/node.scm 294 */
													BgL_testz00_3778 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_3778)
											{	/* Integrate/node.scm 295 */
												BgL_localz00_bglt BgL_azd2varzd2_1706;
												obj_t BgL_locz00_1707;

												BgL_azd2varzd2_1706 =
													BGl_makezd2localzd2svarz00zzast_localz00
													(CNST_TABLE_REF(((long) 5)),
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
												BgL_locz00_1707 =
													(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_nodez00_1689)))->BgL_locz00);
												{	/* Integrate/node.scm 297 */
													BgL_localz00_bglt BgL_oz00_2978;
													obj_t BgL_vz00_2979;

													BgL_oz00_2978 = ((BgL_localz00_bglt) BgL_varz00_1704);
													BgL_vz00_2979 = CNST_TABLE_REF(((long) 1));
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_oz00_2978)))->
															BgL_accessz00) =
														((obj_t) BgL_vz00_2979), BUNSPEC);
												}
												{	/* Integrate/node.scm 298 */
													BgL_varz00_bglt BgL_arg2127z00_1708;

													BgL_arg2127z00_1708 =
														(((BgL_setqz00_bglt) CREF(BgL_nodez00_1689))->
														BgL_varz00);
													{	/* Integrate/node.scm 298 */
														BgL_nodez00_bglt BgL_oz00_2984;
														BgL_typez00_bglt BgL_vz00_2985;

														BgL_oz00_2984 =
															((BgL_nodez00_bglt) BgL_arg2127z00_1708);
														BgL_vz00_2985 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_oz00_2984))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_2985), BUNSPEC);
												}}
												{	/* Integrate/node.scm 299 */
													BgL_svarz00_bglt BgL_tmp1135z00_1709;

													BgL_tmp1135z00_1709 =
														((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_azd2varzd2_1706)))->BgL_valuez00));
													{	/* Integrate/node.scm 299 */
														BgL_svarz00_bglt BgL_tmp1136z00_1710;
														BgL_svarzf2iinfozf2_bglt BgL_wide1137z00_1711;

														BgL_tmp1136z00_1710 =
															((BgL_svarz00_bglt) BgL_tmp1135z00_1709);
														BgL_wide1137z00_1711 =
															((BgL_svarzf2iinfozf2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_svarzf2iinfozf2_bgl))));
														{	/* Integrate/node.scm 299 */
															obj_t BgL_auxz00_3804;
															BgL_objectz00_bglt BgL_auxz00_3802;

															BgL_auxz00_3804 = ((obj_t) BgL_wide1137z00_1711);
															BgL_auxz00_3802 =
																((BgL_objectz00_bglt) BgL_tmp1136z00_1710);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3802,
																BgL_auxz00_3804);
														}
														{	/* Integrate/node.scm 299 */
															long BgL_arg2128z00_1712;

															{	/* Integrate/node.scm 299 */
																long BgL_res2310z00_2991;

																BgL_res2310z00_2991 =
																	BGL_CLASS_INDEX
																	(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																BgL_arg2128z00_1712 = BgL_res2310z00_2991;
															}
															{	/* Integrate/node.scm 299 */
																BgL_objectz00_bglt BgL_objz00_2992;

																BgL_objz00_2992 =
																	((BgL_objectz00_bglt) BgL_tmp1136z00_1710);
																((BgL_svarz00_bglt)
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2992,
																		BgL_arg2128z00_1712));
														}} BgL_tmp1136z00_1710;
													}
													{	/* Integrate/node.scm 299 */
														BgL_svarz00_bglt BgL_new1138z00_1713;

														BgL_new1138z00_1713 =
															((BgL_svarz00_bglt) BgL_tmp1135z00_1709);
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3812;

															{
																obj_t BgL_auxz00_3813;

																{	/* Integrate/node.scm 299 */
																	BgL_objectz00_bglt BgL_auxz00_3814;

																	BgL_auxz00_3814 =
																		((BgL_objectz00_bglt) BgL_new1138z00_1713);
																	BgL_auxz00_3813 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3814);
																}
																BgL_auxz00_3812 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3813);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3812))->BgL_fzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3819;

															{
																obj_t BgL_auxz00_3820;

																{	/* Integrate/node.scm 299 */
																	BgL_objectz00_bglt BgL_auxz00_3821;

																	BgL_auxz00_3821 =
																		((BgL_objectz00_bglt) BgL_new1138z00_1713);
																	BgL_auxz00_3820 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3821);
																}
																BgL_auxz00_3819 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3820);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3819))->BgL_uzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3826;

															{
																obj_t BgL_auxz00_3827;

																{	/* Integrate/node.scm 299 */
																	BgL_objectz00_bglt BgL_auxz00_3828;

																	BgL_auxz00_3828 =
																		((BgL_objectz00_bglt) BgL_new1138z00_1713);
																	BgL_auxz00_3827 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3828);
																}
																BgL_auxz00_3826 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3827);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3826))->
																	BgL_kapturedzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3833;

															{
																obj_t BgL_auxz00_3834;

																{	/* Integrate/node.scm 299 */
																	BgL_objectz00_bglt BgL_auxz00_3835;

																	BgL_auxz00_3835 =
																		((BgL_objectz00_bglt) BgL_new1138z00_1713);
																	BgL_auxz00_3834 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3835);
																}
																BgL_auxz00_3833 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3834);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3833))->BgL_celledzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														} BgL_new1138z00_1713;
												}}
												{	/* Integrate/node.scm 301 */
													BgL_letzd2varzd2_bglt BgL_new1140z00_1714;

													{	/* Integrate/node.scm 301 */
														BgL_letzd2varzd2_bglt BgL_new1139z00_1725;

														BgL_new1139z00_1725 =
															((BgL_letzd2varzd2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_letzd2varzd2_bgl))));
														{	/* Integrate/node.scm 301 */
															long BgL_arg2135z00_1726;

															{	/* Integrate/node.scm 301 */
																long BgL_res2311z00_2995;

																BgL_res2311z00_2995 =
																	BGL_CLASS_INDEX
																	(BGl_letzd2varzd2zzast_nodez00);
																BgL_arg2135z00_1726 = BgL_res2311z00_2995;
															}
															{	/* Integrate/node.scm 301 */
																BgL_objectz00_bglt BgL_objz00_2996;

																BgL_objz00_2996 =
																	((BgL_objectz00_bglt) BgL_new1139z00_1725);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2996,
																	BgL_arg2135z00_1726);
														}}
														{	/* Integrate/node.scm 301 */
															BgL_objectz00_bglt BgL_auxz00_3844;

															BgL_auxz00_3844 =
																((BgL_objectz00_bglt) BgL_new1139z00_1725);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3844, BFALSE);
														}
														BgL_new1140z00_1714 = BgL_new1139z00_1725;
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1140z00_1714)))->
															BgL_locz00) = ((obj_t) BgL_locz00_1707), BUNSPEC);
													((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_new1140z00_1714)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2unspecza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2_za2z00zztype_cachez00))), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1140z00_1714)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1140z00_1714)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_3859;

														{	/* Integrate/node.scm 304 */
															obj_t BgL_arg2129z00_1715;

															{	/* Integrate/node.scm 304 */
																BgL_nodez00_bglt BgL_arg2131z00_1717;

																BgL_arg2131z00_1717 =
																	(((BgL_setqz00_bglt) CREF(BgL_nodez00_1689))->
																	BgL_valuez00);
																BgL_arg2129z00_1715 =
																	MAKE_PAIR(((obj_t) BgL_azd2varzd2_1706),
																	((obj_t) BgL_arg2131z00_1717));
															}
															{	/* Integrate/node.scm 304 */
																obj_t BgL_list2130z00_1716;

																BgL_list2130z00_1716 =
																	MAKE_PAIR(BgL_arg2129z00_1715, BNIL);
																BgL_auxz00_3859 = BgL_list2130z00_1716;
														}}
														((((BgL_letzd2varzd2_bglt)
																	CREF(BgL_new1140z00_1714))->BgL_bindingsz00) =
															((obj_t) BgL_auxz00_3859), BUNSPEC);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_3866;

														{	/* Integrate/node.scm 305 */
															BgL_boxzd2setz12zc0_bglt BgL_new1142z00_1718;

															{	/* Integrate/node.scm 305 */
																BgL_boxzd2setz12zc0_bglt BgL_new1141z00_1723;

																BgL_new1141z00_1723 =
																	((BgL_boxzd2setz12zc0_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_boxzd2setz12zc0_bgl))));
																{	/* Integrate/node.scm 305 */
																	long BgL_arg2134z00_1724;

																	{	/* Integrate/node.scm 305 */
																		long BgL_res2313z00_3001;

																		{	/* Integrate/node.scm 305 */
																			obj_t BgL_classz00_3000;

																			BgL_classz00_3000 =
																				BGl_boxzd2setz12zc0zzast_nodez00;
																			BgL_res2313z00_3001 =
																				BGL_CLASS_INDEX(BgL_classz00_3000);
																		}
																		BgL_arg2134z00_1724 = BgL_res2313z00_3001;
																	}
																	{	/* Integrate/node.scm 305 */
																		BgL_objectz00_bglt BgL_objz00_3002;

																		BgL_objz00_3002 =
																			((BgL_objectz00_bglt)
																			BgL_new1141z00_1723);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3002,
																			BgL_arg2134z00_1724);
																}}
																{	/* Integrate/node.scm 305 */
																	BgL_objectz00_bglt BgL_auxz00_3871;

																	BgL_auxz00_3871 =
																		((BgL_objectz00_bglt) BgL_new1141z00_1723);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_3871,
																		BFALSE);
																}
																BgL_new1142z00_1718 = BgL_new1141z00_1723;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1142z00_1718)))->BgL_locz00) =
																((obj_t) BgL_locz00_1707), BUNSPEC);
															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																				BgL_new1142z00_1718)))->BgL_typez00) =
																((BgL_typez00_bglt)
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt)
																			BGl_za2unspecza2z00zztype_cachez00),
																		((BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00))),
																BUNSPEC);
															((((BgL_boxzd2setz12zc0_bglt)
																		CREF(BgL_new1142z00_1718))->BgL_varz00) =
																((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																			CREF(BgL_nodez00_1689))->BgL_varz00)),
																BUNSPEC);
															{
																BgL_nodez00_bglt BgL_auxz00_3883;

																{	/* Integrate/node.scm 309 */
																	BgL_varz00_bglt BgL_new1144z00_1719;

																	{	/* Integrate/node.scm 309 */
																		BgL_varz00_bglt BgL_new1143z00_1721;

																		BgL_new1143z00_1721 =
																			((BgL_varz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_varz00_bgl))));
																		{	/* Integrate/node.scm 309 */
																			long BgL_arg2133z00_1722;

																			{	/* Integrate/node.scm 309 */
																				long BgL_res2315z00_3008;

																				{	/* Integrate/node.scm 309 */
																					obj_t BgL_classz00_3007;

																					BgL_classz00_3007 =
																						BGl_varz00zzast_nodez00;
																					BgL_res2315z00_3008 =
																						BGL_CLASS_INDEX(BgL_classz00_3007);
																				}
																				BgL_arg2133z00_1722 =
																					BgL_res2315z00_3008;
																			}
																			{	/* Integrate/node.scm 309 */
																				BgL_objectz00_bglt BgL_objz00_3009;

																				BgL_objz00_3009 =
																					((BgL_objectz00_bglt)
																					BgL_new1143z00_1721);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_3009,
																					BgL_arg2133z00_1722);
																		}}
																		{	/* Integrate/node.scm 309 */
																			BgL_objectz00_bglt BgL_auxz00_3888;

																			BgL_auxz00_3888 =
																				((BgL_objectz00_bglt)
																				BgL_new1143z00_1721);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_3888,
																				BFALSE);
																		}
																		BgL_new1144z00_1719 = BgL_new1143z00_1721;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1144z00_1719)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1707), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_3893;

																		{	/* Integrate/node.scm 312 */
																			BgL_typez00_bglt BgL_arg2132z00_1720;

																			BgL_arg2132z00_1720 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_azd2varzd2_1706)))->
																				BgL_typez00);
																			BgL_auxz00_3893 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(BgL_arg2132z00_1720,
																				((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00));
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1144z00_1719)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_3893),
																			BUNSPEC);
																	}
																	((((BgL_varz00_bglt)
																				CREF(BgL_new1144z00_1719))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_azd2varzd2_1706)), BUNSPEC);
																	BgL_auxz00_3883 =
																		((BgL_nodez00_bglt) BgL_new1144z00_1719);
																}
																((((BgL_boxzd2setz12zc0_bglt)
																			CREF(BgL_new1142z00_1718))->
																		BgL_valuez00) =
																	((BgL_nodez00_bglt) BgL_auxz00_3883),
																	BUNSPEC);
															}
															BgL_auxz00_3866 =
																((BgL_nodez00_bglt) BgL_new1142z00_1718);
														}
														((((BgL_letzd2varzd2_bglt)
																	CREF(BgL_new1140z00_1714))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_3866), BUNSPEC);
													}
													((((BgL_letzd2varzd2_bglt)
																CREF(BgL_new1140z00_1714))->
															BgL_removablezf3zf3) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1140z00_1714);
												}
											}
										else
											{	/* Integrate/node.scm 294 */
												return ((BgL_nodez00_bglt) BgL_nodez00_1689);
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* &glo!-cast1972 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1972za2zzintegrate_nodez00(obj_t
		BgL_envz00_3142, obj_t BgL_nodez00_3143, obj_t BgL_integratorz00_3144)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 275 */
			{
				BgL_castz00_bglt BgL_nodez00_1682;
				obj_t BgL_integratorz00_1683;

				BgL_nodez00_1682 = ((BgL_castz00_bglt) BgL_nodez00_3143);
				BgL_integratorz00_1683 = BgL_integratorz00_3144;
				{	/* Integrate/node.scm 276 */
					BgL_nodez00_bglt BgL_arg2120z00_2949;

					BgL_arg2120z00_2949 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1682))->BgL_argz00);
					BGl_gloz12z12zzintegrate_nodez00(BgL_arg2120z00_2949,
						((BgL_variablez00_bglt) BgL_integratorz00_1683));
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1682);
			}
		}
	}



/* &glo!-extern1970 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1970za2zzintegrate_nodez00(obj_t
		BgL_envz00_3145, obj_t BgL_nodez00_3146, obj_t BgL_integratorz00_3147)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 267 */
			{
				BgL_externz00_bglt BgL_nodez00_1675;
				obj_t BgL_integratorz00_1676;

				BgL_nodez00_1675 = ((BgL_externz00_bglt) BgL_nodez00_3146);
				BgL_integratorz00_1676 = BgL_integratorz00_3147;
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1675))->BgL_exprza2za2),
					BgL_integratorz00_1676);
				return ((BgL_nodez00_bglt) BgL_nodez00_1675);
			}
		}
	}



/* &glo!-funcall1968 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1968za2zzintegrate_nodez00(obj_t
		BgL_envz00_3148, obj_t BgL_nodez00_3149, obj_t BgL_integratorz00_3150)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 258 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1667;
				obj_t BgL_integratorz00_1668;

				BgL_nodez00_1667 = ((BgL_funcallz00_bglt) BgL_nodez00_3149);
				BgL_integratorz00_1668 = BgL_integratorz00_3150;
				{
					BgL_nodez00_bglt BgL_auxz00_3919;

					{	/* Integrate/node.scm 260 */
						BgL_nodez00_bglt BgL_arg2114z00_1672;

						BgL_arg2114z00_1672 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1667))->BgL_funz00);
						BgL_auxz00_3919 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2114z00_1672,
							((BgL_variablez00_bglt) BgL_integratorz00_1668));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1667))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3919), BUNSPEC);
				}
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1667))->BgL_argsz00),
					BgL_integratorz00_1668);
				return ((BgL_nodez00_bglt) BgL_nodez00_1667);
			}
		}
	}



/* &glo!-app-ly1965 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1965z70zzintegrate_nodez00(obj_t
		BgL_envz00_3151, obj_t BgL_nodez00_3152, obj_t BgL_integratorz00_3153)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 249 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1659;
				obj_t BgL_integratorz00_1660;

				BgL_nodez00_1659 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3152);
				BgL_integratorz00_1660 = BgL_integratorz00_3153;
				{
					BgL_nodez00_bglt BgL_auxz00_3928;

					{	/* Integrate/node.scm 251 */
						BgL_nodez00_bglt BgL_arg2112z00_1664;

						BgL_arg2112z00_1664 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1659))->BgL_funz00);
						BgL_auxz00_3928 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2112z00_1664,
							((BgL_variablez00_bglt) BgL_integratorz00_1660));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1659))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3928), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3933;

					{	/* Integrate/node.scm 252 */
						BgL_nodez00_bglt BgL_arg2113z00_1665;

						BgL_arg2113z00_1665 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1659))->BgL_argz00);
						BgL_auxz00_3933 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2113z00_1665,
							((BgL_variablez00_bglt) BgL_integratorz00_1660));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1659))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3933), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1659);
			}
		}
	}



/* &glo!-app1963 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1963za2zzintegrate_nodez00(obj_t
		BgL_envz00_3154, obj_t BgL_nodez00_3155, obj_t BgL_integratorz00_3156)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 208 */
			{
				BgL_appz00_bglt BgL_nodez00_1612;
				obj_t BgL_integratorz00_1613;

				BgL_nodez00_1612 = ((BgL_appz00_bglt) BgL_nodez00_3155);
				BgL_integratorz00_1613 = BgL_integratorz00_3156;
				{	/* Integrate/node.scm 210 */
					BgL_variablez00_bglt BgL_funz00_1617;

					BgL_funz00_1617 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1612))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Integrate/node.scm 210 */
						BgL_valuez00_bglt BgL_infoz00_1618;

						BgL_infoz00_1618 =
							(((BgL_variablez00_bglt) CREF(BgL_funz00_1617))->BgL_valuez00);
						{	/* Integrate/node.scm 211 */

							{	/* Integrate/node.scm 213 */
								bool_t BgL_testz00_3943;

								{	/* Integrate/node.scm 213 */
									bool_t BgL_testz00_3944;

									{	/* Integrate/node.scm 213 */
										bool_t BgL_res2290z00_2904;

										{	/* Integrate/node.scm 213 */
											obj_t BgL_objz00_2903;

											BgL_objz00_2903 = ((obj_t) BgL_funz00_1617);
											BgL_res2290z00_2904 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2903,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_3944 = BgL_res2290z00_2904;
									}
									if (BgL_testz00_3944)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3947;

											{
												obj_t BgL_auxz00_3948;

												{	/* Integrate/node.scm 213 */
													BgL_objectz00_bglt BgL_auxz00_3949;

													BgL_auxz00_3949 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_1618));
													BgL_auxz00_3948 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3949);
												}
												BgL_auxz00_3947 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3948);
											}
											BgL_testz00_3943 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3947))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 213 */
											BgL_testz00_3943 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3943)
									{	/* Integrate/node.scm 215 */
										BgL_varz00_bglt BgL_arg2087z00_1620;

										{	/* Integrate/node.scm 215 */
											BgL_varz00_bglt BgL_new1125z00_1621;

											{	/* Integrate/node.scm 215 */
												BgL_varz00_bglt BgL_new1124z00_1623;

												BgL_new1124z00_1623 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Integrate/node.scm 215 */
													long BgL_arg2089z00_1624;

													{	/* Integrate/node.scm 215 */
														long BgL_res2292z00_2909;

														BgL_res2292z00_2909 =
															BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
														BgL_arg2089z00_1624 = BgL_res2292z00_2909;
													}
													{	/* Integrate/node.scm 215 */
														BgL_objectz00_bglt BgL_objz00_2910;

														BgL_objz00_2910 =
															((BgL_objectz00_bglt) BgL_new1124z00_1623);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2910,
															BgL_arg2089z00_1624);
												}}
												{	/* Integrate/node.scm 215 */
													BgL_objectz00_bglt BgL_auxz00_3959;

													BgL_auxz00_3959 =
														((BgL_objectz00_bglt) BgL_new1124z00_1623);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3959, BFALSE);
												}
												BgL_new1125z00_1621 = BgL_new1124z00_1623;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1125z00_1621)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_nodez00_1612)))->BgL_locz00)), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_3966;

												{	/* Integrate/node.scm 217 */
													obj_t BgL_arg2088z00_1622;

													BgL_arg2088z00_1622 =
														BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
														((BgL_localz00_bglt) BgL_funz00_1617));
													BgL_auxz00_3966 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_arg2088z00_1622)))->
														BgL_typez00);
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1125z00_1621)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_3966), BUNSPEC);
											}
											((((BgL_varz00_bglt) CREF(BgL_new1125z00_1621))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
															((BgL_localz00_bglt) BgL_funz00_1617)))),
												BUNSPEC);
											BgL_arg2087z00_1620 = BgL_new1125z00_1621;
										}
										((((BgL_appz00_bglt) CREF(BgL_nodez00_1612))->BgL_funz00) =
											((BgL_varz00_bglt) BgL_arg2087z00_1620), BUNSPEC);
									}
								else
									{	/* Integrate/node.scm 213 */
										BFALSE;
									}
							}
							{
								obj_t BgL_nodesz00_1628;

								BgL_nodesz00_1628 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1612))->BgL_argsz00);
							BgL_zc3anonymousza32092ze3z83_1629:
								if (NULLP(BgL_nodesz00_1628))
									{	/* Integrate/node.scm 222 */
										CNST_TABLE_REF(((long) 3));
									}
								else
									{	/* Integrate/node.scm 222 */
										{	/* Integrate/node.scm 225 */
											BgL_nodez00_bglt BgL_arg2094z00_1631;

											{	/* Integrate/node.scm 225 */
												obj_t BgL_arg2095z00_1632;

												BgL_arg2095z00_1632 = CAR(BgL_nodesz00_1628);
												BgL_arg2094z00_1631 =
													BGl_gloz12z12zzintegrate_nodez00(
													((BgL_nodez00_bglt) BgL_arg2095z00_1632),
													((BgL_variablez00_bglt) BgL_integratorz00_1613));
											}
											{	/* Integrate/node.scm 225 */
												obj_t BgL_pairz00_2921;
												obj_t BgL_objz00_2922;

												BgL_pairz00_2921 = BgL_nodesz00_1628;
												BgL_objz00_2922 = ((obj_t) BgL_arg2094z00_1631);
												SET_CAR(BgL_pairz00_2921, BgL_objz00_2922);
											}
										}
										{
											obj_t BgL_nodesz00_3987;

											BgL_nodesz00_3987 = CDR(BgL_nodesz00_1628);
											BgL_nodesz00_1628 = BgL_nodesz00_3987;
											goto BgL_zc3anonymousza32092ze3z83_1629;
										}
									}
							}
							{	/* Integrate/node.scm 227 */
								bool_t BgL_testz00_3990;

								{	/* Integrate/node.scm 227 */
									bool_t BgL_testz00_3991;

									{	/* Integrate/node.scm 227 */
										bool_t BgL_res2295z00_2925;

										{	/* Integrate/node.scm 227 */
											obj_t BgL_objz00_2924;

											BgL_objz00_2924 = ((obj_t) BgL_funz00_1617);
											BgL_res2295z00_2925 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2924,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_3991 = BgL_res2295z00_2925;
									}
									if (BgL_testz00_3991)
										{	/* Integrate/node.scm 227 */
											BgL_testz00_3990 = ((bool_t) 1);
										}
									else
										{	/* Integrate/node.scm 227 */
											bool_t BgL_testz00_3994;

											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3995;

												{
													obj_t BgL_auxz00_3996;

													{	/* Integrate/node.scm 227 */
														BgL_objectz00_bglt BgL_auxz00_3997;

														BgL_auxz00_3997 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_1618));
														BgL_auxz00_3996 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3997);
													}
													BgL_auxz00_3995 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3996);
												}
												BgL_testz00_3994 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3995))->
													BgL_gzf3zf3);
											}
											if (BgL_testz00_3994)
												{	/* Integrate/node.scm 227 */
													BgL_testz00_3990 = ((bool_t) 0);
												}
											else
												{	/* Integrate/node.scm 227 */
													BgL_testz00_3990 = ((bool_t) 1);
												}
										}
								}
								if (BgL_testz00_3990)
									{	/* Integrate/node.scm 227 */
										BFALSE;
									}
								else
									{	/* Integrate/node.scm 230 */
										obj_t BgL_g1126z00_1636;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4003;

											{
												obj_t BgL_auxz00_4004;

												{	/* Integrate/node.scm 231 */
													BgL_objectz00_bglt BgL_auxz00_4005;

													BgL_auxz00_4005 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_1618));
													BgL_auxz00_4004 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4005);
												}
												BgL_auxz00_4003 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4004);
											}
											BgL_g1126z00_1636 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_4003))->
												BgL_kapturedz00);
										}
										{
											obj_t BgL_newzd2actualszd2_1639;
											obj_t BgL_kapturedz00_1640;

											BgL_newzd2actualszd2_1639 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1612))->
												BgL_argsz00);
											BgL_kapturedz00_1640 = BgL_g1126z00_1636;
										BgL_zc3anonymousza32099ze3z83_1641:
											if (NULLP(BgL_kapturedz00_1640))
												{	/* Integrate/node.scm 232 */
													((((BgL_appz00_bglt) CREF(BgL_nodez00_1612))->
															BgL_argsz00) =
														((obj_t) BgL_newzd2actualszd2_1639), BUNSPEC);
												}
											else
												{	/* Integrate/node.scm 234 */
													obj_t BgL_kapz00_1643;

													BgL_kapz00_1643 = CAR(BgL_kapturedz00_1640);
													{	/* Integrate/node.scm 234 */
														obj_t BgL_alphaz00_1644;

														BgL_alphaz00_1644 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_kapz00_1643))))->
															BgL_fastzd2alphazd2);
														{	/* Integrate/node.scm 235 */
															obj_t BgL_varz00_1645;

															if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1644,
																	BGl_localz00zzast_varz00))
																{	/* Integrate/node.scm 236 */
																	BgL_varz00_1645 = BgL_alphaz00_1644;
																}
															else
																{	/* Integrate/node.scm 236 */
																	BgL_varz00_1645 = BgL_kapz00_1643;
																}
															{	/* Integrate/node.scm 236 */

																{	/* Integrate/node.scm 237 */
																	obj_t BgL_arg2101z00_1646;
																	obj_t BgL_arg2102z00_1647;

																	{	/* Integrate/node.scm 237 */
																		BgL_varz00_bglt BgL_arg2103z00_1648;

																		{	/* Integrate/node.scm 237 */
																			BgL_varz00_bglt BgL_new1128z00_1649;

																			{	/* Integrate/node.scm 237 */
																				BgL_varz00_bglt BgL_new1127z00_1651;

																				BgL_new1127z00_1651 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Integrate/node.scm 237 */
																					long BgL_arg2105z00_1652;

																					{	/* Integrate/node.scm 237 */
																						long BgL_res2299z00_2939;

																						BgL_res2299z00_2939 =
																							BGL_CLASS_INDEX
																							(BGl_varz00zzast_nodez00);
																						BgL_arg2105z00_1652 =
																							BgL_res2299z00_2939;
																					}
																					{	/* Integrate/node.scm 237 */
																						BgL_objectz00_bglt BgL_objz00_2940;

																						BgL_objz00_2940 =
																							((BgL_objectz00_bglt)
																							BgL_new1127z00_1651);
																						BGL_OBJECT_CLASS_NUM_SET
																							(BgL_objz00_2940,
																							BgL_arg2105z00_1652);
																				}}
																				{	/* Integrate/node.scm 237 */
																					BgL_objectz00_bglt BgL_auxz00_4024;

																					BgL_auxz00_4024 =
																						((BgL_objectz00_bglt)
																						BgL_new1127z00_1651);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_4024, BFALSE);
																				}
																				BgL_new1128z00_1649 =
																					BgL_new1127z00_1651;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1128z00_1649)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_nodez00_1612)))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_4031;

																				{	/* Integrate/node.scm 240 */
																					BgL_typez00_bglt BgL_arg2104z00_1650;

																					BgL_arg2104z00_1650 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_varz00_1645)))->
																						BgL_typez00);
																					BgL_auxz00_4031 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(BgL_arg2104z00_1650,
																						((BgL_typez00_bglt)
																							BGl_za2_za2z00zztype_cachez00));
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1128z00_1649)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_4031),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1128z00_1649))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_1645)), BUNSPEC);
																			BgL_arg2103z00_1648 = BgL_new1128z00_1649;
																		}
																		BgL_arg2101z00_1646 =
																			MAKE_PAIR(
																			((obj_t) BgL_arg2103z00_1648),
																			BgL_newzd2actualszd2_1639);
																	}
																	BgL_arg2102z00_1647 =
																		CDR(BgL_kapturedz00_1640);
																	{
																		obj_t BgL_kapturedz00_4044;
																		obj_t BgL_newzd2actualszd2_4043;

																		BgL_newzd2actualszd2_4043 =
																			BgL_arg2101z00_1646;
																		BgL_kapturedz00_4044 = BgL_arg2102z00_1647;
																		BgL_kapturedz00_1640 = BgL_kapturedz00_4044;
																		BgL_newzd2actualszd2_1639 =
																			BgL_newzd2actualszd2_4043;
																		goto BgL_zc3anonymousza32099ze3z83_1641;
																	}
																}
															}
														}
													}
												}
										}
									}
							}
							return ((BgL_nodez00_bglt) BgL_nodez00_1612);
						}
					}
				}
			}
		}
	}



/* &glo!-sync1961 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1961za2zzintegrate_nodez00(obj_t
		BgL_envz00_3157, obj_t BgL_nodez00_3158, obj_t BgL_integratorz00_3159)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 199 */
			{
				BgL_syncz00_bglt BgL_nodez00_1604;
				obj_t BgL_integratorz00_1605;

				BgL_nodez00_1604 = ((BgL_syncz00_bglt) BgL_nodez00_3158);
				BgL_integratorz00_1605 = BgL_integratorz00_3159;
				{
					BgL_nodez00_bglt BgL_auxz00_4048;

					{	/* Integrate/node.scm 201 */
						BgL_nodez00_bglt BgL_arg2083z00_1609;

						BgL_arg2083z00_1609 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1604))->BgL_mutexz00);
						BgL_auxz00_4048 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2083z00_1609,
							((BgL_variablez00_bglt) BgL_integratorz00_1605));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1604))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4048), BUNSPEC);
				}
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1604))->BgL_nodesz00),
					BgL_integratorz00_1605);
				return ((BgL_nodez00_bglt) BgL_nodez00_1604);
			}
		}
	}



/* &glo!-sequence1959 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1959za2zzintegrate_nodez00(obj_t
		BgL_envz00_3160, obj_t BgL_nodez00_3161, obj_t BgL_integratorz00_3162)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 191 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1597;
				obj_t BgL_integratorz00_1598;

				BgL_nodez00_1597 = ((BgL_sequencez00_bglt) BgL_nodez00_3161);
				BgL_integratorz00_1598 = BgL_integratorz00_3162;
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1597))->BgL_nodesz00),
					BgL_integratorz00_1598);
				return ((BgL_nodez00_bglt) BgL_nodez00_1597);
			}
		}
	}



/* &glo!-closure1956 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1956za2zzintegrate_nodez00(obj_t
		BgL_envz00_3163, obj_t BgL_nodez00_3164, obj_t BgL_integratorz00_3165)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 185 */
			{
				BgL_closurez00_bglt BgL_nodez00_1591;
				obj_t BgL_integratorz00_1592;

				BgL_nodez00_1591 = ((BgL_closurez00_bglt) BgL_nodez00_3164);
				BgL_integratorz00_1592 = BgL_integratorz00_3165;
				{	/* Integrate/node.scm 186 */
					obj_t BgL_arg2081z00_2891;

					BgL_arg2081z00_2891 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1591));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2346z00zzintegrate_nodez00,
							BGl_string2347z00zzintegrate_nodez00, BgL_arg2081z00_2891));
				}
			}
		}
	}



/* &glo!-var1954 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1954za2zzintegrate_nodez00(obj_t
		BgL_envz00_3166, obj_t BgL_nodez00_3167, obj_t BgL_integratorz00_3168)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 158 */
			{
				BgL_varz00_bglt BgL_nodez00_1576;
				obj_t BgL_integratorz00_1577;

				BgL_nodez00_1576 = ((BgL_varz00_bglt) BgL_nodez00_3167);
				BgL_integratorz00_1577 = BgL_integratorz00_3168;
				{	/* Integrate/node.scm 159 */
					BgL_variablez00_bglt BgL_variablez00_1580;

					BgL_variablez00_1580 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1576))->BgL_variablez00);
					{	/* Integrate/node.scm 159 */
						obj_t BgL_alphaz00_1581;

						BgL_alphaz00_1581 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_1580))->
							BgL_fastzd2alphazd2);
						{	/* Integrate/node.scm 160 */

							if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1581,
									BGl_localz00zzast_varz00))
								{	/* Integrate/node.scm 162 */
									{	/* Integrate/node.scm 163 */
										BgL_variablez00_bglt BgL_vz00_2863;

										BgL_vz00_2863 =
											((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_alphaz00_1581));
										((((BgL_varz00_bglt) CREF(BgL_nodez00_1576))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) BgL_vz00_2863), BUNSPEC);
									}
									{	/* Integrate/node.scm 164 */
										BgL_typez00_bglt BgL_arg2076z00_1583;

										BgL_arg2076z00_1583 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_alphaz00_1581))))->
											BgL_typez00);
										{	/* Integrate/node.scm 164 */
											BgL_nodez00_bglt BgL_oz00_2868;

											BgL_oz00_2868 = ((BgL_nodez00_bglt) BgL_nodez00_1576);
											((((BgL_nodez00_bglt) CREF(BgL_oz00_2868))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg2076z00_1583), BUNSPEC);
										}
									}
									return
										BGl_gloz12z12zzintegrate_nodez00(
										((BgL_nodez00_bglt) BgL_nodez00_1576),
										((BgL_variablez00_bglt) BgL_integratorz00_1577));
								}
							else
								{	/* Integrate/node.scm 166 */
									bool_t BgL_testz00_4081;

									{	/* Integrate/node.scm 166 */
										bool_t BgL_res2283z00_2872;

										{	/* Integrate/node.scm 166 */
											obj_t BgL_objz00_2871;

											BgL_objz00_2871 = ((obj_t) BgL_variablez00_1580);
											BgL_res2283z00_2872 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2871,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_4081 = BgL_res2283z00_2872;
									}
									if (BgL_testz00_4081)
										{	/* Integrate/node.scm 166 */
											return ((BgL_nodez00_bglt) BgL_nodez00_1576);
										}
									else
										{	/* Integrate/node.scm 166 */
											if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
													((BgL_localz00_bglt) BgL_variablez00_1580)))
												{	/* Integrate/node.scm 168 */
													{	/* Integrate/node.scm 169 */
														BgL_localz00_bglt BgL_oz00_2873;
														obj_t BgL_vz00_2874;

														BgL_oz00_2873 =
															((BgL_localz00_bglt) BgL_variablez00_1580);
														BgL_vz00_2874 = CNST_TABLE_REF(((long) 1));
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt) BgL_oz00_2873)))->
																BgL_accessz00) =
															((obj_t) BgL_vz00_2874), BUNSPEC);
													}
													{	/* Integrate/node.scm 174 */
														BgL_nodez00_bglt BgL_oz00_2876;
														BgL_typez00_bglt BgL_vz00_2877;

														BgL_oz00_2876 =
															((BgL_nodez00_bglt) BgL_nodez00_1576);
														BgL_vz00_2877 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_oz00_2876))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_2877), BUNSPEC);
													}
													{	/* Integrate/node.scm 175 */
														BgL_boxzd2refzd2_bglt BgL_new1119z00_1586;

														{	/* Integrate/node.scm 175 */
															BgL_boxzd2refzd2_bglt BgL_new1118z00_1588;

															BgL_new1118z00_1588 =
																((BgL_boxzd2refzd2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_boxzd2refzd2_bgl))));
															{	/* Integrate/node.scm 175 */
																long BgL_arg2080z00_1589;

																{	/* Integrate/node.scm 175 */
																	long BgL_res2284z00_2880;

																	BgL_res2284z00_2880 =
																		BGL_CLASS_INDEX
																		(BGl_boxzd2refzd2zzast_nodez00);
																	BgL_arg2080z00_1589 = BgL_res2284z00_2880;
																}
																{	/* Integrate/node.scm 175 */
																	BgL_objectz00_bglt BgL_objz00_2881;

																	BgL_objz00_2881 =
																		((BgL_objectz00_bglt) BgL_new1118z00_1588);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2881,
																		BgL_arg2080z00_1589);
															}}
															{	/* Integrate/node.scm 175 */
																BgL_objectz00_bglt BgL_auxz00_4099;

																BgL_auxz00_4099 =
																	((BgL_objectz00_bglt) BgL_new1118z00_1588);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_4099,
																	BFALSE);
															}
															BgL_new1119z00_1586 = BgL_new1118z00_1588;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1119z00_1586)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		CREF(((BgL_nodez00_bglt)
																				BgL_nodez00_1576)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1119z00_1586)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																		CREF((((BgL_varz00_bglt)
																					CREF(BgL_nodez00_1576))->
																				BgL_variablez00)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	CREF(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1119z00_1586)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	CREF(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1119z00_1586)))->BgL_keyz00) =
															((obj_t) BINT(((long) -1))), BUNSPEC);
														((((BgL_boxzd2refzd2_bglt)
																	CREF(BgL_new1119z00_1586))->BgL_varz00) =
															((BgL_varz00_bglt) BgL_nodez00_1576), BUNSPEC);
														return ((BgL_nodez00_bglt) BgL_new1119z00_1586);
													}
												}
											else
												{	/* Integrate/node.scm 168 */
													return ((BgL_nodez00_bglt) BgL_nodez00_1576);
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* &glo!-kwote1952 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1952za2zzintegrate_nodez00(obj_t
		BgL_envz00_3169, obj_t BgL_nodez00_3170, obj_t BgL_integratorz00_3171)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 152 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3170));
		}
	}



/* &glo!-atom1950 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1950za2zzintegrate_nodez00(obj_t
		BgL_envz00_3172, obj_t BgL_nodez00_3173, obj_t BgL_integratorz00_3174)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 146 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3173));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					143977554), BSTRING_TO_STRING(BGl_string2348z00zzintegrate_nodez00));
		}
	}

#ifdef __cplusplus
}
#endif
