/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2select1994z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1980zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2sync1943zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1959zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1984z62zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1940zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zztrace_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62tracezd2node1971zb0zztrace_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1998zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i2002z62zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sync1976z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd22012zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd22014zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd22016zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1992z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1968z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1952zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz122008za2zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2node2009z62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box2004zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref2006zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1974z62zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1956zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1990z62zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1965z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1963z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21970z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1954zb0zztrace_walkz00(obj_t,
		obj_t);
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1982z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1986z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it2000z62zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1988z62zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1948z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2selec1961zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1950zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1978z62zztrace_walkz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62findzd2lastzd2nodezd2app1945zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1996zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62findzd2lastzd2node1937z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string2507z00zztrace_walkz00,
		BgL_bgl_string2507za700za7za7t2533za7, "trace-node", 10);
	      DEFINE_STRING(BGl_string2526z00zztrace_walkz00,
		BgL_bgl_string2526za700za7za7t2534za7, "toplevel-trace-node", 19);
	      DEFINE_STRING(BGl_string2529z00zztrace_walkz00,
		BgL_bgl_string2529za700za7za7t2535za7, "trace_walk", 10);
	      DEFINE_STRING(BGl_string2530z00zztrace_walkz00,
		BgL_bgl_string2530za700za7za7t2536za7,
		"value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location |:| env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2537za7,
		BGl_z62findzd2lastzd2node1937z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12538z00,
		BGl_z62tracezd2node1971zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2539z00,
		BGl_z62toplevelzd2tracezd2node2009z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2540za7,
		BGl_z62findzd2lastzd2nodezd2seque1940zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2541za7,
		BGl_z62findzd2lastzd2nodezd2sync1943zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2542za7,
		BGl_z62findzd2lastzd2nodezd2app1945zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2543za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1948z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2544za7,
		BGl_z62findzd2lastzd2nodezd2funca1950zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2545za7,
		BGl_z62findzd2lastzd2nodezd2exter1952zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2546za7,
		BGl_z62findzd2lastzd2nodezd2setq1954zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2547za7,
		BGl_z62findzd2lastzd2nodezd2condi1956zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72548za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2549za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2550z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2551za7,
		BGl_z62findzd2lastzd2nodezd2fail1959zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2552za7,
		BGl_z62findzd2lastzd2nodezd2selec1961zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2553za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1963z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2554za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1965z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2555za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1968z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2556za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21970z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72557za7,
		BGl_z62tracezd2nodezd2sequence1974z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72558za7,
		BGl_z62tracezd2nodezd2sync1976z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72559za7,
		BGl_z62tracezd2nodezd2app1978z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72560za7,
		BGl_z62tracezd2nodezd2appzd2ly1980zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72561za7,
		BGl_z62tracezd2nodezd2funcall1982z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72562za7,
		BGl_z62tracezd2nodezd2extern1984z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72563za7,
		BGl_z62tracezd2nodezd2cast1986z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72564za7,
		BGl_z62tracezd2nodezd2setq1988z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72565za7,
		BGl_z62tracezd2nodezd2condition1990z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72566za7,
		BGl_z62tracezd2nodezd2fail1992z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72567za7,
		BGl_z62tracezd2nodezd2select1994z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72568za7,
		BGl_z62tracezd2nodezd2letzd2fun1996zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72569za7,
		BGl_z62tracezd2nodezd2letzd2var1998zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72570za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it2000z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72571za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i2002z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72572za7,
		BGl_z62tracezd2nodezd2makezd2box2004zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72573za7,
		BGl_z62tracezd2nodezd2boxzd2ref2006zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72574za7,
		BGl_z62tracezd2nodezd2boxzd2setz122008za2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2575z00,
		BGl_z62toplevelzd2tracezd2nodezd22012zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2576z00,
		BGl_z62toplevelzd2tracezd2nodezd22014zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2577z00,
		BGl_z62toplevelzd2tracezd2nodezd22016zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2475z00zztrace_walkz00,
		BgL_bgl_string2475za700za7za7t2578za7, "Trace", 5);
	      DEFINE_STRING(BGl_string2476z00zztrace_walkz00,
		BgL_bgl_string2476za700za7za7t2579za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2477z00zztrace_walkz00,
		BgL_bgl_string2477za700za7za7t2580za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2478z00zztrace_walkz00,
		BgL_bgl_string2478za700za7za7t2581za7, " error", 6);
	      DEFINE_STRING(BGl_string2479z00zztrace_walkz00,
		BgL_bgl_string2479za700za7za7t2582za7, "s", 1);
	      DEFINE_STRING(BGl_string2480z00zztrace_walkz00,
		BgL_bgl_string2480za700za7za7t2583za7, "", 0);
	      DEFINE_STRING(BGl_string2481z00zztrace_walkz00,
		BgL_bgl_string2481za700za7za7t2584za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2482z00zztrace_walkz00,
		BgL_bgl_string2482za700za7za7t2585za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2483z00zztrace_walkz00,
		BgL_bgl_string2483za700za7za7t2586za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2484z00zztrace_walkz00,
		BgL_bgl_string2484za700za7za7t2587za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2486z00zztrace_walkz00,
		BgL_bgl_string2486za700za7za7t2588za7, "find-last-node1937", 18);
	      DEFINE_STRING(BGl_string2488z00zztrace_walkz00,
		BgL_bgl_string2488za700za7za7t2589za7, "trace-node1971", 14);
	      DEFINE_STRING(BGl_string2490z00zztrace_walkz00,
		BgL_bgl_string2490za700za7za7t2590za7, "toplevel-trace-node2009", 23);
	      DEFINE_STRING(BGl_string2492z00zztrace_walkz00,
		BgL_bgl_string2492za700za7za7t2591za7, "find-last-node", 14);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72592za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_3286, char *BgL_fromz00_3287)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_3274;

				BgL_cportz00_3274 =
					bgl_open_input_string(BGl_string2530z00zztrace_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3275;

					BgL_iz00_3275 = ((long) 20);
				BgL_loopz00_3276:
					if ((BgL_iz00_3275 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2532z00_3278;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_3280;

										BgL_locationz00_3280 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2532z00_3278 =
												BGl_readz00zz__readerz00(BgL_cportz00_3274,
												BgL_locationz00_3280);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_auxz00_3315;

									BgL_auxz00_3315 = (int) (BgL_iz00_3275);
									CNST_TABLE_SET(BgL_auxz00_3315, BgL_arg2532z00_3278);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_3281;

								BgL_auxz00_3281 = (int) ((BgL_iz00_3275 - ((long) 1)));
								{
									long BgL_iz00_3320;

									BgL_iz00_3320 = (long) (BgL_auxz00_3281);
									BgL_iz00_3275 = BgL_iz00_3320;
									goto BgL_loopz00_3276;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			{	/* Trace/walk.scm 39 */
				obj_t BgL_list2026z00_1374;

				{	/* Trace/walk.scm 39 */
					obj_t BgL_arg2027z00_1375;

					{	/* Trace/walk.scm 39 */
						obj_t BgL_arg2028z00_1376;

						BgL_arg2028z00_1376 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2027z00_1375 =
							MAKE_PAIR(BGl_string2475z00zztrace_walkz00, BgL_arg2028z00_1376);
					}
					BgL_list2026z00_1374 =
						MAKE_PAIR(BGl_string2476z00zztrace_walkz00, BgL_arg2027z00_1375);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2026z00_1374);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2475z00zztrace_walkz00;
			{
				obj_t BgL_hooksz00_1380;
				obj_t BgL_hnamesz00_1381;

				BgL_hooksz00_1380 = BNIL;
				BgL_hnamesz00_1381 = BNIL;
			BgL_zc3anonymousza32029ze3z83_1382:
				if (NULLP(BgL_hooksz00_1380))
					{	/* Trace/walk.scm 39 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Trace/walk.scm 39 */
						bool_t BgL_testz00_3332;

						{	/* Trace/walk.scm 39 */
							obj_t BgL_fun2035z00_1388;

							BgL_fun2035z00_1388 = CAR(BgL_hooksz00_1380);
							BgL_testz00_3332 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2035z00_1388) (BgL_fun2035z00_1388,
									BEOA));
						}
						if (BgL_testz00_3332)
							{
								obj_t BgL_hnamesz00_3340;
								obj_t BgL_hooksz00_3338;

								BgL_hooksz00_3338 = CDR(BgL_hooksz00_1380);
								BgL_hnamesz00_3340 = CDR(BgL_hnamesz00_1381);
								BgL_hnamesz00_1381 = BgL_hnamesz00_3340;
								BgL_hooksz00_1380 = BgL_hooksz00_3338;
								goto BgL_zc3anonymousza32029ze3z83_1382;
							}
						else
							{	/* Trace/walk.scm 39 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2475z00zztrace_walkz00,
									BGl_string2477z00zztrace_walkz00, CAR(BgL_hnamesz00_1381));
							}
					}
			}
			{	/* Trace/walk.scm 45 */
				obj_t BgL_idz00_1391;

				BgL_idz00_1391 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 45 */
					obj_t BgL_gloz00_1392;

					{	/* Trace/walk.scm 46 */
						obj_t BgL_list2039z00_1396;

						BgL_list2039z00_1396 =
							MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1392 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1391,
							BgL_list2039z00_1396);
					}
					{	/* Trace/walk.scm 46 */

						if (BGl_isazf3zf3zz__objectz00(BgL_gloz00_1392,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 48 */
								BgL_sfunz00_bglt BgL_i1104z00_1394;

								BgL_i1104z00_1394 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_1392))))->
										BgL_valuez00));
								{
									obj_t BgL_auxz00_3353;

									{	/* Trace/walk.scm 49 */
										obj_t BgL_arg2038z00_1395;

										BgL_arg2038z00_1395 =
											(((BgL_sfunz00_bglt) CREF(BgL_i1104z00_1394))->
											BgL_bodyz00);
										BgL_auxz00_3353 =
											((obj_t)
											BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
													(BgL_nodez00_bglt) BgL_arg2038z00_1395)));
									}
									((((BgL_sfunz00_bglt) CREF(BgL_i1104z00_1394))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_3353), BUNSPEC);
								}
							}
						else
							{	/* Trace/walk.scm 47 */
								BFALSE;
							}
					}
				}
			}
			{
				obj_t BgL_l1857z00_1398;

				BgL_l1857z00_1398 = BgL_globalsz00_17;
			BgL_zc3anonymousza32040ze3z83_1399:
				if (PAIRP(BgL_l1857z00_1398))
					{	/* Trace/walk.scm 51 */
						BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1857z00_1398), BNIL);
						{
							obj_t BgL_l1857z00_3363;

							BgL_l1857z00_3363 = CDR(BgL_l1857z00_1398);
							BgL_l1857z00_1398 = BgL_l1857z00_3363;
							goto BgL_zc3anonymousza32040ze3z83_1399;
						}
					}
				else
					{	/* Trace/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 52 */
					{	/* Trace/walk.scm 52 */
						obj_t BgL_port1859z00_1406;

						{	/* Trace/walk.scm 52 */
							obj_t BgL_res2371z00_2686;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_auxz00_3368;

								BgL_auxz00_3368 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2371z00_2686 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3368);
							}
							BgL_port1859z00_1406 = BgL_res2371z00_2686;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1859z00_1406);
						BGL_DISPLAY_STRING(BGl_string2478z00zztrace_walkz00,
							BgL_port1859z00_1406);
						{	/* Trace/walk.scm 52 */
							obj_t BgL_arg2044z00_1407;

							{	/* Trace/walk.scm 52 */
								bool_t BgL_testz00_3373;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 52 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 52 */
												BgL_testz00_3373 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 52 */
												BgL_testz00_3373 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 52 */
										BgL_testz00_3373 = ((bool_t) 0);
									}
								if (BgL_testz00_3373)
									{	/* Trace/walk.scm 52 */
										BgL_arg2044z00_1407 = BGl_string2479z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 52 */
										BgL_arg2044z00_1407 = BGl_string2480z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2044z00_1407, BgL_port1859z00_1406);
						}
						BGL_DISPLAY_STRING(BGl_string2481z00zztrace_walkz00,
							BgL_port1859z00_1406);
						bgl_display_char(((unsigned char) '\n'), BgL_port1859z00_1406);
					}
					{	/* Trace/walk.scm 52 */
						obj_t BgL_list2048z00_1411;

						BgL_list2048z00_1411 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2048z00_1411);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1415;
					obj_t BgL_hnamesz00_1416;

					BgL_hooksz00_1415 = BNIL;
					BgL_hnamesz00_1416 = BNIL;
				BgL_zc3anonymousza32049ze3z83_1417:
					if (NULLP(BgL_hooksz00_1415))
						{	/* Trace/walk.scm 52 */
							return BgL_globalsz00_17;
						}
					else
						{	/* Trace/walk.scm 52 */
							bool_t BgL_testz00_3390;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_fun2056z00_1423;

								BgL_fun2056z00_1423 = CAR(BgL_hooksz00_1415);
								BgL_testz00_3390 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2056z00_1423)
									(BgL_fun2056z00_1423, BEOA));
							}
							if (BgL_testz00_3390)
								{
									obj_t BgL_hnamesz00_3398;
									obj_t BgL_hooksz00_3396;

									BgL_hooksz00_3396 = CDR(BgL_hooksz00_1415);
									BgL_hnamesz00_3398 = CDR(BgL_hnamesz00_1416);
									BgL_hnamesz00_1416 = BgL_hnamesz00_3398;
									BgL_hooksz00_1415 = BgL_hooksz00_3396;
									goto BgL_zc3anonymousza32049ze3z83_1417;
								}
							else
								{	/* Trace/walk.scm 52 */
									obj_t BgL_arg2054z00_1422;

									BgL_arg2054z00_1422 = CAR(BgL_hnamesz00_1416);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2482z00zztrace_walkz00, BgL_arg2054z00_1422);
								}
						}
				}
		}
	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_3131,
		obj_t BgL_globalsz00_3132)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_3132);
		}
	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 63 */
			{	/* Trace/walk.scm 65 */
				bool_t BgL_testz00_3403;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18, BGl_globalz00zzast_varz00))
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3403 =
							(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
							CNST_TABLE_REF(((long) 1)));
					}
				else
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3403 = ((bool_t) 0);
					}
				if (BgL_testz00_3403)
					{	/* Trace/walk.scm 66 */
						obj_t BgL_arg2059z00_1427;

						{	/* Trace/walk.scm 66 */
							obj_t BgL_arg2060z00_1428;
							obj_t BgL_arg2061z00_1429;

							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg2062z00_1430;

								BgL_arg2062z00_1430 =
									string_to_symbol(BSTRING_TO_STRING
									(BGl_string2483z00zztrace_walkz00));
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2379z00_2714;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1330z00_2713;

										BgL_arg1330z00_2713 = SYMBOL_TO_STRING(BgL_arg2062z00_1430);
										BgL_res2379z00_2714 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1330z00_2713);
									}
									BgL_arg2060z00_1428 = BgL_res2379z00_2714;
								}
							}
							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg2063z00_1431;

								BgL_arg2063z00_1431 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2381z00_2720;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1330z00_2719;

										BgL_arg1330z00_2719 = SYMBOL_TO_STRING(BgL_arg2063z00_1431);
										BgL_res2381z00_2720 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1330z00_2719);
									}
									BgL_arg2061z00_1429 = BgL_res2381z00_2720;
								}
							}
							BgL_arg2059z00_1427 =
								string_append(BgL_arg2060z00_1428, BgL_arg2061z00_1429);
						}
						return string_to_symbol(BSTRING_TO_STRING(BgL_arg2059z00_1427));
					}
				else
					{	/* Trace/walk.scm 67 */
						bool_t BgL_testz00_3422;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3422 =
									(
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
									CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3422 = ((bool_t) 0);
							}
						if (BgL_testz00_3422)
							{	/* Trace/walk.scm 68 */
								obj_t BgL_arg2065z00_1433;

								{	/* Trace/walk.scm 68 */
									obj_t BgL_arg2066z00_1434;
									obj_t BgL_arg2067z00_1435;

									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg2068z00_1436;

										BgL_arg2068z00_1436 =
											string_to_symbol(BSTRING_TO_STRING
											(BGl_string2484z00zztrace_walkz00));
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2386z00_2732;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1330z00_2731;

												BgL_arg1330z00_2731 =
													SYMBOL_TO_STRING(BgL_arg2068z00_1436);
												BgL_res2386z00_2732 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1330z00_2731);
											}
											BgL_arg2066z00_1434 = BgL_res2386z00_2732;
										}
									}
									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg2069z00_1437;

										BgL_arg2069z00_1437 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2388z00_2738;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1330z00_2737;

												BgL_arg1330z00_2737 =
													SYMBOL_TO_STRING(BgL_arg2069z00_1437);
												BgL_res2388z00_2738 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1330z00_2737);
											}
											BgL_arg2067z00_1435 = BgL_res2388z00_2738;
										}
									}
									BgL_arg2065z00_1433 =
										string_append(BgL_arg2066z00_1434, BgL_arg2067z00_1435);
								}
								return string_to_symbol(BSTRING_TO_STRING(BgL_arg2065z00_1433));
							}
						else
							{	/* Trace/walk.scm 67 */
								if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
										BGl_globalz00zzast_varz00))
									{	/* Trace/walk.scm 70 */
										obj_t BgL_arg2071z00_1439;
										obj_t BgL_arg2072z00_1440;

										BgL_arg2071z00_1439 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg2072z00_1440 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 70 */
											obj_t BgL_list2073z00_1441;

											{	/* Trace/walk.scm 70 */
												obj_t BgL_arg2074z00_1442;

												{	/* Trace/walk.scm 70 */
													obj_t BgL_arg2075z00_1443;

													BgL_arg2075z00_1443 =
														MAKE_PAIR(BgL_arg2072z00_1440, BNIL);
													BgL_arg2074z00_1442 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg2075z00_1443);
												}
												BgL_list2073z00_1441 =
													MAKE_PAIR(BgL_arg2071z00_1439, BgL_arg2074z00_1442);
											}
											return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2073z00_1441);
										}
									}
								else
									{	/* Trace/walk.scm 69 */
										return
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}
	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 80 */
			{	/* Trace/walk.scm 81 */
				BgL_valuez00_bglt BgL_funz00_1448;

				BgL_funz00_1448 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 81 */
					obj_t BgL_bodyz00_1449;

					BgL_bodyz00_1449 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1448)))->BgL_bodyz00);
					{	/* Trace/walk.scm 82 */
						obj_t BgL_llocz00_1450;

						if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 84 */
								obj_t BgL_arg2101z00_1478;

								BgL_arg2101z00_1478 =
									BGl_findzd2lastzd2sexpz00zztrace_walkz00(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_varz00_19)))->BgL_srcz00));
								BgL_llocz00_1450 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg2101z00_1478);
							}
						else
							{	/* Trace/walk.scm 85 */
								obj_t BgL_arg2103z00_1480;

								BgL_arg2103z00_1480 =
									BGl_findzd2lastzd2nodez00zztrace_walkz00(
									((BgL_nodez00_bglt) BgL_bodyz00_1449));
								BgL_llocz00_1450 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_arg2103z00_1480)))->BgL_locz00);
							}
						{	/* Trace/walk.scm 83 */

							{	/* Trace/walk.scm 86 */
								bool_t BgL_testz00_3469;

								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1448)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 86 */
										BgL_testz00_3469 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 86 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 4)),
													(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																	BgL_funz00_1448)))->BgL_propertyz00))))
											{	/* Trace/walk.scm 87 */
												BgL_testz00_3469 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 88 */
												obj_t BgL_arg2098z00_1475;

												BgL_arg2098z00_1475 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_testz00_3469 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg2098z00_1475);
											}
									}
								if (BgL_testz00_3469)
									{	/* Trace/walk.scm 86 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 90 */
											obj_t BgL_bdz00_1453;

											{	/* Trace/walk.scm 90 */
												bool_t BgL_testz00_3485;

												if (
													((long)
														CINT
														(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
														> ((long) 1)))
													{	/* Trace/walk.scm 90 */
														BgL_testz00_3485 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 90 */
														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_globalz00zzast_varz00))
															{	/* Trace/walk.scm 92 */
																bool_t BgL__ortest_1110z00_1468;

																BgL__ortest_1110z00_1468 =
																	(
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	CNST_TABLE_REF(((long) 1)));
																if (BgL__ortest_1110z00_1468)
																	{	/* Trace/walk.scm 92 */
																		BgL_testz00_3485 = BgL__ortest_1110z00_1468;
																	}
																else
																	{	/* Trace/walk.scm 93 */
																		bool_t BgL__ortest_1111z00_1469;

																		BgL__ortest_1111z00_1469 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5)));
																		if (BgL__ortest_1111z00_1469)
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3485 =
																					BgL__ortest_1111z00_1469;
																			}
																		else
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3485 =
																					(
																					(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 91 */
																BgL_testz00_3485 = ((bool_t) 0);
															}
													}
												if (BgL_testz00_3485)
													{	/* Trace/walk.scm 102 */
														bool_t BgL_testz00_3508;

														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_localz00zzast_varz00))
															{	/* Trace/walk.scm 102 */
																BgL_testz00_3508 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 102 */
																if (
																	((((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_varz00_19))))->BgL_idz00) ==
																		CNST_TABLE_REF(((long) 5))))
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3508 = ((bool_t) 1);
																	}
																else
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3508 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 6)));
															}}
														if (BgL_testz00_3508)
															{	/* Trace/walk.scm 102 */
																BgL_bdz00_1453 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1449),
																		BgL_stackz00_20));
															}
														else
															{	/* Trace/walk.scm 106 */
																obj_t BgL_arg2087z00_1461;

																BgL_arg2087z00_1461 =
																	MAKE_PAIR(BgL_varz00_19, BgL_stackz00_20);
																BgL_bdz00_1453 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1449),
																		BgL_arg2087z00_1461));
															}
													}
												else
													{	/* Trace/walk.scm 90 */
														BgL_bdz00_1453 = BgL_bodyz00_1449;
													}
											}
											{	/* Trace/walk.scm 90 */
												BgL_typez00_bglt BgL_tz00_1454;

												{	/* Trace/walk.scm 108 */
													BgL_typez00_bglt BgL_arg2082z00_1457;
													BgL_typez00_bglt BgL_arg2083z00_1458;

													BgL_arg2082z00_1457 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_bodyz00_1449)))->
														BgL_typez00);
													BgL_arg2083z00_1458 =
														(((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1454 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg2082z00_1457, BgL_arg2083z00_1458);
												}
												{	/* Trace/walk.scm 108 */
													obj_t BgL_idz00_1455;

													BgL_idz00_1455 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 109 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1456;

														BgL_nbodyz00_1456 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1453),
															BgL_tz00_1454, BgL_idz00_1455, BgL_llocz00_1450,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 110 */

															{	/* Trace/walk.scm 111 */
																BgL_sfunz00_bglt BgL_oz00_2798;
																obj_t BgL_vz00_2799;

																BgL_oz00_2798 =
																	((BgL_sfunz00_bglt) BgL_funz00_1448);
																BgL_vz00_2799 = ((obj_t) BgL_nbodyz00_1456);
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_2798))->
																		BgL_bodyz00) =
																	((obj_t) BgL_vz00_2799), BUNSPEC);
															}
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 86 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_21)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 121 */
			{
				obj_t BgL_sexpz00_1482;
				obj_t BgL_resz00_1483;

				BgL_sexpz00_1482 = BgL_sexpz00_21;
				BgL_resz00_1483 = BgL_sexpz00_21;
			BgL_zc3anonymousza32104ze3z83_1484:
				if (PAIRP(BgL_sexpz00_1482))
					{	/* Trace/walk.scm 127 */
						bool_t BgL_testz00_3543;

						{	/* Trace/walk.scm 127 */
							obj_t BgL_auxz00_3544;

							BgL_auxz00_3544 = CDR(BgL_sexpz00_1482);
							BgL_testz00_3543 = PAIRP(BgL_auxz00_3544);
						}
						if (BgL_testz00_3543)
							{
								obj_t BgL_resz00_3549;
								obj_t BgL_sexpz00_3547;

								BgL_sexpz00_3547 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1482);
								BgL_resz00_3549 = BgL_sexpz00_1482;
								BgL_resz00_1483 = BgL_resz00_3549;
								BgL_sexpz00_1482 = BgL_sexpz00_3547;
								goto BgL_zc3anonymousza32104ze3z83_1484;
							}
						else
							{
								obj_t BgL_resz00_3552;
								obj_t BgL_sexpz00_3550;

								BgL_sexpz00_3550 = CAR(BgL_sexpz00_1482);
								BgL_resz00_3552 = BgL_sexpz00_1482;
								BgL_resz00_1483 = BgL_resz00_3552;
								BgL_sexpz00_1482 = BgL_sexpz00_3550;
								goto BgL_zc3anonymousza32104ze3z83_1484;
							}
					}
				else
					{	/* Trace/walk.scm 125 */
						return BgL_resz00_1483;
					}
			}
		}
	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_37,
		BgL_typez00_bglt BgL_typez00_38, obj_t BgL_symbolz00_39,
		obj_t BgL_llocz00_40, obj_t BgL_stackz00_41)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 246 */
			{	/* Trace/walk.scm 247 */
				obj_t BgL_locz00_1491;

				BgL_locz00_1491 =
					(((BgL_nodez00_bglt) CREF(BgL_nodez00_37))->BgL_locz00);
				{	/* Trace/walk.scm 247 */
					obj_t BgL_auxz00_1492;

					BgL_auxz00_1492 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 248 */
						obj_t BgL_tauxz00_1493;

						BgL_tauxz00_1493 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1492,
							(((BgL_typez00_bglt) CREF(BgL_typez00_38))->BgL_idz00));
						{	/* Trace/walk.scm 249 */
							obj_t BgL_tmp1z00_1494;

							BgL_tmp1z00_1494 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 250 */
								obj_t BgL_tmp2z00_1495;

								BgL_tmp2z00_1495 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 251 */
									obj_t BgL_tmp3z00_1496;

									BgL_tmp3z00_1496 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 252 */
										obj_t BgL_symz00_1497;

										{	/* Trace/walk.scm 253 */
											bool_t BgL_testz00_3568;

											if (PAIRP(BgL_stackz00_41))
												{	/* Trace/walk.scm 253 */
													obj_t BgL_arg2172z00_1551;

													BgL_arg2172z00_1551 = CAR(BgL_stackz00_41);
													BgL_testz00_3568 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2172z00_1551,
														BGl_variablez00zzast_varz00);
												}
											else
												{	/* Trace/walk.scm 253 */
													BgL_testz00_3568 = ((bool_t) 0);
												}
											if (BgL_testz00_3568)
												{	/* Trace/walk.scm 254 */
													obj_t BgL_arg2164z00_1545;

													BgL_arg2164z00_1545 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_stackz00_41))))->BgL_idz00);
													{	/* Trace/walk.scm 254 */
														obj_t BgL_list2165z00_1546;

														{	/* Trace/walk.scm 254 */
															obj_t BgL_arg2166z00_1547;

															{	/* Trace/walk.scm 254 */
																obj_t BgL_arg2167z00_1548;

																BgL_arg2167z00_1548 =
																	MAKE_PAIR(BgL_arg2164z00_1545, BNIL);
																BgL_arg2166z00_1547 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																	BgL_arg2167z00_1548);
															}
															BgL_list2165z00_1546 =
																MAKE_PAIR(BgL_symbolz00_39,
																BgL_arg2166z00_1547);
														}
														BgL_symz00_1497 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2165z00_1546);
												}}
											else
												{	/* Trace/walk.scm 253 */
													BgL_symz00_1497 = BgL_symbolz00_39;
												}
										}
										{	/* Trace/walk.scm 253 */
											obj_t BgL_lz00_1498;

											{	/* Trace/walk.scm 256 */
												bool_t BgL_testz00_3581;

												if (STRUCTP(BgL_locz00_1491))
													{	/* Trace/walk.scm 256 */
														BgL_testz00_3581 =
															(STRUCT_KEY(BgL_locz00_1491) ==
															CNST_TABLE_REF(((long) 12)));
													}
												else
													{	/* Trace/walk.scm 256 */
														BgL_testz00_3581 = ((bool_t) 0);
													}
												if (BgL_testz00_3581)
													{	/* Trace/walk.scm 257 */
														obj_t BgL_arg2159z00_1540;

														{	/* Trace/walk.scm 257 */
															obj_t BgL_arg2160z00_1541;
															obj_t BgL_arg2161z00_1542;

															BgL_arg2160z00_1541 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1491);
															BgL_arg2161z00_1542 =
																MAKE_PAIR(STRUCT_REF(BgL_locz00_1491,
																	(int) (((long) 1))), BNIL);
															BgL_arg2159z00_1540 =
																MAKE_PAIR(BgL_arg2160z00_1541,
																BgL_arg2161z00_1542);
														}
														BgL_lz00_1498 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg2159z00_1540);
													}
												else
													{	/* Trace/walk.scm 256 */
														BgL_lz00_1498 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 256 */
												obj_t BgL_expz00_1499;

												{	/* Trace/walk.scm 258 */
													obj_t BgL_arg2114z00_1503;

													{	/* Trace/walk.scm 258 */
														obj_t BgL_arg2116z00_1504;
														obj_t BgL_arg2118z00_1505;

														{	/* Trace/walk.scm 258 */
															obj_t BgL_arg2120z00_1506;
															obj_t BgL_arg2121z00_1507;

															{	/* Trace/walk.scm 258 */
																obj_t BgL_arg2123z00_1508;

																{	/* Trace/walk.scm 258 */
																	obj_t BgL_arg2124z00_1509;

																	{	/* Trace/walk.scm 258 */
																		obj_t BgL_arg2125z00_1510;

																		BgL_arg2125z00_1510 =
																			MAKE_PAIR(BgL_symz00_1497, BNIL);
																		BgL_arg2124z00_1509 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																			BgL_arg2125z00_1510);
																	}
																	BgL_arg2123z00_1508 =
																		MAKE_PAIR(BgL_arg2124z00_1509, BNIL);
																}
																BgL_arg2120z00_1506 =
																	MAKE_PAIR(BgL_tmp1z00_1494,
																	BgL_arg2123z00_1508);
															}
															{	/* Trace/walk.scm 259 */
																obj_t BgL_arg2126z00_1511;
																obj_t BgL_arg2127z00_1512;

																{	/* Trace/walk.scm 259 */
																	obj_t BgL_arg2128z00_1513;

																	{	/* Trace/walk.scm 259 */
																		obj_t BgL_arg2129z00_1514;

																		{	/* Trace/walk.scm 259 */
																			obj_t BgL_arg2130z00_1515;

																			BgL_arg2130z00_1515 =
																				MAKE_PAIR(BgL_lz00_1498, BNIL);
																			BgL_arg2129z00_1514 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																				BgL_arg2130z00_1515);
																		}
																		BgL_arg2128z00_1513 =
																			MAKE_PAIR(BgL_arg2129z00_1514, BNIL);
																	}
																	BgL_arg2126z00_1511 =
																		MAKE_PAIR(BgL_tmp2z00_1495,
																		BgL_arg2128z00_1513);
																}
																{	/* Trace/walk.scm 260 */
																	obj_t BgL_arg2131z00_1516;

																	{	/* Trace/walk.scm 260 */
																		obj_t BgL_arg2132z00_1517;
																		obj_t BgL_arg2133z00_1518;

																		BgL_arg2132z00_1517 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1496,
																			CNST_TABLE_REF(((long) 15)));
																		{	/* Trace/walk.scm 260 */
																			obj_t BgL_arg2134z00_1519;

																			BgL_arg2134z00_1519 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																				BNIL);
																			BgL_arg2133z00_1518 =
																				MAKE_PAIR(BgL_arg2134z00_1519, BNIL);
																		}
																		BgL_arg2131z00_1516 =
																			MAKE_PAIR(BgL_arg2132z00_1517,
																			BgL_arg2133z00_1518);
																	}
																	BgL_arg2127z00_1512 =
																		MAKE_PAIR(BgL_arg2131z00_1516, BNIL);
																}
																BgL_arg2121z00_1507 =
																	MAKE_PAIR(BgL_arg2126z00_1511,
																	BgL_arg2127z00_1512);
															}
															BgL_arg2116z00_1504 =
																MAKE_PAIR(BgL_arg2120z00_1506,
																BgL_arg2121z00_1507);
														}
														{	/* Trace/walk.scm 262 */
															obj_t BgL_arg2135z00_1520;

															{	/* Trace/walk.scm 262 */
																obj_t BgL_arg2136z00_1521;

																{	/* Trace/walk.scm 262 */
																	obj_t BgL_arg2137z00_1522;

																	{	/* Trace/walk.scm 262 */
																		obj_t BgL_arg2138z00_1523;
																		obj_t BgL_arg2139z00_1524;

																		{	/* Trace/walk.scm 262 */
																			obj_t BgL_arg2141z00_1525;

																			{	/* Trace/walk.scm 262 */
																				obj_t BgL_arg2142z00_1526;

																				{	/* Trace/walk.scm 262 */
																					obj_t BgL_arg2143z00_1527;

																					BgL_arg2143z00_1527 =
																						MAKE_PAIR(BgL_tmp2z00_1495, BNIL);
																					BgL_arg2142z00_1526 =
																						MAKE_PAIR(BgL_tmp1z00_1494,
																						BgL_arg2143z00_1527);
																				}
																				BgL_arg2141z00_1525 =
																					MAKE_PAIR(BgL_tmp3z00_1496,
																					BgL_arg2142z00_1526);
																			}
																			BgL_arg2138z00_1523 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																				BgL_arg2141z00_1525);
																		}
																		{	/* Trace/walk.scm 263 */
																			obj_t BgL_arg2146z00_1528;

																			{	/* Trace/walk.scm 263 */
																				obj_t BgL_arg2147z00_1529;

																				{	/* Trace/walk.scm 263 */
																					obj_t BgL_arg2148z00_1530;
																					obj_t BgL_arg2149z00_1531;

																					{	/* Trace/walk.scm 263 */
																						obj_t BgL_arg2150z00_1532;

																						{	/* Trace/walk.scm 263 */
																							obj_t BgL_arg2151z00_1533;

																							BgL_arg2151z00_1533 =
																								MAKE_PAIR(
																								((obj_t) BgL_nodez00_37), BNIL);
																							BgL_arg2150z00_1532 =
																								MAKE_PAIR(BgL_tauxz00_1493,
																								BgL_arg2151z00_1533);
																						}
																						BgL_arg2148z00_1530 =
																							MAKE_PAIR(BgL_arg2150z00_1532,
																							BNIL);
																					}
																					{	/* Trace/walk.scm 264 */
																						obj_t BgL_arg2152z00_1534;
																						obj_t BgL_arg2153z00_1535;

																						{	/* Trace/walk.scm 264 */
																							bool_t BgL_testz00_3622;

																							if (STRUCTP(BgL_llocz00_40))
																								{	/* Trace/walk.scm 264 */
																									BgL_testz00_3622 =
																										(STRUCT_KEY(BgL_llocz00_40)
																										==
																										CNST_TABLE_REF(((long)
																												12)));
																								}
																							else
																								{	/* Trace/walk.scm 264 */
																									BgL_testz00_3622 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3622)
																								{	/* Trace/walk.scm 266 */
																									obj_t BgL_arg2156z00_1537;

																									{	/* Trace/walk.scm 266 */
																										obj_t BgL_res2417z00_2841;

																										BgL_res2417z00_2841 =
																											MAKE_EXTENDED_PAIR
																											(BgL_tmp3z00_1496, BNIL,
																											BgL_llocz00_40);
																										BgL_arg2156z00_1537 =
																											BgL_res2417z00_2841;
																									}
																									{	/* Trace/walk.scm 265 */
																										obj_t BgL_res2418z00_2845;

																										{	/* Trace/walk.scm 265 */
																											obj_t BgL_obj1z00_2842;

																											BgL_obj1z00_2842 =
																												CNST_TABLE_REF(((long)
																													18));
																											BgL_res2418z00_2845 =
																												MAKE_EXTENDED_PAIR
																												(BgL_obj1z00_2842,
																												BgL_arg2156z00_1537,
																												BgL_llocz00_40);
																										}
																										BgL_arg2152z00_1534 =
																											BgL_res2418z00_2845;
																								}}
																							else
																								{	/* Trace/walk.scm 268 */
																									obj_t BgL_arg2157z00_1538;

																									BgL_arg2157z00_1538 =
																										MAKE_PAIR(BgL_tmp3z00_1496,
																										BNIL);
																									BgL_arg2152z00_1534 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 18)),
																										BgL_arg2157z00_1538);
																						}}
																						BgL_arg2153z00_1535 =
																							MAKE_PAIR(BgL_auxz00_1492, BNIL);
																						BgL_arg2149z00_1531 =
																							MAKE_PAIR(BgL_arg2152z00_1534,
																							BgL_arg2153z00_1535);
																					}
																					BgL_arg2147z00_1529 =
																						MAKE_PAIR(BgL_arg2148z00_1530,
																						BgL_arg2149z00_1531);
																				}
																				BgL_arg2146z00_1528 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																					BgL_arg2147z00_1529);
																			}
																			BgL_arg2139z00_1524 =
																				MAKE_PAIR(BgL_arg2146z00_1528, BNIL);
																		}
																		BgL_arg2137z00_1522 =
																			MAKE_PAIR(BgL_arg2138z00_1523,
																			BgL_arg2139z00_1524);
																	}
																	BgL_arg2136z00_1521 =
																		MAKE_PAIR(BNIL, BgL_arg2137z00_1522);
																}
																BgL_arg2135z00_1520 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																	BgL_arg2136z00_1521);
															}
															BgL_arg2118z00_1505 =
																MAKE_PAIR(BgL_arg2135z00_1520, BNIL);
														}
														BgL_arg2114z00_1503 =
															MAKE_PAIR(BgL_arg2116z00_1504,
															BgL_arg2118z00_1505);
													}
													BgL_expz00_1499 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
														BgL_arg2114z00_1503);
												}
												{	/* Trace/walk.scm 258 */
													BgL_nodez00_bglt BgL_nnodez00_1500;

													BgL_nnodez00_1500 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1499,
														BNIL, BgL_locz00_1491, CNST_TABLE_REF(((long) 20)));
													{	/* Trace/walk.scm 270 */

														{	/* Trace/walk.scm 271 */
															bool_t BgL_arg2112z00_1501;

															{	/* Trace/walk.scm 271 */
																obj_t BgL_arg2113z00_1502;

																BgL_arg2113z00_1502 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg2112z00_1501 =
																	(((BgL_backendz00_bglt) CREF(
																			((BgL_backendz00_bglt)
																				BgL_arg2113z00_1502)))->
																	BgL_removezd2emptyzd2letz00);
															}
															{	/* Trace/walk.scm 271 */
																BgL_letzd2varzd2_bglt BgL_oz00_2849;

																BgL_oz00_2849 =
																	((BgL_letzd2varzd2_bglt) BgL_nnodez00_1500);
																((((BgL_letzd2varzd2_bglt)
																			CREF(BgL_oz00_2849))->
																		BgL_removablezf3zf3) =
																	((bool_t) BgL_arg2112z00_1501), BUNSPEC);
														}}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1500);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_80,
		obj_t BgL_stackz00_81)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 435 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_80))
				{	/* Trace/walk.scm 436 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 436 */
					{	/* Trace/walk.scm 437 */
						BgL_nodez00_bglt BgL_arg2180z00_1558;

						{	/* Trace/walk.scm 437 */
							obj_t BgL_arg2181z00_1559;

							BgL_arg2181z00_1559 = CAR(BgL_nodeza2za2_80);
							BgL_arg2180z00_1558 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2181z00_1559), BgL_stackz00_81);
						}
						{	/* Trace/walk.scm 437 */
							obj_t BgL_pairz00_2855;
							obj_t BgL_objz00_2856;

							BgL_pairz00_2855 = BgL_nodeza2za2_80;
							BgL_objz00_2856 = ((obj_t) BgL_arg2180z00_1558);
							SET_CAR(BgL_pairz00_2855, BgL_objz00_2856);
						}
					}
					{
						obj_t BgL_nodeza2za2_3663;

						BgL_nodeza2za2_3663 = CDR(BgL_nodeza2za2_80);
						BgL_nodeza2za2_80 = BgL_nodeza2za2_3663;
						goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
					}
				}
		}
	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_86)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 485 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_86))
				{	/* Trace/walk.scm 486 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 486 */
					{	/* Trace/walk.scm 487 */
						BgL_nodez00_bglt BgL_arg2184z00_1562;

						{	/* Trace/walk.scm 487 */
							obj_t BgL_arg2185z00_1563;

							BgL_arg2185z00_1563 = CAR(BgL_nodeza2za2_86);
							BgL_arg2184z00_1562 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2185z00_1563));
						}
						{	/* Trace/walk.scm 487 */
							obj_t BgL_pairz00_2861;
							obj_t BgL_objz00_2862;

							BgL_pairz00_2861 = BgL_nodeza2za2_86;
							BgL_objz00_2862 = ((obj_t) BgL_arg2184z00_1562);
							SET_CAR(BgL_pairz00_2861, BgL_objz00_2862);
						}
					}
					{
						obj_t BgL_nodeza2za2_3672;

						BgL_nodeza2za2_3672 = CDR(BgL_nodeza2za2_86);
						BgL_nodeza2za2_86 = BgL_nodeza2za2_3672;
						goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2485z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2486z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2487z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2488z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2489z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2490z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node2009 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2node2009z62zztrace_walkz00(obj_t
		BgL_envz00_3136, obj_t BgL_nodez00_3137)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 443 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3137);
		}
	}



/* &trace-node1971 */
	BgL_nodez00_bglt BGl_z62tracezd2node1971zb0zztrace_walkz00(obj_t
		BgL_envz00_3138, obj_t BgL_nodez00_3139, obj_t BgL_stackz00_3140)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 277 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3139);
		}
	}



/* &find-last-node1937 */
	BgL_nodez00_bglt BGl_z62findzd2lastzd2node1937z62zztrace_walkz00(obj_t
		BgL_envz00_3141, obj_t BgL_nodez00_3142)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3142);
		}
	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			{	/* Trace/walk.scm 138 */
				obj_t BgL_method1938z00_1578;

				{	/* Trace/walk.scm 138 */
					obj_t BgL_res2428z00_2892;

					{	/* Trace/walk.scm 138 */
						BgL_objectz00_bglt BgL_objz00_2864;

						BgL_objz00_2864 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Trace/walk.scm 138 */
							long BgL_objzd2classzd2numz00_2865;

							{	/* Trace/walk.scm 138 */
								long BgL_res2422z00_2868;

								BgL_res2422z00_2868 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2864);
								BgL_objzd2classzd2numz00_2865 = BgL_res2422z00_2868;
							}
							{	/* Trace/walk.scm 138 */
								obj_t BgL_arg1820z00_2866;

								BgL_arg1820z00_2866 =
									PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 138 */
									obj_t BgL_arrayz00_2869;
									int BgL_offsetz00_2870;

									BgL_arrayz00_2869 = BgL_arg1820z00_2866;
									BgL_offsetz00_2870 = (int) (BgL_objzd2classzd2numz00_2865);
									{	/* Trace/walk.scm 138 */
										long BgL_offsetz00_2871;

										BgL_offsetz00_2871 =
											((long) (BgL_offsetz00_2870) - OBJECT_TYPE);
										{	/* Trace/walk.scm 138 */
											long BgL_modz00_2872;

											{	/* Trace/walk.scm 138 */
												int BgL_arg1822z00_2873;

												BgL_arg1822z00_2873 = (int) (((long) 16));
												{	/* Trace/walk.scm 138 */
													long BgL_res2425z00_2883;

													{	/* Trace/walk.scm 138 */
														long BgL_auxz00_3688;

														BgL_auxz00_3688 = (long) (BgL_arg1822z00_2873);
														BgL_res2425z00_2883 =
															(BgL_offsetz00_2871 / BgL_auxz00_3688);
													}
													BgL_modz00_2872 = BgL_res2425z00_2883;
											}}
											{	/* Trace/walk.scm 138 */
												long BgL_restz00_2874;

												{	/* Trace/walk.scm 138 */
													int BgL_arg1821z00_2875;

													BgL_arg1821z00_2875 = (int) (((long) 16));
													{	/* Trace/walk.scm 138 */
														long BgL_res2427z00_2887;

														{	/* Trace/walk.scm 138 */
															long BgL_auxz00_3692;

															BgL_auxz00_3692 = (long) (BgL_arg1821z00_2875);
															BgL_res2427z00_2887 =
																(BgL_offsetz00_2871 % BgL_auxz00_3692);
														}
														BgL_restz00_2874 = BgL_res2427z00_2887;
												}}
												{	/* Trace/walk.scm 138 */

													BgL_res2428z00_2892 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2869,
															(int) (BgL_modz00_2872)),
														(int) (BgL_restz00_2874));
					}}}}}}}}
					BgL_method1938z00_1578 = BgL_res2428z00_2892;
				}
				return
					PROCEDURE_ENTRY(BgL_method1938z00_1578) (BgL_method1938z00_1578,
					((obj_t) BgL_nodez00_22), BEOA);
			}
		}
	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_3143,
		obj_t BgL_nodez00_3144)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3144));
		}
	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_42, obj_t BgL_stackz00_43)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 277 */
			{	/* Trace/walk.scm 277 */
				obj_t BgL_method1972z00_1579;

				{	/* Trace/walk.scm 277 */
					obj_t BgL_res2435z00_2921;

					{	/* Trace/walk.scm 277 */
						BgL_objectz00_bglt BgL_objz00_2893;

						BgL_objz00_2893 = ((BgL_objectz00_bglt) BgL_nodez00_42);
						{	/* Trace/walk.scm 277 */
							long BgL_objzd2classzd2numz00_2894;

							{	/* Trace/walk.scm 277 */
								long BgL_res2429z00_2897;

								BgL_res2429z00_2897 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2893);
								BgL_objzd2classzd2numz00_2894 = BgL_res2429z00_2897;
							}
							{	/* Trace/walk.scm 277 */
								obj_t BgL_arg1820z00_2895;

								BgL_arg1820z00_2895 =
									PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 277 */
									obj_t BgL_arrayz00_2898;
									int BgL_offsetz00_2899;

									BgL_arrayz00_2898 = BgL_arg1820z00_2895;
									BgL_offsetz00_2899 = (int) (BgL_objzd2classzd2numz00_2894);
									{	/* Trace/walk.scm 277 */
										long BgL_offsetz00_2900;

										BgL_offsetz00_2900 =
											((long) (BgL_offsetz00_2899) - OBJECT_TYPE);
										{	/* Trace/walk.scm 277 */
											long BgL_modz00_2901;

											{	/* Trace/walk.scm 277 */
												int BgL_arg1822z00_2902;

												BgL_arg1822z00_2902 = (int) (((long) 16));
												{	/* Trace/walk.scm 277 */
													long BgL_res2432z00_2912;

													{	/* Trace/walk.scm 277 */
														long BgL_auxz00_3714;

														BgL_auxz00_3714 = (long) (BgL_arg1822z00_2902);
														BgL_res2432z00_2912 =
															(BgL_offsetz00_2900 / BgL_auxz00_3714);
													}
													BgL_modz00_2901 = BgL_res2432z00_2912;
											}}
											{	/* Trace/walk.scm 277 */
												long BgL_restz00_2903;

												{	/* Trace/walk.scm 277 */
													int BgL_arg1821z00_2904;

													BgL_arg1821z00_2904 = (int) (((long) 16));
													{	/* Trace/walk.scm 277 */
														long BgL_res2434z00_2916;

														{	/* Trace/walk.scm 277 */
															long BgL_auxz00_3718;

															BgL_auxz00_3718 = (long) (BgL_arg1821z00_2904);
															BgL_res2434z00_2916 =
																(BgL_offsetz00_2900 % BgL_auxz00_3718);
														}
														BgL_restz00_2903 = BgL_res2434z00_2916;
												}}
												{	/* Trace/walk.scm 277 */

													BgL_res2435z00_2921 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2898,
															(int) (BgL_modz00_2901)),
														(int) (BgL_restz00_2903));
					}}}}}}}}
					BgL_method1972z00_1579 = BgL_res2435z00_2921;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1972z00_1579) (BgL_method1972z00_1579,
						((obj_t) BgL_nodez00_42), BgL_stackz00_43, BEOA));
			}
		}
	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_3145,
		obj_t BgL_nodez00_3146, obj_t BgL_stackz00_3147)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 277 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3146), BgL_stackz00_3147);
		}
	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_82)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 443 */
			{	/* Trace/walk.scm 443 */
				obj_t BgL_method2010z00_1580;

				{	/* Trace/walk.scm 443 */
					obj_t BgL_res2442z00_2950;

					{	/* Trace/walk.scm 443 */
						BgL_objectz00_bglt BgL_objz00_2922;

						BgL_objz00_2922 = ((BgL_objectz00_bglt) BgL_nodez00_82);
						{	/* Trace/walk.scm 443 */
							long BgL_objzd2classzd2numz00_2923;

							{	/* Trace/walk.scm 443 */
								long BgL_res2436z00_2926;

								BgL_res2436z00_2926 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2922);
								BgL_objzd2classzd2numz00_2923 = BgL_res2436z00_2926;
							}
							{	/* Trace/walk.scm 443 */
								obj_t BgL_arg1820z00_2924;

								BgL_arg1820z00_2924 =
									PROCEDURE_REF
									(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 443 */
									obj_t BgL_arrayz00_2927;
									int BgL_offsetz00_2928;

									BgL_arrayz00_2927 = BgL_arg1820z00_2924;
									BgL_offsetz00_2928 = (int) (BgL_objzd2classzd2numz00_2923);
									{	/* Trace/walk.scm 443 */
										long BgL_offsetz00_2929;

										BgL_offsetz00_2929 =
											((long) (BgL_offsetz00_2928) - OBJECT_TYPE);
										{	/* Trace/walk.scm 443 */
											long BgL_modz00_2930;

											{	/* Trace/walk.scm 443 */
												int BgL_arg1822z00_2931;

												BgL_arg1822z00_2931 = (int) (((long) 16));
												{	/* Trace/walk.scm 443 */
													long BgL_res2439z00_2941;

													{	/* Trace/walk.scm 443 */
														long BgL_auxz00_3742;

														BgL_auxz00_3742 = (long) (BgL_arg1822z00_2931);
														BgL_res2439z00_2941 =
															(BgL_offsetz00_2929 / BgL_auxz00_3742);
													}
													BgL_modz00_2930 = BgL_res2439z00_2941;
											}}
											{	/* Trace/walk.scm 443 */
												long BgL_restz00_2932;

												{	/* Trace/walk.scm 443 */
													int BgL_arg1821z00_2933;

													BgL_arg1821z00_2933 = (int) (((long) 16));
													{	/* Trace/walk.scm 443 */
														long BgL_res2441z00_2945;

														{	/* Trace/walk.scm 443 */
															long BgL_auxz00_3746;

															BgL_auxz00_3746 = (long) (BgL_arg1821z00_2933);
															BgL_res2441z00_2945 =
																(BgL_offsetz00_2929 % BgL_auxz00_3746);
														}
														BgL_restz00_2932 = BgL_res2441z00_2945;
												}}
												{	/* Trace/walk.scm 443 */

													BgL_res2442z00_2950 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2927,
															(int) (BgL_modz00_2930)),
														(int) (BgL_restz00_2932));
					}}}}}}}}
					BgL_method2010z00_1580 = BgL_res2442z00_2950;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method2010z00_1580) (BgL_method2010z00_1580,
						((obj_t) BgL_nodez00_82), BEOA));
			}
		}
	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_3148, obj_t BgL_nodez00_3149)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 443 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3149));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2491z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2493z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2494z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2495z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2496z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2497z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2498z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2499z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2500z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2501z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2502z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2503z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2504z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2505z00zztrace_walkz00,
				BGl_string2492z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2506z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2508z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2509z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2510z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2511z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2512z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2513z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2514z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2515z00zztrace_walkz00,
				BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2516z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc2517z00zztrace_walkz00, BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2518z00zztrace_walkz00,
				BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2519z00zztrace_walkz00,
				BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2520z00zztrace_walkz00,
				BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2521z00zztrace_walkz00,
				BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2522z00zztrace_walkz00,
				BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2523z00zztrace_walkz00,
				BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2524z00zztrace_walkz00,
				BGl_string2507z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2525z00zztrace_walkz00,
				BGl_string2526z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2527z00zztrace_walkz00,
				BGl_string2526z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2528z00zztrace_walkz00,
				BGl_string2526z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node-2016 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd22016zb0zztrace_walkz00(obj_t
		BgL_envz00_3185, obj_t BgL_nodez00_3186)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 469 */
			{
				BgL_setqz00_bglt BgL_nodez00_1854;

				BgL_nodez00_1854 = ((BgL_setqz00_bglt) BgL_nodez00_3186);
				{	/* Trace/walk.scm 471 */
					BgL_varz00_bglt BgL_i1129z00_1858;

					BgL_i1129z00_1858 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1854))->BgL_varz00);
					{	/* Trace/walk.scm 472 */
						bool_t BgL_testz00_3797;

						{	/* Trace/walk.scm 472 */
							bool_t BgL_testz00_3798;

							{	/* Trace/walk.scm 472 */
								BgL_variablez00_bglt BgL_arg2308z00_1879;

								BgL_arg2308z00_1879 =
									(((BgL_varz00_bglt) CREF(BgL_i1129z00_1858))->
									BgL_variablez00);
								{	/* Trace/walk.scm 472 */
									bool_t BgL_res2468z00_3078;

									{	/* Trace/walk.scm 472 */
										obj_t BgL_objz00_3077;

										BgL_objz00_3077 = ((obj_t) BgL_arg2308z00_1879);
										BgL_res2468z00_3078 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3077,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_3798 = BgL_res2468z00_3078;
								}
							}
							if (BgL_testz00_3798)
								{	/* Trace/walk.scm 473 */
									bool_t BgL_testz00_3802;

									{	/* Trace/walk.scm 473 */
										bool_t BgL_testz00_3803;

										{	/* Trace/walk.scm 473 */
											BgL_nodez00_bglt BgL_arg2307z00_1878;

											BgL_arg2307z00_1878 =
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1854))->
												BgL_valuez00);
											{	/* Trace/walk.scm 473 */
												bool_t BgL_res2469z00_3080;

												{	/* Trace/walk.scm 473 */
													obj_t BgL_objz00_3079;

													BgL_objz00_3079 = ((obj_t) BgL_arg2307z00_1878);
													BgL_res2469z00_3080 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3079,
														BGl_atomz00zzast_nodez00);
												}
												BgL_testz00_3803 = BgL_res2469z00_3080;
											}
										}
										if (BgL_testz00_3803)
											{	/* Trace/walk.scm 473 */
												BgL_testz00_3802 = ((bool_t) 1);
											}
										else
											{	/* Trace/walk.scm 474 */
												bool_t BgL_testz00_3807;

												{	/* Trace/walk.scm 474 */
													BgL_nodez00_bglt BgL_arg2305z00_1877;

													BgL_arg2305z00_1877 =
														(((BgL_setqz00_bglt) CREF(BgL_nodez00_1854))->
														BgL_valuez00);
													{	/* Trace/walk.scm 474 */
														bool_t BgL_res2470z00_3082;

														{	/* Trace/walk.scm 474 */
															obj_t BgL_objz00_3081;

															BgL_objz00_3081 = ((obj_t) BgL_arg2305z00_1877);
															BgL_res2470z00_3082 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_3081,
																BGl_varz00zzast_nodez00);
														}
														BgL_testz00_3807 = BgL_res2470z00_3082;
													}
												}
												if (BgL_testz00_3807)
													{	/* Trace/walk.scm 474 */
														BgL_testz00_3802 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 475 */
														bool_t BgL_testz00_3811;

														{	/* Trace/walk.scm 475 */
															BgL_nodez00_bglt BgL_arg2304z00_1876;

															BgL_arg2304z00_1876 =
																(((BgL_setqz00_bglt) CREF(BgL_nodez00_1854))->
																BgL_valuez00);
															{	/* Trace/walk.scm 475 */
																bool_t BgL_res2471z00_3084;

																{	/* Trace/walk.scm 475 */
																	obj_t BgL_objz00_3083;

																	BgL_objz00_3083 =
																		((obj_t) BgL_arg2304z00_1876);
																	BgL_res2471z00_3084 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_3083,
																		BGl_kwotez00zzast_nodez00);
																}
																BgL_testz00_3811 = BgL_res2471z00_3084;
															}
														}
														if (BgL_testz00_3811)
															{	/* Trace/walk.scm 475 */
																BgL_testz00_3802 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 476 */
																BgL_nodez00_bglt BgL_arg2303z00_1875;

																BgL_arg2303z00_1875 =
																	(((BgL_setqz00_bglt) CREF(BgL_nodez00_1854))->
																	BgL_valuez00);
																{	/* Trace/walk.scm 476 */
																	bool_t BgL_res2472z00_3086;

																	{	/* Trace/walk.scm 476 */
																		obj_t BgL_objz00_3085;

																		BgL_objz00_3085 =
																			((obj_t) BgL_arg2303z00_1875);
																		BgL_res2472z00_3086 =
																			BGl_isazf3zf3zz__objectz00
																			(BgL_objz00_3085,
																			BGl_pragmaz00zzast_nodez00);
																	}
																	BgL_testz00_3802 = BgL_res2472z00_3086;
																}
															}
													}
											}
									}
									if (BgL_testz00_3802)
										{	/* Trace/walk.scm 473 */
											BgL_testz00_3797 = ((bool_t) 0);
										}
									else
										{	/* Trace/walk.scm 473 */
											BgL_testz00_3797 = ((bool_t) 1);
										}
								}
							else
								{	/* Trace/walk.scm 472 */
									BgL_testz00_3797 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3797)
							{	/* Trace/walk.scm 477 */
								BgL_typez00_bglt BgL_tz00_1860;

								{	/* Trace/walk.scm 477 */
									BgL_typez00_bglt BgL_arg2294z00_1866;
									BgL_typez00_bglt BgL_arg2295z00_1867;

									BgL_arg2294z00_1866 =
										(((BgL_nodez00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1854))->
													BgL_valuez00)))->BgL_typez00);
									BgL_arg2295z00_1867 =
										(((BgL_variablez00_bglt)
											CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
																(BgL_varz00_bglt) CREF(BgL_i1129z00_1858))->
															BgL_variablez00)))))->BgL_typez00);
									BgL_tz00_1860 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg2294z00_1866, BgL_arg2295z00_1867);
								}
								{	/* Trace/walk.scm 477 */
									BgL_letzd2varzd2_bglt BgL_tracez00_1861;

									{	/* Trace/walk.scm 478 */
										BgL_nodez00_bglt BgL_arg2289z00_1862;
										obj_t BgL_arg2290z00_1863;
										obj_t BgL_arg2292z00_1864;

										BgL_arg2289z00_1862 =
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1854))->
											BgL_valuez00);
										{	/* Trace/walk.scm 478 */
											BgL_variablez00_bglt BgL_arg2293z00_1865;

											BgL_arg2293z00_1865 =
												(((BgL_varz00_bglt) CREF(BgL_i1129z00_1858))->
												BgL_variablez00);
											BgL_arg2290z00_1863 =
												BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
													BgL_arg2293z00_1865));
										}
										BgL_arg2292z00_1864 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1854)))->BgL_locz00);
										BgL_tracez00_1861 =
											BGl_makezd2tracedzd2nodez00zztrace_walkz00
											(BgL_arg2289z00_1862, BgL_tz00_1860, BgL_arg2290z00_1863,
											BgL_arg2292z00_1864, BNIL);
									}
									{	/* Trace/walk.scm 478 */

										((((BgL_setqz00_bglt) CREF(BgL_nodez00_1854))->
												BgL_valuez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_tracez00_1861)), BUNSPEC);
									}
								}
							}
						else
							{	/* Trace/walk.scm 472 */
								BFALSE;
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1854);
			}
		}
	}



/* &toplevel-trace-node-2014 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd22014zb0zztrace_walkz00(obj_t
		BgL_envz00_3187, obj_t BgL_nodez00_3188)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 456 */
			{
				BgL_syncz00_bglt BgL_nodez00_1847;

				BgL_nodez00_1847 = ((BgL_syncz00_bglt) BgL_nodez00_3188);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1847))->BgL_mutexz00) =
					((BgL_nodez00_bglt)
						BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1847))->BgL_mutexz00))), BUNSPEC);
				BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_1847))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1847);
			}
		}
	}



/* &toplevel-trace-node-2012 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd22012zb0zztrace_walkz00(obj_t
		BgL_envz00_3189, obj_t BgL_nodez00_3190)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 449 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1842;

				BgL_nodez00_1842 = ((BgL_sequencez00_bglt) BgL_nodez00_3190);
				BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1842))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1842);
			}
		}
	}



/* &trace-node-box-set!2008 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz122008za2zztrace_walkz00(obj_t
		BgL_envz00_3191, obj_t BgL_nodez00_3192, obj_t BgL_stackz00_3193)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 426 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1834;
				obj_t BgL_stackz00_1835;

				BgL_nodez00_1834 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3192);
				BgL_stackz00_1835 = BgL_stackz00_3193;
				{
					BgL_varz00_bglt BgL_auxz00_3847;

					{	/* Trace/walk.scm 428 */
						BgL_varz00_bglt BgL_arg2282z00_1839;

						BgL_arg2282z00_1839 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1834))->BgL_varz00);
						BgL_auxz00_3847 =
							((BgL_varz00_bglt)
							BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2282z00_1839), BgL_stackz00_1835));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1834))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3847), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3853;

					{	/* Trace/walk.scm 429 */
						BgL_nodez00_bglt BgL_arg2283z00_1840;

						BgL_arg2283z00_1840 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1834))->
							BgL_valuez00);
						BgL_auxz00_3853 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2283z00_1840,
							BgL_stackz00_1835);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1834))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3853), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1834);
			}
		}
	}



/* &trace-node-box-ref2006 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref2006zb0zztrace_walkz00(obj_t
		BgL_envz00_3194, obj_t BgL_nodez00_3195, obj_t BgL_stackz00_3196)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 419 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1827;
				obj_t BgL_stackz00_1828;

				BgL_nodez00_1827 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3195);
				BgL_stackz00_1828 = BgL_stackz00_3196;
				{	/* Trace/walk.scm 420 */
					BgL_nodez00_bglt BgL_arg2280z00_3057;

					{	/* Trace/walk.scm 420 */
						BgL_varz00_bglt BgL_arg2281z00_3058;

						BgL_arg2281z00_3058 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1827))->BgL_varz00);
						BgL_arg2280z00_3057 =
							BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg2281z00_3058), BgL_stackz00_1828);
					}
					{	/* Trace/walk.scm 420 */
						BgL_varz00_bglt BgL_vz00_3063;

						BgL_vz00_3063 = ((BgL_varz00_bglt) BgL_arg2280z00_3057);
						((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1827))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_vz00_3063), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1827);
			}
		}
	}



/* &trace-node-make-box2004 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box2004zb0zztrace_walkz00(obj_t
		BgL_envz00_3197, obj_t BgL_nodez00_3198, obj_t BgL_stackz00_3199)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 412 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1820;
				obj_t BgL_stackz00_1821;

				BgL_nodez00_1820 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3198);
				BgL_stackz00_1821 = BgL_stackz00_3199;
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1820))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
									CREF(BgL_nodez00_1820))->BgL_valuez00), BgL_stackz00_1821)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1820);
			}
		}
	}



/* &trace-node-jump-ex-i2002 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i2002z62zztrace_walkz00(obj_t
		BgL_envz00_3200, obj_t BgL_nodez00_3201, obj_t BgL_stackz00_3202)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 403 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1812;
				obj_t BgL_stackz00_1813;

				BgL_nodez00_1812 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3201);
				BgL_stackz00_1813 = BgL_stackz00_3202;
				{
					BgL_nodez00_bglt BgL_auxz00_3871;

					{	/* Trace/walk.scm 405 */
						BgL_nodez00_bglt BgL_arg2276z00_1817;

						BgL_arg2276z00_1817 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1812))->
							BgL_exitz00);
						BgL_auxz00_3871 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2276z00_1817,
							BgL_stackz00_1813);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1812))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3871), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3875;

					{	/* Trace/walk.scm 406 */
						BgL_nodez00_bglt BgL_arg2277z00_1818;

						BgL_arg2277z00_1818 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1812))->
							BgL_valuez00);
						BgL_auxz00_3875 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2277z00_1818,
							BgL_stackz00_1813);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1812))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3875), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1812);
			}
		}
	}



/* &trace-node-set-ex-it2000 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it2000z62zztrace_walkz00(obj_t
		BgL_envz00_3203, obj_t BgL_nodez00_3204, obj_t BgL_stackz00_3205)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 396 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1805;
				obj_t BgL_stackz00_1806;

				BgL_nodez00_1805 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3204);
				BgL_stackz00_1806 = BgL_stackz00_3205;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1805))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
									CREF(BgL_nodez00_1805))->BgL_bodyz00), BgL_stackz00_1806)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1805);
			}
		}
	}



/* &trace-node-let-var1998 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1998zb0zztrace_walkz00(obj_t
		BgL_envz00_3206, obj_t BgL_nodez00_3207, obj_t BgL_stackz00_3208)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 385 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1788;
				obj_t BgL_stackz00_1789;

				BgL_nodez00_1788 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3207);
				BgL_stackz00_1789 = BgL_stackz00_3208;
				{	/* Trace/walk.scm 387 */
					obj_t BgL_g1936z00_1793;

					BgL_g1936z00_1793 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1788))->BgL_bindingsz00);
					{
						obj_t BgL_l1934z00_1795;

						BgL_l1934z00_1795 = BgL_g1936z00_1793;
					BgL_zc3anonymousza32268ze3z83_1796:
						if (PAIRP(BgL_l1934z00_1795))
							{	/* Trace/walk.scm 387 */
								{	/* Trace/walk.scm 388 */
									obj_t BgL_bindingz00_1798;

									BgL_bindingz00_1798 = CAR(BgL_l1934z00_1795);
									{	/* Trace/walk.scm 388 */
										BgL_nodez00_bglt BgL_arg2270z00_1799;

										{	/* Trace/walk.scm 388 */
											obj_t BgL_arg2271z00_1800;

											BgL_arg2271z00_1800 = CDR(BgL_bindingz00_1798);
											BgL_arg2270z00_1799 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg2271z00_1800),
												BgL_stackz00_1789);
										}
										{	/* Trace/walk.scm 388 */
											obj_t BgL_pairz00_3038;
											obj_t BgL_objz00_3039;

											BgL_pairz00_3038 = BgL_bindingz00_1798;
											BgL_objz00_3039 = ((obj_t) BgL_arg2270z00_1799);
											SET_CDR(BgL_pairz00_3038, BgL_objz00_3039);
										}
									}
								}
								{
									obj_t BgL_l1934z00_3895;

									BgL_l1934z00_3895 = CDR(BgL_l1934z00_1795);
									BgL_l1934z00_1795 = BgL_l1934z00_3895;
									goto BgL_zc3anonymousza32268ze3z83_1796;
								}
							}
						else
							{	/* Trace/walk.scm 387 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3897;

					{	/* Trace/walk.scm 390 */
						BgL_nodez00_bglt BgL_arg2273z00_1803;

						BgL_arg2273z00_1803 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1788))->BgL_bodyz00);
						BgL_auxz00_3897 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2273z00_1803,
							BgL_stackz00_1789);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1788))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3897), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1788);
			}
		}
	}



/* &trace-node-let-fun1996 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1996zb0zztrace_walkz00(obj_t
		BgL_envz00_3209, obj_t BgL_nodez00_3210, obj_t BgL_stackz00_3211)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 376 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1773;
				obj_t BgL_stackz00_1774;

				BgL_nodez00_1773 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3210);
				BgL_stackz00_1774 = BgL_stackz00_3211;
				{	/* Trace/walk.scm 378 */
					obj_t BgL_g1933z00_1778;

					BgL_g1933z00_1778 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1773))->BgL_localsz00);
					{
						obj_t BgL_l1931z00_1780;

						BgL_l1931z00_1780 = BgL_g1933z00_1778;
					BgL_zc3anonymousza32264ze3z83_1781:
						if (PAIRP(BgL_l1931z00_1780))
							{	/* Trace/walk.scm 378 */
								BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1931z00_1780),
									BgL_stackz00_1774);
								{
									obj_t BgL_l1931z00_3908;

									BgL_l1931z00_3908 = CDR(BgL_l1931z00_1780);
									BgL_l1931z00_1780 = BgL_l1931z00_3908;
									goto BgL_zc3anonymousza32264ze3z83_1781;
								}
							}
						else
							{	/* Trace/walk.scm 378 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3910;

					{	/* Trace/walk.scm 379 */
						BgL_nodez00_bglt BgL_arg2267z00_1786;

						BgL_arg2267z00_1786 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1773))->BgL_bodyz00);
						BgL_auxz00_3910 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2267z00_1786,
							BgL_stackz00_1774);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1773))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3910), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1773);
			}
		}
	}



/* &trace-node-select1994 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2select1994z62zztrace_walkz00(obj_t
		BgL_envz00_3212, obj_t BgL_nodez00_3213, obj_t BgL_stackz00_3214)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 365 */
			{
				BgL_selectz00_bglt BgL_nodez00_1756;
				obj_t BgL_stackz00_1757;

				BgL_nodez00_1756 = ((BgL_selectz00_bglt) BgL_nodez00_3213);
				BgL_stackz00_1757 = BgL_stackz00_3214;
				{
					BgL_nodez00_bglt BgL_auxz00_3916;

					{	/* Trace/walk.scm 367 */
						BgL_nodez00_bglt BgL_arg2258z00_1761;

						BgL_arg2258z00_1761 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1756))->BgL_testz00);
						BgL_auxz00_3916 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2258z00_1761,
							BgL_stackz00_1757);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1756))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3916), BUNSPEC);
				}
				{	/* Trace/walk.scm 368 */
					obj_t BgL_g1930z00_1762;

					BgL_g1930z00_1762 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1756))->BgL_clausesz00);
					{
						obj_t BgL_l1860z00_1764;

						BgL_l1860z00_1764 = BgL_g1930z00_1762;
					BgL_zc3anonymousza32259ze3z83_1765:
						if (PAIRP(BgL_l1860z00_1764))
							{	/* Trace/walk.scm 368 */
								{	/* Trace/walk.scm 369 */
									obj_t BgL_clausez00_1767;

									BgL_clausez00_1767 = CAR(BgL_l1860z00_1764);
									{	/* Trace/walk.scm 369 */
										BgL_nodez00_bglt BgL_arg2261z00_1768;

										{	/* Trace/walk.scm 369 */
											obj_t BgL_arg2262z00_1769;

											BgL_arg2262z00_1769 = CDR(BgL_clausez00_1767);
											BgL_arg2261z00_1768 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg2262z00_1769),
												BgL_stackz00_1757);
										}
										{	/* Trace/walk.scm 369 */
											obj_t BgL_pairz00_3027;
											obj_t BgL_objz00_3028;

											BgL_pairz00_3027 = BgL_clausez00_1767;
											BgL_objz00_3028 = ((obj_t) BgL_arg2261z00_1768);
											SET_CDR(BgL_pairz00_3027, BgL_objz00_3028);
										}
									}
								}
								{
									obj_t BgL_l1860z00_3929;

									BgL_l1860z00_3929 = CDR(BgL_l1860z00_1764);
									BgL_l1860z00_1764 = BgL_l1860z00_3929;
									goto BgL_zc3anonymousza32259ze3z83_1765;
								}
							}
						else
							{	/* Trace/walk.scm 368 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1756);
			}
		}
	}



/* &trace-node-fail1992 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1992z62zztrace_walkz00(obj_t
		BgL_envz00_3215, obj_t BgL_nodez00_3216, obj_t BgL_stackz00_3217)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 355 */
			{
				BgL_failz00_bglt BgL_nodez00_1747;
				obj_t BgL_stackz00_1748;

				BgL_nodez00_1747 = ((BgL_failz00_bglt) BgL_nodez00_3216);
				BgL_stackz00_1748 = BgL_stackz00_3217;
				{
					BgL_nodez00_bglt BgL_auxz00_3933;

					{	/* Trace/walk.scm 357 */
						BgL_nodez00_bglt BgL_arg2254z00_1752;

						BgL_arg2254z00_1752 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1747))->BgL_procz00);
						BgL_auxz00_3933 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2254z00_1752,
							BgL_stackz00_1748);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1747))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3933), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3937;

					{	/* Trace/walk.scm 358 */
						BgL_nodez00_bglt BgL_arg2255z00_1753;

						BgL_arg2255z00_1753 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1747))->BgL_msgz00);
						BgL_auxz00_3937 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2255z00_1753,
							BgL_stackz00_1748);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1747))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3937), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3941;

					{	/* Trace/walk.scm 359 */
						BgL_nodez00_bglt BgL_arg2257z00_1754;

						BgL_arg2257z00_1754 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1747))->BgL_objz00);
						BgL_auxz00_3941 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2257z00_1754,
							BgL_stackz00_1748);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1747))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3941), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1747);
			}
		}
	}



/* &trace-node-condition1990 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1990z62zztrace_walkz00(obj_t
		BgL_envz00_3218, obj_t BgL_nodez00_3219, obj_t BgL_stackz00_3220)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 345 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1738;
				obj_t BgL_stackz00_1739;

				BgL_nodez00_1738 = ((BgL_conditionalz00_bglt) BgL_nodez00_3219);
				BgL_stackz00_1739 = BgL_stackz00_3220;
				{
					BgL_nodez00_bglt BgL_auxz00_3947;

					{	/* Trace/walk.scm 347 */
						BgL_nodez00_bglt BgL_arg2251z00_1743;

						BgL_arg2251z00_1743 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1738))->BgL_testz00);
						BgL_auxz00_3947 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2251z00_1743,
							BgL_stackz00_1739);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1738))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3947), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3951;

					{	/* Trace/walk.scm 348 */
						BgL_nodez00_bglt BgL_arg2252z00_1744;

						BgL_arg2252z00_1744 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1738))->BgL_truez00);
						BgL_auxz00_3951 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2252z00_1744,
							BgL_stackz00_1739);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1738))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3951), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3955;

					{	/* Trace/walk.scm 349 */
						BgL_nodez00_bglt BgL_arg2253z00_1745;

						BgL_arg2253z00_1745 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1738))->
							BgL_falsez00);
						BgL_auxz00_3955 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2253z00_1745,
							BgL_stackz00_1739);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1738))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3955), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1738);
			}
		}
	}



/* &trace-node-setq1988 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1988z62zztrace_walkz00(obj_t
		BgL_envz00_3221, obj_t BgL_nodez00_3222, obj_t BgL_stackz00_3223)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 338 */
			{
				BgL_setqz00_bglt BgL_nodez00_1731;
				obj_t BgL_stackz00_1732;

				BgL_nodez00_1731 = ((BgL_setqz00_bglt) BgL_nodez00_3222);
				BgL_stackz00_1732 = BgL_stackz00_3223;
				((((BgL_setqz00_bglt) CREF(BgL_nodez00_1731))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
									CREF(BgL_nodez00_1731))->BgL_valuez00), BgL_stackz00_1732)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1731);
			}
		}
	}



/* &trace-node-cast1986 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1986z62zztrace_walkz00(obj_t
		BgL_envz00_3224, obj_t BgL_nodez00_3225, obj_t BgL_stackz00_3226)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 331 */
			{
				BgL_castz00_bglt BgL_nodez00_1725;
				obj_t BgL_stackz00_1726;

				BgL_nodez00_1725 = ((BgL_castz00_bglt) BgL_nodez00_3225);
				BgL_stackz00_1726 = BgL_stackz00_3226;
				BGl_tracezd2nodezd2zztrace_walkz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1725))->BgL_argz00),
					BgL_stackz00_1726);
				return ((BgL_nodez00_bglt) BgL_nodez00_1725);
			}
		}
	}



/* &trace-node-extern1984 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1984z62zztrace_walkz00(obj_t
		BgL_envz00_3227, obj_t BgL_nodez00_3228, obj_t BgL_stackz00_3229)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 324 */
			{
				BgL_externz00_bglt BgL_nodez00_1719;
				obj_t BgL_stackz00_1720;

				BgL_nodez00_1719 = ((BgL_externz00_bglt) BgL_nodez00_3228);
				BgL_stackz00_1720 = BgL_stackz00_3229;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1719))->BgL_exprza2za2),
					BgL_stackz00_1720);
				return ((BgL_nodez00_bglt) BgL_nodez00_1719);
			}
		}
	}



/* &trace-node-funcall1982 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1982z62zztrace_walkz00(obj_t
		BgL_envz00_3230, obj_t BgL_nodez00_3231, obj_t BgL_stackz00_3232)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 315 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1711;
				obj_t BgL_stackz00_1712;

				BgL_nodez00_1711 = ((BgL_funcallz00_bglt) BgL_nodez00_3231);
				BgL_stackz00_1712 = BgL_stackz00_3232;
				{
					BgL_nodez00_bglt BgL_auxz00_3974;

					{	/* Trace/walk.scm 317 */
						BgL_nodez00_bglt BgL_arg2245z00_1716;

						BgL_arg2245z00_1716 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1711))->BgL_funz00);
						BgL_auxz00_3974 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2245z00_1716,
							BgL_stackz00_1712);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1711))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3974), BUNSPEC);
				}
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1711))->BgL_argsz00),
					BgL_stackz00_1712);
				return ((BgL_nodez00_bglt) BgL_nodez00_1711);
			}
		}
	}



/* &trace-node-app-ly1980 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1980zb0zztrace_walkz00(obj_t
		BgL_envz00_3233, obj_t BgL_nodez00_3234, obj_t BgL_stackz00_3235)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 306 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1703;
				obj_t BgL_stackz00_1704;

				BgL_nodez00_1703 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3234);
				BgL_stackz00_1704 = BgL_stackz00_3235;
				{
					BgL_nodez00_bglt BgL_auxz00_3982;

					{	/* Trace/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg2243z00_1708;

						BgL_arg2243z00_1708 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1703))->BgL_funz00);
						BgL_auxz00_3982 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2243z00_1708,
							BgL_stackz00_1704);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1703))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3982), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3986;

					{	/* Trace/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg2244z00_1709;

						BgL_arg2244z00_1709 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1703))->BgL_argz00);
						BgL_auxz00_3986 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2244z00_1709,
							BgL_stackz00_1704);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1703))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3986), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1703);
			}
		}
	}



/* &trace-node-app1978 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1978z62zztrace_walkz00(obj_t
		BgL_envz00_3236, obj_t BgL_nodez00_3237, obj_t BgL_stackz00_3238)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 299 */
			{
				BgL_appz00_bglt BgL_nodez00_1697;
				obj_t BgL_stackz00_1698;

				BgL_nodez00_1697 = ((BgL_appz00_bglt) BgL_nodez00_3237);
				BgL_stackz00_1698 = BgL_stackz00_3238;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1697))->BgL_argsz00),
					BgL_stackz00_1698);
				return ((BgL_nodez00_bglt) BgL_nodez00_1697);
			}
		}
	}



/* &trace-node-sync1976 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sync1976z62zztrace_walkz00(obj_t
		BgL_envz00_3239, obj_t BgL_nodez00_3240, obj_t BgL_stackz00_3241)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 290 */
			{
				BgL_syncz00_bglt BgL_nodez00_1689;
				obj_t BgL_stackz00_1690;

				BgL_nodez00_1689 = ((BgL_syncz00_bglt) BgL_nodez00_3240);
				BgL_stackz00_1690 = BgL_stackz00_3241;
				{
					BgL_nodez00_bglt BgL_auxz00_3996;

					{	/* Trace/walk.scm 292 */
						BgL_nodez00_bglt BgL_arg2239z00_1694;

						BgL_arg2239z00_1694 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1689))->BgL_mutexz00);
						BgL_auxz00_3996 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2239z00_1694,
							BgL_stackz00_1690);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1689))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3996), BUNSPEC);
				}
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1689))->BgL_nodesz00),
					BgL_stackz00_1690);
				return ((BgL_nodez00_bglt) BgL_nodez00_1689);
			}
		}
	}



/* &trace-node-sequence1974 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1974z62zztrace_walkz00(obj_t
		BgL_envz00_3242, obj_t BgL_nodez00_3243, obj_t BgL_stackz00_3244)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 283 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1683;
				obj_t BgL_stackz00_1684;

				BgL_nodez00_1683 = ((BgL_sequencez00_bglt) BgL_nodez00_3243);
				BgL_stackz00_1684 = BgL_stackz00_3244;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1683))->BgL_nodesz00),
					BgL_stackz00_1684);
				return ((BgL_nodez00_bglt) BgL_nodez00_1683);
			}
		}
	}



/* &find-last-node-jump-1970 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21970z62zztrace_walkz00(obj_t
		BgL_envz00_3245, obj_t BgL_nodez00_3246)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 240 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1678;

				BgL_nodez00_1678 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3246);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1678))->
						BgL_valuez00));
			}
		}
	}



/* &find-last-node-set-e1968 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1968z62zztrace_walkz00(obj_t
		BgL_envz00_3247, obj_t BgL_nodez00_3248)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 234 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1673;

				BgL_nodez00_1673 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3248);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1673))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-let-f1965 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1965z62zztrace_walkz00(obj_t
		BgL_envz00_3249, obj_t BgL_nodez00_3250)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 228 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1668;

				BgL_nodez00_1668 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3250);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1668))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-let-v1963 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1963z62zztrace_walkz00(obj_t
		BgL_envz00_3251, obj_t BgL_nodez00_3252)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 222 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1663;

				BgL_nodez00_1663 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3252);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1663))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-selec1961 */
	obj_t BGl_z62findzd2lastzd2nodezd2selec1961zb0zztrace_walkz00(obj_t
		BgL_envz00_3253, obj_t BgL_nodez00_3254)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 213 */
			{
				BgL_selectz00_bglt BgL_nodez00_1652;

				BgL_nodez00_1652 = ((BgL_selectz00_bglt) BgL_nodez00_3254);
				{	/* Trace/walk.scm 215 */
					bool_t BgL_testz00_4020;

					{	/* Trace/walk.scm 215 */
						obj_t BgL_auxz00_4021;

						BgL_auxz00_4021 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1652))->BgL_clausesz00);
						BgL_testz00_4020 = PAIRP(BgL_auxz00_4021);
					}
					if (BgL_testz00_4020)
						{	/* Trace/walk.scm 216 */
							obj_t BgL_arg2227z00_1657;

							BgL_arg2227z00_1657 =
								CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1652))->
										BgL_clausesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2227z00_1657));
						}
					else
						{	/* Trace/walk.scm 215 */
							return
								BGl_findzd2lastzd2sexpz00zztrace_walkz00(
								((obj_t)
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1652))->
										BgL_testz00)));
						}
				}
			}
		}
	}



/* &find-last-node-fail1959 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1959zb0zztrace_walkz00(obj_t
		BgL_envz00_3255, obj_t BgL_nodez00_3256)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 207 */
			{
				BgL_failz00_bglt BgL_nodez00_1647;

				BgL_nodez00_1647 = ((BgL_failz00_bglt) BgL_nodez00_3256);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1647))->BgL_objz00));
			}
		}
	}



/* &find-last-node-condi1956 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1956zb0zztrace_walkz00(obj_t
		BgL_envz00_3257, obj_t BgL_nodez00_3258)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 201 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1642;

				BgL_nodez00_1642 = ((BgL_conditionalz00_bglt) BgL_nodez00_3258);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1642))->BgL_falsez00));
			}
		}
	}



/* &find-last-node-setq1954 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1954zb0zztrace_walkz00(obj_t
		BgL_envz00_3259, obj_t BgL_nodez00_3260)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 195 */
			{
				BgL_setqz00_bglt BgL_nodez00_1637;

				BgL_nodez00_1637 = ((BgL_setqz00_bglt) BgL_nodez00_3260);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1637))->BgL_valuez00));
			}
		}
	}



/* &find-last-node-exter1952 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1952zb0zztrace_walkz00(obj_t
		BgL_envz00_3261, obj_t BgL_nodez00_3262)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 186 */
			{
				BgL_externz00_bglt BgL_nodez00_1627;

				BgL_nodez00_1627 = ((BgL_externz00_bglt) BgL_nodez00_3262);
				if (NULLP(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1627))->BgL_exprza2za2)))
					{	/* Trace/walk.scm 188 */
						return ((obj_t) BgL_nodez00_1627);
					}
				else
					{	/* Trace/walk.scm 189 */
						obj_t BgL_arg2217z00_1632;

						BgL_arg2217z00_1632 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_externz00_bglt) CREF(BgL_nodez00_1627))->
									BgL_exprza2za2)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg2217z00_1632));
					}
			}
		}
	}



/* &find-last-node-funca1950 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1950zb0zztrace_walkz00(obj_t
		BgL_envz00_3263, obj_t BgL_nodez00_3264)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 177 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1616;

				BgL_nodez00_1616 = ((BgL_funcallz00_bglt) BgL_nodez00_3264);
				{	/* Trace/walk.scm 179 */
					bool_t BgL_testz00_4052;

					{	/* Trace/walk.scm 179 */
						obj_t BgL_auxz00_4053;

						BgL_auxz00_4053 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1616))->BgL_argsz00);
						BgL_testz00_4052 = PAIRP(BgL_auxz00_4053);
					}
					if (BgL_testz00_4052)
						{	/* Trace/walk.scm 180 */
							obj_t BgL_arg2210z00_1621;

							BgL_arg2210z00_1621 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1616))->
										BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2210z00_1621));
						}
					else
						{	/* Trace/walk.scm 179 */
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1616))->BgL_funz00));
						}
				}
			}
		}
	}



/* &find-last-node-app-l1948 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1948z62zztrace_walkz00(obj_t
		BgL_envz00_3265, obj_t BgL_nodez00_3266)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 171 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1611;

				BgL_nodez00_1611 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3266);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1611))->BgL_argz00));
			}
		}
	}



/* &find-last-node-app1945 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1945zb0zztrace_walkz00(obj_t
		BgL_envz00_3267, obj_t BgL_nodez00_3268)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 162 */
			{
				BgL_appz00_bglt BgL_nodez00_1601;

				BgL_nodez00_1601 = ((BgL_appz00_bglt) BgL_nodez00_3268);
				{	/* Trace/walk.scm 164 */
					bool_t BgL_testz00_4067;

					{	/* Trace/walk.scm 164 */
						obj_t BgL_auxz00_4068;

						BgL_auxz00_4068 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1601))->BgL_argsz00);
						BgL_testz00_4067 = PAIRP(BgL_auxz00_4068);
					}
					if (BgL_testz00_4067)
						{	/* Trace/walk.scm 165 */
							obj_t BgL_arg2203z00_1606;

							BgL_arg2203z00_1606 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1601))->BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2203z00_1606));
						}
					else
						{	/* Trace/walk.scm 164 */
							return ((obj_t) BgL_nodez00_1601);
						}
				}
			}
		}
	}



/* &find-last-node-sync1943 */
	obj_t BGl_z62findzd2lastzd2nodezd2sync1943zb0zztrace_walkz00(obj_t
		BgL_envz00_3269, obj_t BgL_nodez00_3270)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 153 */
			{
				BgL_syncz00_bglt BgL_nodez00_1591;

				BgL_nodez00_1591 = ((BgL_syncz00_bglt) BgL_nodez00_3270);
				if (NULLP((((BgL_syncz00_bglt) CREF(BgL_nodez00_1591))->BgL_nodesz00)))
					{	/* Trace/walk.scm 155 */
						return
							((obj_t)
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1591))->BgL_mutexz00));
					}
				else
					{	/* Trace/walk.scm 156 */
						obj_t BgL_arg2197z00_1596;

						BgL_arg2197z00_1596 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_1591))->BgL_nodesz00)));
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg2197z00_1596));
					}
			}
		}
	}



/* &find-last-node-seque1940 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1940zb0zztrace_walkz00(obj_t
		BgL_envz00_3271, obj_t BgL_nodez00_3272)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 144 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1581;

				BgL_nodez00_1581 = ((BgL_sequencez00_bglt) BgL_nodez00_3272);
				{	/* Trace/walk.scm 146 */
					bool_t BgL_testz00_4089;

					{	/* Trace/walk.scm 146 */
						obj_t BgL_auxz00_4090;

						BgL_auxz00_4090 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1581))->BgL_nodesz00);
						BgL_testz00_4089 = PAIRP(BgL_auxz00_4090);
					}
					if (BgL_testz00_4089)
						{	/* Trace/walk.scm 147 */
							obj_t BgL_arg2192z00_1586;

							BgL_arg2192z00_1586 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1581))->
										BgL_nodesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2192z00_1586));
						}
					else
						{	/* Trace/walk.scm 146 */
							return ((obj_t) BgL_nodez00_1581);
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 413324712),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 198765259),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2529z00zztrace_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
