/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol2641z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2643z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2645z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2647z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2649z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2651z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2653z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2655z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2657z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2659z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza31305ze3z83zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_symbol2609z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2618z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_symbol2621z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2623z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2625z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2627z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2629z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol2631z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2633z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2635z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2637z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2639z00zz__evaluatez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2608z00zz__evaluatez00,
		BgL_bgl_string2608za700za7za7_2662za7, "", 0);
	      DEFINE_STRING(BGl_string2610z00zz__evaluatez00,
		BgL_bgl_string2610za700za7za7_2663za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2611z00zz__evaluatez00,
		BgL_bgl_string2611za700za7za7_2664za7, "eval", 4);
	      DEFINE_STRING(BGl_string2612z00zz__evaluatez00,
		BgL_bgl_string2612za700za7za7_2665za7, "bad syntax", 10);
	      DEFINE_STRING(BGl_string2613z00zz__evaluatez00,
		BgL_bgl_string2613za700za7za7_2666za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2614z00zz__evaluatez00,
		BgL_bgl_string2614za700za7za7_2667za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2615z00zz__evaluatez00,
		BgL_bgl_string2615za700za7za7_2668za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2616z00zz__evaluatez00,
		BgL_bgl_string2616za700za7za7_2669za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2617z00zz__evaluatez00,
		BgL_bgl_string2617za700za7za7_2670za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2619z00zz__evaluatez00,
		BgL_bgl_string2619za700za7za7_2671za7, " ", 1);
	      DEFINE_STRING(BGl_string2620z00zz__evaluatez00,
		BgL_bgl_string2620za700za7za7_2672za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2622z00zz__evaluatez00,
		BgL_bgl_string2622za700za7za7_2673za7, "module", 6);
	      DEFINE_STRING(BGl_string2624z00zz__evaluatez00,
		BgL_bgl_string2624za700za7za7_2674za7, "@", 1);
	      DEFINE_STRING(BGl_string2626z00zz__evaluatez00,
		BgL_bgl_string2626za700za7za7_2675za7, "->", 2);
	      DEFINE_STRING(BGl_string2628z00zz__evaluatez00,
		BgL_bgl_string2628za700za7za7_2676za7, "trap", 4);
	      DEFINE_STRING(BGl_string2630z00zz__evaluatez00,
		BgL_bgl_string2630za700za7za7_2677za7, "quote", 5);
	      DEFINE_STRING(BGl_string2632z00zz__evaluatez00,
		BgL_bgl_string2632za700za7za7_2678za7, "if", 2);
	      DEFINE_STRING(BGl_string2634z00zz__evaluatez00,
		BgL_bgl_string2634za700za7za7_2679za7, "or", 2);
	      DEFINE_STRING(BGl_string2636z00zz__evaluatez00,
		BgL_bgl_string2636za700za7za7_2680za7, "and", 3);
	      DEFINE_STRING(BGl_string2638z00zz__evaluatez00,
		BgL_bgl_string2638za700za7za7_2681za7, "begin", 5);
	      DEFINE_STRING(BGl_string2640z00zz__evaluatez00,
		BgL_bgl_string2640za700za7za7_2682za7, "let", 3);
	      DEFINE_STRING(BGl_string2642z00zz__evaluatez00,
		BgL_bgl_string2642za700za7za7_2683za7, "let*", 4);
	      DEFINE_STRING(BGl_string2644z00zz__evaluatez00,
		BgL_bgl_string2644za700za7za7_2684za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2646z00zz__evaluatez00,
		BgL_bgl_string2646za700za7za7_2685za7, "set!", 4);
	      DEFINE_STRING(BGl_string2648z00zz__evaluatez00,
		BgL_bgl_string2648za700za7za7_2686za7, "define", 6);
	      DEFINE_STRING(BGl_string2650z00zz__evaluatez00,
		BgL_bgl_string2650za700za7za7_2687za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2652z00zz__evaluatez00,
		BgL_bgl_string2652za700za7za7_2688za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2654z00zz__evaluatez00,
		BgL_bgl_string2654za700za7za7_2689za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2656z00zz__evaluatez00,
		BgL_bgl_string2656za700za7za7_2690za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2658z00zz__evaluatez00,
		BgL_bgl_string2658za700za7za7_2691za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string2660z00zz__evaluatez00,
		BgL_bgl_string2660za700za7za7_2692za7, "\\@", 2);
	      DEFINE_STRING(BGl_string2661z00zz__evaluatez00,
		BgL_bgl_string2661za700za7za7_2693za7, "__evaluate", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat2694z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat2695z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za72696za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_3980, char *BgL_fromz00_3981)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2609z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2610z00zz__evaluatez00);
			BGl_symbol2618z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2619z00zz__evaluatez00);
			BGl_symbol2621z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2622z00zz__evaluatez00);
			BGl_symbol2623z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2624z00zz__evaluatez00);
			BGl_symbol2625z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2626z00zz__evaluatez00);
			BGl_symbol2627z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2628z00zz__evaluatez00);
			BGl_symbol2629z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2630z00zz__evaluatez00);
			BGl_symbol2631z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2632z00zz__evaluatez00);
			BGl_symbol2633z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2634z00zz__evaluatez00);
			BGl_symbol2635z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2636z00zz__evaluatez00);
			BGl_symbol2637z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2638z00zz__evaluatez00);
			BGl_symbol2639z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2640z00zz__evaluatez00);
			BGl_symbol2641z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2642z00zz__evaluatez00);
			BGl_symbol2643z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2644z00zz__evaluatez00);
			BGl_symbol2645z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2646z00zz__evaluatez00);
			BGl_symbol2647z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2648z00zz__evaluatez00);
			BGl_symbol2649z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2650z00zz__evaluatez00);
			BGl_symbol2651z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2652z00zz__evaluatez00);
			BGl_symbol2653z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2654z00zz__evaluatez00);
			BGl_symbol2655z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2656z00zz__evaluatez00);
			BGl_symbol2657z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2658z00zz__evaluatez00);
			return (BGl_symbol2659z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2660z00zz__evaluatez00), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_670;

				BgL_headz00_670 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2192;
					obj_t BgL_tailz00_2193;

					BgL_prevz00_2192 = BgL_headz00_670;
					BgL_tailz00_2193 = BgL_l1z00_1;
				BgL_loopz00_2191:
					if (PAIRP(BgL_tailz00_2193))
						{
							obj_t BgL_newzd2prevzd2_2199;

							BgL_newzd2prevzd2_2199 =
								MAKE_PAIR(CAR(BgL_tailz00_2193), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2192, BgL_newzd2prevzd2_2199);
							{
								obj_t BgL_tailz00_4016;
								obj_t BgL_prevz00_4015;

								BgL_prevz00_4015 = BgL_newzd2prevzd2_2199;
								BgL_tailz00_4016 = CDR(BgL_tailz00_2193);
								BgL_tailz00_2193 = BgL_tailz00_4016;
								BgL_prevz00_2192 = BgL_prevz00_4015;
								goto BgL_loopz00_2191;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_670);
			}
		}
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{	/* Eval/evaluate.scm 72 */
				obj_t BgL_stringz00_678;

				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_res2325z00_2211;

					{	/* Eval/evaluate.scm 72 */
						obj_t BgL_arg2252z00_2210;

						BgL_arg2252z00_2210 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2325z00_2211 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2252z00_2210);
					}
					BgL_stringz00_678 = BgL_res2325z00_2211;
				}
				{	/* Eval/evaluate.scm 72 */
					long BgL_lenz00_679;

					BgL_lenz00_679 = STRING_LENGTH(BgL_stringz00_678);
					{	/* Eval/evaluate.scm 73 */

						{
							long BgL_walkerz00_681;

							BgL_walkerz00_681 = ((long) 0);
						BgL_zc3anonymousza31263ze3z83_682:
							if ((BgL_walkerz00_681 == BgL_lenz00_679))
								{	/* Eval/evaluate.scm 76 */
									return MAKE_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 78 */
									bool_t BgL_testz00_4025;

									if (
										(STRING_REF(BgL_stringz00_678,
												BgL_walkerz00_681) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 78 */
											if ((BgL_walkerz00_681 < (BgL_lenz00_679 - ((long) 1))))
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4025 =
														(STRING_REF(BgL_stringz00_678,
															(BgL_walkerz00_681 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4025 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 78 */
											BgL_testz00_4025 = ((bool_t) 0);
										}
									if (BgL_testz00_4025)
										{	/* Eval/evaluate.scm 81 */
											obj_t BgL_arg1266z00_685;
											obj_t BgL_arg1267z00_686;

											{	/* Eval/evaluate.scm 81 */
												obj_t BgL_arg1269z00_687;

												BgL_arg1269z00_687 =
													c_substring(BgL_stringz00_678, ((long) 0),
													BgL_walkerz00_681);
												BgL_arg1266z00_685 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1269z00_687));
											}
											{	/* Eval/evaluate.scm 82 */
												obj_t BgL_arg1270z00_688;

												{	/* Eval/evaluate.scm 82 */
													long BgL_arg1271z00_689;

													BgL_arg1271z00_689 = (BgL_walkerz00_681 + ((long) 2));
													{	/* Ieee/string.scm 179 */
														long BgL_endz00_692;

														BgL_endz00_692 = STRING_LENGTH(BgL_stringz00_678);
														{	/* Ieee/string.scm 179 */

															BgL_arg1270z00_688 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_678, BgL_arg1271z00_689,
																BgL_endz00_692);
												}}}
												BgL_arg1267z00_686 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1270z00_688));
											}
											return MAKE_PAIR(BgL_arg1266z00_685, BgL_arg1267z00_686);
										}
									else
										{
											long BgL_walkerz00_4044;

											BgL_walkerz00_4044 = (BgL_walkerz00_681 + ((long) 1));
											BgL_walkerz00_681 = BgL_walkerz00_4044;
											goto BgL_zc3anonymousza31263ze3z83_682;
										}
								}
						}
					}
				}
			}
		}
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			{	/* Eval/evaluate.scm 90 */
				obj_t BgL_sz00_701;

				BgL_sz00_701 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 91 */
					obj_t BgL_bpz00_702;

					BgL_bpz00_702 = VECTOR_REF(BgL_sz00_701, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 92 */
						obj_t BgL_rz00_703;

						BgL_rz00_703 =
							make_vector(CINT(BgL_bpz00_702),
							BGl_string2608z00zz__evaluatez00);
						{
							long BgL_iz00_2268;

							BgL_iz00_2268 = ((long) 0);
						BgL_recz00_2267:
							if ((BgL_iz00_2268 < (long) CINT(BgL_bpz00_702)))
								{	/* Eval/evaluate.scm 93 */
									VECTOR_SET(BgL_rz00_703,
										(int) (BgL_iz00_2268),
										VECTOR_REF(BgL_sz00_701, (int) (BgL_iz00_2268)));
									{
										long BgL_iz00_4058;

										BgL_iz00_4058 = (BgL_iz00_2268 + ((long) 1));
										BgL_iz00_2268 = BgL_iz00_4058;
										goto BgL_recz00_2267;
									}
								}
							else
								{	/* Eval/evaluate.scm 93 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_703;
					}
				}
			}
		}
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_3930)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			{	/* Eval/evaluate.scm 103 */
				obj_t BgL_sz00_711;

				BgL_sz00_711 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 104 */
					obj_t BgL_bpz00_712;

					BgL_bpz00_712 = VECTOR_REF(BgL_vz00_4, (int) (((long) 0)));
					{
						long BgL_iz00_2297;

						{	/* Eval/evaluate.scm 105 */
							bool_t BgL_auxz00_4064;

							BgL_iz00_2297 = ((long) 0);
						BgL_recz00_2296:
							if ((BgL_iz00_2297 < (long) CINT(BgL_bpz00_712)))
								{	/* Eval/evaluate.scm 105 */
									VECTOR_SET(BgL_sz00_711,
										(int) (BgL_iz00_2297),
										VECTOR_REF(BgL_vz00_4, (int) (BgL_iz00_2297)));
									{
										long BgL_iz00_4072;

										BgL_iz00_4072 = (BgL_iz00_2297 + ((long) 1));
										BgL_iz00_2297 = BgL_iz00_4072;
										goto BgL_recz00_2296;
									}
								}
							else
								{	/* Eval/evaluate.scm 105 */
									BgL_auxz00_4064 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_4064);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_3931, obj_t BgL_vz00_3932)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_3932);
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_5,
		obj_t BgL_envz00_6, obj_t BgL_locz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			{	/* Eval/evaluate.scm 114 */
				BgL_ev_exprz00_bglt BgL_astz00_720;

				{	/* Eval/evaluate.scm 114 */
					obj_t BgL_arg1306z00_736;

					BgL_arg1306z00_736 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_5, BNIL, BgL_envz00_6,
						BFALSE, BGl_symbol2609z00zz__evaluatez00, BgL_locz00_7,
						((bool_t) 1));
					BgL_astz00_720 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1306z00_736));
				}
				{	/* Eval/evaluate.scm 115 */
					bool_t BgL_testz00_4079;

					{	/* Eval/evaluate.scm 115 */
						int BgL_arg1300z00_724;

						BgL_arg1300z00_724 = bgl_debug();
						BgL_testz00_4079 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1300z00_724),
							BINT(((long) 10)));
					}
					if (BgL_testz00_4079)
						{	/* Eval/evaluate.scm 115 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_720), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 115 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_720);
				{	/* Eval/evaluate.scm 117 */
					int BgL_nz00_725;

					BgL_nz00_725 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_720);
					{	/* Eval/evaluate.scm 118 */
						obj_t BgL_fz00_726;

						BgL_fz00_726 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_720);
						{	/* Eval/evaluate.scm 119 */
							obj_t BgL_sz00_727;

							BgL_sz00_727 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 120 */
								obj_t BgL_bpz00_728;

								BgL_bpz00_728 = VECTOR_REF(BgL_sz00_727, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 121 */
									obj_t BgL_val1064z00_729;

									BgL_val1064z00_729 =
										BGl_zc3exitza31305ze3z83zz__evaluatez00(BgL_sz00_727,
										BgL_fz00_726);
									VECTOR_SET(BgL_sz00_727, (int) (((long) 0)), BgL_bpz00_728);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val1064z00_729)))
										{	/* Eval/evaluate.scm 123 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val1064z00_729), CDR(BgL_val1064z00_729));
										}
									else
										{	/* Eval/evaluate.scm 123 */
											return BgL_val1064z00_729;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <exit:1305> */
	obj_t BGl_zc3exitza31305ze3z83zz__evaluatez00(obj_t BgL_sz00_3959,
		obj_t BgL_fz00_3958)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 123 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1065z00_734;

			if (SET_EXIT(BgL_an_exit1065z00_734))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1065z00_734 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 123 */

						PUSH_EXIT(BgL_an_exit1065z00_734, ((long) 0));
						{	/* Eval/evaluate.scm 122 */
							obj_t BgL_val1066z00_735;

							BgL_val1066z00_735 =
								PROCEDURE_ENTRY(BgL_fz00_3958) (BgL_fz00_3958, BgL_sz00_3959,
								BEOA);
							POP_EXIT();
							return BgL_val1066z00_735;
						}
					}
				}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_3933,
		obj_t BgL_sexpz00_3934, obj_t BgL_envz00_3935, obj_t BgL_locz00_3936)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_3934, BgL_envz00_3935,
				BgL_locz00_3936);
		}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_8,
		obj_t BgL_locz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 128 */
			{	/* Eval/evaluate.scm 129 */
				obj_t BgL__ortest_1067z00_2322;

				BgL__ortest_1067z00_2322 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_8);
				if (CBOOL(BgL__ortest_1067z00_2322))
					{	/* Eval/evaluate.scm 129 */
						return BgL__ortest_1067z00_2322;
					}
				else
					{	/* Eval/evaluate.scm 129 */
						return BgL_locz00_9;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_16,
		obj_t BgL_localsz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 148 */
			{
				obj_t BgL_lz00_741;

				BgL_lz00_741 = BgL_localsz00_17;
			BgL_zc3anonymousza31307ze3z83_742:
				if (NULLP(BgL_lz00_741))
					{	/* Eval/evaluate.scm 150 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 152 */
						obj_t BgL_rvz00_744;

						BgL_rvz00_744 = CAR(BgL_lz00_741);
						if (
							(BgL_vz00_16 ==
								(((BgL_ev_varz00_bglt) CREF(
											((BgL_ev_varz00_bglt) BgL_rvz00_744)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 154 */
								return BgL_rvz00_744;
							}
						else
							{
								obj_t BgL_lz00_4120;

								BgL_lz00_4120 = CDR(BgL_lz00_741);
								BgL_lz00_741 = BgL_lz00_4120;
								goto BgL_zc3anonymousza31307ze3z83_742;
							}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_18,
		obj_t BgL_localsz00_19, obj_t BgL_globalsz00_20, obj_t BgL_tailzf3zf3_21,
		obj_t BgL_wherez00_22, obj_t BgL_locz00_23, bool_t BgL_topzf3zf3_24)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 161 */
			{	/* Eval/evaluate.scm 162 */
				obj_t BgL_locz00_750;

				{	/* Eval/evaluate.scm 162 */
					obj_t BgL__ortest_1067z00_2331;

					BgL__ortest_1067z00_2331 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_18);
					if (CBOOL(BgL__ortest_1067z00_2331))
						{	/* Eval/evaluate.scm 162 */
							BgL_locz00_750 = BgL__ortest_1067z00_2331;
						}
					else
						{	/* Eval/evaluate.scm 162 */
							BgL_locz00_750 = BgL_locz00_23;
						}
				}
				{
					obj_t BgL_e1z00_754;
					obj_t BgL_rz00_755;

					if (NULLP(BgL_lz00_18))
						{
							BgL_ev_littz00_bglt BgL_auxz00_4127;

							{	/* Eval/evaluate.scm 165 */
								BgL_ev_littz00_bglt BgL_new1072z00_766;

								{	/* Eval/evaluate.scm 165 */
									BgL_ev_littz00_bglt BgL_new1071z00_767;

									BgL_new1071z00_767 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 165 */
										long BgL_arg1324z00_768;

										{	/* Eval/evaluate.scm 165 */
											long BgL_res2346z00_2333;

											BgL_res2346z00_2333 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg1324z00_768 = BgL_res2346z00_2333;
										}
										{	/* Eval/evaluate.scm 165 */
											BgL_objectz00_bglt BgL_objz00_2334;

											BgL_objz00_2334 =
												((BgL_objectz00_bglt) BgL_new1071z00_767);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2334,
												BgL_arg1324z00_768);
									}}
									{	/* Eval/evaluate.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_4132;

										BgL_auxz00_4132 = ((BgL_objectz00_bglt) BgL_new1071z00_767);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4132, BFALSE);
									}
									BgL_new1072z00_766 = BgL_new1071z00_767;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1072z00_766))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_4127 = BgL_new1072z00_766;
							}
							return ((obj_t) BgL_auxz00_4127);
						}
					else
						{	/* Eval/evaluate.scm 163 */
							if (PAIRP(BgL_lz00_18))
								{	/* Eval/evaluate.scm 163 */
									if (NULLP(CDR(BgL_lz00_18)))
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1318z00_762;

											BgL_arg1318z00_762 = CAR(BgL_lz00_18);
											{	/* Eval/evaluate.scm 163 */
												obj_t BgL_arg1325z00_2356;

												{	/* Eval/evaluate.scm 163 */
													obj_t BgL__ortest_1067z00_2359;

													BgL__ortest_1067z00_2359 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1318z00_762);
													if (CBOOL(BgL__ortest_1067z00_2359))
														{	/* Eval/evaluate.scm 163 */
															BgL_arg1325z00_2356 = BgL__ortest_1067z00_2359;
														}
													else
														{	/* Eval/evaluate.scm 163 */
															BgL_arg1325z00_2356 = BgL_locz00_750;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1318z00_762,
													BgL_localsz00_19, BgL_globalsz00_20,
													BgL_tailzf3zf3_21, BgL_wherez00_22,
													BgL_arg1325z00_2356, BgL_topzf3zf3_24);
											}
										}
									else
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1320z00_763;
											obj_t BgL_arg1321z00_764;

											BgL_arg1320z00_763 = CAR(BgL_lz00_18);
											BgL_arg1321z00_764 = CDR(BgL_lz00_18);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_4149;

												BgL_e1z00_754 = BgL_arg1320z00_763;
												BgL_rz00_755 = BgL_arg1321z00_764;
												{	/* Eval/evaluate.scm 170 */
													BgL_ev_prog2z00_bglt BgL_new1074z00_770;

													{	/* Eval/evaluate.scm 170 */
														BgL_ev_prog2z00_bglt BgL_new1073z00_772;

														BgL_new1073z00_772 =
															((BgL_ev_prog2z00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 170 */
															long BgL_arg1327z00_773;

															{	/* Eval/evaluate.scm 170 */
																long BgL_res2347z00_2341;

																BgL_res2347z00_2341 =
																	BGL_CLASS_INDEX
																	(BGl_ev_prog2z00zz__evaluate_typesz00);
																BgL_arg1327z00_773 = BgL_res2347z00_2341;
															}
															{	/* Eval/evaluate.scm 170 */
																BgL_objectz00_bglt BgL_objz00_2342;

																BgL_objz00_2342 =
																	((BgL_objectz00_bglt) BgL_new1073z00_772);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2342,
																	BgL_arg1327z00_773);
														}}
														{	/* Eval/evaluate.scm 170 */
															BgL_objectz00_bglt BgL_auxz00_4154;

															BgL_auxz00_4154 =
																((BgL_objectz00_bglt) BgL_new1073z00_772);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4154, BFALSE);
														}
														BgL_new1074z00_770 = BgL_new1073z00_772;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_4157;

														{	/* Eval/evaluate.scm 171 */
															obj_t BgL_arg1326z00_771;

															{	/* Eval/evaluate.scm 171 */
																obj_t BgL__ortest_1067z00_2346;

																BgL__ortest_1067z00_2346 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_754);
																if (CBOOL(BgL__ortest_1067z00_2346))
																	{	/* Eval/evaluate.scm 171 */
																		BgL_arg1326z00_771 =
																			BgL__ortest_1067z00_2346;
																	}
																else
																	{	/* Eval/evaluate.scm 171 */
																		BgL_arg1326z00_771 = BgL_locz00_750;
																	}
															}
															BgL_auxz00_4157 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_754,
																	BgL_localsz00_19, BgL_globalsz00_20, BFALSE,
																	BgL_wherez00_22, BgL_arg1326z00_771,
																	BgL_topzf3zf3_24));
														}
														((((BgL_ev_prog2z00_bglt)
																	CREF(BgL_new1074z00_770))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_4157), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt) CREF(BgL_new1074z00_770))->
															BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_755,
																	BgL_localsz00_19, BgL_globalsz00_20,
																	BgL_tailzf3zf3_21, BgL_wherez00_22,
																	BgL_locz00_750, BgL_topzf3zf3_24))), BUNSPEC);
													BgL_auxz00_4149 = BgL_new1074z00_770;
												}
												return ((obj_t) BgL_auxz00_4149);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 163 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_750,
										BGl_string2611z00zz__evaluatez00,
										BGl_string2612z00zz__evaluatez00, BgL_lz00_18);
								}
						}
				}
			}
		}
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_25,
		obj_t BgL_localsz00_26, obj_t BgL_globalsz00_27, obj_t BgL_tailzf3zf3_28,
		obj_t BgL_wherez00_29, obj_t BgL_locz00_30, bool_t BgL_topzf3zf3_31)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 179 */
			{	/* Eval/evaluate.scm 180 */
				obj_t BgL_lz00_774;

				BgL_lz00_774 = CDR(BgL_ez00_25);
				{	/* Eval/evaluate.scm 180 */
					obj_t BgL_vz00_775;

					BgL_vz00_775 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_774),
						BgL_localsz00_26);
					{	/* Eval/evaluate.scm 181 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_775,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 183 */
								BgL_ev_varz00_bglt BgL_i1075z00_777;

								BgL_i1075z00_777 = ((BgL_ev_varz00_bglt) BgL_vz00_775);
								{	/* Eval/evaluate.scm 184 */
									obj_t BgL_g1076z00_778;
									obj_t BgL_g1078z00_779;

									BgL_g1076z00_778 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1075z00_777))->
											BgL_typez00));
									BgL_g1078z00_779 = CDR(BgL_lz00_774);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_781;
										obj_t BgL_klassz00_782;
										obj_t BgL_fieldsz00_783;

										BgL_nodez00_781 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_775));
										BgL_klassz00_782 = BgL_g1076z00_778;
										BgL_fieldsz00_783 = BgL_g1078z00_779;
									BgL_zc3anonymousza31329ze3z83_784:
										if (NULLP(BgL_fieldsz00_783))
											{	/* Eval/evaluate.scm 188 */
												return ((obj_t) BgL_nodez00_781);
											}
										else
											{	/* Eval/evaluate.scm 188 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_782))
													{	/* Eval/evaluate.scm 191 */
														obj_t BgL_fieldz00_787;

														BgL_fieldz00_787 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_782, CAR(BgL_fieldsz00_783));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_787))
															{	/* Eval/evaluate.scm 193 */
																BgL_ev_appz00_bglt BgL_nodez00_789;

																BgL_nodez00_789 =
																	BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																	(BgL_fieldz00_787, BgL_nodez00_781,
																	BgL_locz00_30, BgL_tailzf3zf3_28);
																{	/* Eval/evaluate.scm 196 */
																	obj_t BgL_arg1334z00_790;
																	obj_t BgL_arg1335z00_791;

																	BgL_arg1334z00_790 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_787);
																	BgL_arg1335z00_791 = CDR(BgL_fieldsz00_783);
																	{
																		obj_t BgL_fieldsz00_4193;
																		obj_t BgL_klassz00_4192;
																		BgL_ev_exprz00_bglt BgL_nodez00_4190;

																		BgL_nodez00_4190 =
																			((BgL_ev_exprz00_bglt) BgL_nodez00_789);
																		BgL_klassz00_4192 = BgL_arg1334z00_790;
																		BgL_fieldsz00_4193 = BgL_arg1335z00_791;
																		BgL_fieldsz00_783 = BgL_fieldsz00_4193;
																		BgL_klassz00_782 = BgL_klassz00_4192;
																		BgL_nodez00_781 = BgL_nodez00_4190;
																		goto BgL_zc3anonymousza31329ze3z83_784;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 198 */
																obj_t BgL_arg1336z00_792;
																obj_t BgL_arg1337z00_793;

																BgL_arg1336z00_792 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1075z00_777))->BgL_typez00);
																{	/* Eval/evaluate.scm 199 */
																	obj_t BgL_arg1338z00_794;
																	obj_t BgL_arg1339z00_795;

																	BgL_arg1338z00_794 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1075z00_777))->BgL_typez00);
																	BgL_arg1339z00_795 = CAR(BgL_fieldsz00_783);
																	{	/* Eval/evaluate.scm 199 */
																		obj_t BgL_list1340z00_796;

																		{	/* Eval/evaluate.scm 199 */
																			obj_t BgL_arg1341z00_797;

																			BgL_arg1341z00_797 =
																				MAKE_PAIR(BgL_arg1339z00_795, BNIL);
																			BgL_list1340z00_796 =
																				MAKE_PAIR(BgL_arg1338z00_794,
																				BgL_arg1341z00_797);
																		}
																		BgL_arg1337z00_793 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2613z00zz__evaluatez00,
																			BgL_list1340z00_796);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_30, BgL_arg1336z00_792,
																	BgL_arg1337z00_793, BgL_ez00_25);
															}
													}
												else
													{	/* Eval/evaluate.scm 202 */
														obj_t BgL_arg1344z00_799;

														{	/* Eval/evaluate.scm 202 */
															obj_t BgL__ortest_1079z00_800;

															BgL__ortest_1079z00_800 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1075z00_777))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1079z00_800))
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1344z00_799 = BgL__ortest_1079z00_800;
																}
															else
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1344z00_799 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1075z00_777))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_30, BgL_arg1344z00_799,
															BGl_string2614z00zz__evaluatez00, BgL_ez00_25);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 204 */
								obj_t BgL_arg1346z00_803;

								{	/* Eval/evaluate.scm 204 */
									obj_t BgL_pairz00_2370;

									BgL_pairz00_2370 = BgL_ez00_25;
									BgL_arg1346z00_803 = CAR(CDR(BgL_pairz00_2370));
								}
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_30,
									BgL_arg1346z00_803, BGl_string2615z00zz__evaluatez00,
									BgL_ez00_25);
							}
					}
				}
			}
		}
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_32,
		obj_t BgL_e2z00_33, obj_t BgL_ez00_34, obj_t BgL_localsz00_35,
		obj_t BgL_globalsz00_36, obj_t BgL_tailzf3zf3_37, obj_t BgL_wherez00_38,
		obj_t BgL_locz00_39, bool_t BgL_topzf3zf3_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 209 */
			{	/* Eval/evaluate.scm 210 */
				obj_t BgL_vz00_805;

				BgL_vz00_805 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_32), BgL_localsz00_35);
				{	/* Eval/evaluate.scm 210 */
					obj_t BgL_e2z00_806;

					BgL_e2z00_806 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_33, BgL_localsz00_35,
						BgL_globalsz00_36, BFALSE, BgL_wherez00_38, BgL_locz00_39,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 211 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_805,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 213 */
								BgL_ev_varz00_bglt BgL_i1080z00_808;

								BgL_i1080z00_808 = ((BgL_ev_varz00_bglt) BgL_vz00_805);
								{	/* Eval/evaluate.scm 214 */
									obj_t BgL_g1081z00_809;
									obj_t BgL_g1082z00_810;

									BgL_g1081z00_809 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1080z00_808))->
											BgL_typez00));
									BgL_g1082z00_810 = CDR(BgL_lz00_32);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_812;
										obj_t BgL_klassz00_813;
										obj_t BgL_fieldsz00_814;

										BgL_nodez00_812 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_805));
										BgL_klassz00_813 = BgL_g1081z00_809;
										BgL_fieldsz00_814 = BgL_g1082z00_810;
									BgL_zc3anonymousza31349ze3z83_815:
										if (NULLP(BgL_fieldsz00_814))
											{	/* Eval/evaluate.scm 218 */
												return ((obj_t) BgL_nodez00_812);
											}
										else
											{	/* Eval/evaluate.scm 218 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_813))
													{	/* Eval/evaluate.scm 221 */
														obj_t BgL_fieldz00_818;

														BgL_fieldz00_818 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_813, CAR(BgL_fieldsz00_814));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_818))
															{	/* Eval/evaluate.scm 222 */
																if (NULLP(CDR(BgL_fieldsz00_814)))
																	{	/* Eval/evaluate.scm 223 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_818))
																			{	/* Eval/evaluate.scm 226 */
																				obj_t BgL_arg1355z00_822;

																				{	/* Eval/evaluate.scm 226 */
																					obj_t BgL_list1356z00_823;

																					{	/* Eval/evaluate.scm 226 */
																						obj_t BgL_arg1358z00_824;

																						BgL_arg1358z00_824 =
																							MAKE_PAIR(BgL_e2z00_806, BNIL);
																						BgL_list1356z00_823 =
																							MAKE_PAIR(
																							((obj_t) BgL_nodez00_812),
																							BgL_arg1358z00_824);
																					}
																					BgL_arg1355z00_822 =
																						BgL_list1356z00_823;
																				}
																				return
																					((obj_t)
																					BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00
																					(BgL_fieldz00_818, BgL_arg1355z00_822,
																						BgL_locz00_39, BgL_tailzf3zf3_37));
																			}
																		else
																			{	/* Eval/evaluate.scm 224 */
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_39,
																					CAR(BgL_fieldsz00_814),
																					BGl_string2616z00zz__evaluatez00,
																					BgL_ez00_34);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 230 */
																		BgL_ev_appz00_bglt BgL_nodez00_826;

																		BgL_nodez00_826 =
																			BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																			(BgL_fieldz00_818, BgL_nodez00_812,
																			BgL_locz00_39, BgL_tailzf3zf3_37);
																		{	/* Eval/evaluate.scm 233 */
																			obj_t BgL_arg1360z00_827;
																			obj_t BgL_arg1361z00_828;

																			BgL_arg1360z00_827 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_818);
																			BgL_arg1361z00_828 =
																				CDR(BgL_fieldsz00_814);
																			{
																				obj_t BgL_fieldsz00_4247;
																				obj_t BgL_klassz00_4246;
																				BgL_ev_exprz00_bglt BgL_nodez00_4244;

																				BgL_nodez00_4244 =
																					((BgL_ev_exprz00_bglt)
																					BgL_nodez00_826);
																				BgL_klassz00_4246 = BgL_arg1360z00_827;
																				BgL_fieldsz00_4247 = BgL_arg1361z00_828;
																				BgL_fieldsz00_814 = BgL_fieldsz00_4247;
																				BgL_klassz00_813 = BgL_klassz00_4246;
																				BgL_nodez00_812 = BgL_nodez00_4244;
																				goto BgL_zc3anonymousza31349ze3z83_815;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 235 */
																obj_t BgL_arg1364z00_830;
																obj_t BgL_arg1365z00_831;

																BgL_arg1364z00_830 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1080z00_808))->BgL_typez00);
																{	/* Eval/evaluate.scm 236 */
																	obj_t BgL_arg1366z00_832;
																	obj_t BgL_arg1367z00_833;

																	BgL_arg1366z00_832 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1080z00_808))->BgL_typez00);
																	BgL_arg1367z00_833 = CAR(BgL_fieldsz00_814);
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_list1368z00_834;

																		{	/* Eval/evaluate.scm 236 */
																			obj_t BgL_arg1369z00_835;

																			BgL_arg1369z00_835 =
																				MAKE_PAIR(BgL_arg1367z00_833, BNIL);
																			BgL_list1368z00_834 =
																				MAKE_PAIR(BgL_arg1366z00_832,
																				BgL_arg1369z00_835);
																		}
																		BgL_arg1365z00_831 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2613z00zz__evaluatez00,
																			BgL_list1368z00_834);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_39, BgL_arg1364z00_830,
																	BgL_arg1365z00_831, BgL_ez00_34);
															}
													}
												else
													{	/* Eval/evaluate.scm 240 */
														obj_t BgL_arg1371z00_837;

														{	/* Eval/evaluate.scm 240 */
															obj_t BgL__ortest_1083z00_838;

															BgL__ortest_1083z00_838 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1080z00_808))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1083z00_838))
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1371z00_837 = BgL__ortest_1083z00_838;
																}
															else
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1371z00_837 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1080z00_808))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_39, BgL_arg1371z00_837,
															BGl_string2614z00zz__evaluatez00, BgL_ez00_34);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 212 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_39,
									CAR(BgL_lz00_32), BGl_string2615z00zz__evaluatez00,
									BgL_ez00_34);
							}
					}
				}
			}
		}
	}



/* make-class-field-ref */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t
		BgL_fieldz00_41, BgL_ev_exprz00_bglt BgL_argz00_42, obj_t BgL_locz00_43,
		obj_t BgL_tailzf3zf3_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 246 */
			{	/* Eval/evaluate.scm 247 */
				obj_t BgL_getz00_843;

				BgL_getz00_843 =
					BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_41);
				{	/* Eval/evaluate.scm 248 */
					BgL_ev_appz00_bglt BgL_new1085z00_844;

					{	/* Eval/evaluate.scm 248 */
						BgL_ev_appz00_bglt BgL_new1084z00_849;

						BgL_new1084z00_849 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 248 */
							long BgL_arg1377z00_850;

							{	/* Eval/evaluate.scm 248 */
								long BgL_res2355z00_2389;

								BgL_res2355z00_2389 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1377z00_850 = BgL_res2355z00_2389;
							}
							{	/* Eval/evaluate.scm 248 */
								BgL_objectz00_bglt BgL_objz00_2390;

								BgL_objz00_2390 = ((BgL_objectz00_bglt) BgL_new1084z00_849);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2390, BgL_arg1377z00_850);
						}}
						{	/* Eval/evaluate.scm 248 */
							BgL_objectz00_bglt BgL_auxz00_4269;

							BgL_auxz00_4269 = ((BgL_objectz00_bglt) BgL_new1084z00_849);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4269, BFALSE);
						}
						BgL_new1085z00_844 = BgL_new1084z00_849;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1085z00_844))->BgL_locz00) =
						((obj_t) BgL_locz00_43), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4273;

						{	/* Eval/evaluate.scm 250 */
							BgL_ev_littz00_bglt BgL_new1087z00_845;

							{	/* Eval/evaluate.scm 250 */
								BgL_ev_littz00_bglt BgL_new1086z00_846;

								BgL_new1086z00_846 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 250 */
									long BgL_arg1375z00_847;

									{	/* Eval/evaluate.scm 250 */
										long BgL_res2356z00_2393;

										{	/* Eval/evaluate.scm 250 */
											obj_t BgL_classz00_2392;

											BgL_classz00_2392 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res2356z00_2393 = BGL_CLASS_INDEX(BgL_classz00_2392);
										}
										BgL_arg1375z00_847 = BgL_res2356z00_2393;
									}
									{	/* Eval/evaluate.scm 250 */
										BgL_objectz00_bglt BgL_objz00_2394;

										BgL_objz00_2394 = ((BgL_objectz00_bglt) BgL_new1086z00_846);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2394,
											BgL_arg1375z00_847);
								}}
								{	/* Eval/evaluate.scm 250 */
									BgL_objectz00_bglt BgL_auxz00_4278;

									BgL_auxz00_4278 = ((BgL_objectz00_bglt) BgL_new1086z00_846);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4278, BFALSE);
								}
								BgL_new1087z00_845 = BgL_new1086z00_846;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1087z00_845))->
									BgL_valuez00) = ((obj_t) BgL_getz00_843), BUNSPEC);
							BgL_auxz00_4273 = ((BgL_ev_exprz00_bglt) BgL_new1087z00_845);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1085z00_844))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4273), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_4284;

						{	/* Eval/evaluate.scm 251 */
							obj_t BgL_list1376z00_848;

							BgL_list1376z00_848 = MAKE_PAIR(((obj_t) BgL_argz00_42), BNIL);
							BgL_auxz00_4284 = BgL_list1376z00_848;
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1085z00_844))->BgL_argsz00) =
							((obj_t) BgL_auxz00_4284), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1085z00_844))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_44), BUNSPEC);
					return BgL_new1085z00_844;
				}
			}
		}
	}



/* make-class-field-set */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t
		BgL_fieldz00_45, obj_t BgL_argsz00_46, obj_t BgL_locz00_47,
		obj_t BgL_tailzf3zf3_48)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 257 */
			{	/* Eval/evaluate.scm 258 */
				obj_t BgL_setz00_851;

				BgL_setz00_851 =
					BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_45);
				{	/* Eval/evaluate.scm 259 */
					BgL_ev_appz00_bglt BgL_new1089z00_852;

					{	/* Eval/evaluate.scm 259 */
						BgL_ev_appz00_bglt BgL_new1088z00_856;

						BgL_new1088z00_856 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 259 */
							long BgL_arg1382z00_857;

							{	/* Eval/evaluate.scm 259 */
								long BgL_res2358z00_2399;

								BgL_res2358z00_2399 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1382z00_857 = BgL_res2358z00_2399;
							}
							{	/* Eval/evaluate.scm 259 */
								BgL_objectz00_bglt BgL_objz00_2400;

								BgL_objz00_2400 = ((BgL_objectz00_bglt) BgL_new1088z00_856);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2400, BgL_arg1382z00_857);
						}}
						{	/* Eval/evaluate.scm 259 */
							BgL_objectz00_bglt BgL_auxz00_4294;

							BgL_auxz00_4294 = ((BgL_objectz00_bglt) BgL_new1088z00_856);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4294, BFALSE);
						}
						BgL_new1089z00_852 = BgL_new1088z00_856;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1089z00_852))->BgL_locz00) =
						((obj_t) BgL_locz00_47), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4298;

						{	/* Eval/evaluate.scm 261 */
							BgL_ev_littz00_bglt BgL_new1091z00_853;

							{	/* Eval/evaluate.scm 261 */
								BgL_ev_littz00_bglt BgL_new1090z00_854;

								BgL_new1090z00_854 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 261 */
									long BgL_arg1381z00_855;

									{	/* Eval/evaluate.scm 261 */
										long BgL_res2359z00_2403;

										{	/* Eval/evaluate.scm 261 */
											obj_t BgL_classz00_2402;

											BgL_classz00_2402 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res2359z00_2403 = BGL_CLASS_INDEX(BgL_classz00_2402);
										}
										BgL_arg1381z00_855 = BgL_res2359z00_2403;
									}
									{	/* Eval/evaluate.scm 261 */
										BgL_objectz00_bglt BgL_objz00_2404;

										BgL_objz00_2404 = ((BgL_objectz00_bglt) BgL_new1090z00_854);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2404,
											BgL_arg1381z00_855);
								}}
								{	/* Eval/evaluate.scm 261 */
									BgL_objectz00_bglt BgL_auxz00_4303;

									BgL_auxz00_4303 = ((BgL_objectz00_bglt) BgL_new1090z00_854);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4303, BFALSE);
								}
								BgL_new1091z00_853 = BgL_new1090z00_854;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1091z00_853))->
									BgL_valuez00) = ((obj_t) BgL_setz00_851), BUNSPEC);
							BgL_auxz00_4298 = ((BgL_ev_exprz00_bglt) BgL_new1091z00_853);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1089z00_852))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4298), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1089z00_852))->BgL_argsz00) =
						((obj_t) BgL_argsz00_46), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1089z00_852))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_48), BUNSPEC);
					return BgL_new1089z00_852;
				}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_49, obj_t BgL_localsz00_50,
		obj_t BgL_globalsz00_51, obj_t BgL_tailzf3zf3_52, obj_t BgL_wherez00_53,
		obj_t BgL_locz00_54, bool_t BgL_topzf3zf3_55)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 268 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_864;
				obj_t BgL_bahz00_866;
				obj_t BgL_lz00_871;
				obj_t BgL_funz00_873;
				obj_t BgL_argsz00_874;
				obj_t BgL_ez00_876;
				obj_t BgL_pz00_880;
				obj_t BgL_tz00_881;
				obj_t BgL_oz00_882;
				obj_t BgL_pz00_884;
				obj_t BgL_tz00_885;
				obj_t BgL_argsz00_887;
				obj_t BgL_argsz00_889;
				obj_t BgL_bindsz00_893;
				obj_t BgL_bodyz00_894;
				obj_t BgL_bindsz00_896;
				obj_t BgL_bodyz00_897;
				obj_t BgL_bindsz00_899;
				obj_t BgL_bodyz00_900;
				obj_t BgL_lz00_906;
				obj_t BgL_e2z00_907;
				obj_t BgL_vz00_909;
				obj_t BgL_ez00_910;
				obj_t BgL_gvz00_913;
				obj_t BgL_formalsz00_914;
				obj_t BgL_bodyz00_915;
				obj_t BgL_gvz00_917;
				obj_t BgL_gez00_918;
				obj_t BgL_vz00_920;
				obj_t BgL_bodyz00_921;
				obj_t BgL_ez00_923;
				obj_t BgL_bodyz00_924;
				obj_t BgL_hz00_926;
				obj_t BgL_bodyz00_927;
				obj_t BgL_mz00_929;
				obj_t BgL_bodyz00_930;
				obj_t BgL_fz00_935;
				obj_t BgL_argsz00_936;

				if (PAIRP(BgL_ez00_49))
					{	/* Eval/evaluate.scm 319 */
						if ((CAR(BgL_ez00_49) == BGl_symbol2621z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 319 */
								BgL_bahz00_866 = CDR(BgL_ez00_49);
								if (BgL_topzf3zf3_55)
									{	/* Eval/evaluate.scm 331 */
										obj_t BgL_arg1957z00_1596;

										{	/* Eval/evaluate.scm 331 */
											obj_t BgL_arg1958z00_1597;

											{	/* Eval/evaluate.scm 331 */
												obj_t BgL_arg1959z00_1598;

												{	/* Eval/evaluate.scm 331 */
													obj_t BgL__ortest_1067z00_2482;

													BgL__ortest_1067z00_2482 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_ez00_49);
													if (CBOOL(BgL__ortest_1067z00_2482))
														{	/* Eval/evaluate.scm 331 */
															BgL_arg1959z00_1598 = BgL__ortest_1067z00_2482;
														}
													else
														{	/* Eval/evaluate.scm 331 */
															BgL_arg1959z00_1598 = BgL_locz00_54;
														}
												}
												BgL_arg1958z00_1597 =
													BGl_evmodulez00zz__evmodulez00(BgL_ez00_49,
													BgL_arg1959z00_1598);
											}
											BgL_arg1957z00_1596 =
												BGl_expandz00zz__expandz00(BgL_arg1958z00_1597);
										}
										{
											bool_t BgL_topzf3zf3_4325;
											obj_t BgL_wherez00_4324;
											obj_t BgL_tailzf3zf3_4323;
											obj_t BgL_ez00_4322;

											BgL_ez00_4322 = BgL_arg1957z00_1596;
											BgL_tailzf3zf3_4323 = BgL_wherez00_53;
											BgL_wherez00_4324 = BFALSE;
											BgL_topzf3zf3_4325 = ((bool_t) 1);
											BgL_topzf3zf3_55 = BgL_topzf3zf3_4325;
											BgL_wherez00_53 = BgL_wherez00_4324;
											BgL_tailzf3zf3_52 = BgL_tailzf3zf3_4323;
											BgL_ez00_49 = BgL_ez00_4322;
											goto BGl_convz00zz__evaluatez00;
										}
									}
								else
									{	/* Eval/evaluate.scm 330 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_54,
											BGl_string2611z00zz__evaluatez00,
											BGl_string2620z00zz__evaluatez00, BgL_ez00_49);
									}
							}
						else
							{	/* Eval/evaluate.scm 319 */
								obj_t BgL_cdrzd2230zd2_943;

								BgL_cdrzd2230zd2_943 = CDR(BgL_ez00_49);
								if ((CAR(BgL_ez00_49) == BGl_symbol2623z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 319 */
										if (PAIRP(BgL_cdrzd2230zd2_943))
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd2233zd2_946;
												obj_t BgL_cdrzd2234zd2_947;

												BgL_carzd2233zd2_946 = CAR(BgL_cdrzd2230zd2_943);
												BgL_cdrzd2234zd2_947 = CDR(BgL_cdrzd2230zd2_943);
												if (SYMBOLP(BgL_carzd2233zd2_946))
													{	/* Eval/evaluate.scm 319 */
														if (PAIRP(BgL_cdrzd2234zd2_947))
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd2238zd2_950;

																BgL_carzd2238zd2_950 =
																	CAR(BgL_cdrzd2234zd2_947);
																if (SYMBOLP(BgL_carzd2238zd2_950))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2234zd2_947)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_idz00_2945;
																				obj_t BgL_modnamez00_2946;

																				BgL_idz00_2945 = BgL_carzd2233zd2_946;
																				BgL_modnamez00_2946 =
																					BgL_carzd2238zd2_950;
																				{	/* Eval/evaluate.scm 319 */
																					BgL_ev_globalz00_bglt
																						BgL_new1104z00_2947;
																					{	/* Eval/evaluate.scm 319 */
																						BgL_ev_globalz00_bglt
																							BgL_new1103z00_2948;
																						BgL_new1103z00_2948 =
																							((BgL_ev_globalz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_globalz00_bgl))));
																						{	/* Eval/evaluate.scm 319 */
																							long BgL_arg1960z00_2949;

																							{	/* Eval/evaluate.scm 319 */
																								long BgL_res2441z00_2951;

																								BgL_res2441z00_2951 =
																									BGL_CLASS_INDEX
																									(BGl_ev_globalz00zz__evaluate_typesz00);
																								BgL_arg1960z00_2949 =
																									BgL_res2441z00_2951;
																							}
																							{	/* Eval/evaluate.scm 319 */
																								BgL_objectz00_bglt
																									BgL_objz00_2952;
																								BgL_objz00_2952 =
																									((BgL_objectz00_bglt)
																									BgL_new1103z00_2948);
																								BGL_OBJECT_CLASS_NUM_SET
																									(BgL_objz00_2952,
																									BgL_arg1960z00_2949);
																						}}
																						{	/* Eval/evaluate.scm 319 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4350;
																							BgL_auxz00_4350 =
																								((BgL_objectz00_bglt)
																								BgL_new1103z00_2948);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_4350, BFALSE);
																						}
																						BgL_new1104z00_2947 =
																							BgL_new1103z00_2948;
																					}
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1104z00_2947))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_54), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1104z00_2947))->
																							BgL_namez00) =
																						((obj_t) BgL_idz00_2945), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1104z00_2947))->
																							BgL_modz00) =
																						((obj_t)
																							BGl_evalzd2findzd2modulez00zz__evmodulez00
																							(BgL_modnamez00_2946)), BUNSPEC);
																					return ((obj_t) BgL_new1104z00_2947);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_carzd2283zd2_953;

																				BgL_carzd2283zd2_953 = CAR(BgL_ez00_49);
																				if (SYMBOLP(BgL_carzd2283zd2_953))
																					{	/* Eval/evaluate.scm 319 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2283zd2_953,
																									BgL_localsz00_50)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4364;
																								BgL_funz00_873 =
																									BgL_carzd2283zd2_953;
																								BgL_argsz00_874 =
																									BgL_cdrzd2230zd2_943;
																							BgL_tagzd2134zd2_875:
																								{	/* Eval/evaluate.scm 346 */
																									obj_t BgL_funz00_1615;
																									obj_t BgL_argsz00_1616;

																									{	/* Eval/evaluate.scm 346 */
																										obj_t BgL_arg2081z00_2502;

																										{	/* Eval/evaluate.scm 346 */
																											obj_t
																												BgL__ortest_1067z00_2505;
																											BgL__ortest_1067z00_2505 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_873);
																											if (CBOOL
																												(BgL__ortest_1067z00_2505))
																												{	/* Eval/evaluate.scm 346 */
																													BgL_arg2081z00_2502 =
																														BgL__ortest_1067z00_2505;
																												}
																											else
																												{	/* Eval/evaluate.scm 346 */
																													BgL_arg2081z00_2502 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1615 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_873,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2081z00_2502,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1616 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_874);
																									{	/* Eval/evaluate.scm 347 */
																										BgL_ev_appz00_bglt
																											BgL_new1107z00_1617;
																										{	/* Eval/evaluate.scm 347 */
																											BgL_ev_appz00_bglt
																												BgL_new1106z00_1618;
																											BgL_new1106z00_1618 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 347 */
																												long
																													BgL_arg1969z00_1619;
																												{	/* Eval/evaluate.scm 347 */
																													long
																														BgL_res2381z00_2509;
																													BgL_res2381z00_2509 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg1969z00_1619 =
																														BgL_res2381z00_2509;
																												}
																												{	/* Eval/evaluate.scm 347 */
																													BgL_objectz00_bglt
																														BgL_objz00_2510;
																													BgL_objz00_2510 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1106z00_1618);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2510,
																														BgL_arg1969z00_1619);
																											}}
																											{	/* Eval/evaluate.scm 347 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4374;
																												BgL_auxz00_4374 =
																													((BgL_objectz00_bglt)
																													BgL_new1106z00_1618);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4374,
																													BFALSE);
																											}
																											BgL_new1107z00_1617 =
																												BgL_new1106z00_1618;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_1617))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_1617))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1615)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_1617))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1616),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_1617))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4364 =
																											BgL_new1107z00_1617;
																								}}
																								return
																									((obj_t) BgL_auxz00_4364);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4383;
																								BgL_fz00_935 =
																									BgL_carzd2283zd2_953;
																								BgL_argsz00_936 =
																									BgL_cdrzd2230zd2_943;
																							BgL_tagzd2156zd2_937:
																								{	/* Eval/evaluate.scm 478 */
																									obj_t BgL_funz00_1825;
																									obj_t BgL_argsz00_1826;

																									{	/* Eval/evaluate.scm 478 */
																										obj_t BgL_arg2081z00_2915;

																										{	/* Eval/evaluate.scm 478 */
																											obj_t
																												BgL__ortest_1067z00_2918;
																											BgL__ortest_1067z00_2918 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_935);
																											if (CBOOL
																												(BgL__ortest_1067z00_2918))
																												{	/* Eval/evaluate.scm 478 */
																													BgL_arg2081z00_2915 =
																														BgL__ortest_1067z00_2918;
																												}
																											else
																												{	/* Eval/evaluate.scm 478 */
																													BgL_arg2081z00_2915 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1825 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_935,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2081z00_2915,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1826 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_936);
																									{	/* Eval/evaluate.scm 479 */
																										BgL_ev_appz00_bglt
																											BgL_new1155z00_1827;
																										{	/* Eval/evaluate.scm 479 */
																											BgL_ev_appz00_bglt
																												BgL_new1154z00_1828;
																											BgL_new1154z00_1828 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 479 */
																												long
																													BgL_arg2075z00_1829;
																												{	/* Eval/evaluate.scm 479 */
																													long
																														BgL_res2434z00_2922;
																													BgL_res2434z00_2922 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2075z00_1829 =
																														BgL_res2434z00_2922;
																												}
																												{	/* Eval/evaluate.scm 479 */
																													BgL_objectz00_bglt
																														BgL_objz00_2923;
																													BgL_objz00_2923 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1154z00_1828);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2923,
																														BgL_arg2075z00_1829);
																											}}
																											{	/* Eval/evaluate.scm 479 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4393;
																												BgL_auxz00_4393 =
																													((BgL_objectz00_bglt)
																													BgL_new1154z00_1828);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4393,
																													BFALSE);
																											}
																											BgL_new1155z00_1827 =
																												BgL_new1154z00_1828;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1155z00_1827))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1155z00_1827))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1825)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1155z00_1827))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1826),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1155z00_1827))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4383 =
																											BgL_new1155z00_1827;
																								}}
																								return
																									((obj_t) BgL_auxz00_4383);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4402;

																						{
																							obj_t BgL_argsz00_4404;
																							obj_t BgL_fz00_4403;

																							BgL_fz00_4403 =
																								BgL_carzd2283zd2_953;
																							BgL_argsz00_4404 =
																								BgL_cdrzd2230zd2_943;
																							BgL_argsz00_936 =
																								BgL_argsz00_4404;
																							BgL_fz00_935 = BgL_fz00_4403;
																							goto BgL_tagzd2156zd2_937;
																						}
																						return ((obj_t) BgL_auxz00_4402);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_carzd2938zd2_963;

																		BgL_carzd2938zd2_963 = CAR(BgL_ez00_49);
																		if (SYMBOLP(BgL_carzd2938zd2_963))
																			{	/* Eval/evaluate.scm 319 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd2938zd2_963,
																							BgL_localsz00_50)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4412;

																						{
																							obj_t BgL_argsz00_4414;
																							obj_t BgL_funz00_4413;

																							BgL_funz00_4413 =
																								BgL_carzd2938zd2_963;
																							BgL_argsz00_4414 =
																								BgL_cdrzd2230zd2_943;
																							BgL_argsz00_874 =
																								BgL_argsz00_4414;
																							BgL_funz00_873 = BgL_funz00_4413;
																							goto BgL_tagzd2134zd2_875;
																						}
																						return ((obj_t) BgL_auxz00_4412);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4416;

																						{
																							obj_t BgL_argsz00_4418;
																							obj_t BgL_fz00_4417;

																							BgL_fz00_4417 =
																								BgL_carzd2938zd2_963;
																							BgL_argsz00_4418 =
																								BgL_cdrzd2230zd2_943;
																							BgL_argsz00_936 =
																								BgL_argsz00_4418;
																							BgL_fz00_935 = BgL_fz00_4417;
																							goto BgL_tagzd2156zd2_937;
																						}
																						return ((obj_t) BgL_auxz00_4416);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4420;

																				{
																					obj_t BgL_argsz00_4422;
																					obj_t BgL_fz00_4421;

																					BgL_fz00_4421 = BgL_carzd2938zd2_963;
																					BgL_argsz00_4422 =
																						BgL_cdrzd2230zd2_943;
																					BgL_argsz00_936 = BgL_argsz00_4422;
																					BgL_fz00_935 = BgL_fz00_4421;
																					goto BgL_tagzd2156zd2_937;
																				}
																				return ((obj_t) BgL_auxz00_4420);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd21593zd2_972;

																BgL_carzd21593zd2_972 = CAR(BgL_ez00_49);
																if (SYMBOLP(BgL_carzd21593zd2_972))
																	{	/* Eval/evaluate.scm 319 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21593zd2_972,
																					BgL_localsz00_50)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4430;

																				{
																					obj_t BgL_argsz00_4432;
																					obj_t BgL_funz00_4431;

																					BgL_funz00_4431 =
																						BgL_carzd21593zd2_972;
																					BgL_argsz00_4432 =
																						BgL_cdrzd2230zd2_943;
																					BgL_argsz00_874 = BgL_argsz00_4432;
																					BgL_funz00_873 = BgL_funz00_4431;
																					goto BgL_tagzd2134zd2_875;
																				}
																				return ((obj_t) BgL_auxz00_4430);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4434;

																				{
																					obj_t BgL_argsz00_4436;
																					obj_t BgL_fz00_4435;

																					BgL_fz00_4435 = BgL_carzd21593zd2_972;
																					BgL_argsz00_4436 =
																						BgL_cdrzd2230zd2_943;
																					BgL_argsz00_936 = BgL_argsz00_4436;
																					BgL_fz00_935 = BgL_fz00_4435;
																					goto BgL_tagzd2156zd2_937;
																				}
																				return ((obj_t) BgL_auxz00_4434);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4438;

																		{
																			obj_t BgL_argsz00_4440;
																			obj_t BgL_fz00_4439;

																			BgL_fz00_4439 = BgL_carzd21593zd2_972;
																			BgL_argsz00_4440 = BgL_cdrzd2230zd2_943;
																			BgL_argsz00_936 = BgL_argsz00_4440;
																			BgL_fz00_935 = BgL_fz00_4439;
																			goto BgL_tagzd2156zd2_937;
																		}
																		return ((obj_t) BgL_auxz00_4438);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														obj_t BgL_carzd22248zd2_981;

														BgL_carzd22248zd2_981 = CAR(BgL_ez00_49);
														if (SYMBOLP(BgL_carzd22248zd2_981))
															{	/* Eval/evaluate.scm 319 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22248zd2_981, BgL_localsz00_50)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4448;

																		{
																			obj_t BgL_argsz00_4450;
																			obj_t BgL_funz00_4449;

																			BgL_funz00_4449 = BgL_carzd22248zd2_981;
																			BgL_argsz00_4450 = BgL_cdrzd2230zd2_943;
																			BgL_argsz00_874 = BgL_argsz00_4450;
																			BgL_funz00_873 = BgL_funz00_4449;
																			goto BgL_tagzd2134zd2_875;
																		}
																		return ((obj_t) BgL_auxz00_4448);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4452;

																		{
																			obj_t BgL_argsz00_4454;
																			obj_t BgL_fz00_4453;

																			BgL_fz00_4453 = BgL_carzd22248zd2_981;
																			BgL_argsz00_4454 = BgL_cdrzd2230zd2_943;
																			BgL_argsz00_936 = BgL_argsz00_4454;
																			BgL_fz00_935 = BgL_fz00_4453;
																			goto BgL_tagzd2156zd2_937;
																		}
																		return ((obj_t) BgL_auxz00_4452);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4456;

																{
																	obj_t BgL_argsz00_4458;
																	obj_t BgL_fz00_4457;

																	BgL_fz00_4457 = BgL_carzd22248zd2_981;
																	BgL_argsz00_4458 = BgL_cdrzd2230zd2_943;
																	BgL_argsz00_936 = BgL_argsz00_4458;
																	BgL_fz00_935 = BgL_fz00_4457;
																	goto BgL_tagzd2156zd2_937;
																}
																return ((obj_t) BgL_auxz00_4456);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd22903zd2_990;

												BgL_carzd22903zd2_990 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd22903zd2_990))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd22903zd2_990, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4466;

																{
																	obj_t BgL_argsz00_4468;
																	obj_t BgL_funz00_4467;

																	BgL_funz00_4467 = BgL_carzd22903zd2_990;
																	BgL_argsz00_4468 = BgL_cdrzd2230zd2_943;
																	BgL_argsz00_874 = BgL_argsz00_4468;
																	BgL_funz00_873 = BgL_funz00_4467;
																	goto BgL_tagzd2134zd2_875;
																}
																return ((obj_t) BgL_auxz00_4466);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4470;

																{
																	obj_t BgL_argsz00_4472;
																	obj_t BgL_fz00_4471;

																	BgL_fz00_4471 = BgL_carzd22903zd2_990;
																	BgL_argsz00_4472 = BgL_cdrzd2230zd2_943;
																	BgL_argsz00_936 = BgL_argsz00_4472;
																	BgL_fz00_935 = BgL_fz00_4471;
																	goto BgL_tagzd2156zd2_937;
																}
																return ((obj_t) BgL_auxz00_4470);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_4474;

														{
															obj_t BgL_argsz00_4476;
															obj_t BgL_fz00_4475;

															BgL_fz00_4475 = BgL_carzd22903zd2_990;
															BgL_argsz00_4476 = BgL_cdrzd2230zd2_943;
															BgL_argsz00_936 = BgL_argsz00_4476;
															BgL_fz00_935 = BgL_fz00_4475;
															goto BgL_tagzd2156zd2_937;
														}
														return ((obj_t) BgL_auxz00_4474);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 319 */
										if ((CAR(BgL_ez00_49) == BGl_symbol2625z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 319 */
												BgL_lz00_871 = BgL_cdrzd2230zd2_943;
												{	/* Eval/evaluate.scm 339 */
													bool_t BgL_testz00_4481;

													if (PAIRP(BgL_lz00_871))
														{	/* Eval/evaluate.scm 339 */
															bool_t BgL_testz00_4484;

															{	/* Eval/evaluate.scm 339 */
																obj_t BgL_auxz00_4485;

																BgL_auxz00_4485 = CDR(BgL_lz00_871);
																BgL_testz00_4484 = PAIRP(BgL_auxz00_4485);
															}
															if (BgL_testz00_4484)
																{
																	obj_t BgL_l1187z00_1606;

																	BgL_l1187z00_1606 = BgL_lz00_871;
																BgL_zc3anonymousza31964ze3z83_1607:
																	if (NULLP(BgL_l1187z00_1606))
																		{	/* Eval/evaluate.scm 339 */
																			BgL_testz00_4481 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 339 */
																			bool_t BgL_testz00_4490;

																			{	/* Eval/evaluate.scm 339 */
																				obj_t BgL_auxz00_4491;

																				BgL_auxz00_4491 =
																					CAR(BgL_l1187z00_1606);
																				BgL_testz00_4490 =
																					SYMBOLP(BgL_auxz00_4491);
																			}
																			if (BgL_testz00_4490)
																				{
																					obj_t BgL_l1187z00_4494;

																					BgL_l1187z00_4494 =
																						CDR(BgL_l1187z00_1606);
																					BgL_l1187z00_1606 = BgL_l1187z00_4494;
																					goto
																						BgL_zc3anonymousza31964ze3z83_1607;
																				}
																			else
																				{	/* Eval/evaluate.scm 339 */
																					BgL_testz00_4481 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 339 */
																	BgL_testz00_4481 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 339 */
															BgL_testz00_4481 = ((bool_t) 0);
														}
													if (BgL_testz00_4481)
														{	/* Eval/evaluate.scm 339 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_49, BgL_localsz00_50,
																BgL_globalsz00_51, BgL_tailzf3zf3_52,
																BgL_wherez00_53, BgL_locz00_54,
																BgL_topzf3zf3_55);
														}
													else
														{	/* Eval/evaluate.scm 339 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_54,
																BGl_string2611z00zz__evaluatez00,
																BGl_string2617z00zz__evaluatez00, BgL_ez00_49);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd23561zd2_1001;

												BgL_carzd23561zd2_1001 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd23561zd2_1001))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23561zd2_1001, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4504;

																{
																	obj_t BgL_argsz00_4506;
																	obj_t BgL_funz00_4505;

																	BgL_funz00_4505 = BgL_carzd23561zd2_1001;
																	BgL_argsz00_4506 = BgL_cdrzd2230zd2_943;
																	BgL_argsz00_874 = BgL_argsz00_4506;
																	BgL_funz00_873 = BgL_funz00_4505;
																	goto BgL_tagzd2134zd2_875;
																}
																return ((obj_t) BgL_auxz00_4504);
															}
														else
															{	/* Eval/evaluate.scm 319 */
																if (
																	(BgL_carzd23561zd2_1001 ==
																		BGl_symbol2627z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd2230zd2_943))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd2230zd2_943)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1440z00_1009;

																						BgL_arg1440z00_1009 =
																							CAR(BgL_cdrzd2230zd2_943);
																						{
																							BgL_ev_trapz00_bglt
																								BgL_auxz00_4516;
																							BgL_ez00_876 =
																								BgL_arg1440z00_1009;
																						BgL_tagzd2135zd2_877:
																							{	/* Eval/evaluate.scm 353 */
																								BgL_ev_trapz00_bglt
																									BgL_new1109z00_1620;
																								{	/* Eval/evaluate.scm 353 */
																									BgL_ev_trapz00_bglt
																										BgL_new1108z00_1621;
																									BgL_new1108z00_1621 =
																										((BgL_ev_trapz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_ev_trapz00_bgl))));
																									{	/* Eval/evaluate.scm 353 */
																										long BgL_arg1970z00_1622;

																										{	/* Eval/evaluate.scm 353 */
																											long BgL_res2382z00_2513;

																											BgL_res2382z00_2513 =
																												BGL_CLASS_INDEX
																												(BGl_ev_trapz00zz__evaluate_typesz00);
																											BgL_arg1970z00_1622 =
																												BgL_res2382z00_2513;
																										}
																										{	/* Eval/evaluate.scm 353 */
																											BgL_objectz00_bglt
																												BgL_objz00_2514;
																											BgL_objz00_2514 =
																												((BgL_objectz00_bglt)
																												BgL_new1108z00_1621);
																											BGL_OBJECT_CLASS_NUM_SET
																												(BgL_objz00_2514,
																												BgL_arg1970z00_1622);
																									}}
																									{	/* Eval/evaluate.scm 353 */
																										BgL_objectz00_bglt
																											BgL_auxz00_4521;
																										BgL_auxz00_4521 =
																											((BgL_objectz00_bglt)
																											BgL_new1108z00_1621);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_4521, BFALSE);
																									}
																									BgL_new1109z00_1620 =
																										BgL_new1108z00_1621;
																								}
																								{
																									BgL_ev_exprz00_bglt
																										BgL_auxz00_4524;
																									{	/* Eval/evaluate.scm 354 */
																										obj_t BgL_arg2081z00_2517;

																										{	/* Eval/evaluate.scm 354 */
																											obj_t
																												BgL__ortest_1067z00_2520;
																											BgL__ortest_1067z00_2520 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_ez00_876);
																											if (CBOOL
																												(BgL__ortest_1067z00_2520))
																												{	/* Eval/evaluate.scm 354 */
																													BgL_arg2081z00_2517 =
																														BgL__ortest_1067z00_2520;
																												}
																											else
																												{	/* Eval/evaluate.scm 354 */
																													BgL_arg2081z00_2517 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_auxz00_4524 =
																											((BgL_ev_exprz00_bglt)
																											BGl_convz00zz__evaluatez00
																											(BgL_ez00_876,
																												BgL_localsz00_50,
																												BgL_globalsz00_51,
																												BFALSE, BgL_wherez00_53,
																												BgL_arg2081z00_2517,
																												((bool_t) 0)));
																									}
																									((((BgL_ev_hookz00_bglt) CREF(
																													((BgL_ev_hookz00_bglt)
																														BgL_new1109z00_1620)))->
																											BgL_ez00) =
																										((BgL_ev_exprz00_bglt)
																											BgL_auxz00_4524),
																										BUNSPEC);
																								}
																								BgL_auxz00_4516 =
																									BgL_new1109z00_1620;
																							}
																							return ((obj_t) BgL_auxz00_4516);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1441z00_1010;
																						obj_t BgL_arg1442z00_1011;

																						BgL_arg1441z00_1010 =
																							CAR(BgL_ez00_49);
																						BgL_arg1442z00_1011 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4535;
																							{
																								obj_t BgL_argsz00_4537;
																								obj_t BgL_fz00_4536;

																								BgL_fz00_4536 =
																									BgL_arg1441z00_1010;
																								BgL_argsz00_4537 =
																									BgL_arg1442z00_1011;
																								BgL_argsz00_936 =
																									BgL_argsz00_4537;
																								BgL_fz00_935 = BgL_fz00_4536;
																								goto BgL_tagzd2156zd2_937;
																							}
																							return ((obj_t) BgL_auxz00_4535);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1444z00_1013;
																				obj_t BgL_arg1445z00_1014;

																				BgL_arg1444z00_1013 = CAR(BgL_ez00_49);
																				BgL_arg1445z00_1014 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_4541;

																					{
																						obj_t BgL_argsz00_4543;
																						obj_t BgL_fz00_4542;

																						BgL_fz00_4542 = BgL_arg1444z00_1013;
																						BgL_argsz00_4543 =
																							BgL_arg1445z00_1014;
																						BgL_argsz00_936 = BgL_argsz00_4543;
																						BgL_fz00_935 = BgL_fz00_4542;
																						goto BgL_tagzd2156zd2_937;
																					}
																					return ((obj_t) BgL_auxz00_4541);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_cdrzd24182zd2_1015;

																		BgL_cdrzd24182zd2_1015 = CDR(BgL_ez00_49);
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2629z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd24182zd2_1015))
																					{	/* Eval/evaluate.scm 319 */
																						if (NULLP(CDR
																								(BgL_cdrzd24182zd2_1015)))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1449z00_1019;

																								BgL_arg1449z00_1019 =
																									CAR(BgL_cdrzd24182zd2_1015);
																								{	/* Eval/evaluate.scm 319 */
																									BgL_ev_littz00_bglt
																										BgL_new1111z00_3021;
																									{	/* Eval/evaluate.scm 319 */
																										BgL_ev_littz00_bglt
																											BgL_new1110z00_3022;
																										BgL_new1110z00_3022 =
																											((BgL_ev_littz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 319 */
																											long BgL_arg1971z00_3023;

																											{	/* Eval/evaluate.scm 319 */
																												long
																													BgL_res2452z00_3025;
																												BgL_res2452z00_3025 =
																													BGL_CLASS_INDEX
																													(BGl_ev_littz00zz__evaluate_typesz00);
																												BgL_arg1971z00_3023 =
																													BgL_res2452z00_3025;
																											}
																											{	/* Eval/evaluate.scm 319 */
																												BgL_objectz00_bglt
																													BgL_objz00_3026;
																												BgL_objz00_3026 =
																													((BgL_objectz00_bglt)
																													BgL_new1110z00_3022);
																												BGL_OBJECT_CLASS_NUM_SET
																													(BgL_objz00_3026,
																													BgL_arg1971z00_3023);
																										}}
																										{	/* Eval/evaluate.scm 319 */
																											BgL_objectz00_bglt
																												BgL_auxz00_4559;
																											BgL_auxz00_4559 =
																												((BgL_objectz00_bglt)
																												BgL_new1110z00_3022);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_4559,
																												BFALSE);
																										}
																										BgL_new1111z00_3021 =
																											BgL_new1110z00_3022;
																									}
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1111z00_3021))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1449z00_1019),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1111z00_3021);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1450z00_1020;

																								BgL_arg1450z00_1020 =
																									CAR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4565;
																									{
																										obj_t BgL_argsz00_4567;
																										obj_t BgL_fz00_4566;

																										BgL_fz00_4566 =
																											BgL_arg1450z00_1020;
																										BgL_argsz00_4567 =
																											BgL_cdrzd24182zd2_1015;
																										BgL_argsz00_936 =
																											BgL_argsz00_4567;
																										BgL_fz00_935 =
																											BgL_fz00_4566;
																										goto BgL_tagzd2156zd2_937;
																									}
																									return
																										((obj_t) BgL_auxz00_4565);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1453z00_1023;

																						BgL_arg1453z00_1023 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4570;
																							{
																								obj_t BgL_argsz00_4572;
																								obj_t BgL_fz00_4571;

																								BgL_fz00_4571 =
																									BgL_arg1453z00_1023;
																								BgL_argsz00_4572 =
																									BgL_cdrzd24182zd2_1015;
																								BgL_argsz00_936 =
																									BgL_argsz00_4572;
																								BgL_fz00_935 = BgL_fz00_4571;
																								goto BgL_tagzd2156zd2_937;
																							}
																							return ((obj_t) BgL_auxz00_4570);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2631z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						if (PAIRP(BgL_cdrzd24182zd2_1015))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd24744zd2_1028;

																								BgL_cdrzd24744zd2_1028 =
																									CDR(BgL_cdrzd24182zd2_1015);
																								if (PAIRP
																									(BgL_cdrzd24744zd2_1028))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd24749zd2_1030;
																										BgL_cdrzd24749zd2_1030 =
																											CDR
																											(BgL_cdrzd24744zd2_1028);
																										if (PAIRP
																											(BgL_cdrzd24749zd2_1030))
																											{	/* Eval/evaluate.scm 319 */
																												if (NULLP(CDR
																														(BgL_cdrzd24749zd2_1030)))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1461z00_1033;
																														obj_t
																															BgL_arg1466z00_1034;
																														obj_t
																															BgL_arg1467z00_1035;
																														BgL_arg1461z00_1033
																															=
																															CAR
																															(BgL_cdrzd24182zd2_1015);
																														BgL_arg1466z00_1034
																															=
																															CAR
																															(BgL_cdrzd24744zd2_1028);
																														BgL_arg1467z00_1035
																															=
																															CAR
																															(BgL_cdrzd24749zd2_1030);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_4591;
																															BgL_pz00_880 =
																																BgL_arg1461z00_1033;
																															BgL_tz00_881 =
																																BgL_arg1466z00_1034;
																															BgL_oz00_882 =
																																BgL_arg1467z00_1035;
																														BgL_tagzd2137zd2_883:
																															{	/* Eval/evaluate.scm 359 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1113z00_1626;
																																{	/* Eval/evaluate.scm 359 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1112z00_1630;
																																	BgL_new1112z00_1630
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 359 */
																																		long
																																			BgL_arg1975z00_1631;
																																		{	/* Eval/evaluate.scm 359 */
																																			long
																																				BgL_res2384z00_2531;
																																			BgL_res2384z00_2531
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BgL_arg1975z00_1631
																																				=
																																				BgL_res2384z00_2531;
																																		}
																																		{	/* Eval/evaluate.scm 359 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_2532;
																																			BgL_objz00_2532
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1112z00_1630);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_2532,
																																				BgL_arg1975z00_1631);
																																	}}
																																	{	/* Eval/evaluate.scm 359 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_4596;
																																		BgL_auxz00_4596
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1112z00_1630);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_4596,
																																			BFALSE);
																																	}
																																	BgL_new1113z00_1626
																																		=
																																		BgL_new1112z00_1630;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4599;
																																	{	/* Eval/evaluate.scm 360 */
																																		obj_t
																																			BgL_arg1972z00_1627;
																																		{	/* Eval/evaluate.scm 360 */
																																			obj_t
																																				BgL__ortest_1067z00_2536;
																																			BgL__ortest_1067z00_2536
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_880);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2536))
																																				{	/* Eval/evaluate.scm 360 */
																																					BgL_arg1972z00_1627
																																						=
																																						BgL__ortest_1067z00_2536;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 360 */
																																					BgL_arg1972z00_1627
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4599
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_880,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BFALSE,
																																				BgL_wherez00_53,
																																				BgL_arg1972z00_1627,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1113z00_1626))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4599), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4606;
																																	{	/* Eval/evaluate.scm 361 */
																																		obj_t
																																			BgL_arg1973z00_1628;
																																		{	/* Eval/evaluate.scm 361 */
																																			obj_t
																																				BgL__ortest_1067z00_2541;
																																			BgL__ortest_1067z00_2541
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_881);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2541))
																																				{	/* Eval/evaluate.scm 361 */
																																					BgL_arg1973z00_1628
																																						=
																																						BgL__ortest_1067z00_2541;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 361 */
																																					BgL_arg1973z00_1628
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4606
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_881,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1973z00_1628,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1113z00_1626))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4606), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4613;
																																	{	/* Eval/evaluate.scm 362 */
																																		obj_t
																																			BgL_arg1974z00_1629;
																																		{	/* Eval/evaluate.scm 362 */
																																			obj_t
																																				BgL__ortest_1067z00_2546;
																																			BgL__ortest_1067z00_2546
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_882);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2546))
																																				{	/* Eval/evaluate.scm 362 */
																																					BgL_arg1974z00_1629
																																						=
																																						BgL__ortest_1067z00_2546;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 362 */
																																					BgL_arg1974z00_1629
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4613
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_882,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1974z00_1629,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1113z00_1626))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4613), BUNSPEC);
																																}
																																BgL_auxz00_4591
																																	=
																																	BgL_new1113z00_1626;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4591);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1470z00_1036;
																														obj_t
																															BgL_arg1473z00_1037;
																														BgL_arg1470z00_1036
																															=
																															CAR(BgL_ez00_49);
																														BgL_arg1473z00_1037
																															=
																															CDR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_4623;
																															{
																																obj_t
																																	BgL_argsz00_4625;
																																obj_t
																																	BgL_fz00_4624;
																																BgL_fz00_4624 =
																																	BgL_arg1470z00_1036;
																																BgL_argsz00_4625
																																	=
																																	BgL_arg1473z00_1037;
																																BgL_argsz00_936
																																	=
																																	BgL_argsz00_4625;
																																BgL_fz00_935 =
																																	BgL_fz00_4624;
																																goto
																																	BgL_tagzd2156zd2_937;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4623);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_cdrzd25023zd2_1039;
																												BgL_cdrzd25023zd2_1039 =
																													CDR(BgL_ez00_49);
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_cdrzd25029zd2_1040;
																													BgL_cdrzd25029zd2_1040
																														=
																														CDR
																														(BgL_cdrzd25023zd2_1039);
																													if (NULLP(CDR
																															(BgL_cdrzd25029zd2_1040)))
																														{	/* Eval/evaluate.scm 319 */
																															obj_t
																																BgL_arg1477z00_1042;
																															obj_t
																																BgL_arg1478z00_1043;
																															BgL_arg1477z00_1042
																																=
																																CAR
																																(BgL_cdrzd25023zd2_1039);
																															BgL_arg1478z00_1043
																																=
																																CAR
																																(BgL_cdrzd25029zd2_1040);
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_4634;
																																BgL_pz00_884 =
																																	BgL_arg1477z00_1042;
																																BgL_tz00_885 =
																																	BgL_arg1478z00_1043;
																															BgL_tagzd2138zd2_886:
																																{	/* Eval/evaluate.scm 364 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1115z00_1632;
																																	{	/* Eval/evaluate.scm 364 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1114z00_1636;
																																		BgL_new1114z00_1636
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BREF
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 364 */
																																			long
																																				BgL_arg1980z00_1637;
																																			{	/* Eval/evaluate.scm 364 */
																																				long
																																					BgL_res2385z00_2550;
																																				BgL_res2385z00_2550
																																					=
																																					BGL_CLASS_INDEX
																																					(BGl_ev_ifz00zz__evaluate_typesz00);
																																				BgL_arg1980z00_1637
																																					=
																																					BgL_res2385z00_2550;
																																			}
																																			{	/* Eval/evaluate.scm 364 */
																																				BgL_objectz00_bglt
																																					BgL_objz00_2551;
																																				BgL_objz00_2551
																																					=
																																					(
																																					(BgL_objectz00_bglt)
																																					BgL_new1114z00_1636);
																																				BGL_OBJECT_CLASS_NUM_SET
																																					(BgL_objz00_2551,
																																					BgL_arg1980z00_1637);
																																		}}
																																		{	/* Eval/evaluate.scm 364 */
																																			BgL_objectz00_bglt
																																				BgL_auxz00_4639;
																																			BgL_auxz00_4639
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1114z00_1636);
																																			BGL_OBJECT_WIDENING_SET
																																				(BgL_auxz00_4639,
																																				BFALSE);
																																		}
																																		BgL_new1115z00_1632
																																			=
																																			BgL_new1114z00_1636;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4642;
																																		{	/* Eval/evaluate.scm 365 */
																																			obj_t
																																				BgL_arg1976z00_1633;
																																			{	/* Eval/evaluate.scm 365 */
																																				obj_t
																																					BgL__ortest_1067z00_2555;
																																				BgL__ortest_1067z00_2555
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_884);
																																				if (CBOOL(BgL__ortest_1067z00_2555))
																																					{	/* Eval/evaluate.scm 365 */
																																						BgL_arg1976z00_1633
																																							=
																																							BgL__ortest_1067z00_2555;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 365 */
																																						BgL_arg1976z00_1633
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4642
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_884,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BFALSE,
																																					BgL_wherez00_53,
																																					BgL_arg1976z00_1633,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1115z00_1632))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4642), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4649;
																																		{	/* Eval/evaluate.scm 366 */
																																			obj_t
																																				BgL_arg1978z00_1634;
																																			{	/* Eval/evaluate.scm 366 */
																																				obj_t
																																					BgL__ortest_1067z00_2560;
																																				BgL__ortest_1067z00_2560
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_885);
																																				if (CBOOL(BgL__ortest_1067z00_2560))
																																					{	/* Eval/evaluate.scm 366 */
																																						BgL_arg1978z00_1634
																																							=
																																							BgL__ortest_1067z00_2560;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 366 */
																																						BgL_arg1978z00_1634
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4649
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_885,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BgL_tailzf3zf3_52,
																																					BgL_wherez00_53,
																																					BgL_arg1978z00_1634,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1115z00_1632))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4649), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4656;
																																		{	/* Eval/evaluate.scm 367 */
																																			obj_t
																																				BgL_arg1979z00_1635;
																																			{	/* Eval/evaluate.scm 367 */
																																				obj_t
																																					BgL__ortest_1067z00_2565;
																																				BgL__ortest_1067z00_2565
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1067z00_2565))
																																					{	/* Eval/evaluate.scm 367 */
																																						BgL_arg1979z00_1635
																																							=
																																							BgL__ortest_1067z00_2565;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 367 */
																																						BgL_arg1979z00_1635
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4656
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_49,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BgL_tailzf3zf3_52,
																																					BgL_wherez00_53,
																																					BgL_arg1979z00_1635,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1115z00_1632))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4656), BUNSPEC);
																																	}
																																	BgL_auxz00_4634
																																		=
																																		BgL_new1115z00_1632;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_4634);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 319 */
																															obj_t
																																BgL_arg1479z00_1044;
																															BgL_arg1479z00_1044
																																=
																																CAR
																																(BgL_ez00_49);
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_4665;
																																{
																																	obj_t
																																		BgL_argsz00_4667;
																																	obj_t
																																		BgL_fz00_4666;
																																	BgL_fz00_4666
																																		=
																																		BgL_arg1479z00_1044;
																																	BgL_argsz00_4667
																																		=
																																		BgL_cdrzd25023zd2_1039;
																																	BgL_argsz00_936
																																		=
																																		BgL_argsz00_4667;
																																	BgL_fz00_935 =
																																		BgL_fz00_4666;
																																	goto
																																		BgL_tagzd2156zd2_937;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_4665);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1482z00_1047;
																										obj_t BgL_arg1483z00_1048;

																										BgL_arg1482z00_1047 =
																											CAR(BgL_ez00_49);
																										BgL_arg1483z00_1048 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_4671;
																											{
																												obj_t BgL_argsz00_4673;
																												obj_t BgL_fz00_4672;

																												BgL_fz00_4672 =
																													BgL_arg1482z00_1047;
																												BgL_argsz00_4673 =
																													BgL_arg1483z00_1048;
																												BgL_argsz00_936 =
																													BgL_argsz00_4673;
																												BgL_fz00_935 =
																													BgL_fz00_4672;
																												goto
																													BgL_tagzd2156zd2_937;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4671);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1484z00_1049;
																								obj_t BgL_arg1485z00_1050;

																								BgL_arg1484z00_1049 =
																									CAR(BgL_ez00_49);
																								BgL_arg1485z00_1050 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4677;
																									{
																										obj_t BgL_argsz00_4679;
																										obj_t BgL_fz00_4678;

																										BgL_fz00_4678 =
																											BgL_arg1484z00_1049;
																										BgL_argsz00_4679 =
																											BgL_arg1485z00_1050;
																										BgL_argsz00_936 =
																											BgL_argsz00_4679;
																										BgL_fz00_935 =
																											BgL_fz00_4678;
																										goto BgL_tagzd2156zd2_937;
																									}
																									return
																										((obj_t) BgL_auxz00_4677);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2633z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1491z00_1052;

																								BgL_arg1491z00_1052 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_orz00_bglt
																										BgL_auxz00_4685;
																									BgL_argsz00_887 =
																										BgL_arg1491z00_1052;
																								BgL_tagzd2139zd2_888:
																									{	/* Eval/evaluate.scm 369 */
																										BgL_ev_orz00_bglt
																											BgL_new1117z00_1638;
																										{	/* Eval/evaluate.scm 369 */
																											BgL_ev_orz00_bglt
																												BgL_new1116z00_1639;
																											BgL_new1116z00_1639 =
																												((BgL_ev_orz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_orz00_bgl))));
																											{	/* Eval/evaluate.scm 369 */
																												long
																													BgL_arg1981z00_1640;
																												{	/* Eval/evaluate.scm 369 */
																													long
																														BgL_res2386z00_2569;
																													BgL_res2386z00_2569 =
																														BGL_CLASS_INDEX
																														(BGl_ev_orz00zz__evaluate_typesz00);
																													BgL_arg1981z00_1640 =
																														BgL_res2386z00_2569;
																												}
																												{	/* Eval/evaluate.scm 369 */
																													BgL_objectz00_bglt
																														BgL_objz00_2570;
																													BgL_objz00_2570 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1116z00_1639);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2570,
																														BgL_arg1981z00_1640);
																											}}
																											{	/* Eval/evaluate.scm 369 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4690;
																												BgL_auxz00_4690 =
																													((BgL_objectz00_bglt)
																													BgL_new1116z00_1639);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4690,
																													BFALSE);
																											}
																											BgL_new1117z00_1638 =
																												BgL_new1116z00_1639;
																										}
																										((((BgL_ev_listz00_bglt)
																													CREF((
																															(BgL_ev_listz00_bglt)
																															BgL_new1117z00_1638)))->
																												BgL_argsz00) =
																											((obj_t)
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_53,
																													BgL_globalsz00_51,
																													BgL_localsz00_50,
																													BgL_locz00_54,
																													BgL_argsz00_887)),
																											BUNSPEC);
																										BgL_auxz00_4685 =
																											BgL_new1117z00_1638;
																									}
																									return
																										((obj_t) BgL_auxz00_4685);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2635z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1493z00_1054;

																										BgL_arg1493z00_1054 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_andz00_bglt
																												BgL_auxz00_4701;
																											BgL_argsz00_889 =
																												BgL_arg1493z00_1054;
																										BgL_tagzd2140zd2_890:
																											{	/* Eval/evaluate.scm 372 */
																												BgL_ev_andz00_bglt
																													BgL_new1119z00_1641;
																												{	/* Eval/evaluate.scm 372 */
																													BgL_ev_andz00_bglt
																														BgL_new1118z00_1642;
																													BgL_new1118z00_1642 =
																														(
																														(BgL_ev_andz00_bglt)
																														BREF(GC_MALLOC
																															(sizeof(struct
																																	BgL_ev_andz00_bgl))));
																													{	/* Eval/evaluate.scm 372 */
																														long
																															BgL_arg1982z00_1643;
																														{	/* Eval/evaluate.scm 372 */
																															long
																																BgL_res2387z00_2573;
																															BgL_res2387z00_2573
																																=
																																BGL_CLASS_INDEX
																																(BGl_ev_andz00zz__evaluate_typesz00);
																															BgL_arg1982z00_1643
																																=
																																BgL_res2387z00_2573;
																														}
																														{	/* Eval/evaluate.scm 372 */
																															BgL_objectz00_bglt
																																BgL_objz00_2574;
																															BgL_objz00_2574 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1118z00_1642);
																															BGL_OBJECT_CLASS_NUM_SET
																																(BgL_objz00_2574,
																																BgL_arg1982z00_1643);
																													}}
																													{	/* Eval/evaluate.scm 372 */
																														BgL_objectz00_bglt
																															BgL_auxz00_4706;
																														BgL_auxz00_4706 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1118z00_1642);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_auxz00_4706,
																															BFALSE);
																													}
																													BgL_new1119z00_1641 =
																														BgL_new1118z00_1642;
																												}
																												((((BgL_ev_listz00_bglt)
																															CREF((
																																	(BgL_ev_listz00_bglt)
																																	BgL_new1119z00_1641)))->
																														BgL_argsz00) =
																													((obj_t)
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_53,
																															BgL_globalsz00_51,
																															BgL_localsz00_50,
																															BgL_locz00_54,
																															BgL_argsz00_889)),
																													BUNSPEC);
																												BgL_auxz00_4701 =
																													BgL_new1119z00_1641;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4701);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										if (
																											(CAR(BgL_ez00_49) ==
																												BGl_symbol2637z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_49),
																													BgL_localsz00_50,
																													BgL_globalsz00_51,
																													BgL_tailzf3zf3_52,
																													BgL_wherez00_53,
																													BgL_locz00_54,
																													BgL_topzf3zf3_55);
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_cdrzd25846zd2_1057;
																												BgL_cdrzd25846zd2_1057 =
																													CDR(BgL_ez00_49);
																												if ((CAR(BgL_ez00_49) ==
																														BGl_symbol2639z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd25846zd2_1057))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1498z00_1060;
																																obj_t
																																	BgL_arg1499z00_1061;
																																BgL_arg1498z00_1060
																																	=
																																	CAR
																																	(BgL_cdrzd25846zd2_1057);
																																BgL_arg1499z00_1061
																																	=
																																	CDR
																																	(BgL_cdrzd25846zd2_1057);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_4726;
																																	BgL_bindsz00_893
																																		=
																																		BgL_arg1498z00_1060;
																																	BgL_bodyz00_894
																																		=
																																		BgL_arg1499z00_1061;
																																BgL_tagzd2142zd2_895:
																																	{	/* Eval/evaluate.scm 377 */
																																		obj_t
																																			BgL_varsz00_1644;
																																		if (NULLP
																																			(BgL_bindsz00_893))
																																			{	/* Eval/evaluate.scm 377 */
																																				BgL_varsz00_1644
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 377 */
																																				obj_t
																																					BgL_head1192z00_1667;
																																				{	/* Eval/evaluate.scm 377 */
																																					obj_t
																																						BgL_res2389z00_2580;
																																					BgL_res2389z00_2580
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1192z00_1667
																																						=
																																						BgL_res2389z00_2580;
																																				}
																																				{
																																					obj_t
																																						BgL_l1190z00_1669;
																																					obj_t
																																						BgL_tail1193z00_1670;
																																					BgL_l1190z00_1669
																																						=
																																						BgL_bindsz00_893;
																																					BgL_tail1193z00_1670
																																						=
																																						BgL_head1192z00_1667;
																																				BgL_zc3anonymousza31994ze3z83_1671:
																																					if (NULLP(BgL_l1190z00_1669))
																																						{	/* Eval/evaluate.scm 377 */
																																							BgL_varsz00_1644
																																								=
																																								CDR
																																								(BgL_head1192z00_1667);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 377 */
																																							obj_t
																																								BgL_newtail1194z00_1673;
																																							{	/* Eval/evaluate.scm 377 */
																																								BgL_ev_varz00_bglt
																																									BgL_arg1997z00_1675;
																																								{	/* Eval/evaluate.scm 377 */
																																									obj_t
																																										BgL_bz00_1676;
																																									BgL_bz00_1676
																																										=
																																										CAR
																																										(BgL_l1190z00_1669);
																																									{	/* Eval/evaluate.scm 378 */
																																										obj_t
																																											BgL_iz00_1677;
																																										BgL_iz00_1677
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(CAR
																																											(BgL_bz00_1676));
																																										{	/* Eval/evaluate.scm 379 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1121z00_1678;
																																											{	/* Eval/evaluate.scm 379 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1120z00_1679;
																																												BgL_new1120z00_1679
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 379 */
																																													long
																																														BgL_arg1998z00_1680;
																																													{	/* Eval/evaluate.scm 379 */
																																														long
																																															BgL_res2391z00_2587;
																																														BgL_res2391z00_2587
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_varz00zz__evaluate_typesz00);
																																														BgL_arg1998z00_1680
																																															=
																																															BgL_res2391z00_2587;
																																													}
																																													{	/* Eval/evaluate.scm 379 */
																																														BgL_objectz00_bglt
																																															BgL_objz00_2588;
																																														BgL_objz00_2588
																																															=
																																															(
																																															(BgL_objectz00_bglt)
																																															BgL_new1120z00_1679);
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(BgL_objz00_2588,
																																															BgL_arg1998z00_1680);
																																												}}
																																												{	/* Eval/evaluate.scm 379 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_4740;
																																													BgL_auxz00_4740
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1120z00_1679);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_4740,
																																														BFALSE);
																																												}
																																												BgL_new1121z00_1678
																																													=
																																													BgL_new1120z00_1679;
																																											}
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1121z00_1678))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1677)), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1121z00_1678))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1121z00_1678))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1677)), BUNSPEC);
																																											BgL_arg1997z00_1675
																																												=
																																												BgL_new1121z00_1678;
																																								}}}
																																								{	/* Eval/evaluate.scm 377 */
																																									obj_t
																																										BgL_res2392z00_2594;
																																									{	/* Eval/evaluate.scm 377 */
																																										obj_t
																																											BgL_obj1z00_2592;
																																										BgL_obj1z00_2592
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg1997z00_1675);
																																										BgL_res2392z00_2594
																																											=
																																											MAKE_PAIR
																																											(BgL_obj1z00_2592,
																																											BNIL);
																																									}
																																									BgL_newtail1194z00_1673
																																										=
																																										BgL_res2392z00_2594;
																																							}}
																																							SET_CDR
																																								(BgL_tail1193z00_1670,
																																								BgL_newtail1194z00_1673);
																																							{
																																								obj_t
																																									BgL_tail1193z00_4753;
																																								obj_t
																																									BgL_l1190z00_4751;
																																								BgL_l1190z00_4751
																																									=
																																									CDR
																																									(BgL_l1190z00_1669);
																																								BgL_tail1193z00_4753
																																									=
																																									BgL_newtail1194z00_1673;
																																								BgL_tail1193z00_1670
																																									=
																																									BgL_tail1193z00_4753;
																																								BgL_l1190z00_1669
																																									=
																																									BgL_l1190z00_4751;
																																								goto
																																									BgL_zc3anonymousza31994ze3z83_1671;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 383 */
																																			obj_t
																																				BgL_blocz00_1645;
																																			{	/* Eval/evaluate.scm 383 */
																																				obj_t
																																					BgL__ortest_1067z00_2600;
																																				BgL__ortest_1067z00_2600
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_bindsz00_893);
																																				if (CBOOL(BgL__ortest_1067z00_2600))
																																					{	/* Eval/evaluate.scm 383 */
																																						BgL_blocz00_1645
																																							=
																																							BgL__ortest_1067z00_2600;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 383 */
																																						BgL_blocz00_1645
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			{	/* Eval/evaluate.scm 384 */
																																				BgL_ev_letz00_bglt
																																					BgL_new1124z00_1646;
																																				{	/* Eval/evaluate.scm 384 */
																																					BgL_ev_letz00_bglt
																																						BgL_new1122z00_1663;
																																					BgL_new1122z00_1663
																																						=
																																						(
																																						(BgL_ev_letz00_bglt)
																																						BREF
																																						(GC_MALLOC
																																							(sizeof
																																								(struct
																																									BgL_ev_letz00_bgl))));
																																					{	/* Eval/evaluate.scm 384 */
																																						long
																																							BgL_arg1992z00_1664;
																																						{	/* Eval/evaluate.scm 384 */
																																							long
																																								BgL_res2393z00_2602;
																																							BgL_res2393z00_2602
																																								=
																																								BGL_CLASS_INDEX
																																								(BGl_ev_letz00zz__evaluate_typesz00);
																																							BgL_arg1992z00_1664
																																								=
																																								BgL_res2393z00_2602;
																																						}
																																						{	/* Eval/evaluate.scm 384 */
																																							BgL_objectz00_bglt
																																								BgL_objz00_2603;
																																							BgL_objz00_2603
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1122z00_1663);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(BgL_objz00_2603,
																																								BgL_arg1992z00_1664);
																																					}}
																																					{	/* Eval/evaluate.scm 384 */
																																						BgL_objectz00_bglt
																																							BgL_auxz00_4761;
																																						BgL_auxz00_4761
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							BgL_new1122z00_1663);
																																						BGL_OBJECT_WIDENING_SET
																																							(BgL_auxz00_4761,
																																							BFALSE);
																																					}
																																					BgL_new1124z00_1646
																																						=
																																						BgL_new1122z00_1663;
																																				}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1124z00_1646)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1644), BUNSPEC);
																																				{
																																					obj_t
																																						BgL_auxz00_4766;
																																					if (NULLP(BgL_bindsz00_893))
																																						{	/* Eval/evaluate.scm 386 */
																																							BgL_auxz00_4766
																																								=
																																								BNIL;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 386 */
																																							obj_t
																																								BgL_head1197z00_1649;
																																							{	/* Eval/evaluate.scm 386 */
																																								obj_t
																																									BgL_res2395z00_2609;
																																								BgL_res2395z00_2609
																																									=
																																									MAKE_PAIR
																																									(BNIL,
																																									BNIL);
																																								BgL_head1197z00_1649
																																									=
																																									BgL_res2395z00_2609;
																																							}
																																							{
																																								obj_t
																																									BgL_l1195z00_1651;
																																								obj_t
																																									BgL_tail1198z00_1652;
																																								BgL_l1195z00_1651
																																									=
																																									BgL_bindsz00_893;
																																								BgL_tail1198z00_1652
																																									=
																																									BgL_head1197z00_1649;
																																							BgL_zc3anonymousza31984ze3z83_1653:
																																								if (NULLP(BgL_l1195z00_1651))
																																									{	/* Eval/evaluate.scm 386 */
																																										BgL_auxz00_4766
																																											=
																																											CDR
																																											(BgL_head1197z00_1649);
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 386 */
																																										obj_t
																																											BgL_newtail1199z00_1655;
																																										{	/* Eval/evaluate.scm 386 */
																																											obj_t
																																												BgL_arg1988z00_1657;
																																											{	/* Eval/evaluate.scm 386 */
																																												obj_t
																																													BgL_bz00_1658;
																																												{	/* Eval/evaluate.scm 386 */
																																													obj_t
																																														BgL_pairz00_2613;
																																													BgL_pairz00_2613
																																														=
																																														BgL_l1195z00_1651;
																																													BgL_bz00_1658
																																														=
																																														CAR
																																														(BgL_pairz00_2613);
																																												}
																																												{	/* Eval/evaluate.scm 387 */
																																													obj_t
																																														BgL_locz00_1659;
																																													{	/* Eval/evaluate.scm 387 */
																																														obj_t
																																															BgL__ortest_1067z00_2616;
																																														BgL__ortest_1067z00_2616
																																															=
																																															BGl_getzd2sourcezd2locationz00zz__readerz00
																																															(BgL_bz00_1658);
																																														if (CBOOL(BgL__ortest_1067z00_2616))
																																															{	/* Eval/evaluate.scm 387 */
																																																BgL_locz00_1659
																																																	=
																																																	BgL__ortest_1067z00_2616;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 387 */
																																																BgL_locz00_1659
																																																	=
																																																	BgL_blocz00_1645;
																																															}
																																													}
																																													{	/* Eval/evaluate.scm 388 */
																																														obj_t
																																															BgL_arg1989z00_1660;
																																														{	/* Eval/evaluate.scm 388 */
																																															obj_t
																																																BgL_pairz00_2617;
																																															BgL_pairz00_2617
																																																=
																																																BgL_bz00_1658;
																																															{	/* Eval/evaluate.scm 388 */
																																																obj_t
																																																	BgL_pairz00_2620;
																																																BgL_pairz00_2620
																																																	=
																																																	CDR
																																																	(BgL_pairz00_2617);
																																																BgL_arg1989z00_1660
																																																	=
																																																	CAR
																																																	(BgL_pairz00_2620);
																																															}
																																														}
																																														BgL_arg1988z00_1657
																																															=
																																															BGl_convz00zz__evaluatez00
																																															(BgL_arg1989z00_1660,
																																															BgL_localsz00_50,
																																															BgL_globalsz00_51,
																																															BFALSE,
																																															BgL_wherez00_53,
																																															BgL_locz00_1659,
																																															((bool_t) 0));
																																													}
																																												}
																																											}
																																											{	/* Eval/evaluate.scm 386 */
																																												obj_t
																																													BgL_res2397z00_2625;
																																												BgL_res2397z00_2625
																																													=
																																													MAKE_PAIR
																																													(BgL_arg1988z00_1657,
																																													BNIL);
																																												BgL_newtail1199z00_1655
																																													=
																																													BgL_res2397z00_2625;
																																											}
																																										}
																																										SET_CDR
																																											(BgL_tail1198z00_1652,
																																											BgL_newtail1199z00_1655);
																																										{	/* Eval/evaluate.scm 386 */
																																											obj_t
																																												BgL_arg1986z00_1656;
																																											{	/* Eval/evaluate.scm 386 */
																																												obj_t
																																													BgL_pairz00_2628;
																																												BgL_pairz00_2628
																																													=
																																													BgL_l1195z00_1651;
																																												BgL_arg1986z00_1656
																																													=
																																													CDR
																																													(BgL_pairz00_2628);
																																											}
																																											{
																																												obj_t
																																													BgL_tail1198z00_4785;
																																												obj_t
																																													BgL_l1195z00_4784;
																																												BgL_l1195z00_4784
																																													=
																																													BgL_arg1986z00_1656;
																																												BgL_tail1198z00_4785
																																													=
																																													BgL_newtail1199z00_1655;
																																												BgL_tail1198z00_1652
																																													=
																																													BgL_tail1198z00_4785;
																																												BgL_l1195z00_1651
																																													=
																																													BgL_l1195z00_4784;
																																												goto
																																													BgL_zc3anonymousza31984ze3z83_1653;
																																											}
																																										}
																																									}
																																							}
																																						}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1124z00_1646)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4766), BUNSPEC);
																																				}
																																				{
																																					BgL_ev_exprz00_bglt
																																						BgL_auxz00_4787;
																																					{	/* Eval/evaluate.scm 390 */
																																						obj_t
																																							BgL_arg1990z00_1662;
																																						BgL_arg1990z00_1662
																																							=
																																							BGl_appendzd221011zd2zz__evaluatez00
																																							(BgL_varsz00_1644,
																																							BgL_localsz00_50);
																																						BgL_auxz00_4787
																																							=
																																							(
																																							(BgL_ev_exprz00_bglt)
																																							BGl_convzd2beginzd2zz__evaluatez00
																																							(BgL_bodyz00_894,
																																								BgL_arg1990z00_1662,
																																								BgL_globalsz00_51,
																																								BgL_tailzf3zf3_52,
																																								BgL_wherez00_53,
																																								BgL_locz00_54,
																																								((bool_t) 0)));
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1124z00_1646)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4787), BUNSPEC);
																																				}
																																				((((BgL_ev_letz00_bglt) CREF(BgL_new1124z00_1646))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																				BgL_auxz00_4726
																																					=
																																					BgL_new1124z00_1646;
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4726);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1500z00_1062;
																																BgL_arg1500z00_1062
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_4796;
																																	{
																																		obj_t
																																			BgL_argsz00_4798;
																																		obj_t
																																			BgL_fz00_4797;
																																		BgL_fz00_4797
																																			=
																																			BgL_arg1500z00_1062;
																																		BgL_argsz00_4798
																																			=
																																			BgL_cdrzd25846zd2_1057;
																																		BgL_argsz00_936
																																			=
																																			BgL_argsz00_4798;
																																		BgL_fz00_935
																																			=
																																			BgL_fz00_4797;
																																		goto
																																			BgL_tagzd2156zd2_937;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4796);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														if (
																															(CAR(BgL_ez00_49)
																																==
																																BGl_symbol2641z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd25846zd2_1057))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1504z00_1067;
																																		obj_t
																																			BgL_arg1505z00_1068;
																																		BgL_arg1504z00_1067
																																			=
																																			CAR
																																			(BgL_cdrzd25846zd2_1057);
																																		BgL_arg1505z00_1068
																																			=
																																			CDR
																																			(BgL_cdrzd25846zd2_1057);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_4807;
																																			BgL_bindsz00_896
																																				=
																																				BgL_arg1504z00_1067;
																																			BgL_bodyz00_897
																																				=
																																				BgL_arg1505z00_1068;
																																		BgL_tagzd2143zd2_898:
																																			{	/* Eval/evaluate.scm 398 */
																																				obj_t
																																					BgL_varsz00_1684;
																																				obj_t
																																					BgL_blocz00_1685;
																																				if (NULLP(BgL_bindsz00_896))
																																					{	/* Eval/evaluate.scm 398 */
																																						BgL_varsz00_1684
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 398 */
																																						obj_t
																																							BgL_head1202z00_1693;
																																						{	/* Eval/evaluate.scm 398 */
																																							obj_t
																																								BgL_res2401z00_2687;
																																							BgL_res2401z00_2687
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1202z00_1693
																																								=
																																								BgL_res2401z00_2687;
																																						}
																																						{
																																							obj_t
																																								BgL_l1200z00_1695;
																																							obj_t
																																								BgL_tail1203z00_1696;
																																							BgL_l1200z00_1695
																																								=
																																								BgL_bindsz00_896;
																																							BgL_tail1203z00_1696
																																								=
																																								BgL_head1202z00_1693;
																																						BgL_zc3anonymousza32005ze3z83_1697:
																																							if (NULLP(BgL_l1200z00_1695))
																																								{	/* Eval/evaluate.scm 398 */
																																									BgL_varsz00_1684
																																										=
																																										CDR
																																										(BgL_head1202z00_1693);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 398 */
																																									obj_t
																																										BgL_newtail1204z00_1699;
																																									{	/* Eval/evaluate.scm 398 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2008z00_1701;
																																										{	/* Eval/evaluate.scm 398 */
																																											obj_t
																																												BgL_bz00_1702;
																																											BgL_bz00_1702
																																												=
																																												CAR
																																												(BgL_l1200z00_1695);
																																											{	/* Eval/evaluate.scm 399 */
																																												obj_t
																																													BgL_iz00_1703;
																																												BgL_iz00_1703
																																													=
																																													BGl_untypezd2identzd2zz__evaluatez00
																																													(CAR
																																													(BgL_bz00_1702));
																																												{	/* Eval/evaluate.scm 400 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1126z00_1704;
																																													{	/* Eval/evaluate.scm 400 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1125z00_1705;
																																														BgL_new1125z00_1705
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 400 */
																																															long
																																																BgL_arg2009z00_1706;
																																															{	/* Eval/evaluate.scm 400 */
																																																long
																																																	BgL_res2403z00_2694;
																																																BgL_res2403z00_2694
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_varz00zz__evaluate_typesz00);
																																																BgL_arg2009z00_1706
																																																	=
																																																	BgL_res2403z00_2694;
																																															}
																																															{	/* Eval/evaluate.scm 400 */
																																																BgL_objectz00_bglt
																																																	BgL_objz00_2695;
																																																BgL_objz00_2695
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1125z00_1705);
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(BgL_objz00_2695,
																																																	BgL_arg2009z00_1706);
																																														}}
																																														{	/* Eval/evaluate.scm 400 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_4821;
																																															BgL_auxz00_4821
																																																=
																																																(
																																																(BgL_objectz00_bglt)
																																																BgL_new1125z00_1705);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_4821,
																																																BFALSE);
																																														}
																																														BgL_new1126z00_1704
																																															=
																																															BgL_new1125z00_1705;
																																													}
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1126z00_1704))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1703)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1126z00_1704))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1126z00_1704))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1703)), BUNSPEC);
																																													BgL_arg2008z00_1701
																																														=
																																														BgL_new1126z00_1704;
																																										}}}
																																										{	/* Eval/evaluate.scm 398 */
																																											obj_t
																																												BgL_res2404z00_2701;
																																											{	/* Eval/evaluate.scm 398 */
																																												obj_t
																																													BgL_obj1z00_2699;
																																												BgL_obj1z00_2699
																																													=
																																													(
																																													(obj_t)
																																													BgL_arg2008z00_1701);
																																												BgL_res2404z00_2701
																																													=
																																													MAKE_PAIR
																																													(BgL_obj1z00_2699,
																																													BNIL);
																																											}
																																											BgL_newtail1204z00_1699
																																												=
																																												BgL_res2404z00_2701;
																																									}}
																																									SET_CDR
																																										(BgL_tail1203z00_1696,
																																										BgL_newtail1204z00_1699);
																																									{
																																										obj_t
																																											BgL_tail1203z00_4834;
																																										obj_t
																																											BgL_l1200z00_4832;
																																										BgL_l1200z00_4832
																																											=
																																											CDR
																																											(BgL_l1200z00_1695);
																																										BgL_tail1203z00_4834
																																											=
																																											BgL_newtail1204z00_1699;
																																										BgL_tail1203z00_1696
																																											=
																																											BgL_tail1203z00_4834;
																																										BgL_l1200z00_1695
																																											=
																																											BgL_l1200z00_4832;
																																										goto
																																											BgL_zc3anonymousza32005ze3z83_1697;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 404 */
																																					obj_t
																																						BgL__ortest_1067z00_2707;
																																					BgL__ortest_1067z00_2707
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_896);
																																					if (CBOOL(BgL__ortest_1067z00_2707))
																																						{	/* Eval/evaluate.scm 404 */
																																							BgL_blocz00_1685
																																								=
																																								BgL__ortest_1067z00_2707;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 404 */
																																							BgL_blocz00_1685
																																								=
																																								BgL_locz00_54;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 405 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1128z00_1686;
																																					{	/* Eval/evaluate.scm 405 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1127z00_1689;
																																						BgL_new1127z00_1689
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 405 */
																																							long
																																								BgL_arg2003z00_1690;
																																							{	/* Eval/evaluate.scm 405 */
																																								long
																																									BgL_res2405z00_2709;
																																								BgL_res2405z00_2709
																																									=
																																									BGL_CLASS_INDEX
																																									(BGl_ev_letza2za2zz__evaluate_typesz00);
																																								BgL_arg2003z00_1690
																																									=
																																									BgL_res2405z00_2709;
																																							}
																																							{	/* Eval/evaluate.scm 405 */
																																								BgL_objectz00_bglt
																																									BgL_objz00_2710;
																																								BgL_objz00_2710
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									BgL_new1127z00_1689);
																																								BGL_OBJECT_CLASS_NUM_SET
																																									(BgL_objz00_2710,
																																									BgL_arg2003z00_1690);
																																						}}
																																						{	/* Eval/evaluate.scm 405 */
																																							BgL_objectz00_bglt
																																								BgL_auxz00_4842;
																																							BgL_auxz00_4842
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1127z00_1689);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_auxz00_4842,
																																								BFALSE);
																																						}
																																						BgL_new1128z00_1686
																																							=
																																							BgL_new1127z00_1689;
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1128z00_1686)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1684), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1128z00_1686)))->BgL_valsz00) = ((obj_t) BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_53, BgL_globalsz00_51, BgL_bindsz00_896, BgL_varsz00_1684, BgL_localsz00_50, BgL_blocz00_1685)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_4850;
																																						{	/* Eval/evaluate.scm 408 */
																																							obj_t
																																								BgL_arg2000z00_1687;
																																							{	/* Eval/evaluate.scm 408 */
																																								obj_t
																																									BgL_arg2001z00_1688;
																																								BgL_arg2001z00_1688
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_1684);
																																								BgL_arg2000z00_1687
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2001z00_1688,
																																									BgL_localsz00_50);
																																							}
																																							BgL_auxz00_4850
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_897,
																																									BgL_arg2000z00_1687,
																																									BgL_globalsz00_51,
																																									BgL_tailzf3zf3_52,
																																									BgL_wherez00_53,
																																									BgL_locz00_54,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1128z00_1686)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4850), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1128z00_1686))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_4807
																																						=
																																						BgL_new1128z00_1686;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4807);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1507z00_1069;
																																		obj_t
																																			BgL_arg1508z00_1070;
																																		BgL_arg1507z00_1069
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		BgL_arg1508z00_1070
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_4861;
																																			{
																																				obj_t
																																					BgL_argsz00_4863;
																																				obj_t
																																					BgL_fz00_4862;
																																				BgL_fz00_4862
																																					=
																																					BgL_arg1507z00_1069;
																																				BgL_argsz00_4863
																																					=
																																					BgL_arg1508z00_1070;
																																				BgL_argsz00_936
																																					=
																																					BgL_argsz00_4863;
																																				BgL_fz00_935
																																					=
																																					BgL_fz00_4862;
																																				goto
																																					BgL_tagzd2156zd2_937;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4861);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_cdrzd26199zd2_1071;
																																BgL_cdrzd26199zd2_1071
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																if ((CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2643z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd26199zd2_1071))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1512z00_1074;
																																				obj_t
																																					BgL_arg1513z00_1075;
																																				BgL_arg1512z00_1074
																																					=
																																					CAR
																																					(BgL_cdrzd26199zd2_1071);
																																				BgL_arg1513z00_1075
																																					=
																																					CDR
																																					(BgL_cdrzd26199zd2_1071);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_4873;
																																					BgL_bindsz00_899
																																						=
																																						BgL_arg1512z00_1074;
																																					BgL_bodyz00_900
																																						=
																																						BgL_arg1513z00_1075;
																																				BgL_tagzd2144zd2_901:
																																					{	/* Eval/evaluate.scm 410 */
																																						obj_t
																																							BgL_varsz00_1725;
																																						if (NULLP(BgL_bindsz00_899))
																																							{	/* Eval/evaluate.scm 410 */
																																								BgL_varsz00_1725
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 410 */
																																								obj_t
																																									BgL_head1207z00_1753;
																																								{	/* Eval/evaluate.scm 410 */
																																									obj_t
																																										BgL_res2408z00_2756;
																																									BgL_res2408z00_2756
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1207z00_1753
																																										=
																																										BgL_res2408z00_2756;
																																								}
																																								{
																																									obj_t
																																										BgL_l1205z00_1755;
																																									obj_t
																																										BgL_tail1208z00_1756;
																																									BgL_l1205z00_1755
																																										=
																																										BgL_bindsz00_899;
																																									BgL_tail1208z00_1756
																																										=
																																										BgL_head1207z00_1753;
																																								BgL_zc3anonymousza32039ze3z83_1757:
																																									if (NULLP(BgL_l1205z00_1755))
																																										{	/* Eval/evaluate.scm 410 */
																																											BgL_varsz00_1725
																																												=
																																												CDR
																																												(BgL_head1207z00_1753);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 410 */
																																											obj_t
																																												BgL_newtail1209z00_1759;
																																											{	/* Eval/evaluate.scm 410 */
																																												BgL_ev_varz00_bglt
																																													BgL_arg2042z00_1761;
																																												{	/* Eval/evaluate.scm 410 */
																																													obj_t
																																														BgL_bz00_1762;
																																													BgL_bz00_1762
																																														=
																																														CAR
																																														(BgL_l1205z00_1755);
																																													{	/* Eval/evaluate.scm 411 */
																																														obj_t
																																															BgL_iz00_1763;
																																														BgL_iz00_1763
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(CAR
																																															(BgL_bz00_1762));
																																														{	/* Eval/evaluate.scm 412 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1131z00_1764;
																																															{	/* Eval/evaluate.scm 412 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1130z00_1765;
																																																BgL_new1130z00_1765
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 412 */
																																																	long
																																																		BgL_arg2044z00_1766;
																																																	{	/* Eval/evaluate.scm 412 */
																																																		long
																																																			BgL_res2410z00_2763;
																																																		BgL_res2410z00_2763
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_varz00zz__evaluate_typesz00);
																																																		BgL_arg2044z00_1766
																																																			=
																																																			BgL_res2410z00_2763;
																																																	}
																																																	{	/* Eval/evaluate.scm 412 */
																																																		BgL_objectz00_bglt
																																																			BgL_objz00_2764;
																																																		BgL_objz00_2764
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1130z00_1765);
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(BgL_objz00_2764,
																																																			BgL_arg2044z00_1766);
																																																}}
																																																{	/* Eval/evaluate.scm 412 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_4887;
																																																	BgL_auxz00_4887
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1130z00_1765);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_4887,
																																																		BFALSE);
																																																}
																																																BgL_new1131z00_1764
																																																	=
																																																	BgL_new1130z00_1765;
																																															}
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1131z00_1764))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1763)), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1131z00_1764))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1131z00_1764))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1763)), BUNSPEC);
																																															BgL_arg2042z00_1761
																																																=
																																																BgL_new1131z00_1764;
																																												}}}
																																												{	/* Eval/evaluate.scm 410 */
																																													obj_t
																																														BgL_res2411z00_2770;
																																													{	/* Eval/evaluate.scm 410 */
																																														obj_t
																																															BgL_obj1z00_2768;
																																														BgL_obj1z00_2768
																																															=
																																															(
																																															(obj_t)
																																															BgL_arg2042z00_1761);
																																														BgL_res2411z00_2770
																																															=
																																															MAKE_PAIR
																																															(BgL_obj1z00_2768,
																																															BNIL);
																																													}
																																													BgL_newtail1209z00_1759
																																														=
																																														BgL_res2411z00_2770;
																																											}}
																																											SET_CDR
																																												(BgL_tail1208z00_1756,
																																												BgL_newtail1209z00_1759);
																																											{
																																												obj_t
																																													BgL_tail1208z00_4900;
																																												obj_t
																																													BgL_l1205z00_4898;
																																												BgL_l1205z00_4898
																																													=
																																													CDR
																																													(BgL_l1205z00_1755);
																																												BgL_tail1208z00_4900
																																													=
																																													BgL_newtail1209z00_1759;
																																												BgL_tail1208z00_1756
																																													=
																																													BgL_tail1208z00_4900;
																																												BgL_l1205z00_1755
																																													=
																																													BgL_l1205z00_4898;
																																												goto
																																													BgL_zc3anonymousza32039ze3z83_1757;
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 410 */
																																							obj_t
																																								BgL_localsz00_1726;
																																							BgL_localsz00_1726
																																								=
																																								BGl_appendzd221011zd2zz__evaluatez00
																																								(BgL_varsz00_1725,
																																								BgL_localsz00_50);
																																							{	/* Eval/evaluate.scm 416 */
																																								obj_t
																																									BgL_blocz00_1727;
																																								{	/* Eval/evaluate.scm 417 */
																																									obj_t
																																										BgL__ortest_1067z00_2776;
																																									BgL__ortest_1067z00_2776
																																										=
																																										BGl_getzd2sourcezd2locationz00zz__readerz00
																																										(BgL_bindsz00_899);
																																									if (CBOOL(BgL__ortest_1067z00_2776))
																																										{	/* Eval/evaluate.scm 417 */
																																											BgL_blocz00_1727
																																												=
																																												BgL__ortest_1067z00_2776;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 417 */
																																											BgL_blocz00_1727
																																												=
																																												BgL_locz00_54;
																																										}
																																								}
																																								{	/* Eval/evaluate.scm 417 */

																																									{	/* Eval/evaluate.scm 418 */
																																										BgL_ev_letrecz00_bglt
																																											BgL_new1133z00_1728;
																																										{	/* Eval/evaluate.scm 418 */
																																											BgL_ev_letrecz00_bglt
																																												BgL_new1132z00_1749;
																																											BgL_new1132z00_1749
																																												=
																																												(
																																												(BgL_ev_letrecz00_bglt)
																																												BREF
																																												(GC_MALLOC
																																													(sizeof
																																														(struct
																																															BgL_ev_letrecz00_bgl))));
																																											{	/* Eval/evaluate.scm 418 */
																																												long
																																													BgL_arg2037z00_1750;
																																												{	/* Eval/evaluate.scm 418 */
																																													long
																																														BgL_res2412z00_2778;
																																													BgL_res2412z00_2778
																																														=
																																														BGL_CLASS_INDEX
																																														(BGl_ev_letrecz00zz__evaluate_typesz00);
																																													BgL_arg2037z00_1750
																																														=
																																														BgL_res2412z00_2778;
																																												}
																																												{	/* Eval/evaluate.scm 418 */
																																													BgL_objectz00_bglt
																																														BgL_objz00_2779;
																																													BgL_objz00_2779
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1132z00_1749);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(BgL_objz00_2779,
																																														BgL_arg2037z00_1750);
																																											}}
																																											{	/* Eval/evaluate.scm 418 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_4909;
																																												BgL_auxz00_4909
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_new1132z00_1749);
																																												BGL_OBJECT_WIDENING_SET
																																													(BgL_auxz00_4909,
																																													BFALSE);
																																											}
																																											BgL_new1133z00_1728
																																												=
																																												BgL_new1132z00_1749;
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1133z00_1728)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1725), BUNSPEC);
																																										{
																																											obj_t
																																												BgL_auxz00_4914;
																																											if (NULLP(BgL_bindsz00_899))
																																												{	/* Eval/evaluate.scm 420 */
																																													BgL_auxz00_4914
																																														=
																																														BNIL;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 420 */
																																													obj_t
																																														BgL_head1212z00_1731;
																																													{	/* Eval/evaluate.scm 420 */
																																														obj_t
																																															BgL_res2414z00_2785;
																																														BgL_res2414z00_2785
																																															=
																																															MAKE_PAIR
																																															(BNIL,
																																															BNIL);
																																														BgL_head1212z00_1731
																																															=
																																															BgL_res2414z00_2785;
																																													}
																																													{
																																														obj_t
																																															BgL_l1210z00_1733;
																																														obj_t
																																															BgL_tail1213z00_1734;
																																														BgL_l1210z00_1733
																																															=
																																															BgL_bindsz00_899;
																																														BgL_tail1213z00_1734
																																															=
																																															BgL_head1212z00_1731;
																																													BgL_zc3anonymousza32025ze3z83_1735:
																																														if (NULLP(BgL_l1210z00_1733))
																																															{	/* Eval/evaluate.scm 420 */
																																																BgL_auxz00_4914
																																																	=
																																																	CDR
																																																	(BgL_head1212z00_1731);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 420 */
																																																obj_t
																																																	BgL_newtail1214z00_1737;
																																																{	/* Eval/evaluate.scm 420 */
																																																	obj_t
																																																		BgL_arg2028z00_1739;
																																																	{	/* Eval/evaluate.scm 420 */
																																																		obj_t
																																																			BgL_bz00_1740;
																																																		{	/* Eval/evaluate.scm 420 */
																																																			obj_t
																																																				BgL_pairz00_2789;
																																																			BgL_pairz00_2789
																																																				=
																																																				BgL_l1210z00_1733;
																																																			BgL_bz00_1740
																																																				=
																																																				CAR
																																																				(BgL_pairz00_2789);
																																																		}
																																																		{	/* Eval/evaluate.scm 421 */
																																																			obj_t
																																																				BgL_arg2029z00_1741;
																																																			obj_t
																																																				BgL_arg2030z00_1742;
																																																			obj_t
																																																				BgL_arg2031z00_1743;
																																																			{	/* Eval/evaluate.scm 421 */
																																																				obj_t
																																																					BgL_pairz00_2790;
																																																				BgL_pairz00_2790
																																																					=
																																																					BgL_bz00_1740;
																																																				{	/* Eval/evaluate.scm 421 */
																																																					obj_t
																																																						BgL_pairz00_2793;
																																																					BgL_pairz00_2793
																																																						=
																																																						CDR
																																																						(BgL_pairz00_2790);
																																																					BgL_arg2029z00_1741
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2793);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 421 */
																																																				obj_t
																																																					BgL_arg2032z00_1744;
																																																				{	/* Eval/evaluate.scm 421 */
																																																					obj_t
																																																						BgL_pairz00_2794;
																																																					BgL_pairz00_2794
																																																						=
																																																						BgL_bz00_1740;
																																																					BgL_arg2032z00_1744
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2794);
																																																				}
																																																				{	/* Eval/evaluate.scm 421 */
																																																					obj_t
																																																						BgL_list2033z00_1745;
																																																					{	/* Eval/evaluate.scm 421 */
																																																						obj_t
																																																							BgL_arg2034z00_1746;
																																																						{	/* Eval/evaluate.scm 421 */
																																																							obj_t
																																																								BgL_arg2035z00_1747;
																																																							BgL_arg2035z00_1747
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_wherez00_53,
																																																								BNIL);
																																																							BgL_arg2034z00_1746
																																																								=
																																																								MAKE_PAIR
																																																								(BGl_symbol2618z00zz__evaluatez00,
																																																								BgL_arg2035z00_1747);
																																																						}
																																																						BgL_list2033z00_1745
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2032z00_1744,
																																																							BgL_arg2034z00_1746);
																																																					}
																																																					BgL_arg2030z00_1742
																																																						=
																																																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																						(BgL_list2033z00_1745);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 421 */
																																																				obj_t
																																																					BgL__ortest_1067z00_2797;
																																																				BgL__ortest_1067z00_2797
																																																					=
																																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																																					(BgL_bz00_1740);
																																																				if (CBOOL(BgL__ortest_1067z00_2797))
																																																					{	/* Eval/evaluate.scm 421 */
																																																						BgL_arg2031z00_1743
																																																							=
																																																							BgL__ortest_1067z00_2797;
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 421 */
																																																						BgL_arg2031z00_1743
																																																							=
																																																							BgL_blocz00_1727;
																																																					}
																																																			}
																																																			BgL_arg2028z00_1739
																																																				=
																																																				BGl_convz00zz__evaluatez00
																																																				(BgL_arg2029z00_1741,
																																																				BgL_localsz00_1726,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_arg2030z00_1742,
																																																				BgL_arg2031z00_1743,
																																																				((bool_t) 0));
																																																		}
																																																	}
																																																	{	/* Eval/evaluate.scm 420 */
																																																		obj_t
																																																			BgL_res2416z00_2800;
																																																		BgL_res2416z00_2800
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg2028z00_1739,
																																																			BNIL);
																																																		BgL_newtail1214z00_1737
																																																			=
																																																			BgL_res2416z00_2800;
																																																	}
																																																}
																																																SET_CDR
																																																	(BgL_tail1213z00_1734,
																																																	BgL_newtail1214z00_1737);
																																																{	/* Eval/evaluate.scm 420 */
																																																	obj_t
																																																		BgL_arg2027z00_1738;
																																																	{	/* Eval/evaluate.scm 420 */
																																																		obj_t
																																																			BgL_pairz00_2803;
																																																		BgL_pairz00_2803
																																																			=
																																																			BgL_l1210z00_1733;
																																																		BgL_arg2027z00_1738
																																																			=
																																																			CDR
																																																			(BgL_pairz00_2803);
																																																	}
																																																	{
																																																		obj_t
																																																			BgL_tail1213z00_4938;
																																																		obj_t
																																																			BgL_l1210z00_4937;
																																																		BgL_l1210z00_4937
																																																			=
																																																			BgL_arg2027z00_1738;
																																																		BgL_tail1213z00_4938
																																																			=
																																																			BgL_newtail1214z00_1737;
																																																		BgL_tail1213z00_1734
																																																			=
																																																			BgL_tail1213z00_4938;
																																																		BgL_l1210z00_1733
																																																			=
																																																			BgL_l1210z00_4937;
																																																		goto
																																																			BgL_zc3anonymousza32025ze3z83_1735;
																																																	}
																																																}
																																															}
																																													}
																																												}
																																											((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1133z00_1728)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4914), BUNSPEC);
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1133z00_1728)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_900, BgL_localsz00_1726, BgL_globalsz00_51, BgL_tailzf3zf3_52, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																										BgL_auxz00_4873
																																											=
																																											BgL_new1133z00_1728;
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_4873);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1514z00_1076;
																																				BgL_arg1514z00_1076
																																					=
																																					CAR
																																					(BgL_ez00_49);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_4946;
																																					{
																																						obj_t
																																							BgL_argsz00_4948;
																																						obj_t
																																							BgL_fz00_4947;
																																						BgL_fz00_4947
																																							=
																																							BgL_arg1514z00_1076;
																																						BgL_argsz00_4948
																																							=
																																							BgL_cdrzd26199zd2_1071;
																																						BgL_argsz00_936
																																							=
																																							BgL_argsz00_4948;
																																						BgL_fz00_935
																																							=
																																							BgL_fz00_4947;
																																						goto
																																							BgL_tagzd2156zd2_937;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_4946);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		if (
																																			(CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2645z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd26199zd2_1071))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_carzd26354zd2_1081;
																																						obj_t
																																							BgL_cdrzd26355zd2_1082;
																																						BgL_carzd26354zd2_1081
																																							=
																																							CAR
																																							(BgL_cdrzd26199zd2_1071);
																																						BgL_cdrzd26355zd2_1082
																																							=
																																							CDR
																																							(BgL_cdrzd26199zd2_1071);
																																						if (PAIRP(BgL_carzd26354zd2_1081))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26359zd2_1084;
																																								BgL_cdrzd26359zd2_1084
																																									=
																																									CDR
																																									(BgL_carzd26354zd2_1081);
																																								if ((CAR(BgL_carzd26354zd2_1081) == BGl_symbol2623z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd26359zd2_1084))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_carzd26362zd2_1087;
																																												obj_t
																																													BgL_cdrzd26363zd2_1088;
																																												BgL_carzd26362zd2_1087
																																													=
																																													CAR
																																													(BgL_cdrzd26359zd2_1084);
																																												BgL_cdrzd26363zd2_1088
																																													=
																																													CDR
																																													(BgL_cdrzd26359zd2_1084);
																																												if (SYMBOLP(BgL_carzd26362zd2_1087))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd26363zd2_1088))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_carzd26367zd2_1091;
																																																BgL_carzd26367zd2_1091
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26363zd2_1088);
																																																if (SYMBOLP(BgL_carzd26367zd2_1091))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd26363zd2_1088)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (PAIRP(BgL_cdrzd26355zd2_1082))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						if (NULLP(CDR(BgL_cdrzd26355zd2_1082)))
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg1527z00_1096;
																																																								BgL_arg1527z00_1096
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26355zd2_1082);
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_idz00_3124;
																																																									obj_t
																																																										BgL_modnamez00_3125;
																																																									BgL_idz00_3124
																																																										=
																																																										BgL_carzd26362zd2_1087;
																																																									BgL_modnamez00_3125
																																																										=
																																																										BgL_carzd26367zd2_1091;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1135z00_3127;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											BgL_ev_setglobalz00_bglt
																																																												BgL_new1134z00_3128;
																																																											BgL_new1134z00_3128
																																																												=
																																																												(
																																																												(BgL_ev_setglobalz00_bglt)
																																																												BREF
																																																												(GC_MALLOC
																																																													(sizeof
																																																														(struct
																																																															BgL_ev_setglobalz00_bgl))));
																																																											{	/* Eval/evaluate.scm 319 */
																																																												long
																																																													BgL_arg2047z00_3129;
																																																												{	/* Eval/evaluate.scm 319 */
																																																													long
																																																														BgL_res2470z00_3131;
																																																													BgL_res2470z00_3131
																																																														=
																																																														BGL_CLASS_INDEX
																																																														(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																													BgL_arg2047z00_3129
																																																														=
																																																														BgL_res2470z00_3131;
																																																												}
																																																												{	/* Eval/evaluate.scm 319 */
																																																													BgL_objectz00_bglt
																																																														BgL_objz00_3132;
																																																													BgL_objz00_3132
																																																														=
																																																														(
																																																														(BgL_objectz00_bglt)
																																																														BgL_new1134z00_3128);
																																																													BGL_OBJECT_CLASS_NUM_SET
																																																														(BgL_objz00_3132,
																																																														BgL_arg2047z00_3129);
																																																											}}
																																																											{	/* Eval/evaluate.scm 319 */
																																																												BgL_objectz00_bglt
																																																													BgL_auxz00_4987;
																																																												BgL_auxz00_4987
																																																													=
																																																													(
																																																													(BgL_objectz00_bglt)
																																																													BgL_new1134z00_3128);
																																																												BGL_OBJECT_WIDENING_SET
																																																													(BgL_auxz00_4987,
																																																													BFALSE);
																																																											}
																																																											BgL_new1135z00_3127
																																																												=
																																																												BgL_new1134z00_3128;
																																																										}
																																																										{
																																																											BgL_ev_exprz00_bglt
																																																												BgL_auxz00_4990;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_arg2081z00_3135;
																																																												BgL_arg2081z00_3135
																																																													=
																																																													BGl_getzd2locationzd2zz__evaluatez00
																																																													(BgL_arg1527z00_1096,
																																																													BgL_locz00_54);
																																																												BgL_auxz00_4990
																																																													=
																																																													(
																																																													(BgL_ev_exprz00_bglt)
																																																													BGl_uconvzf2loczf2zz__evaluatez00
																																																													(BgL_wherez00_53,
																																																														BgL_globalsz00_51,
																																																														BgL_localsz00_50,
																																																														BgL_arg1527z00_1096,
																																																														BgL_arg2081z00_3135));
																																																											}
																																																											((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1135z00_3127)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4990), BUNSPEC);
																																																										}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_3127))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_3127))->BgL_namez00) = ((obj_t) BgL_idz00_3124), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_3127))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3125)), BUNSPEC);
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_new1135z00_3127);
																																																									}
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 319 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_54,
																																																									BGl_string2611z00zz__evaluatez00,
																																																									BGl_string2617z00zz__evaluatez00,
																																																									BgL_ez00_49);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2611z00zz__evaluatez00,
																																																							BGl_string2617z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd26475zd2_1098;
																																																				BgL_cdrzd26475zd2_1098
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_cdrzd26479zd2_1099;
																																																					BgL_cdrzd26479zd2_1099
																																																						=
																																																						CDR
																																																						(BgL_cdrzd26475zd2_1098);
																																																					if (PAIRP(BgL_cdrzd26479zd2_1099))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							if (NULLP(CDR(BgL_cdrzd26479zd2_1099)))
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_arg1531z00_1102;
																																																									obj_t
																																																										BgL_arg1535z00_1103;
																																																									BgL_arg1531z00_1102
																																																										=
																																																										CAR
																																																										(BgL_cdrzd26475zd2_1098);
																																																									BgL_arg1535z00_1103
																																																										=
																																																										CAR
																																																										(BgL_cdrzd26479zd2_1099);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_5012;
																																																										BgL_vz00_909
																																																											=
																																																											BgL_arg1531z00_1102;
																																																										BgL_ez00_910
																																																											=
																																																											BgL_arg1535z00_1103;
																																																									BgL_tagzd2147zd2_911:
																																																										{	/* Eval/evaluate.scm 434 */
																																																											obj_t
																																																												BgL_cvz00_1785;
																																																											obj_t
																																																												BgL_ez00_1786;
																																																											BgL_cvz00_1785
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_909,
																																																												BgL_localsz00_50);
																																																											{	/* Eval/evaluate.scm 434 */
																																																												obj_t
																																																													BgL_arg2081z00_2830;
																																																												{	/* Eval/evaluate.scm 434 */
																																																													obj_t
																																																														BgL__ortest_1067z00_2833;
																																																													BgL__ortest_1067z00_2833
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_910);
																																																													if (CBOOL(BgL__ortest_1067z00_2833))
																																																														{	/* Eval/evaluate.scm 434 */
																																																															BgL_arg2081z00_2830
																																																																=
																																																																BgL__ortest_1067z00_2833;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 434 */
																																																															BgL_arg2081z00_2830
																																																																=
																																																																BgL_locz00_54;
																																																														}
																																																												}
																																																												BgL_ez00_1786
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_910,
																																																													BgL_localsz00_50,
																																																													BgL_globalsz00_51,
																																																													BFALSE,
																																																													BgL_wherez00_53,
																																																													BgL_arg2081z00_2830,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_1785))
																																																												{	/* Eval/evaluate.scm 436 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1137z00_1787;
																																																													{	/* Eval/evaluate.scm 436 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1136z00_1788;
																																																														BgL_new1136z00_1788
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 436 */
																																																															long
																																																																BgL_arg2056z00_1789;
																																																															{	/* Eval/evaluate.scm 436 */
																																																																long
																																																																	BgL_res2422z00_2837;
																																																																BgL_res2422z00_2837
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																																BgL_arg2056z00_1789
																																																																	=
																																																																	BgL_res2422z00_2837;
																																																															}
																																																															{	/* Eval/evaluate.scm 436 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2838;
																																																																BgL_objz00_2838
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1136z00_1788);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2838,
																																																																	BgL_arg2056z00_1789);
																																																														}}
																																																														{	/* Eval/evaluate.scm 436 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5024;
																																																															BgL_auxz00_5024
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1136z00_1788);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5024,
																																																																BFALSE);
																																																														}
																																																														BgL_new1137z00_1787
																																																															=
																																																															BgL_new1136z00_1788;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1137z00_1787)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1786)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1137z00_1787))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_1785)), BUNSPEC);
																																																													BgL_auxz00_5012
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1137z00_1787);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 439 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1139z00_1790;
																																																													{	/* Eval/evaluate.scm 439 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1138z00_1792;
																																																														BgL_new1138z00_1792
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 439 */
																																																															long
																																																																BgL_arg2058z00_1793;
																																																															{	/* Eval/evaluate.scm 439 */
																																																																long
																																																																	BgL_res2423z00_2841;
																																																																BgL_res2423z00_2841
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																																BgL_arg2058z00_1793
																																																																	=
																																																																	BgL_res2423z00_2841;
																																																															}
																																																															{	/* Eval/evaluate.scm 439 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2842;
																																																																BgL_objz00_2842
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1138z00_1792);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2842,
																																																																	BgL_arg2058z00_1793);
																																																														}}
																																																														{	/* Eval/evaluate.scm 439 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5037;
																																																															BgL_auxz00_5037
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1138z00_1792);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5037,
																																																																BFALSE);
																																																														}
																																																														BgL_new1139z00_1790
																																																															=
																																																															BgL_new1138z00_1792;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1139z00_1790)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1786)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1139z00_1790))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1139z00_1790))->BgL_namez00) = ((obj_t) BgL_vz00_909), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_5045;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																															{	/* Eval/evaluate.scm 442 */
																																																																BgL_auxz00_5045
																																																																	=
																																																																	BgL_globalsz00_51;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 442 */
																																																																BgL_auxz00_5045
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1139z00_1790))->BgL_modz00) = ((obj_t) BgL_auxz00_5045), BUNSPEC);
																																																													}
																																																													BgL_auxz00_5012
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1139z00_1790);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_5012);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 319 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_54,
																																																										BGl_string2611z00zz__evaluatez00,
																																																										BGl_string2617z00zz__evaluatez00,
																																																										BgL_ez00_49);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2611z00zz__evaluatez00,
																																																								BGl_string2617z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd26532zd2_1106;
																																																		BgL_cdrzd26532zd2_1106
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd26536zd2_1107;
																																																			BgL_cdrzd26536zd2_1107
																																																				=
																																																				CDR
																																																				(BgL_cdrzd26532zd2_1106);
																																																			if (PAIRP(BgL_cdrzd26536zd2_1107))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd26536zd2_1107)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1542z00_1110;
																																																							obj_t
																																																								BgL_arg1543z00_1111;
																																																							BgL_arg1542z00_1110
																																																								=
																																																								CAR
																																																								(BgL_cdrzd26532zd2_1106);
																																																							BgL_arg1543z00_1111
																																																								=
																																																								CAR
																																																								(BgL_cdrzd26536zd2_1107);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5063;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5065;
																																																									obj_t
																																																										BgL_vz00_5064;
																																																									BgL_vz00_5064
																																																										=
																																																										BgL_arg1542z00_1110;
																																																									BgL_ez00_5065
																																																										=
																																																										BgL_arg1543z00_1111;
																																																									BgL_ez00_910
																																																										=
																																																										BgL_ez00_5065;
																																																									BgL_vz00_909
																																																										=
																																																										BgL_vz00_5064;
																																																									goto
																																																										BgL_tagzd2147zd2_911;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5063);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2611z00zz__evaluatez00,
																																																								BGl_string2617z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2611z00zz__evaluatez00,
																																																						BGl_string2617z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26589zd2_1113;
																																																BgL_cdrzd26589zd2_1113
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd26593zd2_1114;
																																																	BgL_cdrzd26593zd2_1114
																																																		=
																																																		CDR
																																																		(BgL_cdrzd26589zd2_1113);
																																																	if (PAIRP(BgL_cdrzd26593zd2_1114))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd26593zd2_1114)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1548z00_1117;
																																																					obj_t
																																																						BgL_arg1549z00_1118;
																																																					BgL_arg1548z00_1117
																																																						=
																																																						CAR
																																																						(BgL_cdrzd26589zd2_1113);
																																																					BgL_arg1549z00_1118
																																																						=
																																																						CAR
																																																						(BgL_cdrzd26593zd2_1114);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5078;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5080;
																																																							obj_t
																																																								BgL_vz00_5079;
																																																							BgL_vz00_5079
																																																								=
																																																								BgL_arg1548z00_1117;
																																																							BgL_ez00_5080
																																																								=
																																																								BgL_arg1549z00_1118;
																																																							BgL_ez00_910
																																																								=
																																																								BgL_ez00_5080;
																																																							BgL_vz00_909
																																																								=
																																																								BgL_vz00_5079;
																																																							goto
																																																								BgL_tagzd2147zd2_911;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5078);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2611z00zz__evaluatez00,
																																																						BGl_string2617z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2611z00zz__evaluatez00,
																																																				BGl_string2617z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd26646zd2_1120;
																																														BgL_cdrzd26646zd2_1120
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd26650zd2_1121;
																																															BgL_cdrzd26650zd2_1121
																																																=
																																																CDR
																																																(BgL_cdrzd26646zd2_1120);
																																															if (PAIRP(BgL_cdrzd26650zd2_1121))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd26650zd2_1121)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1554z00_1124;
																																																			obj_t
																																																				BgL_arg1555z00_1125;
																																																			BgL_arg1554z00_1124
																																																				=
																																																				CAR
																																																				(BgL_cdrzd26646zd2_1120);
																																																			BgL_arg1555z00_1125
																																																				=
																																																				CAR
																																																				(BgL_cdrzd26650zd2_1121);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5093;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5095;
																																																					obj_t
																																																						BgL_vz00_5094;
																																																					BgL_vz00_5094
																																																						=
																																																						BgL_arg1554z00_1124;
																																																					BgL_ez00_5095
																																																						=
																																																						BgL_arg1555z00_1125;
																																																					BgL_ez00_910
																																																						=
																																																						BgL_ez00_5095;
																																																					BgL_vz00_909
																																																						=
																																																						BgL_vz00_5094;
																																																					goto
																																																						BgL_tagzd2147zd2_911;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5093);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2611z00zz__evaluatez00,
																																																				BGl_string2617z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2611z00zz__evaluatez00,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26703zd2_1127;
																																												BgL_cdrzd26703zd2_1127
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd26707zd2_1128;
																																													BgL_cdrzd26707zd2_1128
																																														=
																																														CDR
																																														(BgL_cdrzd26703zd2_1127);
																																													if (PAIRP(BgL_cdrzd26707zd2_1128))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd26707zd2_1128)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1563z00_1131;
																																																	obj_t
																																																		BgL_arg1567z00_1132;
																																																	BgL_arg1563z00_1131
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26703zd2_1127);
																																																	BgL_arg1567z00_1132
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26707zd2_1128);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5108;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5110;
																																																			obj_t
																																																				BgL_vz00_5109;
																																																			BgL_vz00_5109
																																																				=
																																																				BgL_arg1563z00_1131;
																																																			BgL_ez00_5110
																																																				=
																																																				BgL_arg1567z00_1132;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_5110;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_5109;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5108);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2611z00zz__evaluatez00,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2611z00zz__evaluatez00,
																																																BGl_string2617z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd26748zd2_1134;
																																										BgL_cdrzd26748zd2_1134
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_carzd26751zd2_1135;
																																											obj_t
																																												BgL_cdrzd26752zd2_1136;
																																											BgL_carzd26751zd2_1135
																																												=
																																												CAR
																																												(BgL_cdrzd26748zd2_1134);
																																											BgL_cdrzd26752zd2_1136
																																												=
																																												CDR
																																												(BgL_cdrzd26748zd2_1134);
																																											if ((CAR(BgL_carzd26751zd2_1135) == BGl_symbol2625z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (PAIRP(BgL_cdrzd26752zd2_1136))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd26752zd2_1136)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	BgL_lz00_906
																																																		=
																																																		CDR
																																																		(BgL_carzd26751zd2_1135);
																																																	BgL_e2z00_907
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26752zd2_1136);
																																																BgL_tagzd2146zd2_908:
																																																	{	/* Eval/evaluate.scm 430 */
																																																		bool_t
																																																			BgL_testz00_5125;
																																																		if (PAIRP(BgL_lz00_906))
																																																			{	/* Eval/evaluate.scm 430 */
																																																				bool_t
																																																					BgL_testz00_5128;
																																																				{	/* Eval/evaluate.scm 430 */
																																																					obj_t
																																																						BgL_auxz00_5129;
																																																					BgL_auxz00_5129
																																																						=
																																																						CDR
																																																						(BgL_lz00_906);
																																																					BgL_testz00_5128
																																																						=
																																																						PAIRP
																																																						(BgL_auxz00_5129);
																																																				}
																																																				if (BgL_testz00_5128)
																																																					{
																																																						obj_t
																																																							BgL_l1215z00_1776;
																																																						BgL_l1215z00_1776
																																																							=
																																																							BgL_lz00_906;
																																																					BgL_zc3anonymousza32051ze3z83_1777:
																																																						if (NULLP(BgL_l1215z00_1776))
																																																							{	/* Eval/evaluate.scm 430 */
																																																								BgL_testz00_5125
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 430 */
																																																								bool_t
																																																									BgL_testz00_5134;
																																																								{	/* Eval/evaluate.scm 430 */
																																																									obj_t
																																																										BgL_auxz00_5135;
																																																									BgL_auxz00_5135
																																																										=
																																																										CAR
																																																										(BgL_l1215z00_1776);
																																																									BgL_testz00_5134
																																																										=
																																																										SYMBOLP
																																																										(BgL_auxz00_5135);
																																																								}
																																																								if (BgL_testz00_5134)
																																																									{
																																																										obj_t
																																																											BgL_l1215z00_5138;
																																																										BgL_l1215z00_5138
																																																											=
																																																											CDR
																																																											(BgL_l1215z00_1776);
																																																										BgL_l1215z00_1776
																																																											=
																																																											BgL_l1215z00_5138;
																																																										goto
																																																											BgL_zc3anonymousza32051ze3z83_1777;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 430 */
																																																										BgL_testz00_5125
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 430 */
																																																						BgL_testz00_5125
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 430 */
																																																				BgL_testz00_5125
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_5125)
																																																			{	/* Eval/evaluate.scm 430 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_906,
																																																					BgL_e2z00_907,
																																																					BgL_ez00_49,
																																																					BgL_localsz00_50,
																																																					BgL_globalsz00_51,
																																																					BgL_tailzf3zf3_52,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					BgL_topzf3zf3_55);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 430 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2611z00zz__evaluatez00,
																																																					BGl_string2617z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2611z00zz__evaluatez00,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2611z00zz__evaluatez00,
																																																BGl_string2617z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd26823zd2_1144;
																																													BgL_cdrzd26823zd2_1144
																																														=
																																														CDR
																																														(BgL_cdrzd26748zd2_1134);
																																													if (PAIRP(BgL_cdrzd26823zd2_1144))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd26823zd2_1144)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1578z00_1147;
																																																	obj_t
																																																		BgL_arg1579z00_1148;
																																																	BgL_arg1578z00_1147
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26748zd2_1134);
																																																	BgL_arg1579z00_1148
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26823zd2_1144);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5154;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5156;
																																																			obj_t
																																																				BgL_vz00_5155;
																																																			BgL_vz00_5155
																																																				=
																																																				BgL_arg1578z00_1147;
																																																			BgL_ez00_5156
																																																				=
																																																				BgL_arg1579z00_1148;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_5156;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_5155;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5154);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2611z00zz__evaluatez00,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2611z00zz__evaluatez00,
																																																BGl_string2617z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26876zd2_1152;
																																								BgL_cdrzd26876zd2_1152
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_cdrzd26880zd2_1153;
																																									BgL_cdrzd26880zd2_1153
																																										=
																																										CDR
																																										(BgL_cdrzd26876zd2_1152);
																																									if (PAIRP(BgL_cdrzd26880zd2_1153))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (NULLP(CDR(BgL_cdrzd26880zd2_1153)))
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_arg1586z00_1156;
																																													obj_t
																																														BgL_arg1587z00_1157;
																																													BgL_arg1586z00_1156
																																														=
																																														CAR
																																														(BgL_cdrzd26876zd2_1152);
																																													BgL_arg1587z00_1157
																																														=
																																														CAR
																																														(BgL_cdrzd26880zd2_1153);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_5169;
																																														{
																																															obj_t
																																																BgL_ez00_5171;
																																															obj_t
																																																BgL_vz00_5170;
																																															BgL_vz00_5170
																																																=
																																																BgL_arg1586z00_1156;
																																															BgL_ez00_5171
																																																=
																																																BgL_arg1587z00_1157;
																																															BgL_ez00_910
																																																=
																																																BgL_ez00_5171;
																																															BgL_vz00_909
																																																=
																																																BgL_vz00_5170;
																																															goto
																																																BgL_tagzd2147zd2_911;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_5169);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2611z00zz__evaluatez00,
																																														BGl_string2617z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2611z00zz__evaluatez00,
																																												BGl_string2617z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_54,
																																							BGl_string2611z00zz__evaluatez00,
																																							BGl_string2617z00zz__evaluatez00,
																																							BgL_ez00_49);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_cdrzd26992zd2_1159;
																																				BgL_cdrzd26992zd2_1159
																																					=
																																					CDR
																																					(BgL_ez00_49);
																																				if ((CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2647z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd26992zd2_1159))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26997zd2_1162;
																																								BgL_cdrzd26997zd2_1162
																																									=
																																									CDR
																																									(BgL_cdrzd26992zd2_1159);
																																								if (PAIRP(BgL_cdrzd26997zd2_1162))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd27001zd2_1164;
																																										BgL_carzd27001zd2_1164
																																											=
																																											CAR
																																											(BgL_cdrzd26997zd2_1162);
																																										if (PAIRP(BgL_carzd27001zd2_1164))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd27006zd2_1166;
																																												BgL_cdrzd27006zd2_1166
																																													=
																																													CDR
																																													(BgL_carzd27001zd2_1164);
																																												if ((CAR(BgL_carzd27001zd2_1164) == BGl_symbol2649z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd27006zd2_1166))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd27010zd2_1169;
																																																BgL_cdrzd27010zd2_1169
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27006zd2_1166);
																																																if (PAIRP(BgL_cdrzd27010zd2_1169))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd27010zd2_1169)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd26997zd2_1162)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1598z00_1173;
																																																						obj_t
																																																							BgL_arg1599z00_1174;
																																																						obj_t
																																																							BgL_arg1600z00_1175;
																																																						BgL_arg1598z00_1173
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26992zd2_1159);
																																																						BgL_arg1599z00_1174
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27006zd2_1166);
																																																						BgL_arg1600z00_1175
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27010zd2_1169);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5206;
																																																							BgL_gvz00_913
																																																								=
																																																								BgL_arg1598z00_1173;
																																																							BgL_formalsz00_914
																																																								=
																																																								BgL_arg1599z00_1174;
																																																							BgL_bodyz00_915
																																																								=
																																																								BgL_arg1600z00_1175;
																																																						BgL_tagzd2149zd2_916:
																																																							{	/* Eval/evaluate.scm 447 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1141z00_1794;
																																																								{	/* Eval/evaluate.scm 447 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1140z00_1797;
																																																									BgL_new1140z00_1797
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 447 */
																																																										long
																																																											BgL_arg2061z00_1798;
																																																										{	/* Eval/evaluate.scm 447 */
																																																											long
																																																												BgL_res2424z00_2845;
																																																											BgL_res2424z00_2845
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BgL_arg2061z00_1798
																																																												=
																																																												BgL_res2424z00_2845;
																																																										}
																																																										{	/* Eval/evaluate.scm 447 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2846;
																																																											BgL_objz00_2846
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1140z00_1797);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2846,
																																																												BgL_arg2061z00_1798);
																																																									}}
																																																									{	/* Eval/evaluate.scm 447 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5211;
																																																										BgL_auxz00_5211
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1140z00_1797);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5211,
																																																											BFALSE);
																																																									}
																																																									BgL_new1141z00_1794
																																																										=
																																																										BgL_new1140z00_1797;
																																																								}
																																																								((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1141z00_1794)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2lambdazd2zz__evaluatez00(BgL_globalsz00_51, BgL_localsz00_50, BgL_locz00_54, BgL_ez00_49, BgL_formalsz00_914, BgL_bodyz00_915, BgL_gvz00_913))), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1141z00_1794)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5220;
																																																									{	/* Eval/evaluate.scm 449 */
																																																										obj_t
																																																											BgL_arg2059z00_1795;
																																																										BgL_arg2059z00_1795
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_913);
																																																										BgL_auxz00_5220
																																																											=
																																																											CAR
																																																											(BgL_arg2059z00_1795);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1141z00_1794)))->BgL_namez00) = ((obj_t) BgL_auxz00_5220), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5225;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 450 */
																																																											BgL_auxz00_5225
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 450 */
																																																											BgL_auxz00_5225
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1141z00_1794)))->BgL_modz00) = ((obj_t) BgL_auxz00_5225), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5206
																																																									=
																																																									BgL_new1141z00_1794;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5206);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1601z00_1176;
																																																						BgL_arg1601z00_1176
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5233;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5235;
																																																								obj_t
																																																									BgL_fz00_5234;
																																																								BgL_fz00_5234
																																																									=
																																																									BgL_arg1601z00_1176;
																																																								BgL_argsz00_5235
																																																									=
																																																									BgL_cdrzd26992zd2_1159;
																																																								BgL_argsz00_936
																																																									=
																																																									BgL_argsz00_5235;
																																																								BgL_fz00_935
																																																									=
																																																									BgL_fz00_5234;
																																																								goto
																																																									BgL_tagzd2156zd2_937;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5233);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd27096zd2_1180;
																																																				BgL_cdrzd27096zd2_1180
																																																					=
																																																					CDR
																																																					(BgL_cdrzd26992zd2_1159);
																																																				if (NULLP(CDR(BgL_cdrzd27096zd2_1180)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1605z00_1182;
																																																						obj_t
																																																							BgL_arg1606z00_1183;
																																																						BgL_arg1605z00_1182
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26992zd2_1159);
																																																						BgL_arg1606z00_1183
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27096zd2_1180);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5243;
																																																							BgL_gvz00_917
																																																								=
																																																								BgL_arg1605z00_1182;
																																																							BgL_gez00_918
																																																								=
																																																								BgL_arg1606z00_1183;
																																																						BgL_tagzd2150zd2_919:
																																																							{	/* Eval/evaluate.scm 453 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1143z00_1799;
																																																								{	/* Eval/evaluate.scm 453 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1142z00_1802;
																																																									BgL_new1142z00_1802
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 453 */
																																																										long
																																																											BgL_arg2064z00_1803;
																																																										{	/* Eval/evaluate.scm 453 */
																																																											long
																																																												BgL_res2425z00_2850;
																																																											BgL_res2425z00_2850
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BgL_arg2064z00_1803
																																																												=
																																																												BgL_res2425z00_2850;
																																																										}
																																																										{	/* Eval/evaluate.scm 453 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2851;
																																																											BgL_objz00_2851
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1142z00_1802);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2851,
																																																												BgL_arg2064z00_1803);
																																																									}}
																																																									{	/* Eval/evaluate.scm 453 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5248;
																																																										BgL_auxz00_5248
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1142z00_1802);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5248,
																																																											BFALSE);
																																																									}
																																																									BgL_new1143z00_1799
																																																										=
																																																										BgL_new1142z00_1802;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5251;
																																																									{	/* Eval/evaluate.scm 457 */
																																																										obj_t
																																																											BgL_arg2081z00_2854;
																																																										{	/* Eval/evaluate.scm 457 */
																																																											obj_t
																																																												BgL__ortest_1067z00_2857;
																																																											BgL__ortest_1067z00_2857
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_gez00_918);
																																																											if (CBOOL(BgL__ortest_1067z00_2857))
																																																												{	/* Eval/evaluate.scm 457 */
																																																													BgL_arg2081z00_2854
																																																														=
																																																														BgL__ortest_1067z00_2857;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 457 */
																																																													BgL_arg2081z00_2854
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5251
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_gez00_918,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2081z00_2854,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1143z00_1799)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5251), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1143z00_1799)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5261;
																																																									{	/* Eval/evaluate.scm 455 */
																																																										obj_t
																																																											BgL_arg2062z00_1800;
																																																										BgL_arg2062z00_1800
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_917);
																																																										BgL_auxz00_5261
																																																											=
																																																											CAR
																																																											(BgL_arg2062z00_1800);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1143z00_1799)))->BgL_namez00) = ((obj_t) BgL_auxz00_5261), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5266;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 456 */
																																																											BgL_auxz00_5266
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 456 */
																																																											BgL_auxz00_5266
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1143z00_1799)))->BgL_modz00) = ((obj_t) BgL_auxz00_5266), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5243
																																																									=
																																																									BgL_new1143z00_1799;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5243);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1607z00_1184;
																																																						obj_t
																																																							BgL_arg1608z00_1185;
																																																						BgL_arg1607z00_1184
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						BgL_arg1608z00_1185
																																																							=
																																																							CDR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5275;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5277;
																																																								obj_t
																																																									BgL_fz00_5276;
																																																								BgL_fz00_5276
																																																									=
																																																									BgL_arg1607z00_1184;
																																																								BgL_argsz00_5277
																																																									=
																																																									BgL_arg1608z00_1185;
																																																								BgL_argsz00_936
																																																									=
																																																									BgL_argsz00_5277;
																																																								BgL_fz00_935
																																																									=
																																																									BgL_fz00_5276;
																																																								goto
																																																									BgL_tagzd2156zd2_937;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5275);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd27170zd2_1189;
																																																		BgL_cdrzd27170zd2_1189
																																																			=
																																																			CDR
																																																			(BgL_cdrzd26992zd2_1159);
																																																		if (NULLP(CDR(BgL_cdrzd27170zd2_1189)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1612z00_1191;
																																																				obj_t
																																																					BgL_arg1613z00_1192;
																																																				BgL_arg1612z00_1191
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26992zd2_1159);
																																																				BgL_arg1613z00_1192
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27170zd2_1189);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5285;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5287;
																																																						obj_t
																																																							BgL_gvz00_5286;
																																																						BgL_gvz00_5286
																																																							=
																																																							BgL_arg1612z00_1191;
																																																						BgL_gez00_5287
																																																							=
																																																							BgL_arg1613z00_1192;
																																																						BgL_gez00_918
																																																							=
																																																							BgL_gez00_5287;
																																																						BgL_gvz00_917
																																																							=
																																																							BgL_gvz00_5286;
																																																						goto
																																																							BgL_tagzd2150zd2_919;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5285);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1614z00_1193;
																																																				obj_t
																																																					BgL_arg1616z00_1194;
																																																				BgL_arg1614z00_1193
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1616z00_1194
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5291;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5293;
																																																						obj_t
																																																							BgL_fz00_5292;
																																																						BgL_fz00_5292
																																																							=
																																																							BgL_arg1614z00_1193;
																																																						BgL_argsz00_5293
																																																							=
																																																							BgL_arg1616z00_1194;
																																																						BgL_argsz00_936
																																																							=
																																																							BgL_argsz00_5293;
																																																						BgL_fz00_935
																																																							=
																																																							BgL_fz00_5292;
																																																						goto
																																																							BgL_tagzd2156zd2_937;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5291);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd27244zd2_1197;
																																																BgL_cdrzd27244zd2_1197
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26992zd2_1159);
																																																if (NULLP(CDR(BgL_cdrzd27244zd2_1197)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1619z00_1199;
																																																		obj_t
																																																			BgL_arg1620z00_1200;
																																																		BgL_arg1619z00_1199
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26992zd2_1159);
																																																		BgL_arg1620z00_1200
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27244zd2_1197);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5301;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5303;
																																																				obj_t
																																																					BgL_gvz00_5302;
																																																				BgL_gvz00_5302
																																																					=
																																																					BgL_arg1619z00_1199;
																																																				BgL_gez00_5303
																																																					=
																																																					BgL_arg1620z00_1200;
																																																				BgL_gez00_918
																																																					=
																																																					BgL_gez00_5303;
																																																				BgL_gvz00_917
																																																					=
																																																					BgL_gvz00_5302;
																																																				goto
																																																					BgL_tagzd2150zd2_919;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5301);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1621z00_1201;
																																																		obj_t
																																																			BgL_arg1622z00_1202;
																																																		BgL_arg1621z00_1201
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1622z00_1202
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5307;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5309;
																																																				obj_t
																																																					BgL_fz00_5308;
																																																				BgL_fz00_5308
																																																					=
																																																					BgL_arg1621z00_1201;
																																																				BgL_argsz00_5309
																																																					=
																																																					BgL_arg1622z00_1202;
																																																				BgL_argsz00_936
																																																					=
																																																					BgL_argsz00_5309;
																																																				BgL_fz00_935
																																																					=
																																																					BgL_fz00_5308;
																																																				goto
																																																					BgL_tagzd2156zd2_937;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5307);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd27318zd2_1205;
																																														BgL_cdrzd27318zd2_1205
																																															=
																																															CDR
																																															(BgL_cdrzd26992zd2_1159);
																																														if (NULLP(CDR(BgL_cdrzd27318zd2_1205)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1625z00_1207;
																																																obj_t
																																																	BgL_arg1626z00_1208;
																																																BgL_arg1625z00_1207
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26992zd2_1159);
																																																BgL_arg1626z00_1208
																																																	=
																																																	CAR
																																																	(BgL_cdrzd27318zd2_1205);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_5317;
																																																	{
																																																		obj_t
																																																			BgL_gez00_5319;
																																																		obj_t
																																																			BgL_gvz00_5318;
																																																		BgL_gvz00_5318
																																																			=
																																																			BgL_arg1625z00_1207;
																																																		BgL_gez00_5319
																																																			=
																																																			BgL_arg1626z00_1208;
																																																		BgL_gez00_918
																																																			=
																																																			BgL_gez00_5319;
																																																		BgL_gvz00_917
																																																			=
																																																			BgL_gvz00_5318;
																																																		goto
																																																			BgL_tagzd2150zd2_919;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5317);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1627z00_1209;
																																																obj_t
																																																	BgL_arg1628z00_1210;
																																																BgL_arg1627z00_1209
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1628z00_1210
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5323;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5325;
																																																		obj_t
																																																			BgL_fz00_5324;
																																																		BgL_fz00_5324
																																																			=
																																																			BgL_arg1627z00_1209;
																																																		BgL_argsz00_5325
																																																			=
																																																			BgL_arg1628z00_1210;
																																																		BgL_argsz00_936
																																																			=
																																																			BgL_argsz00_5325;
																																																		BgL_fz00_935
																																																			=
																																																			BgL_fz00_5324;
																																																		goto
																																																			BgL_tagzd2156zd2_937;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5323);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd27392zd2_1214;
																																												BgL_cdrzd27392zd2_1214
																																													=
																																													CDR
																																													(BgL_cdrzd26992zd2_1159);
																																												if (NULLP(CDR(BgL_cdrzd27392zd2_1214)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1632z00_1216;
																																														obj_t
																																															BgL_arg1633z00_1217;
																																														BgL_arg1632z00_1216
																																															=
																																															CAR
																																															(BgL_cdrzd26992zd2_1159);
																																														BgL_arg1633z00_1217
																																															=
																																															CAR
																																															(BgL_cdrzd27392zd2_1214);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_5333;
																																															{
																																																obj_t
																																																	BgL_gez00_5335;
																																																obj_t
																																																	BgL_gvz00_5334;
																																																BgL_gvz00_5334
																																																	=
																																																	BgL_arg1632z00_1216;
																																																BgL_gez00_5335
																																																	=
																																																	BgL_arg1633z00_1217;
																																																BgL_gez00_918
																																																	=
																																																	BgL_gez00_5335;
																																																BgL_gvz00_917
																																																	=
																																																	BgL_gvz00_5334;
																																																goto
																																																	BgL_tagzd2150zd2_919;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5333);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1634z00_1218;
																																														obj_t
																																															BgL_arg1636z00_1219;
																																														BgL_arg1634z00_1218
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1636z00_1219
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5339;
																																															{
																																																obj_t
																																																	BgL_argsz00_5341;
																																																obj_t
																																																	BgL_fz00_5340;
																																																BgL_fz00_5340
																																																	=
																																																	BgL_arg1634z00_1218;
																																																BgL_argsz00_5341
																																																	=
																																																	BgL_arg1636z00_1219;
																																																BgL_argsz00_936
																																																	=
																																																	BgL_argsz00_5341;
																																																BgL_fz00_935
																																																	=
																																																	BgL_fz00_5340;
																																																goto
																																																	BgL_tagzd2156zd2_937;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5339);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1638z00_1221;
																																										BgL_arg1638z00_1221
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5344;
																																											{
																																												obj_t
																																													BgL_argsz00_5346;
																																												obj_t
																																													BgL_fz00_5345;
																																												BgL_fz00_5345
																																													=
																																													BgL_arg1638z00_1221;
																																												BgL_argsz00_5346
																																													=
																																													BgL_cdrzd26992zd2_1159;
																																												BgL_argsz00_936
																																													=
																																													BgL_argsz00_5346;
																																												BgL_fz00_935
																																													=
																																													BgL_fz00_5345;
																																												goto
																																													BgL_tagzd2156zd2_937;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5344);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1640z00_1223;
																																								BgL_arg1640z00_1223
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_5349;
																																									{
																																										obj_t
																																											BgL_argsz00_5351;
																																										obj_t
																																											BgL_fz00_5350;
																																										BgL_fz00_5350
																																											=
																																											BgL_arg1640z00_1223;
																																										BgL_argsz00_5351
																																											=
																																											BgL_cdrzd26992zd2_1159;
																																										BgL_argsz00_936
																																											=
																																											BgL_argsz00_5351;
																																										BgL_fz00_935
																																											=
																																											BgL_fz00_5350;
																																										goto
																																											BgL_tagzd2156zd2_937;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_5349);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2651z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd26992zd2_1159))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd27594zd2_1228;
																																										BgL_carzd27594zd2_1228
																																											=
																																											CAR
																																											(BgL_cdrzd26992zd2_1159);
																																										if (PAIRP(BgL_carzd27594zd2_1228))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (NULLP(CDR(BgL_carzd27594zd2_1228)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1647z00_1231;
																																														obj_t
																																															BgL_arg1648z00_1232;
																																														BgL_arg1647z00_1231
																																															=
																																															CAR
																																															(BgL_carzd27594zd2_1228);
																																														BgL_arg1648z00_1232
																																															=
																																															CDR
																																															(BgL_cdrzd26992zd2_1159);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_5366;
																																															BgL_vz00_920
																																																=
																																																BgL_arg1647z00_1231;
																																															BgL_bodyz00_921
																																																=
																																																BgL_arg1648z00_1232;
																																														BgL_tagzd2151zd2_922:
																																															{	/* Eval/evaluate.scm 459 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_1804;
																																																{	/* Eval/evaluate.scm 459 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1145z00_1809;
																																																	{	/* Eval/evaluate.scm 459 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1144z00_1810;
																																																		BgL_new1144z00_1810
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 459 */
																																																			long
																																																				BgL_arg2067z00_1811;
																																																			{	/* Eval/evaluate.scm 459 */
																																																				long
																																																					BgL_res2426z00_2862;
																																																				BgL_res2426z00_2862
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_varz00zz__evaluate_typesz00);
																																																				BgL_arg2067z00_1811
																																																					=
																																																					BgL_res2426z00_2862;
																																																			}
																																																			{	/* Eval/evaluate.scm 459 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2863;
																																																				BgL_objz00_2863
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1144z00_1810);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2863,
																																																					BgL_arg2067z00_1811);
																																																		}}
																																																		{	/* Eval/evaluate.scm 459 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5371;
																																																			BgL_auxz00_5371
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1144z00_1810);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5371,
																																																				BFALSE);
																																																		}
																																																		BgL_new1145z00_1809
																																																			=
																																																			BgL_new1144z00_1810;
																																																	}
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1145z00_1809))->BgL_namez00) = ((obj_t) BgL_vz00_920), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1145z00_1809))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1145z00_1809))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_1804
																																																		=
																																																		BgL_new1145z00_1809;
																																																}
																																																{	/* Eval/evaluate.scm 460 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1147z00_1805;
																																																	{	/* Eval/evaluate.scm 460 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1146z00_1807;
																																																		BgL_new1146z00_1807
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 460 */
																																																			long
																																																				BgL_arg2066z00_1808;
																																																			{	/* Eval/evaluate.scm 460 */
																																																				long
																																																					BgL_res2427z00_2866;
																																																				BgL_res2427z00_2866
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																				BgL_arg2066z00_1808
																																																					=
																																																					BgL_res2427z00_2866;
																																																			}
																																																			{	/* Eval/evaluate.scm 460 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2867;
																																																				BgL_objz00_2867
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1146z00_1807);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2867,
																																																					BgL_arg2066z00_1808);
																																																		}}
																																																		{	/* Eval/evaluate.scm 460 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5381;
																																																			BgL_auxz00_5381
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1146z00_1807);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5381,
																																																				BFALSE);
																																																		}
																																																		BgL_new1147z00_1805
																																																			=
																																																			BgL_new1146z00_1807;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1147z00_1805))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_1804), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_5385;
																																																		{	/* Eval/evaluate.scm 462 */
																																																			obj_t
																																																				BgL_arg2065z00_1806;
																																																			BgL_arg2065z00_1806
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_1804), BgL_localsz00_50);
																																																			BgL_auxz00_5385
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_921,
																																																					BgL_arg2065z00_1806,
																																																					BgL_globalsz00_51,
																																																					BFALSE,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1147z00_1805))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5385), BUNSPEC);
																																																	}
																																																	BgL_auxz00_5366
																																																		=
																																																		BgL_new1147z00_1805;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5366);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1649z00_1233;
																																														obj_t
																																															BgL_arg1650z00_1234;
																																														BgL_arg1649z00_1233
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1650z00_1234
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5394;
																																															{
																																																obj_t
																																																	BgL_argsz00_5396;
																																																obj_t
																																																	BgL_fz00_5395;
																																																BgL_fz00_5395
																																																	=
																																																	BgL_arg1649z00_1233;
																																																BgL_argsz00_5396
																																																	=
																																																	BgL_arg1650z00_1234;
																																																BgL_argsz00_936
																																																	=
																																																	BgL_argsz00_5396;
																																																BgL_fz00_935
																																																	=
																																																	BgL_fz00_5395;
																																																goto
																																																	BgL_tagzd2156zd2_937;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5394);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1652z00_1236;
																																												obj_t
																																													BgL_arg1653z00_1237;
																																												BgL_arg1652z00_1236
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1653z00_1237
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5400;
																																													{
																																														obj_t
																																															BgL_argsz00_5402;
																																														obj_t
																																															BgL_fz00_5401;
																																														BgL_fz00_5401
																																															=
																																															BgL_arg1652z00_1236;
																																														BgL_argsz00_5402
																																															=
																																															BgL_arg1653z00_1237;
																																														BgL_argsz00_936
																																															=
																																															BgL_argsz00_5402;
																																														BgL_fz00_935
																																															=
																																															BgL_fz00_5401;
																																														goto
																																															BgL_tagzd2156zd2_937;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5400);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1654z00_1238;
																																										obj_t
																																											BgL_arg1656z00_1239;
																																										BgL_arg1654z00_1238
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1656z00_1239
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5406;
																																											{
																																												obj_t
																																													BgL_argsz00_5408;
																																												obj_t
																																													BgL_fz00_5407;
																																												BgL_fz00_5407
																																													=
																																													BgL_arg1654z00_1238;
																																												BgL_argsz00_5408
																																													=
																																													BgL_arg1656z00_1239;
																																												BgL_argsz00_936
																																													=
																																													BgL_argsz00_5408;
																																												BgL_fz00_935
																																													=
																																													BgL_fz00_5407;
																																												goto
																																													BgL_tagzd2156zd2_937;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5406);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd27725zd2_1240;
																																								BgL_cdrzd27725zd2_1240
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2653z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd27725zd2_1240))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1659z00_1243;
																																												obj_t
																																													BgL_arg1660z00_1244;
																																												BgL_arg1659z00_1243
																																													=
																																													CAR
																																													(BgL_cdrzd27725zd2_1240);
																																												BgL_arg1660z00_1244
																																													=
																																													CDR
																																													(BgL_cdrzd27725zd2_1240);
																																												{
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_auxz00_5418;
																																													BgL_ez00_923
																																														=
																																														BgL_arg1659z00_1243;
																																													BgL_bodyz00_924
																																														=
																																														BgL_arg1660z00_1244;
																																												BgL_tagzd2152zd2_925:
																																													{	/* Eval/evaluate.scm 464 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1149z00_1812;
																																														{	/* Eval/evaluate.scm 464 */
																																															BgL_ev_unwindzd2protectzd2_bglt
																																																BgL_new1148z00_1813;
																																															BgL_new1148z00_1813
																																																=
																																																(
																																																(BgL_ev_unwindzd2protectzd2_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_unwindzd2protectzd2_bgl))));
																																															{	/* Eval/evaluate.scm 464 */
																																																long
																																																	BgL_arg2068z00_1814;
																																																{	/* Eval/evaluate.scm 464 */
																																																	long
																																																		BgL_res2428z00_2870;
																																																	BgL_res2428z00_2870
																																																		=
																																																		BGL_CLASS_INDEX
																																																		(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																																	BgL_arg2068z00_1814
																																																		=
																																																		BgL_res2428z00_2870;
																																																}
																																																{	/* Eval/evaluate.scm 464 */
																																																	BgL_objectz00_bglt
																																																		BgL_objz00_2871;
																																																	BgL_objz00_2871
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1148z00_1813);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(BgL_objz00_2871,
																																																		BgL_arg2068z00_1814);
																																															}}
																																															{	/* Eval/evaluate.scm 464 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_5423;
																																																BgL_auxz00_5423
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1148z00_1813);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_5423,
																																																	BFALSE);
																																															}
																																															BgL_new1149z00_1812
																																																=
																																																BgL_new1148z00_1813;
																																														}
																																														{
																																															BgL_ev_exprz00_bglt
																																																BgL_auxz00_5426;
																																															{	/* Eval/evaluate.scm 465 */
																																																obj_t
																																																	BgL_arg2081z00_2874;
																																																{	/* Eval/evaluate.scm 465 */
																																																	obj_t
																																																		BgL__ortest_1067z00_2877;
																																																	BgL__ortest_1067z00_2877
																																																		=
																																																		BGl_getzd2sourcezd2locationz00zz__readerz00
																																																		(BgL_ez00_923);
																																																	if (CBOOL(BgL__ortest_1067z00_2877))
																																																		{	/* Eval/evaluate.scm 465 */
																																																			BgL_arg2081z00_2874
																																																				=
																																																				BgL__ortest_1067z00_2877;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 465 */
																																																			BgL_arg2081z00_2874
																																																				=
																																																				BgL_locz00_54;
																																																		}
																																																}
																																																BgL_auxz00_5426
																																																	=
																																																	(
																																																	(BgL_ev_exprz00_bglt)
																																																	BGl_convz00zz__evaluatez00
																																																	(BgL_ez00_923,
																																																		BgL_localsz00_50,
																																																		BgL_globalsz00_51,
																																																		BFALSE,
																																																		BgL_wherez00_53,
																																																		BgL_arg2081z00_2874,
																																																		((bool_t) 0)));
																																															}
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1149z00_1812))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5426), BUNSPEC);
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1149z00_1812))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_924, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																														BgL_auxz00_5418
																																															=
																																															BgL_new1149z00_1812;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5418);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1661z00_1245;
																																												BgL_arg1661z00_1245
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5438;
																																													{
																																														obj_t
																																															BgL_argsz00_5440;
																																														obj_t
																																															BgL_fz00_5439;
																																														BgL_fz00_5439
																																															=
																																															BgL_arg1661z00_1245;
																																														BgL_argsz00_5440
																																															=
																																															BgL_cdrzd27725zd2_1240;
																																														BgL_argsz00_936
																																															=
																																															BgL_argsz00_5440;
																																														BgL_fz00_935
																																															=
																																															BgL_fz00_5439;
																																														goto
																																															BgL_tagzd2156zd2_937;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5438);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2655z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd27725zd2_1240))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1665z00_1250;
																																														obj_t
																																															BgL_arg1666z00_1251;
																																														BgL_arg1665z00_1250
																																															=
																																															CAR
																																															(BgL_cdrzd27725zd2_1240);
																																														BgL_arg1666z00_1251
																																															=
																																															CDR
																																															(BgL_cdrzd27725zd2_1240);
																																														{
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_auxz00_5449;
																																															BgL_hz00_926
																																																=
																																																BgL_arg1665z00_1250;
																																															BgL_bodyz00_927
																																																=
																																																BgL_arg1666z00_1251;
																																														BgL_tagzd2153zd2_928:
																																															{	/* Eval/evaluate.scm 468 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1151z00_1815;
																																																{	/* Eval/evaluate.scm 468 */
																																																	BgL_ev_withzd2handlerzd2_bglt
																																																		BgL_new1150z00_1816;
																																																	BgL_new1150z00_1816
																																																		=
																																																		(
																																																		(BgL_ev_withzd2handlerzd2_bglt)
																																																		BREF
																																																		(GC_MALLOC
																																																			(sizeof
																																																				(struct
																																																					BgL_ev_withzd2handlerzd2_bgl))));
																																																	{	/* Eval/evaluate.scm 468 */
																																																		long
																																																			BgL_arg2069z00_1817;
																																																		{	/* Eval/evaluate.scm 468 */
																																																			long
																																																				BgL_res2429z00_2881;
																																																			BgL_res2429z00_2881
																																																				=
																																																				BGL_CLASS_INDEX
																																																				(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																			BgL_arg2069z00_1817
																																																				=
																																																				BgL_res2429z00_2881;
																																																		}
																																																		{	/* Eval/evaluate.scm 468 */
																																																			BgL_objectz00_bglt
																																																				BgL_objz00_2882;
																																																			BgL_objz00_2882
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1150z00_1816);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(BgL_objz00_2882,
																																																				BgL_arg2069z00_1817);
																																																	}}
																																																	{	/* Eval/evaluate.scm 468 */
																																																		BgL_objectz00_bglt
																																																			BgL_auxz00_5454;
																																																		BgL_auxz00_5454
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1150z00_1816);
																																																		BGL_OBJECT_WIDENING_SET
																																																			(BgL_auxz00_5454,
																																																			BFALSE);
																																																	}
																																																	BgL_new1151z00_1815
																																																		=
																																																		BgL_new1150z00_1816;
																																																}
																																																{
																																																	BgL_ev_exprz00_bglt
																																																		BgL_auxz00_5457;
																																																	{	/* Eval/evaluate.scm 469 */
																																																		obj_t
																																																			BgL_arg2081z00_2885;
																																																		{	/* Eval/evaluate.scm 469 */
																																																			obj_t
																																																				BgL__ortest_1067z00_2888;
																																																			BgL__ortest_1067z00_2888
																																																				=
																																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																																				(BgL_hz00_926);
																																																			if (CBOOL(BgL__ortest_1067z00_2888))
																																																				{	/* Eval/evaluate.scm 469 */
																																																					BgL_arg2081z00_2885
																																																						=
																																																						BgL__ortest_1067z00_2888;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 469 */
																																																					BgL_arg2081z00_2885
																																																						=
																																																						BgL_locz00_54;
																																																				}
																																																		}
																																																		BgL_auxz00_5457
																																																			=
																																																			(
																																																			(BgL_ev_exprz00_bglt)
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_hz00_926,
																																																				BgL_localsz00_50,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_wherez00_53,
																																																				BgL_arg2081z00_2885,
																																																				((bool_t) 0)));
																																																	}
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1151z00_1815))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5457), BUNSPEC);
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1151z00_1815))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_927, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																BgL_auxz00_5449
																																																	=
																																																	BgL_new1151z00_1815;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5449);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1667z00_1252;
																																														obj_t
																																															BgL_arg1668z00_1253;
																																														BgL_arg1667z00_1252
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1668z00_1253
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5470;
																																															{
																																																obj_t
																																																	BgL_argsz00_5472;
																																																obj_t
																																																	BgL_fz00_5471;
																																																BgL_fz00_5471
																																																	=
																																																	BgL_arg1667z00_1252;
																																																BgL_argsz00_5472
																																																	=
																																																	BgL_arg1668z00_1253;
																																																BgL_argsz00_936
																																																	=
																																																	BgL_argsz00_5472;
																																																BgL_fz00_935
																																																	=
																																																	BgL_fz00_5471;
																																																goto
																																																	BgL_tagzd2156zd2_937;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5470);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd27806zd2_1254;
																																												BgL_cdrzd27806zd2_1254
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												if ((CAR(BgL_ez00_49) == BGl_symbol2657z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd27806zd2_1254))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1671z00_1257;
																																																obj_t
																																																	BgL_arg1672z00_1258;
																																																BgL_arg1671z00_1257
																																																	=
																																																	CAR
																																																	(BgL_cdrzd27806zd2_1254);
																																																BgL_arg1672z00_1258
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27806zd2_1254);
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_5482;
																																																	BgL_mz00_929
																																																		=
																																																		BgL_arg1671z00_1257;
																																																	BgL_bodyz00_930
																																																		=
																																																		BgL_arg1672z00_1258;
																																																BgL_tagzd2154zd2_931:
																																																	{	/* Eval/evaluate.scm 472 */
																																																		BgL_ev_synchroniza7eza7_bglt
																																																			BgL_new1153z00_1818;
																																																		{	/* Eval/evaluate.scm 472 */
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_new1152z00_1819;
																																																			BgL_new1152z00_1819
																																																				=
																																																				(
																																																				(BgL_ev_synchroniza7eza7_bglt)
																																																				BREF
																																																				(GC_MALLOC
																																																					(sizeof
																																																						(struct
																																																							BgL_ev_synchroniza7eza7_bgl))));
																																																			{	/* Eval/evaluate.scm 472 */
																																																				long
																																																					BgL_arg2070z00_1820;
																																																				{	/* Eval/evaluate.scm 472 */
																																																					long
																																																						BgL_res2430z00_2892;
																																																					BgL_res2430z00_2892
																																																						=
																																																						BGL_CLASS_INDEX
																																																						(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																					BgL_arg2070z00_1820
																																																						=
																																																						BgL_res2430z00_2892;
																																																				}
																																																				{	/* Eval/evaluate.scm 472 */
																																																					BgL_objectz00_bglt
																																																						BgL_objz00_2893;
																																																					BgL_objz00_2893
																																																						=
																																																						(
																																																						(BgL_objectz00_bglt)
																																																						BgL_new1152z00_1819);
																																																					BGL_OBJECT_CLASS_NUM_SET
																																																						(BgL_objz00_2893,
																																																						BgL_arg2070z00_1820);
																																																			}}
																																																			{	/* Eval/evaluate.scm 472 */
																																																				BgL_objectz00_bglt
																																																					BgL_auxz00_5487;
																																																				BgL_auxz00_5487
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1152z00_1819);
																																																				BGL_OBJECT_WIDENING_SET
																																																					(BgL_auxz00_5487,
																																																					BFALSE);
																																																			}
																																																			BgL_new1153z00_1818
																																																				=
																																																				BgL_new1152z00_1819;
																																																		}
																																																		{
																																																			BgL_ev_exprz00_bglt
																																																				BgL_auxz00_5490;
																																																			{	/* Eval/evaluate.scm 473 */
																																																				obj_t
																																																					BgL_arg2081z00_2896;
																																																				{	/* Eval/evaluate.scm 473 */
																																																					obj_t
																																																						BgL__ortest_1067z00_2899;
																																																					BgL__ortest_1067z00_2899
																																																						=
																																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																																						(BgL_mz00_929);
																																																					if (CBOOL(BgL__ortest_1067z00_2899))
																																																						{	/* Eval/evaluate.scm 473 */
																																																							BgL_arg2081z00_2896
																																																								=
																																																								BgL__ortest_1067z00_2899;
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 473 */
																																																							BgL_arg2081z00_2896
																																																								=
																																																								BgL_locz00_54;
																																																						}
																																																				}
																																																				BgL_auxz00_5490
																																																					=
																																																					(
																																																					(BgL_ev_exprz00_bglt)
																																																					BGl_convz00zz__evaluatez00
																																																					(BgL_mz00_929,
																																																						BgL_localsz00_50,
																																																						BgL_globalsz00_51,
																																																						BFALSE,
																																																						BgL_wherez00_53,
																																																						BgL_arg2081z00_2896,
																																																						((bool_t) 0)));
																																																			}
																																																			((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1153z00_1818))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5490), BUNSPEC);
																																																		}
																																																		((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1153z00_1818))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_930, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																		BgL_auxz00_5482
																																																			=
																																																			BgL_new1153z00_1818;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5482);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1673z00_1259;
																																																BgL_arg1673z00_1259
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5502;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5504;
																																																		obj_t
																																																			BgL_fz00_5503;
																																																		BgL_fz00_5503
																																																			=
																																																			BgL_arg1673z00_1259;
																																																		BgL_argsz00_5504
																																																			=
																																																			BgL_cdrzd27806zd2_1254;
																																																		BgL_argsz00_936
																																																			=
																																																			BgL_argsz00_5504;
																																																		BgL_fz00_935
																																																			=
																																																			BgL_fz00_5503;
																																																		goto
																																																			BgL_tagzd2156zd2_937;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5502);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														if ((CAR(BgL_ez00_49) == BGl_symbol2649z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (PAIRP(BgL_cdrzd27806zd2_1254))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd27838zd2_1264;
																																																		BgL_cdrzd27838zd2_1264
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27806zd2_1254);
																																																		if (PAIRP(BgL_cdrzd27838zd2_1264))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd27838zd2_1264)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1679z00_1267;
																																																						obj_t
																																																							BgL_arg1680z00_1268;
																																																						BgL_arg1679z00_1267
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27806zd2_1254);
																																																						BgL_arg1680z00_1268
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27838zd2_1264);
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg2071z00_3343;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg2072z00_3344;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_arg2073z00_3345;
																																																									obj_t
																																																										BgL_arg2074z00_3346;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_res2508z00_3349;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											obj_t
																																																												BgL_symbolz00_3347;
																																																											BgL_symbolz00_3347
																																																												=
																																																												BGl_symbol2659z00zz__evaluatez00;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_arg2252z00_3348;
																																																												BgL_arg2252z00_3348
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_symbolz00_3347);
																																																												BgL_res2508z00_3349
																																																													=
																																																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																													(BgL_arg2252z00_3348);
																																																											}
																																																										}
																																																										BgL_arg2073z00_3345
																																																											=
																																																											BgL_res2508z00_3349;
																																																									}
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_res2509z00_3352;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											obj_t
																																																												BgL_symbolz00_3350;
																																																											BgL_symbolz00_3350
																																																												=
																																																												BgL_wherez00_53;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_arg2252z00_3351;
																																																												BgL_arg2252z00_3351
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_symbolz00_3350);
																																																												BgL_res2509z00_3352
																																																													=
																																																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																													(BgL_arg2252z00_3351);
																																																											}
																																																										}
																																																										BgL_arg2074z00_3346
																																																											=
																																																											BgL_res2509z00_3352;
																																																									}
																																																									BgL_arg2072z00_3344
																																																										=
																																																										string_append
																																																										(BgL_arg2073z00_3345,
																																																										BgL_arg2074z00_3346);
																																																								}
																																																								BgL_arg2071z00_3343
																																																									=
																																																									string_to_symbol
																																																									(BSTRING_TO_STRING
																																																									(BgL_arg2072z00_3344));
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdazd2zz__evaluatez00
																																																								(BgL_globalsz00_51,
																																																									BgL_localsz00_50,
																																																									BgL_locz00_54,
																																																									BgL_ez00_49,
																																																									BgL_arg1679z00_1267,
																																																									BgL_arg1680z00_1268,
																																																									BgL_arg2071z00_3343));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1681z00_1269;
																																																						obj_t
																																																							BgL_arg1682z00_1270;
																																																						BgL_arg1681z00_1269
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						BgL_arg1682z00_1270
																																																							=
																																																							CDR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5530;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5532;
																																																								obj_t
																																																									BgL_fz00_5531;
																																																								BgL_fz00_5531
																																																									=
																																																									BgL_arg1681z00_1269;
																																																								BgL_argsz00_5532
																																																									=
																																																									BgL_arg1682z00_1270;
																																																								BgL_argsz00_936
																																																									=
																																																									BgL_argsz00_5532;
																																																								BgL_fz00_935
																																																									=
																																																									BgL_fz00_5531;
																																																								goto
																																																									BgL_tagzd2156zd2_937;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5530);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1684z00_1272;
																																																				obj_t
																																																					BgL_arg1685z00_1273;
																																																				BgL_arg1684z00_1272
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1685z00_1273
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5536;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5538;
																																																						obj_t
																																																							BgL_fz00_5537;
																																																						BgL_fz00_5537
																																																							=
																																																							BgL_arg1684z00_1272;
																																																						BgL_argsz00_5538
																																																							=
																																																							BgL_arg1685z00_1273;
																																																						BgL_argsz00_936
																																																							=
																																																							BgL_argsz00_5538;
																																																						BgL_fz00_935
																																																							=
																																																							BgL_fz00_5537;
																																																						goto
																																																							BgL_tagzd2156zd2_937;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5536);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1687z00_1274;
																																																		obj_t
																																																			BgL_arg1688z00_1275;
																																																		BgL_arg1687z00_1274
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1688z00_1275
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5542;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5544;
																																																				obj_t
																																																					BgL_fz00_5543;
																																																				BgL_fz00_5543
																																																					=
																																																					BgL_arg1687z00_1274;
																																																				BgL_argsz00_5544
																																																					=
																																																					BgL_arg1688z00_1275;
																																																				BgL_argsz00_936
																																																					=
																																																					BgL_argsz00_5544;
																																																				BgL_fz00_935
																																																					=
																																																					BgL_fz00_5543;
																																																				goto
																																																					BgL_tagzd2156zd2_937;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5542);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1689z00_1276;
																																																obj_t
																																																	BgL_arg1690z00_1277;
																																																BgL_arg1689z00_1276
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1690z00_1277
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5548;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5550;
																																																		obj_t
																																																			BgL_fz00_5549;
																																																		BgL_fz00_5549
																																																			=
																																																			BgL_arg1689z00_1276;
																																																		BgL_argsz00_5550
																																																			=
																																																			BgL_arg1690z00_1277;
																																																		BgL_argsz00_936
																																																			=
																																																			BgL_argsz00_5550;
																																																		BgL_fz00_935
																																																			=
																																																			BgL_fz00_5549;
																																																		goto
																																																			BgL_tagzd2156zd2_937;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5548);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														if (
															(BgL_carzd23561zd2_1001 ==
																BGl_symbol2627z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 319 */
																if (PAIRP(BgL_cdrzd2230zd2_943))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2230zd2_943)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1711z00_1299;

																				BgL_arg1711z00_1299 =
																					CAR(BgL_cdrzd2230zd2_943);
																				{
																					BgL_ev_trapz00_bglt BgL_auxz00_5560;

																					{
																						obj_t BgL_ez00_5561;

																						BgL_ez00_5561 = BgL_arg1711z00_1299;
																						BgL_ez00_876 = BgL_ez00_5561;
																						goto BgL_tagzd2135zd2_877;
																					}
																					return ((obj_t) BgL_auxz00_5560);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1712z00_1300;
																				obj_t BgL_arg1713z00_1301;

																				BgL_arg1712z00_1300 = CAR(BgL_ez00_49);
																				BgL_arg1713z00_1301 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5565;

																					{
																						obj_t BgL_argsz00_5567;
																						obj_t BgL_fz00_5566;

																						BgL_fz00_5566 = BgL_arg1712z00_1300;
																						BgL_argsz00_5567 =
																							BgL_arg1713z00_1301;
																						BgL_argsz00_936 = BgL_argsz00_5567;
																						BgL_fz00_935 = BgL_fz00_5566;
																						goto BgL_tagzd2156zd2_937;
																					}
																					return ((obj_t) BgL_auxz00_5565);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_arg1715z00_1303;
																		obj_t BgL_arg1716z00_1304;

																		BgL_arg1715z00_1303 = CAR(BgL_ez00_49);
																		BgL_arg1716z00_1304 = CDR(BgL_ez00_49);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_5571;

																			{
																				obj_t BgL_argsz00_5573;
																				obj_t BgL_fz00_5572;

																				BgL_fz00_5572 = BgL_arg1715z00_1303;
																				BgL_argsz00_5573 = BgL_arg1716z00_1304;
																				BgL_argsz00_936 = BgL_argsz00_5573;
																				BgL_fz00_935 = BgL_fz00_5572;
																				goto BgL_tagzd2156zd2_937;
																			}
																			return ((obj_t) BgL_auxz00_5571);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_cdrzd28489zd2_1305;

																BgL_cdrzd28489zd2_1305 = CDR(BgL_ez00_49);
																if (
																	(CAR(BgL_ez00_49) ==
																		BGl_symbol2629z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd28489zd2_1305))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd28489zd2_1305)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1720z00_1309;

																						BgL_arg1720z00_1309 =
																							CAR(BgL_cdrzd28489zd2_1305);
																						{	/* Eval/evaluate.scm 319 */
																							BgL_ev_littz00_bglt
																								BgL_new1111z00_3384;
																							{	/* Eval/evaluate.scm 319 */
																								BgL_ev_littz00_bglt
																									BgL_new1110z00_3385;
																								BgL_new1110z00_3385 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 319 */
																									long BgL_arg1971z00_3386;

																									{	/* Eval/evaluate.scm 319 */
																										long BgL_res2515z00_3388;

																										BgL_res2515z00_3388 =
																											BGL_CLASS_INDEX
																											(BGl_ev_littz00zz__evaluate_typesz00);
																										BgL_arg1971z00_3386 =
																											BgL_res2515z00_3388;
																									}
																									{	/* Eval/evaluate.scm 319 */
																										BgL_objectz00_bglt
																											BgL_objz00_3389;
																										BgL_objz00_3389 =
																											((BgL_objectz00_bglt)
																											BgL_new1110z00_3385);
																										BGL_OBJECT_CLASS_NUM_SET
																											(BgL_objz00_3389,
																											BgL_arg1971z00_3386);
																								}}
																								{	/* Eval/evaluate.scm 319 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5589;
																									BgL_auxz00_5589 =
																										((BgL_objectz00_bglt)
																										BgL_new1110z00_3385);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_5589, BFALSE);
																								}
																								BgL_new1111z00_3384 =
																									BgL_new1110z00_3385;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1111z00_3384))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1720z00_1309),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1111z00_3384);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1721z00_1310;

																						BgL_arg1721z00_1310 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5595;
																							{
																								obj_t BgL_argsz00_5597;
																								obj_t BgL_fz00_5596;

																								BgL_fz00_5596 =
																									BgL_arg1721z00_1310;
																								BgL_argsz00_5597 =
																									BgL_cdrzd28489zd2_1305;
																								BgL_argsz00_936 =
																									BgL_argsz00_5597;
																								BgL_fz00_935 = BgL_fz00_5596;
																								goto BgL_tagzd2156zd2_937;
																							}
																							return ((obj_t) BgL_auxz00_5595);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1724z00_1313;

																				BgL_arg1724z00_1313 = CAR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5600;

																					{
																						obj_t BgL_argsz00_5602;
																						obj_t BgL_fz00_5601;

																						BgL_fz00_5601 = BgL_arg1724z00_1313;
																						BgL_argsz00_5602 =
																							BgL_cdrzd28489zd2_1305;
																						BgL_argsz00_936 = BgL_argsz00_5602;
																						BgL_fz00_935 = BgL_fz00_5601;
																						goto BgL_tagzd2156zd2_937;
																					}
																					return ((obj_t) BgL_auxz00_5600);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2631z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd28489zd2_1305))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_cdrzd29051zd2_1318;

																						BgL_cdrzd29051zd2_1318 =
																							CDR(BgL_cdrzd28489zd2_1305);
																						if (PAIRP(BgL_cdrzd29051zd2_1318))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd29056zd2_1320;

																								BgL_cdrzd29056zd2_1320 =
																									CDR(BgL_cdrzd29051zd2_1318);
																								if (PAIRP
																									(BgL_cdrzd29056zd2_1320))
																									{	/* Eval/evaluate.scm 319 */
																										if (NULLP(CDR
																												(BgL_cdrzd29056zd2_1320)))
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1731z00_1323;
																												obj_t
																													BgL_arg1732z00_1324;
																												obj_t
																													BgL_arg1733z00_1325;
																												BgL_arg1731z00_1323 =
																													CAR
																													(BgL_cdrzd28489zd2_1305);
																												BgL_arg1732z00_1324 =
																													CAR
																													(BgL_cdrzd29051zd2_1318);
																												BgL_arg1733z00_1325 =
																													CAR
																													(BgL_cdrzd29056zd2_1320);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_5621;
																													{
																														obj_t BgL_oz00_5624;
																														obj_t BgL_tz00_5623;
																														obj_t BgL_pz00_5622;

																														BgL_pz00_5622 =
																															BgL_arg1731z00_1323;
																														BgL_tz00_5623 =
																															BgL_arg1732z00_1324;
																														BgL_oz00_5624 =
																															BgL_arg1733z00_1325;
																														BgL_oz00_882 =
																															BgL_oz00_5624;
																														BgL_tz00_881 =
																															BgL_tz00_5623;
																														BgL_pz00_880 =
																															BgL_pz00_5622;
																														goto
																															BgL_tagzd2137zd2_883;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5621);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1734z00_1326;
																												obj_t
																													BgL_arg1735z00_1327;
																												BgL_arg1734z00_1326 =
																													CAR(BgL_ez00_49);
																												BgL_arg1735z00_1327 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_5628;
																													{
																														obj_t
																															BgL_argsz00_5630;
																														obj_t BgL_fz00_5629;

																														BgL_fz00_5629 =
																															BgL_arg1734z00_1326;
																														BgL_argsz00_5630 =
																															BgL_arg1735z00_1327;
																														BgL_argsz00_936 =
																															BgL_argsz00_5630;
																														BgL_fz00_935 =
																															BgL_fz00_5629;
																														goto
																															BgL_tagzd2156zd2_937;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5628);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd29330zd2_1329;
																										BgL_cdrzd29330zd2_1329 =
																											CDR(BgL_ez00_49);
																										{	/* Eval/evaluate.scm 319 */
																											obj_t
																												BgL_cdrzd29336zd2_1330;
																											BgL_cdrzd29336zd2_1330 =
																												CDR
																												(BgL_cdrzd29330zd2_1329);
																											if (NULLP(CDR
																													(BgL_cdrzd29336zd2_1330)))
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_arg1738z00_1332;
																													obj_t
																														BgL_arg1739z00_1333;
																													BgL_arg1738z00_1332 =
																														CAR
																														(BgL_cdrzd29330zd2_1329);
																													BgL_arg1739z00_1333 =
																														CAR
																														(BgL_cdrzd29336zd2_1330);
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_5639;
																														{
																															obj_t
																																BgL_tz00_5641;
																															obj_t
																																BgL_pz00_5640;
																															BgL_pz00_5640 =
																																BgL_arg1738z00_1332;
																															BgL_tz00_5641 =
																																BgL_arg1739z00_1333;
																															BgL_tz00_885 =
																																BgL_tz00_5641;
																															BgL_pz00_884 =
																																BgL_pz00_5640;
																															goto
																																BgL_tagzd2138zd2_886;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_5639);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_arg1740z00_1334;
																													BgL_arg1740z00_1334 =
																														CAR(BgL_ez00_49);
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_5644;
																														{
																															obj_t
																																BgL_argsz00_5646;
																															obj_t
																																BgL_fz00_5645;
																															BgL_fz00_5645 =
																																BgL_arg1740z00_1334;
																															BgL_argsz00_5646 =
																																BgL_cdrzd29330zd2_1329;
																															BgL_argsz00_936 =
																																BgL_argsz00_5646;
																															BgL_fz00_935 =
																																BgL_fz00_5645;
																															goto
																																BgL_tagzd2156zd2_937;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_5644);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1743z00_1337;
																								obj_t BgL_arg1744z00_1338;

																								BgL_arg1743z00_1337 =
																									CAR(BgL_ez00_49);
																								BgL_arg1744z00_1338 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5650;
																									{
																										obj_t BgL_argsz00_5652;
																										obj_t BgL_fz00_5651;

																										BgL_fz00_5651 =
																											BgL_arg1743z00_1337;
																										BgL_argsz00_5652 =
																											BgL_arg1744z00_1338;
																										BgL_argsz00_936 =
																											BgL_argsz00_5652;
																										BgL_fz00_935 =
																											BgL_fz00_5651;
																										goto BgL_tagzd2156zd2_937;
																									}
																									return
																										((obj_t) BgL_auxz00_5650);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1746z00_1339;
																						obj_t BgL_arg1747z00_1340;

																						BgL_arg1746z00_1339 =
																							CAR(BgL_ez00_49);
																						BgL_arg1747z00_1340 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5656;
																							{
																								obj_t BgL_argsz00_5658;
																								obj_t BgL_fz00_5657;

																								BgL_fz00_5657 =
																									BgL_arg1746z00_1339;
																								BgL_argsz00_5658 =
																									BgL_arg1747z00_1340;
																								BgL_argsz00_936 =
																									BgL_argsz00_5658;
																								BgL_fz00_935 = BgL_fz00_5657;
																								goto BgL_tagzd2156zd2_937;
																							}
																							return ((obj_t) BgL_auxz00_5656);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2633z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1749z00_1342;

																						BgL_arg1749z00_1342 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_orz00_bglt BgL_auxz00_5664;

																							{
																								obj_t BgL_argsz00_5665;

																								BgL_argsz00_5665 =
																									BgL_arg1749z00_1342;
																								BgL_argsz00_887 =
																									BgL_argsz00_5665;
																								goto BgL_tagzd2139zd2_888;
																							}
																							return ((obj_t) BgL_auxz00_5664);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2635z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1751z00_1344;

																								BgL_arg1751z00_1344 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_andz00_bglt
																										BgL_auxz00_5671;
																									{
																										obj_t BgL_argsz00_5672;

																										BgL_argsz00_5672 =
																											BgL_arg1751z00_1344;
																										BgL_argsz00_889 =
																											BgL_argsz00_5672;
																										goto BgL_tagzd2140zd2_890;
																									}
																									return
																										((obj_t) BgL_auxz00_5671);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2637z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_49),
																											BgL_localsz00_50,
																											BgL_globalsz00_51,
																											BgL_tailzf3zf3_52,
																											BgL_wherez00_53,
																											BgL_locz00_54,
																											BgL_topzf3zf3_55);
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd210153zd2_1347;
																										BgL_cdrzd210153zd2_1347 =
																											CDR(BgL_ez00_49);
																										if ((CAR(BgL_ez00_49) ==
																												BGl_symbol2639z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												if (PAIRP
																													(BgL_cdrzd210153zd2_1347))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1756z00_1350;
																														obj_t
																															BgL_arg1757z00_1351;
																														BgL_arg1756z00_1350
																															=
																															CAR
																															(BgL_cdrzd210153zd2_1347);
																														BgL_arg1757z00_1351
																															=
																															CDR
																															(BgL_cdrzd210153zd2_1347);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_5687;
																															{
																																obj_t
																																	BgL_bodyz00_5689;
																																obj_t
																																	BgL_bindsz00_5688;
																																BgL_bindsz00_5688
																																	=
																																	BgL_arg1756z00_1350;
																																BgL_bodyz00_5689
																																	=
																																	BgL_arg1757z00_1351;
																																BgL_bodyz00_894
																																	=
																																	BgL_bodyz00_5689;
																																BgL_bindsz00_893
																																	=
																																	BgL_bindsz00_5688;
																																goto
																																	BgL_tagzd2142zd2_895;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5687);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1758z00_1352;
																														BgL_arg1758z00_1352
																															=
																															CAR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5692;
																															{
																																obj_t
																																	BgL_argsz00_5694;
																																obj_t
																																	BgL_fz00_5693;
																																BgL_fz00_5693 =
																																	BgL_arg1758z00_1352;
																																BgL_argsz00_5694
																																	=
																																	BgL_cdrzd210153zd2_1347;
																																BgL_argsz00_936
																																	=
																																	BgL_argsz00_5694;
																																BgL_fz00_935 =
																																	BgL_fz00_5693;
																																goto
																																	BgL_tagzd2156zd2_937;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5692);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												if (
																													(CAR(BgL_ez00_49) ==
																														BGl_symbol2641z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd210153zd2_1347))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1762z00_1357;
																																obj_t
																																	BgL_arg1763z00_1358;
																																BgL_arg1762z00_1357
																																	=
																																	CAR
																																	(BgL_cdrzd210153zd2_1347);
																																BgL_arg1763z00_1358
																																	=
																																	CDR
																																	(BgL_cdrzd210153zd2_1347);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_5703;
																																	{
																																		obj_t
																																			BgL_bodyz00_5705;
																																		obj_t
																																			BgL_bindsz00_5704;
																																		BgL_bindsz00_5704
																																			=
																																			BgL_arg1762z00_1357;
																																		BgL_bodyz00_5705
																																			=
																																			BgL_arg1763z00_1358;
																																		BgL_bodyz00_897
																																			=
																																			BgL_bodyz00_5705;
																																		BgL_bindsz00_896
																																			=
																																			BgL_bindsz00_5704;
																																		goto
																																			BgL_tagzd2143zd2_898;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5703);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1764z00_1359;
																																obj_t
																																	BgL_arg1765z00_1360;
																																BgL_arg1764z00_1359
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																BgL_arg1765z00_1360
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5709;
																																	{
																																		obj_t
																																			BgL_argsz00_5711;
																																		obj_t
																																			BgL_fz00_5710;
																																		BgL_fz00_5710
																																			=
																																			BgL_arg1764z00_1359;
																																		BgL_argsz00_5711
																																			=
																																			BgL_arg1765z00_1360;
																																		BgL_argsz00_936
																																			=
																																			BgL_argsz00_5711;
																																		BgL_fz00_935
																																			=
																																			BgL_fz00_5710;
																																		goto
																																			BgL_tagzd2156zd2_937;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5709);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_cdrzd210506zd2_1361;
																														BgL_cdrzd210506zd2_1361
																															=
																															CDR(BgL_ez00_49);
																														if ((CAR
																																(BgL_ez00_49) ==
																																BGl_symbol2643z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd210506zd2_1361))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1768z00_1364;
																																		obj_t
																																			BgL_arg1769z00_1365;
																																		BgL_arg1768z00_1364
																																			=
																																			CAR
																																			(BgL_cdrzd210506zd2_1361);
																																		BgL_arg1769z00_1365
																																			=
																																			CDR
																																			(BgL_cdrzd210506zd2_1361);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_5721;
																																			{
																																				obj_t
																																					BgL_bodyz00_5723;
																																				obj_t
																																					BgL_bindsz00_5722;
																																				BgL_bindsz00_5722
																																					=
																																					BgL_arg1768z00_1364;
																																				BgL_bodyz00_5723
																																					=
																																					BgL_arg1769z00_1365;
																																				BgL_bodyz00_900
																																					=
																																					BgL_bodyz00_5723;
																																				BgL_bindsz00_899
																																					=
																																					BgL_bindsz00_5722;
																																				goto
																																					BgL_tagzd2144zd2_901;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5721);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1770z00_1366;
																																		BgL_arg1770z00_1366
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5726;
																																			{
																																				obj_t
																																					BgL_argsz00_5728;
																																				obj_t
																																					BgL_fz00_5727;
																																				BgL_fz00_5727
																																					=
																																					BgL_arg1770z00_1366;
																																				BgL_argsz00_5728
																																					=
																																					BgL_cdrzd210506zd2_1361;
																																				BgL_argsz00_936
																																					=
																																					BgL_argsz00_5728;
																																				BgL_fz00_935
																																					=
																																					BgL_fz00_5727;
																																				goto
																																					BgL_tagzd2156zd2_937;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5726);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																if (
																																	(CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2645z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd210506zd2_1361))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_carzd210661zd2_1371;
																																				obj_t
																																					BgL_cdrzd210662zd2_1372;
																																				BgL_carzd210661zd2_1371
																																					=
																																					CAR
																																					(BgL_cdrzd210506zd2_1361);
																																				BgL_cdrzd210662zd2_1372
																																					=
																																					CDR
																																					(BgL_cdrzd210506zd2_1361);
																																				if (PAIRP(BgL_carzd210661zd2_1371))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd210666zd2_1374;
																																						BgL_cdrzd210666zd2_1374
																																							=
																																							CDR
																																							(BgL_carzd210661zd2_1371);
																																						if (
																																							(CAR
																																								(BgL_carzd210661zd2_1371)
																																								==
																																								BGl_symbol2623z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd210666zd2_1374))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd210669zd2_1377;
																																										obj_t
																																											BgL_cdrzd210670zd2_1378;
																																										BgL_carzd210669zd2_1377
																																											=
																																											CAR
																																											(BgL_cdrzd210666zd2_1374);
																																										BgL_cdrzd210670zd2_1378
																																											=
																																											CDR
																																											(BgL_cdrzd210666zd2_1374);
																																										if (SYMBOLP(BgL_carzd210669zd2_1377))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd210670zd2_1378))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_carzd210674zd2_1381;
																																														BgL_carzd210674zd2_1381
																																															=
																																															CAR
																																															(BgL_cdrzd210670zd2_1378);
																																														if (SYMBOLP(BgL_carzd210674zd2_1381))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd210670zd2_1378)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (PAIRP(BgL_cdrzd210662zd2_1372))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd210662zd2_1372)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1783z00_1386;
																																																						BgL_arg1783z00_1386
																																																							=
																																																							CAR
																																																							(BgL_cdrzd210662zd2_1372);
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_idz00_3487;
																																																							obj_t
																																																								BgL_modnamez00_3488;
																																																							BgL_idz00_3487
																																																								=
																																																								BgL_carzd210669zd2_1377;
																																																							BgL_modnamez00_3488
																																																								=
																																																								BgL_carzd210674zd2_1381;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1135z00_3490;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1134z00_3491;
																																																									BgL_new1134z00_3491
																																																										=
																																																										(
																																																										(BgL_ev_setglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_setglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 319 */
																																																										long
																																																											BgL_arg2047z00_3492;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											long
																																																												BgL_res2533z00_3494;
																																																											BgL_res2533z00_3494
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																											BgL_arg2047z00_3492
																																																												=
																																																												BgL_res2533z00_3494;
																																																										}
																																																										{	/* Eval/evaluate.scm 319 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_3495;
																																																											BgL_objz00_3495
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1134z00_3491);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_3495,
																																																												BgL_arg2047z00_3492);
																																																									}}
																																																									{	/* Eval/evaluate.scm 319 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5767;
																																																										BgL_auxz00_5767
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1134z00_3491);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5767,
																																																											BFALSE);
																																																									}
																																																									BgL_new1135z00_3490
																																																										=
																																																										BgL_new1134z00_3491;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5770;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2081z00_3498;
																																																										BgL_arg2081z00_3498
																																																											=
																																																											BGl_getzd2locationzd2zz__evaluatez00
																																																											(BgL_arg1783z00_1386,
																																																											BgL_locz00_54);
																																																										BgL_auxz00_5770
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_uconvzf2loczf2zz__evaluatez00
																																																											(BgL_wherez00_53,
																																																												BgL_globalsz00_51,
																																																												BgL_localsz00_50,
																																																												BgL_arg1783z00_1386,
																																																												BgL_arg2081z00_3498));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1135z00_3490)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5770), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_3490))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_3490))->BgL_namez00) = ((obj_t) BgL_idz00_3487), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_3490))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3488)), BUNSPEC);
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_new1135z00_3490);
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2611z00zz__evaluatez00,
																																																							BGl_string2617z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2611z00zz__evaluatez00,
																																																					BGl_string2617z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd210782zd2_1388;
																																																		BgL_cdrzd210782zd2_1388
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd210786zd2_1389;
																																																			BgL_cdrzd210786zd2_1389
																																																				=
																																																				CDR
																																																				(BgL_cdrzd210782zd2_1388);
																																																			if (PAIRP(BgL_cdrzd210786zd2_1389))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd210786zd2_1389)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1787z00_1392;
																																																							obj_t
																																																								BgL_arg1788z00_1393;
																																																							BgL_arg1787z00_1392
																																																								=
																																																								CAR
																																																								(BgL_cdrzd210782zd2_1388);
																																																							BgL_arg1788z00_1393
																																																								=
																																																								CAR
																																																								(BgL_cdrzd210786zd2_1389);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5792;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5794;
																																																									obj_t
																																																										BgL_vz00_5793;
																																																									BgL_vz00_5793
																																																										=
																																																										BgL_arg1787z00_1392;
																																																									BgL_ez00_5794
																																																										=
																																																										BgL_arg1788z00_1393;
																																																									BgL_ez00_910
																																																										=
																																																										BgL_ez00_5794;
																																																									BgL_vz00_909
																																																										=
																																																										BgL_vz00_5793;
																																																									goto
																																																										BgL_tagzd2147zd2_911;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5792);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2611z00zz__evaluatez00,
																																																								BGl_string2617z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2611z00zz__evaluatez00,
																																																						BGl_string2617z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd210839zd2_1396;
																																																BgL_cdrzd210839zd2_1396
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd210843zd2_1397;
																																																	BgL_cdrzd210843zd2_1397
																																																		=
																																																		CDR
																																																		(BgL_cdrzd210839zd2_1396);
																																																	if (PAIRP(BgL_cdrzd210843zd2_1397))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd210843zd2_1397)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1793z00_1400;
																																																					obj_t
																																																						BgL_arg1794z00_1401;
																																																					BgL_arg1793z00_1400
																																																						=
																																																						CAR
																																																						(BgL_cdrzd210839zd2_1396);
																																																					BgL_arg1794z00_1401
																																																						=
																																																						CAR
																																																						(BgL_cdrzd210843zd2_1397);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5807;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5809;
																																																							obj_t
																																																								BgL_vz00_5808;
																																																							BgL_vz00_5808
																																																								=
																																																								BgL_arg1793z00_1400;
																																																							BgL_ez00_5809
																																																								=
																																																								BgL_arg1794z00_1401;
																																																							BgL_ez00_910
																																																								=
																																																								BgL_ez00_5809;
																																																							BgL_vz00_909
																																																								=
																																																								BgL_vz00_5808;
																																																							goto
																																																								BgL_tagzd2147zd2_911;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5807);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2611z00zz__evaluatez00,
																																																						BGl_string2617z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2611z00zz__evaluatez00,
																																																				BGl_string2617z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd210896zd2_1403;
																																														BgL_cdrzd210896zd2_1403
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd210900zd2_1404;
																																															BgL_cdrzd210900zd2_1404
																																																=
																																																CDR
																																																(BgL_cdrzd210896zd2_1403);
																																															if (PAIRP(BgL_cdrzd210900zd2_1404))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd210900zd2_1404)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1798z00_1407;
																																																			obj_t
																																																				BgL_arg1799z00_1408;
																																																			BgL_arg1798z00_1407
																																																				=
																																																				CAR
																																																				(BgL_cdrzd210896zd2_1403);
																																																			BgL_arg1799z00_1408
																																																				=
																																																				CAR
																																																				(BgL_cdrzd210900zd2_1404);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5822;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5824;
																																																					obj_t
																																																						BgL_vz00_5823;
																																																					BgL_vz00_5823
																																																						=
																																																						BgL_arg1798z00_1407;
																																																					BgL_ez00_5824
																																																						=
																																																						BgL_arg1799z00_1408;
																																																					BgL_ez00_910
																																																						=
																																																						BgL_ez00_5824;
																																																					BgL_vz00_909
																																																						=
																																																						BgL_vz00_5823;
																																																					goto
																																																						BgL_tagzd2147zd2_911;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5822);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2611z00zz__evaluatez00,
																																																				BGl_string2617z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2611z00zz__evaluatez00,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd210953zd2_1410;
																																												BgL_cdrzd210953zd2_1410
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd210957zd2_1411;
																																													BgL_cdrzd210957zd2_1411
																																														=
																																														CDR
																																														(BgL_cdrzd210953zd2_1410);
																																													if (PAIRP(BgL_cdrzd210957zd2_1411))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd210957zd2_1411)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1803z00_1414;
																																																	obj_t
																																																		BgL_arg1804z00_1415;
																																																	BgL_arg1803z00_1414
																																																		=
																																																		CAR
																																																		(BgL_cdrzd210953zd2_1410);
																																																	BgL_arg1804z00_1415
																																																		=
																																																		CAR
																																																		(BgL_cdrzd210957zd2_1411);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5837;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5839;
																																																			obj_t
																																																				BgL_vz00_5838;
																																																			BgL_vz00_5838
																																																				=
																																																				BgL_arg1803z00_1414;
																																																			BgL_ez00_5839
																																																				=
																																																				BgL_arg1804z00_1415;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_5839;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_5838;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5837);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2611z00zz__evaluatez00,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2611z00zz__evaluatez00,
																																																BGl_string2617z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd211010zd2_1417;
																																										BgL_cdrzd211010zd2_1417
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd211014zd2_1418;
																																											BgL_cdrzd211014zd2_1418
																																												=
																																												CDR
																																												(BgL_cdrzd211010zd2_1417);
																																											if (PAIRP(BgL_cdrzd211014zd2_1418))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd211014zd2_1418)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1809z00_1421;
																																															obj_t
																																																BgL_arg1810z00_1422;
																																															BgL_arg1809z00_1421
																																																=
																																																CAR
																																																(BgL_cdrzd211010zd2_1417);
																																															BgL_arg1810z00_1422
																																																=
																																																CAR
																																																(BgL_cdrzd211014zd2_1418);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_5852;
																																																{
																																																	obj_t
																																																		BgL_ez00_5854;
																																																	obj_t
																																																		BgL_vz00_5853;
																																																	BgL_vz00_5853
																																																		=
																																																		BgL_arg1809z00_1421;
																																																	BgL_ez00_5854
																																																		=
																																																		BgL_arg1810z00_1422;
																																																	BgL_ez00_910
																																																		=
																																																		BgL_ez00_5854;
																																																	BgL_vz00_909
																																																		=
																																																		BgL_vz00_5853;
																																																	goto
																																																		BgL_tagzd2147zd2_911;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5852);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2611z00zz__evaluatez00,
																																																BGl_string2617z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2611z00zz__evaluatez00,
																																														BGl_string2617z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd211055zd2_1424;
																																								BgL_cdrzd211055zd2_1424
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_carzd211058zd2_1425;
																																									obj_t
																																										BgL_cdrzd211059zd2_1426;
																																									BgL_carzd211058zd2_1425
																																										=
																																										CAR
																																										(BgL_cdrzd211055zd2_1424);
																																									BgL_cdrzd211059zd2_1426
																																										=
																																										CDR
																																										(BgL_cdrzd211055zd2_1424);
																																									if ((CAR(BgL_carzd211058zd2_1425) == BGl_symbol2625z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (PAIRP(BgL_cdrzd211059zd2_1426))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd211059zd2_1426)))
																																														{
																																															obj_t
																																																BgL_e2z00_5871;
																																															obj_t
																																																BgL_lz00_5869;
																																															BgL_lz00_5869
																																																=
																																																CDR
																																																(BgL_carzd211058zd2_1425);
																																															BgL_e2z00_5871
																																																=
																																																CAR
																																																(BgL_cdrzd211059zd2_1426);
																																															BgL_e2z00_907
																																																=
																																																BgL_e2z00_5871;
																																															BgL_lz00_906
																																																=
																																																BgL_lz00_5869;
																																															goto
																																																BgL_tagzd2146zd2_908;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2611z00zz__evaluatez00,
																																																BGl_string2617z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2611z00zz__evaluatez00,
																																														BGl_string2617z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd211130zd2_1434;
																																											BgL_cdrzd211130zd2_1434
																																												=
																																												CDR
																																												(BgL_cdrzd211055zd2_1424);
																																											if (PAIRP(BgL_cdrzd211130zd2_1434))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd211130zd2_1434)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1820z00_1437;
																																															obj_t
																																																BgL_arg1821z00_1438;
																																															BgL_arg1820z00_1437
																																																=
																																																CAR
																																																(BgL_cdrzd211055zd2_1424);
																																															BgL_arg1821z00_1438
																																																=
																																																CAR
																																																(BgL_cdrzd211130zd2_1434);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_5883;
																																																{
																																																	obj_t
																																																		BgL_ez00_5885;
																																																	obj_t
																																																		BgL_vz00_5884;
																																																	BgL_vz00_5884
																																																		=
																																																		BgL_arg1820z00_1437;
																																																	BgL_ez00_5885
																																																		=
																																																		BgL_arg1821z00_1438;
																																																	BgL_ez00_910
																																																		=
																																																		BgL_ez00_5885;
																																																	BgL_vz00_909
																																																		=
																																																		BgL_vz00_5884;
																																																	goto
																																																		BgL_tagzd2147zd2_911;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5883);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2611z00zz__evaluatez00,
																																																BGl_string2617z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2611z00zz__evaluatez00,
																																														BGl_string2617z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd211183zd2_1442;
																																						BgL_cdrzd211183zd2_1442
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						{	/* Eval/evaluate.scm 319 */
																																							obj_t
																																								BgL_cdrzd211187zd2_1443;
																																							BgL_cdrzd211187zd2_1443
																																								=
																																								CDR
																																								(BgL_cdrzd211183zd2_1442);
																																							if (PAIRP(BgL_cdrzd211187zd2_1443))
																																								{	/* Eval/evaluate.scm 319 */
																																									if (NULLP(CDR(BgL_cdrzd211187zd2_1443)))
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_arg1827z00_1446;
																																											obj_t
																																												BgL_arg1828z00_1447;
																																											BgL_arg1827z00_1446
																																												=
																																												CAR
																																												(BgL_cdrzd211183zd2_1442);
																																											BgL_arg1828z00_1447
																																												=
																																												CAR
																																												(BgL_cdrzd211187zd2_1443);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_5898;
																																												{
																																													obj_t
																																														BgL_ez00_5900;
																																													obj_t
																																														BgL_vz00_5899;
																																													BgL_vz00_5899
																																														=
																																														BgL_arg1827z00_1446;
																																													BgL_ez00_5900
																																														=
																																														BgL_arg1828z00_1447;
																																													BgL_ez00_910
																																														=
																																														BgL_ez00_5900;
																																													BgL_vz00_909
																																														=
																																														BgL_vz00_5899;
																																													goto
																																														BgL_tagzd2147zd2_911;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_5898);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2611z00zz__evaluatez00,
																																												BGl_string2617z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 319 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_54,
																																										BGl_string2611z00zz__evaluatez00,
																																										BGl_string2617z00zz__evaluatez00,
																																										BgL_ez00_49);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_54,
																																					BGl_string2611z00zz__evaluatez00,
																																					BGl_string2617z00zz__evaluatez00,
																																					BgL_ez00_49);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_cdrzd211299zd2_1449;
																																		BgL_cdrzd211299zd2_1449
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		if ((CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2647z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd211299zd2_1449))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd211304zd2_1452;
																																						BgL_cdrzd211304zd2_1452
																																							=
																																							CDR
																																							(BgL_cdrzd211299zd2_1449);
																																						if (PAIRP(BgL_cdrzd211304zd2_1452))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd211308zd2_1454;
																																								BgL_carzd211308zd2_1454
																																									=
																																									CAR
																																									(BgL_cdrzd211304zd2_1452);
																																								if (PAIRP(BgL_carzd211308zd2_1454))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd211313zd2_1456;
																																										BgL_cdrzd211313zd2_1456
																																											=
																																											CDR
																																											(BgL_carzd211308zd2_1454);
																																										if ((CAR(BgL_carzd211308zd2_1454) == BGl_symbol2649z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd211313zd2_1456))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd211317zd2_1459;
																																														BgL_cdrzd211317zd2_1459
																																															=
																																															CDR
																																															(BgL_cdrzd211313zd2_1456);
																																														if (PAIRP(BgL_cdrzd211317zd2_1459))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd211317zd2_1459)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd211304zd2_1452)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1839z00_1463;
																																																				obj_t
																																																					BgL_arg1840z00_1464;
																																																				obj_t
																																																					BgL_arg1841z00_1465;
																																																				BgL_arg1839z00_1463
																																																					=
																																																					CAR
																																																					(BgL_cdrzd211299zd2_1449);
																																																				BgL_arg1840z00_1464
																																																					=
																																																					CAR
																																																					(BgL_cdrzd211313zd2_1456);
																																																				BgL_arg1841z00_1465
																																																					=
																																																					CAR
																																																					(BgL_cdrzd211317zd2_1459);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5935;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_5938;
																																																						obj_t
																																																							BgL_formalsz00_5937;
																																																						obj_t
																																																							BgL_gvz00_5936;
																																																						BgL_gvz00_5936
																																																							=
																																																							BgL_arg1839z00_1463;
																																																						BgL_formalsz00_5937
																																																							=
																																																							BgL_arg1840z00_1464;
																																																						BgL_bodyz00_5938
																																																							=
																																																							BgL_arg1841z00_1465;
																																																						BgL_bodyz00_915
																																																							=
																																																							BgL_bodyz00_5938;
																																																						BgL_formalsz00_914
																																																							=
																																																							BgL_formalsz00_5937;
																																																						BgL_gvz00_913
																																																							=
																																																							BgL_gvz00_5936;
																																																						goto
																																																							BgL_tagzd2149zd2_916;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5935);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1842z00_1466;
																																																				BgL_arg1842z00_1466
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5941;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5943;
																																																						obj_t
																																																							BgL_fz00_5942;
																																																						BgL_fz00_5942
																																																							=
																																																							BgL_arg1842z00_1466;
																																																						BgL_argsz00_5943
																																																							=
																																																							BgL_cdrzd211299zd2_1449;
																																																						BgL_argsz00_936
																																																							=
																																																							BgL_argsz00_5943;
																																																						BgL_fz00_935
																																																							=
																																																							BgL_fz00_5942;
																																																						goto
																																																							BgL_tagzd2156zd2_937;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5941);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd211403zd2_1470;
																																																		BgL_cdrzd211403zd2_1470
																																																			=
																																																			CDR
																																																			(BgL_cdrzd211299zd2_1449);
																																																		if (NULLP(CDR(BgL_cdrzd211403zd2_1470)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1847z00_1472;
																																																				obj_t
																																																					BgL_arg1848z00_1473;
																																																				BgL_arg1847z00_1472
																																																					=
																																																					CAR
																																																					(BgL_cdrzd211299zd2_1449);
																																																				BgL_arg1848z00_1473
																																																					=
																																																					CAR
																																																					(BgL_cdrzd211403zd2_1470);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5951;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5953;
																																																						obj_t
																																																							BgL_gvz00_5952;
																																																						BgL_gvz00_5952
																																																							=
																																																							BgL_arg1847z00_1472;
																																																						BgL_gez00_5953
																																																							=
																																																							BgL_arg1848z00_1473;
																																																						BgL_gez00_918
																																																							=
																																																							BgL_gez00_5953;
																																																						BgL_gvz00_917
																																																							=
																																																							BgL_gvz00_5952;
																																																						goto
																																																							BgL_tagzd2150zd2_919;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5951);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1849z00_1474;
																																																				obj_t
																																																					BgL_arg1850z00_1475;
																																																				BgL_arg1849z00_1474
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1850z00_1475
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5957;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5959;
																																																						obj_t
																																																							BgL_fz00_5958;
																																																						BgL_fz00_5958
																																																							=
																																																							BgL_arg1849z00_1474;
																																																						BgL_argsz00_5959
																																																							=
																																																							BgL_arg1850z00_1475;
																																																						BgL_argsz00_936
																																																							=
																																																							BgL_argsz00_5959;
																																																						BgL_fz00_935
																																																							=
																																																							BgL_fz00_5958;
																																																						goto
																																																							BgL_tagzd2156zd2_937;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5957);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd211477zd2_1479;
																																																BgL_cdrzd211477zd2_1479
																																																	=
																																																	CDR
																																																	(BgL_cdrzd211299zd2_1449);
																																																if (NULLP(CDR(BgL_cdrzd211477zd2_1479)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1855z00_1481;
																																																		obj_t
																																																			BgL_arg1856z00_1482;
																																																		BgL_arg1855z00_1481
																																																			=
																																																			CAR
																																																			(BgL_cdrzd211299zd2_1449);
																																																		BgL_arg1856z00_1482
																																																			=
																																																			CAR
																																																			(BgL_cdrzd211477zd2_1479);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5967;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5969;
																																																				obj_t
																																																					BgL_gvz00_5968;
																																																				BgL_gvz00_5968
																																																					=
																																																					BgL_arg1855z00_1481;
																																																				BgL_gez00_5969
																																																					=
																																																					BgL_arg1856z00_1482;
																																																				BgL_gez00_918
																																																					=
																																																					BgL_gez00_5969;
																																																				BgL_gvz00_917
																																																					=
																																																					BgL_gvz00_5968;
																																																				goto
																																																					BgL_tagzd2150zd2_919;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5967);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1857z00_1483;
																																																		obj_t
																																																			BgL_arg1858z00_1484;
																																																		BgL_arg1857z00_1483
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1858z00_1484
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5973;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5975;
																																																				obj_t
																																																					BgL_fz00_5974;
																																																				BgL_fz00_5974
																																																					=
																																																					BgL_arg1857z00_1483;
																																																				BgL_argsz00_5975
																																																					=
																																																					BgL_arg1858z00_1484;
																																																				BgL_argsz00_936
																																																					=
																																																					BgL_argsz00_5975;
																																																				BgL_fz00_935
																																																					=
																																																					BgL_fz00_5974;
																																																				goto
																																																					BgL_tagzd2156zd2_937;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5973);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd211551zd2_1487;
																																														BgL_cdrzd211551zd2_1487
																																															=
																																															CDR
																																															(BgL_cdrzd211299zd2_1449);
																																														if (NULLP(CDR(BgL_cdrzd211551zd2_1487)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1861z00_1489;
																																																obj_t
																																																	BgL_arg1862z00_1490;
																																																BgL_arg1861z00_1489
																																																	=
																																																	CAR
																																																	(BgL_cdrzd211299zd2_1449);
																																																BgL_arg1862z00_1490
																																																	=
																																																	CAR
																																																	(BgL_cdrzd211551zd2_1487);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_5983;
																																																	{
																																																		obj_t
																																																			BgL_gez00_5985;
																																																		obj_t
																																																			BgL_gvz00_5984;
																																																		BgL_gvz00_5984
																																																			=
																																																			BgL_arg1861z00_1489;
																																																		BgL_gez00_5985
																																																			=
																																																			BgL_arg1862z00_1490;
																																																		BgL_gez00_918
																																																			=
																																																			BgL_gez00_5985;
																																																		BgL_gvz00_917
																																																			=
																																																			BgL_gvz00_5984;
																																																		goto
																																																			BgL_tagzd2150zd2_919;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5983);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1863z00_1491;
																																																obj_t
																																																	BgL_arg1864z00_1492;
																																																BgL_arg1863z00_1491
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1864z00_1492
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5989;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5991;
																																																		obj_t
																																																			BgL_fz00_5990;
																																																		BgL_fz00_5990
																																																			=
																																																			BgL_arg1863z00_1491;
																																																		BgL_argsz00_5991
																																																			=
																																																			BgL_arg1864z00_1492;
																																																		BgL_argsz00_936
																																																			=
																																																			BgL_argsz00_5991;
																																																		BgL_fz00_935
																																																			=
																																																			BgL_fz00_5990;
																																																		goto
																																																			BgL_tagzd2156zd2_937;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5989);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd211625zd2_1495;
																																												BgL_cdrzd211625zd2_1495
																																													=
																																													CDR
																																													(BgL_cdrzd211299zd2_1449);
																																												if (NULLP(CDR(BgL_cdrzd211625zd2_1495)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1867z00_1497;
																																														obj_t
																																															BgL_arg1868z00_1498;
																																														BgL_arg1867z00_1497
																																															=
																																															CAR
																																															(BgL_cdrzd211299zd2_1449);
																																														BgL_arg1868z00_1498
																																															=
																																															CAR
																																															(BgL_cdrzd211625zd2_1495);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_5999;
																																															{
																																																obj_t
																																																	BgL_gez00_6001;
																																																obj_t
																																																	BgL_gvz00_6000;
																																																BgL_gvz00_6000
																																																	=
																																																	BgL_arg1867z00_1497;
																																																BgL_gez00_6001
																																																	=
																																																	BgL_arg1868z00_1498;
																																																BgL_gez00_918
																																																	=
																																																	BgL_gez00_6001;
																																																BgL_gvz00_917
																																																	=
																																																	BgL_gvz00_6000;
																																																goto
																																																	BgL_tagzd2150zd2_919;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5999);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1869z00_1499;
																																														obj_t
																																															BgL_arg1870z00_1500;
																																														BgL_arg1869z00_1499
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1870z00_1500
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6005;
																																															{
																																																obj_t
																																																	BgL_argsz00_6007;
																																																obj_t
																																																	BgL_fz00_6006;
																																																BgL_fz00_6006
																																																	=
																																																	BgL_arg1869z00_1499;
																																																BgL_argsz00_6007
																																																	=
																																																	BgL_arg1870z00_1500;
																																																BgL_argsz00_936
																																																	=
																																																	BgL_argsz00_6007;
																																																BgL_fz00_935
																																																	=
																																																	BgL_fz00_6006;
																																																goto
																																																	BgL_tagzd2156zd2_937;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6005);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd211699zd2_1504;
																																										BgL_cdrzd211699zd2_1504
																																											=
																																											CDR
																																											(BgL_cdrzd211299zd2_1449);
																																										if (NULLP(CDR(BgL_cdrzd211699zd2_1504)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1874z00_1506;
																																												obj_t
																																													BgL_arg1875z00_1507;
																																												BgL_arg1874z00_1506
																																													=
																																													CAR
																																													(BgL_cdrzd211299zd2_1449);
																																												BgL_arg1875z00_1507
																																													=
																																													CAR
																																													(BgL_cdrzd211699zd2_1504);
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_6015;
																																													{
																																														obj_t
																																															BgL_gez00_6017;
																																														obj_t
																																															BgL_gvz00_6016;
																																														BgL_gvz00_6016
																																															=
																																															BgL_arg1874z00_1506;
																																														BgL_gez00_6017
																																															=
																																															BgL_arg1875z00_1507;
																																														BgL_gez00_918
																																															=
																																															BgL_gez00_6017;
																																														BgL_gvz00_917
																																															=
																																															BgL_gvz00_6016;
																																														goto
																																															BgL_tagzd2150zd2_919;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6015);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1876z00_1508;
																																												obj_t
																																													BgL_arg1877z00_1509;
																																												BgL_arg1876z00_1508
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1877z00_1509
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6021;
																																													{
																																														obj_t
																																															BgL_argsz00_6023;
																																														obj_t
																																															BgL_fz00_6022;
																																														BgL_fz00_6022
																																															=
																																															BgL_arg1876z00_1508;
																																														BgL_argsz00_6023
																																															=
																																															BgL_arg1877z00_1509;
																																														BgL_argsz00_936
																																															=
																																															BgL_argsz00_6023;
																																														BgL_fz00_935
																																															=
																																															BgL_fz00_6022;
																																														goto
																																															BgL_tagzd2156zd2_937;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6021);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1879z00_1511;
																																								BgL_arg1879z00_1511
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6026;
																																									{
																																										obj_t
																																											BgL_argsz00_6028;
																																										obj_t
																																											BgL_fz00_6027;
																																										BgL_fz00_6027
																																											=
																																											BgL_arg1879z00_1511;
																																										BgL_argsz00_6028
																																											=
																																											BgL_cdrzd211299zd2_1449;
																																										BgL_argsz00_936
																																											=
																																											BgL_argsz00_6028;
																																										BgL_fz00_935
																																											=
																																											BgL_fz00_6027;
																																										goto
																																											BgL_tagzd2156zd2_937;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6026);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_arg1881z00_1513;
																																						BgL_arg1881z00_1513
																																							=
																																							CAR
																																							(BgL_ez00_49);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_6031;
																																							{
																																								obj_t
																																									BgL_argsz00_6033;
																																								obj_t
																																									BgL_fz00_6032;
																																								BgL_fz00_6032
																																									=
																																									BgL_arg1881z00_1513;
																																								BgL_argsz00_6033
																																									=
																																									BgL_cdrzd211299zd2_1449;
																																								BgL_argsz00_936
																																									=
																																									BgL_argsz00_6033;
																																								BgL_fz00_935
																																									=
																																									BgL_fz00_6032;
																																								goto
																																									BgL_tagzd2156zd2_937;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_6031);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				if (
																																					(CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2651z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd211299zd2_1449))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd211901zd2_1518;
																																								BgL_carzd211901zd2_1518
																																									=
																																									CAR
																																									(BgL_cdrzd211299zd2_1449);
																																								if (PAIRP(BgL_carzd211901zd2_1518))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (NULLP(CDR(BgL_carzd211901zd2_1518)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1887z00_1521;
																																												obj_t
																																													BgL_arg1888z00_1522;
																																												BgL_arg1887z00_1521
																																													=
																																													CAR
																																													(BgL_carzd211901zd2_1518);
																																												BgL_arg1888z00_1522
																																													=
																																													CDR
																																													(BgL_cdrzd211299zd2_1449);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_6048;
																																													{
																																														obj_t
																																															BgL_bodyz00_6050;
																																														obj_t
																																															BgL_vz00_6049;
																																														BgL_vz00_6049
																																															=
																																															BgL_arg1887z00_1521;
																																														BgL_bodyz00_6050
																																															=
																																															BgL_arg1888z00_1522;
																																														BgL_bodyz00_921
																																															=
																																															BgL_bodyz00_6050;
																																														BgL_vz00_920
																																															=
																																															BgL_vz00_6049;
																																														goto
																																															BgL_tagzd2151zd2_922;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6048);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1889z00_1523;
																																												obj_t
																																													BgL_arg1891z00_1524;
																																												BgL_arg1889z00_1523
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1891z00_1524
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6054;
																																													{
																																														obj_t
																																															BgL_argsz00_6056;
																																														obj_t
																																															BgL_fz00_6055;
																																														BgL_fz00_6055
																																															=
																																															BgL_arg1889z00_1523;
																																														BgL_argsz00_6056
																																															=
																																															BgL_arg1891z00_1524;
																																														BgL_argsz00_936
																																															=
																																															BgL_argsz00_6056;
																																														BgL_fz00_935
																																															=
																																															BgL_fz00_6055;
																																														goto
																																															BgL_tagzd2156zd2_937;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6054);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1893z00_1526;
																																										obj_t
																																											BgL_arg1894z00_1527;
																																										BgL_arg1893z00_1526
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1894z00_1527
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6060;
																																											{
																																												obj_t
																																													BgL_argsz00_6062;
																																												obj_t
																																													BgL_fz00_6061;
																																												BgL_fz00_6061
																																													=
																																													BgL_arg1893z00_1526;
																																												BgL_argsz00_6062
																																													=
																																													BgL_arg1894z00_1527;
																																												BgL_argsz00_936
																																													=
																																													BgL_argsz00_6062;
																																												BgL_fz00_935
																																													=
																																													BgL_fz00_6061;
																																												goto
																																													BgL_tagzd2156zd2_937;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6060);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1895z00_1528;
																																								obj_t
																																									BgL_arg1896z00_1529;
																																								BgL_arg1895z00_1528
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								BgL_arg1896z00_1529
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6066;
																																									{
																																										obj_t
																																											BgL_argsz00_6068;
																																										obj_t
																																											BgL_fz00_6067;
																																										BgL_fz00_6067
																																											=
																																											BgL_arg1895z00_1528;
																																										BgL_argsz00_6068
																																											=
																																											BgL_arg1896z00_1529;
																																										BgL_argsz00_936
																																											=
																																											BgL_argsz00_6068;
																																										BgL_fz00_935
																																											=
																																											BgL_fz00_6067;
																																										goto
																																											BgL_tagzd2156zd2_937;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6066);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd212032zd2_1530;
																																						BgL_cdrzd212032zd2_1530
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2653z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd212032zd2_1530))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1900z00_1533;
																																										obj_t
																																											BgL_arg1901z00_1534;
																																										BgL_arg1900z00_1533
																																											=
																																											CAR
																																											(BgL_cdrzd212032zd2_1530);
																																										BgL_arg1901z00_1534
																																											=
																																											CDR
																																											(BgL_cdrzd212032zd2_1530);
																																										{
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_auxz00_6078;
																																											{
																																												obj_t
																																													BgL_bodyz00_6080;
																																												obj_t
																																													BgL_ez00_6079;
																																												BgL_ez00_6079
																																													=
																																													BgL_arg1900z00_1533;
																																												BgL_bodyz00_6080
																																													=
																																													BgL_arg1901z00_1534;
																																												BgL_bodyz00_924
																																													=
																																													BgL_bodyz00_6080;
																																												BgL_ez00_923
																																													=
																																													BgL_ez00_6079;
																																												goto
																																													BgL_tagzd2152zd2_925;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6078);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1902z00_1535;
																																										BgL_arg1902z00_1535
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6083;
																																											{
																																												obj_t
																																													BgL_argsz00_6085;
																																												obj_t
																																													BgL_fz00_6084;
																																												BgL_fz00_6084
																																													=
																																													BgL_arg1902z00_1535;
																																												BgL_argsz00_6085
																																													=
																																													BgL_cdrzd212032zd2_1530;
																																												BgL_argsz00_936
																																													=
																																													BgL_argsz00_6085;
																																												BgL_fz00_935
																																													=
																																													BgL_fz00_6084;
																																												goto
																																													BgL_tagzd2156zd2_937;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6083);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2655z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd212032zd2_1530))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1906z00_1540;
																																												obj_t
																																													BgL_arg1907z00_1541;
																																												BgL_arg1906z00_1540
																																													=
																																													CAR
																																													(BgL_cdrzd212032zd2_1530);
																																												BgL_arg1907z00_1541
																																													=
																																													CDR
																																													(BgL_cdrzd212032zd2_1530);
																																												{
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_auxz00_6094;
																																													{
																																														obj_t
																																															BgL_bodyz00_6096;
																																														obj_t
																																															BgL_hz00_6095;
																																														BgL_hz00_6095
																																															=
																																															BgL_arg1906z00_1540;
																																														BgL_bodyz00_6096
																																															=
																																															BgL_arg1907z00_1541;
																																														BgL_bodyz00_927
																																															=
																																															BgL_bodyz00_6096;
																																														BgL_hz00_926
																																															=
																																															BgL_hz00_6095;
																																														goto
																																															BgL_tagzd2153zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6094);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1908z00_1542;
																																												obj_t
																																													BgL_arg1909z00_1543;
																																												BgL_arg1908z00_1542
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1909z00_1543
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6100;
																																													{
																																														obj_t
																																															BgL_argsz00_6102;
																																														obj_t
																																															BgL_fz00_6101;
																																														BgL_fz00_6101
																																															=
																																															BgL_arg1908z00_1542;
																																														BgL_argsz00_6102
																																															=
																																															BgL_arg1909z00_1543;
																																														BgL_argsz00_936
																																															=
																																															BgL_argsz00_6102;
																																														BgL_fz00_935
																																															=
																																															BgL_fz00_6101;
																																														goto
																																															BgL_tagzd2156zd2_937;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6100);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd212113zd2_1544;
																																										BgL_cdrzd212113zd2_1544
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2657z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd212113zd2_1544))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1912z00_1547;
																																														obj_t
																																															BgL_arg1913z00_1548;
																																														BgL_arg1912z00_1547
																																															=
																																															CAR
																																															(BgL_cdrzd212113zd2_1544);
																																														BgL_arg1913z00_1548
																																															=
																																															CDR
																																															(BgL_cdrzd212113zd2_1544);
																																														{
																																															BgL_ev_synchroniza7eza7_bglt
																																																BgL_auxz00_6112;
																																															{
																																																obj_t
																																																	BgL_bodyz00_6114;
																																																obj_t
																																																	BgL_mz00_6113;
																																																BgL_mz00_6113
																																																	=
																																																	BgL_arg1912z00_1547;
																																																BgL_bodyz00_6114
																																																	=
																																																	BgL_arg1913z00_1548;
																																																BgL_bodyz00_930
																																																	=
																																																	BgL_bodyz00_6114;
																																																BgL_mz00_929
																																																	=
																																																	BgL_mz00_6113;
																																																goto
																																																	BgL_tagzd2154zd2_931;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6112);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1915z00_1549;
																																														BgL_arg1915z00_1549
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6117;
																																															{
																																																obj_t
																																																	BgL_argsz00_6119;
																																																obj_t
																																																	BgL_fz00_6118;
																																																BgL_fz00_6118
																																																	=
																																																	BgL_arg1915z00_1549;
																																																BgL_argsz00_6119
																																																	=
																																																	BgL_cdrzd212113zd2_1544;
																																																BgL_argsz00_936
																																																	=
																																																	BgL_argsz00_6119;
																																																BgL_fz00_935
																																																	=
																																																	BgL_fz00_6118;
																																																goto
																																																	BgL_tagzd2156zd2_937;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6117);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												if ((CAR(BgL_ez00_49) == BGl_symbol2649z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd212113zd2_1544))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd212145zd2_1554;
																																																BgL_cdrzd212145zd2_1554
																																																	=
																																																	CDR
																																																	(BgL_cdrzd212113zd2_1544);
																																																if (PAIRP(BgL_cdrzd212145zd2_1554))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd212145zd2_1554)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1921z00_1557;
																																																				obj_t
																																																					BgL_arg1922z00_1558;
																																																				BgL_arg1921z00_1557
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212113zd2_1544);
																																																				BgL_arg1922z00_1558
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212145zd2_1554);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg2071z00_3706;
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg2072z00_3707;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg2073z00_3708;
																																																							obj_t
																																																								BgL_arg2074z00_3709;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_res2571z00_3712;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_symbolz00_3710;
																																																									BgL_symbolz00_3710
																																																										=
																																																										BGl_symbol2659z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2252z00_3711;
																																																										BgL_arg2252z00_3711
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3710);
																																																										BgL_res2571z00_3712
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2252z00_3711);
																																																									}
																																																								}
																																																								BgL_arg2073z00_3708
																																																									=
																																																									BgL_res2571z00_3712;
																																																							}
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_res2572z00_3715;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_symbolz00_3713;
																																																									BgL_symbolz00_3713
																																																										=
																																																										BgL_wherez00_53;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2252z00_3714;
																																																										BgL_arg2252z00_3714
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3713);
																																																										BgL_res2572z00_3715
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2252z00_3714);
																																																									}
																																																								}
																																																								BgL_arg2074z00_3709
																																																									=
																																																									BgL_res2572z00_3715;
																																																							}
																																																							BgL_arg2072z00_3707
																																																								=
																																																								string_append
																																																								(BgL_arg2073z00_3708,
																																																								BgL_arg2074z00_3709);
																																																						}
																																																						BgL_arg2071z00_3706
																																																							=
																																																							string_to_symbol
																																																							(BSTRING_TO_STRING
																																																							(BgL_arg2072z00_3707));
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdazd2zz__evaluatez00
																																																						(BgL_globalsz00_51,
																																																							BgL_localsz00_50,
																																																							BgL_locz00_54,
																																																							BgL_ez00_49,
																																																							BgL_arg1921z00_1557,
																																																							BgL_arg1922z00_1558,
																																																							BgL_arg2071z00_3706));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1923z00_1559;
																																																				obj_t
																																																					BgL_arg1924z00_1560;
																																																				BgL_arg1923z00_1559
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1924z00_1560
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6145;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6147;
																																																						obj_t
																																																							BgL_fz00_6146;
																																																						BgL_fz00_6146
																																																							=
																																																							BgL_arg1923z00_1559;
																																																						BgL_argsz00_6147
																																																							=
																																																							BgL_arg1924z00_1560;
																																																						BgL_argsz00_936
																																																							=
																																																							BgL_argsz00_6147;
																																																						BgL_fz00_935
																																																							=
																																																							BgL_fz00_6146;
																																																						goto
																																																							BgL_tagzd2156zd2_937;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6145);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1926z00_1562;
																																																		obj_t
																																																			BgL_arg1927z00_1563;
																																																		BgL_arg1926z00_1562
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1927z00_1563
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6151;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6153;
																																																				obj_t
																																																					BgL_fz00_6152;
																																																				BgL_fz00_6152
																																																					=
																																																					BgL_arg1926z00_1562;
																																																				BgL_argsz00_6153
																																																					=
																																																					BgL_arg1927z00_1563;
																																																				BgL_argsz00_936
																																																					=
																																																					BgL_argsz00_6153;
																																																				BgL_fz00_935
																																																					=
																																																					BgL_fz00_6152;
																																																				goto
																																																					BgL_tagzd2156zd2_937;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6151);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1928z00_1564;
																																																obj_t
																																																	BgL_arg1929z00_1565;
																																																BgL_arg1928z00_1564
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1929z00_1565
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6157;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6159;
																																																		obj_t
																																																			BgL_fz00_6158;
																																																		BgL_fz00_6158
																																																			=
																																																			BgL_arg1928z00_1564;
																																																		BgL_argsz00_6159
																																																			=
																																																			BgL_arg1929z00_1565;
																																																		BgL_argsz00_936
																																																			=
																																																			BgL_argsz00_6159;
																																																		BgL_fz00_935
																																																			=
																																																			BgL_fz00_6158;
																																																		goto
																																																			BgL_tagzd2156zd2_937;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6157);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1930z00_1566;
																																														obj_t
																																															BgL_arg1931z00_1567;
																																														BgL_arg1930z00_1566
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1931z00_1567
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6163;
																																															{
																																																obj_t
																																																	BgL_argsz00_6165;
																																																obj_t
																																																	BgL_fz00_6164;
																																																BgL_fz00_6164
																																																	=
																																																	BgL_arg1930z00_1566;
																																																BgL_argsz00_6165
																																																	=
																																																	BgL_arg1931z00_1567;
																																																BgL_argsz00_936
																																																	=
																																																	BgL_argsz00_6165;
																																																BgL_fz00_935
																																																	=
																																																	BgL_fz00_6164;
																																																goto
																																																	BgL_tagzd2156zd2_937;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6163);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 319 */
						BgL_xz00_864 = BgL_ez00_49;
						if (SYMBOLP(BgL_xz00_864))
							{	/* Eval/evaluate.scm 322 */
								obj_t BgL__ortest_1098z00_1588;

								BgL__ortest_1098z00_1588 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_864,
									BgL_localsz00_50);
								if (CBOOL(BgL__ortest_1098z00_1588))
									{	/* Eval/evaluate.scm 322 */
										return BgL__ortest_1098z00_1588;
									}
								else
									{	/* Eval/evaluate.scm 323 */
										BgL_ev_globalz00_bglt BgL_new1100z00_1589;

										{	/* Eval/evaluate.scm 323 */
											BgL_ev_globalz00_bglt BgL_new1099z00_1591;

											BgL_new1099z00_1591 =
												((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 323 */
												long BgL_arg1955z00_1592;

												{	/* Eval/evaluate.scm 323 */
													long BgL_res2374z00_2473;

													BgL_res2374z00_2473 =
														BGL_CLASS_INDEX
														(BGl_ev_globalz00zz__evaluate_typesz00);
													BgL_arg1955z00_1592 = BgL_res2374z00_2473;
												}
												{	/* Eval/evaluate.scm 323 */
													BgL_objectz00_bglt BgL_objz00_2474;

													BgL_objz00_2474 =
														((BgL_objectz00_bglt) BgL_new1099z00_1591);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2474,
														BgL_arg1955z00_1592);
											}}
											{	/* Eval/evaluate.scm 323 */
												BgL_objectz00_bglt BgL_auxz00_6176;

												BgL_auxz00_6176 =
													((BgL_objectz00_bglt) BgL_new1099z00_1591);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_6176, BFALSE);
											}
											BgL_new1100z00_1589 = BgL_new1099z00_1591;
										}
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1100z00_1589))->
												BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1100z00_1589))->
												BgL_namez00) = ((obj_t) BgL_xz00_864), BUNSPEC);
										{
											obj_t BgL_auxz00_6181;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6181 = BgL_globalsz00_51;
												}
											else
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6181 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) CREF(BgL_new1100z00_1589))->
													BgL_modz00) = ((obj_t) BgL_auxz00_6181), BUNSPEC);
										}
										return ((obj_t) BgL_new1100z00_1589);
									}
							}
						else
							{	/* Eval/evaluate.scm 327 */
								BgL_ev_littz00_bglt BgL_new1102z00_1593;

								{	/* Eval/evaluate.scm 327 */
									BgL_ev_littz00_bglt BgL_new1101z00_1594;

									BgL_new1101z00_1594 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 327 */
										long BgL_arg1956z00_1595;

										{	/* Eval/evaluate.scm 327 */
											long BgL_res2375z00_2477;

											BgL_res2375z00_2477 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg1956z00_1595 = BgL_res2375z00_2477;
										}
										{	/* Eval/evaluate.scm 327 */
											BgL_objectz00_bglt BgL_objz00_2478;

											BgL_objz00_2478 =
												((BgL_objectz00_bglt) BgL_new1101z00_1594);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2478,
												BgL_arg1956z00_1595);
									}}
									{	/* Eval/evaluate.scm 327 */
										BgL_objectz00_bglt BgL_auxz00_6191;

										BgL_auxz00_6191 =
											((BgL_objectz00_bglt) BgL_new1101z00_1594);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6191, BFALSE);
									}
									BgL_new1102z00_1593 = BgL_new1101z00_1594;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1102z00_1593))->
										BgL_valuez00) = ((obj_t) BgL_xz00_864), BUNSPEC);
								return ((obj_t) BgL_new1102z00_1593);
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__evaluatez00(obj_t BgL_wherez00_3944,
		obj_t BgL_globalsz00_3943, obj_t BgL_localsz00_3942, obj_t BgL_locz00_3941,
		obj_t BgL_esz00_1845)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 283 */
			if (NULLP(BgL_esz00_1845))
				{	/* Eval/evaluate.scm 284 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 286 */
					obj_t BgL_ez00_1848;

					BgL_ez00_1848 = CAR(BgL_esz00_1845);
					{	/* Eval/evaluate.scm 287 */
						obj_t BgL_arg2085z00_1849;
						obj_t BgL_arg2087z00_1850;

						{	/* Eval/evaluate.scm 287 */
							obj_t BgL_arg2088z00_1851;

							{	/* Eval/evaluate.scm 287 */
								obj_t BgL__ortest_1068z00_2418;

								BgL__ortest_1068z00_2418 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_1848);
								if (CBOOL(BgL__ortest_1068z00_2418))
									{	/* Eval/evaluate.scm 287 */
										BgL_arg2088z00_1851 = BgL__ortest_1068z00_2418;
									}
								else
									{	/* Eval/evaluate.scm 287 */
										obj_t BgL__ortest_1069z00_2419;

										BgL__ortest_1069z00_2419 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_1845);
										if (CBOOL(BgL__ortest_1069z00_2419))
											{	/* Eval/evaluate.scm 287 */
												BgL_arg2088z00_1851 = BgL__ortest_1069z00_2419;
											}
										else
											{	/* Eval/evaluate.scm 287 */
												BgL_arg2088z00_1851 = BgL_locz00_3941;
											}
									}
							}
							BgL_arg2085z00_1849 =
								BGl_convz00zz__evaluatez00(BgL_ez00_1848, BgL_localsz00_3942,
								BgL_globalsz00_3943, BFALSE, BgL_wherez00_3944,
								BgL_arg2088z00_1851, ((bool_t) 0));
						}
						BgL_arg2087z00_1850 =
							BGl_loopz00zz__evaluatez00(BgL_wherez00_3944, BgL_globalsz00_3943,
							BgL_localsz00_3942, BgL_locz00_3941, CDR(BgL_esz00_1845));
						return MAKE_PAIR(BgL_arg2085z00_1849, BgL_arg2087z00_1850);
					}
				}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_wherez00_3946,
		obj_t BgL_globalsz00_3945, obj_t BgL_lz00_2713, obj_t BgL_varsz00_2714,
		obj_t BgL_localsz00_2715, obj_t BgL_locz00_2716)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 397 */
			if (NULLP(BgL_lz00_2713))
				{	/* Eval/evaluate.scm 407 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 407 */
					obj_t BgL_locz00_2728;

					{	/* Eval/evaluate.scm 407 */
						obj_t BgL_arg2023z00_2729;

						BgL_arg2023z00_2729 = CAR(BgL_lz00_2713);
						{	/* Eval/evaluate.scm 407 */
							obj_t BgL__ortest_1067z00_2742;

							BgL__ortest_1067z00_2742 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2023z00_2729);
							if (CBOOL(BgL__ortest_1067z00_2742))
								{	/* Eval/evaluate.scm 407 */
									BgL_locz00_2728 = BgL__ortest_1067z00_2742;
								}
							else
								{	/* Eval/evaluate.scm 407 */
									BgL_locz00_2728 = BgL_locz00_2716;
								}
						}
					}
					{	/* Eval/evaluate.scm 407 */
						obj_t BgL_arg2013z00_2730;
						obj_t BgL_arg2014z00_2731;

						{	/* Eval/evaluate.scm 407 */
							obj_t BgL_arg2017z00_2732;

							{	/* Eval/evaluate.scm 407 */
								obj_t BgL_pairz00_2743;

								BgL_pairz00_2743 = BgL_lz00_2713;
								BgL_arg2017z00_2732 = CAR(CDR(CAR(BgL_pairz00_2743)));
							}
							BgL_arg2013z00_2730 =
								BGl_convz00zz__evaluatez00(BgL_arg2017z00_2732,
								BgL_localsz00_2715, BgL_globalsz00_3945, BFALSE,
								BgL_wherez00_3946, BgL_locz00_2728, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 407 */
							obj_t BgL_arg2018z00_2733;
							obj_t BgL_arg2019z00_2734;
							obj_t BgL_arg2021z00_2735;

							BgL_arg2018z00_2733 = CDR(BgL_lz00_2713);
							BgL_arg2019z00_2734 = CDR(BgL_varsz00_2714);
							BgL_arg2021z00_2735 =
								MAKE_PAIR(CAR(BgL_varsz00_2714), BgL_localsz00_2715);
							BgL_arg2014z00_2731 =
								BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_3946,
								BgL_globalsz00_3945, BgL_arg2018z00_2733, BgL_arg2019z00_2734,
								BgL_arg2021z00_2735, BgL_locz00_2728);
						}
						return MAKE_PAIR(BgL_arg2013z00_2730, BgL_arg2014z00_2731);
					}
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_3950, obj_t BgL_localsz00_3949, obj_t BgL_locz00_3948,
		obj_t BgL_ez00_3947, obj_t BgL_formalsz00_1854, obj_t BgL_bodyz00_1855,
		obj_t BgL_wherez00_1856)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 301 */
			{
				obj_t BgL_lz00_1885;

				{	/* Eval/evaluate.scm 303 */
					obj_t BgL_varsz00_1859;

					BgL_lz00_1885 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_1854, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_1889;
						obj_t BgL_flatz00_1890;
						long BgL_arityz00_1891;

						BgL_rz00_1889 = BgL_lz00_1885;
						BgL_flatz00_1890 = BNIL;
						BgL_arityz00_1891 = ((long) 0);
					BgL_zc3anonymousza32102ze3z83_1892:
						if (NULLP(BgL_rz00_1889))
							{	/* Eval/evaluate.scm 296 */
								obj_t BgL_val0_1178z00_1894;

								BgL_val0_1178z00_1894 = bgl_reverse_bang(BgL_flatz00_1890);
								{	/* Eval/evaluate.scm 296 */
									int BgL_res2362z00_2424;

									{	/* Eval/evaluate.scm 296 */
										int BgL_auxz00_6228;

										BgL_auxz00_6228 = (int) (((long) 2));
										BgL_res2362z00_2424 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_6228);
									} BgL_res2362z00_2424;
								}
								{	/* Eval/evaluate.scm 296 */
									obj_t BgL_auxz00_6233;
									int BgL_auxz00_6231;

									BgL_auxz00_6233 = BINT(BgL_arityz00_1891);
									BgL_auxz00_6231 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_6231, BgL_auxz00_6233);
								}
								BgL_varsz00_1859 = BgL_val0_1178z00_1894;
							}
						else
							{	/* Eval/evaluate.scm 295 */
								if (PAIRP(BgL_rz00_1889))
									{	/* Eval/evaluate.scm 300 */
										obj_t BgL_arg2105z00_1897;
										obj_t BgL_arg2106z00_1898;
										long BgL_arg2107z00_1899;

										BgL_arg2105z00_1897 = CDR(BgL_rz00_1889);
										BgL_arg2106z00_1898 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_1889)), BgL_flatz00_1890);
										BgL_arg2107z00_1899 = (BgL_arityz00_1891 + ((long) 1));
										{
											long BgL_arityz00_6245;
											obj_t BgL_flatz00_6244;
											obj_t BgL_rz00_6243;

											BgL_rz00_6243 = BgL_arg2105z00_1897;
											BgL_flatz00_6244 = BgL_arg2106z00_1898;
											BgL_arityz00_6245 = BgL_arg2107z00_1899;
											BgL_arityz00_1891 = BgL_arityz00_6245;
											BgL_flatz00_1890 = BgL_flatz00_6244;
											BgL_rz00_1889 = BgL_rz00_6243;
											goto BgL_zc3anonymousza32102ze3z83_1892;
										}
									}
								else
									{	/* Eval/evaluate.scm 298 */
										obj_t BgL_val0_1180z00_1902;
										long BgL_val1_1181z00_1903;

										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_arg2112z00_1904;

											BgL_arg2112z00_1904 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_1889), BgL_flatz00_1890);
											BgL_val0_1180z00_1902 =
												bgl_reverse_bang(BgL_arg2112z00_1904);
										}
										BgL_val1_1181z00_1903 = (((long) -1) - BgL_arityz00_1891);
										{	/* Eval/evaluate.scm 298 */
											int BgL_res2366z00_2438;

											{	/* Eval/evaluate.scm 298 */
												int BgL_auxz00_6250;

												BgL_auxz00_6250 = (int) (((long) 2));
												BgL_res2366z00_2438 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_6250);
											} BgL_res2366z00_2438;
										}
										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_auxz00_6255;
											int BgL_auxz00_6253;

											BgL_auxz00_6255 = BINT(BgL_val1_1181z00_1903);
											BgL_auxz00_6253 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_6253, BgL_auxz00_6255);
										}
										BgL_varsz00_1859 = BgL_val0_1180z00_1902;
					}}}
					{	/* Eval/evaluate.scm 305 */
						obj_t BgL_arityz00_1860;

						{	/* Eval/evaluate.scm 305 */
							int BgL_auxz00_6259;

							BgL_auxz00_6259 = (int) (((long) 1));
							BgL_arityz00_1860 = BGL_MVALUES_VAL(BgL_auxz00_6259);
						}
						{	/* Eval/evaluate.scm 305 */
							obj_t BgL_varsz00_1861;
							obj_t BgL_bodyz00_1862;
							obj_t BgL_nlocz00_1863;

							if (NULLP(BgL_varsz00_1859))
								{	/* Eval/evaluate.scm 305 */
									BgL_varsz00_1861 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 305 */
									obj_t BgL_head1184z00_1870;

									{	/* Eval/evaluate.scm 305 */
										obj_t BgL_res2368z00_2446;

										BgL_res2368z00_2446 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1184z00_1870 = BgL_res2368z00_2446;
									}
									{
										obj_t BgL_l1182z00_1872;
										obj_t BgL_tail1185z00_1873;

										BgL_l1182z00_1872 = BgL_varsz00_1859;
										BgL_tail1185z00_1873 = BgL_head1184z00_1870;
									BgL_zc3anonymousza32095ze3z83_1874:
										if (NULLP(BgL_l1182z00_1872))
											{	/* Eval/evaluate.scm 305 */
												BgL_varsz00_1861 = CDR(BgL_head1184z00_1870);
											}
										else
											{	/* Eval/evaluate.scm 305 */
												obj_t BgL_newtail1186z00_1876;

												{	/* Eval/evaluate.scm 305 */
													BgL_ev_varz00_bglt BgL_arg2098z00_1878;

													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_vz00_1879;

														BgL_vz00_1879 = CAR(BgL_l1182z00_1872);
														{	/* Eval/evaluate.scm 306 */
															BgL_ev_varz00_bglt BgL_new1094z00_1880;

															{	/* Eval/evaluate.scm 306 */
																BgL_ev_varz00_bglt BgL_new1093z00_1881;

																BgL_new1093z00_1881 =
																	((BgL_ev_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 306 */
																	long BgL_arg2099z00_1882;

																	{	/* Eval/evaluate.scm 306 */
																		long BgL_res2370z00_2452;

																		BgL_res2370z00_2452 =
																			BGL_CLASS_INDEX
																			(BGl_ev_varz00zz__evaluate_typesz00);
																		BgL_arg2099z00_1882 = BgL_res2370z00_2452;
																	}
																	{	/* Eval/evaluate.scm 306 */
																		BgL_objectz00_bglt BgL_objz00_2453;

																		BgL_objz00_2453 =
																			((BgL_objectz00_bglt)
																			BgL_new1093z00_1881);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2453,
																			BgL_arg2099z00_1882);
																}}
																{	/* Eval/evaluate.scm 306 */
																	BgL_objectz00_bglt BgL_auxz00_6273;

																	BgL_auxz00_6273 =
																		((BgL_objectz00_bglt) BgL_new1093z00_1881);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_6273,
																		BFALSE);
																}
																BgL_new1094z00_1880 = BgL_new1093z00_1881;
															}
															{
																obj_t BgL_auxz00_6276;

																{	/* Eval/evaluate.scm 307 */
																	obj_t BgL_pairz00_2455;

																	BgL_pairz00_2455 = BgL_vz00_1879;
																	BgL_auxz00_6276 = CAR(BgL_pairz00_2455);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1094z00_1880))->BgL_namez00) =
																	((obj_t) BgL_auxz00_6276), BUNSPEC);
															}
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1094z00_1880))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															{
																obj_t BgL_auxz00_6280;

																{	/* Eval/evaluate.scm 308 */
																	obj_t BgL_pairz00_2456;

																	BgL_pairz00_2456 = BgL_vz00_1879;
																	BgL_auxz00_6280 = CDR(BgL_pairz00_2456);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1094z00_1880))->BgL_typez00) =
																	((obj_t) BgL_auxz00_6280), BUNSPEC);
															}
															BgL_arg2098z00_1878 = BgL_new1094z00_1880;
													}}
													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_res2371z00_2459;

														{	/* Eval/evaluate.scm 305 */
															obj_t BgL_obj1z00_2457;

															BgL_obj1z00_2457 = ((obj_t) BgL_arg2098z00_1878);
															BgL_res2371z00_2459 =
																MAKE_PAIR(BgL_obj1z00_2457, BNIL);
														}
														BgL_newtail1186z00_1876 = BgL_res2371z00_2459;
												}}
												SET_CDR(BgL_tail1185z00_1873, BgL_newtail1186z00_1876);
												{
													obj_t BgL_tail1185z00_6288;
													obj_t BgL_l1182z00_6286;

													BgL_l1182z00_6286 = CDR(BgL_l1182z00_1872);
													BgL_tail1185z00_6288 = BgL_newtail1186z00_1876;
													BgL_tail1185z00_1873 = BgL_tail1185z00_6288;
													BgL_l1182z00_1872 = BgL_l1182z00_6286;
													goto BgL_zc3anonymousza32095ze3z83_1874;
												}
											}
									}
								}
							BgL_bodyz00_1862 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_3947, BgL_formalsz00_1854, BgL_bodyz00_1855,
								BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 311 */
								obj_t BgL__ortest_1067z00_2465;

								BgL__ortest_1067z00_2465 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_1855);
								if (CBOOL(BgL__ortest_1067z00_2465))
									{	/* Eval/evaluate.scm 311 */
										BgL_nlocz00_1863 = BgL__ortest_1067z00_2465;
									}
								else
									{	/* Eval/evaluate.scm 311 */
										BgL_nlocz00_1863 = BgL_locz00_3948;
									}
							}
							{	/* Eval/evaluate.scm 312 */
								BgL_ev_absz00_bglt BgL_new1097z00_1864;

								{	/* Eval/evaluate.scm 312 */
									BgL_ev_absz00_bglt BgL_new1096z00_1866;

									BgL_new1096z00_1866 =
										((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 312 */
										long BgL_arg2093z00_1867;

										{	/* Eval/evaluate.scm 312 */
											long BgL_res2372z00_2467;

											BgL_res2372z00_2467 =
												BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
											BgL_arg2093z00_1867 = BgL_res2372z00_2467;
										}
										{	/* Eval/evaluate.scm 312 */
											BgL_objectz00_bglt BgL_objz00_2468;

											BgL_objz00_2468 =
												((BgL_objectz00_bglt) BgL_new1096z00_1866);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2468,
												BgL_arg2093z00_1867);
									}}
									{	/* Eval/evaluate.scm 312 */
										BgL_objectz00_bglt BgL_auxz00_6297;

										BgL_auxz00_6297 =
											((BgL_objectz00_bglt) BgL_new1096z00_1866);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6297, BFALSE);
									}
									BgL_new1097z00_1864 = BgL_new1096z00_1866;
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_locz00) = ((obj_t) BgL_locz00_3948), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_1856), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_1860), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_1861), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_6304;

									{	/* Eval/evaluate.scm 317 */
										obj_t BgL_arg2091z00_1865;

										BgL_arg2091z00_1865 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_1861,
											BgL_localsz00_3949);
										BgL_auxz00_6304 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_1862,
												BgL_arg2091z00_1865, BgL_globalsz00_3950, BTRUE,
												BgL_wherez00_1856, BgL_nlocz00_1863, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_6304), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1864))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1097z00_1864;
							}
						}
					}
				}
			}
		}
	}



/* uconv/loc */
	obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t BgL_wherez00_3957,
		obj_t BgL_globalsz00_3956, obj_t BgL_localsz00_3955, obj_t BgL_ez00_1836,
		obj_t BgL_locz00_1837)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 277 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_1836, BgL_localsz00_3955,
				BgL_globalsz00_3956, BFALSE, BgL_wherez00_3957, BgL_locz00_1837,
				((bool_t) 0));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 178211111),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 40444151),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string2661z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
