/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62zc3anonymousza32777ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31959ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5491z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33546ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5493z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33295ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5495z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5497z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5499z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs1686zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33031ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letrec1670zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33105ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33791ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32973ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33920ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33742ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32924ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		long, obj_t);
	static obj_t BGl_z62compzd2ev_if1658zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_trap1643zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33122ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33581ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33654ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_zc3exitza32005ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33833ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33477ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32039ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza32943ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol5601z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33567ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5603z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5605z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5607z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5609z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33141ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza31980ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5611z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5613z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5615z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5617z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5619z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_defglobal1653zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza32202ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_unwindzd2prote1674z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33763ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_symbol5621z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5623z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_setglobal1651zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol5625z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5627z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5629z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33942ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33675ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33497ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32253ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32131ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33587ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_zc3exitza33855ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33783ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33694ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5660z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32701ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33341ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33114ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5675z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5677z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32613ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5679z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33131ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33890ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5681z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32541ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32525ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33238ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32347ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33182ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32705ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33150ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33045ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32633ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32293ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32617ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33062ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33983ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33789ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1660zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33614ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32561ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32545ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32294ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1645zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32529ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33209ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5500z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5502z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5504z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5506z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5508z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33315ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33137ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5510z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5512z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5514z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5516z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5518z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32814ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33381ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33081ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5520z62zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62run5522z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5524z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5526z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5528z62zz__evaluate_compz00(obj_t, obj_t);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5530z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32581ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32565ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33529ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32549ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33334ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	static obj_t BGl_zc3exitza33156ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33229ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern long bgl_list_length(obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33724ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33351ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32923ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33636ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33174ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32762ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5501z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5503z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5505z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5507z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_labels1680zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5509z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33248ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5511z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32585ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5513z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32569ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33370ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5515z62zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33443ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33192ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5517z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5519z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5521z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5523z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33299ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5525z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33606ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5527z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5529z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33745ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32749ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33924ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33657ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33462ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33357ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62comp1640z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1647zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32767ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32589ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33714ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1672z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33804ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33391ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33626ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33200ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33910ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32396ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33198ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32205ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1676z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32786ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33377ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32206ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32949ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32698ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33483ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33289ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32061ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32134ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21668z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32135ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_zc3exitza32934ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33736ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1656zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza32030ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32103ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33648ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33397ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32896ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32969ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_zc3exitza33827ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol5535z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5537z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5539z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32170ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol5545z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bgl_reverse_bang(obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol5553z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5555z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5557z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32601ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33047ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33757ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32939ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5560z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5563z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5565z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5567z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5569z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33120ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_recz00zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recz72z72zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza33952ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33669ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5571z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol5573z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5575z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33510ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5577z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5579z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33880ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5581z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5583z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5585z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5587z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5589z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33066ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33849ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5591z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5593z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5595z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32621ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33261ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5597z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32605ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5599z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33318ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_prog21664zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32533ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33084ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33425ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32518ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32250ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33973ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_Ez00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33159ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33215ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32641ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32625ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32609ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33410ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32058ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32731ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32553ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32537ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_zc3exitza33055ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33039ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33550ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33445ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_let1666zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32344ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33235ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32077ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_goto1682zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5446z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5448z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza32629ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33503ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33309ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32167ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5450z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5452z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5454z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5456z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5458z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32573ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32557ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33359ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33075ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_global1649zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5460z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run5462z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5464z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5466z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32930ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5468z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33570ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33521ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32290ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33254ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33092ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62run5470z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5472z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_synchroniza7e1678z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5474z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5476z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5478z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32737ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33466ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33700ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33271ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33328ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5480z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5482z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5484z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5486z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5488z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33612ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33418ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5490z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5492z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5494z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5496z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32844ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5498z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32593ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32739ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32577ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33540ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33168ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_app1684zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5445z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5447z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5449z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33486ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33720ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5451z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5453z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5455z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33437ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5457z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5459z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33810ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5461z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, long);
	static obj_t BGl_zc3exitza33632ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5463z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33527ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5465z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5467z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33098ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5469z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33682ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32937ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32686ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32597ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5471z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_and1662zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5473z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5475z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33277ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5477z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5479z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32106ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32865ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33594ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33561ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5481z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5483z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33456ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5485z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5487z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5489z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za75685z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_5686z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza75687za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5600z00zz__evaluate_compz00,
		BgL_bgl_string5600za700za7za7_5688za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string5602z00zz__evaluate_compz00,
		BgL_bgl_string5602za700za7za7_5689za7, "=fx", 3);
	      DEFINE_STRING(BGl_string5604z00zz__evaluate_compz00,
		BgL_bgl_string5604za700za7za7_5690za7, "+fl", 3);
	      DEFINE_STRING(BGl_string5606z00zz__evaluate_compz00,
		BgL_bgl_string5606za700za7za7_5691za7, "flonum", 6);
	      DEFINE_STRING(BGl_string5608z00zz__evaluate_compz00,
		BgL_bgl_string5608za700za7za7_5692za7, "-fl", 3);
	      DEFINE_STRING(BGl_string5610z00zz__evaluate_compz00,
		BgL_bgl_string5610za700za7za7_5693za7, "*fl", 3);
	      DEFINE_STRING(BGl_string5612z00zz__evaluate_compz00,
		BgL_bgl_string5612za700za7za7_5694za7, "/fl", 3);
	      DEFINE_STRING(BGl_string5614z00zz__evaluate_compz00,
		BgL_bgl_string5614za700za7za7_5695za7, "<fl", 3);
	      DEFINE_STRING(BGl_string5616z00zz__evaluate_compz00,
		BgL_bgl_string5616za700za7za7_5696za7, ">fl", 3);
	      DEFINE_STRING(BGl_string5618z00zz__evaluate_compz00,
		BgL_bgl_string5618za700za7za7_5697za7, "<=fl", 4);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5620z00zz__evaluate_compz00,
		BgL_bgl_string5620za700za7za7_5698za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string5622z00zz__evaluate_compz00,
		BgL_bgl_string5622za700za7za7_5699za7, "=fl", 3);
	      DEFINE_STRING(BGl_string5624z00zz__evaluate_compz00,
		BgL_bgl_string5624za700za7za7_5700za7, "car", 3);
	      DEFINE_STRING(BGl_string5626z00zz__evaluate_compz00,
		BgL_bgl_string5626za700za7za7_5701za7, "pair", 4);
	      DEFINE_STRING(BGl_string5628z00zz__evaluate_compz00,
		BgL_bgl_string5628za700za7za7_5702za7, "cdr", 3);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5630z00zz__evaluate_compz00,
		BgL_bgl_string5630za700za7za7_5703za7, "cadr", 4);
	      DEFINE_STRING(BGl_string5632z00zz__evaluate_compz00,
		BgL_bgl_string5632za700za7za7_5704za7, "comp1640", 8);
	      DEFINE_STRING(BGl_string5633z00zz__evaluate_compz00,
		BgL_bgl_string5633za700za7za7_5705za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string5634z00zz__evaluate_compz00,
		BgL_bgl_string5634za700za7za7_5706za7, "&comp", 5);
	      DEFINE_STRING(BGl_string5636z00zz__evaluate_compz00,
		BgL_bgl_string5636za700za7za7_5707za7, "comp", 4);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5658z00zz__evaluate_compz00,
		BgL_bgl_string5658za700za7za7_5708za7, "internal error", 14);
	      DEFINE_STRING(BGl_string5659z00zz__evaluate_compz00,
		BgL_bgl_string5659za700za7za7_5709za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string5661z00zz__evaluate_compz00,
		BgL_bgl_string5661za700za7za7_5710za7, "notyet", 6);
	      DEFINE_STRING(BGl_string5662z00zz__evaluate_compz00,
		BgL_bgl_string5662za700za7za7_5711za7, "set!", 4);
	      DEFINE_STRING(BGl_string5663z00zz__evaluate_compz00,
		BgL_bgl_string5663za700za7za7_5712za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string5664z00zz__evaluate_compz00,
		BgL_bgl_string5664za700za7za7_5713za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string5665z00zz__evaluate_compz00,
		BgL_bgl_string5665za700za7za7_5714za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string5666z00zz__evaluate_compz00,
		BgL_bgl_string5666za700za7za7_5715za7, "Uninitialized variable", 22);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev5716z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5676z00zz__evaluate_compz00,
		BgL_bgl_string5676za700za7za7_5717za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string5678z00zz__evaluate_compz00,
		BgL_bgl_string5678za700za7za7_5718za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string5680z00zz__evaluate_compz00,
		BgL_bgl_string5680za700za7za7_5719za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string5682z00zz__evaluate_compz00,
		BgL_bgl_string5682za700za7za7_5720za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string5683z00zz__evaluate_compz00,
		BgL_bgl_string5683za700za7za7_5721za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string5684z00zz__evaluate_compz00,
		BgL_bgl_string5684za700za7za7_5722za7, "__evaluate_comp", 15);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5536z00zz__evaluate_compz00,
		BgL_bgl_string5536za700za7za7_5723za7, "all", 3);
	      DEFINE_STRING(BGl_string5538z00zz__evaluate_compz00,
		BgL_bgl_string5538za700za7za7_5724za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string5540z00zz__evaluate_compz00,
		BgL_bgl_string5540za700za7za7_5725za7, "bounce", 6);
	      DEFINE_STRING(BGl_string5541z00zz__evaluate_compz00,
		BgL_bgl_string5541za700za7za7_5726za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5542z00zz__evaluate_compz00,
		BgL_bgl_string5542za700za7za7_5727za7, " in ", 4);
	      DEFINE_STRING(BGl_string5543z00zz__evaluate_compz00,
		BgL_bgl_string5543za700za7za7_5728za7, "eval", 4);
	      DEFINE_STRING(BGl_string5544z00zz__evaluate_compz00,
		BgL_bgl_string5544za700za7za7_5729za7, "internal error: not found", 25);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5546z00zz__evaluate_compz00,
		BgL_bgl_string5546za700za7za7_5730za7, "at", 2);
	      DEFINE_STRING(BGl_string5547z00zz__evaluate_compz00,
		BgL_bgl_string5547za700za7za7_5731za7, "", 0);
	      DEFINE_STRING(BGl_string5548z00zz__evaluate_compz00,
		BgL_bgl_string5548za700za7za7_5732za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5549z00zz__evaluate_compz00,
		BgL_bgl_string5549za700za7za7_5733za7, "&compile", 8);
	      DEFINE_STRING(BGl_string5550z00zz__evaluate_compz00,
		BgL_bgl_string5550za700za7za7_5734za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string5551z00zz__evaluate_compz00,
		BgL_bgl_string5551za700za7za7_5735za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5552z00zz__evaluate_compz00,
		BgL_bgl_string5552za700za7za7_5736za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5554z00zz__evaluate_compz00,
		BgL_bgl_string5554za700za7za7_5737za7, "mcell", 5);
	      DEFINE_STRING(BGl_string5556z00zz__evaluate_compz00,
		BgL_bgl_string5556za700za7za7_5738za7, "internal", 8);
	      DEFINE_STRING(BGl_string5558z00zz__evaluate_compz00,
		BgL_bgl_string5558za700za7za7_5739za7, "impossible", 10);
	      DEFINE_STRING(BGl_string5559z00zz__evaluate_compz00,
		BgL_bgl_string5559za700za7za7_5740za7, "procedure", 9);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5631z00zz__evaluate_compz00,
		BgL_bgl_za762comp1640za762za7za75741z00,
		BGl_z62comp1640z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5635z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra5742z00,
		BGl_z62compzd2ev_trap1643zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5561z00zz__evaluate_compz00,
		BgL_bgl_string5561za700za7za7_5743za7, "user", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5637z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var5744z00,
		BGl_z62compzd2ev_var1645zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5562z00zz__evaluate_compz00,
		BgL_bgl_string5562za700za7za7_5745za7, "invalid byte code", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5638z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5746z00,
		BGl_z62compzd2ev_setlocal1647zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5639z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo5747z00,
		BGl_z62compzd2ev_global1649zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5564z00zz__evaluate_compz00,
		BgL_bgl_string5564za700za7za7_5748za7, "+", 1);
	      DEFINE_STRING(BGl_string5566z00zz__evaluate_compz00,
		BgL_bgl_string5566za700za7za7_5749za7, "number", 6);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5568z00zz__evaluate_compz00,
		BgL_bgl_string5568za700za7za7_5750za7, "-", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5640z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5751z00,
		BGl_z62compzd2ev_setglobal1651zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5641z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def5752z00,
		BGl_z62compzd2ev_defglobal1653zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5642z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit5753z00,
		BGl_z62compzd2ev_litt1656zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5643z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if15754z00,
		BGl_z62compzd2ev_if1658zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5644z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or15755z00,
		BGl_z62compzd2ev_or1660zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5645z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and5756z00,
		BGl_z62compzd2ev_and1662zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5570z00zz__evaluate_compz00,
		BgL_bgl_string5570za700za7za7_5757za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5646z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro5758z00,
		BGl_z62compzd2ev_prog21664zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5647z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5759z00,
		BGl_z62compzd2ev_let1666zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5572z00zz__evaluate_compz00,
		BgL_bgl_string5572za700za7za7_5760za7, "/", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5648z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5761z00,
		BGl_z62compzd2ev_letza21668z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5649z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5762z00,
		BGl_z62compzd2ev_letrec1670zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5574z00zz__evaluate_compz00,
		BgL_bgl_string5574za700za7za7_5763za7, "<", 1);
	      DEFINE_STRING(BGl_string5576z00zz__evaluate_compz00,
		BgL_bgl_string5576za700za7za7_5764za7, ">", 1);
	      DEFINE_STRING(BGl_string5578z00zz__evaluate_compz00,
		BgL_bgl_string5578za700za7za7_5765za7, "<=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5650z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin5766z00,
		BGl_z62compzd2ev_bindzd2exit1672z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5651z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw5767z00,
		BGl_z62compzd2ev_unwindzd2prote1674z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5652z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit5768z00,
		BGl_z62compzd2ev_withzd2handler1676z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5653z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn5769z00,
		BGl_z62compzd2ev_synchroniza7e1678z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5654z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab5770z00,
		BGl_z62compzd2ev_labels1680zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5655z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got5771z00,
		BGl_z62compzd2ev_goto1682zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5580z00zz__evaluate_compz00,
		BgL_bgl_string5580za700za7za7_5772za7, ">=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5656z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app5773z00,
		BGl_z62compzd2ev_app1684zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5657z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs5774z00,
		BGl_z62compzd2ev_abs1686zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5582z00zz__evaluate_compz00,
		BgL_bgl_string5582za700za7za7_5775za7, "=", 1);
	      DEFINE_STRING(BGl_string5584z00zz__evaluate_compz00,
		BgL_bgl_string5584za700za7za7_5776za7, "+fx", 3);
	      DEFINE_STRING(BGl_string5586z00zz__evaluate_compz00,
		BgL_bgl_string5586za700za7za7_5777za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string5588z00zz__evaluate_compz00,
		BgL_bgl_string5588za700za7za7_5778za7, "-fx", 3);
	      DEFINE_STRING(BGl_string5590z00zz__evaluate_compz00,
		BgL_bgl_string5590za700za7za7_5779za7, "*fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5667z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75780za7,
		BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5592z00zz__evaluate_compz00,
		BgL_bgl_string5592za700za7za7_5781za7, "/fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5668z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75782za7,
		BGl_z62zc3anonymousza32698ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5669z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75783za7,
		BGl_z62zc3anonymousza32701ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5594z00zz__evaluate_compz00,
		BgL_bgl_string5594za700za7za7_5784za7, "<fx", 3);
	      DEFINE_STRING(BGl_string5596z00zz__evaluate_compz00,
		BgL_bgl_string5596za700za7za7_5785za7, ">fx", 3);
	      DEFINE_STRING(BGl_string5598z00zz__evaluate_compz00,
		BgL_bgl_string5598za700za7za7_5786za7, "<=fx", 4);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5670z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75787za7,
		BGl_z62zc3anonymousza32705ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5671z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75788za7,
		BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5672z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75789za7,
		BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5673z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75790za7,
		BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5674z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75791za7,
		BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_17714, char *BgL_fromz00_17715)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					BGl_toplevelzd2initzd2zz__evaluate_compz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5535z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5536z00zz__evaluate_compz00);
			BGl_symbol5537z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5538z00zz__evaluate_compz00);
			BGl_symbol5539z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5540z00zz__evaluate_compz00);
			BGl_symbol5545z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5546z00zz__evaluate_compz00);
			BGl_symbol5553z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5554z00zz__evaluate_compz00);
			BGl_symbol5555z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5556z00zz__evaluate_compz00);
			BGl_symbol5557z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5558z00zz__evaluate_compz00);
			BGl_symbol5560z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5561z00zz__evaluate_compz00);
			BGl_symbol5563z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5564z00zz__evaluate_compz00);
			BGl_symbol5565z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5566z00zz__evaluate_compz00);
			BGl_symbol5567z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5568z00zz__evaluate_compz00);
			BGl_symbol5569z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5570z00zz__evaluate_compz00);
			BGl_symbol5571z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5572z00zz__evaluate_compz00);
			BGl_symbol5573z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5574z00zz__evaluate_compz00);
			BGl_symbol5575z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5576z00zz__evaluate_compz00);
			BGl_symbol5577z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5578z00zz__evaluate_compz00);
			BGl_symbol5579z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5580z00zz__evaluate_compz00);
			BGl_symbol5581z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5582z00zz__evaluate_compz00);
			BGl_symbol5583z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5584z00zz__evaluate_compz00);
			BGl_symbol5585z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5586z00zz__evaluate_compz00);
			BGl_symbol5587z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5588z00zz__evaluate_compz00);
			BGl_symbol5589z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5590z00zz__evaluate_compz00);
			BGl_symbol5591z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5592z00zz__evaluate_compz00);
			BGl_symbol5593z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5594z00zz__evaluate_compz00);
			BGl_symbol5595z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5596z00zz__evaluate_compz00);
			BGl_symbol5597z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5598z00zz__evaluate_compz00);
			BGl_symbol5599z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5600z00zz__evaluate_compz00);
			BGl_symbol5601z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5602z00zz__evaluate_compz00);
			BGl_symbol5603z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5604z00zz__evaluate_compz00);
			BGl_symbol5605z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5606z00zz__evaluate_compz00);
			BGl_symbol5607z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5608z00zz__evaluate_compz00);
			BGl_symbol5609z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5610z00zz__evaluate_compz00);
			BGl_symbol5611z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5612z00zz__evaluate_compz00);
			BGl_symbol5613z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5614z00zz__evaluate_compz00);
			BGl_symbol5615z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5616z00zz__evaluate_compz00);
			BGl_symbol5617z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5618z00zz__evaluate_compz00);
			BGl_symbol5619z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5620z00zz__evaluate_compz00);
			BGl_symbol5621z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5622z00zz__evaluate_compz00);
			BGl_symbol5623z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5624z00zz__evaluate_compz00);
			BGl_symbol5625z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5626z00zz__evaluate_compz00);
			BGl_symbol5627z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5628z00zz__evaluate_compz00);
			BGl_symbol5629z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5630z00zz__evaluate_compz00);
			BGl_symbol5660z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5661z00zz__evaluate_compz00);
			BGl_symbol5675z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5676z00zz__evaluate_compz00);
			BGl_symbol5677z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5678z00zz__evaluate_compz00);
			BGl_symbol5679z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5680z00zz__evaluate_compz00);
			return (BGl_symbol5681z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5682z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 101 */
				BGL_LONGLONG_T BgL_arg1717z00_904;

				{	/* Eval/evaluate_comp.scm 101 */
					BGL_LONGLONG_T BgL_res4316z00_5756;

					BgL_res4316z00_5756 = LONG_TO_LLONG(((long) 0));
					BgL_arg1717z00_904 = BgL_res4316z00_5756;
				}
				{	/* Eval/evaluate_comp.scm 101 */
					obj_t BgL_list1718z00_905;

					{	/* Eval/evaluate_comp.scm 101 */
						obj_t BgL_arg1719z00_906;

						BgL_arg1719z00_906 =
							MAKE_PAIR(make_bllong(BgL_arg1717z00_904), BNIL);
						BgL_list1718z00_905 =
							MAKE_PAIR(BGl_symbol5535z00zz__evaluate_compz00,
							BgL_arg1719z00_906);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1718z00_905;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 =
				(long) CINT(BGl_2za2za2zz__r4_numbers_6_5z00(BINT(((long) 8)),
					BINT(((long) 1024))));
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5537z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5539z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_907;

				BgL_headz00_907 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_5788;
					obj_t BgL_tailz00_5789;

					BgL_prevz00_5788 = BgL_headz00_907;
					BgL_tailz00_5789 = BgL_l1z00_1;
				BgL_loopz00_5787:
					if (PAIRP(BgL_tailz00_5789))
						{
							obj_t BgL_newzd2prevzd2_5795;

							BgL_newzd2prevzd2_5795 =
								MAKE_PAIR(CAR(BgL_tailz00_5789), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_5788, BgL_newzd2prevzd2_5795);
							{
								obj_t BgL_tailz00_17790;
								obj_t BgL_prevz00_17789;

								BgL_prevz00_17789 = BgL_newzd2prevzd2_5795;
								BgL_tailz00_17790 = CDR(BgL_tailz00_5789);
								BgL_tailz00_5789 = BgL_tailz00_17790;
								BgL_prevz00_5788 = BgL_prevz00_17789;
								goto BgL_loopz00_5787;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_907);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 119 */
			{	/* Eval/evaluate_comp.scm 120 */
				BGL_LONGLONG_T BgL_arg1738z00_935;

				{	/* Eval/evaluate_comp.scm 120 */
					BGL_LONGLONG_T BgL_res4325z00_5806;

					BgL_res4325z00_5806 = LONG_TO_LLONG(((long) 0));
					BgL_arg1738z00_935 = BgL_res4325z00_5806;
				}
				{	/* Eval/evaluate_comp.scm 120 */
					obj_t BgL_list1739z00_936;

					{	/* Eval/evaluate_comp.scm 120 */
						obj_t BgL_arg1740z00_937;

						BgL_arg1740z00_937 =
							MAKE_PAIR(make_bllong(BgL_arg1738z00_935), BNIL);
						BgL_list1739z00_936 =
							MAKE_PAIR(BGl_symbol5535z00zz__evaluate_compz00,
							BgL_arg1740z00_937);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1739z00_936, BUNSPEC);
				}
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t BgL_t1z00_4,
		obj_t BgL_t2z00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			{	/* Eval/evaluate_comp.scm 129 */
				obj_t BgL_v1z00_939;
				obj_t BgL_v2z00_940;

				BgL_v1z00_939 = CAR(BgL_t1z00_4);
				BgL_v2z00_940 = CAR(BgL_t2z00_5);
				{	/* Eval/evaluate_comp.scm 130 */
					bool_t BgL_testz00_17799;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_939))
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_17799 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_940);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_17799 = ((bool_t) 0);
						}
					if (BgL_testz00_17799)
						{	/* Eval/evaluate_comp.scm 130 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_939, BgL_v2z00_940);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v1z00_939),
								BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v2z00_940));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t BgL_vz00_945)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 128 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_945))
				{	/* Ieee/fixnum.scm 355 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_945), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 125 */
					if (SYMBOLP(BgL_vz00_945))
						{	/* Eval/evaluate_comp.scm 126 */
							obj_t BgL_res4328z00_5813;

							{	/* Eval/evaluate_comp.scm 126 */
								obj_t BgL_symbolz00_5811;

								BgL_symbolz00_5811 = BgL_vz00_945;
								{	/* Eval/evaluate_comp.scm 126 */
									obj_t BgL_arg4128z00_5812;

									BgL_arg4128z00_5812 = SYMBOL_TO_STRING(BgL_symbolz00_5811);
									BgL_res4328z00_5813 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg4128z00_5812);
								}
							}
							return BgL_res4328z00_5813;
						}
					else
						{	/* Eval/evaluate_comp.scm 126 */
							if (STRINGP(BgL_vz00_945))
								{	/* Eval/evaluate_comp.scm 127 */
									return BgL_vz00_945;
								}
							else
								{	/* Eval/evaluate_comp.scm 127 */
									return BGl_string5541z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_15638,
		obj_t BgL_t1z00_15639, obj_t BgL_t2z00_15640)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluate_compz00(BgL_t1z00_15639,
					BgL_t2z00_15640));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 134 */
			BGl_recz72z72zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec' */
	bool_t BGl_recz72z72zz__evaluate_compz00(obj_t BgL_tz00_954)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 136 */
				obj_t BgL_arg1751z00_956;
				obj_t BgL_arg1752z00_957;

				BgL_arg1751z00_956 = CDR(BgL_tz00_954);
				{	/* Eval/evaluate_comp.scm 136 */
					obj_t BgL_arg1753z00_958;

					{	/* Eval/evaluate_comp.scm 136 */
						obj_t BgL_pairz00_5822;

						BgL_pairz00_5822 = BgL_tz00_954;
						BgL_arg1753z00_958 = CDR(CDR(BgL_pairz00_5822));
					}
					BgL_arg1752z00_957 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1753z00_958);
				}
				SET_CDR(BgL_arg1751z00_956, BgL_arg1752z00_957);
			}
			{	/* Eval/evaluate_comp.scm 137 */
				obj_t BgL_g1544z00_959;

				{	/* Eval/evaluate_comp.scm 137 */
					obj_t BgL_pairz00_5828;

					BgL_pairz00_5828 = BgL_tz00_954;
					BgL_g1544z00_959 = CDR(CDR(BgL_pairz00_5828));
				}
				{
					obj_t BgL_l1542z00_5848;

					BgL_l1542z00_5848 = BgL_g1544z00_959;
				BgL_zc3anonymousza31754ze3z83_5847:
					if (PAIRP(BgL_l1542z00_5848))
						{	/* Eval/evaluate_comp.scm 137 */
							BGl_recz72z72zz__evaluate_compz00(CAR(BgL_l1542z00_5848));
							{
								obj_t BgL_l1542z00_17831;

								BgL_l1542z00_17831 = CDR(BgL_l1542z00_5848);
								BgL_l1542z00_5848 = BgL_l1542z00_17831;
								goto BgL_zc3anonymousza31754ze3z83_5847;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 137 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 143 */
			{
				obj_t BgL_lz00_5886;
				long BgL_nz00_5887;

				BgL_lz00_5886 = BgL_lz00_7;
				BgL_nz00_5887 = ((long) 0);
			BgL_walkz00_5885:
				if (NULLP(BgL_lz00_5886))
					{	/* Eval/evaluate_comp.scm 148 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 148 */
						if ((BgL_xz00_6 == CAR(BgL_lz00_5886)))
							{	/* Eval/evaluate_comp.scm 148 */
								return BINT(BgL_nz00_5887);
							}
						else
							{
								long BgL_nz00_17841;
								obj_t BgL_lz00_17839;

								BgL_lz00_17839 = CDR(BgL_lz00_5886);
								BgL_nz00_17841 = (BgL_nz00_5887 + ((long) 1));
								BgL_nz00_5887 = BgL_nz00_17841;
								BgL_lz00_5886 = BgL_lz00_17839;
								goto BgL_walkz00_5885;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 150 */
			{	/* Eval/evaluate_comp.scm 151 */
				obj_t BgL__ortest_1075z00_978;

				BgL__ortest_1075z00_978 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1075z00_978))
					{	/* Eval/evaluate_comp.scm 151 */
						return BgL__ortest_1075z00_978;
					}
				else
					{	/* Eval/evaluate_comp.scm 151 */
						obj_t BgL_arg1763z00_979;

						{	/* Eval/evaluate_comp.scm 151 */
							obj_t BgL_arg1764z00_980;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 151 */
									BgL_arg1764z00_980 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_head1547z00_986;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1774z00_998;

										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_arg1775z00_999;

											BgL_arg1775z00_999 = CAR(BgL_lz00_9);
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1775z00_999,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1774z00_998 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt) BgL_arg1775z00_999)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1774z00_998 = BgL_arg1775z00_999;
												}
										}
										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_res4341z00_5913;

											BgL_res4341z00_5913 = MAKE_PAIR(BgL_arg1774z00_998, BNIL);
											BgL_head1547z00_986 = BgL_res4341z00_5913;
										}
									}
									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_g1550z00_987;

										BgL_g1550z00_987 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l1545z00_5949;
											obj_t BgL_tail1548z00_5950;

											BgL_l1545z00_5949 = BgL_g1550z00_987;
											BgL_tail1548z00_5950 = BgL_head1547z00_986;
										BgL_zc3anonymousza31769ze3z83_5948:
											if (NULLP(BgL_l1545z00_5949))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1764z00_980 = BgL_head1547z00_986;
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													obj_t BgL_newtail1549z00_5957;

													{	/* Eval/evaluate_comp.scm 151 */
														obj_t BgL_arg1772z00_5958;

														BgL_arg1772z00_5958 =
															BGl_lnamez00zz__evaluate_compz00(CAR
															(BgL_l1545z00_5949));
														{	/* Eval/evaluate_comp.scm 151 */
															obj_t BgL_res4347z00_5966;

															BgL_res4347z00_5966 =
																MAKE_PAIR(BgL_arg1772z00_5958, BNIL);
															BgL_newtail1549z00_5957 = BgL_res4347z00_5966;
														}
													}
													SET_CDR(BgL_tail1548z00_5950,
														BgL_newtail1549z00_5957);
													{
														obj_t BgL_tail1548z00_17863;
														obj_t BgL_l1545z00_17861;

														BgL_l1545z00_17861 = CDR(BgL_l1545z00_5949);
														BgL_tail1548z00_17863 = BgL_newtail1549z00_5957;
														BgL_tail1548z00_5950 = BgL_tail1548z00_17863;
														BgL_l1545z00_5949 = BgL_l1545z00_17861;
														goto BgL_zc3anonymousza31769ze3z83_5948;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 151 */
								obj_t BgL_list1765z00_981;

								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_arg1766z00_982;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1767z00_983;

										BgL_arg1767z00_983 = MAKE_PAIR(BgL_arg1764z00_980, BNIL);
										BgL_arg1766z00_982 =
											MAKE_PAIR(BGl_string5542z00zz__evaluate_compz00,
											BgL_arg1767z00_983);
									}
									BgL_list1765z00_981 =
										MAKE_PAIR(BgL_xz00_8, BgL_arg1766z00_982);
								}
								BgL_arg1763z00_979 = BgL_list1765z00_981;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5543z00zz__evaluate_compz00,
							BGl_string5544z00zz__evaluate_compz00, BgL_arg1763z00_979);
					}
			}
		}
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 175 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 176 */
					return
						(((BgL_ev_varz00_bglt) CREF(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 176 */
					return BgL_vz00_16;
				}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 180 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 181 */
					obj_t BgL_cdrzd2177zd2_1025;

					BgL_cdrzd2177zd2_1025 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5545z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 181 */
							if (PAIRP(BgL_cdrzd2177zd2_1025))
								{	/* Eval/evaluate_comp.scm 181 */
									obj_t BgL_cdrzd2181zd2_1028;

									BgL_cdrzd2181zd2_1028 = CDR(BgL_cdrzd2177zd2_1025);
									if (PAIRP(BgL_cdrzd2181zd2_1028))
										{	/* Eval/evaluate_comp.scm 181 */
											if (NULLP(CDR(BgL_cdrzd2181zd2_1028)))
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2177zd2_1025),
														CAR(BgL_cdrzd2181zd2_1028));
												}
											else
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 181 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 181 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 181 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 181 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 193 */
			{	/* Eval/evaluate_comp.scm 194 */
				obj_t BgL_stkz00_1042;

				BgL_stkz00_1042 =
					make_vector(
					(int) (BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00),
					BGl_string5547z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1042, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1042;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			{	/* Eval/evaluate_comp.scm 199 */
				obj_t BgL_sz00_1043;

				{	/* Eval/evaluate_comp.scm 199 */
					obj_t BgL_auxz00_17899;

					BgL_auxz00_17899 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1043 = BGL_ENV_EVSTATE(BgL_auxz00_17899);
				}
				if (VECTORP(BgL_sz00_1043))
					{	/* Eval/evaluate_comp.scm 200 */
						return BgL_sz00_1043;
					}
				else
					{	/* Eval/evaluate_comp.scm 201 */
						obj_t BgL_statez00_1045;

						BgL_statez00_1045 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_auxz00_17905;

							BgL_auxz00_17905 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_auxz00_17905, BgL_statez00_1045);
						}
						return BgL_statez00_1045;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_15641)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_15642,
		obj_t BgL_ez00_15643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			{	/* Eval/evaluate_comp.scm 262 */
				BgL_ev_exprz00_bglt BgL_auxz00_17910;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_15643,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 262 */
						BgL_auxz00_17910 = ((BgL_ev_exprz00_bglt) BgL_ez00_15643);
					}
				else
					{
						obj_t BgL_auxz00_17914;

						BgL_auxz00_17914 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5548z00zz__evaluate_compz00, BINT(((long) 6592)),
							BGl_string5549z00zz__evaluate_compz00,
							BGl_string5550z00zz__evaluate_compz00, BgL_ez00_15643);
						FAILURE(BgL_auxz00_17914, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_17910);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 320 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 322 */
					BgL_ev_globalz00_bglt BgL_i1091z00_1095;

					BgL_i1091z00_1095 = ((BgL_ev_globalz00_bglt) BgL_ez00_43);
					{	/* Eval/evaluate_comp.scm 323 */
						obj_t BgL_gz00_1096;

						BgL_gz00_1096 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_1095))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_1095))->BgL_namez00));
						if (CBOOL(BgL_gz00_1096))
							{	/* Eval/evaluate_comp.scm 324 */
								return VECTOR_REF(BgL_gz00_1096, (int) (((long) 2)));
							}
						else
							{	/* Eval/evaluate_comp.scm 324 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 321 */
					return BFALSE;
				}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 597 */
			{
				obj_t BgL_lz00_1115;
				obj_t BgL_bsz00_1116;
				long BgL_spz00_1117;

				BgL_lz00_1115 = BgL_argsz00_83;
				BgL_bsz00_1116 = BgL_boxesz00_84;
				BgL_spz00_1117 = BgL_spz00_85;
			BgL_zc3anonymousza31857ze3z83_1118:
				if (NULLP(BgL_lz00_1115))
					{	/* Eval/evaluate_comp.scm 599 */
						if (NULLP(BgL_bsz00_1116))
							{	/* Eval/evaluate_comp.scm 600 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 603 */
								obj_t BgL_arg1860z00_1121;

								{	/* Eval/evaluate_comp.scm 603 */
									long BgL_arg1861z00_1122;
									long BgL_arg1862z00_1123;

									BgL_arg1861z00_1122 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1862z00_1123 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 602 */
										obj_t BgL_list1863z00_1124;

										{	/* Eval/evaluate_comp.scm 602 */
											obj_t BgL_arg1864z00_1125;

											BgL_arg1864z00_1125 =
												MAKE_PAIR(BINT(BgL_arg1862z00_1123), BNIL);
											BgL_list1863z00_1124 =
												MAKE_PAIR(BINT(BgL_arg1861z00_1122),
												BgL_arg1864z00_1125);
										}
										BgL_arg1860z00_1121 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5551z00zz__evaluate_compz00,
											BgL_list1863z00_1124);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5543z00zz__evaluate_compz00,
									BGl_string5552z00zz__evaluate_compz00, BgL_arg1860z00_1121);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 599 */
						if (NULLP(BgL_bsz00_1116))
							{	/* Eval/evaluate_comp.scm 607 */
								obj_t BgL_arg1867z00_1127;

								{	/* Eval/evaluate_comp.scm 607 */
									long BgL_arg1868z00_1128;
									long BgL_arg1869z00_1129;

									BgL_arg1868z00_1128 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1869z00_1129 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 606 */
										obj_t BgL_list1870z00_1130;

										{	/* Eval/evaluate_comp.scm 606 */
											obj_t BgL_arg1871z00_1131;

											BgL_arg1871z00_1131 =
												MAKE_PAIR(BINT(BgL_arg1869z00_1129), BNIL);
											BgL_list1870z00_1130 =
												MAKE_PAIR(BINT(BgL_arg1868z00_1128),
												BgL_arg1871z00_1131);
										}
										BgL_arg1867z00_1127 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5551z00zz__evaluate_compz00,
											BgL_list1870z00_1130);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5543z00zz__evaluate_compz00,
									BGl_string5552z00zz__evaluate_compz00, BgL_arg1867z00_1127);
							}
						else
							{	/* Eval/evaluate_comp.scm 604 */
								{	/* Eval/evaluate_comp.scm 610 */
									obj_t BgL_arg1872z00_1132;

									{	/* Eval/evaluate_comp.scm 610 */
										obj_t BgL_vz00_1133;

										{	/* Eval/evaluate_comp.scm 610 */
											obj_t BgL_fun1874z00_1135;

											BgL_fun1874z00_1135 = CAR(BgL_lz00_1115);
											BgL_vz00_1133 =
												PROCEDURE_ENTRY(BgL_fun1874z00_1135)
												(BgL_fun1874z00_1135, BgL_sz00_82, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 611 */
											bool_t BgL_testz00_17957;

											{	/* Eval/evaluate_comp.scm 611 */
												obj_t BgL_pairz00_6041;

												BgL_pairz00_6041 = BgL_bsz00_1116;
												BgL_testz00_17957 = CBOOL(CAR(BgL_pairz00_6041));
											}
											if (BgL_testz00_17957)
												{	/* Eval/evaluate_comp.scm 612 */
													obj_t BgL_newz00_6043;

													BgL_newz00_6043 =
														create_struct(BGl_symbol5553z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 612 */
														int BgL_auxz00_17962;

														BgL_auxz00_17962 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_6043, BgL_auxz00_17962,
															BgL_vz00_1133);
													}
													BgL_arg1872z00_1132 = BgL_newz00_6043;
												}
											else
												{	/* Eval/evaluate_comp.scm 611 */
													BgL_arg1872z00_1132 = BgL_vz00_1133;
												}
										}
									}
									VECTOR_SET(BgL_sz00_82,
										(int) (BgL_spz00_1117), BgL_arg1872z00_1132);
								}
								{
									long BgL_spz00_17971;
									obj_t BgL_bsz00_17969;
									obj_t BgL_lz00_17967;

									BgL_lz00_17967 = CDR(BgL_lz00_1115);
									BgL_bsz00_17969 = CDR(BgL_bsz00_1116);
									BgL_spz00_17971 = (BgL_spz00_1117 + ((long) 1));
									BgL_spz00_1117 = BgL_spz00_17971;
									BgL_bsz00_1116 = BgL_bsz00_17969;
									BgL_lz00_1115 = BgL_lz00_17967;
									goto BgL_zc3anonymousza31857ze3z83_1118;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 619 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 620 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 620 */
					if ((CAR(BgL_l1z00_88) == CAR(BgL_l2z00_89)))
						{
							obj_t BgL_l2z00_17981;
							obj_t BgL_l1z00_17979;

							BgL_l1z00_17979 = CDR(BgL_l1z00_88);
							BgL_l2z00_17981 = CDR(BgL_l2z00_89);
							BgL_l2z00_89 = BgL_l2z00_17981;
							BgL_l1z00_88 = BgL_l1z00_17979;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 621 */
							return
								BGl_errorz00zz__errorz00(BGl_string5543z00zz__evaluate_compz00,
								BGl_symbol5555z00zz__evaluate_compz00,
								BGl_symbol5557z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 643 */
			{	/* Eval/evaluate_comp.scm 644 */
				obj_t BgL_savedzd2bpzd2_1153;

				BgL_savedzd2bpzd2_1153 = VECTOR_REF(BgL_sz00_94, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_94, (int) (((long) 0)), BgL_bpz00_95);
				{
					obj_t BgL_fz00_1155;

					BgL_fz00_1155 = BgL_fz00_93;
				BgL_zc3anonymousza31890ze3z83_1156:
					{	/* Eval/evaluate_comp.scm 647 */
						obj_t BgL_rz00_1157;

						BgL_rz00_1157 =
							PROCEDURE_ENTRY(BgL_fz00_1155) (BgL_fz00_1155, BgL_sz00_94, BEOA);
						{	/* Eval/evaluate_comp.scm 648 */
							bool_t BgL_testz00_17992;

							if (PROCEDUREP(BgL_rz00_1157))
								{	/* Eval/evaluate_comp.scm 648 */
									obj_t BgL_arg1893z00_1160;

									BgL_arg1893z00_1160 = PROCEDURE_ATTR(BgL_rz00_1157);
									if (STRUCTP(BgL_arg1893z00_1160))
										{	/* Eval/evaluate_comp.scm 648 */
											BgL_testz00_17992 =
												(STRUCT_KEY(BgL_arg1893z00_1160) ==
												BGl_symbol5539z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 648 */
											BgL_testz00_17992 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 648 */
									BgL_testz00_17992 = ((bool_t) 0);
								}
							if (BgL_testz00_17992)
								{
									obj_t BgL_fz00_18000;

									BgL_fz00_18000 = BgL_rz00_1157;
									BgL_fz00_1155 = BgL_fz00_18000;
									goto BgL_zc3anonymousza31890ze3z83_1156;
								}
							else
								{	/* Eval/evaluate_comp.scm 648 */
									VECTOR_SET(BgL_sz00_94,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1153);
									return BgL_rz00_1157;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 662 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 664 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 666 */
					obj_t BgL_arg1904z00_1172;
					obj_t BgL_arg1905z00_1173;

					{	/* Eval/evaluate_comp.scm 666 */
						obj_t BgL_arg1906z00_1174;

						BgL_arg1906z00_1174 = CAR(BgL_eza2za2_117);
						BgL_arg1904z00_1172 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1906z00_1174), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 667 */
						obj_t BgL_arg1907z00_1175;
						obj_t BgL_arg1908z00_1176;

						BgL_arg1907z00_1175 = CDR(BgL_eza2za2_117);
						{	/* Eval/evaluate_comp.scm 667 */
							obj_t BgL_arg1909z00_1177;

							BgL_arg1909z00_1177 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg1908z00_1176 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1909z00_1177);
						}
						BgL_arg1905z00_1173 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1907z00_1175,
							BgL_arg1908z00_1176);
					}
					return MAKE_PAIR(BgL_arg1904z00_1172, BgL_arg1905z00_1173);
				}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_compz00(obj_t BgL_stkz00_17695,
		obj_t BgL_lz00_1179, long BgL_iz00_1180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 670 */
			if (NULLP(BgL_lz00_1179))
				{	/* Eval/evaluate_comp.scm 671 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 671 */
					if ((BgL_iz00_1180 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 672 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1179,
								BgL_stkz00_17695);
						}
					else
						{	/* Eval/evaluate_comp.scm 673 */
							obj_t BgL_arg1913z00_1184;
							obj_t BgL_arg1915z00_1185;

							{	/* Eval/evaluate_comp.scm 673 */
								obj_t BgL_arg1916z00_1186;

								BgL_arg1916z00_1186 = CAR(BgL_lz00_1179);
								BgL_arg1913z00_1184 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1916z00_1186),
									BgL_stkz00_17695);
							}
							BgL_arg1915z00_1185 =
								BGl_recz00zz__evaluate_compz00(BgL_stkz00_17695,
								CDR(BgL_lz00_1179), (BgL_iz00_1180 - ((long) 1)));
							return MAKE_PAIR(BgL_arg1913z00_1184, BgL_arg1915z00_1185);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		long BgL_siza7eza7_126)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 676 */
			{	/* Eval/evaluate_comp.scm 678 */
				obj_t BgL_argsz00_1190;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 678 */
						BgL_argsz00_1190 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 678 */
						obj_t BgL_head1597z00_1195;

						{	/* Eval/evaluate_comp.scm 678 */
							obj_t BgL_res4380z00_6162;

							BgL_res4380z00_6162 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1597z00_1195 = BgL_res4380z00_6162;
						}
						{
							obj_t BgL_l1595z00_6196;
							obj_t BgL_tail1598z00_6197;

							BgL_l1595z00_6196 = BgL_argsz00_124;
							BgL_tail1598z00_6197 = BgL_head1597z00_1195;
						BgL_zc3anonymousza31921ze3z83_6195:
							if (NULLP(BgL_l1595z00_6196))
								{	/* Eval/evaluate_comp.scm 678 */
									BgL_argsz00_1190 = CDR(BgL_head1597z00_1195);
								}
							else
								{	/* Eval/evaluate_comp.scm 678 */
									obj_t BgL_newtail1599z00_6204;

									{	/* Eval/evaluate_comp.scm 678 */
										obj_t BgL_arg1924z00_6205;

										{	/* Eval/evaluate_comp.scm 678 */
											obj_t BgL_az00_6206;

											BgL_az00_6206 = CAR(BgL_l1595z00_6196);
											BgL_arg1924z00_6205 =
												PROCEDURE_ENTRY(BgL_az00_6206) (BgL_az00_6206,
												BgL_sz00_122, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 678 */
											obj_t BgL_res4386z00_6214;

											BgL_res4386z00_6214 =
												MAKE_PAIR(BgL_arg1924z00_6205, BNIL);
											BgL_newtail1599z00_6204 = BgL_res4386z00_6214;
										}
									}
									SET_CDR(BgL_tail1598z00_6197, BgL_newtail1599z00_6204);
									{
										obj_t BgL_tail1598z00_18040;
										obj_t BgL_l1595z00_18038;

										BgL_l1595z00_18038 = CDR(BgL_l1595z00_6196);
										BgL_tail1598z00_18040 = BgL_newtail1599z00_6204;
										BgL_tail1598z00_6197 = BgL_tail1598z00_18040;
										BgL_l1595z00_6196 = BgL_l1595z00_18038;
										goto BgL_zc3anonymousza31921ze3z83_6195;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 679 */
					long BgL_arg1919z00_1191;

					BgL_arg1919z00_1191 =
						((long) CINT(BgL_bpz00_125) + BgL_siza7eza7_126);
					VECTOR_SET(BgL_sz00_122,
						(int) (((long) 0)), BINT(BgL_arg1919z00_1191));
				}
				{	/* Eval/evaluate_comp.scm 680 */
					obj_t BgL_za2za2resza2za2z00_1192;

					BgL_za2za2resza2za2z00_1192 = apply(BgL_fz00_123, BgL_argsz00_1190);
					VECTOR_SET(BgL_sz00_122, (int) (((long) 0)), BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1192;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 689 */
			{	/* Eval/evaluate_comp.scm 690 */
				long BgL_g1145z00_1216;

				BgL_g1145z00_1216 = (((long) -1) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1218;
					obj_t BgL_spz00_1219;
					long BgL_nz00_1220;

					BgL_lz00_1218 = BgL_argsz00_132;
					BgL_spz00_1219 = BgL_spz00_133;
					BgL_nz00_1220 = BgL_g1145z00_1216;
				BgL_zc3anonymousza31931ze3z83_1221:
					if ((BgL_nz00_1220 == ((long) 0)))
						{
							obj_t BgL_lz00_6325;
							obj_t BgL_rz00_6326;

							BgL_lz00_6325 = BgL_lz00_1218;
							BgL_rz00_6326 = BNIL;
						BgL_rec2z00_6324:
							if (NULLP(BgL_lz00_6325))
								{	/* Eval/evaluate_comp.scm 692 */
									return
										VECTOR_SET(BgL_sz00_131,
										CINT(BgL_spz00_1219), bgl_reverse_bang(BgL_rz00_6326));
								}
							else
								{	/* Eval/evaluate_comp.scm 692 */
									obj_t BgL_arg1937z00_6335;
									obj_t BgL_arg1938z00_6336;

									BgL_arg1937z00_6335 = CDR(BgL_lz00_6325);
									{	/* Eval/evaluate_comp.scm 692 */
										obj_t BgL_arg1939z00_6337;

										{	/* Eval/evaluate_comp.scm 692 */
											obj_t BgL_fun1940z00_6338;

											BgL_fun1940z00_6338 = CAR(BgL_lz00_6325);
											BgL_arg1939z00_6337 =
												PROCEDURE_ENTRY(BgL_fun1940z00_6338)
												(BgL_fun1940z00_6338, BgL_sz00_131, BEOA);
										}
										BgL_arg1938z00_6336 =
											MAKE_PAIR(BgL_arg1939z00_6337, BgL_rz00_6326);
									}
									{
										obj_t BgL_rz00_18067;
										obj_t BgL_lz00_18066;

										BgL_lz00_18066 = BgL_arg1937z00_6335;
										BgL_rz00_18067 = BgL_arg1938z00_6336;
										BgL_rz00_6326 = BgL_rz00_18067;
										BgL_lz00_6325 = BgL_lz00_18066;
										goto BgL_rec2z00_6324;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 691 */
							{	/* Eval/evaluate_comp.scm 696 */
								obj_t BgL_arg1941z00_1235;

								{	/* Eval/evaluate_comp.scm 696 */
									obj_t BgL_fun1942z00_1236;

									BgL_fun1942z00_1236 = CAR(BgL_lz00_1218);
									BgL_arg1941z00_1235 =
										PROCEDURE_ENTRY(BgL_fun1942z00_1236) (BgL_fun1942z00_1236,
										BgL_sz00_131, BEOA);
								}
								VECTOR_SET(BgL_sz00_131,
									CINT(BgL_spz00_1219), BgL_arg1941z00_1235);
							}
							{	/* Eval/evaluate_comp.scm 697 */
								obj_t BgL_arg1943z00_1237;
								long BgL_arg1944z00_1238;
								long BgL_arg1945z00_1239;

								BgL_arg1943z00_1237 = CDR(BgL_lz00_1218);
								BgL_arg1944z00_1238 =
									((long) CINT(BgL_spz00_1219) + ((long) 1));
								BgL_arg1945z00_1239 = (BgL_nz00_1220 - ((long) 1));
								{
									long BgL_nz00_18082;
									obj_t BgL_spz00_18080;
									obj_t BgL_lz00_18079;

									BgL_lz00_18079 = BgL_arg1943z00_1237;
									BgL_spz00_18080 = BINT(BgL_arg1944z00_1238);
									BgL_nz00_18082 = BgL_arg1945z00_1239;
									BgL_nz00_1220 = BgL_nz00_18082;
									BgL_spz00_1219 = BgL_spz00_18080;
									BgL_lz00_1218 = BgL_lz00_18079;
									goto BgL_zc3anonymousza31931ze3z83_1221;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 734 */
			{
				obj_t BgL_lz00_1242;
				obj_t BgL_stkz00_1243;

				BgL_lz00_1242 = BgL_argsz00_134;
				BgL_stkz00_1243 = BgL_stkz00_135;
			BgL_zc3anonymousza31946ze3z83_1244:
				{	/* Eval/evaluate_comp.scm 738 */
					bool_t BgL_testz00_18083;

					if (NULLP(BgL_lz00_1242))
						{	/* Eval/evaluate_comp.scm 738 */
							BgL_testz00_18083 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 738 */
							BgL_testz00_18083 = NULLP(BgL_stkz00_1243);
						}
					if (BgL_testz00_18083)
						{	/* Eval/evaluate_comp.scm 738 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 740 */
							bool_t BgL_testz00_18087;

							{	/* Eval/evaluate_comp.scm 740 */
								obj_t BgL_g1602z00_1249;

								BgL_g1602z00_1249 = CDR(BgL_lz00_1242);
								{
									obj_t BgL_l1600z00_1251;

									{	/* Eval/evaluate_comp.scm 740 */
										obj_t BgL_auxz00_18089;

										BgL_l1600z00_1251 = BgL_g1602z00_1249;
									BgL_zc3anonymousza31951ze3z83_1252:
										if (NULLP(BgL_l1600z00_1251))
											{	/* Eval/evaluate_comp.scm 740 */
												BgL_auxz00_18089 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 740 */
												obj_t BgL__ortest_1603z00_1254;

												{	/* Eval/evaluate_comp.scm 740 */
													obj_t BgL_ez00_1256;

													BgL_ez00_1256 = CAR(BgL_l1600z00_1251);
													{	/* Eval/evaluate_comp.scm 740 */
														obj_t BgL_arg1954z00_1257;
														obj_t BgL_arg1955z00_1258;

														BgL_arg1954z00_1257 = CAR(BgL_stkz00_1243);
														BgL_arg1955z00_1258 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1256), BNIL);
														BgL__ortest_1603z00_1254 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1954z00_1257, BgL_arg1955z00_1258);
													}
												}
												if (CBOOL(BgL__ortest_1603z00_1254))
													{	/* Eval/evaluate_comp.scm 740 */
														BgL_auxz00_18089 = BgL__ortest_1603z00_1254;
													}
												else
													{
														obj_t BgL_l1600z00_18099;

														BgL_l1600z00_18099 = CDR(BgL_l1600z00_1251);
														BgL_l1600z00_1251 = BgL_l1600z00_18099;
														goto BgL_zc3anonymousza31951ze3z83_1252;
													}
											}
										BgL_testz00_18087 = CBOOL(BgL_auxz00_18089);
									}
								}
							}
							if (BgL_testz00_18087)
								{	/* Eval/evaluate_comp.scm 740 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_18104;
									obj_t BgL_lz00_18102;

									BgL_lz00_18102 = CDR(BgL_lz00_1242);
									BgL_stkz00_18104 = CDR(BgL_stkz00_1243);
									BgL_stkz00_1243 = BgL_stkz00_18104;
									BgL_lz00_1242 = BgL_lz00_18102;
									goto BgL_zc3anonymousza31946ze3z83_1244;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 744 */
			{	/* Eval/evaluate_comp.scm 746 */
				long BgL_siza7eza7_1263;
				long BgL_nbargsz00_1264;
				obj_t BgL_fz00_1265;
				obj_t BgL_symbzd2funzd2_1266;

				BgL_siza7eza7_1263 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1264 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1265 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1266 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							CREF(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 748 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 755 */
								obj_t BgL_argsz00_1269;

								BgL_argsz00_1269 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 755 */
									obj_t BgL_zc3anonymousza31959ze3z83_15644;

									BgL_zc3anonymousza31959ze3z83_15644 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31959ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31959ze3z83_15644,
										(int) (((long) 0)), BgL_fz00_1265);
									PROCEDURE_SET(BgL_zc3anonymousza31959ze3z83_15644,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza31959ze3z83_15644,
										(int) (((long) 2)), BgL_symbzd2funzd2_1266);
									PROCEDURE_SET(BgL_zc3anonymousza31959ze3z83_15644,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1264));
									PROCEDURE_SET(BgL_zc3anonymousza31959ze3z83_15644,
										(int) (((long) 4)), BgL_argsz00_1269);
									PROCEDURE_SET(BgL_zc3anonymousza31959ze3z83_15644,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1263));
									return BgL_zc3anonymousza31959ze3z83_15644;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_argsz00_1310;

								BgL_argsz00_1310 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_137,
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
									BgL_siza7eza7_1263);
								{	/* Eval/evaluate_comp.scm 763 */
									obj_t BgL_zc3anonymousza31985ze3z83_15645;

									BgL_zc3anonymousza31985ze3z83_15645 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15645,
										(int) (((long) 0)), BgL_fz00_1265);
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15645,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15645,
										(int) (((long) 2)), BgL_symbzd2funzd2_1266);
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15645,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1264));
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15645,
										(int) (((long) 4)), BgL_argsz00_1310);
									return BgL_zc3anonymousza31985ze3z83_15645;
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 749 */
						obj_t BgL_argsz00_1349;

						BgL_argsz00_1349 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
							BgL_stkz00_137);
						{	/* Eval/evaluate_comp.scm 749 */
							obj_t BgL_zc3anonymousza32011ze3z83_15646;

							BgL_zc3anonymousza32011ze3z83_15646 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 6)));
							PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_15646,
								(int) (((long) 0)), BgL_fz00_1265);
							PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_15646,
								(int) (((long) 1)), ((obj_t) BgL_ez00_136));
							PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_15646,
								(int) (((long) 2)), BgL_symbzd2funzd2_1266);
							PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_15646,
								(int) (((long) 3)), BINT(BgL_nbargsz00_1264));
							PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_15646,
								(int) (((long) 4)), BgL_argsz00_1349);
							PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_15646,
								(int) (((long) 5)), BINT(BgL_siza7eza7_1263));
							return BgL_zc3anonymousza32011ze3z83_15646;
						}
					}
			}
		}
	}



/* &<anonymous:1959> */
	obj_t BGl_z62zc3anonymousza31959ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15647, obj_t BgL_sz00_15654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 755 */
			{	/* Eval/evaluate_comp.scm 755 */
				obj_t BgL_fz00_15648;
				BgL_ev_appz00_bglt BgL_i1150z00_15649;
				obj_t BgL_symbzd2funzd2_15650;
				long BgL_nbargsz00_15651;
				obj_t BgL_argsz00_15652;
				long BgL_siza7eza7_15653;

				BgL_fz00_15648 = PROCEDURE_REF(BgL_envz00_15647, (int) (((long) 0)));
				BgL_i1150z00_15649 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15647, (int) (((long) 1))));
				BgL_symbzd2funzd2_15650 =
					PROCEDURE_REF(BgL_envz00_15647, (int) (((long) 2)));
				BgL_nbargsz00_15651 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15647, (int) (((long) 3))));
				BgL_argsz00_15652 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15647, (int) (((long) 4))));
				BgL_siza7eza7_15653 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15647, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1270;

					BgL_sz00_1270 = BgL_sz00_15654;
					{	/* Eval/evaluate_comp.scm 755 */
						obj_t BgL_bpz00_1272;

						BgL_bpz00_1272 = VECTOR_REF(BgL_sz00_1270, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 755 */
							obj_t BgL_fz00_1273;

							BgL_fz00_1273 =
								PROCEDURE_ENTRY(BgL_fz00_15648) (BgL_fz00_15648, BgL_sz00_1270,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1273))
								{	/* Eval/evaluate_comp.scm 755 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 755 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15649))->
											BgL_locz00), BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1273);
								}
							{	/* Eval/evaluate_comp.scm 755 */
								obj_t BgL_ufz00_1276;

								BgL_ufz00_1276 = PROCEDURE_ATTR(BgL_fz00_1273);
								{	/* Eval/evaluate_comp.scm 755 */
									bool_t BgL_testz00_18203;

									if (STRUCTP(BgL_ufz00_1276))
										{	/* Eval/evaluate_comp.scm 755 */
											BgL_testz00_18203 =
												(STRUCT_KEY(BgL_ufz00_1276) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 755 */
											BgL_testz00_18203 = ((bool_t) 0);
										}
									if (BgL_testz00_18203)
										{	/* Eval/evaluate_comp.scm 755 */
											obj_t BgL_arityz00_1278;
											obj_t BgL_runz00_1279;
											obj_t BgL_sfz00_1280;

											BgL_arityz00_1278 =
												STRUCT_REF(BgL_ufz00_1276, (int) (((long) 0)));
											BgL_runz00_1279 =
												STRUCT_REF(BgL_ufz00_1276, (int) (((long) 1)));
											BgL_sfz00_1280 =
												STRUCT_REF(BgL_ufz00_1276, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 755 */
												long BgL_spz00_1281;

												BgL_spz00_1281 =
													((long) CINT(BgL_bpz00_1272) + BgL_siza7eza7_15653);
												if (
													((long) CINT(BgL_arityz00_1278) ==
														BgL_nbargsz00_15651))
													{	/* Eval/evaluate_comp.scm 755 */
														{
															obj_t BgL_lz00_6400;
															long BgL_spz00_6401;

															BgL_lz00_6400 = BgL_argsz00_15652;
															BgL_spz00_6401 = BgL_spz00_1281;
														BgL_recz00_6399:
															if (NULLP(BgL_lz00_6400))
																{	/* Eval/evaluate_comp.scm 758 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 758 */
																	{	/* Eval/evaluate_comp.scm 758 */
																		obj_t BgL_arg1927z00_6408;

																		{	/* Eval/evaluate_comp.scm 758 */
																			obj_t BgL_fun1928z00_6409;

																			BgL_fun1928z00_6409 = CAR(BgL_lz00_6400);
																			BgL_arg1927z00_6408 =
																				PROCEDURE_ENTRY(BgL_fun1928z00_6409)
																				(BgL_fun1928z00_6409, BgL_sz00_1270,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1270,
																			(int) (BgL_spz00_6401),
																			BgL_arg1927z00_6408);
																	}
																	{
																		long BgL_spz00_18230;
																		obj_t BgL_lz00_18228;

																		BgL_lz00_18228 = CDR(BgL_lz00_6400);
																		BgL_spz00_18230 =
																			(BgL_spz00_6401 + ((long) 1));
																		BgL_spz00_6401 = BgL_spz00_18230;
																		BgL_lz00_6400 = BgL_lz00_18228;
																		goto BgL_recz00_6399;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 759 */
															long BgL_arg1964z00_1283;

															BgL_arg1964z00_1283 =
																(BgL_spz00_1281 + BgL_nbargsz00_15651);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1270, BgL_bpz00_1272, BgL_sz00_1270,
																BINT(BgL_spz00_1281),
																BINT(BgL_arg1964z00_1283));
													}}
												else
													{	/* Eval/evaluate_comp.scm 755 */
														bool_t BgL_testz00_18236;

														if (((long) CINT(BgL_arityz00_1278) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 755 */
																BgL_testz00_18236 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 755 */
																BgL_testz00_18236 =
																	(
																	(long) CINT(BgL_arityz00_1278) <
																	(((long) -1) - BgL_nbargsz00_15651));
															}
														if (BgL_testz00_18236)
															{	/* Eval/evaluate_comp.scm 755 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1150z00_15649))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1276,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_15651),
																	CINT(BgL_arityz00_1278));
															}
														else
															{	/* Eval/evaluate_comp.scm 755 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1278, BgL_sz00_1270,
																	BgL_argsz00_15652, BINT(BgL_spz00_1281));
																{	/* Eval/evaluate_comp.scm 761 */
																	long BgL_arg1968z00_1287;

																	BgL_arg1968z00_1287 =
																		(BgL_spz00_1281 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1278)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1270, BgL_bpz00_1272,
																		BgL_sz00_1270, BINT(BgL_spz00_1281),
																		BINT(BgL_arg1968z00_1287));
													}}}
												{	/* Eval/evaluate_comp.scm 755 */
													obj_t BgL_auxz00_18259;
													obj_t BgL_auxz00_18257;

													BgL_auxz00_18259 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15649))->
														BgL_locz00);
													BgL_auxz00_18257 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18257,
														BgL_auxz00_18259);
												}
												{	/* Eval/evaluate_comp.scm 755 */
													bool_t BgL_testz00_18262;

													{	/* Eval/evaluate_comp.scm 755 */
														int BgL_arg1902z00_6448;

														BgL_arg1902z00_6448 = VECTOR_LENGTH(BgL_sz00_1270);
														BgL_testz00_18262 =
															(
															((long) CINT(BgL_bpz00_1272) +
																(long) CINT(BgL_sfz00_1280)) <
															(long) (BgL_arg1902z00_6448));
													}
													if (BgL_testz00_18262)
														{	/* Eval/evaluate_comp.scm 755 */
															return BgL_runz00_1279;
														}
													else
														{	/* Eval/evaluate_comp.scm 755 */
															obj_t BgL_nsz00_1294;

															BgL_nsz00_1294 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 755 */
																long BgL_arg1974z00_1296;

																BgL_arg1974z00_1296 =
																	(
																	(long) CINT(BgL_bpz00_1272) +
																	BgL_nbargsz00_15651);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1294, BINT(((long) 2)),
																	BgL_sz00_1270, BgL_bpz00_1272,
																	BINT(BgL_arg1974z00_1296));
															}
															VECTOR_SET(BgL_nsz00_1294,
																(int) (((long) 1)), BgL_sz00_1270);
															{	/* Eval/evaluate_comp.scm 755 */
																obj_t BgL_auxz00_18277;

																BgL_auxz00_18277 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18277,
																	BgL_nsz00_1294);
															}
															{	/* Eval/evaluate_comp.scm 755 */
																obj_t BgL_val1154z00_1298;

																BgL_val1154z00_1298 =
																	BGl_zc3exitza31980ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1294, BgL_runz00_1279);
																{	/* Eval/evaluate_comp.scm 755 */
																	obj_t BgL_auxz00_18281;

																	BgL_auxz00_18281 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18281,
																		BgL_sz00_1270);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1154z00_1298)))
																	{	/* Eval/evaluate_comp.scm 755 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1154z00_1298),
																			CDR(BgL_val1154z00_1298));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 755 */
																		return BgL_val1154z00_1298;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 755 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1273,
													(int) (BgL_nbargsz00_15651)))
												{	/* Eval/evaluate_comp.scm 755 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1270, BgL_fz00_1273, BgL_argsz00_15652,
														BgL_bpz00_1272, BgL_siza7eza7_15653);
												}
											else
												{	/* Eval/evaluate_comp.scm 755 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15649))->
															BgL_locz00), BgL_symbzd2funzd2_15650,
														(int) (BgL_nbargsz00_15651),
														PROCEDURE_ARITY(BgL_fz00_1273));
		}}}}}}}}}
	}



/* <exit:1980> */
	obj_t BGl_zc3exitza31980ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17694,
		obj_t BgL_runz00_17693)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 755 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1155z00_1304;

			if (SET_EXIT(BgL_an_exit1155z00_1304))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1155z00_1304 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 755 */

						PUSH_EXIT(BgL_an_exit1155z00_1304, ((long) 0));
						{	/* Eval/evaluate_comp.scm 755 */
							obj_t BgL_val1156z00_1305;

							{	/* Eval/evaluate_comp.scm 755 */
								obj_t BgL_savedzd2bpzd2_6467;

								BgL_savedzd2bpzd2_6467 =
									VECTOR_REF(BgL_nsz00_17694, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17694,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6474;

									BgL_fz00_6474 = BgL_runz00_17693;
								BgL_recz00_6473:
									{	/* Eval/evaluate_comp.scm 755 */
										obj_t BgL_rz00_6475;

										BgL_rz00_6475 =
											PROCEDURE_ENTRY(BgL_fz00_6474) (BgL_fz00_6474,
											BgL_nsz00_17694, BEOA);
										{	/* Eval/evaluate_comp.scm 755 */
											bool_t BgL_testz00_18310;

											if (PROCEDUREP(BgL_rz00_6475))
												{	/* Eval/evaluate_comp.scm 755 */
													obj_t BgL_arg1893z00_6480;

													BgL_arg1893z00_6480 = PROCEDURE_ATTR(BgL_rz00_6475);
													if (STRUCTP(BgL_arg1893z00_6480))
														{	/* Eval/evaluate_comp.scm 755 */
															BgL_testz00_18310 =
																(STRUCT_KEY(BgL_arg1893z00_6480) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 755 */
															BgL_testz00_18310 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 755 */
													BgL_testz00_18310 = ((bool_t) 0);
												}
											if (BgL_testz00_18310)
												{
													obj_t BgL_fz00_18318;

													BgL_fz00_18318 = BgL_rz00_6475;
													BgL_fz00_6474 = BgL_fz00_18318;
													goto BgL_recz00_6473;
												}
											else
												{	/* Eval/evaluate_comp.scm 755 */
													VECTOR_SET(BgL_nsz00_17694,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6467);
													BgL_val1156z00_1305 = BgL_rz00_6475;
							}}}}}
							POP_EXIT();
							return BgL_val1156z00_1305;
						}
					}
				}
		}
	}



/* &<anonymous:1985> */
	obj_t BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15655, obj_t BgL_sz00_15661)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_fz00_15656;
				BgL_ev_appz00_bglt BgL_i1150z00_15657;
				obj_t BgL_symbzd2funzd2_15658;
				long BgL_nbargsz00_15659;
				obj_t BgL_argsz00_15660;

				BgL_fz00_15656 = PROCEDURE_REF(BgL_envz00_15655, (int) (((long) 0)));
				BgL_i1150z00_15657 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15655, (int) (((long) 1))));
				BgL_symbzd2funzd2_15658 =
					PROCEDURE_REF(BgL_envz00_15655, (int) (((long) 2)));
				BgL_nbargsz00_15659 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15655, (int) (((long) 3))));
				BgL_argsz00_15660 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15655, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1311;

					BgL_sz00_1311 = BgL_sz00_15661;
					{	/* Eval/evaluate_comp.scm 763 */
						obj_t BgL_bpz00_1313;

						BgL_bpz00_1313 = VECTOR_REF(BgL_sz00_1311, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 763 */
							obj_t BgL_fz00_1314;

							BgL_fz00_1314 =
								PROCEDURE_ENTRY(BgL_fz00_15656) (BgL_fz00_15656, BgL_sz00_1311,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1314))
								{	/* Eval/evaluate_comp.scm 763 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 763 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15657))->
											BgL_locz00), BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1314);
								}
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_ufz00_1317;

								BgL_ufz00_1317 = PROCEDURE_ATTR(BgL_fz00_1314);
								{	/* Eval/evaluate_comp.scm 763 */
									bool_t BgL_testz00_18346;

									if (STRUCTP(BgL_ufz00_1317))
										{	/* Eval/evaluate_comp.scm 763 */
											BgL_testz00_18346 =
												(STRUCT_KEY(BgL_ufz00_1317) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 763 */
											BgL_testz00_18346 = ((bool_t) 0);
										}
									if (BgL_testz00_18346)
										{	/* Eval/evaluate_comp.scm 763 */
											obj_t BgL_arityz00_1319;
											obj_t BgL_runz00_1320;
											obj_t BgL_sfz00_1321;

											BgL_arityz00_1319 =
												STRUCT_REF(BgL_ufz00_1317, (int) (((long) 0)));
											BgL_runz00_1320 =
												STRUCT_REF(BgL_ufz00_1317, (int) (((long) 1)));
											BgL_sfz00_1321 =
												STRUCT_REF(BgL_ufz00_1317, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1319) == BgL_nbargsz00_15659))
												{
													obj_t BgL_lz00_6526;
													obj_t BgL_spz00_6527;

													{	/* Eval/evaluate_comp.scm 766 */
														bool_t BgL_auxz00_18360;

														BgL_lz00_6526 = BgL_argsz00_15660;
														BgL_spz00_6527 = BgL_bpz00_1313;
													BgL_recz00_6525:
														if (NULLP(BgL_lz00_6526))
															{	/* Eval/evaluate_comp.scm 766 */
																BgL_auxz00_18360 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 766 */
																{	/* Eval/evaluate_comp.scm 766 */
																	obj_t BgL_arg1927z00_6534;

																	{	/* Eval/evaluate_comp.scm 766 */
																		obj_t BgL_fun1928z00_6535;

																		BgL_fun1928z00_6535 = CAR(BgL_lz00_6526);
																		BgL_arg1927z00_6534 =
																			PROCEDURE_ENTRY(BgL_fun1928z00_6535)
																			(BgL_fun1928z00_6535, BgL_sz00_1311,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1311,
																		CINT(BgL_spz00_6527), BgL_arg1927z00_6534);
																}
																{	/* Eval/evaluate_comp.scm 766 */
																	obj_t BgL_arg1929z00_6536;
																	long BgL_arg1930z00_6537;

																	BgL_arg1929z00_6536 = CDR(BgL_lz00_6526);
																	BgL_arg1930z00_6537 =
																		((long) CINT(BgL_spz00_6527) + ((long) 1));
																	{
																		obj_t BgL_spz00_18374;
																		obj_t BgL_lz00_18373;

																		BgL_lz00_18373 = BgL_arg1929z00_6536;
																		BgL_spz00_18374 = BINT(BgL_arg1930z00_6537);
																		BgL_spz00_6527 = BgL_spz00_18374;
																		BgL_lz00_6526 = BgL_lz00_18373;
																		goto BgL_recz00_6525;
																	}
																}
															}
														BBOOL(BgL_auxz00_18360);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 763 */
													bool_t BgL_testz00_18377;

													if (((long) CINT(BgL_arityz00_1319) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 763 */
															BgL_testz00_18377 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 763 */
															BgL_testz00_18377 =
																(
																(long) CINT(BgL_arityz00_1319) <
																(((long) -1) - BgL_nbargsz00_15659));
														}
													if (BgL_testz00_18377)
														{	/* Eval/evaluate_comp.scm 763 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1150z00_15657))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1317, (int) (((long) 3))),
																(int) (BgL_nbargsz00_15659),
																CINT(BgL_arityz00_1319));
														}
													else
														{	/* Eval/evaluate_comp.scm 763 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1319, BgL_sz00_1311,
																BgL_argsz00_15660, BgL_bpz00_1313);
														}
												}
											{	/* Eval/evaluate_comp.scm 763 */
												obj_t BgL_auxz00_18393;
												obj_t BgL_auxz00_18391;

												BgL_auxz00_18393 =
													(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15657))->
													BgL_locz00);
												BgL_auxz00_18391 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18391,
													BgL_auxz00_18393);
											}
											{	/* Eval/evaluate_comp.scm 763 */
												bool_t BgL_testz00_18396;

												{	/* Eval/evaluate_comp.scm 763 */
													int BgL_arg1902z00_6565;

													BgL_arg1902z00_6565 = VECTOR_LENGTH(BgL_sz00_1311);
													BgL_testz00_18396 =
														(
														((long) CINT(BgL_bpz00_1313) +
															(long) CINT(BgL_sfz00_1321)) <
														(long) (BgL_arg1902z00_6565));
												}
												if (BgL_testz00_18396)
													{	/* Eval/evaluate_comp.scm 763 */
														return BgL_runz00_1320;
													}
												else
													{	/* Eval/evaluate_comp.scm 763 */
														obj_t BgL_nsz00_1332;

														BgL_nsz00_1332 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 763 */
															long BgL_arg1998z00_1334;

															BgL_arg1998z00_1334 =
																(
																(long) CINT(BgL_bpz00_1313) +
																BgL_nbargsz00_15659);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1332, BINT(((long) 2)),
																BgL_sz00_1311, BgL_bpz00_1313,
																BINT(BgL_arg1998z00_1334));
														}
														VECTOR_SET(BgL_nsz00_1332,
															(int) (((long) 1)), BgL_sz00_1311);
														{	/* Eval/evaluate_comp.scm 763 */
															obj_t BgL_auxz00_18411;

															BgL_auxz00_18411 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18411,
																BgL_nsz00_1332);
														}
														{	/* Eval/evaluate_comp.scm 763 */
															obj_t BgL_val1157z00_1336;

															BgL_val1157z00_1336 =
																BGl_zc3exitza32005ze3z83zz__evaluate_compz00
																(BgL_nsz00_1332, BgL_runz00_1320);
															{	/* Eval/evaluate_comp.scm 763 */
																obj_t BgL_auxz00_18415;

																BgL_auxz00_18415 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18415,
																	BgL_sz00_1311);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1157z00_1336)))
																{	/* Eval/evaluate_comp.scm 763 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1157z00_1336),
																		CDR(BgL_val1157z00_1336));
																}
															else
																{	/* Eval/evaluate_comp.scm 763 */
																	return BgL_val1157z00_1336;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 763 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1314,
													(int) (BgL_nbargsz00_15659)))
												{	/* Eval/evaluate_comp.scm 763 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1311, BgL_fz00_1314, BgL_argsz00_15660,
														BgL_bpz00_1313, BgL_nbargsz00_15659);
												}
											else
												{	/* Eval/evaluate_comp.scm 763 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15657))->
															BgL_locz00), BgL_symbzd2funzd2_15658,
														(int) (BgL_nbargsz00_15659),
														PROCEDURE_ARITY(BgL_fz00_1314));
		}}}}}}}}}
	}



/* <exit:2005> */
	obj_t BGl_zc3exitza32005ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17692,
		obj_t BgL_runz00_17691)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1158z00_1342;

			if (SET_EXIT(BgL_an_exit1158z00_1342))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1158z00_1342 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 763 */

						PUSH_EXIT(BgL_an_exit1158z00_1342, ((long) 0));
						{	/* Eval/evaluate_comp.scm 763 */
							obj_t BgL_val1159z00_1343;

							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_savedzd2bpzd2_6584;

								BgL_savedzd2bpzd2_6584 =
									VECTOR_REF(BgL_nsz00_17692, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17692,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6591;

									BgL_fz00_6591 = BgL_runz00_17691;
								BgL_recz00_6590:
									{	/* Eval/evaluate_comp.scm 763 */
										obj_t BgL_rz00_6592;

										BgL_rz00_6592 =
											PROCEDURE_ENTRY(BgL_fz00_6591) (BgL_fz00_6591,
											BgL_nsz00_17692, BEOA);
										{	/* Eval/evaluate_comp.scm 763 */
											bool_t BgL_testz00_18444;

											if (PROCEDUREP(BgL_rz00_6592))
												{	/* Eval/evaluate_comp.scm 763 */
													obj_t BgL_arg1893z00_6597;

													BgL_arg1893z00_6597 = PROCEDURE_ATTR(BgL_rz00_6592);
													if (STRUCTP(BgL_arg1893z00_6597))
														{	/* Eval/evaluate_comp.scm 763 */
															BgL_testz00_18444 =
																(STRUCT_KEY(BgL_arg1893z00_6597) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 763 */
															BgL_testz00_18444 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 763 */
													BgL_testz00_18444 = ((bool_t) 0);
												}
											if (BgL_testz00_18444)
												{
													obj_t BgL_fz00_18452;

													BgL_fz00_18452 = BgL_rz00_6592;
													BgL_fz00_6591 = BgL_fz00_18452;
													goto BgL_recz00_6590;
												}
											else
												{	/* Eval/evaluate_comp.scm 763 */
													VECTOR_SET(BgL_nsz00_17692,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6584);
													BgL_val1159z00_1343 = BgL_rz00_6592;
							}}}}}
							POP_EXIT();
							return BgL_val1159z00_1343;
						}
					}
				}
		}
	}



/* &<anonymous:2011> */
	obj_t BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15662, obj_t BgL_sz00_15669)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 749 */
			{	/* Eval/evaluate_comp.scm 749 */
				obj_t BgL_fz00_15663;
				BgL_ev_appz00_bglt BgL_i1150z00_15664;
				obj_t BgL_symbzd2funzd2_15665;
				long BgL_nbargsz00_15666;
				obj_t BgL_argsz00_15667;
				long BgL_siza7eza7_15668;

				BgL_fz00_15663 = PROCEDURE_REF(BgL_envz00_15662, (int) (((long) 0)));
				BgL_i1150z00_15664 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15662, (int) (((long) 1))));
				BgL_symbzd2funzd2_15665 =
					PROCEDURE_REF(BgL_envz00_15662, (int) (((long) 2)));
				BgL_nbargsz00_15666 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15662, (int) (((long) 3))));
				BgL_argsz00_15667 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15662, (int) (((long) 4))));
				BgL_siza7eza7_15668 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15662, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1350;

					BgL_sz00_1350 = BgL_sz00_15669;
					{	/* Eval/evaluate_comp.scm 749 */
						obj_t BgL_bpz00_1352;

						BgL_bpz00_1352 = VECTOR_REF(BgL_sz00_1350, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 749 */
							obj_t BgL_fz00_1353;

							BgL_fz00_1353 =
								PROCEDURE_ENTRY(BgL_fz00_15663) (BgL_fz00_15663, BgL_sz00_1350,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1353))
								{	/* Eval/evaluate_comp.scm 749 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 749 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15664))->
											BgL_locz00), BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1353);
								}
							{	/* Eval/evaluate_comp.scm 749 */
								obj_t BgL_ufz00_1356;

								BgL_ufz00_1356 = PROCEDURE_ATTR(BgL_fz00_1353);
								{	/* Eval/evaluate_comp.scm 749 */
									bool_t BgL_testz00_18483;

									if (STRUCTP(BgL_ufz00_1356))
										{	/* Eval/evaluate_comp.scm 749 */
											BgL_testz00_18483 =
												(STRUCT_KEY(BgL_ufz00_1356) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 749 */
											BgL_testz00_18483 = ((bool_t) 0);
										}
									if (BgL_testz00_18483)
										{	/* Eval/evaluate_comp.scm 749 */
											obj_t BgL_arityz00_1358;
											obj_t BgL_runz00_1359;
											obj_t BgL_sfz00_1360;

											BgL_arityz00_1358 =
												STRUCT_REF(BgL_ufz00_1356, (int) (((long) 0)));
											BgL_runz00_1359 =
												STRUCT_REF(BgL_ufz00_1356, (int) (((long) 1)));
											BgL_sfz00_1360 =
												STRUCT_REF(BgL_ufz00_1356, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 749 */
												long BgL_spz00_1361;

												BgL_spz00_1361 =
													((long) CINT(BgL_bpz00_1352) + BgL_siza7eza7_15668);
												if (
													((long) CINT(BgL_arityz00_1358) ==
														BgL_nbargsz00_15666))
													{
														obj_t BgL_lz00_6643;
														long BgL_spz00_6644;

														{	/* Eval/evaluate_comp.scm 752 */
															bool_t BgL_auxz00_18499;

															BgL_lz00_6643 = BgL_argsz00_15667;
															BgL_spz00_6644 = BgL_spz00_1361;
														BgL_recz00_6642:
															if (NULLP(BgL_lz00_6643))
																{	/* Eval/evaluate_comp.scm 752 */
																	BgL_auxz00_18499 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 752 */
																	{	/* Eval/evaluate_comp.scm 752 */
																		obj_t BgL_arg1927z00_6651;

																		{	/* Eval/evaluate_comp.scm 752 */
																			obj_t BgL_fun1928z00_6652;

																			BgL_fun1928z00_6652 = CAR(BgL_lz00_6643);
																			BgL_arg1927z00_6651 =
																				PROCEDURE_ENTRY(BgL_fun1928z00_6652)
																				(BgL_fun1928z00_6652, BgL_sz00_1350,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1350,
																			(int) (BgL_spz00_6644),
																			BgL_arg1927z00_6651);
																	}
																	{
																		long BgL_spz00_18511;
																		obj_t BgL_lz00_18509;

																		BgL_lz00_18509 = CDR(BgL_lz00_6643);
																		BgL_spz00_18511 =
																			(BgL_spz00_6644 + ((long) 1));
																		BgL_spz00_6644 = BgL_spz00_18511;
																		BgL_lz00_6643 = BgL_lz00_18509;
																		goto BgL_recz00_6642;
																	}
																}
															BBOOL(BgL_auxz00_18499);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 749 */
														bool_t BgL_testz00_18514;

														if (((long) CINT(BgL_arityz00_1358) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 749 */
																BgL_testz00_18514 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 749 */
																BgL_testz00_18514 =
																	(
																	(long) CINT(BgL_arityz00_1358) <
																	(((long) -1) - BgL_nbargsz00_15666));
															}
														if (BgL_testz00_18514)
															{	/* Eval/evaluate_comp.scm 749 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1150z00_15664))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1356,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_15666),
																	CINT(BgL_arityz00_1358));
															}
														else
															{	/* Eval/evaluate_comp.scm 749 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1358, BgL_sz00_1350,
																	BgL_argsz00_15667, BINT(BgL_spz00_1361));
															}
													}
												{	/* Eval/evaluate_comp.scm 749 */
													obj_t BgL_auxz00_18531;
													obj_t BgL_auxz00_18529;

													BgL_auxz00_18531 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15664))->
														BgL_locz00);
													BgL_auxz00_18529 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18529,
														BgL_auxz00_18531);
												}
												{	/* Eval/evaluate_comp.scm 749 */
													bool_t BgL_testz00_18534;

													{	/* Eval/evaluate_comp.scm 749 */
														int BgL_arg1902z00_6682;

														BgL_arg1902z00_6682 = VECTOR_LENGTH(BgL_sz00_1350);
														BgL_testz00_18534 =
															(
															(BgL_spz00_1361 +
																(long) CINT(BgL_sfz00_1360)) <
															(long) (BgL_arg1902z00_6682));
													}
													if (BgL_testz00_18534)
														{	/* Eval/evaluate_comp.scm 749 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1359, BgL_sz00_1350,
																BINT(BgL_spz00_1361));
														}
													else
														{	/* Eval/evaluate_comp.scm 749 */
															obj_t BgL_nsz00_1371;

															BgL_nsz00_1371 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 749 */
																long BgL_arg2024z00_1373;

																BgL_arg2024z00_1373 =
																	(BgL_spz00_1361 + BgL_nbargsz00_15666);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1371, BINT(((long) 2)),
																	BgL_sz00_1350, BINT(BgL_spz00_1361),
																	BINT(BgL_arg2024z00_1373));
															}
															VECTOR_SET(BgL_nsz00_1371,
																(int) (((long) 1)), BgL_sz00_1350);
															{	/* Eval/evaluate_comp.scm 749 */
																obj_t BgL_auxz00_18550;

																BgL_auxz00_18550 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18550,
																	BgL_nsz00_1371);
															}
															{	/* Eval/evaluate_comp.scm 749 */
																obj_t BgL_val1151z00_1375;

																BgL_val1151z00_1375 =
																	BGl_zc3exitza32030ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1371, BgL_runz00_1359);
																{	/* Eval/evaluate_comp.scm 749 */
																	obj_t BgL_auxz00_18554;

																	BgL_auxz00_18554 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18554,
																		BgL_sz00_1350);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1151z00_1375)))
																	{	/* Eval/evaluate_comp.scm 749 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1151z00_1375),
																			CDR(BgL_val1151z00_1375));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 749 */
																		return BgL_val1151z00_1375;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 749 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1353,
													(int) (BgL_nbargsz00_15666)))
												{	/* Eval/evaluate_comp.scm 749 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1350, BgL_fz00_1353, BgL_argsz00_15667,
														BgL_bpz00_1352, BgL_siza7eza7_15668);
												}
											else
												{	/* Eval/evaluate_comp.scm 749 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1150z00_15664))->
															BgL_locz00), BgL_symbzd2funzd2_15665,
														(int) (BgL_nbargsz00_15666),
														PROCEDURE_ARITY(BgL_fz00_1353));
		}}}}}}}}}
	}



/* <exit:2030> */
	obj_t BGl_zc3exitza32030ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17690,
		obj_t BgL_runz00_17689)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 749 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1152z00_1381;

			if (SET_EXIT(BgL_an_exit1152z00_1381))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1152z00_1381 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 749 */

						PUSH_EXIT(BgL_an_exit1152z00_1381, ((long) 0));
						{	/* Eval/evaluate_comp.scm 749 */
							obj_t BgL_val1153z00_1382;

							{	/* Eval/evaluate_comp.scm 749 */
								obj_t BgL_savedzd2bpzd2_6700;

								BgL_savedzd2bpzd2_6700 =
									VECTOR_REF(BgL_nsz00_17690, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17690,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6707;

									BgL_fz00_6707 = BgL_runz00_17689;
								BgL_recz00_6706:
									{	/* Eval/evaluate_comp.scm 749 */
										obj_t BgL_rz00_6708;

										BgL_rz00_6708 =
											PROCEDURE_ENTRY(BgL_fz00_6707) (BgL_fz00_6707,
											BgL_nsz00_17690, BEOA);
										{	/* Eval/evaluate_comp.scm 749 */
											bool_t BgL_testz00_18583;

											if (PROCEDUREP(BgL_rz00_6708))
												{	/* Eval/evaluate_comp.scm 749 */
													obj_t BgL_arg1893z00_6713;

													BgL_arg1893z00_6713 = PROCEDURE_ATTR(BgL_rz00_6708);
													if (STRUCTP(BgL_arg1893z00_6713))
														{	/* Eval/evaluate_comp.scm 749 */
															BgL_testz00_18583 =
																(STRUCT_KEY(BgL_arg1893z00_6713) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 749 */
															BgL_testz00_18583 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 749 */
													BgL_testz00_18583 = ((bool_t) 0);
												}
											if (BgL_testz00_18583)
												{
													obj_t BgL_fz00_18591;

													BgL_fz00_18591 = BgL_rz00_6708;
													BgL_fz00_6707 = BgL_fz00_18591;
													goto BgL_recz00_6706;
												}
											else
												{	/* Eval/evaluate_comp.scm 749 */
													VECTOR_SET(BgL_nsz00_17690,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6700);
													BgL_val1153z00_1382 = BgL_rz00_6708;
							}}}}}
							POP_EXIT();
							return BgL_val1153z00_1382;
						}
					}
				}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_cfunz00_1390;

				BgL_cfunz00_1390 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139,
					((long) 0), BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_1390))
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_zc3anonymousza32039ze3z83_15670;

						BgL_zc3anonymousza32039ze3z83_15670 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32039ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32039ze3z83_15670,
							(int) (((long) 0)), BINT(BgL_siza7eza7_144));
						PROCEDURE_SET(BgL_zc3anonymousza32039ze3z83_15670,
							(int) (((long) 1)), BgL_cfunz00_1390);
						return BgL_zc3anonymousza32039ze3z83_15670;
					}
				else
					{	/* Eval/evaluate_comp.scm 851 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32040ze3z83_15671;

								BgL_zc3anonymousza32040ze3z83_15671 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32040ze3z83_15671,
									(int) (((long) 0)), BgL_funz00_141);
								PROCEDURE_SET(BgL_zc3anonymousza32040ze3z83_15671,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3anonymousza32040ze3z83_15671,
									(int) (((long) 2)), BgL_symbzd2funzd2_140);
								PROCEDURE_SET(BgL_zc3anonymousza32040ze3z83_15671,
									(int) (((long) 3)), BINT(BgL_siza7eza7_144));
								return BgL_zc3anonymousza32040ze3z83_15671;
							}
						else
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32061ze3z83_15672;

								BgL_zc3anonymousza32061ze3z83_15672 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32061ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32061ze3z83_15672,
									(int) (((long) 0)), BgL_funz00_141);
								PROCEDURE_SET(BgL_zc3anonymousza32061ze3z83_15672,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3anonymousza32061ze3z83_15672,
									(int) (((long) 2)), BgL_symbzd2funzd2_140);
								PROCEDURE_SET(BgL_zc3anonymousza32061ze3z83_15672,
									(int) (((long) 3)), BINT(BgL_siza7eza7_144));
								return BgL_zc3anonymousza32061ze3z83_15672;
							}
					}
			}
		}
	}



/* &<anonymous:2039> */
	obj_t BGl_z62zc3anonymousza32039ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15673, obj_t BgL_sz00_15676)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				long BgL_siza7eza7_15674;
				obj_t BgL_cfunz00_15675;

				BgL_siza7eza7_15674 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 0))));
				BgL_cfunz00_15675 = PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 1)));
				{
					obj_t BgL_sz00_1391;

					BgL_sz00_1391 = BgL_sz00_15676;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1393;

						BgL_bpz00_1393 = VECTOR_REF(BgL_sz00_1391, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */

							{	/* Eval/evaluate_comp.scm 851 */
								long BgL_nbpz00_1394;

								BgL_nbpz00_1394 =
									((long) CINT(BgL_bpz00_1393) + BgL_siza7eza7_15674);
								VECTOR_SET(BgL_sz00_1391,
									(int) (((long) 0)), BINT(BgL_nbpz00_1394));
								{	/* Eval/evaluate_comp.scm 851 */
									obj_t BgL_rz00_1395;

									BgL_rz00_1395 =
										PROCEDURE_ENTRY(BgL_cfunz00_15675) (BgL_cfunz00_15675,
										BEOA);
									VECTOR_SET(BgL_sz00_1391, (int) (((long) 0)), BgL_bpz00_1393);
									return BgL_rz00_1395;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2040> */
	obj_t BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15677, obj_t BgL_sz00_15682)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15678;
				obj_t BgL_locz00_15679;
				obj_t BgL_symbzd2funzd2_15680;
				long BgL_siza7eza7_15681;

				BgL_funz00_15678 = PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 0)));
				BgL_locz00_15679 = PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 1)));
				BgL_symbzd2funzd2_15680 =
					PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 2)));
				BgL_siza7eza7_15681 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1396;

					BgL_sz00_1396 = BgL_sz00_15682;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1398;

						BgL_bpz00_1398 = VECTOR_REF(BgL_sz00_1396, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1399;

							BgL_fz00_1399 =
								PROCEDURE_ENTRY(BgL_funz00_15678) (BgL_funz00_15678,
								BgL_sz00_1396, BEOA);
							if (PROCEDUREP(BgL_fz00_1399))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15679,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1399);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1401;

								BgL_ufz00_1401 = PROCEDURE_ATTR(BgL_fz00_1399);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_18668;

									if (STRUCTP(BgL_ufz00_1401))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_18668 =
												(STRUCT_KEY(BgL_ufz00_1401) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_18668 = ((bool_t) 0);
										}
									if (BgL_testz00_18668)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1403;
											obj_t BgL_runz00_1404;
											obj_t BgL_sfz00_1405;

											BgL_arityz00_1403 =
												STRUCT_REF(BgL_ufz00_1401, (int) (((long) 0)));
											BgL_runz00_1404 =
												STRUCT_REF(BgL_ufz00_1401, (int) (((long) 1)));
											BgL_sfz00_1405 =
												STRUCT_REF(BgL_ufz00_1401, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1403) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 851 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													if (INTEGERP(BgL_arityz00_1403))
														{	/* Eval/evaluate_comp.scm 851 */
															switch ((long) CINT(BgL_arityz00_1403))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2046z00_1411;

																		BgL_arg2046z00_1411 =
																			(
																			(long) CINT(BgL_bpz00_1398) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1396,
																			(int) (BgL_arg2046z00_1411), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15679,
																		STRUCT_REF(BgL_ufz00_1401,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1403));
														}}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15679, STRUCT_REF(BgL_ufz00_1401,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1403));
												}}
											{	/* Eval/evaluate_comp.scm 851 */
												obj_t BgL_auxz00_18700;

												BgL_auxz00_18700 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18700,
													BgL_locz00_15679);
											}
											{	/* Eval/evaluate_comp.scm 851 */
												bool_t BgL_testz00_18703;

												{	/* Eval/evaluate_comp.scm 851 */
													int BgL_arg1902z00_6791;

													BgL_arg1902z00_6791 = VECTOR_LENGTH(BgL_sz00_1396);
													BgL_testz00_18703 =
														(
														((long) CINT(BgL_bpz00_1398) +
															(long) CINT(BgL_sfz00_1405)) <
														(long) (BgL_arg1902z00_6791));
												}
												if (BgL_testz00_18703)
													{	/* Eval/evaluate_comp.scm 851 */
														return BgL_runz00_1404;
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_nsz00_1417;

														BgL_nsz00_1417 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2052z00_1419;

															BgL_arg2052z00_1419 =
																((long) CINT(BgL_bpz00_1398) + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1417, BINT(((long) 2)),
																BgL_sz00_1396, BgL_bpz00_1398,
																BINT(BgL_arg2052z00_1419));
														}
														VECTOR_SET(BgL_nsz00_1417,
															(int) (((long) 1)), BgL_sz00_1396);
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_auxz00_18718;

															BgL_auxz00_18718 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18718,
																BgL_nsz00_1417);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_val1171z00_1421;

															BgL_val1171z00_1421 =
																BGl_zc3exitza32058ze3z83zz__evaluate_compz00
																(BgL_nsz00_1417, BgL_runz00_1404);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_18722;

																BgL_auxz00_18722 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18722,
																	BgL_sz00_1396);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1171z00_1421)))
																{	/* Eval/evaluate_comp.scm 851 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1171z00_1421),
																		CDR(BgL_val1171z00_1421));
																}
															else
																{	/* Eval/evaluate_comp.scm 851 */
																	return BgL_val1171z00_1421;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1399,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1430;

													BgL_nbpz00_1430 =
														((long) CINT(BgL_bpz00_1398) + BgL_siza7eza7_15681);
													VECTOR_SET(BgL_sz00_1396,
														(int) (((long) 0)), BINT(BgL_nbpz00_1430));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1431;

														BgL_rz00_1431 =
															PROCEDURE_ENTRY(BgL_fz00_1399) (BgL_fz00_1399,
															BEOA);
														VECTOR_SET(BgL_sz00_1396, (int) (((long) 0)),
															BgL_bpz00_1398);
														return BgL_rz00_1431;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15679, BgL_symbzd2funzd2_15680,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1399));
		}}}}}}}}}
	}



/* <exit:2058> */
	obj_t BGl_zc3exitza32058ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17688,
		obj_t BgL_runz00_17687)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1172z00_1427;

			if (SET_EXIT(BgL_an_exit1172z00_1427))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1172z00_1427 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1172z00_1427, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1173z00_1428;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_6810;

								BgL_savedzd2bpzd2_6810 =
									VECTOR_REF(BgL_nsz00_17688, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17688,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6817;

									BgL_fz00_6817 = BgL_runz00_17687;
								BgL_recz00_6816:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_6818;

										BgL_rz00_6818 =
											PROCEDURE_ENTRY(BgL_fz00_6817) (BgL_fz00_6817,
											BgL_nsz00_17688, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_18759;

											if (PROCEDUREP(BgL_rz00_6818))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_6823;

													BgL_arg1893z00_6823 = PROCEDURE_ATTR(BgL_rz00_6818);
													if (STRUCTP(BgL_arg1893z00_6823))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_18759 =
																(STRUCT_KEY(BgL_arg1893z00_6823) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_18759 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_18759 = ((bool_t) 0);
												}
											if (BgL_testz00_18759)
												{
													obj_t BgL_fz00_18767;

													BgL_fz00_18767 = BgL_rz00_6818;
													BgL_fz00_6817 = BgL_fz00_18767;
													goto BgL_recz00_6816;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17688,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6810);
													BgL_val1173z00_1428 = BgL_rz00_6818;
							}}}}}
							POP_EXIT();
							return BgL_val1173z00_1428;
						}
					}
				}
		}
	}



/* &<anonymous:2061> */
	obj_t BGl_z62zc3anonymousza32061ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15683, obj_t BgL_sz00_15688)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15684;
				obj_t BgL_locz00_15685;
				obj_t BgL_symbzd2funzd2_15686;
				long BgL_siza7eza7_15687;

				BgL_funz00_15684 = PROCEDURE_REF(BgL_envz00_15683, (int) (((long) 0)));
				BgL_locz00_15685 = PROCEDURE_REF(BgL_envz00_15683, (int) (((long) 1)));
				BgL_symbzd2funzd2_15686 =
					PROCEDURE_REF(BgL_envz00_15683, (int) (((long) 2)));
				BgL_siza7eza7_15687 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15683, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1433;

					BgL_sz00_1433 = BgL_sz00_15688;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1435;

						BgL_bpz00_1435 = VECTOR_REF(BgL_sz00_1433, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1436;

							BgL_fz00_1436 =
								PROCEDURE_ENTRY(BgL_funz00_15684) (BgL_funz00_15684,
								BgL_sz00_1433, BEOA);
							if (PROCEDUREP(BgL_fz00_1436))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15685,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1436);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1438;

								BgL_ufz00_1438 = PROCEDURE_ATTR(BgL_fz00_1436);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_18790;

									if (STRUCTP(BgL_ufz00_1438))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_18790 =
												(STRUCT_KEY(BgL_ufz00_1438) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_18790 = ((bool_t) 0);
										}
									if (BgL_testz00_18790)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1440;
											obj_t BgL_runz00_1441;
											obj_t BgL_sfz00_1442;

											BgL_arityz00_1440 =
												STRUCT_REF(BgL_ufz00_1438, (int) (((long) 0)));
											BgL_runz00_1441 =
												STRUCT_REF(BgL_ufz00_1438, (int) (((long) 1)));
											BgL_sfz00_1442 =
												STRUCT_REF(BgL_ufz00_1438, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 851 */
												long BgL_spz00_1443;

												BgL_spz00_1443 =
													((long) CINT(BgL_bpz00_1435) + BgL_siza7eza7_15687);
												if (((long) CINT(BgL_arityz00_1440) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 851 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														if (INTEGERP(BgL_arityz00_1440))
															{	/* Eval/evaluate_comp.scm 851 */
																switch ((long) CINT(BgL_arityz00_1440))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2066z00_1448;

																			BgL_arg2066z00_1448 =
																				(BgL_spz00_1443 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1433,
																				(int) (BgL_arg2066z00_1448), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15685,
																			STRUCT_REF(BgL_ufz00_1438,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1440));
															}}
														else
															{	/* Eval/evaluate_comp.scm 851 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15685, STRUCT_REF(BgL_ufz00_1438,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1440));
													}}
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_auxz00_18823;

													BgL_auxz00_18823 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18823,
														BgL_locz00_15685);
												}
												{	/* Eval/evaluate_comp.scm 851 */
													bool_t BgL_testz00_18826;

													{	/* Eval/evaluate_comp.scm 851 */
														int BgL_arg1902z00_6899;

														BgL_arg1902z00_6899 = VECTOR_LENGTH(BgL_sz00_1433);
														BgL_testz00_18826 =
															(
															(BgL_spz00_1443 +
																(long) CINT(BgL_sfz00_1442)) <
															(long) (BgL_arg1902z00_6899));
													}
													if (BgL_testz00_18826)
														{	/* Eval/evaluate_comp.scm 851 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1441, BgL_sz00_1433,
																BINT(BgL_spz00_1443));
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_nsz00_1454;

															BgL_nsz00_1454 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 851 */
																long BgL_arg2071z00_1456;

																BgL_arg2071z00_1456 =
																	(BgL_spz00_1443 + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1454, BINT(((long) 2)),
																	BgL_sz00_1433, BINT(BgL_spz00_1443),
																	BINT(BgL_arg2071z00_1456));
															}
															VECTOR_SET(BgL_nsz00_1454,
																(int) (((long) 1)), BgL_sz00_1433);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_18842;

																BgL_auxz00_18842 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18842,
																	BgL_nsz00_1454);
															}
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_val1176z00_1458;

																BgL_val1176z00_1458 =
																	BGl_zc3exitza32077ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1454, BgL_runz00_1441);
																{	/* Eval/evaluate_comp.scm 851 */
																	obj_t BgL_auxz00_18846;

																	BgL_auxz00_18846 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18846,
																		BgL_sz00_1433);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1176z00_1458)))
																	{	/* Eval/evaluate_comp.scm 851 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1176z00_1458),
																			CDR(BgL_val1176z00_1458));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 851 */
																		return BgL_val1176z00_1458;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1436,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1467;

													BgL_nbpz00_1467 =
														((long) CINT(BgL_bpz00_1435) + BgL_siza7eza7_15687);
													VECTOR_SET(BgL_sz00_1433,
														(int) (((long) 0)), BINT(BgL_nbpz00_1467));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1468;

														BgL_rz00_1468 =
															PROCEDURE_ENTRY(BgL_fz00_1436) (BgL_fz00_1436,
															BEOA);
														VECTOR_SET(BgL_sz00_1433, (int) (((long) 0)),
															BgL_bpz00_1435);
														return BgL_rz00_1468;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15685, BgL_symbzd2funzd2_15686,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1436));
		}}}}}}}}}
	}



/* <exit:2077> */
	obj_t BGl_zc3exitza32077ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17686,
		obj_t BgL_runz00_17685)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1177z00_1464;

			if (SET_EXIT(BgL_an_exit1177z00_1464))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1177z00_1464 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1177z00_1464, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1178z00_1465;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_6917;

								BgL_savedzd2bpzd2_6917 =
									VECTOR_REF(BgL_nsz00_17686, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17686,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6924;

									BgL_fz00_6924 = BgL_runz00_17685;
								BgL_recz00_6923:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_6925;

										BgL_rz00_6925 =
											PROCEDURE_ENTRY(BgL_fz00_6924) (BgL_fz00_6924,
											BgL_nsz00_17686, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_18883;

											if (PROCEDUREP(BgL_rz00_6925))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_6930;

													BgL_arg1893z00_6930 = PROCEDURE_ATTR(BgL_rz00_6925);
													if (STRUCTP(BgL_arg1893z00_6930))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_18883 =
																(STRUCT_KEY(BgL_arg1893z00_6930) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_18883 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_18883 = ((bool_t) 0);
												}
											if (BgL_testz00_18883)
												{
													obj_t BgL_fz00_18891;

													BgL_fz00_18891 = BgL_rz00_6925;
													BgL_fz00_6924 = BgL_fz00_18891;
													goto BgL_recz00_6923;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17686,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6917);
													BgL_val1178z00_1465 = BgL_rz00_6925;
							}}}}}
							POP_EXIT();
							return BgL_val1178z00_1465;
						}
					}
				}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_cfunz00_1470;

				BgL_cfunz00_1470 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146,
					((long) 1), BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_1470))
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_zc3anonymousza32080ze3z83_15689;

						BgL_zc3anonymousza32080ze3z83_15689 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_15689,
							(int) (((long) 0)), BgL_a1z00_152);
						PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_15689,
							(int) (((long) 1)), BINT(BgL_siza7eza7_151));
						PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_15689,
							(int) (((long) 2)), BgL_cfunz00_1470);
						return BgL_zc3anonymousza32080ze3z83_15689;
					}
				else
					{	/* Eval/evaluate_comp.scm 851 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32081ze3z83_15690;

								BgL_zc3anonymousza32081ze3z83_15690 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15690,
									(int) (((long) 0)), BgL_funz00_148);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15690,
									(int) (((long) 1)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15690,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15690,
									(int) (((long) 3)), BgL_symbzd2funzd2_147);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15690,
									(int) (((long) 4)), BINT(BgL_siza7eza7_151));
								return BgL_zc3anonymousza32081ze3z83_15690;
							}
						else
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32106ze3z83_15691;

								BgL_zc3anonymousza32106ze3z83_15691 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32106ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15691,
									(int) (((long) 0)), BgL_funz00_148);
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15691,
									(int) (((long) 1)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15691,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15691,
									(int) (((long) 3)), BgL_symbzd2funzd2_147);
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15691,
									(int) (((long) 4)), BINT(BgL_siza7eza7_151));
								return BgL_zc3anonymousza32106ze3z83_15691;
							}
					}
			}
		}
	}



/* &<anonymous:2080> */
	obj_t BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15692, obj_t BgL_sz00_15696)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_a1z00_15693;
				long BgL_siza7eza7_15694;
				obj_t BgL_cfunz00_15695;

				BgL_a1z00_15693 = PROCEDURE_REF(BgL_envz00_15692, (int) (((long) 0)));
				BgL_siza7eza7_15694 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15692, (int) (((long) 1))));
				BgL_cfunz00_15695 = PROCEDURE_REF(BgL_envz00_15692, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1471;

					BgL_sz00_1471 = BgL_sz00_15696;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1473;

						BgL_bpz00_1473 = VECTOR_REF(BgL_sz00_1471, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_a1z00_1474;

							BgL_a1z00_1474 =
								PROCEDURE_ENTRY(BgL_a1z00_15693) (BgL_a1z00_15693,
								BgL_sz00_1471, BEOA);
							{	/* Eval/evaluate_comp.scm 851 */
								long BgL_nbpz00_1475;

								BgL_nbpz00_1475 =
									((long) CINT(BgL_bpz00_1473) + BgL_siza7eza7_15694);
								VECTOR_SET(BgL_sz00_1471,
									(int) (((long) 0)), BINT(BgL_nbpz00_1475));
								{	/* Eval/evaluate_comp.scm 851 */
									obj_t BgL_rz00_1476;

									BgL_rz00_1476 =
										PROCEDURE_ENTRY(BgL_cfunz00_15695) (BgL_cfunz00_15695,
										BgL_a1z00_1474, BEOA);
									VECTOR_SET(BgL_sz00_1471, (int) (((long) 0)), BgL_bpz00_1473);
									return BgL_rz00_1476;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2081> */
	obj_t BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15697, obj_t BgL_sz00_15703)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15698;
				obj_t BgL_a1z00_15699;
				obj_t BgL_locz00_15700;
				obj_t BgL_symbzd2funzd2_15701;
				long BgL_siza7eza7_15702;

				BgL_funz00_15698 = PROCEDURE_REF(BgL_envz00_15697, (int) (((long) 0)));
				BgL_a1z00_15699 = PROCEDURE_REF(BgL_envz00_15697, (int) (((long) 1)));
				BgL_locz00_15700 = PROCEDURE_REF(BgL_envz00_15697, (int) (((long) 2)));
				BgL_symbzd2funzd2_15701 =
					PROCEDURE_REF(BgL_envz00_15697, (int) (((long) 3)));
				BgL_siza7eza7_15702 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15697, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1477;

					BgL_sz00_1477 = BgL_sz00_15703;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1479;

						BgL_bpz00_1479 = VECTOR_REF(BgL_sz00_1477, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1480;
							obj_t BgL_a1z00_1481;

							BgL_fz00_1480 =
								PROCEDURE_ENTRY(BgL_funz00_15698) (BgL_funz00_15698,
								BgL_sz00_1477, BEOA);
							BgL_a1z00_1481 =
								PROCEDURE_ENTRY(BgL_a1z00_15699) (BgL_a1z00_15699,
								BgL_sz00_1477, BEOA);
							if (PROCEDUREP(BgL_fz00_1480))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15700,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1480);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1483;

								BgL_ufz00_1483 = PROCEDURE_ATTR(BgL_fz00_1480);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_18987;

									if (STRUCTP(BgL_ufz00_1483))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_18987 =
												(STRUCT_KEY(BgL_ufz00_1483) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_18987 = ((bool_t) 0);
										}
									if (BgL_testz00_18987)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1485;
											obj_t BgL_runz00_1486;
											obj_t BgL_sfz00_1487;

											BgL_arityz00_1485 =
												STRUCT_REF(BgL_ufz00_1483, (int) (((long) 0)));
											BgL_runz00_1486 =
												STRUCT_REF(BgL_ufz00_1483, (int) (((long) 1)));
											BgL_sfz00_1487 =
												STRUCT_REF(BgL_ufz00_1483, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1485) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_arg2085z00_1490;

													BgL_arg2085z00_1490 =
														((long) CINT(BgL_bpz00_1479) + ((long) 0));
													VECTOR_SET(BgL_sz00_1477,
														(int) (BgL_arg2085z00_1490), BgL_a1z00_1481);
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													if (INTEGERP(BgL_arityz00_1485))
														{	/* Eval/evaluate_comp.scm 851 */
															switch ((long) CINT(BgL_arityz00_1485))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2087z00_1494;
																		obj_t BgL_arg2088z00_1495;

																		BgL_arg2087z00_1494 =
																			(
																			(long) CINT(BgL_bpz00_1479) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2089z00_1496;

																			BgL_list2089z00_1496 =
																				MAKE_PAIR(BgL_a1z00_1481, BNIL);
																			BgL_arg2088z00_1495 =
																				BgL_list2089z00_1496;
																		}
																		VECTOR_SET(BgL_sz00_1477,
																			(int) (BgL_arg2087z00_1494),
																			BgL_arg2088z00_1495);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2090z00_1497;

																		BgL_arg2090z00_1497 =
																			(
																			(long) CINT(BgL_bpz00_1479) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1477,
																			(int) (BgL_arg2090z00_1497),
																			BgL_a1z00_1481);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2091z00_1498;

																		BgL_arg2091z00_1498 =
																			(
																			(long) CINT(BgL_bpz00_1479) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1477,
																			(int) (BgL_arg2091z00_1498), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15700,
																		STRUCT_REF(BgL_ufz00_1483,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1485));
														}}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15700, STRUCT_REF(BgL_ufz00_1483,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1485));
												}}
											{	/* Eval/evaluate_comp.scm 851 */
												obj_t BgL_auxz00_19032;

												BgL_auxz00_19032 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19032,
													BgL_locz00_15700);
											}
											{	/* Eval/evaluate_comp.scm 851 */
												bool_t BgL_testz00_19035;

												{	/* Eval/evaluate_comp.scm 851 */
													int BgL_arg1902z00_7037;

													BgL_arg1902z00_7037 = VECTOR_LENGTH(BgL_sz00_1477);
													BgL_testz00_19035 =
														(
														((long) CINT(BgL_bpz00_1479) +
															(long) CINT(BgL_sfz00_1487)) <
														(long) (BgL_arg1902z00_7037));
												}
												if (BgL_testz00_19035)
													{	/* Eval/evaluate_comp.scm 851 */
														return BgL_runz00_1486;
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_nsz00_1504;

														BgL_nsz00_1504 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2097z00_1506;

															BgL_arg2097z00_1506 =
																((long) CINT(BgL_bpz00_1479) + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1504, BINT(((long) 2)),
																BgL_sz00_1477, BgL_bpz00_1479,
																BINT(BgL_arg2097z00_1506));
														}
														VECTOR_SET(BgL_nsz00_1504,
															(int) (((long) 1)), BgL_sz00_1477);
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_auxz00_19050;

															BgL_auxz00_19050 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19050,
																BgL_nsz00_1504);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_val1181z00_1508;

															BgL_val1181z00_1508 =
																BGl_zc3exitza32103ze3z83zz__evaluate_compz00
																(BgL_nsz00_1504, BgL_runz00_1486);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_19054;

																BgL_auxz00_19054 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19054,
																	BgL_sz00_1477);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1181z00_1508)))
																{	/* Eval/evaluate_comp.scm 851 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1181z00_1508),
																		CDR(BgL_val1181z00_1508));
																}
															else
																{	/* Eval/evaluate_comp.scm 851 */
																	return BgL_val1181z00_1508;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1480,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1517;

													BgL_nbpz00_1517 =
														((long) CINT(BgL_bpz00_1479) + BgL_siza7eza7_15702);
													VECTOR_SET(BgL_sz00_1477,
														(int) (((long) 0)), BINT(BgL_nbpz00_1517));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1518;

														BgL_rz00_1518 =
															PROCEDURE_ENTRY(BgL_fz00_1480) (BgL_fz00_1480,
															BgL_a1z00_1481, BEOA);
														VECTOR_SET(BgL_sz00_1477, (int) (((long) 0)),
															BgL_bpz00_1479);
														return BgL_rz00_1518;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15700, BgL_symbzd2funzd2_15701,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1480));
		}}}}}}}}}
	}



/* <exit:2103> */
	obj_t BGl_zc3exitza32103ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17684,
		obj_t BgL_runz00_17683)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1182z00_1514;

			if (SET_EXIT(BgL_an_exit1182z00_1514))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1182z00_1514 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1182z00_1514, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1183z00_1515;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_7056;

								BgL_savedzd2bpzd2_7056 =
									VECTOR_REF(BgL_nsz00_17684, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17684,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7063;

									BgL_fz00_7063 = BgL_runz00_17683;
								BgL_recz00_7062:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_7064;

										BgL_rz00_7064 =
											PROCEDURE_ENTRY(BgL_fz00_7063) (BgL_fz00_7063,
											BgL_nsz00_17684, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_19092;

											if (PROCEDUREP(BgL_rz00_7064))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_7069;

													BgL_arg1893z00_7069 = PROCEDURE_ATTR(BgL_rz00_7064);
													if (STRUCTP(BgL_arg1893z00_7069))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19092 =
																(STRUCT_KEY(BgL_arg1893z00_7069) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19092 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_19092 = ((bool_t) 0);
												}
											if (BgL_testz00_19092)
												{
													obj_t BgL_fz00_19100;

													BgL_fz00_19100 = BgL_rz00_7064;
													BgL_fz00_7063 = BgL_fz00_19100;
													goto BgL_recz00_7062;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17684,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7056);
													BgL_val1183z00_1515 = BgL_rz00_7064;
							}}}}}
							POP_EXIT();
							return BgL_val1183z00_1515;
						}
					}
				}
		}
	}



/* &<anonymous:2106> */
	obj_t BGl_z62zc3anonymousza32106ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15704, obj_t BgL_sz00_15710)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15705;
				obj_t BgL_a1z00_15706;
				obj_t BgL_locz00_15707;
				obj_t BgL_symbzd2funzd2_15708;
				long BgL_siza7eza7_15709;

				BgL_funz00_15705 = PROCEDURE_REF(BgL_envz00_15704, (int) (((long) 0)));
				BgL_a1z00_15706 = PROCEDURE_REF(BgL_envz00_15704, (int) (((long) 1)));
				BgL_locz00_15707 = PROCEDURE_REF(BgL_envz00_15704, (int) (((long) 2)));
				BgL_symbzd2funzd2_15708 =
					PROCEDURE_REF(BgL_envz00_15704, (int) (((long) 3)));
				BgL_siza7eza7_15709 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15704, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1520;

					BgL_sz00_1520 = BgL_sz00_15710;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1522;

						BgL_bpz00_1522 = VECTOR_REF(BgL_sz00_1520, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1523;
							obj_t BgL_a1z00_1524;

							BgL_fz00_1523 =
								PROCEDURE_ENTRY(BgL_funz00_15705) (BgL_funz00_15705,
								BgL_sz00_1520, BEOA);
							BgL_a1z00_1524 =
								PROCEDURE_ENTRY(BgL_a1z00_15706) (BgL_a1z00_15706,
								BgL_sz00_1520, BEOA);
							if (PROCEDUREP(BgL_fz00_1523))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15707,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1523);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1526;

								BgL_ufz00_1526 = PROCEDURE_ATTR(BgL_fz00_1523);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_19129;

									if (STRUCTP(BgL_ufz00_1526))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19129 =
												(STRUCT_KEY(BgL_ufz00_1526) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19129 = ((bool_t) 0);
										}
									if (BgL_testz00_19129)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1528;
											obj_t BgL_runz00_1529;
											obj_t BgL_sfz00_1530;

											BgL_arityz00_1528 =
												STRUCT_REF(BgL_ufz00_1526, (int) (((long) 0)));
											BgL_runz00_1529 =
												STRUCT_REF(BgL_ufz00_1526, (int) (((long) 1)));
											BgL_sfz00_1530 =
												STRUCT_REF(BgL_ufz00_1526, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 851 */
												long BgL_spz00_1531;

												BgL_spz00_1531 =
													((long) CINT(BgL_bpz00_1522) + BgL_siza7eza7_15709);
												if (((long) CINT(BgL_arityz00_1528) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2110z00_1533;

														BgL_arg2110z00_1533 = (BgL_spz00_1531 + ((long) 0));
														VECTOR_SET(BgL_sz00_1520,
															(int) (BgL_arg2110z00_1533), BgL_a1z00_1524);
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														if (INTEGERP(BgL_arityz00_1528))
															{	/* Eval/evaluate_comp.scm 851 */
																switch ((long) CINT(BgL_arityz00_1528))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2112z00_1537;
																			obj_t BgL_arg2113z00_1538;

																			BgL_arg2112z00_1537 =
																				(BgL_spz00_1531 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2114z00_1539;

																				BgL_list2114z00_1539 =
																					MAKE_PAIR(BgL_a1z00_1524, BNIL);
																				BgL_arg2113z00_1538 =
																					BgL_list2114z00_1539;
																			}
																			VECTOR_SET(BgL_sz00_1520,
																				(int) (BgL_arg2112z00_1537),
																				BgL_arg2113z00_1538);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2116z00_1540;

																			BgL_arg2116z00_1540 =
																				(BgL_spz00_1531 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1520,
																				(int) (BgL_arg2116z00_1540),
																				BgL_a1z00_1524);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2118z00_1541;

																			BgL_arg2118z00_1541 =
																				(BgL_spz00_1531 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1520,
																				(int) (BgL_arg2118z00_1541), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15707,
																			STRUCT_REF(BgL_ufz00_1526,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1528));
															}}
														else
															{	/* Eval/evaluate_comp.scm 851 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15707, STRUCT_REF(BgL_ufz00_1526,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1528));
													}}
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_auxz00_19172;

													BgL_auxz00_19172 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19172,
														BgL_locz00_15707);
												}
												{	/* Eval/evaluate_comp.scm 851 */
													bool_t BgL_testz00_19175;

													{	/* Eval/evaluate_comp.scm 851 */
														int BgL_arg1902z00_7165;

														BgL_arg1902z00_7165 = VECTOR_LENGTH(BgL_sz00_1520);
														BgL_testz00_19175 =
															(
															(BgL_spz00_1531 +
																(long) CINT(BgL_sfz00_1530)) <
															(long) (BgL_arg1902z00_7165));
													}
													if (BgL_testz00_19175)
														{	/* Eval/evaluate_comp.scm 851 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1529, BgL_sz00_1520,
																BINT(BgL_spz00_1531));
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_nsz00_1547;

															BgL_nsz00_1547 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 851 */
																long BgL_arg2125z00_1549;

																BgL_arg2125z00_1549 =
																	(BgL_spz00_1531 + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1547, BINT(((long) 2)),
																	BgL_sz00_1520, BINT(BgL_spz00_1531),
																	BINT(BgL_arg2125z00_1549));
															}
															VECTOR_SET(BgL_nsz00_1547,
																(int) (((long) 1)), BgL_sz00_1520);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_19191;

																BgL_auxz00_19191 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19191,
																	BgL_nsz00_1547);
															}
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_val1186z00_1551;

																BgL_val1186z00_1551 =
																	BGl_zc3exitza32131ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1547, BgL_runz00_1529);
																{	/* Eval/evaluate_comp.scm 851 */
																	obj_t BgL_auxz00_19195;

																	BgL_auxz00_19195 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19195,
																		BgL_sz00_1520);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1186z00_1551)))
																	{	/* Eval/evaluate_comp.scm 851 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1186z00_1551),
																			CDR(BgL_val1186z00_1551));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 851 */
																		return BgL_val1186z00_1551;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1523,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1560;

													BgL_nbpz00_1560 =
														((long) CINT(BgL_bpz00_1522) + BgL_siza7eza7_15709);
													VECTOR_SET(BgL_sz00_1520,
														(int) (((long) 0)), BINT(BgL_nbpz00_1560));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1561;

														BgL_rz00_1561 =
															PROCEDURE_ENTRY(BgL_fz00_1523) (BgL_fz00_1523,
															BgL_a1z00_1524, BEOA);
														VECTOR_SET(BgL_sz00_1520, (int) (((long) 0)),
															BgL_bpz00_1522);
														return BgL_rz00_1561;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15707, BgL_symbzd2funzd2_15708,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1523));
		}}}}}}}}}
	}



/* <exit:2131> */
	obj_t BGl_zc3exitza32131ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17682,
		obj_t BgL_runz00_17681)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1187z00_1557;

			if (SET_EXIT(BgL_an_exit1187z00_1557))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1187z00_1557 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1187z00_1557, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1188z00_1558;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_7183;

								BgL_savedzd2bpzd2_7183 =
									VECTOR_REF(BgL_nsz00_17682, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17682,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7190;

									BgL_fz00_7190 = BgL_runz00_17681;
								BgL_recz00_7189:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_7191;

										BgL_rz00_7191 =
											PROCEDURE_ENTRY(BgL_fz00_7190) (BgL_fz00_7190,
											BgL_nsz00_17682, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_19233;

											if (PROCEDUREP(BgL_rz00_7191))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_7196;

													BgL_arg1893z00_7196 = PROCEDURE_ATTR(BgL_rz00_7191);
													if (STRUCTP(BgL_arg1893z00_7196))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19233 =
																(STRUCT_KEY(BgL_arg1893z00_7196) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19233 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_19233 = ((bool_t) 0);
												}
											if (BgL_testz00_19233)
												{
													obj_t BgL_fz00_19241;

													BgL_fz00_19241 = BgL_rz00_7191;
													BgL_fz00_7190 = BgL_fz00_19241;
													goto BgL_recz00_7189;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17682,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7183);
													BgL_val1188z00_1558 = BgL_rz00_7191;
							}}}}}
							POP_EXIT();
							return BgL_val1188z00_1558;
						}
					}
				}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_cfunz00_1563;

				BgL_cfunz00_1563 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154,
					((long) 2), BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_1563))
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_zc3anonymousza32134ze3z83_15711;

						BgL_zc3anonymousza32134ze3z83_15711 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32134ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza32134ze3z83_15711,
							(int) (((long) 0)), BgL_a1z00_160);
						PROCEDURE_SET(BgL_zc3anonymousza32134ze3z83_15711,
							(int) (((long) 1)), BgL_a2z00_161);
						PROCEDURE_SET(BgL_zc3anonymousza32134ze3z83_15711,
							(int) (((long) 2)), BINT(BgL_siza7eza7_159));
						PROCEDURE_SET(BgL_zc3anonymousza32134ze3z83_15711,
							(int) (((long) 3)), BgL_cfunz00_1563);
						return BgL_zc3anonymousza32134ze3z83_15711;
					}
				else
					{	/* Eval/evaluate_comp.scm 851 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32135ze3z83_15712;

								BgL_zc3anonymousza32135ze3z83_15712 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32135ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15712,
									(int) (((long) 0)), BgL_funz00_156);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15712,
									(int) (((long) 1)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15712,
									(int) (((long) 2)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15712,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15712,
									(int) (((long) 4)), BgL_symbzd2funzd2_155);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15712,
									(int) (((long) 5)), BINT(BgL_siza7eza7_159));
								return BgL_zc3anonymousza32135ze3z83_15712;
							}
						else
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32170ze3z83_15713;

								BgL_zc3anonymousza32170ze3z83_15713 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32170ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32170ze3z83_15713,
									(int) (((long) 0)), BgL_funz00_156);
								PROCEDURE_SET(BgL_zc3anonymousza32170ze3z83_15713,
									(int) (((long) 1)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32170ze3z83_15713,
									(int) (((long) 2)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32170ze3z83_15713,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3anonymousza32170ze3z83_15713,
									(int) (((long) 4)), BgL_symbzd2funzd2_155);
								PROCEDURE_SET(BgL_zc3anonymousza32170ze3z83_15713,
									(int) (((long) 5)), BINT(BgL_siza7eza7_159));
								return BgL_zc3anonymousza32170ze3z83_15713;
							}
					}
			}
		}
	}



/* &<anonymous:2134> */
	obj_t BGl_z62zc3anonymousza32134ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15714, obj_t BgL_sz00_15719)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_a1z00_15715;
				obj_t BgL_a2z00_15716;
				long BgL_siza7eza7_15717;
				obj_t BgL_cfunz00_15718;

				BgL_a1z00_15715 = PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 0)));
				BgL_a2z00_15716 = PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 1)));
				BgL_siza7eza7_15717 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 2))));
				BgL_cfunz00_15718 = PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1564;

					BgL_sz00_1564 = BgL_sz00_15719;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1566;

						BgL_bpz00_1566 = VECTOR_REF(BgL_sz00_1564, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_a1z00_1567;
							obj_t BgL_a2z00_1568;

							BgL_a1z00_1567 =
								PROCEDURE_ENTRY(BgL_a1z00_15715) (BgL_a1z00_15715,
								BgL_sz00_1564, BEOA);
							BgL_a2z00_1568 =
								PROCEDURE_ENTRY(BgL_a2z00_15716) (BgL_a2z00_15716,
								BgL_sz00_1564, BEOA);
							{	/* Eval/evaluate_comp.scm 851 */
								long BgL_nbpz00_1569;

								BgL_nbpz00_1569 =
									((long) CINT(BgL_bpz00_1566) + BgL_siza7eza7_15717);
								VECTOR_SET(BgL_sz00_1564,
									(int) (((long) 0)), BINT(BgL_nbpz00_1569));
								{	/* Eval/evaluate_comp.scm 851 */
									obj_t BgL_rz00_1570;

									BgL_rz00_1570 =
										PROCEDURE_ENTRY(BgL_cfunz00_15718) (BgL_cfunz00_15718,
										BgL_a1z00_1567, BgL_a2z00_1568, BEOA);
									VECTOR_SET(BgL_sz00_1564, (int) (((long) 0)), BgL_bpz00_1566);
									return BgL_rz00_1570;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2135> */
	obj_t BGl_z62zc3anonymousza32135ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15720, obj_t BgL_sz00_15727)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15721;
				obj_t BgL_a1z00_15722;
				obj_t BgL_a2z00_15723;
				obj_t BgL_locz00_15724;
				obj_t BgL_symbzd2funzd2_15725;
				long BgL_siza7eza7_15726;

				BgL_funz00_15721 = PROCEDURE_REF(BgL_envz00_15720, (int) (((long) 0)));
				BgL_a1z00_15722 = PROCEDURE_REF(BgL_envz00_15720, (int) (((long) 1)));
				BgL_a2z00_15723 = PROCEDURE_REF(BgL_envz00_15720, (int) (((long) 2)));
				BgL_locz00_15724 = PROCEDURE_REF(BgL_envz00_15720, (int) (((long) 3)));
				BgL_symbzd2funzd2_15725 =
					PROCEDURE_REF(BgL_envz00_15720, (int) (((long) 4)));
				BgL_siza7eza7_15726 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15720, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1571;

					BgL_sz00_1571 = BgL_sz00_15727;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1573;

						BgL_bpz00_1573 = VECTOR_REF(BgL_sz00_1571, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1574;
							obj_t BgL_a1z00_1575;
							obj_t BgL_a2z00_1576;

							BgL_fz00_1574 =
								PROCEDURE_ENTRY(BgL_funz00_15721) (BgL_funz00_15721,
								BgL_sz00_1571, BEOA);
							BgL_a1z00_1575 =
								PROCEDURE_ENTRY(BgL_a1z00_15722) (BgL_a1z00_15722,
								BgL_sz00_1571, BEOA);
							BgL_a2z00_1576 =
								PROCEDURE_ENTRY(BgL_a2z00_15723) (BgL_a2z00_15723,
								BgL_sz00_1571, BEOA);
							if (PROCEDUREP(BgL_fz00_1574))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15724,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1574);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1578;

								BgL_ufz00_1578 = PROCEDURE_ATTR(BgL_fz00_1574);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_19356;

									if (STRUCTP(BgL_ufz00_1578))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19356 =
												(STRUCT_KEY(BgL_ufz00_1578) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19356 = ((bool_t) 0);
										}
									if (BgL_testz00_19356)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1580;
											obj_t BgL_runz00_1581;
											obj_t BgL_sfz00_1582;

											BgL_arityz00_1580 =
												STRUCT_REF(BgL_ufz00_1578, (int) (((long) 0)));
											BgL_runz00_1581 =
												STRUCT_REF(BgL_ufz00_1578, (int) (((long) 1)));
											BgL_sfz00_1582 =
												STRUCT_REF(BgL_ufz00_1578, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1580) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 851 */
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2139z00_1585;

														BgL_arg2139z00_1585 =
															((long) CINT(BgL_bpz00_1573) + ((long) 0));
														VECTOR_SET(BgL_sz00_1571,
															(int) (BgL_arg2139z00_1585), BgL_a1z00_1575);
													}
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2141z00_1586;

														BgL_arg2141z00_1586 =
															((long) CINT(BgL_bpz00_1573) + ((long) 1));
														VECTOR_SET(BgL_sz00_1571,
															(int) (BgL_arg2141z00_1586), BgL_a2z00_1576);
												}}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													if (INTEGERP(BgL_arityz00_1580))
														{	/* Eval/evaluate_comp.scm 851 */
															switch ((long) CINT(BgL_arityz00_1580))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2143z00_1590;
																		obj_t BgL_arg2146z00_1591;

																		BgL_arg2143z00_1590 =
																			(
																			(long) CINT(BgL_bpz00_1573) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2147z00_1592;

																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_arg2148z00_1593;

																				BgL_arg2148z00_1593 =
																					MAKE_PAIR(BgL_a2z00_1576, BNIL);
																				BgL_list2147z00_1592 =
																					MAKE_PAIR(BgL_a1z00_1575,
																					BgL_arg2148z00_1593);
																			}
																			BgL_arg2146z00_1591 =
																				BgL_list2147z00_1592;
																		}
																		VECTOR_SET(BgL_sz00_1571,
																			(int) (BgL_arg2143z00_1590),
																			BgL_arg2146z00_1591);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2149z00_1594;

																		BgL_arg2149z00_1594 =
																			(
																			(long) CINT(BgL_bpz00_1573) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1571,
																			(int) (BgL_arg2149z00_1594),
																			BgL_a1z00_1575);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2150z00_1595;
																		obj_t BgL_arg2151z00_1596;

																		BgL_arg2150z00_1595 =
																			(
																			(long) CINT(BgL_bpz00_1573) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2152z00_1597;

																			BgL_list2152z00_1597 =
																				MAKE_PAIR(BgL_a2z00_1576, BNIL);
																			BgL_arg2151z00_1596 =
																				BgL_list2152z00_1597;
																		}
																		VECTOR_SET(BgL_sz00_1571,
																			(int) (BgL_arg2150z00_1595),
																			BgL_arg2151z00_1596);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2153z00_1598;

																		BgL_arg2153z00_1598 =
																			(
																			(long) CINT(BgL_bpz00_1573) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1571,
																			(int) (BgL_arg2153z00_1598),
																			BgL_a1z00_1575);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2154z00_1599;

																		BgL_arg2154z00_1599 =
																			(
																			(long) CINT(BgL_bpz00_1573) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1571,
																			(int) (BgL_arg2154z00_1599),
																			BgL_a2z00_1576);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2156z00_1600;

																		BgL_arg2156z00_1600 =
																			(
																			(long) CINT(BgL_bpz00_1573) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1571,
																			(int) (BgL_arg2156z00_1600), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15724,
																		STRUCT_REF(BgL_ufz00_1578,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1580));
														}}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15724, STRUCT_REF(BgL_ufz00_1578,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1580));
												}}
											{	/* Eval/evaluate_comp.scm 851 */
												obj_t BgL_auxz00_19419;

												BgL_auxz00_19419 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19419,
													BgL_locz00_15724);
											}
											{	/* Eval/evaluate_comp.scm 851 */
												bool_t BgL_testz00_19422;

												{	/* Eval/evaluate_comp.scm 851 */
													int BgL_arg1902z00_7329;

													BgL_arg1902z00_7329 = VECTOR_LENGTH(BgL_sz00_1571);
													BgL_testz00_19422 =
														(
														((long) CINT(BgL_bpz00_1573) +
															(long) CINT(BgL_sfz00_1582)) <
														(long) (BgL_arg1902z00_7329));
												}
												if (BgL_testz00_19422)
													{	/* Eval/evaluate_comp.scm 851 */
														return BgL_runz00_1581;
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_nsz00_1606;

														BgL_nsz00_1606 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2161z00_1608;

															BgL_arg2161z00_1608 =
																((long) CINT(BgL_bpz00_1573) + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1606, BINT(((long) 2)),
																BgL_sz00_1571, BgL_bpz00_1573,
																BINT(BgL_arg2161z00_1608));
														}
														VECTOR_SET(BgL_nsz00_1606,
															(int) (((long) 1)), BgL_sz00_1571);
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_auxz00_19437;

															BgL_auxz00_19437 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19437,
																BgL_nsz00_1606);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_val1191z00_1610;

															BgL_val1191z00_1610 =
																BGl_zc3exitza32167ze3z83zz__evaluate_compz00
																(BgL_nsz00_1606, BgL_runz00_1581);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_19441;

																BgL_auxz00_19441 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19441,
																	BgL_sz00_1571);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1191z00_1610)))
																{	/* Eval/evaluate_comp.scm 851 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1191z00_1610),
																		CDR(BgL_val1191z00_1610));
																}
															else
																{	/* Eval/evaluate_comp.scm 851 */
																	return BgL_val1191z00_1610;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1574,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1619;

													BgL_nbpz00_1619 =
														((long) CINT(BgL_bpz00_1573) + BgL_siza7eza7_15726);
													VECTOR_SET(BgL_sz00_1571,
														(int) (((long) 0)), BINT(BgL_nbpz00_1619));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1620;

														BgL_rz00_1620 =
															PROCEDURE_ENTRY(BgL_fz00_1574) (BgL_fz00_1574,
															BgL_a1z00_1575, BgL_a2z00_1576, BEOA);
														VECTOR_SET(BgL_sz00_1571, (int) (((long) 0)),
															BgL_bpz00_1573);
														return BgL_rz00_1620;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15724, BgL_symbzd2funzd2_15725,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1574));
		}}}}}}}}}
	}



/* <exit:2167> */
	obj_t BGl_zc3exitza32167ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17680,
		obj_t BgL_runz00_17679)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1192z00_1616;

			if (SET_EXIT(BgL_an_exit1192z00_1616))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1192z00_1616 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1192z00_1616, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1193z00_1617;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_7348;

								BgL_savedzd2bpzd2_7348 =
									VECTOR_REF(BgL_nsz00_17680, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17680,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7355;

									BgL_fz00_7355 = BgL_runz00_17679;
								BgL_recz00_7354:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_7356;

										BgL_rz00_7356 =
											PROCEDURE_ENTRY(BgL_fz00_7355) (BgL_fz00_7355,
											BgL_nsz00_17680, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_19480;

											if (PROCEDUREP(BgL_rz00_7356))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_7361;

													BgL_arg1893z00_7361 = PROCEDURE_ATTR(BgL_rz00_7356);
													if (STRUCTP(BgL_arg1893z00_7361))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19480 =
																(STRUCT_KEY(BgL_arg1893z00_7361) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19480 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_19480 = ((bool_t) 0);
												}
											if (BgL_testz00_19480)
												{
													obj_t BgL_fz00_19488;

													BgL_fz00_19488 = BgL_rz00_7356;
													BgL_fz00_7355 = BgL_fz00_19488;
													goto BgL_recz00_7354;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17680,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7348);
													BgL_val1193z00_1617 = BgL_rz00_7356;
							}}}}}
							POP_EXIT();
							return BgL_val1193z00_1617;
						}
					}
				}
		}
	}



/* &<anonymous:2170> */
	obj_t BGl_z62zc3anonymousza32170ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15728, obj_t BgL_sz00_15735)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15729;
				obj_t BgL_a1z00_15730;
				obj_t BgL_a2z00_15731;
				obj_t BgL_locz00_15732;
				obj_t BgL_symbzd2funzd2_15733;
				long BgL_siza7eza7_15734;

				BgL_funz00_15729 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 0)));
				BgL_a1z00_15730 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 1)));
				BgL_a2z00_15731 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 2)));
				BgL_locz00_15732 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 3)));
				BgL_symbzd2funzd2_15733 =
					PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 4)));
				BgL_siza7eza7_15734 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1622;

					BgL_sz00_1622 = BgL_sz00_15735;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1624;

						BgL_bpz00_1624 = VECTOR_REF(BgL_sz00_1622, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1625;
							obj_t BgL_a1z00_1626;
							obj_t BgL_a2z00_1627;

							BgL_fz00_1625 =
								PROCEDURE_ENTRY(BgL_funz00_15729) (BgL_funz00_15729,
								BgL_sz00_1622, BEOA);
							BgL_a1z00_1626 =
								PROCEDURE_ENTRY(BgL_a1z00_15730) (BgL_a1z00_15730,
								BgL_sz00_1622, BEOA);
							BgL_a2z00_1627 =
								PROCEDURE_ENTRY(BgL_a2z00_15731) (BgL_a2z00_15731,
								BgL_sz00_1622, BEOA);
							if (PROCEDUREP(BgL_fz00_1625))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15732,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1625);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1629;

								BgL_ufz00_1629 = PROCEDURE_ATTR(BgL_fz00_1625);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_19523;

									if (STRUCTP(BgL_ufz00_1629))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19523 =
												(STRUCT_KEY(BgL_ufz00_1629) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19523 = ((bool_t) 0);
										}
									if (BgL_testz00_19523)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1631;
											obj_t BgL_runz00_1632;
											obj_t BgL_sfz00_1633;

											BgL_arityz00_1631 =
												STRUCT_REF(BgL_ufz00_1629, (int) (((long) 0)));
											BgL_runz00_1632 =
												STRUCT_REF(BgL_ufz00_1629, (int) (((long) 1)));
											BgL_sfz00_1633 =
												STRUCT_REF(BgL_ufz00_1629, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 851 */
												long BgL_spz00_1634;

												BgL_spz00_1634 =
													((long) CINT(BgL_bpz00_1624) + BgL_siza7eza7_15734);
												if (((long) CINT(BgL_arityz00_1631) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 851 */
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2174z00_1636;

															BgL_arg2174z00_1636 =
																(BgL_spz00_1634 + ((long) 0));
															VECTOR_SET(BgL_sz00_1622,
																(int) (BgL_arg2174z00_1636), BgL_a1z00_1626);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2176z00_1637;

															BgL_arg2176z00_1637 =
																(BgL_spz00_1634 + ((long) 1));
															VECTOR_SET(BgL_sz00_1622,
																(int) (BgL_arg2176z00_1637), BgL_a2z00_1627);
													}}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														if (INTEGERP(BgL_arityz00_1631))
															{	/* Eval/evaluate_comp.scm 851 */
																switch ((long) CINT(BgL_arityz00_1631))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2178z00_1641;
																			obj_t BgL_arg2179z00_1642;

																			BgL_arg2178z00_1641 =
																				(BgL_spz00_1634 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2180z00_1643;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2181z00_1644;

																					BgL_arg2181z00_1644 =
																						MAKE_PAIR(BgL_a2z00_1627, BNIL);
																					BgL_list2180z00_1643 =
																						MAKE_PAIR(BgL_a1z00_1626,
																						BgL_arg2181z00_1644);
																				}
																				BgL_arg2179z00_1642 =
																					BgL_list2180z00_1643;
																			}
																			VECTOR_SET(BgL_sz00_1622,
																				(int) (BgL_arg2178z00_1641),
																				BgL_arg2179z00_1642);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2182z00_1645;

																			BgL_arg2182z00_1645 =
																				(BgL_spz00_1634 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1622,
																				(int) (BgL_arg2182z00_1645),
																				BgL_a1z00_1626);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2183z00_1646;
																			obj_t BgL_arg2184z00_1647;

																			BgL_arg2183z00_1646 =
																				(BgL_spz00_1634 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2185z00_1648;

																				BgL_list2185z00_1648 =
																					MAKE_PAIR(BgL_a2z00_1627, BNIL);
																				BgL_arg2184z00_1647 =
																					BgL_list2185z00_1648;
																			}
																			VECTOR_SET(BgL_sz00_1622,
																				(int) (BgL_arg2183z00_1646),
																				BgL_arg2184z00_1647);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2186z00_1649;

																			BgL_arg2186z00_1649 =
																				(BgL_spz00_1634 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1622,
																				(int) (BgL_arg2186z00_1649),
																				BgL_a1z00_1626);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2187z00_1650;

																			BgL_arg2187z00_1650 =
																				(BgL_spz00_1634 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1622,
																				(int) (BgL_arg2187z00_1650),
																				BgL_a2z00_1627);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2188z00_1651;

																			BgL_arg2188z00_1651 =
																				(BgL_spz00_1634 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1622,
																				(int) (BgL_arg2188z00_1651), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15732,
																			STRUCT_REF(BgL_ufz00_1629,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_1631));
															}}
														else
															{	/* Eval/evaluate_comp.scm 851 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15732, STRUCT_REF(BgL_ufz00_1629,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_1631));
													}}
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_auxz00_19580;

													BgL_auxz00_19580 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19580,
														BgL_locz00_15732);
												}
												{	/* Eval/evaluate_comp.scm 851 */
													bool_t BgL_testz00_19583;

													{	/* Eval/evaluate_comp.scm 851 */
														int BgL_arg1902z00_7483;

														BgL_arg1902z00_7483 = VECTOR_LENGTH(BgL_sz00_1622);
														BgL_testz00_19583 =
															(
															(BgL_spz00_1634 +
																(long) CINT(BgL_sfz00_1633)) <
															(long) (BgL_arg1902z00_7483));
													}
													if (BgL_testz00_19583)
														{	/* Eval/evaluate_comp.scm 851 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1632, BgL_sz00_1622,
																BINT(BgL_spz00_1634));
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_nsz00_1657;

															BgL_nsz00_1657 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 851 */
																long BgL_arg2194z00_1659;

																BgL_arg2194z00_1659 =
																	(BgL_spz00_1634 + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1657, BINT(((long) 2)),
																	BgL_sz00_1622, BINT(BgL_spz00_1634),
																	BINT(BgL_arg2194z00_1659));
															}
															VECTOR_SET(BgL_nsz00_1657,
																(int) (((long) 1)), BgL_sz00_1622);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_19599;

																BgL_auxz00_19599 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19599,
																	BgL_nsz00_1657);
															}
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_val1196z00_1661;

																BgL_val1196z00_1661 =
																	BGl_zc3exitza32202ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1657, BgL_runz00_1632);
																{	/* Eval/evaluate_comp.scm 851 */
																	obj_t BgL_auxz00_19603;

																	BgL_auxz00_19603 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19603,
																		BgL_sz00_1622);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1196z00_1661)))
																	{	/* Eval/evaluate_comp.scm 851 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1196z00_1661),
																			CDR(BgL_val1196z00_1661));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 851 */
																		return BgL_val1196z00_1661;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1625,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1670;

													BgL_nbpz00_1670 =
														((long) CINT(BgL_bpz00_1624) + BgL_siza7eza7_15734);
													VECTOR_SET(BgL_sz00_1622,
														(int) (((long) 0)), BINT(BgL_nbpz00_1670));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1671;

														BgL_rz00_1671 =
															PROCEDURE_ENTRY(BgL_fz00_1625) (BgL_fz00_1625,
															BgL_a1z00_1626, BgL_a2z00_1627, BEOA);
														VECTOR_SET(BgL_sz00_1622, (int) (((long) 0)),
															BgL_bpz00_1624);
														return BgL_rz00_1671;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15732, BgL_symbzd2funzd2_15733,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1625));
		}}}}}}}}}
	}



/* <exit:2202> */
	obj_t BGl_zc3exitza32202ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17678,
		obj_t BgL_runz00_17677)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1197z00_1667;

			if (SET_EXIT(BgL_an_exit1197z00_1667))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1197z00_1667 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1197z00_1667, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1198z00_1668;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_7501;

								BgL_savedzd2bpzd2_7501 =
									VECTOR_REF(BgL_nsz00_17678, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17678,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7508;

									BgL_fz00_7508 = BgL_runz00_17677;
								BgL_recz00_7507:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_7509;

										BgL_rz00_7509 =
											PROCEDURE_ENTRY(BgL_fz00_7508) (BgL_fz00_7508,
											BgL_nsz00_17678, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_19642;

											if (PROCEDUREP(BgL_rz00_7509))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_7514;

													BgL_arg1893z00_7514 = PROCEDURE_ATTR(BgL_rz00_7509);
													if (STRUCTP(BgL_arg1893z00_7514))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19642 =
																(STRUCT_KEY(BgL_arg1893z00_7514) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19642 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_19642 = ((bool_t) 0);
												}
											if (BgL_testz00_19642)
												{
													obj_t BgL_fz00_19650;

													BgL_fz00_19650 = BgL_rz00_7509;
													BgL_fz00_7508 = BgL_fz00_19650;
													goto BgL_recz00_7507;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17678,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7501);
													BgL_val1198z00_1668 = BgL_rz00_7509;
							}}}}}
							POP_EXIT();
							return BgL_val1198z00_1668;
						}
					}
				}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_cfunz00_1673;

				BgL_cfunz00_1673 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163,
					((long) 3), BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_1673))
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_zc3anonymousza32205ze3z83_15736;

						BgL_zc3anonymousza32205ze3z83_15736 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32205ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 5)));
						PROCEDURE_SET(BgL_zc3anonymousza32205ze3z83_15736,
							(int) (((long) 0)), BgL_a1z00_169);
						PROCEDURE_SET(BgL_zc3anonymousza32205ze3z83_15736,
							(int) (((long) 1)), BgL_a2z00_170);
						PROCEDURE_SET(BgL_zc3anonymousza32205ze3z83_15736,
							(int) (((long) 2)), BgL_a3z00_171);
						PROCEDURE_SET(BgL_zc3anonymousza32205ze3z83_15736,
							(int) (((long) 3)), BINT(BgL_siza7eza7_168));
						PROCEDURE_SET(BgL_zc3anonymousza32205ze3z83_15736,
							(int) (((long) 4)), BgL_cfunz00_1673);
						return BgL_zc3anonymousza32205ze3z83_15736;
					}
				else
					{	/* Eval/evaluate_comp.scm 851 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32206ze3z83_15737;

								BgL_zc3anonymousza32206ze3z83_15737 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32206ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32206ze3z83_15737,
									(int) (((long) 0)), BgL_funz00_165);
								PROCEDURE_SET(BgL_zc3anonymousza32206ze3z83_15737,
									(int) (((long) 1)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32206ze3z83_15737,
									(int) (((long) 2)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32206ze3z83_15737,
									(int) (((long) 3)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32206ze3z83_15737,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3anonymousza32206ze3z83_15737,
									(int) (((long) 5)), BgL_symbzd2funzd2_164);
								PROCEDURE_SET(BgL_zc3anonymousza32206ze3z83_15737,
									(int) (((long) 6)), BINT(BgL_siza7eza7_168));
								return BgL_zc3anonymousza32206ze3z83_15737;
							}
						else
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32253ze3z83_15738;

								BgL_zc3anonymousza32253ze3z83_15738 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32253ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32253ze3z83_15738,
									(int) (((long) 0)), BgL_funz00_165);
								PROCEDURE_SET(BgL_zc3anonymousza32253ze3z83_15738,
									(int) (((long) 1)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32253ze3z83_15738,
									(int) (((long) 2)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32253ze3z83_15738,
									(int) (((long) 3)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32253ze3z83_15738,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3anonymousza32253ze3z83_15738,
									(int) (((long) 5)), BgL_symbzd2funzd2_164);
								PROCEDURE_SET(BgL_zc3anonymousza32253ze3z83_15738,
									(int) (((long) 6)), BINT(BgL_siza7eza7_168));
								return BgL_zc3anonymousza32253ze3z83_15738;
							}
					}
			}
		}
	}



/* &<anonymous:2205> */
	obj_t BGl_z62zc3anonymousza32205ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15739, obj_t BgL_sz00_15745)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_a1z00_15740;
				obj_t BgL_a2z00_15741;
				obj_t BgL_a3z00_15742;
				long BgL_siza7eza7_15743;
				obj_t BgL_cfunz00_15744;

				BgL_a1z00_15740 = PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 0)));
				BgL_a2z00_15741 = PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 1)));
				BgL_a3z00_15742 = PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 2)));
				BgL_siza7eza7_15743 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 3))));
				BgL_cfunz00_15744 = PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 4)));
				{
					obj_t BgL_sz00_1674;

					BgL_sz00_1674 = BgL_sz00_15745;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1676;

						BgL_bpz00_1676 = VECTOR_REF(BgL_sz00_1674, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_a1z00_1677;
							obj_t BgL_a2z00_1678;
							obj_t BgL_a3z00_1679;

							BgL_a1z00_1677 =
								PROCEDURE_ENTRY(BgL_a1z00_15740) (BgL_a1z00_15740,
								BgL_sz00_1674, BEOA);
							BgL_a2z00_1678 =
								PROCEDURE_ENTRY(BgL_a2z00_15741) (BgL_a2z00_15741,
								BgL_sz00_1674, BEOA);
							BgL_a3z00_1679 =
								PROCEDURE_ENTRY(BgL_a3z00_15742) (BgL_a3z00_15742,
								BgL_sz00_1674, BEOA);
							{	/* Eval/evaluate_comp.scm 851 */
								long BgL_nbpz00_1680;

								BgL_nbpz00_1680 =
									((long) CINT(BgL_bpz00_1676) + BgL_siza7eza7_15743);
								VECTOR_SET(BgL_sz00_1674,
									(int) (((long) 0)), BINT(BgL_nbpz00_1680));
								{	/* Eval/evaluate_comp.scm 851 */
									obj_t BgL_rz00_1681;

									BgL_rz00_1681 =
										PROCEDURE_ENTRY(BgL_cfunz00_15744) (BgL_cfunz00_15744,
										BgL_a1z00_1677, BgL_a2z00_1678, BgL_a3z00_1679, BEOA);
									VECTOR_SET(BgL_sz00_1674, (int) (((long) 0)), BgL_bpz00_1676);
									return BgL_rz00_1681;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2206> */
	obj_t BGl_z62zc3anonymousza32206ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15746, obj_t BgL_sz00_15754)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15747;
				obj_t BgL_a1z00_15748;
				obj_t BgL_a2z00_15749;
				obj_t BgL_a3z00_15750;
				obj_t BgL_locz00_15751;
				obj_t BgL_symbzd2funzd2_15752;
				long BgL_siza7eza7_15753;

				BgL_funz00_15747 = PROCEDURE_REF(BgL_envz00_15746, (int) (((long) 0)));
				BgL_a1z00_15748 = PROCEDURE_REF(BgL_envz00_15746, (int) (((long) 1)));
				BgL_a2z00_15749 = PROCEDURE_REF(BgL_envz00_15746, (int) (((long) 2)));
				BgL_a3z00_15750 = PROCEDURE_REF(BgL_envz00_15746, (int) (((long) 3)));
				BgL_locz00_15751 = PROCEDURE_REF(BgL_envz00_15746, (int) (((long) 4)));
				BgL_symbzd2funzd2_15752 =
					PROCEDURE_REF(BgL_envz00_15746, (int) (((long) 5)));
				BgL_siza7eza7_15753 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15746, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1682;

					BgL_sz00_1682 = BgL_sz00_15754;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1684;

						BgL_bpz00_1684 = VECTOR_REF(BgL_sz00_1682, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1685;
							obj_t BgL_a1z00_1686;
							obj_t BgL_a2z00_1687;
							obj_t BgL_a3z00_1688;

							BgL_fz00_1685 =
								PROCEDURE_ENTRY(BgL_funz00_15747) (BgL_funz00_15747,
								BgL_sz00_1682, BEOA);
							BgL_a1z00_1686 =
								PROCEDURE_ENTRY(BgL_a1z00_15748) (BgL_a1z00_15748,
								BgL_sz00_1682, BEOA);
							BgL_a2z00_1687 =
								PROCEDURE_ENTRY(BgL_a2z00_15749) (BgL_a2z00_15749,
								BgL_sz00_1682, BEOA);
							BgL_a3z00_1688 =
								PROCEDURE_ENTRY(BgL_a3z00_15750) (BgL_a3z00_15750,
								BgL_sz00_1682, BEOA);
							if (PROCEDUREP(BgL_fz00_1685))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15751,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1685);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1690;

								BgL_ufz00_1690 = PROCEDURE_ATTR(BgL_fz00_1685);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_19784;

									if (STRUCTP(BgL_ufz00_1690))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19784 =
												(STRUCT_KEY(BgL_ufz00_1690) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19784 = ((bool_t) 0);
										}
									if (BgL_testz00_19784)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1692;
											obj_t BgL_runz00_1693;
											obj_t BgL_sfz00_1694;

											BgL_arityz00_1692 =
												STRUCT_REF(BgL_ufz00_1690, (int) (((long) 0)));
											BgL_runz00_1693 =
												STRUCT_REF(BgL_ufz00_1690, (int) (((long) 1)));
											BgL_sfz00_1694 =
												STRUCT_REF(BgL_ufz00_1690, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1692) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 851 */
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2210z00_1697;

														BgL_arg2210z00_1697 =
															((long) CINT(BgL_bpz00_1684) + ((long) 0));
														VECTOR_SET(BgL_sz00_1682,
															(int) (BgL_arg2210z00_1697), BgL_a1z00_1686);
													}
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2211z00_1698;

														BgL_arg2211z00_1698 =
															((long) CINT(BgL_bpz00_1684) + ((long) 1));
														VECTOR_SET(BgL_sz00_1682,
															(int) (BgL_arg2211z00_1698), BgL_a2z00_1687);
													}
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2212z00_1699;

														BgL_arg2212z00_1699 =
															((long) CINT(BgL_bpz00_1684) + ((long) 2));
														VECTOR_SET(BgL_sz00_1682,
															(int) (BgL_arg2212z00_1699), BgL_a3z00_1688);
												}}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													if (INTEGERP(BgL_arityz00_1692))
														{	/* Eval/evaluate_comp.scm 851 */
															switch ((long) CINT(BgL_arityz00_1692))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2215z00_1703;
																		obj_t BgL_arg2216z00_1704;

																		BgL_arg2215z00_1703 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2217z00_1705;

																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_arg2218z00_1706;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2219z00_1707;

																					BgL_arg2219z00_1707 =
																						MAKE_PAIR(BgL_a3z00_1688, BNIL);
																					BgL_arg2218z00_1706 =
																						MAKE_PAIR(BgL_a2z00_1687,
																						BgL_arg2219z00_1707);
																				}
																				BgL_list2217z00_1705 =
																					MAKE_PAIR(BgL_a1z00_1686,
																					BgL_arg2218z00_1706);
																			}
																			BgL_arg2216z00_1704 =
																				BgL_list2217z00_1705;
																		}
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2215z00_1703),
																			BgL_arg2216z00_1704);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2220z00_1708;

																		BgL_arg2220z00_1708 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2220z00_1708),
																			BgL_a1z00_1686);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2221z00_1709;
																		obj_t BgL_arg2222z00_1710;

																		BgL_arg2221z00_1709 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2223z00_1711;

																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_arg2227z00_1712;

																				BgL_arg2227z00_1712 =
																					MAKE_PAIR(BgL_a3z00_1688, BNIL);
																				BgL_list2223z00_1711 =
																					MAKE_PAIR(BgL_a2z00_1687,
																					BgL_arg2227z00_1712);
																			}
																			BgL_arg2222z00_1710 =
																				BgL_list2223z00_1711;
																		}
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2221z00_1709),
																			BgL_arg2222z00_1710);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2228z00_1713;

																		BgL_arg2228z00_1713 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2228z00_1713),
																			BgL_a1z00_1686);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2230z00_1714;

																		BgL_arg2230z00_1714 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2230z00_1714),
																			BgL_a2z00_1687);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2231z00_1715;
																		obj_t BgL_arg2233z00_1716;

																		BgL_arg2231z00_1715 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2234z00_1717;

																			BgL_list2234z00_1717 =
																				MAKE_PAIR(BgL_a3z00_1688, BNIL);
																			BgL_arg2233z00_1716 =
																				BgL_list2234z00_1717;
																		}
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2231z00_1715),
																			BgL_arg2233z00_1716);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2235z00_1718;

																		BgL_arg2235z00_1718 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2235z00_1718),
																			BgL_a1z00_1686);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2236z00_1719;

																		BgL_arg2236z00_1719 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2236z00_1719),
																			BgL_a2z00_1687);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2237z00_1720;

																		BgL_arg2237z00_1720 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2237z00_1720),
																			BgL_a3z00_1688);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2238z00_1721;

																		BgL_arg2238z00_1721 =
																			(
																			(long) CINT(BgL_bpz00_1684) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1682,
																			(int) (BgL_arg2238z00_1721), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15751,
																		STRUCT_REF(BgL_ufz00_1690,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_1692));
														}}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15751, STRUCT_REF(BgL_ufz00_1690,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_1692));
												}}
											{	/* Eval/evaluate_comp.scm 851 */
												obj_t BgL_auxz00_19870;

												BgL_auxz00_19870 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19870,
													BgL_locz00_15751);
											}
											{	/* Eval/evaluate_comp.scm 851 */
												bool_t BgL_testz00_19873;

												{	/* Eval/evaluate_comp.scm 851 */
													int BgL_arg1902z00_7679;

													BgL_arg1902z00_7679 = VECTOR_LENGTH(BgL_sz00_1682);
													BgL_testz00_19873 =
														(
														((long) CINT(BgL_bpz00_1684) +
															(long) CINT(BgL_sfz00_1694)) <
														(long) (BgL_arg1902z00_7679));
												}
												if (BgL_testz00_19873)
													{	/* Eval/evaluate_comp.scm 851 */
														return BgL_runz00_1693;
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_nsz00_1727;

														BgL_nsz00_1727 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2244z00_1729;

															BgL_arg2244z00_1729 =
																((long) CINT(BgL_bpz00_1684) + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1727, BINT(((long) 2)),
																BgL_sz00_1682, BgL_bpz00_1684,
																BINT(BgL_arg2244z00_1729));
														}
														VECTOR_SET(BgL_nsz00_1727,
															(int) (((long) 1)), BgL_sz00_1682);
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_auxz00_19888;

															BgL_auxz00_19888 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19888,
																BgL_nsz00_1727);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_val1201z00_1731;

															BgL_val1201z00_1731 =
																BGl_zc3exitza32250ze3z83zz__evaluate_compz00
																(BgL_nsz00_1727, BgL_runz00_1693);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_19892;

																BgL_auxz00_19892 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19892,
																	BgL_sz00_1682);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1201z00_1731)))
																{	/* Eval/evaluate_comp.scm 851 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1201z00_1731),
																		CDR(BgL_val1201z00_1731));
																}
															else
																{	/* Eval/evaluate_comp.scm 851 */
																	return BgL_val1201z00_1731;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1685,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1740;

													BgL_nbpz00_1740 =
														((long) CINT(BgL_bpz00_1684) + BgL_siza7eza7_15753);
													VECTOR_SET(BgL_sz00_1682,
														(int) (((long) 0)), BINT(BgL_nbpz00_1740));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1741;

														BgL_rz00_1741 =
															PROCEDURE_ENTRY(BgL_fz00_1685) (BgL_fz00_1685,
															BgL_a1z00_1686, BgL_a2z00_1687, BgL_a3z00_1688,
															BEOA);
														VECTOR_SET(BgL_sz00_1682, (int) (((long) 0)),
															BgL_bpz00_1684);
														return BgL_rz00_1741;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15751, BgL_symbzd2funzd2_15752,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1685));
		}}}}}}}}}
	}



/* <exit:2250> */
	obj_t BGl_zc3exitza32250ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17676,
		obj_t BgL_runz00_17675)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1202z00_1737;

			if (SET_EXIT(BgL_an_exit1202z00_1737))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1202z00_1737 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1202z00_1737, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1203z00_1738;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_7698;

								BgL_savedzd2bpzd2_7698 =
									VECTOR_REF(BgL_nsz00_17676, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17676,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7705;

									BgL_fz00_7705 = BgL_runz00_17675;
								BgL_recz00_7704:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_7706;

										BgL_rz00_7706 =
											PROCEDURE_ENTRY(BgL_fz00_7705) (BgL_fz00_7705,
											BgL_nsz00_17676, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_19932;

											if (PROCEDUREP(BgL_rz00_7706))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_7711;

													BgL_arg1893z00_7711 = PROCEDURE_ATTR(BgL_rz00_7706);
													if (STRUCTP(BgL_arg1893z00_7711))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19932 =
																(STRUCT_KEY(BgL_arg1893z00_7711) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_19932 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_19932 = ((bool_t) 0);
												}
											if (BgL_testz00_19932)
												{
													obj_t BgL_fz00_19940;

													BgL_fz00_19940 = BgL_rz00_7706;
													BgL_fz00_7705 = BgL_fz00_19940;
													goto BgL_recz00_7704;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17676,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7698);
													BgL_val1203z00_1738 = BgL_rz00_7706;
							}}}}}
							POP_EXIT();
							return BgL_val1203z00_1738;
						}
					}
				}
		}
	}



/* &<anonymous:2253> */
	obj_t BGl_z62zc3anonymousza32253ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15755, obj_t BgL_sz00_15763)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15756;
				obj_t BgL_a1z00_15757;
				obj_t BgL_a2z00_15758;
				obj_t BgL_a3z00_15759;
				obj_t BgL_locz00_15760;
				obj_t BgL_symbzd2funzd2_15761;
				long BgL_siza7eza7_15762;

				BgL_funz00_15756 = PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 0)));
				BgL_a1z00_15757 = PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 1)));
				BgL_a2z00_15758 = PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 2)));
				BgL_a3z00_15759 = PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 3)));
				BgL_locz00_15760 = PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 4)));
				BgL_symbzd2funzd2_15761 =
					PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 5)));
				BgL_siza7eza7_15762 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1743;

					BgL_sz00_1743 = BgL_sz00_15763;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1745;

						BgL_bpz00_1745 = VECTOR_REF(BgL_sz00_1743, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1746;
							obj_t BgL_a1z00_1747;
							obj_t BgL_a2z00_1748;
							obj_t BgL_a3z00_1749;

							BgL_fz00_1746 =
								PROCEDURE_ENTRY(BgL_funz00_15756) (BgL_funz00_15756,
								BgL_sz00_1743, BEOA);
							BgL_a1z00_1747 =
								PROCEDURE_ENTRY(BgL_a1z00_15757) (BgL_a1z00_15757,
								BgL_sz00_1743, BEOA);
							BgL_a2z00_1748 =
								PROCEDURE_ENTRY(BgL_a2z00_15758) (BgL_a2z00_15758,
								BgL_sz00_1743, BEOA);
							BgL_a3z00_1749 =
								PROCEDURE_ENTRY(BgL_a3z00_15759) (BgL_a3z00_15759,
								BgL_sz00_1743, BEOA);
							if (PROCEDUREP(BgL_fz00_1746))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15760,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1746);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1751;

								BgL_ufz00_1751 = PROCEDURE_ATTR(BgL_fz00_1746);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_19981;

									if (STRUCTP(BgL_ufz00_1751))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19981 =
												(STRUCT_KEY(BgL_ufz00_1751) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_19981 = ((bool_t) 0);
										}
									if (BgL_testz00_19981)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1753;
											obj_t BgL_runz00_1754;
											obj_t BgL_sfz00_1755;

											BgL_arityz00_1753 =
												STRUCT_REF(BgL_ufz00_1751, (int) (((long) 0)));
											BgL_runz00_1754 =
												STRUCT_REF(BgL_ufz00_1751, (int) (((long) 1)));
											BgL_sfz00_1755 =
												STRUCT_REF(BgL_ufz00_1751, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 851 */
												long BgL_spz00_1756;

												BgL_spz00_1756 =
													((long) CINT(BgL_bpz00_1745) + BgL_siza7eza7_15762);
												if (((long) CINT(BgL_arityz00_1753) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 851 */
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2257z00_1758;

															BgL_arg2257z00_1758 =
																(BgL_spz00_1756 + ((long) 0));
															VECTOR_SET(BgL_sz00_1743,
																(int) (BgL_arg2257z00_1758), BgL_a1z00_1747);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2258z00_1759;

															BgL_arg2258z00_1759 =
																(BgL_spz00_1756 + ((long) 1));
															VECTOR_SET(BgL_sz00_1743,
																(int) (BgL_arg2258z00_1759), BgL_a2z00_1748);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2259z00_1760;

															BgL_arg2259z00_1760 =
																(BgL_spz00_1756 + ((long) 2));
															VECTOR_SET(BgL_sz00_1743,
																(int) (BgL_arg2259z00_1760), BgL_a3z00_1749);
													}}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														if (INTEGERP(BgL_arityz00_1753))
															{	/* Eval/evaluate_comp.scm 851 */
																switch ((long) CINT(BgL_arityz00_1753))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2261z00_1764;
																			obj_t BgL_arg2262z00_1765;

																			BgL_arg2261z00_1764 =
																				(BgL_spz00_1756 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2263z00_1766;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2264z00_1767;

																					{	/* Eval/evaluate_comp.scm 851 */
																						obj_t BgL_arg2265z00_1768;

																						BgL_arg2265z00_1768 =
																							MAKE_PAIR(BgL_a3z00_1749, BNIL);
																						BgL_arg2264z00_1767 =
																							MAKE_PAIR(BgL_a2z00_1748,
																							BgL_arg2265z00_1768);
																					}
																					BgL_list2263z00_1766 =
																						MAKE_PAIR(BgL_a1z00_1747,
																						BgL_arg2264z00_1767);
																				}
																				BgL_arg2262z00_1765 =
																					BgL_list2263z00_1766;
																			}
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2261z00_1764),
																				BgL_arg2262z00_1765);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2266z00_1769;

																			BgL_arg2266z00_1769 =
																				(BgL_spz00_1756 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2266z00_1769),
																				BgL_a1z00_1747);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2267z00_1770;
																			obj_t BgL_arg2268z00_1771;

																			BgL_arg2267z00_1770 =
																				(BgL_spz00_1756 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2269z00_1772;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2270z00_1773;

																					BgL_arg2270z00_1773 =
																						MAKE_PAIR(BgL_a3z00_1749, BNIL);
																					BgL_list2269z00_1772 =
																						MAKE_PAIR(BgL_a2z00_1748,
																						BgL_arg2270z00_1773);
																				}
																				BgL_arg2268z00_1771 =
																					BgL_list2269z00_1772;
																			}
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2267z00_1770),
																				BgL_arg2268z00_1771);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2271z00_1774;

																			BgL_arg2271z00_1774 =
																				(BgL_spz00_1756 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2271z00_1774),
																				BgL_a1z00_1747);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2272z00_1775;

																			BgL_arg2272z00_1775 =
																				(BgL_spz00_1756 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2272z00_1775),
																				BgL_a2z00_1748);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2273z00_1776;
																			obj_t BgL_arg2274z00_1777;

																			BgL_arg2273z00_1776 =
																				(BgL_spz00_1756 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2275z00_1778;

																				BgL_list2275z00_1778 =
																					MAKE_PAIR(BgL_a3z00_1749, BNIL);
																				BgL_arg2274z00_1777 =
																					BgL_list2275z00_1778;
																			}
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2273z00_1776),
																				BgL_arg2274z00_1777);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2276z00_1779;

																			BgL_arg2276z00_1779 =
																				(BgL_spz00_1756 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2276z00_1779),
																				BgL_a1z00_1747);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2277z00_1780;

																			BgL_arg2277z00_1780 =
																				(BgL_spz00_1756 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2277z00_1780),
																				BgL_a2z00_1748);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2278z00_1781;

																			BgL_arg2278z00_1781 =
																				(BgL_spz00_1756 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2278z00_1781),
																				BgL_a3z00_1749);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2279z00_1782;

																			BgL_arg2279z00_1782 =
																				(BgL_spz00_1756 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1743,
																				(int) (BgL_arg2279z00_1782), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15760,
																			STRUCT_REF(BgL_ufz00_1751,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_1753));
															}}
														else
															{	/* Eval/evaluate_comp.scm 851 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15760, STRUCT_REF(BgL_ufz00_1751,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_1753));
													}}
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_auxz00_20056;

													BgL_auxz00_20056 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20056,
														BgL_locz00_15760);
												}
												{	/* Eval/evaluate_comp.scm 851 */
													bool_t BgL_testz00_20059;

													{	/* Eval/evaluate_comp.scm 851 */
														int BgL_arg1902z00_7865;

														BgL_arg1902z00_7865 = VECTOR_LENGTH(BgL_sz00_1743);
														BgL_testz00_20059 =
															(
															(BgL_spz00_1756 +
																(long) CINT(BgL_sfz00_1755)) <
															(long) (BgL_arg1902z00_7865));
													}
													if (BgL_testz00_20059)
														{	/* Eval/evaluate_comp.scm 851 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1754, BgL_sz00_1743,
																BINT(BgL_spz00_1756));
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_nsz00_1788;

															BgL_nsz00_1788 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 851 */
																long BgL_arg2284z00_1790;

																BgL_arg2284z00_1790 =
																	(BgL_spz00_1756 + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1788, BINT(((long) 2)),
																	BgL_sz00_1743, BINT(BgL_spz00_1756),
																	BINT(BgL_arg2284z00_1790));
															}
															VECTOR_SET(BgL_nsz00_1788,
																(int) (((long) 1)), BgL_sz00_1743);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_20075;

																BgL_auxz00_20075 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20075,
																	BgL_nsz00_1788);
															}
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_val1206z00_1792;

																BgL_val1206z00_1792 =
																	BGl_zc3exitza32290ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1788, BgL_runz00_1754);
																{	/* Eval/evaluate_comp.scm 851 */
																	obj_t BgL_auxz00_20079;

																	BgL_auxz00_20079 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20079,
																		BgL_sz00_1743);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1206z00_1792)))
																	{	/* Eval/evaluate_comp.scm 851 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1206z00_1792),
																			CDR(BgL_val1206z00_1792));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 851 */
																		return BgL_val1206z00_1792;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1746,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1801;

													BgL_nbpz00_1801 =
														((long) CINT(BgL_bpz00_1745) + BgL_siza7eza7_15762);
													VECTOR_SET(BgL_sz00_1743,
														(int) (((long) 0)), BINT(BgL_nbpz00_1801));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1802;

														BgL_rz00_1802 =
															PROCEDURE_ENTRY(BgL_fz00_1746) (BgL_fz00_1746,
															BgL_a1z00_1747, BgL_a2z00_1748, BgL_a3z00_1749,
															BEOA);
														VECTOR_SET(BgL_sz00_1743, (int) (((long) 0)),
															BgL_bpz00_1745);
														return BgL_rz00_1802;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15760, BgL_symbzd2funzd2_15761,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1746));
		}}}}}}}}}
	}



/* <exit:2290> */
	obj_t BGl_zc3exitza32290ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17674,
		obj_t BgL_runz00_17673)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1207z00_1798;

			if (SET_EXIT(BgL_an_exit1207z00_1798))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1207z00_1798 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1207z00_1798, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1208z00_1799;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_7883;

								BgL_savedzd2bpzd2_7883 =
									VECTOR_REF(BgL_nsz00_17674, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17674,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7890;

									BgL_fz00_7890 = BgL_runz00_17673;
								BgL_recz00_7889:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_7891;

										BgL_rz00_7891 =
											PROCEDURE_ENTRY(BgL_fz00_7890) (BgL_fz00_7890,
											BgL_nsz00_17674, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_20119;

											if (PROCEDUREP(BgL_rz00_7891))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_7896;

													BgL_arg1893z00_7896 = PROCEDURE_ATTR(BgL_rz00_7891);
													if (STRUCTP(BgL_arg1893z00_7896))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_20119 =
																(STRUCT_KEY(BgL_arg1893z00_7896) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_20119 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_20119 = ((bool_t) 0);
												}
											if (BgL_testz00_20119)
												{
													obj_t BgL_fz00_20127;

													BgL_fz00_20127 = BgL_rz00_7891;
													BgL_fz00_7890 = BgL_fz00_20127;
													goto BgL_recz00_7889;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17674,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7883);
													BgL_val1208z00_1799 = BgL_rz00_7891;
							}}}}}
							POP_EXIT();
							return BgL_val1208z00_1799;
						}
					}
				}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_cfunz00_1804;

				BgL_cfunz00_1804 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173,
					((long) 4), BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_1804))
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_zc3anonymousza32293ze3z83_15764;

						BgL_zc3anonymousza32293ze3z83_15764 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32293ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 6)));
						PROCEDURE_SET(BgL_zc3anonymousza32293ze3z83_15764,
							(int) (((long) 0)), BgL_a1z00_179);
						PROCEDURE_SET(BgL_zc3anonymousza32293ze3z83_15764,
							(int) (((long) 1)), BgL_a2z00_180);
						PROCEDURE_SET(BgL_zc3anonymousza32293ze3z83_15764,
							(int) (((long) 2)), BgL_a3z00_181);
						PROCEDURE_SET(BgL_zc3anonymousza32293ze3z83_15764,
							(int) (((long) 3)), BgL_a4z00_182);
						PROCEDURE_SET(BgL_zc3anonymousza32293ze3z83_15764,
							(int) (((long) 4)), BINT(BgL_siza7eza7_178));
						PROCEDURE_SET(BgL_zc3anonymousza32293ze3z83_15764,
							(int) (((long) 5)), BgL_cfunz00_1804);
						return BgL_zc3anonymousza32293ze3z83_15764;
					}
				else
					{	/* Eval/evaluate_comp.scm 851 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32294ze3z83_15765;

								BgL_zc3anonymousza32294ze3z83_15765 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32294ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32294ze3z83_15765,
									(int) (((long) 0)), BgL_funz00_175);
								PROCEDURE_SET(BgL_zc3anonymousza32294ze3z83_15765,
									(int) (((long) 1)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32294ze3z83_15765,
									(int) (((long) 2)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32294ze3z83_15765,
									(int) (((long) 3)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32294ze3z83_15765,
									(int) (((long) 4)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32294ze3z83_15765,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3anonymousza32294ze3z83_15765,
									(int) (((long) 6)), BgL_symbzd2funzd2_174);
								PROCEDURE_SET(BgL_zc3anonymousza32294ze3z83_15765,
									(int) (((long) 7)), BINT(BgL_siza7eza7_178));
								return BgL_zc3anonymousza32294ze3z83_15765;
							}
						else
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_zc3anonymousza32347ze3z83_15766;

								BgL_zc3anonymousza32347ze3z83_15766 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32347ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32347ze3z83_15766,
									(int) (((long) 0)), BgL_funz00_175);
								PROCEDURE_SET(BgL_zc3anonymousza32347ze3z83_15766,
									(int) (((long) 1)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32347ze3z83_15766,
									(int) (((long) 2)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32347ze3z83_15766,
									(int) (((long) 3)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32347ze3z83_15766,
									(int) (((long) 4)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32347ze3z83_15766,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3anonymousza32347ze3z83_15766,
									(int) (((long) 6)), BgL_symbzd2funzd2_174);
								PROCEDURE_SET(BgL_zc3anonymousza32347ze3z83_15766,
									(int) (((long) 7)), BINT(BgL_siza7eza7_178));
								return BgL_zc3anonymousza32347ze3z83_15766;
							}
					}
			}
		}
	}



/* &<anonymous:2293> */
	obj_t BGl_z62zc3anonymousza32293ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15767, obj_t BgL_sz00_15774)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_a1z00_15768;
				obj_t BgL_a2z00_15769;
				obj_t BgL_a3z00_15770;
				obj_t BgL_a4z00_15771;
				long BgL_siza7eza7_15772;
				obj_t BgL_cfunz00_15773;

				BgL_a1z00_15768 = PROCEDURE_REF(BgL_envz00_15767, (int) (((long) 0)));
				BgL_a2z00_15769 = PROCEDURE_REF(BgL_envz00_15767, (int) (((long) 1)));
				BgL_a3z00_15770 = PROCEDURE_REF(BgL_envz00_15767, (int) (((long) 2)));
				BgL_a4z00_15771 = PROCEDURE_REF(BgL_envz00_15767, (int) (((long) 3)));
				BgL_siza7eza7_15772 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15767, (int) (((long) 4))));
				BgL_cfunz00_15773 = PROCEDURE_REF(BgL_envz00_15767, (int) (((long) 5)));
				{
					obj_t BgL_sz00_1805;

					BgL_sz00_1805 = BgL_sz00_15774;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1807;

						BgL_bpz00_1807 = VECTOR_REF(BgL_sz00_1805, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_a1z00_1808;
							obj_t BgL_a2z00_1809;
							obj_t BgL_a3z00_1810;
							obj_t BgL_a4z00_1811;

							BgL_a1z00_1808 =
								PROCEDURE_ENTRY(BgL_a1z00_15768) (BgL_a1z00_15768,
								BgL_sz00_1805, BEOA);
							BgL_a2z00_1809 =
								PROCEDURE_ENTRY(BgL_a2z00_15769) (BgL_a2z00_15769,
								BgL_sz00_1805, BEOA);
							BgL_a3z00_1810 =
								PROCEDURE_ENTRY(BgL_a3z00_15770) (BgL_a3z00_15770,
								BgL_sz00_1805, BEOA);
							BgL_a4z00_1811 =
								PROCEDURE_ENTRY(BgL_a4z00_15771) (BgL_a4z00_15771,
								BgL_sz00_1805, BEOA);
							{	/* Eval/evaluate_comp.scm 851 */
								long BgL_nbpz00_1812;

								BgL_nbpz00_1812 =
									((long) CINT(BgL_bpz00_1807) + BgL_siza7eza7_15772);
								VECTOR_SET(BgL_sz00_1805,
									(int) (((long) 0)), BINT(BgL_nbpz00_1812));
								{	/* Eval/evaluate_comp.scm 851 */
									obj_t BgL_rz00_1813;

									BgL_rz00_1813 =
										PROCEDURE_ENTRY(BgL_cfunz00_15773) (BgL_cfunz00_15773,
										BgL_a1z00_1808, BgL_a2z00_1809, BgL_a3z00_1810,
										BgL_a4z00_1811, BEOA);
									VECTOR_SET(BgL_sz00_1805, (int) (((long) 0)), BgL_bpz00_1807);
									return BgL_rz00_1813;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2294> */
	obj_t BGl_z62zc3anonymousza32294ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15775, obj_t BgL_sz00_15784)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15776;
				obj_t BgL_a1z00_15777;
				obj_t BgL_a2z00_15778;
				obj_t BgL_a3z00_15779;
				obj_t BgL_a4z00_15780;
				obj_t BgL_locz00_15781;
				obj_t BgL_symbzd2funzd2_15782;
				long BgL_siza7eza7_15783;

				BgL_funz00_15776 = PROCEDURE_REF(BgL_envz00_15775, (int) (((long) 0)));
				BgL_a1z00_15777 = PROCEDURE_REF(BgL_envz00_15775, (int) (((long) 1)));
				BgL_a2z00_15778 = PROCEDURE_REF(BgL_envz00_15775, (int) (((long) 2)));
				BgL_a3z00_15779 = PROCEDURE_REF(BgL_envz00_15775, (int) (((long) 3)));
				BgL_a4z00_15780 = PROCEDURE_REF(BgL_envz00_15775, (int) (((long) 4)));
				BgL_locz00_15781 = PROCEDURE_REF(BgL_envz00_15775, (int) (((long) 5)));
				BgL_symbzd2funzd2_15782 =
					PROCEDURE_REF(BgL_envz00_15775, (int) (((long) 6)));
				BgL_siza7eza7_15783 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15775, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1814;

					BgL_sz00_1814 = BgL_sz00_15784;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1816;

						BgL_bpz00_1816 = VECTOR_REF(BgL_sz00_1814, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1817;
							obj_t BgL_a1z00_1818;
							obj_t BgL_a2z00_1819;
							obj_t BgL_a3z00_1820;
							obj_t BgL_a4z00_1821;

							BgL_fz00_1817 =
								PROCEDURE_ENTRY(BgL_funz00_15776) (BgL_funz00_15776,
								BgL_sz00_1814, BEOA);
							BgL_a1z00_1818 =
								PROCEDURE_ENTRY(BgL_a1z00_15777) (BgL_a1z00_15777,
								BgL_sz00_1814, BEOA);
							BgL_a2z00_1819 =
								PROCEDURE_ENTRY(BgL_a2z00_15778) (BgL_a2z00_15778,
								BgL_sz00_1814, BEOA);
							BgL_a3z00_1820 =
								PROCEDURE_ENTRY(BgL_a3z00_15779) (BgL_a3z00_15779,
								BgL_sz00_1814, BEOA);
							BgL_a4z00_1821 =
								PROCEDURE_ENTRY(BgL_a4z00_15780) (BgL_a4z00_15780,
								BgL_sz00_1814, BEOA);
							if (PROCEDUREP(BgL_fz00_1817))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15781,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1817);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1823;

								BgL_ufz00_1823 = PROCEDURE_ATTR(BgL_fz00_1817);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_20280;

									if (STRUCTP(BgL_ufz00_1823))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_20280 =
												(STRUCT_KEY(BgL_ufz00_1823) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_20280 = ((bool_t) 0);
										}
									if (BgL_testz00_20280)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1825;
											obj_t BgL_runz00_1826;
											obj_t BgL_sfz00_1827;

											BgL_arityz00_1825 =
												STRUCT_REF(BgL_ufz00_1823, (int) (((long) 0)));
											BgL_runz00_1826 =
												STRUCT_REF(BgL_ufz00_1823, (int) (((long) 1)));
											BgL_sfz00_1827 =
												STRUCT_REF(BgL_ufz00_1823, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1825) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 851 */
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2298z00_1830;

														BgL_arg2298z00_1830 =
															((long) CINT(BgL_bpz00_1816) + ((long) 0));
														VECTOR_SET(BgL_sz00_1814,
															(int) (BgL_arg2298z00_1830), BgL_a1z00_1818);
													}
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2299z00_1831;

														BgL_arg2299z00_1831 =
															((long) CINT(BgL_bpz00_1816) + ((long) 1));
														VECTOR_SET(BgL_sz00_1814,
															(int) (BgL_arg2299z00_1831), BgL_a2z00_1819);
													}
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2300z00_1832;

														BgL_arg2300z00_1832 =
															((long) CINT(BgL_bpz00_1816) + ((long) 2));
														VECTOR_SET(BgL_sz00_1814,
															(int) (BgL_arg2300z00_1832), BgL_a3z00_1820);
													}
													{	/* Eval/evaluate_comp.scm 851 */
														long BgL_arg2301z00_1833;

														BgL_arg2301z00_1833 =
															((long) CINT(BgL_bpz00_1816) + ((long) 3));
														VECTOR_SET(BgL_sz00_1814,
															(int) (BgL_arg2301z00_1833), BgL_a4z00_1821);
												}}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													if (INTEGERP(BgL_arityz00_1825))
														{	/* Eval/evaluate_comp.scm 851 */
															switch ((long) CINT(BgL_arityz00_1825))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2303z00_1837;
																		obj_t BgL_arg2304z00_1838;

																		BgL_arg2303z00_1837 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2305z00_1839;

																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_arg2307z00_1840;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2308z00_1841;

																					{	/* Eval/evaluate_comp.scm 851 */
																						obj_t BgL_arg2309z00_1842;

																						BgL_arg2309z00_1842 =
																							MAKE_PAIR(BgL_a4z00_1821, BNIL);
																						BgL_arg2308z00_1841 =
																							MAKE_PAIR(BgL_a3z00_1820,
																							BgL_arg2309z00_1842);
																					}
																					BgL_arg2307z00_1840 =
																						MAKE_PAIR(BgL_a2z00_1819,
																						BgL_arg2308z00_1841);
																				}
																				BgL_list2305z00_1839 =
																					MAKE_PAIR(BgL_a1z00_1818,
																					BgL_arg2307z00_1840);
																			}
																			BgL_arg2304z00_1838 =
																				BgL_list2305z00_1839;
																		}
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2303z00_1837),
																			BgL_arg2304z00_1838);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2310z00_1843;

																		BgL_arg2310z00_1843 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2310z00_1843),
																			BgL_a1z00_1818);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2311z00_1844;
																		obj_t BgL_arg2313z00_1845;

																		BgL_arg2311z00_1844 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2314z00_1846;

																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_arg2315z00_1847;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2316z00_1848;

																					BgL_arg2316z00_1848 =
																						MAKE_PAIR(BgL_a4z00_1821, BNIL);
																					BgL_arg2315z00_1847 =
																						MAKE_PAIR(BgL_a3z00_1820,
																						BgL_arg2316z00_1848);
																				}
																				BgL_list2314z00_1846 =
																					MAKE_PAIR(BgL_a2z00_1819,
																					BgL_arg2315z00_1847);
																			}
																			BgL_arg2313z00_1845 =
																				BgL_list2314z00_1846;
																		}
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2311z00_1844),
																			BgL_arg2313z00_1845);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2317z00_1849;

																		BgL_arg2317z00_1849 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2317z00_1849),
																			BgL_a1z00_1818);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2318z00_1850;

																		BgL_arg2318z00_1850 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2318z00_1850),
																			BgL_a2z00_1819);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2319z00_1851;
																		obj_t BgL_arg2320z00_1852;

																		BgL_arg2319z00_1851 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2321z00_1853;

																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_arg2322z00_1854;

																				BgL_arg2322z00_1854 =
																					MAKE_PAIR(BgL_a4z00_1821, BNIL);
																				BgL_list2321z00_1853 =
																					MAKE_PAIR(BgL_a3z00_1820,
																					BgL_arg2322z00_1854);
																			}
																			BgL_arg2320z00_1852 =
																				BgL_list2321z00_1853;
																		}
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2319z00_1851),
																			BgL_arg2320z00_1852);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2323z00_1855;

																		BgL_arg2323z00_1855 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2323z00_1855),
																			BgL_a1z00_1818);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2324z00_1856;

																		BgL_arg2324z00_1856 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2324z00_1856),
																			BgL_a2z00_1819);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2325z00_1857;

																		BgL_arg2325z00_1857 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2325z00_1857),
																			BgL_a3z00_1820);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2326z00_1858;
																		obj_t BgL_arg2327z00_1859;

																		BgL_arg2326z00_1858 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 851 */
																			obj_t BgL_list2328z00_1860;

																			BgL_list2328z00_1860 =
																				MAKE_PAIR(BgL_a4z00_1821, BNIL);
																			BgL_arg2327z00_1859 =
																				BgL_list2328z00_1860;
																		}
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2326z00_1858),
																			BgL_arg2327z00_1859);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2329z00_1861;

																		BgL_arg2329z00_1861 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2329z00_1861),
																			BgL_a1z00_1818);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2330z00_1862;

																		BgL_arg2330z00_1862 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2330z00_1862),
																			BgL_a2z00_1819);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2331z00_1863;

																		BgL_arg2331z00_1863 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2331z00_1863),
																			BgL_a3z00_1820);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2332z00_1864;

																		BgL_arg2332z00_1864 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2332z00_1864),
																			BgL_a4z00_1821);
																	}
																	{	/* Eval/evaluate_comp.scm 851 */
																		long BgL_arg2333z00_1865;

																		BgL_arg2333z00_1865 =
																			(
																			(long) CINT(BgL_bpz00_1816) + ((long) 4));
																		VECTOR_SET(BgL_sz00_1814,
																			(int) (BgL_arg2333z00_1865), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15781,
																		STRUCT_REF(BgL_ufz00_1823,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_1825));
														}}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15781, STRUCT_REF(BgL_ufz00_1823,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_1825));
												}}
											{	/* Eval/evaluate_comp.scm 851 */
												obj_t BgL_auxz00_20394;

												BgL_auxz00_20394 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20394,
													BgL_locz00_15781);
											}
											{	/* Eval/evaluate_comp.scm 851 */
												bool_t BgL_testz00_20397;

												{	/* Eval/evaluate_comp.scm 851 */
													int BgL_arg1902z00_8099;

													BgL_arg1902z00_8099 = VECTOR_LENGTH(BgL_sz00_1814);
													BgL_testz00_20397 =
														(
														((long) CINT(BgL_bpz00_1816) +
															(long) CINT(BgL_sfz00_1827)) <
														(long) (BgL_arg1902z00_8099));
												}
												if (BgL_testz00_20397)
													{	/* Eval/evaluate_comp.scm 851 */
														return BgL_runz00_1826;
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_nsz00_1871;

														BgL_nsz00_1871 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2338z00_1873;

															BgL_arg2338z00_1873 =
																((long) CINT(BgL_bpz00_1816) + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1871, BINT(((long) 2)),
																BgL_sz00_1814, BgL_bpz00_1816,
																BINT(BgL_arg2338z00_1873));
														}
														VECTOR_SET(BgL_nsz00_1871,
															(int) (((long) 1)), BgL_sz00_1814);
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_auxz00_20412;

															BgL_auxz00_20412 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_20412,
																BgL_nsz00_1871);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_val1211z00_1875;

															BgL_val1211z00_1875 =
																BGl_zc3exitza32344ze3z83zz__evaluate_compz00
																(BgL_nsz00_1871, BgL_runz00_1826);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_20416;

																BgL_auxz00_20416 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20416,
																	BgL_sz00_1814);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1211z00_1875)))
																{	/* Eval/evaluate_comp.scm 851 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1211z00_1875),
																		CDR(BgL_val1211z00_1875));
																}
															else
																{	/* Eval/evaluate_comp.scm 851 */
																	return BgL_val1211z00_1875;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1817,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1884;

													BgL_nbpz00_1884 =
														((long) CINT(BgL_bpz00_1816) + BgL_siza7eza7_15783);
													VECTOR_SET(BgL_sz00_1814,
														(int) (((long) 0)), BINT(BgL_nbpz00_1884));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1885;

														BgL_rz00_1885 =
															PROCEDURE_ENTRY(BgL_fz00_1817) (BgL_fz00_1817,
															BgL_a1z00_1818, BgL_a2z00_1819, BgL_a3z00_1820,
															BgL_a4z00_1821, BEOA);
														VECTOR_SET(BgL_sz00_1814, (int) (((long) 0)),
															BgL_bpz00_1816);
														return BgL_rz00_1885;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15781, BgL_symbzd2funzd2_15782,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1817));
		}}}}}}}}}
	}



/* <exit:2344> */
	obj_t BGl_zc3exitza32344ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17672,
		obj_t BgL_runz00_17671)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1212z00_1881;

			if (SET_EXIT(BgL_an_exit1212z00_1881))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1212z00_1881 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1212z00_1881, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1213z00_1882;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_8118;

								BgL_savedzd2bpzd2_8118 =
									VECTOR_REF(BgL_nsz00_17672, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17672,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_8125;

									BgL_fz00_8125 = BgL_runz00_17671;
								BgL_recz00_8124:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_8126;

										BgL_rz00_8126 =
											PROCEDURE_ENTRY(BgL_fz00_8125) (BgL_fz00_8125,
											BgL_nsz00_17672, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_20457;

											if (PROCEDUREP(BgL_rz00_8126))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_8131;

													BgL_arg1893z00_8131 = PROCEDURE_ATTR(BgL_rz00_8126);
													if (STRUCTP(BgL_arg1893z00_8131))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_20457 =
																(STRUCT_KEY(BgL_arg1893z00_8131) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_20457 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_20457 = ((bool_t) 0);
												}
											if (BgL_testz00_20457)
												{
													obj_t BgL_fz00_20465;

													BgL_fz00_20465 = BgL_rz00_8126;
													BgL_fz00_8125 = BgL_fz00_20465;
													goto BgL_recz00_8124;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17672,
														(int) (((long) 0)), BgL_savedzd2bpzd2_8118);
													BgL_val1213z00_1882 = BgL_rz00_8126;
							}}}}}
							POP_EXIT();
							return BgL_val1213z00_1882;
						}
					}
				}
		}
	}



/* &<anonymous:2347> */
	obj_t BGl_z62zc3anonymousza32347ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15785, obj_t BgL_sz00_15794)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			{	/* Eval/evaluate_comp.scm 851 */
				obj_t BgL_funz00_15786;
				obj_t BgL_a1z00_15787;
				obj_t BgL_a2z00_15788;
				obj_t BgL_a3z00_15789;
				obj_t BgL_a4z00_15790;
				obj_t BgL_locz00_15791;
				obj_t BgL_symbzd2funzd2_15792;
				long BgL_siza7eza7_15793;

				BgL_funz00_15786 = PROCEDURE_REF(BgL_envz00_15785, (int) (((long) 0)));
				BgL_a1z00_15787 = PROCEDURE_REF(BgL_envz00_15785, (int) (((long) 1)));
				BgL_a2z00_15788 = PROCEDURE_REF(BgL_envz00_15785, (int) (((long) 2)));
				BgL_a3z00_15789 = PROCEDURE_REF(BgL_envz00_15785, (int) (((long) 3)));
				BgL_a4z00_15790 = PROCEDURE_REF(BgL_envz00_15785, (int) (((long) 4)));
				BgL_locz00_15791 = PROCEDURE_REF(BgL_envz00_15785, (int) (((long) 5)));
				BgL_symbzd2funzd2_15792 =
					PROCEDURE_REF(BgL_envz00_15785, (int) (((long) 6)));
				BgL_siza7eza7_15793 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15785, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1887;

					BgL_sz00_1887 = BgL_sz00_15794;
					{	/* Eval/evaluate_comp.scm 851 */
						obj_t BgL_bpz00_1889;

						BgL_bpz00_1889 = VECTOR_REF(BgL_sz00_1887, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_fz00_1890;
							obj_t BgL_a1z00_1891;
							obj_t BgL_a2z00_1892;
							obj_t BgL_a3z00_1893;
							obj_t BgL_a4z00_1894;

							BgL_fz00_1890 =
								PROCEDURE_ENTRY(BgL_funz00_15786) (BgL_funz00_15786,
								BgL_sz00_1887, BEOA);
							BgL_a1z00_1891 =
								PROCEDURE_ENTRY(BgL_a1z00_15787) (BgL_a1z00_15787,
								BgL_sz00_1887, BEOA);
							BgL_a2z00_1892 =
								PROCEDURE_ENTRY(BgL_a2z00_15788) (BgL_a2z00_15788,
								BgL_sz00_1887, BEOA);
							BgL_a3z00_1893 =
								PROCEDURE_ENTRY(BgL_a3z00_15789) (BgL_a3z00_15789,
								BgL_sz00_1887, BEOA);
							BgL_a4z00_1894 =
								PROCEDURE_ENTRY(BgL_a4z00_15790) (BgL_a4z00_15790,
								BgL_sz00_1887, BEOA);
							if (PROCEDUREP(BgL_fz00_1890))
								{	/* Eval/evaluate_comp.scm 851 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 851 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15791,
										BGl_string5543z00zz__evaluate_compz00,
										BGl_string5559z00zz__evaluate_compz00, BgL_fz00_1890);
								}
							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_ufz00_1896;

								BgL_ufz00_1896 = PROCEDURE_ATTR(BgL_fz00_1890);
								{	/* Eval/evaluate_comp.scm 851 */
									bool_t BgL_testz00_20512;

									if (STRUCTP(BgL_ufz00_1896))
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_20512 =
												(STRUCT_KEY(BgL_ufz00_1896) ==
												BGl_symbol5560z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											BgL_testz00_20512 = ((bool_t) 0);
										}
									if (BgL_testz00_20512)
										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_arityz00_1898;
											obj_t BgL_runz00_1899;
											obj_t BgL_sfz00_1900;

											BgL_arityz00_1898 =
												STRUCT_REF(BgL_ufz00_1896, (int) (((long) 0)));
											BgL_runz00_1899 =
												STRUCT_REF(BgL_ufz00_1896, (int) (((long) 1)));
											BgL_sfz00_1900 =
												STRUCT_REF(BgL_ufz00_1896, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 851 */
												long BgL_spz00_1901;

												BgL_spz00_1901 =
													((long) CINT(BgL_bpz00_1889) + BgL_siza7eza7_15793);
												if (((long) CINT(BgL_arityz00_1898) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 851 */
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2351z00_1903;

															BgL_arg2351z00_1903 =
																(BgL_spz00_1901 + ((long) 0));
															VECTOR_SET(BgL_sz00_1887,
																(int) (BgL_arg2351z00_1903), BgL_a1z00_1891);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2352z00_1904;

															BgL_arg2352z00_1904 =
																(BgL_spz00_1901 + ((long) 1));
															VECTOR_SET(BgL_sz00_1887,
																(int) (BgL_arg2352z00_1904), BgL_a2z00_1892);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2353z00_1905;

															BgL_arg2353z00_1905 =
																(BgL_spz00_1901 + ((long) 2));
															VECTOR_SET(BgL_sz00_1887,
																(int) (BgL_arg2353z00_1905), BgL_a3z00_1893);
														}
														{	/* Eval/evaluate_comp.scm 851 */
															long BgL_arg2354z00_1906;

															BgL_arg2354z00_1906 =
																(BgL_spz00_1901 + ((long) 3));
															VECTOR_SET(BgL_sz00_1887,
																(int) (BgL_arg2354z00_1906), BgL_a4z00_1894);
													}}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														if (INTEGERP(BgL_arityz00_1898))
															{	/* Eval/evaluate_comp.scm 851 */
																switch ((long) CINT(BgL_arityz00_1898))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2356z00_1910;
																			obj_t BgL_arg2357z00_1911;

																			BgL_arg2356z00_1910 =
																				(BgL_spz00_1901 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2358z00_1912;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2359z00_1913;

																					{	/* Eval/evaluate_comp.scm 851 */
																						obj_t BgL_arg2360z00_1914;

																						{	/* Eval/evaluate_comp.scm 851 */
																							obj_t BgL_arg2361z00_1915;

																							BgL_arg2361z00_1915 =
																								MAKE_PAIR(BgL_a4z00_1894, BNIL);
																							BgL_arg2360z00_1914 =
																								MAKE_PAIR(BgL_a3z00_1893,
																								BgL_arg2361z00_1915);
																						}
																						BgL_arg2359z00_1913 =
																							MAKE_PAIR(BgL_a2z00_1892,
																							BgL_arg2360z00_1914);
																					}
																					BgL_list2358z00_1912 =
																						MAKE_PAIR(BgL_a1z00_1891,
																						BgL_arg2359z00_1913);
																				}
																				BgL_arg2357z00_1911 =
																					BgL_list2358z00_1912;
																			}
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2356z00_1910),
																				BgL_arg2357z00_1911);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2362z00_1916;

																			BgL_arg2362z00_1916 =
																				(BgL_spz00_1901 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2362z00_1916),
																				BgL_a1z00_1891);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2363z00_1917;
																			obj_t BgL_arg2364z00_1918;

																			BgL_arg2363z00_1917 =
																				(BgL_spz00_1901 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2365z00_1919;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2366z00_1920;

																					{	/* Eval/evaluate_comp.scm 851 */
																						obj_t BgL_arg2367z00_1921;

																						BgL_arg2367z00_1921 =
																							MAKE_PAIR(BgL_a4z00_1894, BNIL);
																						BgL_arg2366z00_1920 =
																							MAKE_PAIR(BgL_a3z00_1893,
																							BgL_arg2367z00_1921);
																					}
																					BgL_list2365z00_1919 =
																						MAKE_PAIR(BgL_a2z00_1892,
																						BgL_arg2366z00_1920);
																				}
																				BgL_arg2364z00_1918 =
																					BgL_list2365z00_1919;
																			}
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2363z00_1917),
																				BgL_arg2364z00_1918);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2368z00_1922;

																			BgL_arg2368z00_1922 =
																				(BgL_spz00_1901 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2368z00_1922),
																				BgL_a1z00_1891);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2369z00_1923;

																			BgL_arg2369z00_1923 =
																				(BgL_spz00_1901 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2369z00_1923),
																				BgL_a2z00_1892);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2370z00_1924;
																			obj_t BgL_arg2371z00_1925;

																			BgL_arg2370z00_1924 =
																				(BgL_spz00_1901 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2372z00_1926;

																				{	/* Eval/evaluate_comp.scm 851 */
																					obj_t BgL_arg2373z00_1927;

																					BgL_arg2373z00_1927 =
																						MAKE_PAIR(BgL_a4z00_1894, BNIL);
																					BgL_list2372z00_1926 =
																						MAKE_PAIR(BgL_a3z00_1893,
																						BgL_arg2373z00_1927);
																				}
																				BgL_arg2371z00_1925 =
																					BgL_list2372z00_1926;
																			}
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2370z00_1924),
																				BgL_arg2371z00_1925);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2374z00_1928;

																			BgL_arg2374z00_1928 =
																				(BgL_spz00_1901 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2374z00_1928),
																				BgL_a1z00_1891);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2375z00_1929;

																			BgL_arg2375z00_1929 =
																				(BgL_spz00_1901 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2375z00_1929),
																				BgL_a2z00_1892);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2376z00_1930;

																			BgL_arg2376z00_1930 =
																				(BgL_spz00_1901 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2376z00_1930),
																				BgL_a3z00_1893);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2378z00_1931;
																			obj_t BgL_arg2379z00_1932;

																			BgL_arg2378z00_1931 =
																				(BgL_spz00_1901 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 851 */
																				obj_t BgL_list2380z00_1933;

																				BgL_list2380z00_1933 =
																					MAKE_PAIR(BgL_a4z00_1894, BNIL);
																				BgL_arg2379z00_1932 =
																					BgL_list2380z00_1933;
																			}
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2378z00_1931),
																				BgL_arg2379z00_1932);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2381z00_1934;

																			BgL_arg2381z00_1934 =
																				(BgL_spz00_1901 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2381z00_1934),
																				BgL_a1z00_1891);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2382z00_1935;

																			BgL_arg2382z00_1935 =
																				(BgL_spz00_1901 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2382z00_1935),
																				BgL_a2z00_1892);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2383z00_1936;

																			BgL_arg2383z00_1936 =
																				(BgL_spz00_1901 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2383z00_1936),
																				BgL_a3z00_1893);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2384z00_1937;

																			BgL_arg2384z00_1937 =
																				(BgL_spz00_1901 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2384z00_1937),
																				BgL_a4z00_1894);
																		}
																		{	/* Eval/evaluate_comp.scm 851 */
																			long BgL_arg2385z00_1938;

																			BgL_arg2385z00_1938 =
																				(BgL_spz00_1901 + ((long) 4));
																			VECTOR_SET(BgL_sz00_1887,
																				(int) (BgL_arg2385z00_1938), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15791,
																			STRUCT_REF(BgL_ufz00_1896,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_1898));
															}}
														else
															{	/* Eval/evaluate_comp.scm 851 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15791, STRUCT_REF(BgL_ufz00_1896,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_1898));
													}}
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_auxz00_20609;

													BgL_auxz00_20609 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20609,
														BgL_locz00_15791);
												}
												{	/* Eval/evaluate_comp.scm 851 */
													bool_t BgL_testz00_20612;

													{	/* Eval/evaluate_comp.scm 851 */
														int BgL_arg1902z00_8323;

														BgL_arg1902z00_8323 = VECTOR_LENGTH(BgL_sz00_1887);
														BgL_testz00_20612 =
															(
															(BgL_spz00_1901 +
																(long) CINT(BgL_sfz00_1900)) <
															(long) (BgL_arg1902z00_8323));
													}
													if (BgL_testz00_20612)
														{	/* Eval/evaluate_comp.scm 851 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1899, BgL_sz00_1887,
																BINT(BgL_spz00_1901));
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															obj_t BgL_nsz00_1944;

															BgL_nsz00_1944 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 851 */
																long BgL_arg2390z00_1946;

																BgL_arg2390z00_1946 =
																	(BgL_spz00_1901 + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1944, BINT(((long) 2)),
																	BgL_sz00_1887, BINT(BgL_spz00_1901),
																	BINT(BgL_arg2390z00_1946));
															}
															VECTOR_SET(BgL_nsz00_1944,
																(int) (((long) 1)), BgL_sz00_1887);
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_auxz00_20628;

																BgL_auxz00_20628 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20628,
																	BgL_nsz00_1944);
															}
															{	/* Eval/evaluate_comp.scm 851 */
																obj_t BgL_val1216z00_1948;

																BgL_val1216z00_1948 =
																	BGl_zc3exitza32396ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1944, BgL_runz00_1899);
																{	/* Eval/evaluate_comp.scm 851 */
																	obj_t BgL_auxz00_20632;

																	BgL_auxz00_20632 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20632,
																		BgL_sz00_1887);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1216z00_1948)))
																	{	/* Eval/evaluate_comp.scm 851 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1216z00_1948),
																			CDR(BgL_val1216z00_1948));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 851 */
																		return BgL_val1216z00_1948;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 851 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1890,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 851 */
													long BgL_nbpz00_1957;

													BgL_nbpz00_1957 =
														((long) CINT(BgL_bpz00_1889) + BgL_siza7eza7_15793);
													VECTOR_SET(BgL_sz00_1887,
														(int) (((long) 0)), BINT(BgL_nbpz00_1957));
													{	/* Eval/evaluate_comp.scm 851 */
														obj_t BgL_rz00_1958;

														BgL_rz00_1958 =
															PROCEDURE_ENTRY(BgL_fz00_1890) (BgL_fz00_1890,
															BgL_a1z00_1891, BgL_a2z00_1892, BgL_a3z00_1893,
															BgL_a4z00_1894, BEOA);
														VECTOR_SET(BgL_sz00_1887, (int) (((long) 0)),
															BgL_bpz00_1889);
														return BgL_rz00_1958;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15791, BgL_symbzd2funzd2_15792,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1890));
		}}}}}}}}}
	}



/* <exit:2396> */
	obj_t BGl_zc3exitza32396ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17670,
		obj_t BgL_runz00_17669)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 851 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1217z00_1954;

			if (SET_EXIT(BgL_an_exit1217z00_1954))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1217z00_1954 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 851 */

						PUSH_EXIT(BgL_an_exit1217z00_1954, ((long) 0));
						{	/* Eval/evaluate_comp.scm 851 */
							obj_t BgL_val1218z00_1955;

							{	/* Eval/evaluate_comp.scm 851 */
								obj_t BgL_savedzd2bpzd2_8341;

								BgL_savedzd2bpzd2_8341 =
									VECTOR_REF(BgL_nsz00_17670, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17670,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_8348;

									BgL_fz00_8348 = BgL_runz00_17669;
								BgL_recz00_8347:
									{	/* Eval/evaluate_comp.scm 851 */
										obj_t BgL_rz00_8349;

										BgL_rz00_8349 =
											PROCEDURE_ENTRY(BgL_fz00_8348) (BgL_fz00_8348,
											BgL_nsz00_17670, BEOA);
										{	/* Eval/evaluate_comp.scm 851 */
											bool_t BgL_testz00_20673;

											if (PROCEDUREP(BgL_rz00_8349))
												{	/* Eval/evaluate_comp.scm 851 */
													obj_t BgL_arg1893z00_8354;

													BgL_arg1893z00_8354 = PROCEDURE_ATTR(BgL_rz00_8349);
													if (STRUCTP(BgL_arg1893z00_8354))
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_20673 =
																(STRUCT_KEY(BgL_arg1893z00_8354) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 851 */
															BgL_testz00_20673 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													BgL_testz00_20673 = ((bool_t) 0);
												}
											if (BgL_testz00_20673)
												{
													obj_t BgL_fz00_20681;

													BgL_fz00_20681 = BgL_rz00_8349;
													BgL_fz00_8348 = BgL_fz00_20681;
													goto BgL_recz00_8347;
												}
											else
												{	/* Eval/evaluate_comp.scm 851 */
													VECTOR_SET(BgL_nsz00_17670,
														(int) (((long) 0)), BgL_savedzd2bpzd2_8341);
													BgL_val1218z00_1955 = BgL_rz00_8349;
							}}}}}
							POP_EXIT();
							return BgL_val1218z00_1955;
						}
					}
				}
		}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 854 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 857 */
					BgL_ev_globalz00_bglt BgL_i1219z00_1961;

					BgL_i1219z00_1961 = ((BgL_ev_globalz00_bglt) BgL_funz00_183);
					{	/* Eval/evaluate_comp.scm 858 */
						obj_t BgL_gz00_1962;

						BgL_gz00_1962 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1219z00_1961))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1219z00_1961))->BgL_namez00));
						if (CBOOL(BgL_gz00_1962))
							{	/* Eval/evaluate_comp.scm 860 */
								bool_t BgL_testz00_20694;

								{	/* Eval/evaluate_comp.scm 860 */
									int BgL_arg2403z00_1967;

									{	/* Eval/evaluate_comp.scm 860 */
										int BgL_res4700z00_8381;

										{	/* Eval/evaluate_comp.scm 860 */
											obj_t BgL_evalzd2globalzd2_8378;

											BgL_evalzd2globalzd2_8378 = BgL_gz00_1962;
											{	/* Eval/evaluate_comp.scm 860 */
												int BgL_kz00_8380;

												BgL_kz00_8380 = (int) (((long) 0));
												BgL_res4700z00_8381 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_8378,
														BgL_kz00_8380));
										}}
										BgL_arg2403z00_1967 = BgL_res4700z00_8381;
									}
									BgL_testz00_20694 =
										((long) (BgL_arg2403z00_1967) == ((long) 0));
								}
								if (BgL_testz00_20694)
									{	/* Eval/evaluate_comp.scm 861 */
										obj_t BgL_valz00_1964;

										BgL_valz00_1964 =
											VECTOR_REF(BgL_gz00_1962, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 862 */
											bool_t BgL_testz00_20702;

											if (PROCEDUREP(BgL_valz00_1964))
												{	/* Eval/evaluate_comp.scm 862 */
													BgL_testz00_20702 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_1964,
														(int) (BgL_nbargsz00_184));
												}
											else
												{	/* Eval/evaluate_comp.scm 862 */
													BgL_testz00_20702 = ((bool_t) 0);
												}
											if (BgL_testz00_20702)
												{	/* Eval/evaluate_comp.scm 862 */
													return BgL_valz00_1964;
												}
											else
												{	/* Eval/evaluate_comp.scm 862 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 860 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 859 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 865 */
					bool_t BgL_testz00_20707;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 866 */
							obj_t BgL_auxz00_20711;

							BgL_auxz00_20711 =
								(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
							BgL_testz00_20707 = PROCEDUREP(BgL_auxz00_20711);
						}
					else
						{	/* Eval/evaluate_comp.scm 865 */
							BgL_testz00_20707 = ((bool_t) 0);
						}
					if (BgL_testz00_20707)
						{	/* Eval/evaluate_comp.scm 867 */
							BgL_ev_littz00_bglt BgL_i1221z00_1971;

							BgL_i1221z00_1971 = ((BgL_ev_littz00_bglt) BgL_funz00_183);
							if (PROCEDURE_CORRECT_ARITYP(
									(((BgL_ev_littz00_bglt) CREF(BgL_i1221z00_1971))->
										BgL_valuez00), (int) (BgL_nbargsz00_184)))
								{	/* Eval/evaluate_comp.scm 868 */
									return
										(((BgL_ev_littz00_bglt) CREF(BgL_i1221z00_1971))->
										BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 868 */
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
										BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
										PROCEDURE_ARITY((((BgL_ev_littz00_bglt)
													CREF(BgL_i1221z00_1971))->BgL_valuez00)));
						}}
					else
						{	/* Eval/evaluate_comp.scm 865 */
							return BFALSE;
						}
				}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 873 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 878 */
					BgL_ev_littz00_bglt BgL_i1222z00_1981;

					BgL_i1222z00_1981 = ((BgL_ev_littz00_bglt) BgL_exprz00_187);
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) CREF(BgL_i1222z00_1981))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_v1604z00_1983;

							BgL_v1604z00_1983 = create_vector((int) (((long) 2)));
							{	/* Eval/evaluate_comp.scm 879 */
								double BgL_arg2416z00_1984;

								BgL_arg2416z00_1984 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) CREF(BgL_i1222z00_1981))->
											BgL_valuez00)));
								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_kz00_8397;
									obj_t BgL_objz00_8398;

									BgL_kz00_8397 = (int) (((long) 1));
									BgL_objz00_8398 = DOUBLE_TO_REAL(BgL_arg2416z00_1984);
									VECTOR_SET(BgL_v1604z00_1983, BgL_kz00_8397, BgL_objz00_8398);
							}}
							VECTOR_SET(BgL_v1604z00_1983,
								(int) (((long) 0)), BINT(((long) 1)));
							return BgL_v1604z00_1983;
						}
					else
						{	/* Eval/evaluate_comp.scm 880 */
							bool_t BgL_testz00_20742;

							{	/* Eval/evaluate_comp.scm 880 */
								obj_t BgL_auxz00_20743;

								BgL_auxz00_20743 =
									(((BgL_ev_littz00_bglt) CREF(BgL_i1222z00_1981))->
									BgL_valuez00);
								BgL_testz00_20742 = REALP(BgL_auxz00_20743);
							}
							if (BgL_testz00_20742)
								{	/* Eval/evaluate_comp.scm 880 */
									obj_t BgL_v1605z00_1987;

									BgL_v1605z00_1987 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1605z00_1987,
										(int) (((long) 1)),
										(((BgL_ev_littz00_bglt) CREF(BgL_i1222z00_1981))->
											BgL_valuez00));
									VECTOR_SET(BgL_v1605z00_1987, (int) (((long) 0)),
										BINT(((long) 1)));
									return BgL_v1605z00_1987;
								}
							else
								{	/* Eval/evaluate_comp.scm 881 */
									obj_t BgL_v1606z00_1989;

									BgL_v1606z00_1989 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 881 */
										obj_t BgL_arg2420z00_1990;

										BgL_arg2420z00_1990 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_187)),
											BgL_stkz00_188);
										VECTOR_SET(BgL_v1606z00_1989, (int) (((long) 1)),
											BgL_arg2420z00_1990);
									}
									VECTOR_SET(BgL_v1606z00_1989,
										(int) (((long) 0)), BINT(((long) 0)));
									return BgL_v1606z00_1989;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 877 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 883 */
							BgL_ev_varz00_bglt BgL_i1223z00_1994;

							BgL_i1223z00_1994 = ((BgL_ev_varz00_bglt) BgL_exprz00_187);
							if (CBOOL(
									(((BgL_ev_varz00_bglt) CREF(BgL_i1223z00_1994))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 885 */
									obj_t BgL_v1607z00_1996;

									BgL_v1607z00_1996 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1607z00_1996,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									VECTOR_SET(BgL_v1607z00_1996, (int) (((long) 0)),
										BINT(((long) 3)));
									return BgL_v1607z00_1996;
								}
							else
								{	/* Eval/evaluate_comp.scm 886 */
									obj_t BgL_v1608z00_1998;

									BgL_v1608z00_1998 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1608z00_1998,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									VECTOR_SET(BgL_v1608z00_1998, (int) (((long) 0)),
										BINT(((long) 2)));
									return BgL_v1608z00_1998;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 882 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 888 */
									BgL_ev_globalz00_bglt BgL_i1224z00_2001;

									BgL_i1224z00_2001 = ((BgL_ev_globalz00_bglt) BgL_exprz00_187);
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_gz00_2002;

										BgL_gz00_2002 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1224z00_2001))->
												BgL_modz00),
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1224z00_2001))->
												BgL_namez00));
										if (CBOOL(BgL_gz00_2002))
											{	/* Eval/evaluate_comp.scm 891 */
												bool_t BgL_testz00_20794;

												{	/* Eval/evaluate_comp.scm 891 */
													int BgL_arg2429z00_2006;

													{	/* Eval/evaluate_comp.scm 891 */
														int BgL_res4707z00_8431;

														{	/* Eval/evaluate_comp.scm 891 */
															obj_t BgL_evalzd2globalzd2_8428;

															BgL_evalzd2globalzd2_8428 = BgL_gz00_2002;
															{	/* Eval/evaluate_comp.scm 891 */
																int BgL_kz00_8430;

																BgL_kz00_8430 = (int) (((long) 0));
																BgL_res4707z00_8431 =
																	CINT(VECTOR_REF(BgL_evalzd2globalzd2_8428,
																		BgL_kz00_8430));
														}}
														BgL_arg2429z00_2006 = BgL_res4707z00_8431;
													}
													BgL_testz00_20794 =
														(BINT(BgL_arg2429z00_2006) == BINT(((long) 1)));
												}
												if (BgL_testz00_20794)
													{	/* Eval/evaluate_comp.scm 892 */
														obj_t BgL_v1609z00_2004;

														BgL_v1609z00_2004 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1609z00_2004,
															(int) (((long) 1)), BgL_gz00_2002);
														VECTOR_SET(BgL_v1609z00_2004,
															(int) (((long) 0)), BINT(((long) 4)));
														return BgL_v1609z00_2004;
													}
												else
													{	/* Eval/evaluate_comp.scm 893 */
														obj_t BgL_v1610z00_2005;

														BgL_v1610z00_2005 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1610z00_2005,
															(int) (((long) 1)), BgL_gz00_2002);
														VECTOR_SET(BgL_v1610z00_2005,
															(int) (((long) 0)), BINT(((long) 5)));
														return BgL_v1610z00_2005;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 894 */
												obj_t BgL_v1611z00_2007;

												BgL_v1611z00_2007 = create_vector((int) (((long) 2)));
												{	/* Eval/evaluate_comp.scm 894 */
													obj_t BgL_arg2430z00_2008;

													BgL_arg2430z00_2008 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt)
															((BgL_ev_globalz00_bglt) BgL_exprz00_187)),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1611z00_2007, (int) (((long) 1)),
														BgL_arg2430z00_2008);
												}
												VECTOR_SET(BgL_v1611z00_2007,
													(int) (((long) 0)), BINT(((long) 0)));
												return BgL_v1611z00_2007;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 887 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 896 */
											BgL_ev_appz00_bglt BgL_i1225z00_2012;

											BgL_i1225z00_2012 =
												((BgL_ev_appz00_bglt) BgL_exprz00_187);
											{	/* Eval/evaluate_comp.scm 897 */
												obj_t BgL_fvalz00_2013;

												BgL_fvalz00_2013 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1225z00_2012))->
														BgL_funz00));
												if ((BgL_fvalz00_2013 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 900 */
														obj_t BgL_v1612z00_2015;

														BgL_v1612z00_2015 =
															create_vector((int) (((long) 3)));
														{	/* Eval/evaluate_comp.scm 900 */
															obj_t BgL_arg2435z00_2016;

															{	/* Eval/evaluate_comp.scm 900 */
																obj_t BgL_arg2437z00_2017;

																{	/* Eval/evaluate_comp.scm 900 */
																	obj_t BgL_pairz00_8450;

																	BgL_pairz00_8450 =
																		(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1225z00_2012))->BgL_argsz00);
																	BgL_arg2437z00_2017 =
																		CAR(CDR(BgL_pairz00_8450));
																}
																BgL_arg2435z00_2016 =
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(BgL_arg2437z00_2017, BgL_stkz00_188);
															}
															VECTOR_SET(BgL_v1612z00_2015,
																(int) (((long) 2)), BgL_arg2435z00_2016);
														}
														VECTOR_SET(BgL_v1612z00_2015,
															(int) (((long) 1)),
															BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
															(CAR((((BgL_ev_appz00_bglt)
																			CREF(BgL_i1225z00_2012))->BgL_argsz00)),
																BgL_stkz00_188));
														VECTOR_SET(BgL_v1612z00_2015, (int) (((long) 0)),
															BINT(((long) 6)));
														return BgL_v1612z00_2015;
													}
												else
													{	/* Eval/evaluate_comp.scm 899 */
														if (
															(BgL_fvalz00_2013 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 902 */
																obj_t BgL_v1613z00_2023;

																BgL_v1613z00_2023 =
																	create_vector((int) (((long) 3)));
																{	/* Eval/evaluate_comp.scm 902 */
																	obj_t BgL_arg2444z00_2024;

																	{	/* Eval/evaluate_comp.scm 902 */
																		obj_t BgL_arg2445z00_2025;

																		{	/* Eval/evaluate_comp.scm 902 */
																			obj_t BgL_pairz00_8466;

																			BgL_pairz00_8466 =
																				(((BgL_ev_appz00_bglt)
																					CREF(BgL_i1225z00_2012))->
																				BgL_argsz00);
																			BgL_arg2445z00_2025 =
																				CAR(CDR(BgL_pairz00_8466));
																		}
																		BgL_arg2444z00_2024 =
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(BgL_arg2445z00_2025, BgL_stkz00_188);
																	}
																	VECTOR_SET(BgL_v1613z00_2023,
																		(int) (((long) 2)), BgL_arg2444z00_2024);
																}
																VECTOR_SET(BgL_v1613z00_2023,
																	(int) (((long) 1)),
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(CAR((((BgL_ev_appz00_bglt)
																					CREF(BgL_i1225z00_2012))->
																				BgL_argsz00)), BgL_stkz00_188));
																VECTOR_SET(BgL_v1613z00_2023,
																	(int) (((long) 0)), BINT(((long) 7)));
																return BgL_v1613z00_2023;
															}
														else
															{	/* Eval/evaluate_comp.scm 901 */
																if (
																	(BgL_fvalz00_2013 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 904 */
																		obj_t BgL_v1614z00_2031;

																		BgL_v1614z00_2031 =
																			create_vector((int) (((long) 3)));
																		{	/* Eval/evaluate_comp.scm 904 */
																			obj_t BgL_arg2451z00_2032;

																			{	/* Eval/evaluate_comp.scm 904 */
																				obj_t BgL_arg2452z00_2033;

																				{	/* Eval/evaluate_comp.scm 904 */
																					obj_t BgL_pairz00_8482;

																					BgL_pairz00_8482 =
																						(((BgL_ev_appz00_bglt)
																							CREF(BgL_i1225z00_2012))->
																						BgL_argsz00);
																					BgL_arg2452z00_2033 =
																						CAR(CDR(BgL_pairz00_8482));
																				}
																				BgL_arg2451z00_2032 =
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(BgL_arg2452z00_2033, BgL_stkz00_188);
																			}
																			VECTOR_SET(BgL_v1614z00_2031,
																				(int) (((long) 2)),
																				BgL_arg2451z00_2032);
																		}
																		VECTOR_SET(BgL_v1614z00_2031,
																			(int) (((long) 1)),
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(CAR((((BgL_ev_appz00_bglt)
																							CREF(BgL_i1225z00_2012))->
																						BgL_argsz00)), BgL_stkz00_188));
																		VECTOR_SET(BgL_v1614z00_2031,
																			(int) (((long) 0)), BINT(((long) 8)));
																		return BgL_v1614z00_2031;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 903 */
																		if (
																			(BgL_fvalz00_2013 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 906 */
																				obj_t BgL_v1615z00_2039;

																				BgL_v1615z00_2039 =
																					create_vector((int) (((long) 3)));
																				{	/* Eval/evaluate_comp.scm 906 */
																					obj_t BgL_arg2458z00_2040;

																					{	/* Eval/evaluate_comp.scm 906 */
																						obj_t BgL_arg2459z00_2041;

																						{	/* Eval/evaluate_comp.scm 906 */
																							obj_t BgL_pairz00_8498;

																							BgL_pairz00_8498 =
																								(((BgL_ev_appz00_bglt)
																									CREF(BgL_i1225z00_2012))->
																								BgL_argsz00);
																							BgL_arg2459z00_2041 =
																								CAR(CDR(BgL_pairz00_8498));
																						}
																						BgL_arg2458z00_2040 =
																							BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																							(BgL_arg2459z00_2041,
																							BgL_stkz00_188);
																					}
																					VECTOR_SET(BgL_v1615z00_2039,
																						(int) (((long) 2)),
																						BgL_arg2458z00_2040);
																				}
																				VECTOR_SET(BgL_v1615z00_2039,
																					(int) (((long) 1)),
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(CAR((((BgL_ev_appz00_bglt)
																									CREF(BgL_i1225z00_2012))->
																								BgL_argsz00)), BgL_stkz00_188));
																				VECTOR_SET(BgL_v1615z00_2039,
																					(int) (((long) 0)), BINT(((long) 9)));
																				return BgL_v1615z00_2039;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 905 */
																				if (
																					(BgL_fvalz00_2013 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 908 */
																						obj_t BgL_v1616z00_2047;

																						BgL_v1616z00_2047 =
																							create_vector((int) (((long) 2)));
																						{	/* Eval/evaluate_comp.scm 908 */
																							obj_t BgL_arg2465z00_2048;

																							{	/* Eval/evaluate_comp.scm 908 */
																								obj_t BgL_arg2466z00_2049;

																								BgL_arg2466z00_2049 =
																									CAR(
																									(((BgL_ev_appz00_bglt)
																											CREF(BgL_i1225z00_2012))->
																										BgL_argsz00));
																								BgL_arg2465z00_2048 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2466z00_2049),
																									BgL_stkz00_188);
																							}
																							VECTOR_SET(BgL_v1616z00_2047,
																								(int) (((long) 1)),
																								BgL_arg2465z00_2048);
																						}
																						VECTOR_SET(BgL_v1616z00_2047,
																							(int) (((long) 0)),
																							BINT(((long) 10)));
																						return BgL_v1616z00_2047;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 907 */
																						if (
																							(BgL_fvalz00_2013 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 910 */
																								obj_t BgL_v1617z00_2052;

																								BgL_v1617z00_2052 =
																									create_vector(
																									(int) (((long) 3)));
																								{	/* Eval/evaluate_comp.scm 910 */
																									obj_t BgL_arg2469z00_2053;

																									{	/* Eval/evaluate_comp.scm 910 */
																										obj_t BgL_arg2470z00_2054;

																										{	/* Eval/evaluate_comp.scm 910 */
																											obj_t BgL_pairz00_8521;

																											BgL_pairz00_8521 =
																												(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1225z00_2012))->
																												BgL_argsz00);
																											BgL_arg2470z00_2054 =
																												CAR(CDR
																												(BgL_pairz00_8521));
																										}
																										BgL_arg2469z00_2053 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2470z00_2054),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1617z00_2052,
																										(int) (((long) 2)),
																										BgL_arg2469z00_2053);
																								}
																								{	/* Eval/evaluate_comp.scm 910 */
																									obj_t BgL_arg2472z00_2056;

																									{	/* Eval/evaluate_comp.scm 910 */
																										obj_t BgL_arg2473z00_2057;

																										BgL_arg2473z00_2057 =
																											CAR(
																											(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1225z00_2012))->
																												BgL_argsz00));
																										BgL_arg2472z00_2056 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2473z00_2057),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1617z00_2052,
																										(int) (((long) 1)),
																										BgL_arg2472z00_2056);
																								}
																								VECTOR_SET(BgL_v1617z00_2052,
																									(int) (((long) 0)),
																									BINT(((long) 11)));
																								return BgL_v1617z00_2052;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 912 */
																								obj_t BgL_v1618z00_2059;

																								BgL_v1618z00_2059 =
																									create_vector(
																									(int) (((long) 2)));
																								{	/* Eval/evaluate_comp.scm 912 */
																									obj_t BgL_arg2475z00_2060;

																									BgL_arg2475z00_2060 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt) (
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)),
																										BgL_stkz00_188);
																									VECTOR_SET(BgL_v1618z00_2059,
																										(int) (((long) 1)),
																										BgL_arg2475z00_2060);
																								}
																								VECTOR_SET(BgL_v1618z00_2059,
																									(int) (((long) 0)),
																									BINT(((long) 0)));
																								return BgL_v1618z00_2059;
																							}
																					}
																			}
																	}
															}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 913 */
											obj_t BgL_v1619z00_2062;

											BgL_v1619z00_2062 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 913 */
												obj_t BgL_arg2478z00_2063;

												BgL_arg2478z00_2063 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_187),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1619z00_2062, (int) (((long) 1)),
													BgL_arg2478z00_2063);
											}
											VECTOR_SET(BgL_v1619z00_2062,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v1619z00_2062;
										}
								}
						}
				}
		}
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 915 */
			return
				REAL_TO_DOUBLE(BGl_Ez00zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}
	}



/* E */
	obj_t BGl_Ez00zz__evaluate_compz00(obj_t BgL_sz00_17668, obj_t BgL_bcz00_2068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 930 */
			{	/* Eval/evaluate_comp.scm 917 */
				obj_t BgL_aux1227z00_2071;

				BgL_aux1227z00_2071 = VECTOR_REF(BgL_bcz00_2068, (int) (((long) 0)));
				if (INTEGERP(BgL_aux1227z00_2071))
					{	/* Eval/evaluate_comp.scm 917 */
						switch ((long) CINT(BgL_aux1227z00_2071))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 918 */
									obj_t BgL_fun2482z00_2073;

									BgL_fun2482z00_2073 =
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1)));
									return
										PROCEDURE_ENTRY(BgL_fun2482z00_2073) (BgL_fun2482z00_2073,
										BgL_sz00_17668, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1)));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 920 */
									long BgL_arg2483z00_2074;

									{	/* Eval/evaluate_comp.scm 920 */
										obj_t BgL_arg2484z00_2075;
										obj_t BgL_arg2485z00_2076;

										BgL_arg2484z00_2075 =
											VECTOR_REF(BgL_sz00_17668, (int) (((long) 0)));
										BgL_arg2485z00_2076 =
											VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1)));
										BgL_arg2483z00_2074 =
											(
											(long) CINT(BgL_arg2484z00_2075) +
											(long) CINT(BgL_arg2485z00_2076));
									}
									return
										VECTOR_REF(BgL_sz00_17668, (int) (BgL_arg2483z00_2074));
								} break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 921 */
									obj_t BgL_arg2486z00_2077;

									{	/* Eval/evaluate_comp.scm 921 */
										long BgL_arg2487z00_2078;

										{	/* Eval/evaluate_comp.scm 921 */
											obj_t BgL_arg2488z00_2079;
											obj_t BgL_arg2489z00_2080;

											BgL_arg2488z00_2079 =
												VECTOR_REF(BgL_sz00_17668, (int) (((long) 0)));
											BgL_arg2489z00_2080 =
												VECTOR_REF(BgL_sz00_17668, (int) (((long) 1)));
											BgL_arg2487z00_2078 =
												(
												(long) CINT(BgL_arg2488z00_2079) +
												(long) CINT(BgL_arg2489z00_2080));
										}
										BgL_arg2486z00_2077 =
											VECTOR_REF(BgL_sz00_17668, (int) (BgL_arg2487z00_2078));
									}
									return STRUCT_REF(BgL_arg2486z00_2077, (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 922 */
									obj_t BgL_arg2490z00_2081;

									{	/* Eval/evaluate_comp.scm 922 */
										obj_t BgL_arg2492z00_2082;

										BgL_arg2492z00_2082 =
											VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1)));
										BgL_arg2490z00_2081 =
											VECTOR_REF(BgL_arg2492z00_2082, (int) (((long) 2)));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2490z00_2081);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 923 */
									obj_t BgL_arg2493z00_2083;

									BgL_arg2493z00_2083 =
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1)));
									return VECTOR_REF(BgL_arg2493z00_2083, (int) (((long) 2)));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 924 */
									obj_t BgL_arg2494z00_2084;
									obj_t BgL_arg2495z00_2085;

									BgL_arg2494z00_2084 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17668,
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1))));
									BgL_arg2495z00_2085 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17668,
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2494z00_2084) +
											REAL_TO_DOUBLE(BgL_arg2495z00_2085)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 925 */
									obj_t BgL_arg2498z00_2088;
									obj_t BgL_arg2499z00_2089;

									BgL_arg2498z00_2088 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17668,
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1))));
									BgL_arg2499z00_2089 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17668,
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2498z00_2088) -
											REAL_TO_DOUBLE(BgL_arg2499z00_2089)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 926 */
									obj_t BgL_arg2502z00_2092;
									obj_t BgL_arg2503z00_2093;

									BgL_arg2502z00_2092 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17668,
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1))));
									BgL_arg2503z00_2093 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17668,
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2502z00_2092) *
											REAL_TO_DOUBLE(BgL_arg2503z00_2093)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 927 */
									obj_t BgL_arg2506z00_2096;
									obj_t BgL_arg2507z00_2097;

									BgL_arg2506z00_2096 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17668,
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1))));
									BgL_arg2507z00_2097 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17668,
										VECTOR_REF(BgL_bcz00_2068, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2506z00_2096) /
											REAL_TO_DOUBLE(BgL_arg2507z00_2097)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 928 */
									obj_t BgL_arg2510z00_2100;

									{	/* Eval/evaluate_comp.scm 928 */
										obj_t BgL_fun2511z00_2101;

										BgL_fun2511z00_2101 =
											VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1)));
										BgL_arg2510z00_2100 =
											PROCEDURE_ENTRY(BgL_fun2511z00_2101) (BgL_fun2511z00_2101,
											BgL_sz00_17668, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2510z00_2100)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 929 */
									obj_t BgL_arg2512z00_2102;
									obj_t BgL_arg2513z00_2103;

									{	/* Eval/evaluate_comp.scm 929 */
										obj_t BgL_fun2514z00_2104;

										BgL_fun2514z00_2104 =
											VECTOR_REF(BgL_bcz00_2068, (int) (((long) 1)));
										BgL_arg2512z00_2102 =
											PROCEDURE_ENTRY(BgL_fun2514z00_2104) (BgL_fun2514z00_2104,
											BgL_sz00_17668, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 929 */
										obj_t BgL_fun2515z00_2105;

										BgL_fun2515z00_2105 =
											VECTOR_REF(BgL_bcz00_2068, (int) (((long) 2)));
										BgL_arg2513z00_2103 =
											PROCEDURE_ENTRY(BgL_fun2515z00_2105) (BgL_fun2515z00_2105,
											BgL_sz00_17668, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 929 */
										double BgL_auxz00_21058;

										{	/* Eval/evaluate_comp.scm 929 */
											long BgL_auxz00_21059;

											BgL_auxz00_21059 = (long) CINT(BgL_arg2513z00_2103);
											BgL_auxz00_21058 =
												BGL_F64VREF(BgL_arg2512z00_2102, BgL_auxz00_21059);
										}
										return DOUBLE_TO_REAL(BgL_auxz00_21058);
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string5543z00zz__evaluate_compz00,
									BGl_string5562z00zz__evaluate_compz00,
									VECTOR_REF(BgL_bcz00_2068, (int) (((long) 0))));
					}}
				else
					{	/* Eval/evaluate_comp.scm 917 */
						return
							BGl_errorz00zz__errorz00(BGl_string5543z00zz__evaluate_compz00,
							BGl_string5562z00zz__evaluate_compz00, VECTOR_REF(BgL_bcz00_2068,
								(int) (((long) 0))));
		}}}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 933 */
			{	/* Eval/evaluate_comp.scm 935 */
				obj_t BgL_fvalz00_2109;

				BgL_fvalz00_2109 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 936 */
					bool_t BgL_testz00_21073;

					if (
						(BgL_fvalz00_2109 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 936 */
							BgL_testz00_21073 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 936 */
							if (
								(BgL_fvalz00_2109 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 936 */
									BgL_testz00_21073 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 936 */
									if (
										(BgL_fvalz00_2109 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 936 */
											BgL_testz00_21073 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 936 */
											BgL_testz00_21073 =
												(BgL_fvalz00_2109 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_21073)
						{	/* Eval/evaluate_comp.scm 937 */
							obj_t BgL_bcz00_2111;

							BgL_bcz00_2111 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 938 */
								obj_t BgL_zc3anonymousza32518ze3z83_15812;

								BgL_zc3anonymousza32518ze3z83_15812 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32518ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32518ze3z83_15812,
									(int) (((long) 0)), BgL_bcz00_2111);
								return BgL_zc3anonymousza32518ze3z83_15812;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 936 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:2518> */
	obj_t BGl_z62zc3anonymousza32518ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15813, obj_t BgL_sz00_15815)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 938 */
			{	/* Eval/evaluate_comp.scm 938 */
				obj_t BgL_bcz00_15814;

				BgL_bcz00_15814 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15813, (int) (((long) 0))));
				{
					obj_t BgL_sz00_2112;

					{	/* Eval/evaluate_comp.scm 938 */
						double BgL_auxz00_21091;

						BgL_sz00_2112 = BgL_sz00_15815;
						{	/* Eval/evaluate_comp.scm 938 */
							obj_t BgL_bpz00_8629;

							BgL_bpz00_8629 = VECTOR_REF(BgL_sz00_2112, (int) (((long) 0)));
							BgL_auxz00_21091 =
								BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_15814,
								BgL_sz00_2112);
						}
						return DOUBLE_TO_REAL(BgL_auxz00_21091);
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_valz00_2119;

				BgL_valz00_2119 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_2119))
					{	/* Eval/evaluate_comp.scm 967 */
						long BgL_nz00_2120;

						BgL_nz00_2120 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 968 */
							obj_t BgL__ortest_1233z00_2121;

							if ((BgL_nz00_2120 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 969 */
									obj_t BgL_a1z00_2412;

									BgL_a1z00_2412 = CAR(BgL_argsz00_195);
									if (
										(BgL_valz00_2119 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 970 */
											obj_t BgL_a1z00_2414;

											BgL_a1z00_2414 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_2412), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 970 */
												obj_t BgL_zc3anonymousza32638ze3z83_15845;

												BgL_zc3anonymousza32638ze3z83_15845 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32638ze3z83_15845,
													(int) (((long) 0)), BgL_a1z00_2414);
												PROCEDURE_SET(BgL_zc3anonymousza32638ze3z83_15845,
													(int) (((long) 1)), BgL_locz00_193);
												BgL__ortest_1233z00_2121 =
													BgL_zc3anonymousza32638ze3z83_15845;
										}}
									else
										{	/* Eval/evaluate_comp.scm 970 */
											if (
												(BgL_valz00_2119 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 970 */
													obj_t BgL_a1z00_2421;

													BgL_a1z00_2421 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2412),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 970 */
														obj_t BgL_zc3anonymousza32641ze3z83_15846;

														BgL_zc3anonymousza32641ze3z83_15846 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32641ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza32641ze3z83_15846,
															(int) (((long) 0)), BgL_a1z00_2421);
														PROCEDURE_SET(BgL_zc3anonymousza32641ze3z83_15846,
															(int) (((long) 1)), BgL_locz00_193);
														BgL__ortest_1233z00_2121 =
															BgL_zc3anonymousza32641ze3z83_15846;
												}}
											else
												{	/* Eval/evaluate_comp.scm 970 */
													if (
														(BgL_valz00_2119 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 970 */
															obj_t BgL_a1z00_2428;

															BgL_a1z00_2428 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2412),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 970 */
																obj_t BgL_zc3anonymousza32644ze3z83_15847;

																BgL_zc3anonymousza32644ze3z83_15847 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32644ze3z83_15847,
																	(int) (((long) 0)), BgL_a1z00_2428);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32644ze3z83_15847,
																	(int) (((long) 1)), BgL_locz00_193);
																BgL__ortest_1233z00_2121 =
																	BgL_zc3anonymousza32644ze3z83_15847;
														}}
													else
														{	/* Eval/evaluate_comp.scm 970 */
															BgL__ortest_1233z00_2121 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 968 */
									BgL__ortest_1233z00_2121 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1233z00_2121))
								{	/* Eval/evaluate_comp.scm 968 */
									return BgL__ortest_1233z00_2121;
								}
							else
								{	/* Eval/evaluate_comp.scm 968 */
									if ((BgL_nz00_2120 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 972 */
											obj_t BgL_a1z00_2123;
											obj_t BgL_a2z00_2124;

											BgL_a1z00_2123 = CAR(BgL_argsz00_195);
											{	/* Eval/evaluate_comp.scm 972 */
												obj_t BgL_pairz00_8664;

												BgL_pairz00_8664 = BgL_argsz00_195;
												BgL_a2z00_2124 = CAR(CDR(BgL_pairz00_8664));
											}
											if (
												(BgL_valz00_2119 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 973 */
													obj_t BgL_a1z00_2126;
													obj_t BgL_a2z00_2127;

													BgL_a1z00_2126 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2123),
														BgL_stkz00_196);
													BgL_a2z00_2127 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_2124),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 973 */
														obj_t BgL_zc3anonymousza32525ze3z83_15816;

														BgL_zc3anonymousza32525ze3z83_15816 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32525ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32525ze3z83_15816,
															(int) (((long) 0)), BgL_a1z00_2126);
														PROCEDURE_SET(BgL_zc3anonymousza32525ze3z83_15816,
															(int) (((long) 1)), BgL_a2z00_2127);
														PROCEDURE_SET(BgL_zc3anonymousza32525ze3z83_15816,
															(int) (((long) 2)), BgL_locz00_193);
														return BgL_zc3anonymousza32525ze3z83_15816;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 973 */
													if (
														(BgL_valz00_2119 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 973 */
															obj_t BgL_a1z00_2136;
															obj_t BgL_a2z00_2137;

															BgL_a1z00_2136 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2123),
																BgL_stkz00_196);
															BgL_a2z00_2137 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_2124),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 973 */
																obj_t BgL_zc3anonymousza32529ze3z83_15817;

																BgL_zc3anonymousza32529ze3z83_15817 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32529ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32529ze3z83_15817,
																	(int) (((long) 0)), BgL_a1z00_2136);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32529ze3z83_15817,
																	(int) (((long) 1)), BgL_a2z00_2137);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32529ze3z83_15817,
																	(int) (((long) 2)), BgL_locz00_193);
																return BgL_zc3anonymousza32529ze3z83_15817;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 973 */
															if (
																(BgL_valz00_2119 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 973 */
																	obj_t BgL_a1z00_2146;
																	obj_t BgL_a2z00_2147;

																	BgL_a1z00_2146 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_2123),
																		BgL_stkz00_196);
																	BgL_a2z00_2147 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_2124),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 973 */
																		obj_t BgL_zc3anonymousza32533ze3z83_15818;

																		BgL_zc3anonymousza32533ze3z83_15818 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32533ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32533ze3z83_15818,
																			(int) (((long) 0)), BgL_a1z00_2146);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32533ze3z83_15818,
																			(int) (((long) 1)), BgL_a2z00_2147);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32533ze3z83_15818,
																			(int) (((long) 2)), BgL_locz00_193);
																		return BgL_zc3anonymousza32533ze3z83_15818;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 973 */
																	if (
																		(BgL_valz00_2119 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 973 */
																			obj_t BgL_a1z00_2156;
																			obj_t BgL_a2z00_2157;

																			BgL_a1z00_2156 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_2123),
																				BgL_stkz00_196);
																			BgL_a2z00_2157 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_2124),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 973 */
																				obj_t
																					BgL_zc3anonymousza32537ze3z83_15819;
																				BgL_zc3anonymousza32537ze3z83_15819 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32537ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32537ze3z83_15819,
																					(int) (((long) 0)), BgL_a1z00_2156);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32537ze3z83_15819,
																					(int) (((long) 1)), BgL_a2z00_2157);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32537ze3z83_15819,
																					(int) (((long) 2)), BgL_locz00_193);
																				return
																					BgL_zc3anonymousza32537ze3z83_15819;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 973 */
																			if (
																				(BgL_valz00_2119 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 973 */
																					obj_t BgL_a1z00_2166;
																					obj_t BgL_a2z00_2167;

																					BgL_a1z00_2166 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_2123), BgL_stkz00_196);
																					BgL_a2z00_2167 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_2124), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 973 */
																						obj_t
																							BgL_zc3anonymousza32541ze3z83_15820;
																						BgL_zc3anonymousza32541ze3z83_15820
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32541ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32541ze3z83_15820,
																							(int) (((long) 0)),
																							BgL_a1z00_2166);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32541ze3z83_15820,
																							(int) (((long) 1)),
																							BgL_a2z00_2167);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32541ze3z83_15820,
																							(int) (((long) 2)),
																							BgL_locz00_193);
																						return
																							BgL_zc3anonymousza32541ze3z83_15820;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 973 */
																					if (
																						(BgL_valz00_2119 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 973 */
																							obj_t BgL_a1z00_2176;
																							obj_t BgL_a2z00_2177;

																							BgL_a1z00_2176 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_2123),
																								BgL_stkz00_196);
																							BgL_a2z00_2177 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_2124),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 973 */
																								obj_t
																									BgL_zc3anonymousza32545ze3z83_15821;
																								BgL_zc3anonymousza32545ze3z83_15821
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32545ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32545ze3z83_15821,
																									(int) (((long) 0)),
																									BgL_a1z00_2176);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32545ze3z83_15821,
																									(int) (((long) 1)),
																									BgL_a2z00_2177);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32545ze3z83_15821,
																									(int) (((long) 2)),
																									BgL_locz00_193);
																								return
																									BgL_zc3anonymousza32545ze3z83_15821;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 973 */
																							if (
																								(BgL_valz00_2119 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 973 */
																									obj_t BgL_a1z00_2186;
																									obj_t BgL_a2z00_2187;

																									BgL_a1z00_2186 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_2123),
																										BgL_stkz00_196);
																									BgL_a2z00_2187 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_2124),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 973 */
																										obj_t
																											BgL_zc3anonymousza32549ze3z83_15822;
																										BgL_zc3anonymousza32549ze3z83_15822
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32549ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32549ze3z83_15822,
																											(int) (((long) 0)),
																											BgL_a1z00_2186);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32549ze3z83_15822,
																											(int) (((long) 1)),
																											BgL_a2z00_2187);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32549ze3z83_15822,
																											(int) (((long) 2)),
																											BgL_locz00_193);
																										return
																											BgL_zc3anonymousza32549ze3z83_15822;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 973 */
																									if (
																										(BgL_valz00_2119 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 973 */
																											obj_t BgL_a1z00_2196;
																											obj_t BgL_a2z00_2197;

																											BgL_a1z00_2196 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_2123),
																												BgL_stkz00_196);
																											BgL_a2z00_2197 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_2124),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 973 */
																												obj_t
																													BgL_zc3anonymousza32553ze3z83_15823;
																												BgL_zc3anonymousza32553ze3z83_15823
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32553ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32553ze3z83_15823,
																													(int) (((long) 0)),
																													BgL_a1z00_2196);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32553ze3z83_15823,
																													(int) (((long) 1)),
																													BgL_a2z00_2197);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32553ze3z83_15823,
																													(int) (((long) 2)),
																													BgL_locz00_193);
																												return
																													BgL_zc3anonymousza32553ze3z83_15823;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 973 */
																											if (
																												(BgL_valz00_2119 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 973 */
																													obj_t BgL_a1z00_2206;
																													obj_t BgL_a2z00_2207;

																													BgL_a1z00_2206 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																													BgL_a2z00_2207 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 973 */
																														obj_t
																															BgL_zc3anonymousza32557ze3z83_15824;
																														BgL_zc3anonymousza32557ze3z83_15824
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32557ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32557ze3z83_15824,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_2206);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32557ze3z83_15824,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_2207);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32557ze3z83_15824,
																															(int) (((long)
																																	2)),
																															BgL_locz00_193);
																														return
																															BgL_zc3anonymousza32557ze3z83_15824;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 973 */
																													if (
																														(BgL_valz00_2119 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 973 */
																															obj_t
																																BgL_a1z00_2216;
																															obj_t
																																BgL_a2z00_2217;
																															BgL_a1z00_2216 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																															BgL_a2z00_2217 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 973 */
																																obj_t
																																	BgL_zc3anonymousza32561ze3z83_15825;
																																BgL_zc3anonymousza32561ze3z83_15825
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32561ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32561ze3z83_15825,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_2216);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32561ze3z83_15825,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_2217);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32561ze3z83_15825,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3anonymousza32561ze3z83_15825;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 973 */
																															if (
																																(BgL_valz00_2119
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 973 */
																																	obj_t
																																		BgL_a1z00_2226;
																																	obj_t
																																		BgL_a2z00_2227;
																																	BgL_a1z00_2226
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																	BgL_a2z00_2227
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 973 */
																																		obj_t
																																			BgL_zc3anonymousza32565ze3z83_15826;
																																		BgL_zc3anonymousza32565ze3z83_15826
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32565ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32565ze3z83_15826,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_2226);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32565ze3z83_15826,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_2227);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32565ze3z83_15826,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3anonymousza32565ze3z83_15826;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 973 */
																																	if (
																																		(BgL_valz00_2119
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 973 */
																																			obj_t
																																				BgL_a1z00_2236;
																																			obj_t
																																				BgL_a2z00_2237;
																																			BgL_a1z00_2236
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																			BgL_a2z00_2237
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 973 */
																																				obj_t
																																					BgL_zc3anonymousza32569ze3z83_15827;
																																				BgL_zc3anonymousza32569ze3z83_15827
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32569ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32569ze3z83_15827,
																																					(int)
																																					(((long) 0)), BgL_a1z00_2236);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32569ze3z83_15827,
																																					(int)
																																					(((long) 1)), BgL_a2z00_2237);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32569ze3z83_15827,
																																					(int)
																																					(((long) 2)), BgL_locz00_193);
																																				return
																																					BgL_zc3anonymousza32569ze3z83_15827;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 973 */
																																			if (
																																				(BgL_valz00_2119
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 973 */
																																					obj_t
																																						BgL_a1z00_2246;
																																					obj_t
																																						BgL_a2z00_2247;
																																					BgL_a1z00_2246
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																					BgL_a2z00_2247
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 973 */
																																						obj_t
																																							BgL_zc3anonymousza32573ze3z83_15828;
																																						BgL_zc3anonymousza32573ze3z83_15828
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32573ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32573ze3z83_15828,
																																							(int)
																																							(((long) 0)), BgL_a1z00_2246);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32573ze3z83_15828,
																																							(int)
																																							(((long) 1)), BgL_a2z00_2247);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32573ze3z83_15828,
																																							(int)
																																							(((long) 2)), BgL_locz00_193);
																																						return
																																							BgL_zc3anonymousza32573ze3z83_15828;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 973 */
																																					if (
																																						(BgL_valz00_2119
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 973 */
																																							obj_t
																																								BgL_a1z00_2256;
																																							obj_t
																																								BgL_a2z00_2257;
																																							BgL_a1z00_2256
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																							BgL_a2z00_2257
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 973 */
																																								obj_t
																																									BgL_zc3anonymousza32577ze3z83_15829;
																																								BgL_zc3anonymousza32577ze3z83_15829
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32577ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32577ze3z83_15829,
																																									(int)
																																									(((long) 0)), BgL_a1z00_2256);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32577ze3z83_15829,
																																									(int)
																																									(((long) 1)), BgL_a2z00_2257);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32577ze3z83_15829,
																																									(int)
																																									(((long) 2)), BgL_locz00_193);
																																								return
																																									BgL_zc3anonymousza32577ze3z83_15829;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 973 */
																																							if ((BgL_valz00_2119 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 973 */
																																									obj_t
																																										BgL_a1z00_2266;
																																									obj_t
																																										BgL_a2z00_2267;
																																									BgL_a1z00_2266
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																									BgL_a2z00_2267
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 973 */
																																										obj_t
																																											BgL_zc3anonymousza32581ze3z83_15830;
																																										BgL_zc3anonymousza32581ze3z83_15830
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32581ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32581ze3z83_15830,
																																											(int)
																																											(((long) 0)), BgL_a1z00_2266);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32581ze3z83_15830,
																																											(int)
																																											(((long) 1)), BgL_a2z00_2267);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32581ze3z83_15830,
																																											(int)
																																											(((long) 2)), BgL_locz00_193);
																																										return
																																											BgL_zc3anonymousza32581ze3z83_15830;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 973 */
																																									if ((BgL_valz00_2119 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 973 */
																																											obj_t
																																												BgL_a1z00_2276;
																																											obj_t
																																												BgL_a2z00_2277;
																																											BgL_a1z00_2276
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																											BgL_a2z00_2277
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 973 */
																																												obj_t
																																													BgL_zc3anonymousza32585ze3z83_15831;
																																												BgL_zc3anonymousza32585ze3z83_15831
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32585ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32585ze3z83_15831,
																																													(int)
																																													(((long) 0)), BgL_a1z00_2276);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32585ze3z83_15831,
																																													(int)
																																													(((long) 1)), BgL_a2z00_2277);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32585ze3z83_15831,
																																													(int)
																																													(((long) 2)), BgL_locz00_193);
																																												return
																																													BgL_zc3anonymousza32585ze3z83_15831;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 973 */
																																											if ((BgL_valz00_2119 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 973 */
																																													obj_t
																																														BgL_a1z00_2286;
																																													obj_t
																																														BgL_a2z00_2287;
																																													BgL_a1z00_2286
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																													BgL_a2z00_2287
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 973 */
																																														obj_t
																																															BgL_zc3anonymousza32589ze3z83_15832;
																																														BgL_zc3anonymousza32589ze3z83_15832
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32589ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32589ze3z83_15832,
																																															(int)
																																															(((long) 0)), BgL_a1z00_2286);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32589ze3z83_15832,
																																															(int)
																																															(((long) 1)), BgL_a2z00_2287);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32589ze3z83_15832,
																																															(int)
																																															(((long) 2)), BgL_locz00_193);
																																														return
																																															BgL_zc3anonymousza32589ze3z83_15832;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 973 */
																																													if ((BgL_valz00_2119 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 973 */
																																															obj_t
																																																BgL_a1z00_2296;
																																															obj_t
																																																BgL_a2z00_2297;
																																															BgL_a1z00_2296
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																															BgL_a2z00_2297
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 973 */
																																																obj_t
																																																	BgL_zc3anonymousza32593ze3z83_15833;
																																																BgL_zc3anonymousza32593ze3z83_15833
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32593ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32593ze3z83_15833,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_2296);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32593ze3z83_15833,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_2297);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32593ze3z83_15833,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_193);
																																																return
																																																	BgL_zc3anonymousza32593ze3z83_15833;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 973 */
																																															if ((BgL_valz00_2119 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 973 */
																																																	obj_t
																																																		BgL_a1z00_2306;
																																																	obj_t
																																																		BgL_a2z00_2307;
																																																	BgL_a1z00_2306
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																	BgL_a2z00_2307
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 973 */
																																																		obj_t
																																																			BgL_zc3anonymousza32597ze3z83_15834;
																																																		BgL_zc3anonymousza32597ze3z83_15834
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32597ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32597ze3z83_15834,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_2306);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32597ze3z83_15834,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_2307);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32597ze3z83_15834,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_193);
																																																		return
																																																			BgL_zc3anonymousza32597ze3z83_15834;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 973 */
																																																	if ((BgL_valz00_2119 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 973 */
																																																			obj_t
																																																				BgL_a1z00_2316;
																																																			obj_t
																																																				BgL_a2z00_2317;
																																																			BgL_a1z00_2316
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																			BgL_a2z00_2317
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 973 */
																																																				obj_t
																																																					BgL_zc3anonymousza32601ze3z83_15835;
																																																				BgL_zc3anonymousza32601ze3z83_15835
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza32601ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32601ze3z83_15835,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_2316);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32601ze3z83_15835,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_2317);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32601ze3z83_15835,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_193);
																																																				return
																																																					BgL_zc3anonymousza32601ze3z83_15835;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 973 */
																																																			if ((BgL_valz00_2119 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 973 */
																																																					obj_t
																																																						BgL_a1z00_2326;
																																																					obj_t
																																																						BgL_a2z00_2327;
																																																					BgL_a1z00_2326
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																					BgL_a2z00_2327
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 973 */
																																																						obj_t
																																																							BgL_zc3anonymousza32605ze3z83_15836;
																																																						BgL_zc3anonymousza32605ze3z83_15836
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza32605ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32605ze3z83_15836,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_2326);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32605ze3z83_15836,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_2327);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32605ze3z83_15836,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_193);
																																																						return
																																																							BgL_zc3anonymousza32605ze3z83_15836;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 973 */
																																																					if ((BgL_valz00_2119 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 973 */
																																																							obj_t
																																																								BgL_a1z00_2336;
																																																							obj_t
																																																								BgL_a2z00_2337;
																																																							BgL_a1z00_2336
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																							BgL_a2z00_2337
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 973 */
																																																								obj_t
																																																									BgL_zc3anonymousza32609ze3z83_15837;
																																																								BgL_zc3anonymousza32609ze3z83_15837
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza32609ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32609ze3z83_15837,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_2336);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32609ze3z83_15837,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_2337);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32609ze3z83_15837,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_193);
																																																								return
																																																									BgL_zc3anonymousza32609ze3z83_15837;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 973 */
																																																							if ((BgL_valz00_2119 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 973 */
																																																									obj_t
																																																										BgL_a1z00_2346;
																																																									obj_t
																																																										BgL_a2z00_2347;
																																																									BgL_a1z00_2346
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																									BgL_a2z00_2347
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 973 */
																																																										obj_t
																																																											BgL_zc3anonymousza32613ze3z83_15838;
																																																										BgL_zc3anonymousza32613ze3z83_15838
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza32613ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32613ze3z83_15838,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_2346);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32613ze3z83_15838,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_2347);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32613ze3z83_15838,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_193);
																																																										return
																																																											BgL_zc3anonymousza32613ze3z83_15838;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 973 */
																																																									if ((BgL_valz00_2119 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 973 */
																																																											obj_t
																																																												BgL_a1z00_2356;
																																																											obj_t
																																																												BgL_a2z00_2357;
																																																											BgL_a1z00_2356
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																											BgL_a2z00_2357
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 973 */
																																																												obj_t
																																																													BgL_zc3anonymousza32617ze3z83_15839;
																																																												BgL_zc3anonymousza32617ze3z83_15839
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza32617ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32617ze3z83_15839,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_2356);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32617ze3z83_15839,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_2357);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32617ze3z83_15839,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_193);
																																																												return
																																																													BgL_zc3anonymousza32617ze3z83_15839;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 973 */
																																																											if ((BgL_valz00_2119 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 973 */
																																																													obj_t
																																																														BgL_a1z00_2366;
																																																													obj_t
																																																														BgL_a2z00_2367;
																																																													BgL_a1z00_2366
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																													BgL_a2z00_2367
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 973 */
																																																														obj_t
																																																															BgL_zc3anonymousza32621ze3z83_15840;
																																																														BgL_zc3anonymousza32621ze3z83_15840
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza32621ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32621ze3z83_15840,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_2366);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32621ze3z83_15840,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_2367);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32621ze3z83_15840,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_193);
																																																														return
																																																															BgL_zc3anonymousza32621ze3z83_15840;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 973 */
																																																													if ((BgL_valz00_2119 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 973 */
																																																															obj_t
																																																																BgL_a1z00_2376;
																																																															obj_t
																																																																BgL_a2z00_2377;
																																																															BgL_a1z00_2376
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																															BgL_a2z00_2377
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 973 */
																																																																obj_t
																																																																	BgL_zc3anonymousza32625ze3z83_15841;
																																																																BgL_zc3anonymousza32625ze3z83_15841
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza32625ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32625ze3z83_15841,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_2376);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32625ze3z83_15841,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_2377);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32625ze3z83_15841,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_193);
																																																																return
																																																																	BgL_zc3anonymousza32625ze3z83_15841;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 973 */
																																																															if ((BgL_valz00_2119 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 973 */
																																																																	obj_t
																																																																		BgL_a1z00_2386;
																																																																	obj_t
																																																																		BgL_a2z00_2387;
																																																																	BgL_a1z00_2386
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																																	BgL_a2z00_2387
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 973 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza32629ze3z83_15842;
																																																																		BgL_zc3anonymousza32629ze3z83_15842
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza32629ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32629ze3z83_15842,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_2386);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32629ze3z83_15842,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_2387);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32629ze3z83_15842,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3anonymousza32629ze3z83_15842;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 973 */
																																																																	if ((BgL_valz00_2119 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 973 */
																																																																			obj_t
																																																																				BgL_a1z00_2396;
																																																																			obj_t
																																																																				BgL_a2z00_2397;
																																																																			BgL_a1z00_2396
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																																			BgL_a2z00_2397
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 973 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza32633ze3z83_15843;
																																																																				BgL_zc3anonymousza32633ze3z83_15843
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza32633ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32633ze3z83_15843,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_2396);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32633ze3z83_15843,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_2397);
																																																																				return
																																																																					BgL_zc3anonymousza32633ze3z83_15843;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 973 */
																																																																			if ((BgL_valz00_2119 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 973 */
																																																																					obj_t
																																																																						BgL_a1z00_2404;
																																																																					obj_t
																																																																						BgL_a2z00_2405;
																																																																					BgL_a1z00_2404
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2123), BgL_stkz00_196);
																																																																					BgL_a2z00_2405
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2124), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 973 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza32635ze3z83_15844;
																																																																						BgL_zc3anonymousza32635ze3z83_15844
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32635ze3z83_15844,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_2404);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32635ze3z83_15844,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_2405);
																																																																						return
																																																																							BgL_zc3anonymousza32635ze3z83_15844;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 973 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 971 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 966 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2525> */
	obj_t BGl_z62zc3anonymousza32525ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15848, obj_t BgL_sz00_15852)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15849;
				obj_t BgL_a2z00_15850;
				obj_t BgL_locz00_15851;

				BgL_a1z00_15849 = PROCEDURE_REF(BgL_envz00_15848, (int) (((long) 0)));
				BgL_a2z00_15850 = PROCEDURE_REF(BgL_envz00_15848, (int) (((long) 1)));
				BgL_locz00_15851 = PROCEDURE_REF(BgL_envz00_15848, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2128;

					BgL_sz00_2128 = BgL_sz00_15852;
					{	/* Eval/evaluate_comp.scm 973 */
						obj_t BgL_bpz00_2130;

						BgL_bpz00_2130 = VECTOR_REF(BgL_sz00_2128, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_a1z00_2131;
							obj_t BgL_a2z00_2132;

							BgL_a1z00_2131 =
								PROCEDURE_ENTRY(BgL_a1z00_15849) (BgL_a1z00_15849,
								BgL_sz00_2128, BEOA);
							BgL_a2z00_2132 =
								PROCEDURE_ENTRY(BgL_a2z00_15850) (BgL_a2z00_15850,
								BgL_sz00_2128, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2131))
								{	/* Eval/evaluate_comp.scm 973 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 973 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5563z00zz__evaluate_compz00,
										BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2131,
										BgL_locz00_15851);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2132))
								{	/* Eval/evaluate_comp.scm 973 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 973 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5563z00zz__evaluate_compz00,
										BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2132,
										BgL_locz00_15851);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_2131,
								BgL_a2z00_2132);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2529> */
	obj_t BGl_z62zc3anonymousza32529ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15853, obj_t BgL_sz00_15857)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15854;
				obj_t BgL_a2z00_15855;
				obj_t BgL_locz00_15856;

				BgL_a1z00_15854 = PROCEDURE_REF(BgL_envz00_15853, (int) (((long) 0)));
				BgL_a2z00_15855 = PROCEDURE_REF(BgL_envz00_15853, (int) (((long) 1)));
				BgL_locz00_15856 = PROCEDURE_REF(BgL_envz00_15853, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2138;

					BgL_sz00_2138 = BgL_sz00_15857;
					{	/* Eval/evaluate_comp.scm 973 */
						obj_t BgL_bpz00_2140;

						BgL_bpz00_2140 = VECTOR_REF(BgL_sz00_2138, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_a1z00_2141;
							obj_t BgL_a2z00_2142;

							BgL_a1z00_2141 =
								PROCEDURE_ENTRY(BgL_a1z00_15854) (BgL_a1z00_15854,
								BgL_sz00_2138, BEOA);
							BgL_a2z00_2142 =
								PROCEDURE_ENTRY(BgL_a2z00_15855) (BgL_a2z00_15855,
								BgL_sz00_2138, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2141))
								{	/* Eval/evaluate_comp.scm 973 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 973 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5567z00zz__evaluate_compz00,
										BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2141,
										BgL_locz00_15856);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2142))
								{	/* Eval/evaluate_comp.scm 973 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 973 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5567z00zz__evaluate_compz00,
										BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2142,
										BgL_locz00_15856);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_2141,
								BgL_a2z00_2142);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2533> */
	obj_t BGl_z62zc3anonymousza32533ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15858, obj_t BgL_sz00_15862)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15859;
				obj_t BgL_a2z00_15860;
				obj_t BgL_locz00_15861;

				BgL_a1z00_15859 = PROCEDURE_REF(BgL_envz00_15858, (int) (((long) 0)));
				BgL_a2z00_15860 = PROCEDURE_REF(BgL_envz00_15858, (int) (((long) 1)));
				BgL_locz00_15861 = PROCEDURE_REF(BgL_envz00_15858, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2148;

					BgL_sz00_2148 = BgL_sz00_15862;
					{	/* Eval/evaluate_comp.scm 973 */
						obj_t BgL_bpz00_2150;

						BgL_bpz00_2150 = VECTOR_REF(BgL_sz00_2148, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_a1z00_2151;
							obj_t BgL_a2z00_2152;

							BgL_a1z00_2151 =
								PROCEDURE_ENTRY(BgL_a1z00_15859) (BgL_a1z00_15859,
								BgL_sz00_2148, BEOA);
							BgL_a2z00_2152 =
								PROCEDURE_ENTRY(BgL_a2z00_15860) (BgL_a2z00_15860,
								BgL_sz00_2148, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2151))
								{	/* Eval/evaluate_comp.scm 973 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 973 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5569z00zz__evaluate_compz00,
										BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2151,
										BgL_locz00_15861);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2152))
								{	/* Eval/evaluate_comp.scm 973 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 973 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5569z00zz__evaluate_compz00,
										BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2152,
										BgL_locz00_15861);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_2151,
								BgL_a2z00_2152);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2537> */
	obj_t BGl_z62zc3anonymousza32537ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15863, obj_t BgL_sz00_15867)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15864;
				obj_t BgL_a2z00_15865;
				obj_t BgL_locz00_15866;

				BgL_a1z00_15864 = PROCEDURE_REF(BgL_envz00_15863, (int) (((long) 0)));
				BgL_a2z00_15865 = PROCEDURE_REF(BgL_envz00_15863, (int) (((long) 1)));
				BgL_locz00_15866 = PROCEDURE_REF(BgL_envz00_15863, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2158;

					BgL_sz00_2158 = BgL_sz00_15867;
					{	/* Eval/evaluate_comp.scm 973 */
						obj_t BgL_bpz00_2160;

						BgL_bpz00_2160 = VECTOR_REF(BgL_sz00_2158, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_a1z00_2161;
							obj_t BgL_a2z00_2162;

							BgL_a1z00_2161 =
								PROCEDURE_ENTRY(BgL_a1z00_15864) (BgL_a1z00_15864,
								BgL_sz00_2158, BEOA);
							BgL_a2z00_2162 =
								PROCEDURE_ENTRY(BgL_a2z00_15865) (BgL_a2z00_15865,
								BgL_sz00_2158, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2161))
								{	/* Eval/evaluate_comp.scm 973 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 973 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5571z00zz__evaluate_compz00,
										BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2161,
										BgL_locz00_15866);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2162))
								{	/* Eval/evaluate_comp.scm 973 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 973 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5571z00zz__evaluate_compz00,
										BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2162,
										BgL_locz00_15866);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_2161,
								BgL_a2z00_2162);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2541> */
	obj_t BGl_z62zc3anonymousza32541ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15868, obj_t BgL_sz00_15872)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15869;
				obj_t BgL_a2z00_15870;
				obj_t BgL_locz00_15871;

				BgL_a1z00_15869 = PROCEDURE_REF(BgL_envz00_15868, (int) (((long) 0)));
				BgL_a2z00_15870 = PROCEDURE_REF(BgL_envz00_15868, (int) (((long) 1)));
				BgL_locz00_15871 = PROCEDURE_REF(BgL_envz00_15868, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2168;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21672;

						BgL_sz00_2168 = BgL_sz00_15872;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2170;

							BgL_bpz00_2170 = VECTOR_REF(BgL_sz00_2168, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2171;
								obj_t BgL_a2z00_2172;

								BgL_a1z00_2171 =
									PROCEDURE_ENTRY(BgL_a1z00_15869) (BgL_a1z00_15869,
									BgL_sz00_2168, BEOA);
								BgL_a2z00_2172 =
									PROCEDURE_ENTRY(BgL_a2z00_15870) (BgL_a2z00_15870,
									BgL_sz00_2168, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2171))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5573z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2171,
											BgL_locz00_15871);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2172))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5573z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2172,
											BgL_locz00_15871);
									}
								BgL_auxz00_21672 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_2171,
									BgL_a2z00_2172);
							}
						}
						return BBOOL(BgL_auxz00_21672);
					}
				}
			}
		}
	}



/* &<anonymous:2545> */
	obj_t BGl_z62zc3anonymousza32545ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15873, obj_t BgL_sz00_15877)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15874;
				obj_t BgL_a2z00_15875;
				obj_t BgL_locz00_15876;

				BgL_a1z00_15874 = PROCEDURE_REF(BgL_envz00_15873, (int) (((long) 0)));
				BgL_a2z00_15875 = PROCEDURE_REF(BgL_envz00_15873, (int) (((long) 1)));
				BgL_locz00_15876 = PROCEDURE_REF(BgL_envz00_15873, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2178;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21697;

						BgL_sz00_2178 = BgL_sz00_15877;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2180;

							BgL_bpz00_2180 = VECTOR_REF(BgL_sz00_2178, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2181;
								obj_t BgL_a2z00_2182;

								BgL_a1z00_2181 =
									PROCEDURE_ENTRY(BgL_a1z00_15874) (BgL_a1z00_15874,
									BgL_sz00_2178, BEOA);
								BgL_a2z00_2182 =
									PROCEDURE_ENTRY(BgL_a2z00_15875) (BgL_a2z00_15875,
									BgL_sz00_2178, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2181))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5575z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2181,
											BgL_locz00_15876);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2182))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5575z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2182,
											BgL_locz00_15876);
									}
								BgL_auxz00_21697 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_2181,
									BgL_a2z00_2182);
							}
						}
						return BBOOL(BgL_auxz00_21697);
					}
				}
			}
		}
	}



/* &<anonymous:2549> */
	obj_t BGl_z62zc3anonymousza32549ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15878, obj_t BgL_sz00_15882)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15879;
				obj_t BgL_a2z00_15880;
				obj_t BgL_locz00_15881;

				BgL_a1z00_15879 = PROCEDURE_REF(BgL_envz00_15878, (int) (((long) 0)));
				BgL_a2z00_15880 = PROCEDURE_REF(BgL_envz00_15878, (int) (((long) 1)));
				BgL_locz00_15881 = PROCEDURE_REF(BgL_envz00_15878, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2188;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21722;

						BgL_sz00_2188 = BgL_sz00_15882;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2190;

							BgL_bpz00_2190 = VECTOR_REF(BgL_sz00_2188, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2191;
								obj_t BgL_a2z00_2192;

								BgL_a1z00_2191 =
									PROCEDURE_ENTRY(BgL_a1z00_15879) (BgL_a1z00_15879,
									BgL_sz00_2188, BEOA);
								BgL_a2z00_2192 =
									PROCEDURE_ENTRY(BgL_a2z00_15880) (BgL_a2z00_15880,
									BgL_sz00_2188, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2191))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5577z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2191,
											BgL_locz00_15881);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2192))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5577z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2192,
											BgL_locz00_15881);
									}
								BgL_auxz00_21722 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_2191,
									BgL_a2z00_2192);
							}
						}
						return BBOOL(BgL_auxz00_21722);
					}
				}
			}
		}
	}



/* &<anonymous:2553> */
	obj_t BGl_z62zc3anonymousza32553ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15883, obj_t BgL_sz00_15887)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15884;
				obj_t BgL_a2z00_15885;
				obj_t BgL_locz00_15886;

				BgL_a1z00_15884 = PROCEDURE_REF(BgL_envz00_15883, (int) (((long) 0)));
				BgL_a2z00_15885 = PROCEDURE_REF(BgL_envz00_15883, (int) (((long) 1)));
				BgL_locz00_15886 = PROCEDURE_REF(BgL_envz00_15883, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2198;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21747;

						BgL_sz00_2198 = BgL_sz00_15887;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2200;

							BgL_bpz00_2200 = VECTOR_REF(BgL_sz00_2198, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2201;
								obj_t BgL_a2z00_2202;

								BgL_a1z00_2201 =
									PROCEDURE_ENTRY(BgL_a1z00_15884) (BgL_a1z00_15884,
									BgL_sz00_2198, BEOA);
								BgL_a2z00_2202 =
									PROCEDURE_ENTRY(BgL_a2z00_15885) (BgL_a2z00_15885,
									BgL_sz00_2198, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2201))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5579z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2201,
											BgL_locz00_15886);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2202))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5579z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2202,
											BgL_locz00_15886);
									}
								BgL_auxz00_21747 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_2201,
									BgL_a2z00_2202);
							}
						}
						return BBOOL(BgL_auxz00_21747);
					}
				}
			}
		}
	}



/* &<anonymous:2557> */
	obj_t BGl_z62zc3anonymousza32557ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15888, obj_t BgL_sz00_15892)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15889;
				obj_t BgL_a2z00_15890;
				obj_t BgL_locz00_15891;

				BgL_a1z00_15889 = PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 0)));
				BgL_a2z00_15890 = PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 1)));
				BgL_locz00_15891 = PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2208;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21772;

						BgL_sz00_2208 = BgL_sz00_15892;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2210;

							BgL_bpz00_2210 = VECTOR_REF(BgL_sz00_2208, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2211;
								obj_t BgL_a2z00_2212;

								BgL_a1z00_2211 =
									PROCEDURE_ENTRY(BgL_a1z00_15889) (BgL_a1z00_15889,
									BgL_sz00_2208, BEOA);
								BgL_a2z00_2212 =
									PROCEDURE_ENTRY(BgL_a2z00_15890) (BgL_a2z00_15890,
									BgL_sz00_2208, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2211))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5581z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a1z00_2211,
											BgL_locz00_15891);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2212))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5581z00zz__evaluate_compz00,
											BGl_symbol5565z00zz__evaluate_compz00, BgL_a2z00_2212,
											BgL_locz00_15891);
									}
								BgL_auxz00_21772 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_2211,
									BgL_a2z00_2212);
							}
						}
						return BBOOL(BgL_auxz00_21772);
					}
				}
			}
		}
	}



/* &<anonymous:2561> */
	obj_t BGl_z62zc3anonymousza32561ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15893, obj_t BgL_sz00_15897)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15894;
				obj_t BgL_a2z00_15895;
				obj_t BgL_locz00_15896;

				BgL_a1z00_15894 = PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 0)));
				BgL_a2z00_15895 = PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 1)));
				BgL_locz00_15896 = PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2218;

					{	/* Eval/evaluate_comp.scm 973 */
						long BgL_auxz00_21797;

						BgL_sz00_2218 = BgL_sz00_15897;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2220;

							BgL_bpz00_2220 = VECTOR_REF(BgL_sz00_2218, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2221;
								obj_t BgL_a2z00_2222;

								BgL_a1z00_2221 =
									PROCEDURE_ENTRY(BgL_a1z00_15894) (BgL_a1z00_15894,
									BgL_sz00_2218, BEOA);
								BgL_a2z00_2222 =
									PROCEDURE_ENTRY(BgL_a2z00_15895) (BgL_a2z00_15895,
									BgL_sz00_2218, BEOA);
								if (INTEGERP(BgL_a1z00_2221))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5583z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2221,
											BgL_locz00_15896);
									}
								if (INTEGERP(BgL_a2z00_2222))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5583z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2222,
											BgL_locz00_15896);
									}
								BgL_auxz00_21797 =
									((long) CINT(BgL_a1z00_2221) + (long) CINT(BgL_a2z00_2222));
						}}
						return BINT(BgL_auxz00_21797);
					}
				}
			}
		}
	}



/* &<anonymous:2565> */
	obj_t BGl_z62zc3anonymousza32565ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15898, obj_t BgL_sz00_15902)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15899;
				obj_t BgL_a2z00_15900;
				obj_t BgL_locz00_15901;

				BgL_a1z00_15899 = PROCEDURE_REF(BgL_envz00_15898, (int) (((long) 0)));
				BgL_a2z00_15900 = PROCEDURE_REF(BgL_envz00_15898, (int) (((long) 1)));
				BgL_locz00_15901 = PROCEDURE_REF(BgL_envz00_15898, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2228;

					{	/* Eval/evaluate_comp.scm 973 */
						long BgL_auxz00_21824;

						BgL_sz00_2228 = BgL_sz00_15902;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2230;

							BgL_bpz00_2230 = VECTOR_REF(BgL_sz00_2228, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2231;
								obj_t BgL_a2z00_2232;

								BgL_a1z00_2231 =
									PROCEDURE_ENTRY(BgL_a1z00_15899) (BgL_a1z00_15899,
									BgL_sz00_2228, BEOA);
								BgL_a2z00_2232 =
									PROCEDURE_ENTRY(BgL_a2z00_15900) (BgL_a2z00_15900,
									BgL_sz00_2228, BEOA);
								if (INTEGERP(BgL_a1z00_2231))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5587z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2231,
											BgL_locz00_15901);
									}
								if (INTEGERP(BgL_a2z00_2232))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5587z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2232,
											BgL_locz00_15901);
									}
								BgL_auxz00_21824 =
									((long) CINT(BgL_a1z00_2231) - (long) CINT(BgL_a2z00_2232));
						}}
						return BINT(BgL_auxz00_21824);
					}
				}
			}
		}
	}



/* &<anonymous:2569> */
	obj_t BGl_z62zc3anonymousza32569ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15903, obj_t BgL_sz00_15907)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15904;
				obj_t BgL_a2z00_15905;
				obj_t BgL_locz00_15906;

				BgL_a1z00_15904 = PROCEDURE_REF(BgL_envz00_15903, (int) (((long) 0)));
				BgL_a2z00_15905 = PROCEDURE_REF(BgL_envz00_15903, (int) (((long) 1)));
				BgL_locz00_15906 = PROCEDURE_REF(BgL_envz00_15903, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2238;

					{	/* Eval/evaluate_comp.scm 973 */
						long BgL_auxz00_21851;

						BgL_sz00_2238 = BgL_sz00_15907;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2240;

							BgL_bpz00_2240 = VECTOR_REF(BgL_sz00_2238, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2241;
								obj_t BgL_a2z00_2242;

								BgL_a1z00_2241 =
									PROCEDURE_ENTRY(BgL_a1z00_15904) (BgL_a1z00_15904,
									BgL_sz00_2238, BEOA);
								BgL_a2z00_2242 =
									PROCEDURE_ENTRY(BgL_a2z00_15905) (BgL_a2z00_15905,
									BgL_sz00_2238, BEOA);
								if (INTEGERP(BgL_a1z00_2241))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5589z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2241,
											BgL_locz00_15906);
									}
								if (INTEGERP(BgL_a2z00_2242))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5589z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2242,
											BgL_locz00_15906);
									}
								BgL_auxz00_21851 =
									((long) CINT(BgL_a1z00_2241) * (long) CINT(BgL_a2z00_2242));
						}}
						return BINT(BgL_auxz00_21851);
					}
				}
			}
		}
	}



/* &<anonymous:2573> */
	obj_t BGl_z62zc3anonymousza32573ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15908, obj_t BgL_sz00_15912)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15909;
				obj_t BgL_a2z00_15910;
				obj_t BgL_locz00_15911;

				BgL_a1z00_15909 = PROCEDURE_REF(BgL_envz00_15908, (int) (((long) 0)));
				BgL_a2z00_15910 = PROCEDURE_REF(BgL_envz00_15908, (int) (((long) 1)));
				BgL_locz00_15911 = PROCEDURE_REF(BgL_envz00_15908, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2248;

					{	/* Eval/evaluate_comp.scm 973 */
						long BgL_auxz00_21878;

						BgL_sz00_2248 = BgL_sz00_15912;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2250;

							BgL_bpz00_2250 = VECTOR_REF(BgL_sz00_2248, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2251;
								obj_t BgL_a2z00_2252;

								BgL_a1z00_2251 =
									PROCEDURE_ENTRY(BgL_a1z00_15909) (BgL_a1z00_15909,
									BgL_sz00_2248, BEOA);
								BgL_a2z00_2252 =
									PROCEDURE_ENTRY(BgL_a2z00_15910) (BgL_a2z00_15910,
									BgL_sz00_2248, BEOA);
								if (INTEGERP(BgL_a1z00_2251))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5591z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2251,
											BgL_locz00_15911);
									}
								if (INTEGERP(BgL_a2z00_2252))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5591z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2252,
											BgL_locz00_15911);
									}
								BgL_auxz00_21878 =
									((long) CINT(BgL_a1z00_2251) / (long) CINT(BgL_a2z00_2252));
						}}
						return BINT(BgL_auxz00_21878);
					}
				}
			}
		}
	}



/* &<anonymous:2577> */
	obj_t BGl_z62zc3anonymousza32577ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15913, obj_t BgL_sz00_15917)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15914;
				obj_t BgL_a2z00_15915;
				obj_t BgL_locz00_15916;

				BgL_a1z00_15914 = PROCEDURE_REF(BgL_envz00_15913, (int) (((long) 0)));
				BgL_a2z00_15915 = PROCEDURE_REF(BgL_envz00_15913, (int) (((long) 1)));
				BgL_locz00_15916 = PROCEDURE_REF(BgL_envz00_15913, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2258;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21905;

						BgL_sz00_2258 = BgL_sz00_15917;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2260;

							BgL_bpz00_2260 = VECTOR_REF(BgL_sz00_2258, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2261;
								obj_t BgL_a2z00_2262;

								BgL_a1z00_2261 =
									PROCEDURE_ENTRY(BgL_a1z00_15914) (BgL_a1z00_15914,
									BgL_sz00_2258, BEOA);
								BgL_a2z00_2262 =
									PROCEDURE_ENTRY(BgL_a2z00_15915) (BgL_a2z00_15915,
									BgL_sz00_2258, BEOA);
								if (INTEGERP(BgL_a1z00_2261))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5593z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2261,
											BgL_locz00_15916);
									}
								if (INTEGERP(BgL_a2z00_2262))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5593z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2262,
											BgL_locz00_15916);
									}
								BgL_auxz00_21905 =
									((long) CINT(BgL_a1z00_2261) < (long) CINT(BgL_a2z00_2262));
						}}
						return BBOOL(BgL_auxz00_21905);
					}
				}
			}
		}
	}



/* &<anonymous:2581> */
	obj_t BGl_z62zc3anonymousza32581ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15918, obj_t BgL_sz00_15922)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15919;
				obj_t BgL_a2z00_15920;
				obj_t BgL_locz00_15921;

				BgL_a1z00_15919 = PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 0)));
				BgL_a2z00_15920 = PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 1)));
				BgL_locz00_15921 = PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2268;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21932;

						BgL_sz00_2268 = BgL_sz00_15922;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2270;

							BgL_bpz00_2270 = VECTOR_REF(BgL_sz00_2268, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2271;
								obj_t BgL_a2z00_2272;

								BgL_a1z00_2271 =
									PROCEDURE_ENTRY(BgL_a1z00_15919) (BgL_a1z00_15919,
									BgL_sz00_2268, BEOA);
								BgL_a2z00_2272 =
									PROCEDURE_ENTRY(BgL_a2z00_15920) (BgL_a2z00_15920,
									BgL_sz00_2268, BEOA);
								if (INTEGERP(BgL_a1z00_2271))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5595z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2271,
											BgL_locz00_15921);
									}
								if (INTEGERP(BgL_a2z00_2272))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5595z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2272,
											BgL_locz00_15921);
									}
								BgL_auxz00_21932 =
									((long) CINT(BgL_a1z00_2271) > (long) CINT(BgL_a2z00_2272));
						}}
						return BBOOL(BgL_auxz00_21932);
					}
				}
			}
		}
	}



/* &<anonymous:2585> */
	obj_t BGl_z62zc3anonymousza32585ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15923, obj_t BgL_sz00_15927)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15924;
				obj_t BgL_a2z00_15925;
				obj_t BgL_locz00_15926;

				BgL_a1z00_15924 = PROCEDURE_REF(BgL_envz00_15923, (int) (((long) 0)));
				BgL_a2z00_15925 = PROCEDURE_REF(BgL_envz00_15923, (int) (((long) 1)));
				BgL_locz00_15926 = PROCEDURE_REF(BgL_envz00_15923, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2278;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21959;

						BgL_sz00_2278 = BgL_sz00_15927;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2280;

							BgL_bpz00_2280 = VECTOR_REF(BgL_sz00_2278, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2281;
								obj_t BgL_a2z00_2282;

								BgL_a1z00_2281 =
									PROCEDURE_ENTRY(BgL_a1z00_15924) (BgL_a1z00_15924,
									BgL_sz00_2278, BEOA);
								BgL_a2z00_2282 =
									PROCEDURE_ENTRY(BgL_a2z00_15925) (BgL_a2z00_15925,
									BgL_sz00_2278, BEOA);
								if (INTEGERP(BgL_a1z00_2281))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5597z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2281,
											BgL_locz00_15926);
									}
								if (INTEGERP(BgL_a2z00_2282))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5597z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2282,
											BgL_locz00_15926);
									}
								BgL_auxz00_21959 =
									((long) CINT(BgL_a1z00_2281) <= (long) CINT(BgL_a2z00_2282));
						}}
						return BBOOL(BgL_auxz00_21959);
					}
				}
			}
		}
	}



/* &<anonymous:2589> */
	obj_t BGl_z62zc3anonymousza32589ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15928, obj_t BgL_sz00_15932)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15929;
				obj_t BgL_a2z00_15930;
				obj_t BgL_locz00_15931;

				BgL_a1z00_15929 = PROCEDURE_REF(BgL_envz00_15928, (int) (((long) 0)));
				BgL_a2z00_15930 = PROCEDURE_REF(BgL_envz00_15928, (int) (((long) 1)));
				BgL_locz00_15931 = PROCEDURE_REF(BgL_envz00_15928, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2288;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_21986;

						BgL_sz00_2288 = BgL_sz00_15932;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2290;

							BgL_bpz00_2290 = VECTOR_REF(BgL_sz00_2288, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2291;
								obj_t BgL_a2z00_2292;

								BgL_a1z00_2291 =
									PROCEDURE_ENTRY(BgL_a1z00_15929) (BgL_a1z00_15929,
									BgL_sz00_2288, BEOA);
								BgL_a2z00_2292 =
									PROCEDURE_ENTRY(BgL_a2z00_15930) (BgL_a2z00_15930,
									BgL_sz00_2288, BEOA);
								if (INTEGERP(BgL_a1z00_2291))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5599z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2291,
											BgL_locz00_15931);
									}
								if (INTEGERP(BgL_a2z00_2292))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5599z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2292,
											BgL_locz00_15931);
									}
								BgL_auxz00_21986 =
									((long) CINT(BgL_a1z00_2291) >= (long) CINT(BgL_a2z00_2292));
						}}
						return BBOOL(BgL_auxz00_21986);
					}
				}
			}
		}
	}



/* &<anonymous:2593> */
	obj_t BGl_z62zc3anonymousza32593ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15933, obj_t BgL_sz00_15937)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15934;
				obj_t BgL_a2z00_15935;
				obj_t BgL_locz00_15936;

				BgL_a1z00_15934 = PROCEDURE_REF(BgL_envz00_15933, (int) (((long) 0)));
				BgL_a2z00_15935 = PROCEDURE_REF(BgL_envz00_15933, (int) (((long) 1)));
				BgL_locz00_15936 = PROCEDURE_REF(BgL_envz00_15933, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2298;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_22013;

						BgL_sz00_2298 = BgL_sz00_15937;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2300;

							BgL_bpz00_2300 = VECTOR_REF(BgL_sz00_2298, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2301;
								obj_t BgL_a2z00_2302;

								BgL_a1z00_2301 =
									PROCEDURE_ENTRY(BgL_a1z00_15934) (BgL_a1z00_15934,
									BgL_sz00_2298, BEOA);
								BgL_a2z00_2302 =
									PROCEDURE_ENTRY(BgL_a2z00_15935) (BgL_a2z00_15935,
									BgL_sz00_2298, BEOA);
								if (INTEGERP(BgL_a1z00_2301))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5601z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a1z00_2301,
											BgL_locz00_15936);
									}
								if (INTEGERP(BgL_a2z00_2302))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5601z00zz__evaluate_compz00,
											BGl_symbol5585z00zz__evaluate_compz00, BgL_a2z00_2302,
											BgL_locz00_15936);
									}
								BgL_auxz00_22013 =
									((long) CINT(BgL_a1z00_2301) == (long) CINT(BgL_a2z00_2302));
						}}
						return BBOOL(BgL_auxz00_22013);
					}
				}
			}
		}
	}



/* &<anonymous:2597> */
	obj_t BGl_z62zc3anonymousza32597ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15938, obj_t BgL_sz00_15942)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15939;
				obj_t BgL_a2z00_15940;
				obj_t BgL_locz00_15941;

				BgL_a1z00_15939 = PROCEDURE_REF(BgL_envz00_15938, (int) (((long) 0)));
				BgL_a2z00_15940 = PROCEDURE_REF(BgL_envz00_15938, (int) (((long) 1)));
				BgL_locz00_15941 = PROCEDURE_REF(BgL_envz00_15938, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2308;

					{	/* Eval/evaluate_comp.scm 973 */
						double BgL_auxz00_22040;

						BgL_sz00_2308 = BgL_sz00_15942;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2310;

							BgL_bpz00_2310 = VECTOR_REF(BgL_sz00_2308, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2311;
								obj_t BgL_a2z00_2312;

								BgL_a1z00_2311 =
									PROCEDURE_ENTRY(BgL_a1z00_15939) (BgL_a1z00_15939,
									BgL_sz00_2308, BEOA);
								BgL_a2z00_2312 =
									PROCEDURE_ENTRY(BgL_a2z00_15940) (BgL_a2z00_15940,
									BgL_sz00_2308, BEOA);
								if (REALP(BgL_a1z00_2311))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5603z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2311,
											BgL_locz00_15941);
									}
								if (REALP(BgL_a2z00_2312))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5603z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2312,
											BgL_locz00_15941);
									}
								BgL_auxz00_22040 =
									(REAL_TO_DOUBLE(BgL_a1z00_2311) +
									REAL_TO_DOUBLE(BgL_a2z00_2312));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22040);
					}
				}
			}
		}
	}



/* &<anonymous:2601> */
	obj_t BGl_z62zc3anonymousza32601ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15943, obj_t BgL_sz00_15947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15944;
				obj_t BgL_a2z00_15945;
				obj_t BgL_locz00_15946;

				BgL_a1z00_15944 = PROCEDURE_REF(BgL_envz00_15943, (int) (((long) 0)));
				BgL_a2z00_15945 = PROCEDURE_REF(BgL_envz00_15943, (int) (((long) 1)));
				BgL_locz00_15946 = PROCEDURE_REF(BgL_envz00_15943, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2318;

					{	/* Eval/evaluate_comp.scm 973 */
						double BgL_auxz00_22067;

						BgL_sz00_2318 = BgL_sz00_15947;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2320;

							BgL_bpz00_2320 = VECTOR_REF(BgL_sz00_2318, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2321;
								obj_t BgL_a2z00_2322;

								BgL_a1z00_2321 =
									PROCEDURE_ENTRY(BgL_a1z00_15944) (BgL_a1z00_15944,
									BgL_sz00_2318, BEOA);
								BgL_a2z00_2322 =
									PROCEDURE_ENTRY(BgL_a2z00_15945) (BgL_a2z00_15945,
									BgL_sz00_2318, BEOA);
								if (REALP(BgL_a1z00_2321))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5607z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2321,
											BgL_locz00_15946);
									}
								if (REALP(BgL_a2z00_2322))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5607z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2322,
											BgL_locz00_15946);
									}
								BgL_auxz00_22067 =
									(REAL_TO_DOUBLE(BgL_a1z00_2321) -
									REAL_TO_DOUBLE(BgL_a2z00_2322));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22067);
					}
				}
			}
		}
	}



/* &<anonymous:2605> */
	obj_t BGl_z62zc3anonymousza32605ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15948, obj_t BgL_sz00_15952)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15949;
				obj_t BgL_a2z00_15950;
				obj_t BgL_locz00_15951;

				BgL_a1z00_15949 = PROCEDURE_REF(BgL_envz00_15948, (int) (((long) 0)));
				BgL_a2z00_15950 = PROCEDURE_REF(BgL_envz00_15948, (int) (((long) 1)));
				BgL_locz00_15951 = PROCEDURE_REF(BgL_envz00_15948, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2328;

					{	/* Eval/evaluate_comp.scm 973 */
						double BgL_auxz00_22094;

						BgL_sz00_2328 = BgL_sz00_15952;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2330;

							BgL_bpz00_2330 = VECTOR_REF(BgL_sz00_2328, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2331;
								obj_t BgL_a2z00_2332;

								BgL_a1z00_2331 =
									PROCEDURE_ENTRY(BgL_a1z00_15949) (BgL_a1z00_15949,
									BgL_sz00_2328, BEOA);
								BgL_a2z00_2332 =
									PROCEDURE_ENTRY(BgL_a2z00_15950) (BgL_a2z00_15950,
									BgL_sz00_2328, BEOA);
								if (REALP(BgL_a1z00_2331))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5609z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2331,
											BgL_locz00_15951);
									}
								if (REALP(BgL_a2z00_2332))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5609z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2332,
											BgL_locz00_15951);
									}
								BgL_auxz00_22094 =
									(REAL_TO_DOUBLE(BgL_a1z00_2331) *
									REAL_TO_DOUBLE(BgL_a2z00_2332));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22094);
					}
				}
			}
		}
	}



/* &<anonymous:2609> */
	obj_t BGl_z62zc3anonymousza32609ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15953, obj_t BgL_sz00_15957)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15954;
				obj_t BgL_a2z00_15955;
				obj_t BgL_locz00_15956;

				BgL_a1z00_15954 = PROCEDURE_REF(BgL_envz00_15953, (int) (((long) 0)));
				BgL_a2z00_15955 = PROCEDURE_REF(BgL_envz00_15953, (int) (((long) 1)));
				BgL_locz00_15956 = PROCEDURE_REF(BgL_envz00_15953, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2338;

					{	/* Eval/evaluate_comp.scm 973 */
						double BgL_auxz00_22121;

						BgL_sz00_2338 = BgL_sz00_15957;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2340;

							BgL_bpz00_2340 = VECTOR_REF(BgL_sz00_2338, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2341;
								obj_t BgL_a2z00_2342;

								BgL_a1z00_2341 =
									PROCEDURE_ENTRY(BgL_a1z00_15954) (BgL_a1z00_15954,
									BgL_sz00_2338, BEOA);
								BgL_a2z00_2342 =
									PROCEDURE_ENTRY(BgL_a2z00_15955) (BgL_a2z00_15955,
									BgL_sz00_2338, BEOA);
								if (REALP(BgL_a1z00_2341))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5611z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2341,
											BgL_locz00_15956);
									}
								if (REALP(BgL_a2z00_2342))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5611z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2342,
											BgL_locz00_15956);
									}
								BgL_auxz00_22121 =
									(REAL_TO_DOUBLE(BgL_a1z00_2341) /
									REAL_TO_DOUBLE(BgL_a2z00_2342));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22121);
					}
				}
			}
		}
	}



/* &<anonymous:2613> */
	obj_t BGl_z62zc3anonymousza32613ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15958, obj_t BgL_sz00_15962)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15959;
				obj_t BgL_a2z00_15960;
				obj_t BgL_locz00_15961;

				BgL_a1z00_15959 = PROCEDURE_REF(BgL_envz00_15958, (int) (((long) 0)));
				BgL_a2z00_15960 = PROCEDURE_REF(BgL_envz00_15958, (int) (((long) 1)));
				BgL_locz00_15961 = PROCEDURE_REF(BgL_envz00_15958, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2348;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_22148;

						BgL_sz00_2348 = BgL_sz00_15962;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2350;

							BgL_bpz00_2350 = VECTOR_REF(BgL_sz00_2348, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2351;
								obj_t BgL_a2z00_2352;

								BgL_a1z00_2351 =
									PROCEDURE_ENTRY(BgL_a1z00_15959) (BgL_a1z00_15959,
									BgL_sz00_2348, BEOA);
								BgL_a2z00_2352 =
									PROCEDURE_ENTRY(BgL_a2z00_15960) (BgL_a2z00_15960,
									BgL_sz00_2348, BEOA);
								if (REALP(BgL_a1z00_2351))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5613z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2351,
											BgL_locz00_15961);
									}
								if (REALP(BgL_a2z00_2352))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5613z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2352,
											BgL_locz00_15961);
									}
								BgL_auxz00_22148 =
									(REAL_TO_DOUBLE(BgL_a1z00_2351) <
									REAL_TO_DOUBLE(BgL_a2z00_2352));
							}
						}
						return BBOOL(BgL_auxz00_22148);
					}
				}
			}
		}
	}



/* &<anonymous:2617> */
	obj_t BGl_z62zc3anonymousza32617ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15963, obj_t BgL_sz00_15967)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15964;
				obj_t BgL_a2z00_15965;
				obj_t BgL_locz00_15966;

				BgL_a1z00_15964 = PROCEDURE_REF(BgL_envz00_15963, (int) (((long) 0)));
				BgL_a2z00_15965 = PROCEDURE_REF(BgL_envz00_15963, (int) (((long) 1)));
				BgL_locz00_15966 = PROCEDURE_REF(BgL_envz00_15963, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2358;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_22175;

						BgL_sz00_2358 = BgL_sz00_15967;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2360;

							BgL_bpz00_2360 = VECTOR_REF(BgL_sz00_2358, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2361;
								obj_t BgL_a2z00_2362;

								BgL_a1z00_2361 =
									PROCEDURE_ENTRY(BgL_a1z00_15964) (BgL_a1z00_15964,
									BgL_sz00_2358, BEOA);
								BgL_a2z00_2362 =
									PROCEDURE_ENTRY(BgL_a2z00_15965) (BgL_a2z00_15965,
									BgL_sz00_2358, BEOA);
								if (REALP(BgL_a1z00_2361))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5615z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2361,
											BgL_locz00_15966);
									}
								if (REALP(BgL_a2z00_2362))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5615z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2362,
											BgL_locz00_15966);
									}
								BgL_auxz00_22175 =
									(REAL_TO_DOUBLE(BgL_a1z00_2361) >
									REAL_TO_DOUBLE(BgL_a2z00_2362));
							}
						}
						return BBOOL(BgL_auxz00_22175);
					}
				}
			}
		}
	}



/* &<anonymous:2621> */
	obj_t BGl_z62zc3anonymousza32621ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15968, obj_t BgL_sz00_15972)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15969;
				obj_t BgL_a2z00_15970;
				obj_t BgL_locz00_15971;

				BgL_a1z00_15969 = PROCEDURE_REF(BgL_envz00_15968, (int) (((long) 0)));
				BgL_a2z00_15970 = PROCEDURE_REF(BgL_envz00_15968, (int) (((long) 1)));
				BgL_locz00_15971 = PROCEDURE_REF(BgL_envz00_15968, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2368;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_22202;

						BgL_sz00_2368 = BgL_sz00_15972;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2370;

							BgL_bpz00_2370 = VECTOR_REF(BgL_sz00_2368, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2371;
								obj_t BgL_a2z00_2372;

								BgL_a1z00_2371 =
									PROCEDURE_ENTRY(BgL_a1z00_15969) (BgL_a1z00_15969,
									BgL_sz00_2368, BEOA);
								BgL_a2z00_2372 =
									PROCEDURE_ENTRY(BgL_a2z00_15970) (BgL_a2z00_15970,
									BgL_sz00_2368, BEOA);
								if (REALP(BgL_a1z00_2371))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5617z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2371,
											BgL_locz00_15971);
									}
								if (REALP(BgL_a2z00_2372))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5617z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2372,
											BgL_locz00_15971);
									}
								BgL_auxz00_22202 =
									(REAL_TO_DOUBLE(BgL_a1z00_2371) <=
									REAL_TO_DOUBLE(BgL_a2z00_2372));
							}
						}
						return BBOOL(BgL_auxz00_22202);
					}
				}
			}
		}
	}



/* &<anonymous:2625> */
	obj_t BGl_z62zc3anonymousza32625ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15973, obj_t BgL_sz00_15977)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15974;
				obj_t BgL_a2z00_15975;
				obj_t BgL_locz00_15976;

				BgL_a1z00_15974 = PROCEDURE_REF(BgL_envz00_15973, (int) (((long) 0)));
				BgL_a2z00_15975 = PROCEDURE_REF(BgL_envz00_15973, (int) (((long) 1)));
				BgL_locz00_15976 = PROCEDURE_REF(BgL_envz00_15973, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2378;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_22229;

						BgL_sz00_2378 = BgL_sz00_15977;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2380;

							BgL_bpz00_2380 = VECTOR_REF(BgL_sz00_2378, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2381;
								obj_t BgL_a2z00_2382;

								BgL_a1z00_2381 =
									PROCEDURE_ENTRY(BgL_a1z00_15974) (BgL_a1z00_15974,
									BgL_sz00_2378, BEOA);
								BgL_a2z00_2382 =
									PROCEDURE_ENTRY(BgL_a2z00_15975) (BgL_a2z00_15975,
									BgL_sz00_2378, BEOA);
								if (REALP(BgL_a1z00_2381))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5619z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2381,
											BgL_locz00_15976);
									}
								if (REALP(BgL_a2z00_2382))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5619z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2382,
											BgL_locz00_15976);
									}
								BgL_auxz00_22229 =
									(REAL_TO_DOUBLE(BgL_a1z00_2381) >=
									REAL_TO_DOUBLE(BgL_a2z00_2382));
							}
						}
						return BBOOL(BgL_auxz00_22229);
					}
				}
			}
		}
	}



/* &<anonymous:2629> */
	obj_t BGl_z62zc3anonymousza32629ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15978, obj_t BgL_sz00_15982)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15979;
				obj_t BgL_a2z00_15980;
				obj_t BgL_locz00_15981;

				BgL_a1z00_15979 = PROCEDURE_REF(BgL_envz00_15978, (int) (((long) 0)));
				BgL_a2z00_15980 = PROCEDURE_REF(BgL_envz00_15978, (int) (((long) 1)));
				BgL_locz00_15981 = PROCEDURE_REF(BgL_envz00_15978, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2388;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_22256;

						BgL_sz00_2388 = BgL_sz00_15982;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_2390;

							BgL_bpz00_2390 = VECTOR_REF(BgL_sz00_2388, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_2391;
								obj_t BgL_a2z00_2392;

								BgL_a1z00_2391 =
									PROCEDURE_ENTRY(BgL_a1z00_15979) (BgL_a1z00_15979,
									BgL_sz00_2388, BEOA);
								BgL_a2z00_2392 =
									PROCEDURE_ENTRY(BgL_a2z00_15980) (BgL_a2z00_15980,
									BgL_sz00_2388, BEOA);
								if (REALP(BgL_a1z00_2391))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5621z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a1z00_2391,
											BgL_locz00_15981);
									}
								if (REALP(BgL_a2z00_2392))
									{	/* Eval/evaluate_comp.scm 973 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 973 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5621z00zz__evaluate_compz00,
											BGl_symbol5605z00zz__evaluate_compz00, BgL_a2z00_2392,
											BgL_locz00_15981);
									}
								BgL_auxz00_22256 =
									(REAL_TO_DOUBLE(BgL_a1z00_2391) ==
									REAL_TO_DOUBLE(BgL_a2z00_2392));
							}
						}
						return BBOOL(BgL_auxz00_22256);
					}
				}
			}
		}
	}



/* &<anonymous:2633> */
	obj_t BGl_z62zc3anonymousza32633ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15983, obj_t BgL_sz00_15986)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15984;
				obj_t BgL_a2z00_15985;

				BgL_a1z00_15984 = PROCEDURE_REF(BgL_envz00_15983, (int) (((long) 0)));
				BgL_a2z00_15985 = PROCEDURE_REF(BgL_envz00_15983, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2398;

					{	/* Eval/evaluate_comp.scm 973 */
						bool_t BgL_auxz00_22281;

						BgL_sz00_2398 = BgL_sz00_15986;
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_bpz00_8848;

							BgL_bpz00_8848 = VECTOR_REF(BgL_sz00_2398, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 973 */
								obj_t BgL_a1z00_8849;
								obj_t BgL_a2z00_8850;

								BgL_a1z00_8849 =
									PROCEDURE_ENTRY(BgL_a1z00_15984) (BgL_a1z00_15984,
									BgL_sz00_2398, BEOA);
								BgL_a2z00_8850 =
									PROCEDURE_ENTRY(BgL_a2z00_15985) (BgL_a2z00_15985,
									BgL_sz00_2398, BEOA);
								BgL_auxz00_22281 = (BgL_a1z00_8849 == BgL_a2z00_8850);
						}}
						return BBOOL(BgL_auxz00_22281);
					}
				}
			}
		}
	}



/* &<anonymous:2635> */
	obj_t BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15987, obj_t BgL_sz00_15990)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 973 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_a1z00_15988;
				obj_t BgL_a2z00_15989;

				BgL_a1z00_15988 = PROCEDURE_REF(BgL_envz00_15987, (int) (((long) 0)));
				BgL_a2z00_15989 = PROCEDURE_REF(BgL_envz00_15987, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2406;

					BgL_sz00_2406 = BgL_sz00_15990;
					{	/* Eval/evaluate_comp.scm 973 */
						obj_t BgL_bpz00_8853;

						BgL_bpz00_8853 = VECTOR_REF(BgL_sz00_2406, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 973 */
							obj_t BgL_a1z00_8854;
							obj_t BgL_a2z00_8855;

							BgL_a1z00_8854 =
								PROCEDURE_ENTRY(BgL_a1z00_15988) (BgL_a1z00_15988,
								BgL_sz00_2406, BEOA);
							BgL_a2z00_8855 =
								PROCEDURE_ENTRY(BgL_a2z00_15989) (BgL_a2z00_15989,
								BgL_sz00_2406, BEOA);
							return MAKE_PAIR(BgL_a1z00_8854, BgL_a2z00_8855);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2638> */
	obj_t BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15991, obj_t BgL_sz00_15994)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 970 */
			{	/* Eval/evaluate_comp.scm 970 */
				obj_t BgL_a1z00_15992;
				obj_t BgL_locz00_15993;

				BgL_a1z00_15992 = PROCEDURE_REF(BgL_envz00_15991, (int) (((long) 0)));
				BgL_locz00_15993 = PROCEDURE_REF(BgL_envz00_15991, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2415;

					BgL_sz00_2415 = BgL_sz00_15994;
					{	/* Eval/evaluate_comp.scm 970 */
						obj_t BgL_bpz00_2417;

						BgL_bpz00_2417 = VECTOR_REF(BgL_sz00_2415, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 970 */
							obj_t BgL_a1z00_2418;

							BgL_a1z00_2418 =
								PROCEDURE_ENTRY(BgL_a1z00_15992) (BgL_a1z00_15992,
								BgL_sz00_2415, BEOA);
							if (PAIRP(BgL_a1z00_2418))
								{	/* Eval/evaluate_comp.scm 970 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 970 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5623z00zz__evaluate_compz00,
										BGl_symbol5625z00zz__evaluate_compz00, BgL_a1z00_2418,
										BgL_locz00_15993);
								}
							return CAR(BgL_a1z00_2418);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2641> */
	obj_t BGl_z62zc3anonymousza32641ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15995, obj_t BgL_sz00_15998)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 970 */
			{	/* Eval/evaluate_comp.scm 970 */
				obj_t BgL_a1z00_15996;
				obj_t BgL_locz00_15997;

				BgL_a1z00_15996 = PROCEDURE_REF(BgL_envz00_15995, (int) (((long) 0)));
				BgL_locz00_15997 = PROCEDURE_REF(BgL_envz00_15995, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2422;

					BgL_sz00_2422 = BgL_sz00_15998;
					{	/* Eval/evaluate_comp.scm 970 */
						obj_t BgL_bpz00_2424;

						BgL_bpz00_2424 = VECTOR_REF(BgL_sz00_2422, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 970 */
							obj_t BgL_a1z00_2425;

							BgL_a1z00_2425 =
								PROCEDURE_ENTRY(BgL_a1z00_15996) (BgL_a1z00_15996,
								BgL_sz00_2422, BEOA);
							if (PAIRP(BgL_a1z00_2425))
								{	/* Eval/evaluate_comp.scm 970 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 970 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5627z00zz__evaluate_compz00,
										BGl_symbol5625z00zz__evaluate_compz00, BgL_a1z00_2425,
										BgL_locz00_15997);
								}
							return CDR(BgL_a1z00_2425);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2644> */
	obj_t BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15999, obj_t BgL_sz00_16002)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 970 */
			{	/* Eval/evaluate_comp.scm 970 */
				obj_t BgL_a1z00_16000;
				obj_t BgL_locz00_16001;

				BgL_a1z00_16000 = PROCEDURE_REF(BgL_envz00_15999, (int) (((long) 0)));
				BgL_locz00_16001 = PROCEDURE_REF(BgL_envz00_15999, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2429;

					BgL_sz00_2429 = BgL_sz00_16002;
					{	/* Eval/evaluate_comp.scm 970 */
						obj_t BgL_bpz00_2431;

						BgL_bpz00_2431 = VECTOR_REF(BgL_sz00_2429, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 970 */
							obj_t BgL_a1z00_2432;

							BgL_a1z00_2432 =
								PROCEDURE_ENTRY(BgL_a1z00_16000) (BgL_a1z00_16000,
								BgL_sz00_2429, BEOA);
							{	/* Eval/evaluate_comp.scm 970 */
								bool_t BgL_testz00_22347;

								if (PAIRP(BgL_a1z00_2432))
									{	/* Eval/evaluate_comp.scm 970 */
										obj_t BgL_auxz00_22350;

										BgL_auxz00_22350 = CDR(BgL_a1z00_2432);
										BgL_testz00_22347 = PAIRP(BgL_auxz00_22350);
									}
								else
									{	/* Eval/evaluate_comp.scm 970 */
										BgL_testz00_22347 = ((bool_t) 0);
									}
								if (BgL_testz00_22347)
									{	/* Eval/evaluate_comp.scm 970 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 970 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5629z00zz__evaluate_compz00,
											BGl_symbol5625z00zz__evaluate_compz00, BgL_a1z00_2432,
											BgL_locz00_16001);
									}
							}
							{	/* Eval/evaluate_comp.scm 970 */
								obj_t BgL_pairz00_8656;

								BgL_pairz00_8656 = BgL_a1z00_2432;
								return CAR(CDR(BgL_pairz00_8656));
							}
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_202,
		obj_t BgL_wherez00_203, long BgL_spz00_204, long BgL_arityz00_205,
		obj_t BgL_valsz00_206, obj_t BgL_locz00_207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1012 */
			if ((BgL_arityz00_205 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_g1243z00_2438;

					BgL_g1243z00_2438 = (((long) -1) - BgL_arityz00_205);
					{
						long BgL_rz00_2440;
						long BgL_spz00_2441;
						obj_t BgL_lz00_2442;

						BgL_rz00_2440 = BgL_g1243z00_2438;
						BgL_spz00_2441 = BgL_spz00_204;
						BgL_lz00_2442 = BgL_valsz00_206;
					BgL_zc3anonymousza32649ze3z83_2443:
						if ((BgL_rz00_2440 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1016 */
								return
									VECTOR_SET(BgL_sz00_202,
									(int) (BgL_spz00_2441), BgL_lz00_2442);
							}
						else
							{	/* Eval/evaluate_comp.scm 1016 */
								if (PAIRP(BgL_lz00_2442))
									{	/* Eval/evaluate_comp.scm 1018 */
										VECTOR_SET(BgL_sz00_202,
											(int) (BgL_spz00_2441), CAR(BgL_lz00_2442));
										{
											obj_t BgL_lz00_22372;
											long BgL_spz00_22370;
											long BgL_rz00_22368;

											BgL_rz00_22368 = (BgL_rz00_2440 - ((long) 1));
											BgL_spz00_22370 = (BgL_spz00_2441 + ((long) 1));
											BgL_lz00_22372 = CDR(BgL_lz00_2442);
											BgL_lz00_2442 = BgL_lz00_22372;
											BgL_spz00_2441 = BgL_spz00_22370;
											BgL_rz00_2440 = BgL_rz00_22368;
											goto BgL_zc3anonymousza32649ze3z83_2443;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1019 */
										long BgL_arg2656z00_2450;

										BgL_arg2656z00_2450 = bgl_list_length(BgL_valsz00_206);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
											BgL_wherez00_203, (int) (BgL_arityz00_205),
											(int) (BgL_arg2656z00_2450));
				}}}}
			else
				{
					long BgL_rz00_2453;
					long BgL_spz00_2454;
					obj_t BgL_lz00_2455;

					BgL_rz00_2453 = BgL_arityz00_205;
					BgL_spz00_2454 = BgL_spz00_204;
					BgL_lz00_2455 = BgL_valsz00_206;
				BgL_zc3anonymousza32657ze3z83_2456:
					if ((BgL_rz00_2453 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1025 */
							if (NULLP(BgL_lz00_2455))
								{	/* Eval/evaluate_comp.scm 1026 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1027 */
									long BgL_arg2660z00_2459;

									BgL_arg2660z00_2459 = bgl_list_length(BgL_valsz00_206);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
										BgL_wherez00_203, (int) (BgL_arityz00_205),
										(int) (BgL_arg2660z00_2459));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1025 */
							if (PAIRP(BgL_lz00_2455))
								{	/* Eval/evaluate_comp.scm 1028 */
									VECTOR_SET(BgL_sz00_202,
										(int) (BgL_spz00_2454), CAR(BgL_lz00_2455));
									{
										obj_t BgL_lz00_22395;
										long BgL_spz00_22393;
										long BgL_rz00_22391;

										BgL_rz00_22391 = (BgL_rz00_2453 - ((long) 1));
										BgL_spz00_22393 = (BgL_spz00_2454 + ((long) 1));
										BgL_lz00_22395 = CDR(BgL_lz00_2455);
										BgL_lz00_2455 = BgL_lz00_22395;
										BgL_spz00_2454 = BgL_spz00_22393;
										BgL_rz00_2453 = BgL_rz00_22391;
										goto BgL_zc3anonymousza32657ze3z83_2456;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1029 */
									long BgL_arg2666z00_2465;

									BgL_arg2666z00_2465 = bgl_list_length(BgL_valsz00_206);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
										BgL_wherez00_203, (int) (BgL_arityz00_205),
										(int) (BgL_arg2666z00_2465));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_210,
		obj_t BgL_ibza2za2_211, obj_t BgL_bpz00_212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1127 */
			{	/* Eval/evaluate_comp.scm 1128 */
				int BgL_nz00_2467;

				BgL_nz00_2467 = VECTOR_LENGTH(BgL_ibza2za2_211);
				{
					long BgL_iz00_2469;

					BgL_iz00_2469 = ((long) 0);
				BgL_zc3anonymousza32667ze3z83_2470:
					{	/* Eval/evaluate_comp.scm 1130 */
						long BgL_spz00_2471;

						{	/* Eval/evaluate_comp.scm 1130 */
							obj_t BgL_arg2671z00_2476;

							BgL_arg2671z00_2476 =
								VECTOR_REF(BgL_ibza2za2_211, (int) (BgL_iz00_2469));
							BgL_spz00_2471 =
								((long) CINT(BgL_bpz00_212) + (long) CINT(BgL_arg2671z00_2476));
						}
						{	/* Eval/evaluate_comp.scm 1131 */
							obj_t BgL_arg2668z00_2472;

							{	/* Eval/evaluate_comp.scm 1131 */
								obj_t BgL_arg2669z00_2473;

								BgL_arg2669z00_2473 =
									VECTOR_REF(BgL_sz00_210, (int) (BgL_spz00_2471));
								{	/* Eval/evaluate_comp.scm 1131 */
									obj_t BgL_newz00_8927;

									BgL_newz00_8927 =
										create_struct(BGl_symbol5553z00zz__evaluate_compz00,
										(int) (((long) 1)));
									{	/* Eval/evaluate_comp.scm 1131 */
										int BgL_auxz00_22411;

										BgL_auxz00_22411 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_8927, BgL_auxz00_22411,
											BgL_arg2669z00_2473);
									}
									BgL_arg2668z00_2472 = BgL_newz00_8927;
							}}
							VECTOR_SET(BgL_sz00_210,
								(int) (BgL_spz00_2471), BgL_arg2668z00_2472);
						}
						{	/* Eval/evaluate_comp.scm 1132 */
							long BgL_niz00_2474;

							BgL_niz00_2474 = (BgL_iz00_2469 + ((long) 1));
							if ((BgL_niz00_2474 < (long) (BgL_nz00_2467)))
								{
									long BgL_iz00_22420;

									BgL_iz00_22420 = BgL_niz00_2474;
									BgL_iz00_2469 = BgL_iz00_22420;
									goto BgL_zc3anonymousza32667ze3z83_2470;
								}
							else
								{	/* Eval/evaluate_comp.scm 1133 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_213,
		obj_t BgL_bpz00_214, obj_t BgL_iza2za2_215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1135 */
			{	/* Eval/evaluate_comp.scm 1136 */
				int BgL_nz00_2478;

				BgL_nz00_2478 = VECTOR_LENGTH(BgL_iza2za2_215);
				{	/* Eval/evaluate_comp.scm 1136 */
					obj_t BgL_rz00_2479;

					BgL_rz00_2479 = make_vector(BgL_nz00_2478, BUNSPEC);
					{	/* Eval/evaluate_comp.scm 1136 */

						{
							long BgL_iz00_2481;

							BgL_iz00_2481 = ((long) 0);
						BgL_zc3anonymousza32672ze3z83_2482:
							if ((BgL_iz00_2481 >= (long) (BgL_nz00_2478)))
								{	/* Eval/evaluate_comp.scm 1138 */
									return BgL_rz00_2479;
								}
							else
								{	/* Eval/evaluate_comp.scm 1138 */
									{	/* Eval/evaluate_comp.scm 1141 */
										obj_t BgL_arg2674z00_2484;

										{	/* Eval/evaluate_comp.scm 1141 */
											long BgL_arg2675z00_2485;

											{	/* Eval/evaluate_comp.scm 1141 */
												obj_t BgL_arg2676z00_2486;

												BgL_arg2676z00_2486 =
													VECTOR_REF(BgL_iza2za2_215, (int) (BgL_iz00_2481));
												BgL_arg2675z00_2485 =
													(
													(long) CINT(BgL_bpz00_214) +
													(long) CINT(BgL_arg2676z00_2486));
											}
											BgL_arg2674z00_2484 =
												VECTOR_REF(BgL_sz00_213, (int) (BgL_arg2675z00_2485));
										}
										VECTOR_SET(BgL_rz00_2479,
											(int) (BgL_iz00_2481), BgL_arg2674z00_2484);
									}
									{
										long BgL_iz00_22435;

										BgL_iz00_22435 = (BgL_iz00_2481 + ((long) 1));
										BgL_iz00_2481 = BgL_iz00_22435;
										goto BgL_zc3anonymousza32672ze3z83_2482;
									}
								}
						}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_216,
		obj_t BgL_valza2za2_217, long BgL_spz00_218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1144 */
			{	/* Eval/evaluate_comp.scm 1145 */
				long BgL_stopz00_2490;

				{	/* Eval/evaluate_comp.scm 1145 */
					int BgL_arg2684z00_2500;

					BgL_arg2684z00_2500 = VECTOR_LENGTH(BgL_valza2za2_217);
					BgL_stopz00_2490 = (BgL_spz00_218 + (long) (BgL_arg2684z00_2500));
				}
				{
					long BgL_iz00_9003;
					long BgL_spz00_9004;

					BgL_iz00_9003 = ((long) 0);
					BgL_spz00_9004 = BgL_spz00_218;
				BgL_recz00_9002:
					if ((BgL_spz00_9004 < BgL_stopz00_2490))
						{	/* Eval/evaluate_comp.scm 1146 */
							VECTOR_SET(BgL_sz00_216,
								(int) (BgL_spz00_9004),
								VECTOR_REF(BgL_valza2za2_217, (int) (BgL_iz00_9003)));
							{
								long BgL_spz00_22448;
								long BgL_iz00_22446;

								BgL_iz00_22446 = (BgL_iz00_9003 + ((long) 1));
								BgL_spz00_22448 = (BgL_spz00_9004 + ((long) 1));
								BgL_spz00_9004 = BgL_spz00_22448;
								BgL_iz00_9003 = BgL_iz00_22446;
								goto BgL_recz00_9002;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1146 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc5631z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string5632z00zz__evaluate_compz00);
		}
	}



/* &comp1640 */
	obj_t BGl_z62comp1640z62zz__evaluate_compz00(obj_t BgL_envz00_16088,
		obj_t BgL_ez00_16089, obj_t BgL_stkz00_16090)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_2502;
				obj_t BgL_stkz00_2503;

				BgL_ez00_2502 = ((BgL_ev_exprz00_bglt) BgL_ez00_16089);
				BgL_stkz00_2503 = BgL_stkz00_16090;
				return
					BGl_errorz00zz__errorz00(BGl_string5543z00zz__evaluate_compz00,
					BGl_string5633z00zz__evaluate_compz00, ((obj_t) BgL_ez00_2502));
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				obj_t BgL_method1641z00_2506;

				{	/* Eval/evaluate_comp.scm 264 */
					obj_t BgL_res4814z00_9055;

					{	/* Eval/evaluate_comp.scm 264 */
						BgL_objectz00_bglt BgL_objz00_9027;

						BgL_objz00_9027 = ((BgL_objectz00_bglt) BgL_ez00_35);
						{	/* Eval/evaluate_comp.scm 264 */
							long BgL_objzd2classzd2numz00_9028;

							{	/* Eval/evaluate_comp.scm 264 */
								long BgL_res4808z00_9031;

								BgL_res4808z00_9031 = BGL_OBJECT_CLASS_NUM(BgL_objz00_9027);
								BgL_objzd2classzd2numz00_9028 = BgL_res4808z00_9031;
							}
							{	/* Eval/evaluate_comp.scm 264 */
								obj_t BgL_arg4310z00_9029;

								BgL_arg4310z00_9029 =
									PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 264 */
									obj_t BgL_arrayz00_9032;
									int BgL_offsetz00_9033;

									BgL_arrayz00_9032 = BgL_arg4310z00_9029;
									BgL_offsetz00_9033 = (int) (BgL_objzd2classzd2numz00_9028);
									{	/* Eval/evaluate_comp.scm 264 */
										long BgL_offsetz00_9034;

										BgL_offsetz00_9034 =
											((long) (BgL_offsetz00_9033) - OBJECT_TYPE);
										{	/* Eval/evaluate_comp.scm 264 */
											long BgL_modz00_9035;

											{	/* Eval/evaluate_comp.scm 264 */
												int BgL_arg4312z00_9036;

												BgL_arg4312z00_9036 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 264 */
													long BgL_res4811z00_9046;

													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_auxz00_22462;

														BgL_auxz00_22462 = (long) (BgL_arg4312z00_9036);
														BgL_res4811z00_9046 =
															(BgL_offsetz00_9034 / BgL_auxz00_22462);
													}
													BgL_modz00_9035 = BgL_res4811z00_9046;
											}}
											{	/* Eval/evaluate_comp.scm 264 */
												long BgL_restz00_9037;

												{	/* Eval/evaluate_comp.scm 264 */
													int BgL_arg4311z00_9038;

													BgL_arg4311z00_9038 = (int) (((long) 16));
													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_res4813z00_9050;

														{	/* Eval/evaluate_comp.scm 264 */
															long BgL_auxz00_22466;

															BgL_auxz00_22466 = (long) (BgL_arg4311z00_9038);
															BgL_res4813z00_9050 =
																(BgL_offsetz00_9034 % BgL_auxz00_22466);
														}
														BgL_restz00_9037 = BgL_res4813z00_9050;
												}}
												{	/* Eval/evaluate_comp.scm 264 */

													BgL_res4814z00_9055 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_9032,
															(int) (BgL_modz00_9035)),
														(int) (BgL_restz00_9037));
					}}}}}}}}
					BgL_method1641z00_2506 = BgL_res4814z00_9055;
				}
				return
					PROCEDURE_ENTRY(BgL_method1641z00_2506) (BgL_method1641z00_2506,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_16091,
		obj_t BgL_ez00_16092, obj_t BgL_stkz00_16093)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				BgL_ev_exprz00_bglt BgL_auxz00_22479;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_16092,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 264 */
						BgL_auxz00_22479 = ((BgL_ev_exprz00_bglt) BgL_ez00_16092);
					}
				else
					{
						obj_t BgL_auxz00_22483;

						BgL_auxz00_22483 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5548z00zz__evaluate_compz00, BINT(((long) 6608)),
							BGl_string5634z00zz__evaluate_compz00,
							BGl_string5550z00zz__evaluate_compz00, BgL_ez00_16092);
						FAILURE(BgL_auxz00_22483, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_22479, BgL_stkz00_16093);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc5635z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5637z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc5638z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc5639z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc5640z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc5641z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc5642z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5643z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5644z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5645z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc5646z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5647z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc5648z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc5649z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc5650z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc5651z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc5652z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc5653z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc5654z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc5655z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5656z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5657z00zz__evaluate_compz00,
				BGl_string5636z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs1686 */
	obj_t BGl_z62compzd2ev_abs1686zb0zz__evaluate_compz00(obj_t BgL_envz00_16286,
		obj_t BgL_ez00_16287, obj_t BgL_stkz00_16288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{
				BgL_ev_absz00_bglt BgL_ez00_3275;
				obj_t BgL_stkz00_3276;

				BgL_ez00_3275 = ((BgL_ev_absz00_bglt) BgL_ez00_16287);
				BgL_stkz00_3276 = BgL_stkz00_16288;
				{	/* Eval/evaluate_comp.scm 1117 */
					obj_t BgL_ifreesz00_3280;
					obj_t BgL_iboxesz00_3281;
					long BgL_siza7eza7_3282;
					long BgL_siza7ezd2framez75_3283;
					obj_t BgL_nstkz00_3284;

					{	/* Eval/evaluate_comp.scm 1117 */
						obj_t BgL_arg3989z00_5304;

						{	/* Eval/evaluate_comp.scm 1117 */
							obj_t BgL_l1620z00_5305;

							BgL_l1620z00_5305 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_freez00);
							if (NULLP(BgL_l1620z00_5305))
								{	/* Eval/evaluate_comp.scm 1117 */
									BgL_arg3989z00_5304 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1117 */
									obj_t BgL_head1622z00_5307;

									{	/* Eval/evaluate_comp.scm 1117 */
										obj_t BgL_res4951z00_10317;

										BgL_res4951z00_10317 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1622z00_5307 = BgL_res4951z00_10317;
									}
									{
										obj_t BgL_l1620z00_10351;
										obj_t BgL_tail1623z00_10352;

										BgL_l1620z00_10351 = BgL_l1620z00_5305;
										BgL_tail1623z00_10352 = BgL_head1622z00_5307;
									BgL_zc3anonymousza33991ze3z83_10350:
										if (NULLP(BgL_l1620z00_10351))
											{	/* Eval/evaluate_comp.scm 1117 */
												BgL_arg3989z00_5304 = CDR(BgL_head1622z00_5307);
											}
										else
											{	/* Eval/evaluate_comp.scm 1117 */
												obj_t BgL_newtail1624z00_10359;

												{	/* Eval/evaluate_comp.scm 1117 */
													obj_t BgL_arg3994z00_10360;

													BgL_arg3994z00_10360 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1620z00_10351), BgL_stkz00_3276);
													{	/* Eval/evaluate_comp.scm 1117 */
														obj_t BgL_res4957z00_10369;

														BgL_res4957z00_10369 =
															MAKE_PAIR(BgL_arg3994z00_10360, BNIL);
														BgL_newtail1624z00_10359 = BgL_res4957z00_10369;
													}
												}
												SET_CDR(BgL_tail1623z00_10352,
													BgL_newtail1624z00_10359);
												{
													obj_t BgL_tail1623z00_22523;
													obj_t BgL_l1620z00_22521;

													BgL_l1620z00_22521 = CDR(BgL_l1620z00_10351);
													BgL_tail1623z00_22523 = BgL_newtail1624z00_10359;
													BgL_tail1623z00_10352 = BgL_tail1623z00_22523;
													BgL_l1620z00_10351 = BgL_l1620z00_22521;
													goto BgL_zc3anonymousza33991ze3z83_10350;
												}
											}
									}
								}
						}
						BgL_ifreesz00_3280 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3989z00_5304);
					}
					{	/* Eval/evaluate_comp.scm 1118 */
						obj_t BgL_arg3995z00_5318;

						{	/* Eval/evaluate_comp.scm 1118 */
							obj_t BgL_l1625z00_5319;

							BgL_l1625z00_5319 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_boxesz00);
							if (NULLP(BgL_l1625z00_5319))
								{	/* Eval/evaluate_comp.scm 1118 */
									BgL_arg3995z00_5318 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1118 */
									obj_t BgL_head1627z00_5321;

									{	/* Eval/evaluate_comp.scm 1118 */
										obj_t BgL_res4959z00_10377;

										BgL_res4959z00_10377 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1627z00_5321 = BgL_res4959z00_10377;
									}
									{
										obj_t BgL_l1625z00_5323;
										obj_t BgL_tail1628z00_5324;

										BgL_l1625z00_5323 = BgL_l1625z00_5319;
										BgL_tail1628z00_5324 = BgL_head1627z00_5321;
									BgL_zc3anonymousza33997ze3z83_5325:
										if (NULLP(BgL_l1625z00_5323))
											{	/* Eval/evaluate_comp.scm 1118 */
												BgL_arg3995z00_5318 = CDR(BgL_head1627z00_5321);
											}
										else
											{	/* Eval/evaluate_comp.scm 1118 */
												obj_t BgL_newtail1629z00_5327;

												{	/* Eval/evaluate_comp.scm 1118 */
													obj_t BgL_arg4000z00_5329;

													BgL_arg4000z00_5329 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1625z00_5323),
														(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->
															BgL_varsz00));
													{	/* Eval/evaluate_comp.scm 1118 */
														obj_t BgL_res4961z00_10384;

														BgL_res4961z00_10384 =
															MAKE_PAIR(BgL_arg4000z00_5329, BNIL);
														BgL_newtail1629z00_5327 = BgL_res4961z00_10384;
													}
												}
												SET_CDR(BgL_tail1628z00_5324, BgL_newtail1629z00_5327);
												{
													obj_t BgL_tail1628z00_22539;
													obj_t BgL_l1625z00_22537;

													BgL_l1625z00_22537 = CDR(BgL_l1625z00_5323);
													BgL_tail1628z00_22539 = BgL_newtail1629z00_5327;
													BgL_tail1628z00_5324 = BgL_tail1628z00_22539;
													BgL_l1625z00_5323 = BgL_l1625z00_22537;
													goto BgL_zc3anonymousza33997ze3z83_5325;
												}
											}
									}
								}
						}
						BgL_iboxesz00_3281 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3995z00_5318);
					}
					BgL_siza7eza7_3282 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_varsz00));
					BgL_siza7ezd2framez75_3283 =
						(
						(long) (
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_freez00)));
					BgL_nstkz00_3284 =
						BGl_appendzd221011zd2zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_varsz00),
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_freez00));
					{	/* Eval/evaluate_comp.scm 1122 */
						obj_t BgL_bodyz00_3285;

						BgL_bodyz00_3285 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_bodyz00),
							BgL_nstkz00_3284);
						{

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_aux1279z00_3287;

								BgL_aux1279z00_3287 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3275))->BgL_arityz00);
								if (INTEGERP(BgL_aux1279z00_3287))
									{	/* Eval/evaluate_comp.scm 1124 */
										switch ((long) CINT(BgL_aux1279z00_3287))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_22556;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3102z00_3446;

														BgL_arg3102z00_3446 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_22556 =
															((long) (BgL_arg3102z00_3446) == ((long) 0));
													}
													if (BgL_testz00_22556)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22560;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3064z00_3365;

																BgL_arg3064z00_3365 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22560 =
																	((long) (BgL_arg3064z00_3365) == ((long) 0));
															}
															if (BgL_testz00_22560)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33031ze3z83_16105;

																	BgL_zc3anonymousza33031ze3z83_16105 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33031ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33031ze3z83_16105,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33031ze3z83_16105,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33031ze3z83_16105,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33031ze3z83_16105;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33047ze3z83_16102;

																	BgL_zc3anonymousza33047ze3z83_16102 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33047ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33047ze3z83_16102,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33047ze3z83_16102,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33047ze3z83_16102,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33047ze3z83_16102,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33047ze3z83_16102;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22588;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3101z00_3445;

																BgL_arg3101z00_3445 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22588 =
																	((long) (BgL_arg3101z00_3445) == ((long) 0));
															}
															if (BgL_testz00_22588)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33066ze3z83_16099;

																	BgL_zc3anonymousza33066ze3z83_16099 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33066ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33066ze3z83_16099,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33066ze3z83_16099,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33066ze3z83_16099,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33066ze3z83_16099,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33066ze3z83_16099,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33066ze3z83_16099;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33084ze3z83_16096;

																	BgL_zc3anonymousza33084ze3z83_16096 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33084ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33084ze3z83_16096,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33084ze3z83_16096,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33084ze3z83_16096,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33084ze3z83_16096,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33084ze3z83_16096,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33084ze3z83_16096,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33084ze3z83_16096;
																}
														}
												}
												break;
											case ((long) -1):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_22626;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3179z00_3612;

														BgL_arg3179z00_3612 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_22626 =
															((long) (BgL_arg3179z00_3612) == ((long) 0));
													}
													if (BgL_testz00_22626)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22630;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3139z00_3527;

																BgL_arg3139z00_3527 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22630 =
																	((long) (BgL_arg3139z00_3527) == ((long) 0));
															}
															if (BgL_testz00_22630)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33105ze3z83_16117;

																	BgL_zc3anonymousza33105ze3z83_16117 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33105ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33105ze3z83_16117,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33105ze3z83_16117,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33105ze3z83_16117,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33105ze3z83_16117;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33122ze3z83_16114;

																	BgL_zc3anonymousza33122ze3z83_16114 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33122ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33122ze3z83_16114,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33122ze3z83_16114,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33122ze3z83_16114,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33122ze3z83_16114,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33122ze3z83_16114;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22658;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3177z00_3611;

																BgL_arg3177z00_3611 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22658 =
																	((long) (BgL_arg3177z00_3611) == ((long) 0));
															}
															if (BgL_testz00_22658)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33141ze3z83_16111;

																	BgL_zc3anonymousza33141ze3z83_16111 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33141ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33141ze3z83_16111,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33141ze3z83_16111,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33141ze3z83_16111,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33141ze3z83_16111,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33141ze3z83_16111,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33141ze3z83_16111;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33159ze3z83_16108;

																	BgL_zc3anonymousza33159ze3z83_16108 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33159ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33159ze3z83_16108,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33159ze3z83_16108,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33159ze3z83_16108,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33159ze3z83_16108,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33159ze3z83_16108,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33159ze3z83_16108,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33159ze3z83_16108;
																}
														}
												}
												break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_22696;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3258z00_3778;

														BgL_arg3258z00_3778 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_22696 =
															((long) (BgL_arg3258z00_3778) == ((long) 0));
													}
													if (BgL_testz00_22696)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22700;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3217z00_3693;

																BgL_arg3217z00_3693 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22700 =
																	((long) (BgL_arg3217z00_3693) == ((long) 0));
															}
															if (BgL_testz00_22700)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33182ze3z83_16129;

																	BgL_zc3anonymousza33182ze3z83_16129 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33182ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33182ze3z83_16129,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33182ze3z83_16129,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33182ze3z83_16129,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33182ze3z83_16129;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33200ze3z83_16126;

																	BgL_zc3anonymousza33200ze3z83_16126 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33200ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33200ze3z83_16126,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33200ze3z83_16126,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33200ze3z83_16126,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33200ze3z83_16126,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33200ze3z83_16126;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22728;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3257z00_3777;

																BgL_arg3257z00_3777 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22728 =
																	((long) (BgL_arg3257z00_3777) == ((long) 0));
															}
															if (BgL_testz00_22728)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33219ze3z83_16123;

																	BgL_zc3anonymousza33219ze3z83_16123 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33219ze3z83_16123,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33219ze3z83_16123,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33219ze3z83_16123,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33219ze3z83_16123,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33219ze3z83_16123,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33219ze3z83_16123;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33238ze3z83_16120;

																	BgL_zc3anonymousza33238ze3z83_16120 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33238ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33238ze3z83_16120,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33238ze3z83_16120,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33238ze3z83_16120,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33238ze3z83_16120,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33238ze3z83_16120,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33238ze3z83_16120,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33238ze3z83_16120;
																}
														}
												}
												break;
											case ((long) -2):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_22766;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3338z00_3952;

														BgL_arg3338z00_3952 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_22766 =
															((long) (BgL_arg3338z00_3952) == ((long) 0));
													}
													if (BgL_testz00_22766)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22770;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3297z00_3863;

																BgL_arg3297z00_3863 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22770 =
																	((long) (BgL_arg3297z00_3863) == ((long) 0));
															}
															if (BgL_testz00_22770)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33261ze3z83_16141;

																	BgL_zc3anonymousza33261ze3z83_16141 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33261ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33261ze3z83_16141,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33261ze3z83_16141,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33261ze3z83_16141,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33261ze3z83_16141;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33279ze3z83_16138;

																	BgL_zc3anonymousza33279ze3z83_16138 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33279ze3z83_16138,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33279ze3z83_16138,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33279ze3z83_16138,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33279ze3z83_16138,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33279ze3z83_16138;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22798;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3337z00_3951;

																BgL_arg3337z00_3951 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22798 =
																	((long) (BgL_arg3337z00_3951) == ((long) 0));
															}
															if (BgL_testz00_22798)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33299ze3z83_16135;

																	BgL_zc3anonymousza33299ze3z83_16135 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33299ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33299ze3z83_16135,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33299ze3z83_16135,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33299ze3z83_16135,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33299ze3z83_16135,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33299ze3z83_16135,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33299ze3z83_16135;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33318ze3z83_16132;

																	BgL_zc3anonymousza33318ze3z83_16132 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33318ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33318ze3z83_16132,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33318ze3z83_16132,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33318ze3z83_16132,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33318ze3z83_16132,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33318ze3z83_16132,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33318ze3z83_16132,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33318ze3z83_16132;
																}
														}
												}
												break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_22836;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3422z00_4126;

														BgL_arg3422z00_4126 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_22836 =
															((long) (BgL_arg3422z00_4126) == ((long) 0));
													}
													if (BgL_testz00_22836)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22840;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3379z00_4037;

																BgL_arg3379z00_4037 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22840 =
																	((long) (BgL_arg3379z00_4037) == ((long) 0));
															}
															if (BgL_testz00_22840)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33341ze3z83_16153;

																	BgL_zc3anonymousza33341ze3z83_16153 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33341ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33341ze3z83_16153,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33341ze3z83_16153,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33341ze3z83_16153,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33341ze3z83_16153;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33359ze3z83_16150;

																	BgL_zc3anonymousza33359ze3z83_16150 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33359ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33359ze3z83_16150,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33359ze3z83_16150,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33359ze3z83_16150,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33359ze3z83_16150,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33359ze3z83_16150;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22868;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3421z00_4125;

																BgL_arg3421z00_4125 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22868 =
																	((long) (BgL_arg3421z00_4125) == ((long) 0));
															}
															if (BgL_testz00_22868)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33381ze3z83_16147;

																	BgL_zc3anonymousza33381ze3z83_16147 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33381ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16147,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16147,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16147,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16147,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16147,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33381ze3z83_16147;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33400ze3z83_16144;

																	BgL_zc3anonymousza33400ze3z83_16144 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16144,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16144,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16144,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16144,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16144,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16144,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33400ze3z83_16144;
																}
														}
												}
												break;
											case ((long) -3):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_22906;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3507z00_4308;

														BgL_arg3507z00_4308 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_22906 =
															((long) (BgL_arg3507z00_4308) == ((long) 0));
													}
													if (BgL_testz00_22906)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22910;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3464z00_4215;

																BgL_arg3464z00_4215 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22910 =
																	((long) (BgL_arg3464z00_4215) == ((long) 0));
															}
															if (BgL_testz00_22910)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33425ze3z83_16165;

																	BgL_zc3anonymousza33425ze3z83_16165 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33425ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33425ze3z83_16165,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33425ze3z83_16165,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33425ze3z83_16165,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33425ze3z83_16165;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33445ze3z83_16162;

																	BgL_zc3anonymousza33445ze3z83_16162 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33445ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33445ze3z83_16162,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33445ze3z83_16162,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33445ze3z83_16162,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33445ze3z83_16162,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33445ze3z83_16162;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22938;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3506z00_4307;

																BgL_arg3506z00_4307 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22938 =
																	((long) (BgL_arg3506z00_4307) == ((long) 0));
															}
															if (BgL_testz00_22938)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33466ze3z83_16159;

																	BgL_zc3anonymousza33466ze3z83_16159 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33466ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_16159,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_16159,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_16159,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_16159,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_16159,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33466ze3z83_16159;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33486ze3z83_16156;

																	BgL_zc3anonymousza33486ze3z83_16156 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33486ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33486ze3z83_16156,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33486ze3z83_16156,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33486ze3z83_16156,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33486ze3z83_16156,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33486ze3z83_16156,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33486ze3z83_16156,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33486ze3z83_16156;
																}
														}
												}
												break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_22976;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3591z00_4490;

														BgL_arg3591z00_4490 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_22976 =
															((long) (BgL_arg3591z00_4490) == ((long) 0));
													}
													if (BgL_testz00_22976)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_22980;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3548z00_4397;

																BgL_arg3548z00_4397 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_22980 =
																	((long) (BgL_arg3548z00_4397) == ((long) 0));
															}
															if (BgL_testz00_22980)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33510ze3z83_16177;

																	BgL_zc3anonymousza33510ze3z83_16177 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33510ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33510ze3z83_16177,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33510ze3z83_16177,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33510ze3z83_16177,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33510ze3z83_16177;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33529ze3z83_16174;

																	BgL_zc3anonymousza33529ze3z83_16174 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33529ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33529ze3z83_16174,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33529ze3z83_16174,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33529ze3z83_16174,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33529ze3z83_16174,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33529ze3z83_16174;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23008;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3590z00_4489;

																BgL_arg3590z00_4489 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23008 =
																	((long) (BgL_arg3590z00_4489) == ((long) 0));
															}
															if (BgL_testz00_23008)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33550ze3z83_16171;

																	BgL_zc3anonymousza33550ze3z83_16171 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33550ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33550ze3z83_16171,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33550ze3z83_16171,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33550ze3z83_16171,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33550ze3z83_16171,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33550ze3z83_16171,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33550ze3z83_16171;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33570ze3z83_16168;

																	BgL_zc3anonymousza33570ze3z83_16168 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33570ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33570ze3z83_16168,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33570ze3z83_16168,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33570ze3z83_16168,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33570ze3z83_16168,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33570ze3z83_16168,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33570ze3z83_16168,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33570ze3z83_16168;
																}
														}
												}
												break;
											case ((long) -4):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_23046;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3679z00_4680;

														BgL_arg3679z00_4680 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_23046 =
															((long) (BgL_arg3679z00_4680) == ((long) 0));
													}
													if (BgL_testz00_23046)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23050;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3634z00_4583;

																BgL_arg3634z00_4583 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23050 =
																	((long) (BgL_arg3634z00_4583) == ((long) 0));
															}
															if (BgL_testz00_23050)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33594ze3z83_16189;

																	BgL_zc3anonymousza33594ze3z83_16189 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33594ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33594ze3z83_16189,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33594ze3z83_16189,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33594ze3z83_16189,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33594ze3z83_16189;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33614ze3z83_16186;

																	BgL_zc3anonymousza33614ze3z83_16186 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33614ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33614ze3z83_16186,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33614ze3z83_16186,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33614ze3z83_16186,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33614ze3z83_16186,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33614ze3z83_16186;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23078;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3678z00_4679;

																BgL_arg3678z00_4679 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23078 =
																	((long) (BgL_arg3678z00_4679) == ((long) 0));
															}
															if (BgL_testz00_23078)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33636ze3z83_16183;

																	BgL_zc3anonymousza33636ze3z83_16183 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33636ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33636ze3z83_16183,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33636ze3z83_16183,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33636ze3z83_16183,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33636ze3z83_16183,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33636ze3z83_16183,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33636ze3z83_16183;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33657ze3z83_16180;

																	BgL_zc3anonymousza33657ze3z83_16180 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33657ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33657ze3z83_16180,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33657ze3z83_16180,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33657ze3z83_16180,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33657ze3z83_16180,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33657ze3z83_16180,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33657ze3z83_16180,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33657ze3z83_16180;
																}
														}
												}
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_23116;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3767z00_4870;

														BgL_arg3767z00_4870 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_23116 =
															((long) (BgL_arg3767z00_4870) == ((long) 0));
													}
													if (BgL_testz00_23116)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23120;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3722z00_4773;

																BgL_arg3722z00_4773 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23120 =
																	((long) (BgL_arg3722z00_4773) == ((long) 0));
															}
															if (BgL_testz00_23120)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33682ze3z83_16201;

																	BgL_zc3anonymousza33682ze3z83_16201 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33682ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33682ze3z83_16201,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33682ze3z83_16201,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33682ze3z83_16201,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33682ze3z83_16201;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33702ze3z83_16198;

																	BgL_zc3anonymousza33702ze3z83_16198 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33702ze3z83_16198,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33702ze3z83_16198,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33702ze3z83_16198,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33702ze3z83_16198,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33702ze3z83_16198;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23148;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3766z00_4869;

																BgL_arg3766z00_4869 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23148 =
																	((long) (BgL_arg3766z00_4869) == ((long) 0));
															}
															if (BgL_testz00_23148)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33724ze3z83_16195;

																	BgL_zc3anonymousza33724ze3z83_16195 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33724ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16195,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16195,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16195,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16195,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16195,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33724ze3z83_16195;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33745ze3z83_16192;

																	BgL_zc3anonymousza33745ze3z83_16192 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33745ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16192,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16192,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16192,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16192,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16192,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16192,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33745ze3z83_16192;
																}
														}
												}
												break;
											case ((long) -5):

												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_23186;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3859z00_5068;

														BgL_arg3859z00_5068 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_23186 =
															((long) (BgL_arg3859z00_5068) == ((long) 0));
													}
													if (BgL_testz00_23186)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23190;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3812z00_4967;

																BgL_arg3812z00_4967 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23190 =
																	((long) (BgL_arg3812z00_4967) == ((long) 0));
															}
															if (BgL_testz00_23190)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33770ze3z83_16213;

																	BgL_zc3anonymousza33770ze3z83_16213 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_16213,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_16213,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_16213,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33770ze3z83_16213;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33791ze3z83_16210;

																	BgL_zc3anonymousza33791ze3z83_16210 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33791ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33791ze3z83_16210,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33791ze3z83_16210,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33791ze3z83_16210,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33791ze3z83_16210,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33791ze3z83_16210;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23218;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3858z00_5067;

																BgL_arg3858z00_5067 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23218 =
																	((long) (BgL_arg3858z00_5067) == ((long) 0));
															}
															if (BgL_testz00_23218)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33814ze3z83_16207;

																	BgL_zc3anonymousza33814ze3z83_16207 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16207,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16207,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16207,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16207,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16207,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33814ze3z83_16207;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33836ze3z83_16204;

																	BgL_zc3anonymousza33836ze3z83_16204 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16204,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16204,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16204,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16204,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16204,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16204,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33836ze3z83_16204;
																}
														}
												}
												break;
											default:
											BgL_case_else1278z00_3286:
												{	/* Eval/evaluate_comp.scm 1124 */
													bool_t BgL_testz00_23256;

													{	/* Eval/evaluate_comp.scm 1124 */
														int BgL_arg3987z00_5302;

														BgL_arg3987z00_5302 =
															VECTOR_LENGTH(BgL_ifreesz00_3280);
														BgL_testz00_23256 =
															((long) (BgL_arg3987z00_5302) == ((long) 0));
													}
													if (BgL_testz00_23256)
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23260;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3922z00_5183;

																BgL_arg3922z00_5183 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23260 =
																	((long) (BgL_arg3922z00_5183) == ((long) 0));
															}
															if (BgL_testz00_23260)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33862ze3z83_16225;

																	BgL_zc3anonymousza33862ze3z83_16225 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_16225,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_16225,
																		(int) (((long) 1)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_16225,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33862ze3z83_16225;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33892ze3z83_16222;

																	BgL_zc3anonymousza33892ze3z83_16222 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33892ze3z83_16222,
																		(int) (((long) 0)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33892ze3z83_16222,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33892ze3z83_16222,
																		(int) (((long) 2)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33892ze3z83_16222,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33892ze3z83_16222;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															bool_t BgL_testz00_23288;

															{	/* Eval/evaluate_comp.scm 1124 */
																int BgL_arg3986z00_5301;

																BgL_arg3986z00_5301 =
																	VECTOR_LENGTH(BgL_iboxesz00_3281);
																BgL_testz00_23288 =
																	((long) (BgL_arg3986z00_5301) == ((long) 0));
															}
															if (BgL_testz00_23288)
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33924ze3z83_16219;

																	BgL_zc3anonymousza33924ze3z83_16219 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33924ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16219,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16219,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16219,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16219,
																		(int) (((long) 3)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16219,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33924ze3z83_16219;
																}
															else
																{	/* Eval/evaluate_comp.scm 1124 */
																	obj_t BgL_zc3anonymousza33955ze3z83_16216;

																	BgL_zc3anonymousza33955ze3z83_16216 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16216,
																		(int) (((long) 0)), BgL_ifreesz00_3280);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16216,
																		(int) (((long) 1)), BgL_iboxesz00_3281);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16216,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3282));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16216,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3275));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16216,
																		(int) (((long) 4)), BgL_bodyz00_3285);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16216,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3283));
																	return BgL_zc3anonymousza33955ze3z83_16216;
																}
														}
												}
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										goto BgL_case_else1278z00_3286;
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3770> */
	obj_t BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16289, obj_t BgL_sz00_16293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16290;
				obj_t BgL_bodyz00_16291;
				long BgL_siza7ezd2framez75_16292;

				BgL_i1253z00_16290 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16289, (int) (((long) 0))));
				BgL_bodyz00_16291 = PROCEDURE_REF(BgL_envz00_16289, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16292 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16289, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4873;

					BgL_sz00_4873 = BgL_sz00_16293;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4875;

						BgL_bpz00_4875 = VECTOR_REF(BgL_sz00_4873, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16211;

								BgL_runz00_16211 =
									MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16211,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16290));
								PROCEDURE_SET(BgL_runz00_16211,
									(int) (((long) 1)), BgL_bodyz00_16291);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16212;

									BgL_mainz00_16212 =
										MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16212,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16290));
									PROCEDURE_SET(BgL_mainz00_16212,
										(int) (((long) 1)), BgL_bodyz00_16291);
									PROCEDURE_SET(BgL_mainz00_16212,
										(int) (((long) 2)), BgL_runz00_16211);
									PROCEDURE_SET(BgL_mainz00_16212,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16292));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_14934;

										BgL_objz00_14934 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16211, BgL_objz00_14934);
										BgL_objz00_14934;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3771z00_4878;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3772z00_4879;

											BgL_arg3772z00_4879 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16290))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_14938;

												BgL_newz00_14938 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_23364;

													BgL_auxz00_23364 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14938, BgL_auxz00_23364,
														BgL_arg3772z00_4879);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_23369;
													int BgL_auxz00_23367;

													BgL_auxz00_23369 = BINT(BgL_siza7ezd2framez75_16292);
													BgL_auxz00_23367 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14938, BgL_auxz00_23367,
														BgL_auxz00_23369);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_23372;

													BgL_auxz00_23372 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14938, BgL_auxz00_23372,
														BgL_runz00_16211);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_23377;
													int BgL_auxz00_23375;

													BgL_auxz00_23377 = BINT(((long) -5));
													BgL_auxz00_23375 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14938, BgL_auxz00_23375,
														BgL_auxz00_23377);
												}
												BgL_arg3771z00_4878 = BgL_newz00_14938;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16212, BgL_arg3771z00_4878);
										BgL_arg3771z00_4878;
									}
									return BgL_mainz00_16212;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_16294,
		obj_t BgL_az00_16299, obj_t BgL_bz00_16300, obj_t BgL_cz00_16301,
		obj_t BgL_dz00_16302, obj_t BgL_lastz00_16303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16297;
				long BgL_siza7ezd2framez75_16298;

				BgL_runz00_16297 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16294, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16298 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16294, (int) (((long) 3))));
				{
					obj_t BgL_az00_4880;
					obj_t BgL_bz00_4881;
					obj_t BgL_cz00_4882;
					obj_t BgL_dz00_4883;
					obj_t BgL_lastz00_4884;

					BgL_az00_4880 = BgL_az00_16299;
					BgL_bz00_4881 = BgL_bz00_16300;
					BgL_cz00_4882 = BgL_cz00_16301;
					BgL_dz00_4883 = BgL_dz00_16302;
					BgL_lastz00_4884 = BgL_lastz00_16303;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4886;

						BgL_sz00_4886 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4887;

							BgL_bpz00_4887 = VECTOR_REF(BgL_sz00_4886, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_23390;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_14842;

									BgL_arg1902z00_14842 = VECTOR_LENGTH(BgL_sz00_4886);
									BgL_testz00_23390 =
										(
										((long) CINT(BgL_bpz00_4887) +
											BgL_siza7ezd2framez75_16298) <
										(long) (BgL_arg1902z00_14842));
								}
								if (BgL_testz00_23390)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3775z00_4889;

											BgL_arg3775z00_4889 =
												((long) CINT(BgL_bpz00_4887) + ((long) 0));
											VECTOR_SET(BgL_sz00_4886,
												(int) (BgL_arg3775z00_4889), BgL_az00_4880);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3776z00_4890;

											BgL_arg3776z00_4890 =
												((long) CINT(BgL_bpz00_4887) + ((long) 1));
											VECTOR_SET(BgL_sz00_4886,
												(int) (BgL_arg3776z00_4890), BgL_bz00_4881);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3777z00_4891;

											BgL_arg3777z00_4891 =
												((long) CINT(BgL_bpz00_4887) + ((long) 2));
											VECTOR_SET(BgL_sz00_4886,
												(int) (BgL_arg3777z00_4891), BgL_cz00_4882);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3778z00_4892;

											BgL_arg3778z00_4892 =
												((long) CINT(BgL_bpz00_4887) + ((long) 3));
											VECTOR_SET(BgL_sz00_4886,
												(int) (BgL_arg3778z00_4892), BgL_dz00_4883);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3779z00_4893;

											BgL_arg3779z00_4893 =
												((long) CINT(BgL_bpz00_4887) + ((long) 4));
											VECTOR_SET(BgL_sz00_4886,
												(int) (BgL_arg3779z00_4893), BgL_lastz00_4884);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1496z00_4894;

											BgL_val1496z00_4894 =
												BGl_zc3exitza33783ze3z83zz__evaluate_compz00
												(BgL_bpz00_4887, BgL_sz00_4886, BgL_runz00_16297);
											VECTOR_SET(BgL_sz00_4886, (int) (((long) 0)),
												BgL_bpz00_4887);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1496z00_4894)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1496z00_4894), CDR(BgL_val1496z00_4894));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1496z00_4894;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4901;

										BgL_nsz00_4901 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4901,
											(int) (((long) 1)), BgL_sz00_4886);
										VECTOR_SET(BgL_nsz00_4901,
											(int) (((long) 2)), BgL_az00_4880);
										VECTOR_SET(BgL_nsz00_4901,
											(int) (((long) 3)), BgL_bz00_4881);
										VECTOR_SET(BgL_nsz00_4901,
											(int) (((long) 4)), BgL_cz00_4882);
										VECTOR_SET(BgL_nsz00_4901,
											(int) (((long) 5)), BgL_dz00_4883);
										VECTOR_SET(BgL_nsz00_4901,
											(int) (((long) 6)), BgL_lastz00_4884);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_23438;

											BgL_auxz00_23438 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23438, BgL_nsz00_4901);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1499z00_4903;

											BgL_val1499z00_4903 =
												BGl_zc3exitza33789ze3z83zz__evaluate_compz00
												(BgL_runz00_16297, BgL_nsz00_4901);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_23442;

												BgL_auxz00_23442 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23442, BgL_sz00_4886);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1499z00_4903)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1499z00_4903), CDR(BgL_val1499z00_4903));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1499z00_4903;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3789> */
	obj_t BGl_zc3exitza33789ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17664,
		obj_t BgL_nsz00_17663)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1500z00_4909;

			if (SET_EXIT(BgL_an_exit1500z00_4909))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1500z00_4909 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1500z00_4909, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1501z00_4910;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_14906;

								BgL_savedzd2bpzd2_14906 =
									VECTOR_REF(BgL_nsz00_17663, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17663,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14913;

									BgL_fz00_14913 = BgL_runz00_17664;
								BgL_recz00_14912:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_14914;

										BgL_rz00_14914 =
											PROCEDURE_ENTRY(BgL_fz00_14913) (BgL_fz00_14913,
											BgL_nsz00_17663, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_23463;

											if (PROCEDUREP(BgL_rz00_14914))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_14919;

													BgL_arg1893z00_14919 = PROCEDURE_ATTR(BgL_rz00_14914);
													if (STRUCTP(BgL_arg1893z00_14919))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_23463 =
																(STRUCT_KEY(BgL_arg1893z00_14919) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_23463 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_23463 = ((bool_t) 0);
												}
											if (BgL_testz00_23463)
												{
													obj_t BgL_fz00_23471;

													BgL_fz00_23471 = BgL_rz00_14914;
													BgL_fz00_14913 = BgL_fz00_23471;
													goto BgL_recz00_14912;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17663,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14906);
													BgL_val1501z00_4910 = BgL_rz00_14914;
							}}}}}
							POP_EXIT();
							return BgL_val1501z00_4910;
						}
					}
				}
		}
	}



/* <exit:3783> */
	obj_t BGl_zc3exitza33783ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17667,
		obj_t BgL_sz00_17666, obj_t BgL_runz00_17665)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1497z00_4899;

			if (SET_EXIT(BgL_an_exit1497z00_4899))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1497z00_4899 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1497z00_4899, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1498z00_4900;

							BgL_val1498z00_4900 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17665,
								BgL_sz00_17666, BgL_bpz00_17667);
							POP_EXIT();
							return BgL_val1498z00_4900;
						}
					}
				}
		}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_16304,
		obj_t BgL_sz00_16307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16305;
				obj_t BgL_bodyz00_16306;

				BgL_i1253z00_16305 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16304, (int) (((long) 0))));
				BgL_bodyz00_16306 = PROCEDURE_REF(BgL_envz00_16304, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4912;

					BgL_sz00_4912 = BgL_sz00_16307;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4914;

						BgL_bpz00_4914 = VECTOR_REF(BgL_sz00_4912, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4915;
							obj_t BgL_wherez00_4916;
							obj_t BgL_locz00_4917;

							BgL_z12denvz12_4915 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4916 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16305))->BgL_wherez00);
							BgL_locz00_4917 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16305))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4915, BgL_wherez00_4916,
									BgL_locz00_4917);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4918;

									BgL_za2za2resza2za2z00_4918 =
										PROCEDURE_ENTRY(BgL_bodyz00_16306) (BgL_bodyz00_16306,
										BgL_sz00_4912, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4915);
									return BgL_za2za2resza2za2z00_4918;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3791> */
	obj_t BGl_z62zc3anonymousza33791ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16308, obj_t BgL_sz00_16313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16309;
				BgL_ev_absz00_bglt BgL_i1253z00_16310;
				obj_t BgL_bodyz00_16311;
				long BgL_siza7ezd2framez75_16312;

				BgL_iboxesz00_16309 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16308, (int) (((long) 0))));
				BgL_i1253z00_16310 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16308, (int) (((long) 1))));
				BgL_bodyz00_16311 = PROCEDURE_REF(BgL_envz00_16308, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16312 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16308, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4920;

					BgL_sz00_4920 = BgL_sz00_16313;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4922;

						BgL_bpz00_4922 = VECTOR_REF(BgL_sz00_4920, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16208;

								BgL_runz00_16208 =
									MAKE_FX_PROCEDURE(BGl_z62run5446z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16208,
									(int) (((long) 0)), BgL_iboxesz00_16309);
								PROCEDURE_SET(BgL_runz00_16208,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16310));
								PROCEDURE_SET(BgL_runz00_16208,
									(int) (((long) 2)), BgL_bodyz00_16311);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16209;

									BgL_mainz00_16209 =
										MAKE_VA_PROCEDURE(BGl_z62main5445z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16209,
										(int) (((long) 0)), BgL_iboxesz00_16309);
									PROCEDURE_SET(BgL_mainz00_16209,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16310));
									PROCEDURE_SET(BgL_mainz00_16209,
										(int) (((long) 2)), BgL_bodyz00_16311);
									PROCEDURE_SET(BgL_mainz00_16209,
										(int) (((long) 3)), BgL_runz00_16208);
									PROCEDURE_SET(BgL_mainz00_16209,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16312));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_15061;

										BgL_objz00_15061 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16208, BgL_objz00_15061);
										BgL_objz00_15061;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3792z00_4925;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3793z00_4926;

											BgL_arg3793z00_4926 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16310))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_15065;

												BgL_newz00_15065 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_23538;

													BgL_auxz00_23538 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15065, BgL_auxz00_23538,
														BgL_arg3793z00_4926);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_23543;
													int BgL_auxz00_23541;

													BgL_auxz00_23543 = BINT(BgL_siza7ezd2framez75_16312);
													BgL_auxz00_23541 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15065, BgL_auxz00_23541,
														BgL_auxz00_23543);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_23546;

													BgL_auxz00_23546 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15065, BgL_auxz00_23546,
														BgL_runz00_16208);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_23551;
													int BgL_auxz00_23549;

													BgL_auxz00_23551 = BINT(((long) -5));
													BgL_auxz00_23549 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15065, BgL_auxz00_23549,
														BgL_auxz00_23551);
												}
												BgL_arg3792z00_4925 = BgL_newz00_15065;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16209, BgL_arg3792z00_4925);
										BgL_arg3792z00_4925;
									}
									return BgL_mainz00_16209;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5445 */
	obj_t BGl_z62main5445z62zz__evaluate_compz00(obj_t BgL_envz00_16314,
		obj_t BgL_az00_16320, obj_t BgL_bz00_16321, obj_t BgL_cz00_16322,
		obj_t BgL_dz00_16323, obj_t BgL_lastz00_16324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16318;
				long BgL_siza7ezd2framez75_16319;

				BgL_runz00_16318 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16314, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16319 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16314, (int) (((long) 4))));
				{
					obj_t BgL_az00_4927;
					obj_t BgL_bz00_4928;
					obj_t BgL_cz00_4929;
					obj_t BgL_dz00_4930;
					obj_t BgL_lastz00_4931;

					BgL_az00_4927 = BgL_az00_16320;
					BgL_bz00_4928 = BgL_bz00_16321;
					BgL_cz00_4929 = BgL_cz00_16322;
					BgL_dz00_4930 = BgL_dz00_16323;
					BgL_lastz00_4931 = BgL_lastz00_16324;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4933;

						BgL_sz00_4933 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4934;

							BgL_bpz00_4934 = VECTOR_REF(BgL_sz00_4933, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_23564;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_14969;

									BgL_arg1902z00_14969 = VECTOR_LENGTH(BgL_sz00_4933);
									BgL_testz00_23564 =
										(
										((long) CINT(BgL_bpz00_4934) +
											BgL_siza7ezd2framez75_16319) <
										(long) (BgL_arg1902z00_14969));
								}
								if (BgL_testz00_23564)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3796z00_4936;

											BgL_arg3796z00_4936 =
												((long) CINT(BgL_bpz00_4934) + ((long) 0));
											VECTOR_SET(BgL_sz00_4933,
												(int) (BgL_arg3796z00_4936), BgL_az00_4927);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3797z00_4937;

											BgL_arg3797z00_4937 =
												((long) CINT(BgL_bpz00_4934) + ((long) 1));
											VECTOR_SET(BgL_sz00_4933,
												(int) (BgL_arg3797z00_4937), BgL_bz00_4928);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3798z00_4938;

											BgL_arg3798z00_4938 =
												((long) CINT(BgL_bpz00_4934) + ((long) 2));
											VECTOR_SET(BgL_sz00_4933,
												(int) (BgL_arg3798z00_4938), BgL_cz00_4929);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3799z00_4939;

											BgL_arg3799z00_4939 =
												((long) CINT(BgL_bpz00_4934) + ((long) 3));
											VECTOR_SET(BgL_sz00_4933,
												(int) (BgL_arg3799z00_4939), BgL_dz00_4930);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3800z00_4940;

											BgL_arg3800z00_4940 =
												((long) CINT(BgL_bpz00_4934) + ((long) 4));
											VECTOR_SET(BgL_sz00_4933,
												(int) (BgL_arg3800z00_4940), BgL_lastz00_4931);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1502z00_4941;

											BgL_val1502z00_4941 =
												BGl_zc3exitza33804ze3z83zz__evaluate_compz00
												(BgL_bpz00_4934, BgL_sz00_4933, BgL_runz00_16318);
											VECTOR_SET(BgL_sz00_4933, (int) (((long) 0)),
												BgL_bpz00_4934);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1502z00_4941)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1502z00_4941), CDR(BgL_val1502z00_4941));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1502z00_4941;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4948;

										BgL_nsz00_4948 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4948,
											(int) (((long) 1)), BgL_sz00_4933);
										VECTOR_SET(BgL_nsz00_4948,
											(int) (((long) 2)), BgL_az00_4927);
										VECTOR_SET(BgL_nsz00_4948,
											(int) (((long) 3)), BgL_bz00_4928);
										VECTOR_SET(BgL_nsz00_4948,
											(int) (((long) 4)), BgL_cz00_4929);
										VECTOR_SET(BgL_nsz00_4948,
											(int) (((long) 5)), BgL_dz00_4930);
										VECTOR_SET(BgL_nsz00_4948,
											(int) (((long) 6)), BgL_lastz00_4931);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_23612;

											BgL_auxz00_23612 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23612, BgL_nsz00_4948);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1505z00_4950;

											BgL_val1505z00_4950 =
												BGl_zc3exitza33810ze3z83zz__evaluate_compz00
												(BgL_runz00_16318, BgL_nsz00_4948);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_23616;

												BgL_auxz00_23616 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23616, BgL_sz00_4933);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1505z00_4950)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1505z00_4950), CDR(BgL_val1505z00_4950));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1505z00_4950;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3810> */
	obj_t BGl_zc3exitza33810ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17659,
		obj_t BgL_nsz00_17658)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1506z00_4956;

			if (SET_EXIT(BgL_an_exit1506z00_4956))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1506z00_4956 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1506z00_4956, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1507z00_4957;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_15033;

								BgL_savedzd2bpzd2_15033 =
									VECTOR_REF(BgL_nsz00_17658, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17658,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15040;

									BgL_fz00_15040 = BgL_runz00_17659;
								BgL_recz00_15039:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_15041;

										BgL_rz00_15041 =
											PROCEDURE_ENTRY(BgL_fz00_15040) (BgL_fz00_15040,
											BgL_nsz00_17658, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_23637;

											if (PROCEDUREP(BgL_rz00_15041))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_15046;

													BgL_arg1893z00_15046 = PROCEDURE_ATTR(BgL_rz00_15041);
													if (STRUCTP(BgL_arg1893z00_15046))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_23637 =
																(STRUCT_KEY(BgL_arg1893z00_15046) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_23637 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_23637 = ((bool_t) 0);
												}
											if (BgL_testz00_23637)
												{
													obj_t BgL_fz00_23645;

													BgL_fz00_23645 = BgL_rz00_15041;
													BgL_fz00_15040 = BgL_fz00_23645;
													goto BgL_recz00_15039;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17658,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15033);
													BgL_val1507z00_4957 = BgL_rz00_15041;
							}}}}}
							POP_EXIT();
							return BgL_val1507z00_4957;
						}
					}
				}
		}
	}



/* <exit:3804> */
	obj_t BGl_zc3exitza33804ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17662,
		obj_t BgL_sz00_17661, obj_t BgL_runz00_17660)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1503z00_4946;

			if (SET_EXIT(BgL_an_exit1503z00_4946))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1503z00_4946 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1503z00_4946, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1504z00_4947;

							BgL_val1504z00_4947 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17660,
								BgL_sz00_17661, BgL_bpz00_17662);
							POP_EXIT();
							return BgL_val1504z00_4947;
						}
					}
				}
		}
	}



/* &run5446 */
	obj_t BGl_z62run5446z62zz__evaluate_compz00(obj_t BgL_envz00_16325,
		obj_t BgL_sz00_16329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16326;
				BgL_ev_absz00_bglt BgL_i1253z00_16327;
				obj_t BgL_bodyz00_16328;

				BgL_iboxesz00_16326 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16325, (int) (((long) 0))));
				BgL_i1253z00_16327 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16325, (int) (((long) 1))));
				BgL_bodyz00_16328 = PROCEDURE_REF(BgL_envz00_16325, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4959;

					BgL_sz00_4959 = BgL_sz00_16329;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4961;

						BgL_bpz00_4961 = VECTOR_REF(BgL_sz00_4959, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4959,
							BgL_iboxesz00_16326, BgL_bpz00_4961);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4962;
							obj_t BgL_wherez00_4963;
							obj_t BgL_locz00_4964;

							BgL_z12denvz12_4962 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4963 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16327))->BgL_wherez00);
							BgL_locz00_4964 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16327))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4962, BgL_wherez00_4963,
									BgL_locz00_4964);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4965;

									BgL_za2za2resza2za2z00_4965 =
										PROCEDURE_ENTRY(BgL_bodyz00_16328) (BgL_bodyz00_16328,
										BgL_sz00_4959, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4962);
									return BgL_za2za2resza2za2z00_4965;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3814> */
	obj_t BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16330, obj_t BgL_sz00_16336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16331;
				long BgL_siza7eza7_16332;
				BgL_ev_absz00_bglt BgL_i1253z00_16333;
				obj_t BgL_bodyz00_16334;
				long BgL_siza7ezd2framez75_16335;

				BgL_ifreesz00_16331 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16330, (int) (((long) 0))));
				BgL_siza7eza7_16332 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16330, (int) (((long) 1))));
				BgL_i1253z00_16333 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16330, (int) (((long) 2))));
				BgL_bodyz00_16334 = PROCEDURE_REF(BgL_envz00_16330, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16335 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16330, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4969;

					BgL_sz00_4969 = BgL_sz00_16336;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4971;

						BgL_bpz00_4971 = VECTOR_REF(BgL_sz00_4969, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4972;

							BgL_valza2za2_4972 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4969,
								BgL_bpz00_4971, BgL_ifreesz00_16331);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16205;

								BgL_runz00_16205 =
									MAKE_FX_PROCEDURE(BGl_z62run5448z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16205,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16332));
								PROCEDURE_SET(BgL_runz00_16205,
									(int) (((long) 1)), BgL_valza2za2_4972);
								PROCEDURE_SET(BgL_runz00_16205,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_16333));
								PROCEDURE_SET(BgL_runz00_16205,
									(int) (((long) 3)), BgL_bodyz00_16334);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16206;

									BgL_mainz00_16206 =
										MAKE_VA_PROCEDURE(BGl_z62main5447z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16206,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16332));
									PROCEDURE_SET(BgL_mainz00_16206,
										(int) (((long) 1)), BgL_valza2za2_4972);
									PROCEDURE_SET(BgL_mainz00_16206,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_16333));
									PROCEDURE_SET(BgL_mainz00_16206,
										(int) (((long) 3)), BgL_bodyz00_16334);
									PROCEDURE_SET(BgL_mainz00_16206,
										(int) (((long) 4)), BgL_runz00_16205);
									PROCEDURE_SET(BgL_mainz00_16206,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16335));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_15195;

										BgL_objz00_15195 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16205, BgL_objz00_15195);
										BgL_objz00_15195;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3815z00_4975;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3816z00_4976;

											BgL_arg3816z00_4976 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16333))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_15199;

												BgL_newz00_15199 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_23726;

													BgL_auxz00_23726 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15199, BgL_auxz00_23726,
														BgL_arg3816z00_4976);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_23731;
													int BgL_auxz00_23729;

													BgL_auxz00_23731 = BINT(BgL_siza7ezd2framez75_16335);
													BgL_auxz00_23729 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15199, BgL_auxz00_23729,
														BgL_auxz00_23731);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_23734;

													BgL_auxz00_23734 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15199, BgL_auxz00_23734,
														BgL_runz00_16205);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_23739;
													int BgL_auxz00_23737;

													BgL_auxz00_23739 = BINT(((long) -5));
													BgL_auxz00_23737 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15199, BgL_auxz00_23737,
														BgL_auxz00_23739);
												}
												BgL_arg3815z00_4975 = BgL_newz00_15199;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16206, BgL_arg3815z00_4975);
										BgL_arg3815z00_4975;
									}
									return BgL_mainz00_16206;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5447 */
	obj_t BGl_z62main5447z62zz__evaluate_compz00(obj_t BgL_envz00_16337,
		obj_t BgL_az00_16344, obj_t BgL_bz00_16345, obj_t BgL_cz00_16346,
		obj_t BgL_dz00_16347, obj_t BgL_lastz00_16348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16342;
				long BgL_siza7ezd2framez75_16343;

				BgL_runz00_16342 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16337, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16343 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16337, (int) (((long) 5))));
				{
					obj_t BgL_az00_4977;
					obj_t BgL_bz00_4978;
					obj_t BgL_cz00_4979;
					obj_t BgL_dz00_4980;
					obj_t BgL_lastz00_4981;

					BgL_az00_4977 = BgL_az00_16344;
					BgL_bz00_4978 = BgL_bz00_16345;
					BgL_cz00_4979 = BgL_cz00_16346;
					BgL_dz00_4980 = BgL_dz00_16347;
					BgL_lastz00_4981 = BgL_lastz00_16348;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4983;

						BgL_sz00_4983 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4984;

							BgL_bpz00_4984 = VECTOR_REF(BgL_sz00_4983, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_23752;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_15103;

									BgL_arg1902z00_15103 = VECTOR_LENGTH(BgL_sz00_4983);
									BgL_testz00_23752 =
										(
										((long) CINT(BgL_bpz00_4984) +
											BgL_siza7ezd2framez75_16343) <
										(long) (BgL_arg1902z00_15103));
								}
								if (BgL_testz00_23752)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3819z00_4986;

											BgL_arg3819z00_4986 =
												((long) CINT(BgL_bpz00_4984) + ((long) 0));
											VECTOR_SET(BgL_sz00_4983,
												(int) (BgL_arg3819z00_4986), BgL_az00_4977);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3820z00_4987;

											BgL_arg3820z00_4987 =
												((long) CINT(BgL_bpz00_4984) + ((long) 1));
											VECTOR_SET(BgL_sz00_4983,
												(int) (BgL_arg3820z00_4987), BgL_bz00_4978);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3821z00_4988;

											BgL_arg3821z00_4988 =
												((long) CINT(BgL_bpz00_4984) + ((long) 2));
											VECTOR_SET(BgL_sz00_4983,
												(int) (BgL_arg3821z00_4988), BgL_cz00_4979);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3822z00_4989;

											BgL_arg3822z00_4989 =
												((long) CINT(BgL_bpz00_4984) + ((long) 3));
											VECTOR_SET(BgL_sz00_4983,
												(int) (BgL_arg3822z00_4989), BgL_dz00_4980);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3823z00_4990;

											BgL_arg3823z00_4990 =
												((long) CINT(BgL_bpz00_4984) + ((long) 4));
											VECTOR_SET(BgL_sz00_4983,
												(int) (BgL_arg3823z00_4990), BgL_lastz00_4981);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1508z00_4991;

											BgL_val1508z00_4991 =
												BGl_zc3exitza33827ze3z83zz__evaluate_compz00
												(BgL_bpz00_4984, BgL_sz00_4983, BgL_runz00_16342);
											VECTOR_SET(BgL_sz00_4983, (int) (((long) 0)),
												BgL_bpz00_4984);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1508z00_4991)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1508z00_4991), CDR(BgL_val1508z00_4991));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1508z00_4991;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4998;

										BgL_nsz00_4998 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4998,
											(int) (((long) 1)), BgL_sz00_4983);
										VECTOR_SET(BgL_nsz00_4998,
											(int) (((long) 2)), BgL_az00_4977);
										VECTOR_SET(BgL_nsz00_4998,
											(int) (((long) 3)), BgL_bz00_4978);
										VECTOR_SET(BgL_nsz00_4998,
											(int) (((long) 4)), BgL_cz00_4979);
										VECTOR_SET(BgL_nsz00_4998,
											(int) (((long) 5)), BgL_dz00_4980);
										VECTOR_SET(BgL_nsz00_4998,
											(int) (((long) 6)), BgL_lastz00_4981);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_23800;

											BgL_auxz00_23800 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23800, BgL_nsz00_4998);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1511z00_5000;

											BgL_val1511z00_5000 =
												BGl_zc3exitza33833ze3z83zz__evaluate_compz00
												(BgL_runz00_16342, BgL_nsz00_4998);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_23804;

												BgL_auxz00_23804 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23804, BgL_sz00_4983);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1511z00_5000)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1511z00_5000), CDR(BgL_val1511z00_5000));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1511z00_5000;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3833> */
	obj_t BGl_zc3exitza33833ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17654,
		obj_t BgL_nsz00_17653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1512z00_5006;

			if (SET_EXIT(BgL_an_exit1512z00_5006))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1512z00_5006 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1512z00_5006, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1513z00_5007;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_15167;

								BgL_savedzd2bpzd2_15167 =
									VECTOR_REF(BgL_nsz00_17653, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17653,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15174;

									BgL_fz00_15174 = BgL_runz00_17654;
								BgL_recz00_15173:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_15175;

										BgL_rz00_15175 =
											PROCEDURE_ENTRY(BgL_fz00_15174) (BgL_fz00_15174,
											BgL_nsz00_17653, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_23825;

											if (PROCEDUREP(BgL_rz00_15175))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_15180;

													BgL_arg1893z00_15180 = PROCEDURE_ATTR(BgL_rz00_15175);
													if (STRUCTP(BgL_arg1893z00_15180))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_23825 =
																(STRUCT_KEY(BgL_arg1893z00_15180) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_23825 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_23825 = ((bool_t) 0);
												}
											if (BgL_testz00_23825)
												{
													obj_t BgL_fz00_23833;

													BgL_fz00_23833 = BgL_rz00_15175;
													BgL_fz00_15174 = BgL_fz00_23833;
													goto BgL_recz00_15173;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17653,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15167);
													BgL_val1513z00_5007 = BgL_rz00_15175;
							}}}}}
							POP_EXIT();
							return BgL_val1513z00_5007;
						}
					}
				}
		}
	}



/* <exit:3827> */
	obj_t BGl_zc3exitza33827ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17657,
		obj_t BgL_sz00_17656, obj_t BgL_runz00_17655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1509z00_4996;

			if (SET_EXIT(BgL_an_exit1509z00_4996))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1509z00_4996 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1509z00_4996, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1510z00_4997;

							BgL_val1510z00_4997 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17655,
								BgL_sz00_17656, BgL_bpz00_17657);
							POP_EXIT();
							return BgL_val1510z00_4997;
						}
					}
				}
		}
	}



/* &run5448 */
	obj_t BGl_z62run5448z62zz__evaluate_compz00(obj_t BgL_envz00_16349,
		obj_t BgL_sz00_16354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_16350;
				obj_t BgL_valza2za2_16351;
				BgL_ev_absz00_bglt BgL_i1253z00_16352;
				obj_t BgL_bodyz00_16353;

				BgL_siza7eza7_16350 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 0))));
				BgL_valza2za2_16351 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 1))));
				BgL_i1253z00_16352 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 2))));
				BgL_bodyz00_16353 = PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5009;

					BgL_sz00_5009 = BgL_sz00_16354;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5011;

						BgL_bpz00_5011 = VECTOR_REF(BgL_sz00_5009, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5009,
							BgL_valza2za2_16351,
							((long) CINT(BgL_bpz00_5011) + BgL_siza7eza7_16350));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_5013;
							obj_t BgL_wherez00_5014;
							obj_t BgL_locz00_5015;

							BgL_z12denvz12_5013 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5014 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16352))->BgL_wherez00);
							BgL_locz00_5015 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16352))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5013, BgL_wherez00_5014,
									BgL_locz00_5015);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_5016;

									BgL_za2za2resza2za2z00_5016 =
										PROCEDURE_ENTRY(BgL_bodyz00_16353) (BgL_bodyz00_16353,
										BgL_sz00_5009, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5013);
									return BgL_za2za2resza2za2z00_5016;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3836> */
	obj_t BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16355, obj_t BgL_sz00_16362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16356;
				obj_t BgL_iboxesz00_16357;
				long BgL_siza7eza7_16358;
				BgL_ev_absz00_bglt BgL_i1253z00_16359;
				obj_t BgL_bodyz00_16360;
				long BgL_siza7ezd2framez75_16361;

				BgL_ifreesz00_16356 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 0))));
				BgL_iboxesz00_16357 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 1))));
				BgL_siza7eza7_16358 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 2))));
				BgL_i1253z00_16359 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 3))));
				BgL_bodyz00_16360 = PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16361 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5018;

					BgL_sz00_5018 = BgL_sz00_16362;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5020;

						BgL_bpz00_5020 = VECTOR_REF(BgL_sz00_5018, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_5021;

							BgL_valza2za2_5021 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5018,
								BgL_bpz00_5020, BgL_ifreesz00_16356);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16202;

								BgL_runz00_16202 =
									MAKE_FX_PROCEDURE(BGl_z62run5450z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16202,
									(int) (((long) 0)), BgL_iboxesz00_16357);
								PROCEDURE_SET(BgL_runz00_16202,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16358));
								PROCEDURE_SET(BgL_runz00_16202,
									(int) (((long) 2)), BgL_valza2za2_5021);
								PROCEDURE_SET(BgL_runz00_16202,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_16359));
								PROCEDURE_SET(BgL_runz00_16202,
									(int) (((long) 4)), BgL_bodyz00_16360);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16203;

									BgL_mainz00_16203 =
										MAKE_VA_PROCEDURE(BGl_z62main5449z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16203,
										(int) (((long) 0)), BgL_iboxesz00_16357);
									PROCEDURE_SET(BgL_mainz00_16203,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16358));
									PROCEDURE_SET(BgL_mainz00_16203,
										(int) (((long) 2)), BgL_valza2za2_5021);
									PROCEDURE_SET(BgL_mainz00_16203,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_16359));
									PROCEDURE_SET(BgL_mainz00_16203,
										(int) (((long) 4)), BgL_bodyz00_16360);
									PROCEDURE_SET(BgL_mainz00_16203,
										(int) (((long) 5)), BgL_runz00_16202);
									PROCEDURE_SET(BgL_mainz00_16203,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16361));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_15325;

										BgL_objz00_15325 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16202, BgL_objz00_15325);
										BgL_objz00_15325;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3837z00_5024;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3838z00_5025;

											BgL_arg3838z00_5025 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16359))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_15329;

												BgL_newz00_15329 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_23926;

													BgL_auxz00_23926 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15329, BgL_auxz00_23926,
														BgL_arg3838z00_5025);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_23931;
													int BgL_auxz00_23929;

													BgL_auxz00_23931 = BINT(BgL_siza7ezd2framez75_16361);
													BgL_auxz00_23929 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15329, BgL_auxz00_23929,
														BgL_auxz00_23931);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_23934;

													BgL_auxz00_23934 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15329, BgL_auxz00_23934,
														BgL_runz00_16202);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_23939;
													int BgL_auxz00_23937;

													BgL_auxz00_23939 = BINT(((long) -5));
													BgL_auxz00_23937 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15329, BgL_auxz00_23937,
														BgL_auxz00_23939);
												}
												BgL_arg3837z00_5024 = BgL_newz00_15329;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16203, BgL_arg3837z00_5024);
										BgL_arg3837z00_5024;
									}
									return BgL_mainz00_16203;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5449 */
	obj_t BGl_z62main5449z62zz__evaluate_compz00(obj_t BgL_envz00_16363,
		obj_t BgL_az00_16371, obj_t BgL_bz00_16372, obj_t BgL_cz00_16373,
		obj_t BgL_dz00_16374, obj_t BgL_lastz00_16375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16369;
				long BgL_siza7ezd2framez75_16370;

				BgL_runz00_16369 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16363, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16370 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16363, (int) (((long) 6))));
				{
					obj_t BgL_az00_5026;
					obj_t BgL_bz00_5027;
					obj_t BgL_cz00_5028;
					obj_t BgL_dz00_5029;
					obj_t BgL_lastz00_5030;

					BgL_az00_5026 = BgL_az00_16371;
					BgL_bz00_5027 = BgL_bz00_16372;
					BgL_cz00_5028 = BgL_cz00_16373;
					BgL_dz00_5029 = BgL_dz00_16374;
					BgL_lastz00_5030 = BgL_lastz00_16375;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_5032;

						BgL_sz00_5032 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_5033;

							BgL_bpz00_5033 = VECTOR_REF(BgL_sz00_5032, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_23952;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_15233;

									BgL_arg1902z00_15233 = VECTOR_LENGTH(BgL_sz00_5032);
									BgL_testz00_23952 =
										(
										((long) CINT(BgL_bpz00_5033) +
											BgL_siza7ezd2framez75_16370) <
										(long) (BgL_arg1902z00_15233));
								}
								if (BgL_testz00_23952)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3841z00_5035;

											BgL_arg3841z00_5035 =
												((long) CINT(BgL_bpz00_5033) + ((long) 0));
											VECTOR_SET(BgL_sz00_5032,
												(int) (BgL_arg3841z00_5035), BgL_az00_5026);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3842z00_5036;

											BgL_arg3842z00_5036 =
												((long) CINT(BgL_bpz00_5033) + ((long) 1));
											VECTOR_SET(BgL_sz00_5032,
												(int) (BgL_arg3842z00_5036), BgL_bz00_5027);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3843z00_5037;

											BgL_arg3843z00_5037 =
												((long) CINT(BgL_bpz00_5033) + ((long) 2));
											VECTOR_SET(BgL_sz00_5032,
												(int) (BgL_arg3843z00_5037), BgL_cz00_5028);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3844z00_5038;

											BgL_arg3844z00_5038 =
												((long) CINT(BgL_bpz00_5033) + ((long) 3));
											VECTOR_SET(BgL_sz00_5032,
												(int) (BgL_arg3844z00_5038), BgL_dz00_5029);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3845z00_5039;

											BgL_arg3845z00_5039 =
												((long) CINT(BgL_bpz00_5033) + ((long) 4));
											VECTOR_SET(BgL_sz00_5032,
												(int) (BgL_arg3845z00_5039), BgL_lastz00_5030);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1514z00_5040;

											BgL_val1514z00_5040 =
												BGl_zc3exitza33849ze3z83zz__evaluate_compz00
												(BgL_bpz00_5033, BgL_sz00_5032, BgL_runz00_16369);
											VECTOR_SET(BgL_sz00_5032, (int) (((long) 0)),
												BgL_bpz00_5033);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1514z00_5040)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1514z00_5040), CDR(BgL_val1514z00_5040));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1514z00_5040;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_5047;

										BgL_nsz00_5047 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5047,
											(int) (((long) 1)), BgL_sz00_5032);
										VECTOR_SET(BgL_nsz00_5047,
											(int) (((long) 2)), BgL_az00_5026);
										VECTOR_SET(BgL_nsz00_5047,
											(int) (((long) 3)), BgL_bz00_5027);
										VECTOR_SET(BgL_nsz00_5047,
											(int) (((long) 4)), BgL_cz00_5028);
										VECTOR_SET(BgL_nsz00_5047,
											(int) (((long) 5)), BgL_dz00_5029);
										VECTOR_SET(BgL_nsz00_5047,
											(int) (((long) 6)), BgL_lastz00_5030);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_24000;

											BgL_auxz00_24000 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24000, BgL_nsz00_5047);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1517z00_5049;

											BgL_val1517z00_5049 =
												BGl_zc3exitza33855ze3z83zz__evaluate_compz00
												(BgL_runz00_16369, BgL_nsz00_5047);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_24004;

												BgL_auxz00_24004 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24004, BgL_sz00_5032);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1517z00_5049)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1517z00_5049), CDR(BgL_val1517z00_5049));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1517z00_5049;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3855> */
	obj_t BGl_zc3exitza33855ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17649,
		obj_t BgL_nsz00_17648)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1518z00_5055;

			if (SET_EXIT(BgL_an_exit1518z00_5055))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1518z00_5055 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1518z00_5055, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1519z00_5056;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_15297;

								BgL_savedzd2bpzd2_15297 =
									VECTOR_REF(BgL_nsz00_17648, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17648,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15304;

									BgL_fz00_15304 = BgL_runz00_17649;
								BgL_recz00_15303:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_15305;

										BgL_rz00_15305 =
											PROCEDURE_ENTRY(BgL_fz00_15304) (BgL_fz00_15304,
											BgL_nsz00_17648, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_24025;

											if (PROCEDUREP(BgL_rz00_15305))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_15310;

													BgL_arg1893z00_15310 = PROCEDURE_ATTR(BgL_rz00_15305);
													if (STRUCTP(BgL_arg1893z00_15310))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24025 =
																(STRUCT_KEY(BgL_arg1893z00_15310) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24025 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_24025 = ((bool_t) 0);
												}
											if (BgL_testz00_24025)
												{
													obj_t BgL_fz00_24033;

													BgL_fz00_24033 = BgL_rz00_15305;
													BgL_fz00_15304 = BgL_fz00_24033;
													goto BgL_recz00_15303;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17648,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15297);
													BgL_val1519z00_5056 = BgL_rz00_15305;
							}}}}}
							POP_EXIT();
							return BgL_val1519z00_5056;
						}
					}
				}
		}
	}



/* <exit:3849> */
	obj_t BGl_zc3exitza33849ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17652,
		obj_t BgL_sz00_17651, obj_t BgL_runz00_17650)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1515z00_5045;

			if (SET_EXIT(BgL_an_exit1515z00_5045))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1515z00_5045 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1515z00_5045, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1516z00_5046;

							BgL_val1516z00_5046 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17650,
								BgL_sz00_17651, BgL_bpz00_17652);
							POP_EXIT();
							return BgL_val1516z00_5046;
						}
					}
				}
		}
	}



/* &run5450 */
	obj_t BGl_z62run5450z62zz__evaluate_compz00(obj_t BgL_envz00_16376,
		obj_t BgL_sz00_16382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16377;
				long BgL_siza7eza7_16378;
				obj_t BgL_valza2za2_16379;
				BgL_ev_absz00_bglt BgL_i1253z00_16380;
				obj_t BgL_bodyz00_16381;

				BgL_iboxesz00_16377 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16376, (int) (((long) 0))));
				BgL_siza7eza7_16378 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16376, (int) (((long) 1))));
				BgL_valza2za2_16379 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16376, (int) (((long) 2))));
				BgL_i1253z00_16380 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16376, (int) (((long) 3))));
				BgL_bodyz00_16381 = PROCEDURE_REF(BgL_envz00_16376, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5058;

					BgL_sz00_5058 = BgL_sz00_16382;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5060;

						BgL_bpz00_5060 = VECTOR_REF(BgL_sz00_5058, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5058,
							BgL_iboxesz00_16377, BgL_bpz00_5060);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5058,
							BgL_valza2za2_16379,
							((long) CINT(BgL_bpz00_5060) + BgL_siza7eza7_16378));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_5062;
							obj_t BgL_wherez00_5063;
							obj_t BgL_locz00_5064;

							BgL_z12denvz12_5062 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5063 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16380))->BgL_wherez00);
							BgL_locz00_5064 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16380))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5062, BgL_wherez00_5063,
									BgL_locz00_5064);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_5065;

									BgL_za2za2resza2za2z00_5065 =
										PROCEDURE_ENTRY(BgL_bodyz00_16381) (BgL_bodyz00_16381,
										BgL_sz00_5058, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5062);
									return BgL_za2za2resza2za2z00_5065;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3682> */
	obj_t BGl_z62zc3anonymousza33682ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16383, obj_t BgL_sz00_16387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16384;
				obj_t BgL_bodyz00_16385;
				long BgL_siza7ezd2framez75_16386;

				BgL_i1253z00_16384 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16383, (int) (((long) 0))));
				BgL_bodyz00_16385 = PROCEDURE_REF(BgL_envz00_16383, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16386 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16383, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4683;

					BgL_sz00_4683 = BgL_sz00_16387;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4685;

						BgL_bpz00_4685 = VECTOR_REF(BgL_sz00_4683, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16199;

								BgL_runz00_16199 =
									MAKE_FX_PROCEDURE(BGl_z62run5452z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16199,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16384));
								PROCEDURE_SET(BgL_runz00_16199,
									(int) (((long) 1)), BgL_bodyz00_16385);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16200;

									BgL_mainz00_16200 =
										MAKE_FX_PROCEDURE(BGl_z62main5451z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16200,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16384));
									PROCEDURE_SET(BgL_mainz00_16200,
										(int) (((long) 1)), BgL_bodyz00_16385);
									PROCEDURE_SET(BgL_mainz00_16200,
										(int) (((long) 2)), BgL_runz00_16199);
									PROCEDURE_SET(BgL_mainz00_16200,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16386));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_14435;

										BgL_objz00_14435 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16199, BgL_objz00_14435);
										BgL_objz00_14435;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3683z00_4688;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3684z00_4689;

											BgL_arg3684z00_4689 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16384))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_14439;

												BgL_newz00_14439 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24106;

													BgL_auxz00_24106 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14439, BgL_auxz00_24106,
														BgL_arg3684z00_4689);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24111;
													int BgL_auxz00_24109;

													BgL_auxz00_24111 = BINT(BgL_siza7ezd2framez75_16386);
													BgL_auxz00_24109 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14439, BgL_auxz00_24109,
														BgL_auxz00_24111);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24114;

													BgL_auxz00_24114 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14439, BgL_auxz00_24114,
														BgL_runz00_16199);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24119;
													int BgL_auxz00_24117;

													BgL_auxz00_24119 = BINT(((long) 4));
													BgL_auxz00_24117 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14439, BgL_auxz00_24117,
														BgL_auxz00_24119);
												}
												BgL_arg3683z00_4688 = BgL_newz00_14439;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16200, BgL_arg3683z00_4688);
										BgL_arg3683z00_4688;
									}
									return BgL_mainz00_16200;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5451 */
	obj_t BGl_z62main5451z62zz__evaluate_compz00(obj_t BgL_envz00_16388,
		obj_t BgL_az00_16393, obj_t BgL_bz00_16394, obj_t BgL_cz00_16395,
		obj_t BgL_dz00_16396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16391;
				long BgL_siza7ezd2framez75_16392;

				BgL_runz00_16391 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16388, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16392 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16388, (int) (((long) 3))));
				{
					obj_t BgL_az00_4690;
					obj_t BgL_bz00_4691;
					obj_t BgL_cz00_4692;
					obj_t BgL_dz00_4693;

					BgL_az00_4690 = BgL_az00_16393;
					BgL_bz00_4691 = BgL_bz00_16394;
					BgL_cz00_4692 = BgL_cz00_16395;
					BgL_dz00_4693 = BgL_dz00_16396;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4695;

						BgL_sz00_4695 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4696;

							BgL_bpz00_4696 = VECTOR_REF(BgL_sz00_4695, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_24132;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_14352;

									BgL_arg1902z00_14352 = VECTOR_LENGTH(BgL_sz00_4695);
									BgL_testz00_24132 =
										(
										((long) CINT(BgL_bpz00_4696) +
											BgL_siza7ezd2framez75_16392) <
										(long) (BgL_arg1902z00_14352));
								}
								if (BgL_testz00_24132)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3687z00_4698;

											BgL_arg3687z00_4698 =
												((long) CINT(BgL_bpz00_4696) + ((long) 0));
											VECTOR_SET(BgL_sz00_4695,
												(int) (BgL_arg3687z00_4698), BgL_az00_4690);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3688z00_4699;

											BgL_arg3688z00_4699 =
												((long) CINT(BgL_bpz00_4696) + ((long) 1));
											VECTOR_SET(BgL_sz00_4695,
												(int) (BgL_arg3688z00_4699), BgL_bz00_4691);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3689z00_4700;

											BgL_arg3689z00_4700 =
												((long) CINT(BgL_bpz00_4696) + ((long) 2));
											VECTOR_SET(BgL_sz00_4695,
												(int) (BgL_arg3689z00_4700), BgL_cz00_4692);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3690z00_4701;

											BgL_arg3690z00_4701 =
												((long) CINT(BgL_bpz00_4696) + ((long) 3));
											VECTOR_SET(BgL_sz00_4695,
												(int) (BgL_arg3690z00_4701), BgL_dz00_4693);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1472z00_4702;

											BgL_val1472z00_4702 =
												BGl_zc3exitza33694ze3z83zz__evaluate_compz00
												(BgL_bpz00_4696, BgL_sz00_4695, BgL_runz00_16391);
											VECTOR_SET(BgL_sz00_4695, (int) (((long) 0)),
												BgL_bpz00_4696);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1472z00_4702)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1472z00_4702), CDR(BgL_val1472z00_4702));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1472z00_4702;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4709;

										BgL_nsz00_4709 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4709,
											(int) (((long) 1)), BgL_sz00_4695);
										VECTOR_SET(BgL_nsz00_4709,
											(int) (((long) 2)), BgL_az00_4690);
										VECTOR_SET(BgL_nsz00_4709,
											(int) (((long) 3)), BgL_bz00_4691);
										VECTOR_SET(BgL_nsz00_4709,
											(int) (((long) 4)), BgL_cz00_4692);
										VECTOR_SET(BgL_nsz00_4709,
											(int) (((long) 5)), BgL_dz00_4693);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_24174;

											BgL_auxz00_24174 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24174, BgL_nsz00_4709);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1475z00_4711;

											BgL_val1475z00_4711 =
												BGl_zc3exitza33700ze3z83zz__evaluate_compz00
												(BgL_runz00_16391, BgL_nsz00_4709);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_24178;

												BgL_auxz00_24178 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24178, BgL_sz00_4695);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1475z00_4711)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1475z00_4711), CDR(BgL_val1475z00_4711));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1475z00_4711;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3700> */
	obj_t BGl_zc3exitza33700ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17644,
		obj_t BgL_nsz00_17643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1476z00_4717;

			if (SET_EXIT(BgL_an_exit1476z00_4717))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1476z00_4717 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1476z00_4717, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1477z00_4718;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_14407;

								BgL_savedzd2bpzd2_14407 =
									VECTOR_REF(BgL_nsz00_17643, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17643,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14414;

									BgL_fz00_14414 = BgL_runz00_17644;
								BgL_recz00_14413:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_14415;

										BgL_rz00_14415 =
											PROCEDURE_ENTRY(BgL_fz00_14414) (BgL_fz00_14414,
											BgL_nsz00_17643, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_24199;

											if (PROCEDUREP(BgL_rz00_14415))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_14420;

													BgL_arg1893z00_14420 = PROCEDURE_ATTR(BgL_rz00_14415);
													if (STRUCTP(BgL_arg1893z00_14420))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24199 =
																(STRUCT_KEY(BgL_arg1893z00_14420) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24199 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_24199 = ((bool_t) 0);
												}
											if (BgL_testz00_24199)
												{
													obj_t BgL_fz00_24207;

													BgL_fz00_24207 = BgL_rz00_14415;
													BgL_fz00_14414 = BgL_fz00_24207;
													goto BgL_recz00_14413;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17643,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14407);
													BgL_val1477z00_4718 = BgL_rz00_14415;
							}}}}}
							POP_EXIT();
							return BgL_val1477z00_4718;
						}
					}
				}
		}
	}



/* <exit:3694> */
	obj_t BGl_zc3exitza33694ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17647,
		obj_t BgL_sz00_17646, obj_t BgL_runz00_17645)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1473z00_4707;

			if (SET_EXIT(BgL_an_exit1473z00_4707))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1473z00_4707 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1473z00_4707, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1474z00_4708;

							BgL_val1474z00_4708 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17645,
								BgL_sz00_17646, BgL_bpz00_17647);
							POP_EXIT();
							return BgL_val1474z00_4708;
						}
					}
				}
		}
	}



/* &run5452 */
	obj_t BGl_z62run5452z62zz__evaluate_compz00(obj_t BgL_envz00_16397,
		obj_t BgL_sz00_16400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16398;
				obj_t BgL_bodyz00_16399;

				BgL_i1253z00_16398 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16397, (int) (((long) 0))));
				BgL_bodyz00_16399 = PROCEDURE_REF(BgL_envz00_16397, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4720;

					BgL_sz00_4720 = BgL_sz00_16400;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4722;

						BgL_bpz00_4722 = VECTOR_REF(BgL_sz00_4720, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4723;
							obj_t BgL_wherez00_4724;
							obj_t BgL_locz00_4725;

							BgL_z12denvz12_4723 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4724 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16398))->BgL_wherez00);
							BgL_locz00_4725 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16398))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4723, BgL_wherez00_4724,
									BgL_locz00_4725);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4726;

									BgL_za2za2resza2za2z00_4726 =
										PROCEDURE_ENTRY(BgL_bodyz00_16399) (BgL_bodyz00_16399,
										BgL_sz00_4720, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4723);
									return BgL_za2za2resza2za2z00_4726;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3702> */
	obj_t BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16401, obj_t BgL_sz00_16406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16402;
				BgL_ev_absz00_bglt BgL_i1253z00_16403;
				obj_t BgL_bodyz00_16404;
				long BgL_siza7ezd2framez75_16405;

				BgL_iboxesz00_16402 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16401, (int) (((long) 0))));
				BgL_i1253z00_16403 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16401, (int) (((long) 1))));
				BgL_bodyz00_16404 = PROCEDURE_REF(BgL_envz00_16401, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16405 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16401, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4728;

					BgL_sz00_4728 = BgL_sz00_16406;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4730;

						BgL_bpz00_4730 = VECTOR_REF(BgL_sz00_4728, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16196;

								BgL_runz00_16196 =
									MAKE_FX_PROCEDURE(BGl_z62run5454z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16196,
									(int) (((long) 0)), BgL_iboxesz00_16402);
								PROCEDURE_SET(BgL_runz00_16196,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16403));
								PROCEDURE_SET(BgL_runz00_16196,
									(int) (((long) 2)), BgL_bodyz00_16404);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16197;

									BgL_mainz00_16197 =
										MAKE_FX_PROCEDURE(BGl_z62main5453z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 0)), BgL_iboxesz00_16402);
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16403));
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 2)), BgL_bodyz00_16404);
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 3)), BgL_runz00_16196);
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16405));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_14553;

										BgL_objz00_14553 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16196, BgL_objz00_14553);
										BgL_objz00_14553;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3703z00_4733;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3704z00_4734;

											BgL_arg3704z00_4734 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16403))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_14557;

												BgL_newz00_14557 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24274;

													BgL_auxz00_24274 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14557, BgL_auxz00_24274,
														BgL_arg3704z00_4734);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24279;
													int BgL_auxz00_24277;

													BgL_auxz00_24279 = BINT(BgL_siza7ezd2framez75_16405);
													BgL_auxz00_24277 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14557, BgL_auxz00_24277,
														BgL_auxz00_24279);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24282;

													BgL_auxz00_24282 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14557, BgL_auxz00_24282,
														BgL_runz00_16196);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24287;
													int BgL_auxz00_24285;

													BgL_auxz00_24287 = BINT(((long) 4));
													BgL_auxz00_24285 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14557, BgL_auxz00_24285,
														BgL_auxz00_24287);
												}
												BgL_arg3703z00_4733 = BgL_newz00_14557;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16197, BgL_arg3703z00_4733);
										BgL_arg3703z00_4733;
									}
									return BgL_mainz00_16197;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5453 */
	obj_t BGl_z62main5453z62zz__evaluate_compz00(obj_t BgL_envz00_16407,
		obj_t BgL_az00_16413, obj_t BgL_bz00_16414, obj_t BgL_cz00_16415,
		obj_t BgL_dz00_16416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16411;
				long BgL_siza7ezd2framez75_16412;

				BgL_runz00_16411 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16407, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16412 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16407, (int) (((long) 4))));
				{
					obj_t BgL_az00_4735;
					obj_t BgL_bz00_4736;
					obj_t BgL_cz00_4737;
					obj_t BgL_dz00_4738;

					BgL_az00_4735 = BgL_az00_16413;
					BgL_bz00_4736 = BgL_bz00_16414;
					BgL_cz00_4737 = BgL_cz00_16415;
					BgL_dz00_4738 = BgL_dz00_16416;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4740;

						BgL_sz00_4740 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4741;

							BgL_bpz00_4741 = VECTOR_REF(BgL_sz00_4740, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_24300;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_14470;

									BgL_arg1902z00_14470 = VECTOR_LENGTH(BgL_sz00_4740);
									BgL_testz00_24300 =
										(
										((long) CINT(BgL_bpz00_4741) +
											BgL_siza7ezd2framez75_16412) <
										(long) (BgL_arg1902z00_14470));
								}
								if (BgL_testz00_24300)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3707z00_4743;

											BgL_arg3707z00_4743 =
												((long) CINT(BgL_bpz00_4741) + ((long) 0));
											VECTOR_SET(BgL_sz00_4740,
												(int) (BgL_arg3707z00_4743), BgL_az00_4735);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3708z00_4744;

											BgL_arg3708z00_4744 =
												((long) CINT(BgL_bpz00_4741) + ((long) 1));
											VECTOR_SET(BgL_sz00_4740,
												(int) (BgL_arg3708z00_4744), BgL_bz00_4736);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3709z00_4745;

											BgL_arg3709z00_4745 =
												((long) CINT(BgL_bpz00_4741) + ((long) 2));
											VECTOR_SET(BgL_sz00_4740,
												(int) (BgL_arg3709z00_4745), BgL_cz00_4737);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3710z00_4746;

											BgL_arg3710z00_4746 =
												((long) CINT(BgL_bpz00_4741) + ((long) 3));
											VECTOR_SET(BgL_sz00_4740,
												(int) (BgL_arg3710z00_4746), BgL_dz00_4738);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1478z00_4747;

											BgL_val1478z00_4747 =
												BGl_zc3exitza33714ze3z83zz__evaluate_compz00
												(BgL_bpz00_4741, BgL_sz00_4740, BgL_runz00_16411);
											VECTOR_SET(BgL_sz00_4740, (int) (((long) 0)),
												BgL_bpz00_4741);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1478z00_4747)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1478z00_4747), CDR(BgL_val1478z00_4747));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1478z00_4747;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4754;

										BgL_nsz00_4754 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4754,
											(int) (((long) 1)), BgL_sz00_4740);
										VECTOR_SET(BgL_nsz00_4754,
											(int) (((long) 2)), BgL_az00_4735);
										VECTOR_SET(BgL_nsz00_4754,
											(int) (((long) 3)), BgL_bz00_4736);
										VECTOR_SET(BgL_nsz00_4754,
											(int) (((long) 4)), BgL_cz00_4737);
										VECTOR_SET(BgL_nsz00_4754,
											(int) (((long) 5)), BgL_dz00_4738);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_24342;

											BgL_auxz00_24342 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24342, BgL_nsz00_4754);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1481z00_4756;

											BgL_val1481z00_4756 =
												BGl_zc3exitza33720ze3z83zz__evaluate_compz00
												(BgL_runz00_16411, BgL_nsz00_4754);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_24346;

												BgL_auxz00_24346 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24346, BgL_sz00_4740);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1481z00_4756)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1481z00_4756), CDR(BgL_val1481z00_4756));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1481z00_4756;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3720> */
	obj_t BGl_zc3exitza33720ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17639,
		obj_t BgL_nsz00_17638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1482z00_4762;

			if (SET_EXIT(BgL_an_exit1482z00_4762))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1482z00_4762 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1482z00_4762, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1483z00_4763;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_14525;

								BgL_savedzd2bpzd2_14525 =
									VECTOR_REF(BgL_nsz00_17638, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17638,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14532;

									BgL_fz00_14532 = BgL_runz00_17639;
								BgL_recz00_14531:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_14533;

										BgL_rz00_14533 =
											PROCEDURE_ENTRY(BgL_fz00_14532) (BgL_fz00_14532,
											BgL_nsz00_17638, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_24367;

											if (PROCEDUREP(BgL_rz00_14533))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_14538;

													BgL_arg1893z00_14538 = PROCEDURE_ATTR(BgL_rz00_14533);
													if (STRUCTP(BgL_arg1893z00_14538))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24367 =
																(STRUCT_KEY(BgL_arg1893z00_14538) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24367 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_24367 = ((bool_t) 0);
												}
											if (BgL_testz00_24367)
												{
													obj_t BgL_fz00_24375;

													BgL_fz00_24375 = BgL_rz00_14533;
													BgL_fz00_14532 = BgL_fz00_24375;
													goto BgL_recz00_14531;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17638,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14525);
													BgL_val1483z00_4763 = BgL_rz00_14533;
							}}}}}
							POP_EXIT();
							return BgL_val1483z00_4763;
						}
					}
				}
		}
	}



/* <exit:3714> */
	obj_t BGl_zc3exitza33714ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17642,
		obj_t BgL_sz00_17641, obj_t BgL_runz00_17640)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1479z00_4752;

			if (SET_EXIT(BgL_an_exit1479z00_4752))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1479z00_4752 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1479z00_4752, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1480z00_4753;

							BgL_val1480z00_4753 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17640,
								BgL_sz00_17641, BgL_bpz00_17642);
							POP_EXIT();
							return BgL_val1480z00_4753;
						}
					}
				}
		}
	}



/* &run5454 */
	obj_t BGl_z62run5454z62zz__evaluate_compz00(obj_t BgL_envz00_16417,
		obj_t BgL_sz00_16421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16418;
				BgL_ev_absz00_bglt BgL_i1253z00_16419;
				obj_t BgL_bodyz00_16420;

				BgL_iboxesz00_16418 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 0))));
				BgL_i1253z00_16419 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 1))));
				BgL_bodyz00_16420 = PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4765;

					BgL_sz00_4765 = BgL_sz00_16421;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4767;

						BgL_bpz00_4767 = VECTOR_REF(BgL_sz00_4765, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4765,
							BgL_iboxesz00_16418, BgL_bpz00_4767);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4768;
							obj_t BgL_wherez00_4769;
							obj_t BgL_locz00_4770;

							BgL_z12denvz12_4768 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4769 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16419))->BgL_wherez00);
							BgL_locz00_4770 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16419))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4768, BgL_wherez00_4769,
									BgL_locz00_4770);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4771;

									BgL_za2za2resza2za2z00_4771 =
										PROCEDURE_ENTRY(BgL_bodyz00_16420) (BgL_bodyz00_16420,
										BgL_sz00_4765, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4768);
									return BgL_za2za2resza2za2z00_4771;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3724> */
	obj_t BGl_z62zc3anonymousza33724ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16422, obj_t BgL_sz00_16428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16423;
				long BgL_siza7eza7_16424;
				BgL_ev_absz00_bglt BgL_i1253z00_16425;
				obj_t BgL_bodyz00_16426;
				long BgL_siza7ezd2framez75_16427;

				BgL_ifreesz00_16423 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16422, (int) (((long) 0))));
				BgL_siza7eza7_16424 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16422, (int) (((long) 1))));
				BgL_i1253z00_16425 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16422, (int) (((long) 2))));
				BgL_bodyz00_16426 = PROCEDURE_REF(BgL_envz00_16422, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16427 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16422, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4775;

					BgL_sz00_4775 = BgL_sz00_16428;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4777;

						BgL_bpz00_4777 = VECTOR_REF(BgL_sz00_4775, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4778;

							BgL_valza2za2_4778 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4775,
								BgL_bpz00_4777, BgL_ifreesz00_16423);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16193;

								BgL_runz00_16193 =
									MAKE_FX_PROCEDURE(BGl_z62run5456z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16193,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16424));
								PROCEDURE_SET(BgL_runz00_16193,
									(int) (((long) 1)), BgL_valza2za2_4778);
								PROCEDURE_SET(BgL_runz00_16193,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_16425));
								PROCEDURE_SET(BgL_runz00_16193,
									(int) (((long) 3)), BgL_bodyz00_16426);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16194;

									BgL_mainz00_16194 =
										MAKE_FX_PROCEDURE(BGl_z62main5455z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16424));
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 1)), BgL_valza2za2_4778);
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_16425));
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 3)), BgL_bodyz00_16426);
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 4)), BgL_runz00_16193);
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16427));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_14678;

										BgL_objz00_14678 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16193, BgL_objz00_14678);
										BgL_objz00_14678;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3725z00_4781;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3726z00_4782;

											BgL_arg3726z00_4782 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16425))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_14682;

												BgL_newz00_14682 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24456;

													BgL_auxz00_24456 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14682, BgL_auxz00_24456,
														BgL_arg3726z00_4782);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24461;
													int BgL_auxz00_24459;

													BgL_auxz00_24461 = BINT(BgL_siza7ezd2framez75_16427);
													BgL_auxz00_24459 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14682, BgL_auxz00_24459,
														BgL_auxz00_24461);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24464;

													BgL_auxz00_24464 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14682, BgL_auxz00_24464,
														BgL_runz00_16193);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24469;
													int BgL_auxz00_24467;

													BgL_auxz00_24469 = BINT(((long) 4));
													BgL_auxz00_24467 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14682, BgL_auxz00_24467,
														BgL_auxz00_24469);
												}
												BgL_arg3725z00_4781 = BgL_newz00_14682;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16194, BgL_arg3725z00_4781);
										BgL_arg3725z00_4781;
									}
									return BgL_mainz00_16194;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5455 */
	obj_t BGl_z62main5455z62zz__evaluate_compz00(obj_t BgL_envz00_16429,
		obj_t BgL_az00_16436, obj_t BgL_bz00_16437, obj_t BgL_cz00_16438,
		obj_t BgL_dz00_16439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16434;
				long BgL_siza7ezd2framez75_16435;

				BgL_runz00_16434 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16429, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16435 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16429, (int) (((long) 5))));
				{
					obj_t BgL_az00_4783;
					obj_t BgL_bz00_4784;
					obj_t BgL_cz00_4785;
					obj_t BgL_dz00_4786;

					BgL_az00_4783 = BgL_az00_16436;
					BgL_bz00_4784 = BgL_bz00_16437;
					BgL_cz00_4785 = BgL_cz00_16438;
					BgL_dz00_4786 = BgL_dz00_16439;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4788;

						BgL_sz00_4788 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4789;

							BgL_bpz00_4789 = VECTOR_REF(BgL_sz00_4788, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_24482;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_14595;

									BgL_arg1902z00_14595 = VECTOR_LENGTH(BgL_sz00_4788);
									BgL_testz00_24482 =
										(
										((long) CINT(BgL_bpz00_4789) +
											BgL_siza7ezd2framez75_16435) <
										(long) (BgL_arg1902z00_14595));
								}
								if (BgL_testz00_24482)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3729z00_4791;

											BgL_arg3729z00_4791 =
												((long) CINT(BgL_bpz00_4789) + ((long) 0));
											VECTOR_SET(BgL_sz00_4788,
												(int) (BgL_arg3729z00_4791), BgL_az00_4783);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3730z00_4792;

											BgL_arg3730z00_4792 =
												((long) CINT(BgL_bpz00_4789) + ((long) 1));
											VECTOR_SET(BgL_sz00_4788,
												(int) (BgL_arg3730z00_4792), BgL_bz00_4784);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3731z00_4793;

											BgL_arg3731z00_4793 =
												((long) CINT(BgL_bpz00_4789) + ((long) 2));
											VECTOR_SET(BgL_sz00_4788,
												(int) (BgL_arg3731z00_4793), BgL_cz00_4785);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3732z00_4794;

											BgL_arg3732z00_4794 =
												((long) CINT(BgL_bpz00_4789) + ((long) 3));
											VECTOR_SET(BgL_sz00_4788,
												(int) (BgL_arg3732z00_4794), BgL_dz00_4786);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1484z00_4795;

											BgL_val1484z00_4795 =
												BGl_zc3exitza33736ze3z83zz__evaluate_compz00
												(BgL_bpz00_4789, BgL_sz00_4788, BgL_runz00_16434);
											VECTOR_SET(BgL_sz00_4788, (int) (((long) 0)),
												BgL_bpz00_4789);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1484z00_4795)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1484z00_4795), CDR(BgL_val1484z00_4795));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1484z00_4795;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4802;

										BgL_nsz00_4802 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4802,
											(int) (((long) 1)), BgL_sz00_4788);
										VECTOR_SET(BgL_nsz00_4802,
											(int) (((long) 2)), BgL_az00_4783);
										VECTOR_SET(BgL_nsz00_4802,
											(int) (((long) 3)), BgL_bz00_4784);
										VECTOR_SET(BgL_nsz00_4802,
											(int) (((long) 4)), BgL_cz00_4785);
										VECTOR_SET(BgL_nsz00_4802,
											(int) (((long) 5)), BgL_dz00_4786);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_24524;

											BgL_auxz00_24524 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24524, BgL_nsz00_4802);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1487z00_4804;

											BgL_val1487z00_4804 =
												BGl_zc3exitza33742ze3z83zz__evaluate_compz00
												(BgL_runz00_16434, BgL_nsz00_4802);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_24528;

												BgL_auxz00_24528 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24528, BgL_sz00_4788);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1487z00_4804)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1487z00_4804), CDR(BgL_val1487z00_4804));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1487z00_4804;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3742> */
	obj_t BGl_zc3exitza33742ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17634,
		obj_t BgL_nsz00_17633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1488z00_4810;

			if (SET_EXIT(BgL_an_exit1488z00_4810))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1488z00_4810 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1488z00_4810, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1489z00_4811;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_14650;

								BgL_savedzd2bpzd2_14650 =
									VECTOR_REF(BgL_nsz00_17633, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17633,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14657;

									BgL_fz00_14657 = BgL_runz00_17634;
								BgL_recz00_14656:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_14658;

										BgL_rz00_14658 =
											PROCEDURE_ENTRY(BgL_fz00_14657) (BgL_fz00_14657,
											BgL_nsz00_17633, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_24549;

											if (PROCEDUREP(BgL_rz00_14658))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_14663;

													BgL_arg1893z00_14663 = PROCEDURE_ATTR(BgL_rz00_14658);
													if (STRUCTP(BgL_arg1893z00_14663))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24549 =
																(STRUCT_KEY(BgL_arg1893z00_14663) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24549 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_24549 = ((bool_t) 0);
												}
											if (BgL_testz00_24549)
												{
													obj_t BgL_fz00_24557;

													BgL_fz00_24557 = BgL_rz00_14658;
													BgL_fz00_14657 = BgL_fz00_24557;
													goto BgL_recz00_14656;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17633,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14650);
													BgL_val1489z00_4811 = BgL_rz00_14658;
							}}}}}
							POP_EXIT();
							return BgL_val1489z00_4811;
						}
					}
				}
		}
	}



/* <exit:3736> */
	obj_t BGl_zc3exitza33736ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17637,
		obj_t BgL_sz00_17636, obj_t BgL_runz00_17635)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1485z00_4800;

			if (SET_EXIT(BgL_an_exit1485z00_4800))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1485z00_4800 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1485z00_4800, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1486z00_4801;

							BgL_val1486z00_4801 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17635,
								BgL_sz00_17636, BgL_bpz00_17637);
							POP_EXIT();
							return BgL_val1486z00_4801;
						}
					}
				}
		}
	}



/* &run5456 */
	obj_t BGl_z62run5456z62zz__evaluate_compz00(obj_t BgL_envz00_16440,
		obj_t BgL_sz00_16445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_16441;
				obj_t BgL_valza2za2_16442;
				BgL_ev_absz00_bglt BgL_i1253z00_16443;
				obj_t BgL_bodyz00_16444;

				BgL_siza7eza7_16441 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16440, (int) (((long) 0))));
				BgL_valza2za2_16442 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16440, (int) (((long) 1))));
				BgL_i1253z00_16443 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16440, (int) (((long) 2))));
				BgL_bodyz00_16444 = PROCEDURE_REF(BgL_envz00_16440, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4813;

					BgL_sz00_4813 = BgL_sz00_16445;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4815;

						BgL_bpz00_4815 = VECTOR_REF(BgL_sz00_4813, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4813,
							BgL_valza2za2_16442,
							((long) CINT(BgL_bpz00_4815) + BgL_siza7eza7_16441));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4817;
							obj_t BgL_wherez00_4818;
							obj_t BgL_locz00_4819;

							BgL_z12denvz12_4817 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4818 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16443))->BgL_wherez00);
							BgL_locz00_4819 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16443))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4817, BgL_wherez00_4818,
									BgL_locz00_4819);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4820;

									BgL_za2za2resza2za2z00_4820 =
										PROCEDURE_ENTRY(BgL_bodyz00_16444) (BgL_bodyz00_16444,
										BgL_sz00_4813, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4817);
									return BgL_za2za2resza2za2z00_4820;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3745> */
	obj_t BGl_z62zc3anonymousza33745ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16446, obj_t BgL_sz00_16453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16447;
				obj_t BgL_iboxesz00_16448;
				long BgL_siza7eza7_16449;
				BgL_ev_absz00_bglt BgL_i1253z00_16450;
				obj_t BgL_bodyz00_16451;
				long BgL_siza7ezd2framez75_16452;

				BgL_ifreesz00_16447 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 0))));
				BgL_iboxesz00_16448 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 1))));
				BgL_siza7eza7_16449 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 2))));
				BgL_i1253z00_16450 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 3))));
				BgL_bodyz00_16451 = PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16452 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4822;

					BgL_sz00_4822 = BgL_sz00_16453;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4824;

						BgL_bpz00_4824 = VECTOR_REF(BgL_sz00_4822, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4825;

							BgL_valza2za2_4825 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4822,
								BgL_bpz00_4824, BgL_ifreesz00_16447);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16190;

								BgL_runz00_16190 =
									MAKE_FX_PROCEDURE(BGl_z62run5458z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 0)), BgL_iboxesz00_16448);
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16449));
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 2)), BgL_valza2za2_4825);
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_16450));
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 4)), BgL_bodyz00_16451);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16191;

									BgL_mainz00_16191 =
										MAKE_FX_PROCEDURE(BGl_z62main5457z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 0)), BgL_iboxesz00_16448);
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16449));
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 2)), BgL_valza2za2_4825);
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_16450));
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 4)), BgL_bodyz00_16451);
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 5)), BgL_runz00_16190);
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16452));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_14799;

										BgL_objz00_14799 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16190, BgL_objz00_14799);
										BgL_objz00_14799;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3746z00_4828;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3747z00_4829;

											BgL_arg3747z00_4829 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16450))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_14803;

												BgL_newz00_14803 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24650;

													BgL_auxz00_24650 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14803, BgL_auxz00_24650,
														BgL_arg3747z00_4829);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24655;
													int BgL_auxz00_24653;

													BgL_auxz00_24655 = BINT(BgL_siza7ezd2framez75_16452);
													BgL_auxz00_24653 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14803, BgL_auxz00_24653,
														BgL_auxz00_24655);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24658;

													BgL_auxz00_24658 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14803, BgL_auxz00_24658,
														BgL_runz00_16190);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24663;
													int BgL_auxz00_24661;

													BgL_auxz00_24663 = BINT(((long) 4));
													BgL_auxz00_24661 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14803, BgL_auxz00_24661,
														BgL_auxz00_24663);
												}
												BgL_arg3746z00_4828 = BgL_newz00_14803;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16191, BgL_arg3746z00_4828);
										BgL_arg3746z00_4828;
									}
									return BgL_mainz00_16191;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5457 */
	obj_t BGl_z62main5457z62zz__evaluate_compz00(obj_t BgL_envz00_16454,
		obj_t BgL_az00_16462, obj_t BgL_bz00_16463, obj_t BgL_cz00_16464,
		obj_t BgL_dz00_16465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16460;
				long BgL_siza7ezd2framez75_16461;

				BgL_runz00_16460 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16454, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16461 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16454, (int) (((long) 6))));
				{
					obj_t BgL_az00_4830;
					obj_t BgL_bz00_4831;
					obj_t BgL_cz00_4832;
					obj_t BgL_dz00_4833;

					BgL_az00_4830 = BgL_az00_16462;
					BgL_bz00_4831 = BgL_bz00_16463;
					BgL_cz00_4832 = BgL_cz00_16464;
					BgL_dz00_4833 = BgL_dz00_16465;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4835;

						BgL_sz00_4835 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4836;

							BgL_bpz00_4836 = VECTOR_REF(BgL_sz00_4835, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_24676;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_14716;

									BgL_arg1902z00_14716 = VECTOR_LENGTH(BgL_sz00_4835);
									BgL_testz00_24676 =
										(
										((long) CINT(BgL_bpz00_4836) +
											BgL_siza7ezd2framez75_16461) <
										(long) (BgL_arg1902z00_14716));
								}
								if (BgL_testz00_24676)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3750z00_4838;

											BgL_arg3750z00_4838 =
												((long) CINT(BgL_bpz00_4836) + ((long) 0));
											VECTOR_SET(BgL_sz00_4835,
												(int) (BgL_arg3750z00_4838), BgL_az00_4830);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3751z00_4839;

											BgL_arg3751z00_4839 =
												((long) CINT(BgL_bpz00_4836) + ((long) 1));
											VECTOR_SET(BgL_sz00_4835,
												(int) (BgL_arg3751z00_4839), BgL_bz00_4831);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3752z00_4840;

											BgL_arg3752z00_4840 =
												((long) CINT(BgL_bpz00_4836) + ((long) 2));
											VECTOR_SET(BgL_sz00_4835,
												(int) (BgL_arg3752z00_4840), BgL_cz00_4832);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3753z00_4841;

											BgL_arg3753z00_4841 =
												((long) CINT(BgL_bpz00_4836) + ((long) 3));
											VECTOR_SET(BgL_sz00_4835,
												(int) (BgL_arg3753z00_4841), BgL_dz00_4833);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1490z00_4842;

											BgL_val1490z00_4842 =
												BGl_zc3exitza33757ze3z83zz__evaluate_compz00
												(BgL_bpz00_4836, BgL_sz00_4835, BgL_runz00_16460);
											VECTOR_SET(BgL_sz00_4835, (int) (((long) 0)),
												BgL_bpz00_4836);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1490z00_4842)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1490z00_4842), CDR(BgL_val1490z00_4842));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1490z00_4842;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4849;

										BgL_nsz00_4849 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4849,
											(int) (((long) 1)), BgL_sz00_4835);
										VECTOR_SET(BgL_nsz00_4849,
											(int) (((long) 2)), BgL_az00_4830);
										VECTOR_SET(BgL_nsz00_4849,
											(int) (((long) 3)), BgL_bz00_4831);
										VECTOR_SET(BgL_nsz00_4849,
											(int) (((long) 4)), BgL_cz00_4832);
										VECTOR_SET(BgL_nsz00_4849,
											(int) (((long) 5)), BgL_dz00_4833);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_24718;

											BgL_auxz00_24718 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24718, BgL_nsz00_4849);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1493z00_4851;

											BgL_val1493z00_4851 =
												BGl_zc3exitza33763ze3z83zz__evaluate_compz00
												(BgL_runz00_16460, BgL_nsz00_4849);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_24722;

												BgL_auxz00_24722 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24722, BgL_sz00_4835);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1493z00_4851)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1493z00_4851), CDR(BgL_val1493z00_4851));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1493z00_4851;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3763> */
	obj_t BGl_zc3exitza33763ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17629,
		obj_t BgL_nsz00_17628)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1494z00_4857;

			if (SET_EXIT(BgL_an_exit1494z00_4857))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1494z00_4857 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1494z00_4857, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1495z00_4858;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_14771;

								BgL_savedzd2bpzd2_14771 =
									VECTOR_REF(BgL_nsz00_17628, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17628,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14778;

									BgL_fz00_14778 = BgL_runz00_17629;
								BgL_recz00_14777:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_14779;

										BgL_rz00_14779 =
											PROCEDURE_ENTRY(BgL_fz00_14778) (BgL_fz00_14778,
											BgL_nsz00_17628, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_24743;

											if (PROCEDUREP(BgL_rz00_14779))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_14784;

													BgL_arg1893z00_14784 = PROCEDURE_ATTR(BgL_rz00_14779);
													if (STRUCTP(BgL_arg1893z00_14784))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24743 =
																(STRUCT_KEY(BgL_arg1893z00_14784) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24743 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_24743 = ((bool_t) 0);
												}
											if (BgL_testz00_24743)
												{
													obj_t BgL_fz00_24751;

													BgL_fz00_24751 = BgL_rz00_14779;
													BgL_fz00_14778 = BgL_fz00_24751;
													goto BgL_recz00_14777;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17628,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14771);
													BgL_val1495z00_4858 = BgL_rz00_14779;
							}}}}}
							POP_EXIT();
							return BgL_val1495z00_4858;
						}
					}
				}
		}
	}



/* <exit:3757> */
	obj_t BGl_zc3exitza33757ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17632,
		obj_t BgL_sz00_17631, obj_t BgL_runz00_17630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1491z00_4847;

			if (SET_EXIT(BgL_an_exit1491z00_4847))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1491z00_4847 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1491z00_4847, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1492z00_4848;

							BgL_val1492z00_4848 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17630,
								BgL_sz00_17631, BgL_bpz00_17632);
							POP_EXIT();
							return BgL_val1492z00_4848;
						}
					}
				}
		}
	}



/* &run5458 */
	obj_t BGl_z62run5458z62zz__evaluate_compz00(obj_t BgL_envz00_16466,
		obj_t BgL_sz00_16472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16467;
				long BgL_siza7eza7_16468;
				obj_t BgL_valza2za2_16469;
				BgL_ev_absz00_bglt BgL_i1253z00_16470;
				obj_t BgL_bodyz00_16471;

				BgL_iboxesz00_16467 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16466, (int) (((long) 0))));
				BgL_siza7eza7_16468 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16466, (int) (((long) 1))));
				BgL_valza2za2_16469 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16466, (int) (((long) 2))));
				BgL_i1253z00_16470 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16466, (int) (((long) 3))));
				BgL_bodyz00_16471 = PROCEDURE_REF(BgL_envz00_16466, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4860;

					BgL_sz00_4860 = BgL_sz00_16472;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4862;

						BgL_bpz00_4862 = VECTOR_REF(BgL_sz00_4860, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4860,
							BgL_iboxesz00_16467, BgL_bpz00_4862);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4860,
							BgL_valza2za2_16469,
							((long) CINT(BgL_bpz00_4862) + BgL_siza7eza7_16468));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4864;
							obj_t BgL_wherez00_4865;
							obj_t BgL_locz00_4866;

							BgL_z12denvz12_4864 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4865 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16470))->BgL_wherez00);
							BgL_locz00_4866 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16470))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4864, BgL_wherez00_4865,
									BgL_locz00_4866);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4867;

									BgL_za2za2resza2za2z00_4867 =
										PROCEDURE_ENTRY(BgL_bodyz00_16471) (BgL_bodyz00_16471,
										BgL_sz00_4860, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4864);
									return BgL_za2za2resza2za2z00_4867;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3594> */
	obj_t BGl_z62zc3anonymousza33594ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16473, obj_t BgL_sz00_16477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16474;
				obj_t BgL_bodyz00_16475;
				long BgL_siza7ezd2framez75_16476;

				BgL_i1253z00_16474 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16473, (int) (((long) 0))));
				BgL_bodyz00_16475 = PROCEDURE_REF(BgL_envz00_16473, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16476 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16473, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4493;

					BgL_sz00_4493 = BgL_sz00_16477;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4495;

						BgL_bpz00_4495 = VECTOR_REF(BgL_sz00_4493, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16187;

								BgL_runz00_16187 =
									MAKE_FX_PROCEDURE(BGl_z62run5460z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16187,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16474));
								PROCEDURE_SET(BgL_runz00_16187,
									(int) (((long) 1)), BgL_bodyz00_16475);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16188;

									BgL_mainz00_16188 =
										MAKE_VA_PROCEDURE(BGl_z62main5459z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16474));
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 1)), BgL_bodyz00_16475);
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 2)), BgL_runz00_16187);
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16476));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13945;

										BgL_objz00_13945 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16187, BgL_objz00_13945);
										BgL_objz00_13945;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3595z00_4498;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3596z00_4499;

											BgL_arg3596z00_4499 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16474))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13949;

												BgL_newz00_13949 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24824;

													BgL_auxz00_24824 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13949, BgL_auxz00_24824,
														BgL_arg3596z00_4499);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24829;
													int BgL_auxz00_24827;

													BgL_auxz00_24829 = BINT(BgL_siza7ezd2framez75_16476);
													BgL_auxz00_24827 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13949, BgL_auxz00_24827,
														BgL_auxz00_24829);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24832;

													BgL_auxz00_24832 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13949, BgL_auxz00_24832,
														BgL_runz00_16187);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24837;
													int BgL_auxz00_24835;

													BgL_auxz00_24837 = BINT(((long) -4));
													BgL_auxz00_24835 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13949, BgL_auxz00_24835,
														BgL_auxz00_24837);
												}
												BgL_arg3595z00_4498 = BgL_newz00_13949;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16188, BgL_arg3595z00_4498);
										BgL_arg3595z00_4498;
									}
									return BgL_mainz00_16188;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5459 */
	obj_t BGl_z62main5459z62zz__evaluate_compz00(obj_t BgL_envz00_16478,
		obj_t BgL_bz00_16483, obj_t BgL_cz00_16484, obj_t BgL_dz00_16485,
		obj_t BgL_lastz00_16486)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16481;
				long BgL_siza7ezd2framez75_16482;

				BgL_runz00_16481 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16478, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16482 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16478, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4500;
					obj_t BgL_cz00_4501;
					obj_t BgL_dz00_4502;
					obj_t BgL_lastz00_4503;

					BgL_bz00_4500 = BgL_bz00_16483;
					BgL_cz00_4501 = BgL_cz00_16484;
					BgL_dz00_4502 = BgL_dz00_16485;
					BgL_lastz00_4503 = BgL_lastz00_16486;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4505;

						BgL_sz00_4505 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4506;

							BgL_bpz00_4506 = VECTOR_REF(BgL_sz00_4505, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_24850;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13862;

									BgL_arg1902z00_13862 = VECTOR_LENGTH(BgL_sz00_4505);
									BgL_testz00_24850 =
										(
										((long) CINT(BgL_bpz00_4506) +
											BgL_siza7ezd2framez75_16482) <
										(long) (BgL_arg1902z00_13862));
								}
								if (BgL_testz00_24850)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3599z00_4508;

											BgL_arg3599z00_4508 =
												((long) CINT(BgL_bpz00_4506) + ((long) 0));
											VECTOR_SET(BgL_sz00_4505,
												(int) (BgL_arg3599z00_4508), BgL_bz00_4500);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3600z00_4509;

											BgL_arg3600z00_4509 =
												((long) CINT(BgL_bpz00_4506) + ((long) 1));
											VECTOR_SET(BgL_sz00_4505,
												(int) (BgL_arg3600z00_4509), BgL_cz00_4501);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3601z00_4510;

											BgL_arg3601z00_4510 =
												((long) CINT(BgL_bpz00_4506) + ((long) 2));
											VECTOR_SET(BgL_sz00_4505,
												(int) (BgL_arg3601z00_4510), BgL_dz00_4502);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3602z00_4511;

											BgL_arg3602z00_4511 =
												((long) CINT(BgL_bpz00_4506) + ((long) 3));
											VECTOR_SET(BgL_sz00_4505,
												(int) (BgL_arg3602z00_4511), BgL_lastz00_4503);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1448z00_4512;

											BgL_val1448z00_4512 =
												BGl_zc3exitza33606ze3z83zz__evaluate_compz00
												(BgL_bpz00_4506, BgL_sz00_4505, BgL_runz00_16481);
											VECTOR_SET(BgL_sz00_4505, (int) (((long) 0)),
												BgL_bpz00_4506);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1448z00_4512)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1448z00_4512), CDR(BgL_val1448z00_4512));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1448z00_4512;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4519;

										BgL_nsz00_4519 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4519,
											(int) (((long) 1)), BgL_sz00_4505);
										VECTOR_SET(BgL_nsz00_4519,
											(int) (((long) 2)), BgL_bz00_4500);
										VECTOR_SET(BgL_nsz00_4519,
											(int) (((long) 3)), BgL_cz00_4501);
										VECTOR_SET(BgL_nsz00_4519,
											(int) (((long) 4)), BgL_dz00_4502);
										VECTOR_SET(BgL_nsz00_4519,
											(int) (((long) 5)), BgL_lastz00_4503);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_24892;

											BgL_auxz00_24892 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24892, BgL_nsz00_4519);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1451z00_4521;

											BgL_val1451z00_4521 =
												BGl_zc3exitza33612ze3z83zz__evaluate_compz00
												(BgL_runz00_16481, BgL_nsz00_4519);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_24896;

												BgL_auxz00_24896 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24896, BgL_sz00_4505);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1451z00_4521)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1451z00_4521), CDR(BgL_val1451z00_4521));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1451z00_4521;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3612> */
	obj_t BGl_zc3exitza33612ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17624,
		obj_t BgL_nsz00_17623)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1452z00_4527;

			if (SET_EXIT(BgL_an_exit1452z00_4527))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1452z00_4527 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1452z00_4527, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1453z00_4528;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13917;

								BgL_savedzd2bpzd2_13917 =
									VECTOR_REF(BgL_nsz00_17623, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17623,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13924;

									BgL_fz00_13924 = BgL_runz00_17624;
								BgL_recz00_13923:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13925;

										BgL_rz00_13925 =
											PROCEDURE_ENTRY(BgL_fz00_13924) (BgL_fz00_13924,
											BgL_nsz00_17623, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_24917;

											if (PROCEDUREP(BgL_rz00_13925))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13930;

													BgL_arg1893z00_13930 = PROCEDURE_ATTR(BgL_rz00_13925);
													if (STRUCTP(BgL_arg1893z00_13930))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24917 =
																(STRUCT_KEY(BgL_arg1893z00_13930) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_24917 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_24917 = ((bool_t) 0);
												}
											if (BgL_testz00_24917)
												{
													obj_t BgL_fz00_24925;

													BgL_fz00_24925 = BgL_rz00_13925;
													BgL_fz00_13924 = BgL_fz00_24925;
													goto BgL_recz00_13923;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17623,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13917);
													BgL_val1453z00_4528 = BgL_rz00_13925;
							}}}}}
							POP_EXIT();
							return BgL_val1453z00_4528;
						}
					}
				}
		}
	}



/* <exit:3606> */
	obj_t BGl_zc3exitza33606ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17627,
		obj_t BgL_sz00_17626, obj_t BgL_runz00_17625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1449z00_4517;

			if (SET_EXIT(BgL_an_exit1449z00_4517))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1449z00_4517 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1449z00_4517, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1450z00_4518;

							BgL_val1450z00_4518 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17625,
								BgL_sz00_17626, BgL_bpz00_17627);
							POP_EXIT();
							return BgL_val1450z00_4518;
						}
					}
				}
		}
	}



/* &run5460 */
	obj_t BGl_z62run5460z62zz__evaluate_compz00(obj_t BgL_envz00_16487,
		obj_t BgL_sz00_16490)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16488;
				obj_t BgL_bodyz00_16489;

				BgL_i1253z00_16488 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16487, (int) (((long) 0))));
				BgL_bodyz00_16489 = PROCEDURE_REF(BgL_envz00_16487, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4530;

					BgL_sz00_4530 = BgL_sz00_16490;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4532;

						BgL_bpz00_4532 = VECTOR_REF(BgL_sz00_4530, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4533;
							obj_t BgL_wherez00_4534;
							obj_t BgL_locz00_4535;

							BgL_z12denvz12_4533 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4534 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16488))->BgL_wherez00);
							BgL_locz00_4535 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16488))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4533, BgL_wherez00_4534,
									BgL_locz00_4535);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4536;

									BgL_za2za2resza2za2z00_4536 =
										PROCEDURE_ENTRY(BgL_bodyz00_16489) (BgL_bodyz00_16489,
										BgL_sz00_4530, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4533);
									return BgL_za2za2resza2za2z00_4536;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3614> */
	obj_t BGl_z62zc3anonymousza33614ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16491, obj_t BgL_sz00_16496)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16492;
				BgL_ev_absz00_bglt BgL_i1253z00_16493;
				obj_t BgL_bodyz00_16494;
				long BgL_siza7ezd2framez75_16495;

				BgL_iboxesz00_16492 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16491, (int) (((long) 0))));
				BgL_i1253z00_16493 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16491, (int) (((long) 1))));
				BgL_bodyz00_16494 = PROCEDURE_REF(BgL_envz00_16491, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16495 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16491, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4538;

					BgL_sz00_4538 = BgL_sz00_16496;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4540;

						BgL_bpz00_4540 = VECTOR_REF(BgL_sz00_4538, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16184;

								BgL_runz00_16184 =
									MAKE_FX_PROCEDURE(BGl_z62run5462z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16184,
									(int) (((long) 0)), BgL_iboxesz00_16492);
								PROCEDURE_SET(BgL_runz00_16184,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16493));
								PROCEDURE_SET(BgL_runz00_16184,
									(int) (((long) 2)), BgL_bodyz00_16494);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16185;

									BgL_mainz00_16185 =
										MAKE_VA_PROCEDURE(BGl_z62main5461z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 0)), BgL_iboxesz00_16492);
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16493));
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 2)), BgL_bodyz00_16494);
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 3)), BgL_runz00_16184);
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16495));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_14063;

										BgL_objz00_14063 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16184, BgL_objz00_14063);
										BgL_objz00_14063;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3615z00_4543;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3616z00_4544;

											BgL_arg3616z00_4544 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16493))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_14067;

												BgL_newz00_14067 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_24992;

													BgL_auxz00_24992 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14067, BgL_auxz00_24992,
														BgL_arg3616z00_4544);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_24997;
													int BgL_auxz00_24995;

													BgL_auxz00_24997 = BINT(BgL_siza7ezd2framez75_16495);
													BgL_auxz00_24995 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14067, BgL_auxz00_24995,
														BgL_auxz00_24997);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25000;

													BgL_auxz00_25000 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14067, BgL_auxz00_25000,
														BgL_runz00_16184);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25005;
													int BgL_auxz00_25003;

													BgL_auxz00_25005 = BINT(((long) -4));
													BgL_auxz00_25003 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14067, BgL_auxz00_25003,
														BgL_auxz00_25005);
												}
												BgL_arg3615z00_4543 = BgL_newz00_14067;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16185, BgL_arg3615z00_4543);
										BgL_arg3615z00_4543;
									}
									return BgL_mainz00_16185;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5461 */
	obj_t BGl_z62main5461z62zz__evaluate_compz00(obj_t BgL_envz00_16497,
		obj_t BgL_bz00_16503, obj_t BgL_cz00_16504, obj_t BgL_dz00_16505,
		obj_t BgL_lastz00_16506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16501;
				long BgL_siza7ezd2framez75_16502;

				BgL_runz00_16501 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16497, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16502 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16497, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4545;
					obj_t BgL_cz00_4546;
					obj_t BgL_dz00_4547;
					obj_t BgL_lastz00_4548;

					BgL_bz00_4545 = BgL_bz00_16503;
					BgL_cz00_4546 = BgL_cz00_16504;
					BgL_dz00_4547 = BgL_dz00_16505;
					BgL_lastz00_4548 = BgL_lastz00_16506;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4550;

						BgL_sz00_4550 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4551;

							BgL_bpz00_4551 = VECTOR_REF(BgL_sz00_4550, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_25018;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13980;

									BgL_arg1902z00_13980 = VECTOR_LENGTH(BgL_sz00_4550);
									BgL_testz00_25018 =
										(
										((long) CINT(BgL_bpz00_4551) +
											BgL_siza7ezd2framez75_16502) <
										(long) (BgL_arg1902z00_13980));
								}
								if (BgL_testz00_25018)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3619z00_4553;

											BgL_arg3619z00_4553 =
												((long) CINT(BgL_bpz00_4551) + ((long) 0));
											VECTOR_SET(BgL_sz00_4550,
												(int) (BgL_arg3619z00_4553), BgL_bz00_4545);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3620z00_4554;

											BgL_arg3620z00_4554 =
												((long) CINT(BgL_bpz00_4551) + ((long) 1));
											VECTOR_SET(BgL_sz00_4550,
												(int) (BgL_arg3620z00_4554), BgL_cz00_4546);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3621z00_4555;

											BgL_arg3621z00_4555 =
												((long) CINT(BgL_bpz00_4551) + ((long) 2));
											VECTOR_SET(BgL_sz00_4550,
												(int) (BgL_arg3621z00_4555), BgL_dz00_4547);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3622z00_4556;

											BgL_arg3622z00_4556 =
												((long) CINT(BgL_bpz00_4551) + ((long) 3));
											VECTOR_SET(BgL_sz00_4550,
												(int) (BgL_arg3622z00_4556), BgL_lastz00_4548);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1454z00_4557;

											BgL_val1454z00_4557 =
												BGl_zc3exitza33626ze3z83zz__evaluate_compz00
												(BgL_bpz00_4551, BgL_sz00_4550, BgL_runz00_16501);
											VECTOR_SET(BgL_sz00_4550, (int) (((long) 0)),
												BgL_bpz00_4551);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1454z00_4557)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1454z00_4557), CDR(BgL_val1454z00_4557));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1454z00_4557;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4564;

										BgL_nsz00_4564 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4564,
											(int) (((long) 1)), BgL_sz00_4550);
										VECTOR_SET(BgL_nsz00_4564,
											(int) (((long) 2)), BgL_bz00_4545);
										VECTOR_SET(BgL_nsz00_4564,
											(int) (((long) 3)), BgL_cz00_4546);
										VECTOR_SET(BgL_nsz00_4564,
											(int) (((long) 4)), BgL_dz00_4547);
										VECTOR_SET(BgL_nsz00_4564,
											(int) (((long) 5)), BgL_lastz00_4548);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_25060;

											BgL_auxz00_25060 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25060, BgL_nsz00_4564);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1457z00_4566;

											BgL_val1457z00_4566 =
												BGl_zc3exitza33632ze3z83zz__evaluate_compz00
												(BgL_runz00_16501, BgL_nsz00_4564);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_25064;

												BgL_auxz00_25064 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25064, BgL_sz00_4550);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1457z00_4566)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1457z00_4566), CDR(BgL_val1457z00_4566));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1457z00_4566;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3632> */
	obj_t BGl_zc3exitza33632ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17619,
		obj_t BgL_nsz00_17618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1458z00_4572;

			if (SET_EXIT(BgL_an_exit1458z00_4572))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1458z00_4572 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1458z00_4572, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1459z00_4573;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_14035;

								BgL_savedzd2bpzd2_14035 =
									VECTOR_REF(BgL_nsz00_17618, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17618,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14042;

									BgL_fz00_14042 = BgL_runz00_17619;
								BgL_recz00_14041:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_14043;

										BgL_rz00_14043 =
											PROCEDURE_ENTRY(BgL_fz00_14042) (BgL_fz00_14042,
											BgL_nsz00_17618, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_25085;

											if (PROCEDUREP(BgL_rz00_14043))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_14048;

													BgL_arg1893z00_14048 = PROCEDURE_ATTR(BgL_rz00_14043);
													if (STRUCTP(BgL_arg1893z00_14048))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25085 =
																(STRUCT_KEY(BgL_arg1893z00_14048) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25085 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_25085 = ((bool_t) 0);
												}
											if (BgL_testz00_25085)
												{
													obj_t BgL_fz00_25093;

													BgL_fz00_25093 = BgL_rz00_14043;
													BgL_fz00_14042 = BgL_fz00_25093;
													goto BgL_recz00_14041;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17618,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14035);
													BgL_val1459z00_4573 = BgL_rz00_14043;
							}}}}}
							POP_EXIT();
							return BgL_val1459z00_4573;
						}
					}
				}
		}
	}



/* <exit:3626> */
	obj_t BGl_zc3exitza33626ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17622,
		obj_t BgL_sz00_17621, obj_t BgL_runz00_17620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1455z00_4562;

			if (SET_EXIT(BgL_an_exit1455z00_4562))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1455z00_4562 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1455z00_4562, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1456z00_4563;

							BgL_val1456z00_4563 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17620,
								BgL_sz00_17621, BgL_bpz00_17622);
							POP_EXIT();
							return BgL_val1456z00_4563;
						}
					}
				}
		}
	}



/* &run5462 */
	obj_t BGl_z62run5462z62zz__evaluate_compz00(obj_t BgL_envz00_16507,
		obj_t BgL_sz00_16511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16508;
				BgL_ev_absz00_bglt BgL_i1253z00_16509;
				obj_t BgL_bodyz00_16510;

				BgL_iboxesz00_16508 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 0))));
				BgL_i1253z00_16509 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 1))));
				BgL_bodyz00_16510 = PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4575;

					BgL_sz00_4575 = BgL_sz00_16511;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4577;

						BgL_bpz00_4577 = VECTOR_REF(BgL_sz00_4575, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4575,
							BgL_iboxesz00_16508, BgL_bpz00_4577);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4578;
							obj_t BgL_wherez00_4579;
							obj_t BgL_locz00_4580;

							BgL_z12denvz12_4578 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4579 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16509))->BgL_wherez00);
							BgL_locz00_4580 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16509))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4578, BgL_wherez00_4579,
									BgL_locz00_4580);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4581;

									BgL_za2za2resza2za2z00_4581 =
										PROCEDURE_ENTRY(BgL_bodyz00_16510) (BgL_bodyz00_16510,
										BgL_sz00_4575, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4578);
									return BgL_za2za2resza2za2z00_4581;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3636> */
	obj_t BGl_z62zc3anonymousza33636ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16512, obj_t BgL_sz00_16518)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16513;
				long BgL_siza7eza7_16514;
				BgL_ev_absz00_bglt BgL_i1253z00_16515;
				obj_t BgL_bodyz00_16516;
				long BgL_siza7ezd2framez75_16517;

				BgL_ifreesz00_16513 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16512, (int) (((long) 0))));
				BgL_siza7eza7_16514 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16512, (int) (((long) 1))));
				BgL_i1253z00_16515 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16512, (int) (((long) 2))));
				BgL_bodyz00_16516 = PROCEDURE_REF(BgL_envz00_16512, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16517 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16512, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4585;

					BgL_sz00_4585 = BgL_sz00_16518;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4587;

						BgL_bpz00_4587 = VECTOR_REF(BgL_sz00_4585, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4588;

							BgL_valza2za2_4588 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4585,
								BgL_bpz00_4587, BgL_ifreesz00_16513);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16181;

								BgL_runz00_16181 =
									MAKE_FX_PROCEDURE(BGl_z62run5464z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16181,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16514));
								PROCEDURE_SET(BgL_runz00_16181,
									(int) (((long) 1)), BgL_valza2za2_4588);
								PROCEDURE_SET(BgL_runz00_16181,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_16515));
								PROCEDURE_SET(BgL_runz00_16181,
									(int) (((long) 3)), BgL_bodyz00_16516);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16182;

									BgL_mainz00_16182 =
										MAKE_VA_PROCEDURE(BGl_z62main5463z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16514));
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 1)), BgL_valza2za2_4588);
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_16515));
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 3)), BgL_bodyz00_16516);
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 4)), BgL_runz00_16181);
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16517));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_14188;

										BgL_objz00_14188 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16181, BgL_objz00_14188);
										BgL_objz00_14188;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3637z00_4591;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3638z00_4592;

											BgL_arg3638z00_4592 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16515))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_14192;

												BgL_newz00_14192 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25174;

													BgL_auxz00_25174 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14192, BgL_auxz00_25174,
														BgL_arg3638z00_4592);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25179;
													int BgL_auxz00_25177;

													BgL_auxz00_25179 = BINT(BgL_siza7ezd2framez75_16517);
													BgL_auxz00_25177 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14192, BgL_auxz00_25177,
														BgL_auxz00_25179);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25182;

													BgL_auxz00_25182 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14192, BgL_auxz00_25182,
														BgL_runz00_16181);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25187;
													int BgL_auxz00_25185;

													BgL_auxz00_25187 = BINT(((long) -4));
													BgL_auxz00_25185 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14192, BgL_auxz00_25185,
														BgL_auxz00_25187);
												}
												BgL_arg3637z00_4591 = BgL_newz00_14192;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16182, BgL_arg3637z00_4591);
										BgL_arg3637z00_4591;
									}
									return BgL_mainz00_16182;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5463 */
	obj_t BGl_z62main5463z62zz__evaluate_compz00(obj_t BgL_envz00_16519,
		obj_t BgL_bz00_16526, obj_t BgL_cz00_16527, obj_t BgL_dz00_16528,
		obj_t BgL_lastz00_16529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16524;
				long BgL_siza7ezd2framez75_16525;

				BgL_runz00_16524 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16519, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16525 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16519, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4593;
					obj_t BgL_cz00_4594;
					obj_t BgL_dz00_4595;
					obj_t BgL_lastz00_4596;

					BgL_bz00_4593 = BgL_bz00_16526;
					BgL_cz00_4594 = BgL_cz00_16527;
					BgL_dz00_4595 = BgL_dz00_16528;
					BgL_lastz00_4596 = BgL_lastz00_16529;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4598;

						BgL_sz00_4598 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4599;

							BgL_bpz00_4599 = VECTOR_REF(BgL_sz00_4598, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_25200;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_14105;

									BgL_arg1902z00_14105 = VECTOR_LENGTH(BgL_sz00_4598);
									BgL_testz00_25200 =
										(
										((long) CINT(BgL_bpz00_4599) +
											BgL_siza7ezd2framez75_16525) <
										(long) (BgL_arg1902z00_14105));
								}
								if (BgL_testz00_25200)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3641z00_4601;

											BgL_arg3641z00_4601 =
												((long) CINT(BgL_bpz00_4599) + ((long) 0));
											VECTOR_SET(BgL_sz00_4598,
												(int) (BgL_arg3641z00_4601), BgL_bz00_4593);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3642z00_4602;

											BgL_arg3642z00_4602 =
												((long) CINT(BgL_bpz00_4599) + ((long) 1));
											VECTOR_SET(BgL_sz00_4598,
												(int) (BgL_arg3642z00_4602), BgL_cz00_4594);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3643z00_4603;

											BgL_arg3643z00_4603 =
												((long) CINT(BgL_bpz00_4599) + ((long) 2));
											VECTOR_SET(BgL_sz00_4598,
												(int) (BgL_arg3643z00_4603), BgL_dz00_4595);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3644z00_4604;

											BgL_arg3644z00_4604 =
												((long) CINT(BgL_bpz00_4599) + ((long) 3));
											VECTOR_SET(BgL_sz00_4598,
												(int) (BgL_arg3644z00_4604), BgL_lastz00_4596);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1460z00_4605;

											BgL_val1460z00_4605 =
												BGl_zc3exitza33648ze3z83zz__evaluate_compz00
												(BgL_bpz00_4599, BgL_sz00_4598, BgL_runz00_16524);
											VECTOR_SET(BgL_sz00_4598, (int) (((long) 0)),
												BgL_bpz00_4599);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1460z00_4605)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1460z00_4605), CDR(BgL_val1460z00_4605));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1460z00_4605;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4612;

										BgL_nsz00_4612 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4612,
											(int) (((long) 1)), BgL_sz00_4598);
										VECTOR_SET(BgL_nsz00_4612,
											(int) (((long) 2)), BgL_bz00_4593);
										VECTOR_SET(BgL_nsz00_4612,
											(int) (((long) 3)), BgL_cz00_4594);
										VECTOR_SET(BgL_nsz00_4612,
											(int) (((long) 4)), BgL_dz00_4595);
										VECTOR_SET(BgL_nsz00_4612,
											(int) (((long) 5)), BgL_lastz00_4596);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_25242;

											BgL_auxz00_25242 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25242, BgL_nsz00_4612);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1463z00_4614;

											BgL_val1463z00_4614 =
												BGl_zc3exitza33654ze3z83zz__evaluate_compz00
												(BgL_runz00_16524, BgL_nsz00_4612);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_25246;

												BgL_auxz00_25246 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25246, BgL_sz00_4598);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1463z00_4614)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1463z00_4614), CDR(BgL_val1463z00_4614));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1463z00_4614;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3654> */
	obj_t BGl_zc3exitza33654ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17614,
		obj_t BgL_nsz00_17613)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1464z00_4620;

			if (SET_EXIT(BgL_an_exit1464z00_4620))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1464z00_4620 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1464z00_4620, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1465z00_4621;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_14160;

								BgL_savedzd2bpzd2_14160 =
									VECTOR_REF(BgL_nsz00_17613, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17613,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14167;

									BgL_fz00_14167 = BgL_runz00_17614;
								BgL_recz00_14166:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_14168;

										BgL_rz00_14168 =
											PROCEDURE_ENTRY(BgL_fz00_14167) (BgL_fz00_14167,
											BgL_nsz00_17613, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_25267;

											if (PROCEDUREP(BgL_rz00_14168))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_14173;

													BgL_arg1893z00_14173 = PROCEDURE_ATTR(BgL_rz00_14168);
													if (STRUCTP(BgL_arg1893z00_14173))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25267 =
																(STRUCT_KEY(BgL_arg1893z00_14173) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25267 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_25267 = ((bool_t) 0);
												}
											if (BgL_testz00_25267)
												{
													obj_t BgL_fz00_25275;

													BgL_fz00_25275 = BgL_rz00_14168;
													BgL_fz00_14167 = BgL_fz00_25275;
													goto BgL_recz00_14166;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17613,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14160);
													BgL_val1465z00_4621 = BgL_rz00_14168;
							}}}}}
							POP_EXIT();
							return BgL_val1465z00_4621;
						}
					}
				}
		}
	}



/* <exit:3648> */
	obj_t BGl_zc3exitza33648ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17617,
		obj_t BgL_sz00_17616, obj_t BgL_runz00_17615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1461z00_4610;

			if (SET_EXIT(BgL_an_exit1461z00_4610))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1461z00_4610 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1461z00_4610, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1462z00_4611;

							BgL_val1462z00_4611 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17615,
								BgL_sz00_17616, BgL_bpz00_17617);
							POP_EXIT();
							return BgL_val1462z00_4611;
						}
					}
				}
		}
	}



/* &run5464 */
	obj_t BGl_z62run5464z62zz__evaluate_compz00(obj_t BgL_envz00_16530,
		obj_t BgL_sz00_16535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_16531;
				obj_t BgL_valza2za2_16532;
				BgL_ev_absz00_bglt BgL_i1253z00_16533;
				obj_t BgL_bodyz00_16534;

				BgL_siza7eza7_16531 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16530, (int) (((long) 0))));
				BgL_valza2za2_16532 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16530, (int) (((long) 1))));
				BgL_i1253z00_16533 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16530, (int) (((long) 2))));
				BgL_bodyz00_16534 = PROCEDURE_REF(BgL_envz00_16530, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4623;

					BgL_sz00_4623 = BgL_sz00_16535;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4625;

						BgL_bpz00_4625 = VECTOR_REF(BgL_sz00_4623, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4623,
							BgL_valza2za2_16532,
							((long) CINT(BgL_bpz00_4625) + BgL_siza7eza7_16531));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4627;
							obj_t BgL_wherez00_4628;
							obj_t BgL_locz00_4629;

							BgL_z12denvz12_4627 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4628 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16533))->BgL_wherez00);
							BgL_locz00_4629 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16533))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4627, BgL_wherez00_4628,
									BgL_locz00_4629);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4630;

									BgL_za2za2resza2za2z00_4630 =
										PROCEDURE_ENTRY(BgL_bodyz00_16534) (BgL_bodyz00_16534,
										BgL_sz00_4623, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4627);
									return BgL_za2za2resza2za2z00_4630;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3657> */
	obj_t BGl_z62zc3anonymousza33657ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16536, obj_t BgL_sz00_16543)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16537;
				obj_t BgL_iboxesz00_16538;
				long BgL_siza7eza7_16539;
				BgL_ev_absz00_bglt BgL_i1253z00_16540;
				obj_t BgL_bodyz00_16541;
				long BgL_siza7ezd2framez75_16542;

				BgL_ifreesz00_16537 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 0))));
				BgL_iboxesz00_16538 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 1))));
				BgL_siza7eza7_16539 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 2))));
				BgL_i1253z00_16540 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 3))));
				BgL_bodyz00_16541 = PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16542 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4632;

					BgL_sz00_4632 = BgL_sz00_16543;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4634;

						BgL_bpz00_4634 = VECTOR_REF(BgL_sz00_4632, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4635;

							BgL_valza2za2_4635 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4632,
								BgL_bpz00_4634, BgL_ifreesz00_16537);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16178;

								BgL_runz00_16178 =
									MAKE_FX_PROCEDURE(BGl_z62run5466z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 0)), BgL_iboxesz00_16538);
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16539));
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 2)), BgL_valza2za2_4635);
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_16540));
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 4)), BgL_bodyz00_16541);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16179;

									BgL_mainz00_16179 =
										MAKE_VA_PROCEDURE(BGl_z62main5465z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 0)), BgL_iboxesz00_16538);
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16539));
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 2)), BgL_valza2za2_4635);
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_16540));
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 4)), BgL_bodyz00_16541);
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 5)), BgL_runz00_16178);
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16542));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_14309;

										BgL_objz00_14309 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16178, BgL_objz00_14309);
										BgL_objz00_14309;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3658z00_4638;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3659z00_4639;

											BgL_arg3659z00_4639 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16540))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_14313;

												BgL_newz00_14313 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25368;

													BgL_auxz00_25368 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14313, BgL_auxz00_25368,
														BgL_arg3659z00_4639);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25373;
													int BgL_auxz00_25371;

													BgL_auxz00_25373 = BINT(BgL_siza7ezd2framez75_16542);
													BgL_auxz00_25371 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14313, BgL_auxz00_25371,
														BgL_auxz00_25373);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25376;

													BgL_auxz00_25376 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14313, BgL_auxz00_25376,
														BgL_runz00_16178);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25381;
													int BgL_auxz00_25379;

													BgL_auxz00_25381 = BINT(((long) -4));
													BgL_auxz00_25379 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14313, BgL_auxz00_25379,
														BgL_auxz00_25381);
												}
												BgL_arg3658z00_4638 = BgL_newz00_14313;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16179, BgL_arg3658z00_4638);
										BgL_arg3658z00_4638;
									}
									return BgL_mainz00_16179;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5465 */
	obj_t BGl_z62main5465z62zz__evaluate_compz00(obj_t BgL_envz00_16544,
		obj_t BgL_bz00_16552, obj_t BgL_cz00_16553, obj_t BgL_dz00_16554,
		obj_t BgL_lastz00_16555)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16550;
				long BgL_siza7ezd2framez75_16551;

				BgL_runz00_16550 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16544, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16551 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16544, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4640;
					obj_t BgL_cz00_4641;
					obj_t BgL_dz00_4642;
					obj_t BgL_lastz00_4643;

					BgL_bz00_4640 = BgL_bz00_16552;
					BgL_cz00_4641 = BgL_cz00_16553;
					BgL_dz00_4642 = BgL_dz00_16554;
					BgL_lastz00_4643 = BgL_lastz00_16555;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4645;

						BgL_sz00_4645 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4646;

							BgL_bpz00_4646 = VECTOR_REF(BgL_sz00_4645, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_25394;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_14226;

									BgL_arg1902z00_14226 = VECTOR_LENGTH(BgL_sz00_4645);
									BgL_testz00_25394 =
										(
										((long) CINT(BgL_bpz00_4646) +
											BgL_siza7ezd2framez75_16551) <
										(long) (BgL_arg1902z00_14226));
								}
								if (BgL_testz00_25394)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3662z00_4648;

											BgL_arg3662z00_4648 =
												((long) CINT(BgL_bpz00_4646) + ((long) 0));
											VECTOR_SET(BgL_sz00_4645,
												(int) (BgL_arg3662z00_4648), BgL_bz00_4640);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3663z00_4649;

											BgL_arg3663z00_4649 =
												((long) CINT(BgL_bpz00_4646) + ((long) 1));
											VECTOR_SET(BgL_sz00_4645,
												(int) (BgL_arg3663z00_4649), BgL_cz00_4641);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3664z00_4650;

											BgL_arg3664z00_4650 =
												((long) CINT(BgL_bpz00_4646) + ((long) 2));
											VECTOR_SET(BgL_sz00_4645,
												(int) (BgL_arg3664z00_4650), BgL_dz00_4642);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3665z00_4651;

											BgL_arg3665z00_4651 =
												((long) CINT(BgL_bpz00_4646) + ((long) 3));
											VECTOR_SET(BgL_sz00_4645,
												(int) (BgL_arg3665z00_4651), BgL_lastz00_4643);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1466z00_4652;

											BgL_val1466z00_4652 =
												BGl_zc3exitza33669ze3z83zz__evaluate_compz00
												(BgL_bpz00_4646, BgL_sz00_4645, BgL_runz00_16550);
											VECTOR_SET(BgL_sz00_4645, (int) (((long) 0)),
												BgL_bpz00_4646);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1466z00_4652)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1466z00_4652), CDR(BgL_val1466z00_4652));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1466z00_4652;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4659;

										BgL_nsz00_4659 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4659,
											(int) (((long) 1)), BgL_sz00_4645);
										VECTOR_SET(BgL_nsz00_4659,
											(int) (((long) 2)), BgL_bz00_4640);
										VECTOR_SET(BgL_nsz00_4659,
											(int) (((long) 3)), BgL_cz00_4641);
										VECTOR_SET(BgL_nsz00_4659,
											(int) (((long) 4)), BgL_dz00_4642);
										VECTOR_SET(BgL_nsz00_4659,
											(int) (((long) 5)), BgL_lastz00_4643);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_25436;

											BgL_auxz00_25436 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25436, BgL_nsz00_4659);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1469z00_4661;

											BgL_val1469z00_4661 =
												BGl_zc3exitza33675ze3z83zz__evaluate_compz00
												(BgL_runz00_16550, BgL_nsz00_4659);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_25440;

												BgL_auxz00_25440 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25440, BgL_sz00_4645);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1469z00_4661)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1469z00_4661), CDR(BgL_val1469z00_4661));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1469z00_4661;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3675> */
	obj_t BGl_zc3exitza33675ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17609,
		obj_t BgL_nsz00_17608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1470z00_4667;

			if (SET_EXIT(BgL_an_exit1470z00_4667))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1470z00_4667 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1470z00_4667, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1471z00_4668;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_14281;

								BgL_savedzd2bpzd2_14281 =
									VECTOR_REF(BgL_nsz00_17608, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17608,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14288;

									BgL_fz00_14288 = BgL_runz00_17609;
								BgL_recz00_14287:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_14289;

										BgL_rz00_14289 =
											PROCEDURE_ENTRY(BgL_fz00_14288) (BgL_fz00_14288,
											BgL_nsz00_17608, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_25461;

											if (PROCEDUREP(BgL_rz00_14289))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_14294;

													BgL_arg1893z00_14294 = PROCEDURE_ATTR(BgL_rz00_14289);
													if (STRUCTP(BgL_arg1893z00_14294))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25461 =
																(STRUCT_KEY(BgL_arg1893z00_14294) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25461 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_25461 = ((bool_t) 0);
												}
											if (BgL_testz00_25461)
												{
													obj_t BgL_fz00_25469;

													BgL_fz00_25469 = BgL_rz00_14289;
													BgL_fz00_14288 = BgL_fz00_25469;
													goto BgL_recz00_14287;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17608,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14281);
													BgL_val1471z00_4668 = BgL_rz00_14289;
							}}}}}
							POP_EXIT();
							return BgL_val1471z00_4668;
						}
					}
				}
		}
	}



/* <exit:3669> */
	obj_t BGl_zc3exitza33669ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17612,
		obj_t BgL_sz00_17611, obj_t BgL_runz00_17610)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1467z00_4657;

			if (SET_EXIT(BgL_an_exit1467z00_4657))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1467z00_4657 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1467z00_4657, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1468z00_4658;

							BgL_val1468z00_4658 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17610,
								BgL_sz00_17611, BgL_bpz00_17612);
							POP_EXIT();
							return BgL_val1468z00_4658;
						}
					}
				}
		}
	}



/* &run5466 */
	obj_t BGl_z62run5466z62zz__evaluate_compz00(obj_t BgL_envz00_16556,
		obj_t BgL_sz00_16562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16557;
				long BgL_siza7eza7_16558;
				obj_t BgL_valza2za2_16559;
				BgL_ev_absz00_bglt BgL_i1253z00_16560;
				obj_t BgL_bodyz00_16561;

				BgL_iboxesz00_16557 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16556, (int) (((long) 0))));
				BgL_siza7eza7_16558 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16556, (int) (((long) 1))));
				BgL_valza2za2_16559 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16556, (int) (((long) 2))));
				BgL_i1253z00_16560 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16556, (int) (((long) 3))));
				BgL_bodyz00_16561 = PROCEDURE_REF(BgL_envz00_16556, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4670;

					BgL_sz00_4670 = BgL_sz00_16562;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4672;

						BgL_bpz00_4672 = VECTOR_REF(BgL_sz00_4670, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4670,
							BgL_iboxesz00_16557, BgL_bpz00_4672);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4670,
							BgL_valza2za2_16559,
							((long) CINT(BgL_bpz00_4672) + BgL_siza7eza7_16558));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4674;
							obj_t BgL_wherez00_4675;
							obj_t BgL_locz00_4676;

							BgL_z12denvz12_4674 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4675 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16560))->BgL_wherez00);
							BgL_locz00_4676 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16560))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4674, BgL_wherez00_4675,
									BgL_locz00_4676);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4677;

									BgL_za2za2resza2za2z00_4677 =
										PROCEDURE_ENTRY(BgL_bodyz00_16561) (BgL_bodyz00_16561,
										BgL_sz00_4670, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4674);
									return BgL_za2za2resza2za2z00_4677;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3510> */
	obj_t BGl_z62zc3anonymousza33510ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16563, obj_t BgL_sz00_16567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16564;
				obj_t BgL_bodyz00_16565;
				long BgL_siza7ezd2framez75_16566;

				BgL_i1253z00_16564 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16563, (int) (((long) 0))));
				BgL_bodyz00_16565 = PROCEDURE_REF(BgL_envz00_16563, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16566 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16563, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4311;

					BgL_sz00_4311 = BgL_sz00_16567;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4313;

						BgL_bpz00_4313 = VECTOR_REF(BgL_sz00_4311, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16175;

								BgL_runz00_16175 =
									MAKE_FX_PROCEDURE(BGl_z62run5468z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16175,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16564));
								PROCEDURE_SET(BgL_runz00_16175,
									(int) (((long) 1)), BgL_bodyz00_16565);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16176;

									BgL_mainz00_16176 =
										MAKE_FX_PROCEDURE(BGl_z62main5467z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16564));
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 1)), BgL_bodyz00_16565);
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 2)), BgL_runz00_16175);
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16566));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13482;

										BgL_objz00_13482 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16175, BgL_objz00_13482);
										BgL_objz00_13482;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3511z00_4316;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3512z00_4317;

											BgL_arg3512z00_4317 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16564))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13486;

												BgL_newz00_13486 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25542;

													BgL_auxz00_25542 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13486, BgL_auxz00_25542,
														BgL_arg3512z00_4317);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25547;
													int BgL_auxz00_25545;

													BgL_auxz00_25547 = BINT(BgL_siza7ezd2framez75_16566);
													BgL_auxz00_25545 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13486, BgL_auxz00_25545,
														BgL_auxz00_25547);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25550;

													BgL_auxz00_25550 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13486, BgL_auxz00_25550,
														BgL_runz00_16175);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25555;
													int BgL_auxz00_25553;

													BgL_auxz00_25555 = BINT(((long) 3));
													BgL_auxz00_25553 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13486, BgL_auxz00_25553,
														BgL_auxz00_25555);
												}
												BgL_arg3511z00_4316 = BgL_newz00_13486;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16176, BgL_arg3511z00_4316);
										BgL_arg3511z00_4316;
									}
									return BgL_mainz00_16176;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5467 */
	obj_t BGl_z62main5467z62zz__evaluate_compz00(obj_t BgL_envz00_16568,
		obj_t BgL_bz00_16573, obj_t BgL_cz00_16574, obj_t BgL_dz00_16575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16571;
				long BgL_siza7ezd2framez75_16572;

				BgL_runz00_16571 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16568, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16572 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16568, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4318;
					obj_t BgL_cz00_4319;
					obj_t BgL_dz00_4320;

					BgL_bz00_4318 = BgL_bz00_16573;
					BgL_cz00_4319 = BgL_cz00_16574;
					BgL_dz00_4320 = BgL_dz00_16575;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4322;

						BgL_sz00_4322 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4323;

							BgL_bpz00_4323 = VECTOR_REF(BgL_sz00_4322, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_25568;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13408;

									BgL_arg1902z00_13408 = VECTOR_LENGTH(BgL_sz00_4322);
									BgL_testz00_25568 =
										(
										((long) CINT(BgL_bpz00_4323) +
											BgL_siza7ezd2framez75_16572) <
										(long) (BgL_arg1902z00_13408));
								}
								if (BgL_testz00_25568)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3515z00_4325;

											BgL_arg3515z00_4325 =
												((long) CINT(BgL_bpz00_4323) + ((long) 0));
											VECTOR_SET(BgL_sz00_4322,
												(int) (BgL_arg3515z00_4325), BgL_bz00_4318);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3516z00_4326;

											BgL_arg3516z00_4326 =
												((long) CINT(BgL_bpz00_4323) + ((long) 1));
											VECTOR_SET(BgL_sz00_4322,
												(int) (BgL_arg3516z00_4326), BgL_cz00_4319);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3517z00_4327;

											BgL_arg3517z00_4327 =
												((long) CINT(BgL_bpz00_4323) + ((long) 2));
											VECTOR_SET(BgL_sz00_4322,
												(int) (BgL_arg3517z00_4327), BgL_dz00_4320);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1424z00_4328;

											BgL_val1424z00_4328 =
												BGl_zc3exitza33521ze3z83zz__evaluate_compz00
												(BgL_bpz00_4323, BgL_sz00_4322, BgL_runz00_16571);
											VECTOR_SET(BgL_sz00_4322, (int) (((long) 0)),
												BgL_bpz00_4323);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1424z00_4328)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1424z00_4328), CDR(BgL_val1424z00_4328));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1424z00_4328;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4335;

										BgL_nsz00_4335 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4335,
											(int) (((long) 1)), BgL_sz00_4322);
										VECTOR_SET(BgL_nsz00_4335,
											(int) (((long) 2)), BgL_bz00_4318);
										VECTOR_SET(BgL_nsz00_4335,
											(int) (((long) 3)), BgL_cz00_4319);
										VECTOR_SET(BgL_nsz00_4335,
											(int) (((long) 4)), BgL_dz00_4320);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_25604;

											BgL_auxz00_25604 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25604, BgL_nsz00_4335);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1427z00_4337;

											BgL_val1427z00_4337 =
												BGl_zc3exitza33527ze3z83zz__evaluate_compz00
												(BgL_runz00_16571, BgL_nsz00_4335);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_25608;

												BgL_auxz00_25608 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25608, BgL_sz00_4322);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1427z00_4337)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1427z00_4337), CDR(BgL_val1427z00_4337));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1427z00_4337;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3527> */
	obj_t BGl_zc3exitza33527ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17604,
		obj_t BgL_nsz00_17603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1428z00_4343;

			if (SET_EXIT(BgL_an_exit1428z00_4343))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1428z00_4343 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1428z00_4343, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1429z00_4344;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13454;

								BgL_savedzd2bpzd2_13454 =
									VECTOR_REF(BgL_nsz00_17603, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17603,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13461;

									BgL_fz00_13461 = BgL_runz00_17604;
								BgL_recz00_13460:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13462;

										BgL_rz00_13462 =
											PROCEDURE_ENTRY(BgL_fz00_13461) (BgL_fz00_13461,
											BgL_nsz00_17603, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_25629;

											if (PROCEDUREP(BgL_rz00_13462))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13467;

													BgL_arg1893z00_13467 = PROCEDURE_ATTR(BgL_rz00_13462);
													if (STRUCTP(BgL_arg1893z00_13467))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25629 =
																(STRUCT_KEY(BgL_arg1893z00_13467) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25629 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_25629 = ((bool_t) 0);
												}
											if (BgL_testz00_25629)
												{
													obj_t BgL_fz00_25637;

													BgL_fz00_25637 = BgL_rz00_13462;
													BgL_fz00_13461 = BgL_fz00_25637;
													goto BgL_recz00_13460;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17603,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13454);
													BgL_val1429z00_4344 = BgL_rz00_13462;
							}}}}}
							POP_EXIT();
							return BgL_val1429z00_4344;
						}
					}
				}
		}
	}



/* <exit:3521> */
	obj_t BGl_zc3exitza33521ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17607,
		obj_t BgL_sz00_17606, obj_t BgL_runz00_17605)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1425z00_4333;

			if (SET_EXIT(BgL_an_exit1425z00_4333))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1425z00_4333 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1425z00_4333, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1426z00_4334;

							BgL_val1426z00_4334 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17605,
								BgL_sz00_17606, BgL_bpz00_17607);
							POP_EXIT();
							return BgL_val1426z00_4334;
						}
					}
				}
		}
	}



/* &run5468 */
	obj_t BGl_z62run5468z62zz__evaluate_compz00(obj_t BgL_envz00_16576,
		obj_t BgL_sz00_16579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16577;
				obj_t BgL_bodyz00_16578;

				BgL_i1253z00_16577 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16576, (int) (((long) 0))));
				BgL_bodyz00_16578 = PROCEDURE_REF(BgL_envz00_16576, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4346;

					BgL_sz00_4346 = BgL_sz00_16579;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4348;

						BgL_bpz00_4348 = VECTOR_REF(BgL_sz00_4346, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4349;
							obj_t BgL_wherez00_4350;
							obj_t BgL_locz00_4351;

							BgL_z12denvz12_4349 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4350 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16577))->BgL_wherez00);
							BgL_locz00_4351 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16577))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4349, BgL_wherez00_4350,
									BgL_locz00_4351);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4352;

									BgL_za2za2resza2za2z00_4352 =
										PROCEDURE_ENTRY(BgL_bodyz00_16578) (BgL_bodyz00_16578,
										BgL_sz00_4346, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4349);
									return BgL_za2za2resza2za2z00_4352;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3529> */
	obj_t BGl_z62zc3anonymousza33529ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16580, obj_t BgL_sz00_16585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16581;
				BgL_ev_absz00_bglt BgL_i1253z00_16582;
				obj_t BgL_bodyz00_16583;
				long BgL_siza7ezd2framez75_16584;

				BgL_iboxesz00_16581 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16580, (int) (((long) 0))));
				BgL_i1253z00_16582 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16580, (int) (((long) 1))));
				BgL_bodyz00_16583 = PROCEDURE_REF(BgL_envz00_16580, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16584 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16580, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4354;

					BgL_sz00_4354 = BgL_sz00_16585;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4356;

						BgL_bpz00_4356 = VECTOR_REF(BgL_sz00_4354, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16172;

								BgL_runz00_16172 =
									MAKE_FX_PROCEDURE(BGl_z62run5470z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16172,
									(int) (((long) 0)), BgL_iboxesz00_16581);
								PROCEDURE_SET(BgL_runz00_16172,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16582));
								PROCEDURE_SET(BgL_runz00_16172,
									(int) (((long) 2)), BgL_bodyz00_16583);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16173;

									BgL_mainz00_16173 =
										MAKE_FX_PROCEDURE(BGl_z62main5469z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 0)), BgL_iboxesz00_16581);
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16582));
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 2)), BgL_bodyz00_16583);
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 3)), BgL_runz00_16172);
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16584));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13591;

										BgL_objz00_13591 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16172, BgL_objz00_13591);
										BgL_objz00_13591;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3530z00_4359;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3531z00_4360;

											BgL_arg3531z00_4360 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16582))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13595;

												BgL_newz00_13595 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25704;

													BgL_auxz00_25704 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13595, BgL_auxz00_25704,
														BgL_arg3531z00_4360);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25709;
													int BgL_auxz00_25707;

													BgL_auxz00_25709 = BINT(BgL_siza7ezd2framez75_16584);
													BgL_auxz00_25707 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13595, BgL_auxz00_25707,
														BgL_auxz00_25709);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25712;

													BgL_auxz00_25712 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13595, BgL_auxz00_25712,
														BgL_runz00_16172);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25717;
													int BgL_auxz00_25715;

													BgL_auxz00_25717 = BINT(((long) 3));
													BgL_auxz00_25715 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13595, BgL_auxz00_25715,
														BgL_auxz00_25717);
												}
												BgL_arg3530z00_4359 = BgL_newz00_13595;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16173, BgL_arg3530z00_4359);
										BgL_arg3530z00_4359;
									}
									return BgL_mainz00_16173;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5469 */
	obj_t BGl_z62main5469z62zz__evaluate_compz00(obj_t BgL_envz00_16586,
		obj_t BgL_bz00_16592, obj_t BgL_cz00_16593, obj_t BgL_dz00_16594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16590;
				long BgL_siza7ezd2framez75_16591;

				BgL_runz00_16590 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16586, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16591 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16586, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4361;
					obj_t BgL_cz00_4362;
					obj_t BgL_dz00_4363;

					BgL_bz00_4361 = BgL_bz00_16592;
					BgL_cz00_4362 = BgL_cz00_16593;
					BgL_dz00_4363 = BgL_dz00_16594;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4365;

						BgL_sz00_4365 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4366;

							BgL_bpz00_4366 = VECTOR_REF(BgL_sz00_4365, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_25730;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13517;

									BgL_arg1902z00_13517 = VECTOR_LENGTH(BgL_sz00_4365);
									BgL_testz00_25730 =
										(
										((long) CINT(BgL_bpz00_4366) +
											BgL_siza7ezd2framez75_16591) <
										(long) (BgL_arg1902z00_13517));
								}
								if (BgL_testz00_25730)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3534z00_4368;

											BgL_arg3534z00_4368 =
												((long) CINT(BgL_bpz00_4366) + ((long) 0));
											VECTOR_SET(BgL_sz00_4365,
												(int) (BgL_arg3534z00_4368), BgL_bz00_4361);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3535z00_4369;

											BgL_arg3535z00_4369 =
												((long) CINT(BgL_bpz00_4366) + ((long) 1));
											VECTOR_SET(BgL_sz00_4365,
												(int) (BgL_arg3535z00_4369), BgL_cz00_4362);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3536z00_4370;

											BgL_arg3536z00_4370 =
												((long) CINT(BgL_bpz00_4366) + ((long) 2));
											VECTOR_SET(BgL_sz00_4365,
												(int) (BgL_arg3536z00_4370), BgL_dz00_4363);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1430z00_4371;

											BgL_val1430z00_4371 =
												BGl_zc3exitza33540ze3z83zz__evaluate_compz00
												(BgL_bpz00_4366, BgL_sz00_4365, BgL_runz00_16590);
											VECTOR_SET(BgL_sz00_4365, (int) (((long) 0)),
												BgL_bpz00_4366);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1430z00_4371)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1430z00_4371), CDR(BgL_val1430z00_4371));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1430z00_4371;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4378;

										BgL_nsz00_4378 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4378,
											(int) (((long) 1)), BgL_sz00_4365);
										VECTOR_SET(BgL_nsz00_4378,
											(int) (((long) 2)), BgL_bz00_4361);
										VECTOR_SET(BgL_nsz00_4378,
											(int) (((long) 3)), BgL_cz00_4362);
										VECTOR_SET(BgL_nsz00_4378,
											(int) (((long) 4)), BgL_dz00_4363);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_25766;

											BgL_auxz00_25766 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25766, BgL_nsz00_4378);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1433z00_4380;

											BgL_val1433z00_4380 =
												BGl_zc3exitza33546ze3z83zz__evaluate_compz00
												(BgL_runz00_16590, BgL_nsz00_4378);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_25770;

												BgL_auxz00_25770 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25770, BgL_sz00_4365);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1433z00_4380)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1433z00_4380), CDR(BgL_val1433z00_4380));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1433z00_4380;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3546> */
	obj_t BGl_zc3exitza33546ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17599,
		obj_t BgL_nsz00_17598)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1434z00_4386;

			if (SET_EXIT(BgL_an_exit1434z00_4386))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1434z00_4386 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1434z00_4386, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1435z00_4387;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13563;

								BgL_savedzd2bpzd2_13563 =
									VECTOR_REF(BgL_nsz00_17598, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17598,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13570;

									BgL_fz00_13570 = BgL_runz00_17599;
								BgL_recz00_13569:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13571;

										BgL_rz00_13571 =
											PROCEDURE_ENTRY(BgL_fz00_13570) (BgL_fz00_13570,
											BgL_nsz00_17598, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_25791;

											if (PROCEDUREP(BgL_rz00_13571))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13576;

													BgL_arg1893z00_13576 = PROCEDURE_ATTR(BgL_rz00_13571);
													if (STRUCTP(BgL_arg1893z00_13576))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25791 =
																(STRUCT_KEY(BgL_arg1893z00_13576) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25791 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_25791 = ((bool_t) 0);
												}
											if (BgL_testz00_25791)
												{
													obj_t BgL_fz00_25799;

													BgL_fz00_25799 = BgL_rz00_13571;
													BgL_fz00_13570 = BgL_fz00_25799;
													goto BgL_recz00_13569;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17598,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13563);
													BgL_val1435z00_4387 = BgL_rz00_13571;
							}}}}}
							POP_EXIT();
							return BgL_val1435z00_4387;
						}
					}
				}
		}
	}



/* <exit:3540> */
	obj_t BGl_zc3exitza33540ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17602,
		obj_t BgL_sz00_17601, obj_t BgL_runz00_17600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1431z00_4376;

			if (SET_EXIT(BgL_an_exit1431z00_4376))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1431z00_4376 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1431z00_4376, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1432z00_4377;

							BgL_val1432z00_4377 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17600,
								BgL_sz00_17601, BgL_bpz00_17602);
							POP_EXIT();
							return BgL_val1432z00_4377;
						}
					}
				}
		}
	}



/* &run5470 */
	obj_t BGl_z62run5470z62zz__evaluate_compz00(obj_t BgL_envz00_16595,
		obj_t BgL_sz00_16599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16596;
				BgL_ev_absz00_bglt BgL_i1253z00_16597;
				obj_t BgL_bodyz00_16598;

				BgL_iboxesz00_16596 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16595, (int) (((long) 0))));
				BgL_i1253z00_16597 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16595, (int) (((long) 1))));
				BgL_bodyz00_16598 = PROCEDURE_REF(BgL_envz00_16595, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4389;

					BgL_sz00_4389 = BgL_sz00_16599;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4391;

						BgL_bpz00_4391 = VECTOR_REF(BgL_sz00_4389, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4389,
							BgL_iboxesz00_16596, BgL_bpz00_4391);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4392;
							obj_t BgL_wherez00_4393;
							obj_t BgL_locz00_4394;

							BgL_z12denvz12_4392 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4393 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16597))->BgL_wherez00);
							BgL_locz00_4394 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16597))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4392, BgL_wherez00_4393,
									BgL_locz00_4394);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4395;

									BgL_za2za2resza2za2z00_4395 =
										PROCEDURE_ENTRY(BgL_bodyz00_16598) (BgL_bodyz00_16598,
										BgL_sz00_4389, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4392);
									return BgL_za2za2resza2za2z00_4395;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3550> */
	obj_t BGl_z62zc3anonymousza33550ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16600, obj_t BgL_sz00_16606)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16601;
				long BgL_siza7eza7_16602;
				BgL_ev_absz00_bglt BgL_i1253z00_16603;
				obj_t BgL_bodyz00_16604;
				long BgL_siza7ezd2framez75_16605;

				BgL_ifreesz00_16601 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16600, (int) (((long) 0))));
				BgL_siza7eza7_16602 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16600, (int) (((long) 1))));
				BgL_i1253z00_16603 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16600, (int) (((long) 2))));
				BgL_bodyz00_16604 = PROCEDURE_REF(BgL_envz00_16600, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16605 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16600, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4399;

					BgL_sz00_4399 = BgL_sz00_16606;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4401;

						BgL_bpz00_4401 = VECTOR_REF(BgL_sz00_4399, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4402;

							BgL_valza2za2_4402 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4399,
								BgL_bpz00_4401, BgL_ifreesz00_16601);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16169;

								BgL_runz00_16169 =
									MAKE_FX_PROCEDURE(BGl_z62run5472z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16169,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16602));
								PROCEDURE_SET(BgL_runz00_16169,
									(int) (((long) 1)), BgL_valza2za2_4402);
								PROCEDURE_SET(BgL_runz00_16169,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_16603));
								PROCEDURE_SET(BgL_runz00_16169,
									(int) (((long) 3)), BgL_bodyz00_16604);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16170;

									BgL_mainz00_16170 =
										MAKE_FX_PROCEDURE(BGl_z62main5471z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16602));
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 1)), BgL_valza2za2_4402);
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_16603));
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 3)), BgL_bodyz00_16604);
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 4)), BgL_runz00_16169);
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16605));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13707;

										BgL_objz00_13707 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16169, BgL_objz00_13707);
										BgL_objz00_13707;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3551z00_4405;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3552z00_4406;

											BgL_arg3552z00_4406 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16603))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13711;

												BgL_newz00_13711 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25880;

													BgL_auxz00_25880 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13711, BgL_auxz00_25880,
														BgL_arg3552z00_4406);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25885;
													int BgL_auxz00_25883;

													BgL_auxz00_25885 = BINT(BgL_siza7ezd2framez75_16605);
													BgL_auxz00_25883 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13711, BgL_auxz00_25883,
														BgL_auxz00_25885);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_25888;

													BgL_auxz00_25888 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13711, BgL_auxz00_25888,
														BgL_runz00_16169);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_25893;
													int BgL_auxz00_25891;

													BgL_auxz00_25893 = BINT(((long) 3));
													BgL_auxz00_25891 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13711, BgL_auxz00_25891,
														BgL_auxz00_25893);
												}
												BgL_arg3551z00_4405 = BgL_newz00_13711;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16170, BgL_arg3551z00_4405);
										BgL_arg3551z00_4405;
									}
									return BgL_mainz00_16170;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5471 */
	obj_t BGl_z62main5471z62zz__evaluate_compz00(obj_t BgL_envz00_16607,
		obj_t BgL_bz00_16614, obj_t BgL_cz00_16615, obj_t BgL_dz00_16616)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16612;
				long BgL_siza7ezd2framez75_16613;

				BgL_runz00_16612 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16607, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16613 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16607, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4407;
					obj_t BgL_cz00_4408;
					obj_t BgL_dz00_4409;

					BgL_bz00_4407 = BgL_bz00_16614;
					BgL_cz00_4408 = BgL_cz00_16615;
					BgL_dz00_4409 = BgL_dz00_16616;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4411;

						BgL_sz00_4411 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4412;

							BgL_bpz00_4412 = VECTOR_REF(BgL_sz00_4411, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_25906;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13633;

									BgL_arg1902z00_13633 = VECTOR_LENGTH(BgL_sz00_4411);
									BgL_testz00_25906 =
										(
										((long) CINT(BgL_bpz00_4412) +
											BgL_siza7ezd2framez75_16613) <
										(long) (BgL_arg1902z00_13633));
								}
								if (BgL_testz00_25906)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3555z00_4414;

											BgL_arg3555z00_4414 =
												((long) CINT(BgL_bpz00_4412) + ((long) 0));
											VECTOR_SET(BgL_sz00_4411,
												(int) (BgL_arg3555z00_4414), BgL_bz00_4407);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3556z00_4415;

											BgL_arg3556z00_4415 =
												((long) CINT(BgL_bpz00_4412) + ((long) 1));
											VECTOR_SET(BgL_sz00_4411,
												(int) (BgL_arg3556z00_4415), BgL_cz00_4408);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3557z00_4416;

											BgL_arg3557z00_4416 =
												((long) CINT(BgL_bpz00_4412) + ((long) 2));
											VECTOR_SET(BgL_sz00_4411,
												(int) (BgL_arg3557z00_4416), BgL_dz00_4409);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1436z00_4417;

											BgL_val1436z00_4417 =
												BGl_zc3exitza33561ze3z83zz__evaluate_compz00
												(BgL_bpz00_4412, BgL_sz00_4411, BgL_runz00_16612);
											VECTOR_SET(BgL_sz00_4411, (int) (((long) 0)),
												BgL_bpz00_4412);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1436z00_4417)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1436z00_4417), CDR(BgL_val1436z00_4417));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1436z00_4417;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4424;

										BgL_nsz00_4424 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4424,
											(int) (((long) 1)), BgL_sz00_4411);
										VECTOR_SET(BgL_nsz00_4424,
											(int) (((long) 2)), BgL_bz00_4407);
										VECTOR_SET(BgL_nsz00_4424,
											(int) (((long) 3)), BgL_cz00_4408);
										VECTOR_SET(BgL_nsz00_4424,
											(int) (((long) 4)), BgL_dz00_4409);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_25942;

											BgL_auxz00_25942 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25942, BgL_nsz00_4424);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1439z00_4426;

											BgL_val1439z00_4426 =
												BGl_zc3exitza33567ze3z83zz__evaluate_compz00
												(BgL_runz00_16612, BgL_nsz00_4424);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_25946;

												BgL_auxz00_25946 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25946, BgL_sz00_4411);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1439z00_4426)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1439z00_4426), CDR(BgL_val1439z00_4426));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1439z00_4426;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3567> */
	obj_t BGl_zc3exitza33567ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17594,
		obj_t BgL_nsz00_17593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1440z00_4432;

			if (SET_EXIT(BgL_an_exit1440z00_4432))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1440z00_4432 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1440z00_4432, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1441z00_4433;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13679;

								BgL_savedzd2bpzd2_13679 =
									VECTOR_REF(BgL_nsz00_17593, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17593,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13686;

									BgL_fz00_13686 = BgL_runz00_17594;
								BgL_recz00_13685:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13687;

										BgL_rz00_13687 =
											PROCEDURE_ENTRY(BgL_fz00_13686) (BgL_fz00_13686,
											BgL_nsz00_17593, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_25967;

											if (PROCEDUREP(BgL_rz00_13687))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13692;

													BgL_arg1893z00_13692 = PROCEDURE_ATTR(BgL_rz00_13687);
													if (STRUCTP(BgL_arg1893z00_13692))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25967 =
																(STRUCT_KEY(BgL_arg1893z00_13692) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_25967 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_25967 = ((bool_t) 0);
												}
											if (BgL_testz00_25967)
												{
													obj_t BgL_fz00_25975;

													BgL_fz00_25975 = BgL_rz00_13687;
													BgL_fz00_13686 = BgL_fz00_25975;
													goto BgL_recz00_13685;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17593,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13679);
													BgL_val1441z00_4433 = BgL_rz00_13687;
							}}}}}
							POP_EXIT();
							return BgL_val1441z00_4433;
						}
					}
				}
		}
	}



/* <exit:3561> */
	obj_t BGl_zc3exitza33561ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17597,
		obj_t BgL_sz00_17596, obj_t BgL_runz00_17595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1437z00_4422;

			if (SET_EXIT(BgL_an_exit1437z00_4422))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1437z00_4422 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1437z00_4422, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1438z00_4423;

							BgL_val1438z00_4423 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17595,
								BgL_sz00_17596, BgL_bpz00_17597);
							POP_EXIT();
							return BgL_val1438z00_4423;
						}
					}
				}
		}
	}



/* &run5472 */
	obj_t BGl_z62run5472z62zz__evaluate_compz00(obj_t BgL_envz00_16617,
		obj_t BgL_sz00_16622)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_16618;
				obj_t BgL_valza2za2_16619;
				BgL_ev_absz00_bglt BgL_i1253z00_16620;
				obj_t BgL_bodyz00_16621;

				BgL_siza7eza7_16618 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16617, (int) (((long) 0))));
				BgL_valza2za2_16619 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16617, (int) (((long) 1))));
				BgL_i1253z00_16620 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16617, (int) (((long) 2))));
				BgL_bodyz00_16621 = PROCEDURE_REF(BgL_envz00_16617, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4435;

					BgL_sz00_4435 = BgL_sz00_16622;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4437;

						BgL_bpz00_4437 = VECTOR_REF(BgL_sz00_4435, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4435,
							BgL_valza2za2_16619,
							((long) CINT(BgL_bpz00_4437) + BgL_siza7eza7_16618));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4439;
							obj_t BgL_wherez00_4440;
							obj_t BgL_locz00_4441;

							BgL_z12denvz12_4439 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4440 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16620))->BgL_wherez00);
							BgL_locz00_4441 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16620))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4439, BgL_wherez00_4440,
									BgL_locz00_4441);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4442;

									BgL_za2za2resza2za2z00_4442 =
										PROCEDURE_ENTRY(BgL_bodyz00_16621) (BgL_bodyz00_16621,
										BgL_sz00_4435, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4439);
									return BgL_za2za2resza2za2z00_4442;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3570> */
	obj_t BGl_z62zc3anonymousza33570ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16623, obj_t BgL_sz00_16630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16624;
				obj_t BgL_iboxesz00_16625;
				long BgL_siza7eza7_16626;
				BgL_ev_absz00_bglt BgL_i1253z00_16627;
				obj_t BgL_bodyz00_16628;
				long BgL_siza7ezd2framez75_16629;

				BgL_ifreesz00_16624 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16623, (int) (((long) 0))));
				BgL_iboxesz00_16625 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16623, (int) (((long) 1))));
				BgL_siza7eza7_16626 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16623, (int) (((long) 2))));
				BgL_i1253z00_16627 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16623, (int) (((long) 3))));
				BgL_bodyz00_16628 = PROCEDURE_REF(BgL_envz00_16623, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16629 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16623, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4444;

					BgL_sz00_4444 = BgL_sz00_16630;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4446;

						BgL_bpz00_4446 = VECTOR_REF(BgL_sz00_4444, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4447;

							BgL_valza2za2_4447 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4444,
								BgL_bpz00_4446, BgL_ifreesz00_16624);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16166;

								BgL_runz00_16166 =
									MAKE_FX_PROCEDURE(BGl_z62run5474z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 0)), BgL_iboxesz00_16625);
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16626));
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 2)), BgL_valza2za2_4447);
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_16627));
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 4)), BgL_bodyz00_16628);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16167;

									BgL_mainz00_16167 =
										MAKE_FX_PROCEDURE(BGl_z62main5473z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 0)), BgL_iboxesz00_16625);
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16626));
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 2)), BgL_valza2za2_4447);
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_16627));
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 4)), BgL_bodyz00_16628);
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 5)), BgL_runz00_16166);
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16629));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13819;

										BgL_objz00_13819 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16166, BgL_objz00_13819);
										BgL_objz00_13819;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3571z00_4450;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3572z00_4451;

											BgL_arg3572z00_4451 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16627))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13823;

												BgL_newz00_13823 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26068;

													BgL_auxz00_26068 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13823, BgL_auxz00_26068,
														BgL_arg3572z00_4451);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26073;
													int BgL_auxz00_26071;

													BgL_auxz00_26073 = BINT(BgL_siza7ezd2framez75_16629);
													BgL_auxz00_26071 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13823, BgL_auxz00_26071,
														BgL_auxz00_26073);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26076;

													BgL_auxz00_26076 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13823, BgL_auxz00_26076,
														BgL_runz00_16166);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26081;
													int BgL_auxz00_26079;

													BgL_auxz00_26081 = BINT(((long) 3));
													BgL_auxz00_26079 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13823, BgL_auxz00_26079,
														BgL_auxz00_26081);
												}
												BgL_arg3571z00_4450 = BgL_newz00_13823;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16167, BgL_arg3571z00_4450);
										BgL_arg3571z00_4450;
									}
									return BgL_mainz00_16167;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5473 */
	obj_t BGl_z62main5473z62zz__evaluate_compz00(obj_t BgL_envz00_16631,
		obj_t BgL_bz00_16639, obj_t BgL_cz00_16640, obj_t BgL_dz00_16641)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16637;
				long BgL_siza7ezd2framez75_16638;

				BgL_runz00_16637 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16631, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16638 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16631, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4452;
					obj_t BgL_cz00_4453;
					obj_t BgL_dz00_4454;

					BgL_bz00_4452 = BgL_bz00_16639;
					BgL_cz00_4453 = BgL_cz00_16640;
					BgL_dz00_4454 = BgL_dz00_16641;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4456;

						BgL_sz00_4456 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4457;

							BgL_bpz00_4457 = VECTOR_REF(BgL_sz00_4456, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_26094;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13745;

									BgL_arg1902z00_13745 = VECTOR_LENGTH(BgL_sz00_4456);
									BgL_testz00_26094 =
										(
										((long) CINT(BgL_bpz00_4457) +
											BgL_siza7ezd2framez75_16638) <
										(long) (BgL_arg1902z00_13745));
								}
								if (BgL_testz00_26094)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3575z00_4459;

											BgL_arg3575z00_4459 =
												((long) CINT(BgL_bpz00_4457) + ((long) 0));
											VECTOR_SET(BgL_sz00_4456,
												(int) (BgL_arg3575z00_4459), BgL_bz00_4452);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3576z00_4460;

											BgL_arg3576z00_4460 =
												((long) CINT(BgL_bpz00_4457) + ((long) 1));
											VECTOR_SET(BgL_sz00_4456,
												(int) (BgL_arg3576z00_4460), BgL_cz00_4453);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3577z00_4461;

											BgL_arg3577z00_4461 =
												((long) CINT(BgL_bpz00_4457) + ((long) 2));
											VECTOR_SET(BgL_sz00_4456,
												(int) (BgL_arg3577z00_4461), BgL_dz00_4454);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1442z00_4462;

											BgL_val1442z00_4462 =
												BGl_zc3exitza33581ze3z83zz__evaluate_compz00
												(BgL_bpz00_4457, BgL_sz00_4456, BgL_runz00_16637);
											VECTOR_SET(BgL_sz00_4456, (int) (((long) 0)),
												BgL_bpz00_4457);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1442z00_4462)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1442z00_4462), CDR(BgL_val1442z00_4462));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1442z00_4462;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4469;

										BgL_nsz00_4469 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4469,
											(int) (((long) 1)), BgL_sz00_4456);
										VECTOR_SET(BgL_nsz00_4469,
											(int) (((long) 2)), BgL_bz00_4452);
										VECTOR_SET(BgL_nsz00_4469,
											(int) (((long) 3)), BgL_cz00_4453);
										VECTOR_SET(BgL_nsz00_4469,
											(int) (((long) 4)), BgL_dz00_4454);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_26130;

											BgL_auxz00_26130 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26130, BgL_nsz00_4469);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1445z00_4471;

											BgL_val1445z00_4471 =
												BGl_zc3exitza33587ze3z83zz__evaluate_compz00
												(BgL_runz00_16637, BgL_nsz00_4469);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_26134;

												BgL_auxz00_26134 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26134, BgL_sz00_4456);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1445z00_4471)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1445z00_4471), CDR(BgL_val1445z00_4471));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1445z00_4471;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3587> */
	obj_t BGl_zc3exitza33587ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17589,
		obj_t BgL_nsz00_17588)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1446z00_4477;

			if (SET_EXIT(BgL_an_exit1446z00_4477))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1446z00_4477 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1446z00_4477, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1447z00_4478;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13791;

								BgL_savedzd2bpzd2_13791 =
									VECTOR_REF(BgL_nsz00_17588, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17588,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13798;

									BgL_fz00_13798 = BgL_runz00_17589;
								BgL_recz00_13797:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13799;

										BgL_rz00_13799 =
											PROCEDURE_ENTRY(BgL_fz00_13798) (BgL_fz00_13798,
											BgL_nsz00_17588, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_26155;

											if (PROCEDUREP(BgL_rz00_13799))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13804;

													BgL_arg1893z00_13804 = PROCEDURE_ATTR(BgL_rz00_13799);
													if (STRUCTP(BgL_arg1893z00_13804))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26155 =
																(STRUCT_KEY(BgL_arg1893z00_13804) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26155 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_26155 = ((bool_t) 0);
												}
											if (BgL_testz00_26155)
												{
													obj_t BgL_fz00_26163;

													BgL_fz00_26163 = BgL_rz00_13799;
													BgL_fz00_13798 = BgL_fz00_26163;
													goto BgL_recz00_13797;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17588,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13791);
													BgL_val1447z00_4478 = BgL_rz00_13799;
							}}}}}
							POP_EXIT();
							return BgL_val1447z00_4478;
						}
					}
				}
		}
	}



/* <exit:3581> */
	obj_t BGl_zc3exitza33581ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17592,
		obj_t BgL_sz00_17591, obj_t BgL_runz00_17590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1443z00_4467;

			if (SET_EXIT(BgL_an_exit1443z00_4467))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1443z00_4467 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1443z00_4467, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1444z00_4468;

							BgL_val1444z00_4468 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17590,
								BgL_sz00_17591, BgL_bpz00_17592);
							POP_EXIT();
							return BgL_val1444z00_4468;
						}
					}
				}
		}
	}



/* &run5474 */
	obj_t BGl_z62run5474z62zz__evaluate_compz00(obj_t BgL_envz00_16642,
		obj_t BgL_sz00_16648)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16643;
				long BgL_siza7eza7_16644;
				obj_t BgL_valza2za2_16645;
				BgL_ev_absz00_bglt BgL_i1253z00_16646;
				obj_t BgL_bodyz00_16647;

				BgL_iboxesz00_16643 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16642, (int) (((long) 0))));
				BgL_siza7eza7_16644 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16642, (int) (((long) 1))));
				BgL_valza2za2_16645 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16642, (int) (((long) 2))));
				BgL_i1253z00_16646 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16642, (int) (((long) 3))));
				BgL_bodyz00_16647 = PROCEDURE_REF(BgL_envz00_16642, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4480;

					BgL_sz00_4480 = BgL_sz00_16648;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4482;

						BgL_bpz00_4482 = VECTOR_REF(BgL_sz00_4480, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4480,
							BgL_iboxesz00_16643, BgL_bpz00_4482);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4480,
							BgL_valza2za2_16645,
							((long) CINT(BgL_bpz00_4482) + BgL_siza7eza7_16644));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4484;
							obj_t BgL_wherez00_4485;
							obj_t BgL_locz00_4486;

							BgL_z12denvz12_4484 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4485 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16646))->BgL_wherez00);
							BgL_locz00_4486 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16646))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4484, BgL_wherez00_4485,
									BgL_locz00_4486);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4487;

									BgL_za2za2resza2za2z00_4487 =
										PROCEDURE_ENTRY(BgL_bodyz00_16647) (BgL_bodyz00_16647,
										BgL_sz00_4480, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4484);
									return BgL_za2za2resza2za2z00_4487;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3425> */
	obj_t BGl_z62zc3anonymousza33425ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16649, obj_t BgL_sz00_16653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16650;
				obj_t BgL_bodyz00_16651;
				long BgL_siza7ezd2framez75_16652;

				BgL_i1253z00_16650 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16649, (int) (((long) 0))));
				BgL_bodyz00_16651 = PROCEDURE_REF(BgL_envz00_16649, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16652 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16649, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4129;

					BgL_sz00_4129 = BgL_sz00_16653;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4131;

						BgL_bpz00_4131 = VECTOR_REF(BgL_sz00_4129, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16163;

								BgL_runz00_16163 =
									MAKE_FX_PROCEDURE(BGl_z62run5476z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16163,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16650));
								PROCEDURE_SET(BgL_runz00_16163,
									(int) (((long) 1)), BgL_bodyz00_16651);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16164;

									BgL_mainz00_16164 =
										MAKE_VA_PROCEDURE(BGl_z62main5475z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16650));
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 1)), BgL_bodyz00_16651);
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 2)), BgL_runz00_16163);
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16652));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13028;

										BgL_objz00_13028 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16163, BgL_objz00_13028);
										BgL_objz00_13028;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3426z00_4134;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3427z00_4135;

											BgL_arg3427z00_4135 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16650))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13032;

												BgL_newz00_13032 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26236;

													BgL_auxz00_26236 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13032, BgL_auxz00_26236,
														BgL_arg3427z00_4135);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26241;
													int BgL_auxz00_26239;

													BgL_auxz00_26241 = BINT(BgL_siza7ezd2framez75_16652);
													BgL_auxz00_26239 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13032, BgL_auxz00_26239,
														BgL_auxz00_26241);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26244;

													BgL_auxz00_26244 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13032, BgL_auxz00_26244,
														BgL_runz00_16163);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26249;
													int BgL_auxz00_26247;

													BgL_auxz00_26249 = BINT(((long) -3));
													BgL_auxz00_26247 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13032, BgL_auxz00_26247,
														BgL_auxz00_26249);
												}
												BgL_arg3426z00_4134 = BgL_newz00_13032;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16164, BgL_arg3426z00_4134);
										BgL_arg3426z00_4134;
									}
									return BgL_mainz00_16164;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5475 */
	obj_t BGl_z62main5475z62zz__evaluate_compz00(obj_t BgL_envz00_16654,
		obj_t BgL_cz00_16659, obj_t BgL_dz00_16660, obj_t BgL_lastz00_16661)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16657;
				long BgL_siza7ezd2framez75_16658;

				BgL_runz00_16657 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16654, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16658 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16654, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4136;
					obj_t BgL_dz00_4137;
					obj_t BgL_lastz00_4138;

					BgL_cz00_4136 = BgL_cz00_16659;
					BgL_dz00_4137 = BgL_dz00_16660;
					BgL_lastz00_4138 = BgL_lastz00_16661;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4140;

						BgL_sz00_4140 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4141;

							BgL_bpz00_4141 = VECTOR_REF(BgL_sz00_4140, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_26262;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12954;

									BgL_arg1902z00_12954 = VECTOR_LENGTH(BgL_sz00_4140);
									BgL_testz00_26262 =
										(
										((long) CINT(BgL_bpz00_4141) +
											BgL_siza7ezd2framez75_16658) <
										(long) (BgL_arg1902z00_12954));
								}
								if (BgL_testz00_26262)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3431z00_4143;

											BgL_arg3431z00_4143 =
												((long) CINT(BgL_bpz00_4141) + ((long) 0));
											VECTOR_SET(BgL_sz00_4140,
												(int) (BgL_arg3431z00_4143), BgL_cz00_4136);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3432z00_4144;

											BgL_arg3432z00_4144 =
												((long) CINT(BgL_bpz00_4141) + ((long) 1));
											VECTOR_SET(BgL_sz00_4140,
												(int) (BgL_arg3432z00_4144), BgL_dz00_4137);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3433z00_4145;

											BgL_arg3433z00_4145 =
												((long) CINT(BgL_bpz00_4141) + ((long) 2));
											VECTOR_SET(BgL_sz00_4140,
												(int) (BgL_arg3433z00_4145), BgL_lastz00_4138);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1400z00_4146;

											BgL_val1400z00_4146 =
												BGl_zc3exitza33437ze3z83zz__evaluate_compz00
												(BgL_bpz00_4141, BgL_sz00_4140, BgL_runz00_16657);
											VECTOR_SET(BgL_sz00_4140, (int) (((long) 0)),
												BgL_bpz00_4141);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1400z00_4146)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1400z00_4146), CDR(BgL_val1400z00_4146));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1400z00_4146;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4153;

										BgL_nsz00_4153 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4153,
											(int) (((long) 1)), BgL_sz00_4140);
										VECTOR_SET(BgL_nsz00_4153,
											(int) (((long) 2)), BgL_cz00_4136);
										VECTOR_SET(BgL_nsz00_4153,
											(int) (((long) 3)), BgL_dz00_4137);
										VECTOR_SET(BgL_nsz00_4153,
											(int) (((long) 4)), BgL_lastz00_4138);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_26298;

											BgL_auxz00_26298 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26298, BgL_nsz00_4153);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1403z00_4155;

											BgL_val1403z00_4155 =
												BGl_zc3exitza33443ze3z83zz__evaluate_compz00
												(BgL_runz00_16657, BgL_nsz00_4153);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_26302;

												BgL_auxz00_26302 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26302, BgL_sz00_4140);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1403z00_4155)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1403z00_4155), CDR(BgL_val1403z00_4155));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1403z00_4155;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3443> */
	obj_t BGl_zc3exitza33443ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17584,
		obj_t BgL_nsz00_17583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1404z00_4161;

			if (SET_EXIT(BgL_an_exit1404z00_4161))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1404z00_4161 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1404z00_4161, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1405z00_4162;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13000;

								BgL_savedzd2bpzd2_13000 =
									VECTOR_REF(BgL_nsz00_17583, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17583,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13007;

									BgL_fz00_13007 = BgL_runz00_17584;
								BgL_recz00_13006:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13008;

										BgL_rz00_13008 =
											PROCEDURE_ENTRY(BgL_fz00_13007) (BgL_fz00_13007,
											BgL_nsz00_17583, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_26323;

											if (PROCEDUREP(BgL_rz00_13008))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13013;

													BgL_arg1893z00_13013 = PROCEDURE_ATTR(BgL_rz00_13008);
													if (STRUCTP(BgL_arg1893z00_13013))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26323 =
																(STRUCT_KEY(BgL_arg1893z00_13013) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26323 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_26323 = ((bool_t) 0);
												}
											if (BgL_testz00_26323)
												{
													obj_t BgL_fz00_26331;

													BgL_fz00_26331 = BgL_rz00_13008;
													BgL_fz00_13007 = BgL_fz00_26331;
													goto BgL_recz00_13006;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17583,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13000);
													BgL_val1405z00_4162 = BgL_rz00_13008;
							}}}}}
							POP_EXIT();
							return BgL_val1405z00_4162;
						}
					}
				}
		}
	}



/* <exit:3437> */
	obj_t BGl_zc3exitza33437ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17587,
		obj_t BgL_sz00_17586, obj_t BgL_runz00_17585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1401z00_4151;

			if (SET_EXIT(BgL_an_exit1401z00_4151))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1401z00_4151 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1401z00_4151, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1402z00_4152;

							BgL_val1402z00_4152 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17585,
								BgL_sz00_17586, BgL_bpz00_17587);
							POP_EXIT();
							return BgL_val1402z00_4152;
						}
					}
				}
		}
	}



/* &run5476 */
	obj_t BGl_z62run5476z62zz__evaluate_compz00(obj_t BgL_envz00_16662,
		obj_t BgL_sz00_16665)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16663;
				obj_t BgL_bodyz00_16664;

				BgL_i1253z00_16663 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16662, (int) (((long) 0))));
				BgL_bodyz00_16664 = PROCEDURE_REF(BgL_envz00_16662, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4164;

					BgL_sz00_4164 = BgL_sz00_16665;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4166;

						BgL_bpz00_4166 = VECTOR_REF(BgL_sz00_4164, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4167;
							obj_t BgL_wherez00_4168;
							obj_t BgL_locz00_4169;

							BgL_z12denvz12_4167 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4168 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16663))->BgL_wherez00);
							BgL_locz00_4169 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16663))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4167, BgL_wherez00_4168,
									BgL_locz00_4169);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4170;

									BgL_za2za2resza2za2z00_4170 =
										PROCEDURE_ENTRY(BgL_bodyz00_16664) (BgL_bodyz00_16664,
										BgL_sz00_4164, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4167);
									return BgL_za2za2resza2za2z00_4170;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3445> */
	obj_t BGl_z62zc3anonymousza33445ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16666, obj_t BgL_sz00_16671)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16667;
				BgL_ev_absz00_bglt BgL_i1253z00_16668;
				obj_t BgL_bodyz00_16669;
				long BgL_siza7ezd2framez75_16670;

				BgL_iboxesz00_16667 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16666, (int) (((long) 0))));
				BgL_i1253z00_16668 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16666, (int) (((long) 1))));
				BgL_bodyz00_16669 = PROCEDURE_REF(BgL_envz00_16666, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16670 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16666, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4172;

					BgL_sz00_4172 = BgL_sz00_16671;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4174;

						BgL_bpz00_4174 = VECTOR_REF(BgL_sz00_4172, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16160;

								BgL_runz00_16160 =
									MAKE_FX_PROCEDURE(BGl_z62run5478z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16160,
									(int) (((long) 0)), BgL_iboxesz00_16667);
								PROCEDURE_SET(BgL_runz00_16160,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16668));
								PROCEDURE_SET(BgL_runz00_16160,
									(int) (((long) 2)), BgL_bodyz00_16669);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16161;

									BgL_mainz00_16161 =
										MAKE_VA_PROCEDURE(BGl_z62main5477z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 0)), BgL_iboxesz00_16667);
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16668));
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 2)), BgL_bodyz00_16669);
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 3)), BgL_runz00_16160);
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16670));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13137;

										BgL_objz00_13137 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16160, BgL_objz00_13137);
										BgL_objz00_13137;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3446z00_4177;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3447z00_4178;

											BgL_arg3447z00_4178 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16668))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13141;

												BgL_newz00_13141 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26398;

													BgL_auxz00_26398 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13141, BgL_auxz00_26398,
														BgL_arg3447z00_4178);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26403;
													int BgL_auxz00_26401;

													BgL_auxz00_26403 = BINT(BgL_siza7ezd2framez75_16670);
													BgL_auxz00_26401 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13141, BgL_auxz00_26401,
														BgL_auxz00_26403);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26406;

													BgL_auxz00_26406 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13141, BgL_auxz00_26406,
														BgL_runz00_16160);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26411;
													int BgL_auxz00_26409;

													BgL_auxz00_26411 = BINT(((long) -3));
													BgL_auxz00_26409 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13141, BgL_auxz00_26409,
														BgL_auxz00_26411);
												}
												BgL_arg3446z00_4177 = BgL_newz00_13141;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16161, BgL_arg3446z00_4177);
										BgL_arg3446z00_4177;
									}
									return BgL_mainz00_16161;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5477 */
	obj_t BGl_z62main5477z62zz__evaluate_compz00(obj_t BgL_envz00_16672,
		obj_t BgL_cz00_16678, obj_t BgL_dz00_16679, obj_t BgL_lastz00_16680)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16676;
				long BgL_siza7ezd2framez75_16677;

				BgL_runz00_16676 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16672, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16677 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16672, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4179;
					obj_t BgL_dz00_4180;
					obj_t BgL_lastz00_4181;

					BgL_cz00_4179 = BgL_cz00_16678;
					BgL_dz00_4180 = BgL_dz00_16679;
					BgL_lastz00_4181 = BgL_lastz00_16680;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4183;

						BgL_sz00_4183 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4184;

							BgL_bpz00_4184 = VECTOR_REF(BgL_sz00_4183, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_26424;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13063;

									BgL_arg1902z00_13063 = VECTOR_LENGTH(BgL_sz00_4183);
									BgL_testz00_26424 =
										(
										((long) CINT(BgL_bpz00_4184) +
											BgL_siza7ezd2framez75_16677) <
										(long) (BgL_arg1902z00_13063));
								}
								if (BgL_testz00_26424)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3450z00_4186;

											BgL_arg3450z00_4186 =
												((long) CINT(BgL_bpz00_4184) + ((long) 0));
											VECTOR_SET(BgL_sz00_4183,
												(int) (BgL_arg3450z00_4186), BgL_cz00_4179);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3451z00_4187;

											BgL_arg3451z00_4187 =
												((long) CINT(BgL_bpz00_4184) + ((long) 1));
											VECTOR_SET(BgL_sz00_4183,
												(int) (BgL_arg3451z00_4187), BgL_dz00_4180);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3452z00_4188;

											BgL_arg3452z00_4188 =
												((long) CINT(BgL_bpz00_4184) + ((long) 2));
											VECTOR_SET(BgL_sz00_4183,
												(int) (BgL_arg3452z00_4188), BgL_lastz00_4181);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1406z00_4189;

											BgL_val1406z00_4189 =
												BGl_zc3exitza33456ze3z83zz__evaluate_compz00
												(BgL_bpz00_4184, BgL_sz00_4183, BgL_runz00_16676);
											VECTOR_SET(BgL_sz00_4183, (int) (((long) 0)),
												BgL_bpz00_4184);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1406z00_4189)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1406z00_4189), CDR(BgL_val1406z00_4189));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1406z00_4189;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4196;

										BgL_nsz00_4196 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4196,
											(int) (((long) 1)), BgL_sz00_4183);
										VECTOR_SET(BgL_nsz00_4196,
											(int) (((long) 2)), BgL_cz00_4179);
										VECTOR_SET(BgL_nsz00_4196,
											(int) (((long) 3)), BgL_dz00_4180);
										VECTOR_SET(BgL_nsz00_4196,
											(int) (((long) 4)), BgL_lastz00_4181);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_26460;

											BgL_auxz00_26460 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26460, BgL_nsz00_4196);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1409z00_4198;

											BgL_val1409z00_4198 =
												BGl_zc3exitza33462ze3z83zz__evaluate_compz00
												(BgL_runz00_16676, BgL_nsz00_4196);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_26464;

												BgL_auxz00_26464 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26464, BgL_sz00_4183);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1409z00_4198)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1409z00_4198), CDR(BgL_val1409z00_4198));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1409z00_4198;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3462> */
	obj_t BGl_zc3exitza33462ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17579,
		obj_t BgL_nsz00_17578)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1410z00_4204;

			if (SET_EXIT(BgL_an_exit1410z00_4204))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1410z00_4204 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1410z00_4204, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1411z00_4205;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13109;

								BgL_savedzd2bpzd2_13109 =
									VECTOR_REF(BgL_nsz00_17578, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17578,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13116;

									BgL_fz00_13116 = BgL_runz00_17579;
								BgL_recz00_13115:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13117;

										BgL_rz00_13117 =
											PROCEDURE_ENTRY(BgL_fz00_13116) (BgL_fz00_13116,
											BgL_nsz00_17578, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_26485;

											if (PROCEDUREP(BgL_rz00_13117))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13122;

													BgL_arg1893z00_13122 = PROCEDURE_ATTR(BgL_rz00_13117);
													if (STRUCTP(BgL_arg1893z00_13122))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26485 =
																(STRUCT_KEY(BgL_arg1893z00_13122) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26485 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_26485 = ((bool_t) 0);
												}
											if (BgL_testz00_26485)
												{
													obj_t BgL_fz00_26493;

													BgL_fz00_26493 = BgL_rz00_13117;
													BgL_fz00_13116 = BgL_fz00_26493;
													goto BgL_recz00_13115;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17578,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13109);
													BgL_val1411z00_4205 = BgL_rz00_13117;
							}}}}}
							POP_EXIT();
							return BgL_val1411z00_4205;
						}
					}
				}
		}
	}



/* <exit:3456> */
	obj_t BGl_zc3exitza33456ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17582,
		obj_t BgL_sz00_17581, obj_t BgL_runz00_17580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1407z00_4194;

			if (SET_EXIT(BgL_an_exit1407z00_4194))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1407z00_4194 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1407z00_4194, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1408z00_4195;

							BgL_val1408z00_4195 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17580,
								BgL_sz00_17581, BgL_bpz00_17582);
							POP_EXIT();
							return BgL_val1408z00_4195;
						}
					}
				}
		}
	}



/* &run5478 */
	obj_t BGl_z62run5478z62zz__evaluate_compz00(obj_t BgL_envz00_16681,
		obj_t BgL_sz00_16685)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16682;
				BgL_ev_absz00_bglt BgL_i1253z00_16683;
				obj_t BgL_bodyz00_16684;

				BgL_iboxesz00_16682 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16681, (int) (((long) 0))));
				BgL_i1253z00_16683 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16681, (int) (((long) 1))));
				BgL_bodyz00_16684 = PROCEDURE_REF(BgL_envz00_16681, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4207;

					BgL_sz00_4207 = BgL_sz00_16685;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4209;

						BgL_bpz00_4209 = VECTOR_REF(BgL_sz00_4207, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4207,
							BgL_iboxesz00_16682, BgL_bpz00_4209);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4210;
							obj_t BgL_wherez00_4211;
							obj_t BgL_locz00_4212;

							BgL_z12denvz12_4210 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4211 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16683))->BgL_wherez00);
							BgL_locz00_4212 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16683))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4210, BgL_wherez00_4211,
									BgL_locz00_4212);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4213;

									BgL_za2za2resza2za2z00_4213 =
										PROCEDURE_ENTRY(BgL_bodyz00_16684) (BgL_bodyz00_16684,
										BgL_sz00_4207, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4210);
									return BgL_za2za2resza2za2z00_4213;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3466> */
	obj_t BGl_z62zc3anonymousza33466ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16686, obj_t BgL_sz00_16692)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16687;
				long BgL_siza7eza7_16688;
				BgL_ev_absz00_bglt BgL_i1253z00_16689;
				obj_t BgL_bodyz00_16690;
				long BgL_siza7ezd2framez75_16691;

				BgL_ifreesz00_16687 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16686, (int) (((long) 0))));
				BgL_siza7eza7_16688 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16686, (int) (((long) 1))));
				BgL_i1253z00_16689 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16686, (int) (((long) 2))));
				BgL_bodyz00_16690 = PROCEDURE_REF(BgL_envz00_16686, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16691 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16686, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4217;

					BgL_sz00_4217 = BgL_sz00_16692;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4219;

						BgL_bpz00_4219 = VECTOR_REF(BgL_sz00_4217, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4220;

							BgL_valza2za2_4220 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4217,
								BgL_bpz00_4219, BgL_ifreesz00_16687);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16157;

								BgL_runz00_16157 =
									MAKE_FX_PROCEDURE(BGl_z62run5480z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16157,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16688));
								PROCEDURE_SET(BgL_runz00_16157,
									(int) (((long) 1)), BgL_valza2za2_4220);
								PROCEDURE_SET(BgL_runz00_16157,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_16689));
								PROCEDURE_SET(BgL_runz00_16157,
									(int) (((long) 3)), BgL_bodyz00_16690);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16158;

									BgL_mainz00_16158 =
										MAKE_VA_PROCEDURE(BGl_z62main5479z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16688));
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 1)), BgL_valza2za2_4220);
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_16689));
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 3)), BgL_bodyz00_16690);
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 4)), BgL_runz00_16157);
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16691));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13253;

										BgL_objz00_13253 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16157, BgL_objz00_13253);
										BgL_objz00_13253;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3467z00_4223;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3468z00_4224;

											BgL_arg3468z00_4224 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16689))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13257;

												BgL_newz00_13257 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26574;

													BgL_auxz00_26574 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13257, BgL_auxz00_26574,
														BgL_arg3468z00_4224);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26579;
													int BgL_auxz00_26577;

													BgL_auxz00_26579 = BINT(BgL_siza7ezd2framez75_16691);
													BgL_auxz00_26577 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13257, BgL_auxz00_26577,
														BgL_auxz00_26579);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26582;

													BgL_auxz00_26582 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13257, BgL_auxz00_26582,
														BgL_runz00_16157);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26587;
													int BgL_auxz00_26585;

													BgL_auxz00_26587 = BINT(((long) -3));
													BgL_auxz00_26585 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13257, BgL_auxz00_26585,
														BgL_auxz00_26587);
												}
												BgL_arg3467z00_4223 = BgL_newz00_13257;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16158, BgL_arg3467z00_4223);
										BgL_arg3467z00_4223;
									}
									return BgL_mainz00_16158;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5479 */
	obj_t BGl_z62main5479z62zz__evaluate_compz00(obj_t BgL_envz00_16693,
		obj_t BgL_cz00_16700, obj_t BgL_dz00_16701, obj_t BgL_lastz00_16702)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16698;
				long BgL_siza7ezd2framez75_16699;

				BgL_runz00_16698 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16693, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16699 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16693, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4225;
					obj_t BgL_dz00_4226;
					obj_t BgL_lastz00_4227;

					BgL_cz00_4225 = BgL_cz00_16700;
					BgL_dz00_4226 = BgL_dz00_16701;
					BgL_lastz00_4227 = BgL_lastz00_16702;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4229;

						BgL_sz00_4229 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4230;

							BgL_bpz00_4230 = VECTOR_REF(BgL_sz00_4229, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_26600;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13179;

									BgL_arg1902z00_13179 = VECTOR_LENGTH(BgL_sz00_4229);
									BgL_testz00_26600 =
										(
										((long) CINT(BgL_bpz00_4230) +
											BgL_siza7ezd2framez75_16699) <
										(long) (BgL_arg1902z00_13179));
								}
								if (BgL_testz00_26600)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3471z00_4232;

											BgL_arg3471z00_4232 =
												((long) CINT(BgL_bpz00_4230) + ((long) 0));
											VECTOR_SET(BgL_sz00_4229,
												(int) (BgL_arg3471z00_4232), BgL_cz00_4225);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3472z00_4233;

											BgL_arg3472z00_4233 =
												((long) CINT(BgL_bpz00_4230) + ((long) 1));
											VECTOR_SET(BgL_sz00_4229,
												(int) (BgL_arg3472z00_4233), BgL_dz00_4226);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3473z00_4234;

											BgL_arg3473z00_4234 =
												((long) CINT(BgL_bpz00_4230) + ((long) 2));
											VECTOR_SET(BgL_sz00_4229,
												(int) (BgL_arg3473z00_4234), BgL_lastz00_4227);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1412z00_4235;

											BgL_val1412z00_4235 =
												BGl_zc3exitza33477ze3z83zz__evaluate_compz00
												(BgL_bpz00_4230, BgL_sz00_4229, BgL_runz00_16698);
											VECTOR_SET(BgL_sz00_4229, (int) (((long) 0)),
												BgL_bpz00_4230);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1412z00_4235)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1412z00_4235), CDR(BgL_val1412z00_4235));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1412z00_4235;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4242;

										BgL_nsz00_4242 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4242,
											(int) (((long) 1)), BgL_sz00_4229);
										VECTOR_SET(BgL_nsz00_4242,
											(int) (((long) 2)), BgL_cz00_4225);
										VECTOR_SET(BgL_nsz00_4242,
											(int) (((long) 3)), BgL_dz00_4226);
										VECTOR_SET(BgL_nsz00_4242,
											(int) (((long) 4)), BgL_lastz00_4227);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_26636;

											BgL_auxz00_26636 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26636, BgL_nsz00_4242);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1415z00_4244;

											BgL_val1415z00_4244 =
												BGl_zc3exitza33483ze3z83zz__evaluate_compz00
												(BgL_runz00_16698, BgL_nsz00_4242);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_26640;

												BgL_auxz00_26640 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26640, BgL_sz00_4229);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1415z00_4244)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1415z00_4244), CDR(BgL_val1415z00_4244));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1415z00_4244;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3483> */
	obj_t BGl_zc3exitza33483ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17574,
		obj_t BgL_nsz00_17573)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1416z00_4250;

			if (SET_EXIT(BgL_an_exit1416z00_4250))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1416z00_4250 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1416z00_4250, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1417z00_4251;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13225;

								BgL_savedzd2bpzd2_13225 =
									VECTOR_REF(BgL_nsz00_17573, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17573,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13232;

									BgL_fz00_13232 = BgL_runz00_17574;
								BgL_recz00_13231:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13233;

										BgL_rz00_13233 =
											PROCEDURE_ENTRY(BgL_fz00_13232) (BgL_fz00_13232,
											BgL_nsz00_17573, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_26661;

											if (PROCEDUREP(BgL_rz00_13233))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13238;

													BgL_arg1893z00_13238 = PROCEDURE_ATTR(BgL_rz00_13233);
													if (STRUCTP(BgL_arg1893z00_13238))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26661 =
																(STRUCT_KEY(BgL_arg1893z00_13238) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26661 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_26661 = ((bool_t) 0);
												}
											if (BgL_testz00_26661)
												{
													obj_t BgL_fz00_26669;

													BgL_fz00_26669 = BgL_rz00_13233;
													BgL_fz00_13232 = BgL_fz00_26669;
													goto BgL_recz00_13231;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17573,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13225);
													BgL_val1417z00_4251 = BgL_rz00_13233;
							}}}}}
							POP_EXIT();
							return BgL_val1417z00_4251;
						}
					}
				}
		}
	}



/* <exit:3477> */
	obj_t BGl_zc3exitza33477ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17577,
		obj_t BgL_sz00_17576, obj_t BgL_runz00_17575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1413z00_4240;

			if (SET_EXIT(BgL_an_exit1413z00_4240))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1413z00_4240 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1413z00_4240, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1414z00_4241;

							BgL_val1414z00_4241 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17575,
								BgL_sz00_17576, BgL_bpz00_17577);
							POP_EXIT();
							return BgL_val1414z00_4241;
						}
					}
				}
		}
	}



/* &run5480 */
	obj_t BGl_z62run5480z62zz__evaluate_compz00(obj_t BgL_envz00_16703,
		obj_t BgL_sz00_16708)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_16704;
				obj_t BgL_valza2za2_16705;
				BgL_ev_absz00_bglt BgL_i1253z00_16706;
				obj_t BgL_bodyz00_16707;

				BgL_siza7eza7_16704 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16703, (int) (((long) 0))));
				BgL_valza2za2_16705 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16703, (int) (((long) 1))));
				BgL_i1253z00_16706 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16703, (int) (((long) 2))));
				BgL_bodyz00_16707 = PROCEDURE_REF(BgL_envz00_16703, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4253;

					BgL_sz00_4253 = BgL_sz00_16708;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4255;

						BgL_bpz00_4255 = VECTOR_REF(BgL_sz00_4253, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4253,
							BgL_valza2za2_16705,
							((long) CINT(BgL_bpz00_4255) + BgL_siza7eza7_16704));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4257;
							obj_t BgL_wherez00_4258;
							obj_t BgL_locz00_4259;

							BgL_z12denvz12_4257 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4258 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16706))->BgL_wherez00);
							BgL_locz00_4259 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16706))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4257, BgL_wherez00_4258,
									BgL_locz00_4259);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4260;

									BgL_za2za2resza2za2z00_4260 =
										PROCEDURE_ENTRY(BgL_bodyz00_16707) (BgL_bodyz00_16707,
										BgL_sz00_4253, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4257);
									return BgL_za2za2resza2za2z00_4260;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3486> */
	obj_t BGl_z62zc3anonymousza33486ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16709, obj_t BgL_sz00_16716)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16710;
				obj_t BgL_iboxesz00_16711;
				long BgL_siza7eza7_16712;
				BgL_ev_absz00_bglt BgL_i1253z00_16713;
				obj_t BgL_bodyz00_16714;
				long BgL_siza7ezd2framez75_16715;

				BgL_ifreesz00_16710 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16709, (int) (((long) 0))));
				BgL_iboxesz00_16711 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16709, (int) (((long) 1))));
				BgL_siza7eza7_16712 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16709, (int) (((long) 2))));
				BgL_i1253z00_16713 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16709, (int) (((long) 3))));
				BgL_bodyz00_16714 = PROCEDURE_REF(BgL_envz00_16709, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16715 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16709, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4262;

					BgL_sz00_4262 = BgL_sz00_16716;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4264;

						BgL_bpz00_4264 = VECTOR_REF(BgL_sz00_4262, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4265;

							BgL_valza2za2_4265 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4262,
								BgL_bpz00_4264, BgL_ifreesz00_16710);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16154;

								BgL_runz00_16154 =
									MAKE_FX_PROCEDURE(BGl_z62run5482z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 0)), BgL_iboxesz00_16711);
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16712));
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 2)), BgL_valza2za2_4265);
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_16713));
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 4)), BgL_bodyz00_16714);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16155;

									BgL_mainz00_16155 =
										MAKE_VA_PROCEDURE(BGl_z62main5481z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 0)), BgL_iboxesz00_16711);
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16712));
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 2)), BgL_valza2za2_4265);
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_16713));
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 4)), BgL_bodyz00_16714);
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 5)), BgL_runz00_16154);
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16715));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_13365;

										BgL_objz00_13365 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16154, BgL_objz00_13365);
										BgL_objz00_13365;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3487z00_4268;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3488z00_4269;

											BgL_arg3488z00_4269 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16713))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_13369;

												BgL_newz00_13369 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26762;

													BgL_auxz00_26762 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13369, BgL_auxz00_26762,
														BgL_arg3488z00_4269);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26767;
													int BgL_auxz00_26765;

													BgL_auxz00_26767 = BINT(BgL_siza7ezd2framez75_16715);
													BgL_auxz00_26765 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13369, BgL_auxz00_26765,
														BgL_auxz00_26767);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26770;

													BgL_auxz00_26770 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13369, BgL_auxz00_26770,
														BgL_runz00_16154);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26775;
													int BgL_auxz00_26773;

													BgL_auxz00_26775 = BINT(((long) -3));
													BgL_auxz00_26773 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13369, BgL_auxz00_26773,
														BgL_auxz00_26775);
												}
												BgL_arg3487z00_4268 = BgL_newz00_13369;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16155, BgL_arg3487z00_4268);
										BgL_arg3487z00_4268;
									}
									return BgL_mainz00_16155;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5481 */
	obj_t BGl_z62main5481z62zz__evaluate_compz00(obj_t BgL_envz00_16717,
		obj_t BgL_cz00_16725, obj_t BgL_dz00_16726, obj_t BgL_lastz00_16727)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16723;
				long BgL_siza7ezd2framez75_16724;

				BgL_runz00_16723 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16717, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16724 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16717, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4270;
					obj_t BgL_dz00_4271;
					obj_t BgL_lastz00_4272;

					BgL_cz00_4270 = BgL_cz00_16725;
					BgL_dz00_4271 = BgL_dz00_16726;
					BgL_lastz00_4272 = BgL_lastz00_16727;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4274;

						BgL_sz00_4274 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4275;

							BgL_bpz00_4275 = VECTOR_REF(BgL_sz00_4274, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_26788;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_13291;

									BgL_arg1902z00_13291 = VECTOR_LENGTH(BgL_sz00_4274);
									BgL_testz00_26788 =
										(
										((long) CINT(BgL_bpz00_4275) +
											BgL_siza7ezd2framez75_16724) <
										(long) (BgL_arg1902z00_13291));
								}
								if (BgL_testz00_26788)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3491z00_4277;

											BgL_arg3491z00_4277 =
												((long) CINT(BgL_bpz00_4275) + ((long) 0));
											VECTOR_SET(BgL_sz00_4274,
												(int) (BgL_arg3491z00_4277), BgL_cz00_4270);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3492z00_4278;

											BgL_arg3492z00_4278 =
												((long) CINT(BgL_bpz00_4275) + ((long) 1));
											VECTOR_SET(BgL_sz00_4274,
												(int) (BgL_arg3492z00_4278), BgL_dz00_4271);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3493z00_4279;

											BgL_arg3493z00_4279 =
												((long) CINT(BgL_bpz00_4275) + ((long) 2));
											VECTOR_SET(BgL_sz00_4274,
												(int) (BgL_arg3493z00_4279), BgL_lastz00_4272);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1418z00_4280;

											BgL_val1418z00_4280 =
												BGl_zc3exitza33497ze3z83zz__evaluate_compz00
												(BgL_bpz00_4275, BgL_sz00_4274, BgL_runz00_16723);
											VECTOR_SET(BgL_sz00_4274, (int) (((long) 0)),
												BgL_bpz00_4275);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1418z00_4280)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1418z00_4280), CDR(BgL_val1418z00_4280));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1418z00_4280;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4287;

										BgL_nsz00_4287 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4287,
											(int) (((long) 1)), BgL_sz00_4274);
										VECTOR_SET(BgL_nsz00_4287,
											(int) (((long) 2)), BgL_cz00_4270);
										VECTOR_SET(BgL_nsz00_4287,
											(int) (((long) 3)), BgL_dz00_4271);
										VECTOR_SET(BgL_nsz00_4287,
											(int) (((long) 4)), BgL_lastz00_4272);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_26824;

											BgL_auxz00_26824 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26824, BgL_nsz00_4287);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1421z00_4289;

											BgL_val1421z00_4289 =
												BGl_zc3exitza33503ze3z83zz__evaluate_compz00
												(BgL_runz00_16723, BgL_nsz00_4287);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_26828;

												BgL_auxz00_26828 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26828, BgL_sz00_4274);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1421z00_4289)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1421z00_4289), CDR(BgL_val1421z00_4289));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1421z00_4289;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3503> */
	obj_t BGl_zc3exitza33503ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17569,
		obj_t BgL_nsz00_17568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1422z00_4295;

			if (SET_EXIT(BgL_an_exit1422z00_4295))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1422z00_4295 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1422z00_4295, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1423z00_4296;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_13337;

								BgL_savedzd2bpzd2_13337 =
									VECTOR_REF(BgL_nsz00_17568, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17568,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13344;

									BgL_fz00_13344 = BgL_runz00_17569;
								BgL_recz00_13343:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_13345;

										BgL_rz00_13345 =
											PROCEDURE_ENTRY(BgL_fz00_13344) (BgL_fz00_13344,
											BgL_nsz00_17568, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_26849;

											if (PROCEDUREP(BgL_rz00_13345))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_13350;

													BgL_arg1893z00_13350 = PROCEDURE_ATTR(BgL_rz00_13345);
													if (STRUCTP(BgL_arg1893z00_13350))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26849 =
																(STRUCT_KEY(BgL_arg1893z00_13350) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_26849 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_26849 = ((bool_t) 0);
												}
											if (BgL_testz00_26849)
												{
													obj_t BgL_fz00_26857;

													BgL_fz00_26857 = BgL_rz00_13345;
													BgL_fz00_13344 = BgL_fz00_26857;
													goto BgL_recz00_13343;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17568,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13337);
													BgL_val1423z00_4296 = BgL_rz00_13345;
							}}}}}
							POP_EXIT();
							return BgL_val1423z00_4296;
						}
					}
				}
		}
	}



/* <exit:3497> */
	obj_t BGl_zc3exitza33497ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17572,
		obj_t BgL_sz00_17571, obj_t BgL_runz00_17570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1419z00_4285;

			if (SET_EXIT(BgL_an_exit1419z00_4285))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1419z00_4285 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1419z00_4285, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1420z00_4286;

							BgL_val1420z00_4286 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17570,
								BgL_sz00_17571, BgL_bpz00_17572);
							POP_EXIT();
							return BgL_val1420z00_4286;
						}
					}
				}
		}
	}



/* &run5482 */
	obj_t BGl_z62run5482z62zz__evaluate_compz00(obj_t BgL_envz00_16728,
		obj_t BgL_sz00_16734)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16729;
				long BgL_siza7eza7_16730;
				obj_t BgL_valza2za2_16731;
				BgL_ev_absz00_bglt BgL_i1253z00_16732;
				obj_t BgL_bodyz00_16733;

				BgL_iboxesz00_16729 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 0))));
				BgL_siza7eza7_16730 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 1))));
				BgL_valza2za2_16731 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 2))));
				BgL_i1253z00_16732 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 3))));
				BgL_bodyz00_16733 = PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4298;

					BgL_sz00_4298 = BgL_sz00_16734;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4300;

						BgL_bpz00_4300 = VECTOR_REF(BgL_sz00_4298, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4298,
							BgL_iboxesz00_16729, BgL_bpz00_4300);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4298,
							BgL_valza2za2_16731,
							((long) CINT(BgL_bpz00_4300) + BgL_siza7eza7_16730));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4302;
							obj_t BgL_wherez00_4303;
							obj_t BgL_locz00_4304;

							BgL_z12denvz12_4302 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4303 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16732))->BgL_wherez00);
							BgL_locz00_4304 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16732))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4302, BgL_wherez00_4303,
									BgL_locz00_4304);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4305;

									BgL_za2za2resza2za2z00_4305 =
										PROCEDURE_ENTRY(BgL_bodyz00_16733) (BgL_bodyz00_16733,
										BgL_sz00_4298, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4302);
									return BgL_za2za2resza2za2z00_4305;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3341> */
	obj_t BGl_z62zc3anonymousza33341ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16735, obj_t BgL_sz00_16739)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16736;
				obj_t BgL_bodyz00_16737;
				long BgL_siza7ezd2framez75_16738;

				BgL_i1253z00_16736 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16735, (int) (((long) 0))));
				BgL_bodyz00_16737 = PROCEDURE_REF(BgL_envz00_16735, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16738 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16735, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3955;

					BgL_sz00_3955 = BgL_sz00_16739;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3957;

						BgL_bpz00_3957 = VECTOR_REF(BgL_sz00_3955, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16151;

								BgL_runz00_16151 =
									MAKE_FX_PROCEDURE(BGl_z62run5484z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16151,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16736));
								PROCEDURE_SET(BgL_runz00_16151,
									(int) (((long) 1)), BgL_bodyz00_16737);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16152;

									BgL_mainz00_16152 =
										MAKE_FX_PROCEDURE(BGl_z62main5483z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16736));
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 1)), BgL_bodyz00_16737);
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 2)), BgL_runz00_16151);
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16738));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12601;

										BgL_objz00_12601 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16151, BgL_objz00_12601);
										BgL_objz00_12601;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3342z00_3960;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3343z00_3961;

											BgL_arg3343z00_3961 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16736))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12605;

												BgL_newz00_12605 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26930;

													BgL_auxz00_26930 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12605, BgL_auxz00_26930,
														BgL_arg3343z00_3961);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26935;
													int BgL_auxz00_26933;

													BgL_auxz00_26935 = BINT(BgL_siza7ezd2framez75_16738);
													BgL_auxz00_26933 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12605, BgL_auxz00_26933,
														BgL_auxz00_26935);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_26938;

													BgL_auxz00_26938 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12605, BgL_auxz00_26938,
														BgL_runz00_16151);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_26943;
													int BgL_auxz00_26941;

													BgL_auxz00_26943 = BINT(((long) 2));
													BgL_auxz00_26941 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12605, BgL_auxz00_26941,
														BgL_auxz00_26943);
												}
												BgL_arg3342z00_3960 = BgL_newz00_12605;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16152, BgL_arg3342z00_3960);
										BgL_arg3342z00_3960;
									}
									return BgL_mainz00_16152;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5483 */
	obj_t BGl_z62main5483z62zz__evaluate_compz00(obj_t BgL_envz00_16740,
		obj_t BgL_cz00_16745, obj_t BgL_dz00_16746)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16743;
				long BgL_siza7ezd2framez75_16744;

				BgL_runz00_16743 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16740, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16744 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16740, (int) (((long) 3))));
				{
					obj_t BgL_cz00_3962;
					obj_t BgL_dz00_3963;

					BgL_cz00_3962 = BgL_cz00_16745;
					BgL_dz00_3963 = BgL_dz00_16746;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3965;

						BgL_sz00_3965 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3966;

							BgL_bpz00_3966 = VECTOR_REF(BgL_sz00_3965, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_26956;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12536;

									BgL_arg1902z00_12536 = VECTOR_LENGTH(BgL_sz00_3965);
									BgL_testz00_26956 =
										(
										((long) CINT(BgL_bpz00_3966) +
											BgL_siza7ezd2framez75_16744) <
										(long) (BgL_arg1902z00_12536));
								}
								if (BgL_testz00_26956)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3346z00_3968;

											BgL_arg3346z00_3968 =
												((long) CINT(BgL_bpz00_3966) + ((long) 0));
											VECTOR_SET(BgL_sz00_3965,
												(int) (BgL_arg3346z00_3968), BgL_cz00_3962);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3347z00_3969;

											BgL_arg3347z00_3969 =
												((long) CINT(BgL_bpz00_3966) + ((long) 1));
											VECTOR_SET(BgL_sz00_3965,
												(int) (BgL_arg3347z00_3969), BgL_dz00_3963);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1376z00_3970;

											BgL_val1376z00_3970 =
												BGl_zc3exitza33351ze3z83zz__evaluate_compz00
												(BgL_bpz00_3966, BgL_sz00_3965, BgL_runz00_16743);
											VECTOR_SET(BgL_sz00_3965, (int) (((long) 0)),
												BgL_bpz00_3966);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1376z00_3970)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1376z00_3970), CDR(BgL_val1376z00_3970));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1376z00_3970;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3977;

										BgL_nsz00_3977 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3977,
											(int) (((long) 1)), BgL_sz00_3965);
										VECTOR_SET(BgL_nsz00_3977,
											(int) (((long) 2)), BgL_cz00_3962);
										VECTOR_SET(BgL_nsz00_3977,
											(int) (((long) 3)), BgL_dz00_3963);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_26986;

											BgL_auxz00_26986 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26986, BgL_nsz00_3977);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1379z00_3979;

											BgL_val1379z00_3979 =
												BGl_zc3exitza33357ze3z83zz__evaluate_compz00
												(BgL_runz00_16743, BgL_nsz00_3977);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_26990;

												BgL_auxz00_26990 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26990, BgL_sz00_3965);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1379z00_3979)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1379z00_3979), CDR(BgL_val1379z00_3979));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1379z00_3979;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3357> */
	obj_t BGl_zc3exitza33357ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17564,
		obj_t BgL_nsz00_17563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1380z00_3985;

			if (SET_EXIT(BgL_an_exit1380z00_3985))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1380z00_3985 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1380z00_3985, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1381z00_3986;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12573;

								BgL_savedzd2bpzd2_12573 =
									VECTOR_REF(BgL_nsz00_17563, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17563,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12580;

									BgL_fz00_12580 = BgL_runz00_17564;
								BgL_recz00_12579:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12581;

										BgL_rz00_12581 =
											PROCEDURE_ENTRY(BgL_fz00_12580) (BgL_fz00_12580,
											BgL_nsz00_17563, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_27011;

											if (PROCEDUREP(BgL_rz00_12581))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12586;

													BgL_arg1893z00_12586 = PROCEDURE_ATTR(BgL_rz00_12581);
													if (STRUCTP(BgL_arg1893z00_12586))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27011 =
																(STRUCT_KEY(BgL_arg1893z00_12586) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27011 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_27011 = ((bool_t) 0);
												}
											if (BgL_testz00_27011)
												{
													obj_t BgL_fz00_27019;

													BgL_fz00_27019 = BgL_rz00_12581;
													BgL_fz00_12580 = BgL_fz00_27019;
													goto BgL_recz00_12579;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17563,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12573);
													BgL_val1381z00_3986 = BgL_rz00_12581;
							}}}}}
							POP_EXIT();
							return BgL_val1381z00_3986;
						}
					}
				}
		}
	}



/* <exit:3351> */
	obj_t BGl_zc3exitza33351ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17567,
		obj_t BgL_sz00_17566, obj_t BgL_runz00_17565)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1377z00_3975;

			if (SET_EXIT(BgL_an_exit1377z00_3975))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1377z00_3975 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1377z00_3975, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1378z00_3976;

							BgL_val1378z00_3976 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17565,
								BgL_sz00_17566, BgL_bpz00_17567);
							POP_EXIT();
							return BgL_val1378z00_3976;
						}
					}
				}
		}
	}



/* &run5484 */
	obj_t BGl_z62run5484z62zz__evaluate_compz00(obj_t BgL_envz00_16747,
		obj_t BgL_sz00_16750)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16748;
				obj_t BgL_bodyz00_16749;

				BgL_i1253z00_16748 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16747, (int) (((long) 0))));
				BgL_bodyz00_16749 = PROCEDURE_REF(BgL_envz00_16747, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3988;

					BgL_sz00_3988 = BgL_sz00_16750;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3990;

						BgL_bpz00_3990 = VECTOR_REF(BgL_sz00_3988, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3991;
							obj_t BgL_wherez00_3992;
							obj_t BgL_locz00_3993;

							BgL_z12denvz12_3991 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3992 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16748))->BgL_wherez00);
							BgL_locz00_3993 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16748))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3991, BgL_wherez00_3992,
									BgL_locz00_3993);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3994;

									BgL_za2za2resza2za2z00_3994 =
										PROCEDURE_ENTRY(BgL_bodyz00_16749) (BgL_bodyz00_16749,
										BgL_sz00_3988, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3991);
									return BgL_za2za2resza2za2z00_3994;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3359> */
	obj_t BGl_z62zc3anonymousza33359ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16751, obj_t BgL_sz00_16756)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16752;
				BgL_ev_absz00_bglt BgL_i1253z00_16753;
				obj_t BgL_bodyz00_16754;
				long BgL_siza7ezd2framez75_16755;

				BgL_iboxesz00_16752 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16751, (int) (((long) 0))));
				BgL_i1253z00_16753 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16751, (int) (((long) 1))));
				BgL_bodyz00_16754 = PROCEDURE_REF(BgL_envz00_16751, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16755 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16751, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3996;

					BgL_sz00_3996 = BgL_sz00_16756;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3998;

						BgL_bpz00_3998 = VECTOR_REF(BgL_sz00_3996, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16148;

								BgL_runz00_16148 =
									MAKE_FX_PROCEDURE(BGl_z62run5486z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16148,
									(int) (((long) 0)), BgL_iboxesz00_16752);
								PROCEDURE_SET(BgL_runz00_16148,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16753));
								PROCEDURE_SET(BgL_runz00_16148,
									(int) (((long) 2)), BgL_bodyz00_16754);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16149;

									BgL_mainz00_16149 =
										MAKE_FX_PROCEDURE(BGl_z62main5485z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 0)), BgL_iboxesz00_16752);
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16753));
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 2)), BgL_bodyz00_16754);
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 3)), BgL_runz00_16148);
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16755));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12701;

										BgL_objz00_12701 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16148, BgL_objz00_12701);
										BgL_objz00_12701;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3360z00_4001;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3361z00_4002;

											BgL_arg3361z00_4002 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16753))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12705;

												BgL_newz00_12705 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27086;

													BgL_auxz00_27086 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12705, BgL_auxz00_27086,
														BgL_arg3361z00_4002);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27091;
													int BgL_auxz00_27089;

													BgL_auxz00_27091 = BINT(BgL_siza7ezd2framez75_16755);
													BgL_auxz00_27089 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12705, BgL_auxz00_27089,
														BgL_auxz00_27091);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27094;

													BgL_auxz00_27094 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12705, BgL_auxz00_27094,
														BgL_runz00_16148);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27099;
													int BgL_auxz00_27097;

													BgL_auxz00_27099 = BINT(((long) 2));
													BgL_auxz00_27097 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12705, BgL_auxz00_27097,
														BgL_auxz00_27099);
												}
												BgL_arg3360z00_4001 = BgL_newz00_12705;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16149, BgL_arg3360z00_4001);
										BgL_arg3360z00_4001;
									}
									return BgL_mainz00_16149;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5485 */
	obj_t BGl_z62main5485z62zz__evaluate_compz00(obj_t BgL_envz00_16757,
		obj_t BgL_cz00_16763, obj_t BgL_dz00_16764)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16761;
				long BgL_siza7ezd2framez75_16762;

				BgL_runz00_16761 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16757, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16762 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16757, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4003;
					obj_t BgL_dz00_4004;

					BgL_cz00_4003 = BgL_cz00_16763;
					BgL_dz00_4004 = BgL_dz00_16764;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4006;

						BgL_sz00_4006 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4007;

							BgL_bpz00_4007 = VECTOR_REF(BgL_sz00_4006, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_27112;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12636;

									BgL_arg1902z00_12636 = VECTOR_LENGTH(BgL_sz00_4006);
									BgL_testz00_27112 =
										(
										((long) CINT(BgL_bpz00_4007) +
											BgL_siza7ezd2framez75_16762) <
										(long) (BgL_arg1902z00_12636));
								}
								if (BgL_testz00_27112)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3364z00_4009;

											BgL_arg3364z00_4009 =
												((long) CINT(BgL_bpz00_4007) + ((long) 0));
											VECTOR_SET(BgL_sz00_4006,
												(int) (BgL_arg3364z00_4009), BgL_cz00_4003);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3365z00_4010;

											BgL_arg3365z00_4010 =
												((long) CINT(BgL_bpz00_4007) + ((long) 1));
											VECTOR_SET(BgL_sz00_4006,
												(int) (BgL_arg3365z00_4010), BgL_dz00_4004);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1382z00_4011;

											BgL_val1382z00_4011 =
												BGl_zc3exitza33370ze3z83zz__evaluate_compz00
												(BgL_bpz00_4007, BgL_sz00_4006, BgL_runz00_16761);
											VECTOR_SET(BgL_sz00_4006, (int) (((long) 0)),
												BgL_bpz00_4007);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1382z00_4011)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1382z00_4011), CDR(BgL_val1382z00_4011));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1382z00_4011;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4018;

										BgL_nsz00_4018 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4018,
											(int) (((long) 1)), BgL_sz00_4006);
										VECTOR_SET(BgL_nsz00_4018,
											(int) (((long) 2)), BgL_cz00_4003);
										VECTOR_SET(BgL_nsz00_4018,
											(int) (((long) 3)), BgL_dz00_4004);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_27142;

											BgL_auxz00_27142 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27142, BgL_nsz00_4018);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1385z00_4020;

											BgL_val1385z00_4020 =
												BGl_zc3exitza33377ze3z83zz__evaluate_compz00
												(BgL_runz00_16761, BgL_nsz00_4018);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_27146;

												BgL_auxz00_27146 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27146, BgL_sz00_4006);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1385z00_4020)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1385z00_4020), CDR(BgL_val1385z00_4020));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1385z00_4020;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3377> */
	obj_t BGl_zc3exitza33377ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17559,
		obj_t BgL_nsz00_17558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1386z00_4026;

			if (SET_EXIT(BgL_an_exit1386z00_4026))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1386z00_4026 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1386z00_4026, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1387z00_4027;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12673;

								BgL_savedzd2bpzd2_12673 =
									VECTOR_REF(BgL_nsz00_17558, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17558,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12680;

									BgL_fz00_12680 = BgL_runz00_17559;
								BgL_recz00_12679:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12681;

										BgL_rz00_12681 =
											PROCEDURE_ENTRY(BgL_fz00_12680) (BgL_fz00_12680,
											BgL_nsz00_17558, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_27167;

											if (PROCEDUREP(BgL_rz00_12681))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12686;

													BgL_arg1893z00_12686 = PROCEDURE_ATTR(BgL_rz00_12681);
													if (STRUCTP(BgL_arg1893z00_12686))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27167 =
																(STRUCT_KEY(BgL_arg1893z00_12686) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27167 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_27167 = ((bool_t) 0);
												}
											if (BgL_testz00_27167)
												{
													obj_t BgL_fz00_27175;

													BgL_fz00_27175 = BgL_rz00_12681;
													BgL_fz00_12680 = BgL_fz00_27175;
													goto BgL_recz00_12679;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17558,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12673);
													BgL_val1387z00_4027 = BgL_rz00_12681;
							}}}}}
							POP_EXIT();
							return BgL_val1387z00_4027;
						}
					}
				}
		}
	}



/* <exit:3370> */
	obj_t BGl_zc3exitza33370ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17562,
		obj_t BgL_sz00_17561, obj_t BgL_runz00_17560)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1383z00_4016;

			if (SET_EXIT(BgL_an_exit1383z00_4016))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1383z00_4016 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1383z00_4016, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1384z00_4017;

							BgL_val1384z00_4017 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17560,
								BgL_sz00_17561, BgL_bpz00_17562);
							POP_EXIT();
							return BgL_val1384z00_4017;
						}
					}
				}
		}
	}



/* &run5486 */
	obj_t BGl_z62run5486z62zz__evaluate_compz00(obj_t BgL_envz00_16765,
		obj_t BgL_sz00_16769)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16766;
				BgL_ev_absz00_bglt BgL_i1253z00_16767;
				obj_t BgL_bodyz00_16768;

				BgL_iboxesz00_16766 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 0))));
				BgL_i1253z00_16767 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 1))));
				BgL_bodyz00_16768 = PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4029;

					BgL_sz00_4029 = BgL_sz00_16769;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4031;

						BgL_bpz00_4031 = VECTOR_REF(BgL_sz00_4029, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4029,
							BgL_iboxesz00_16766, BgL_bpz00_4031);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_4032;
							obj_t BgL_wherez00_4033;
							obj_t BgL_locz00_4034;

							BgL_z12denvz12_4032 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4033 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16767))->BgL_wherez00);
							BgL_locz00_4034 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16767))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4032, BgL_wherez00_4033,
									BgL_locz00_4034);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_4035;

									BgL_za2za2resza2za2z00_4035 =
										PROCEDURE_ENTRY(BgL_bodyz00_16768) (BgL_bodyz00_16768,
										BgL_sz00_4029, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4032);
									return BgL_za2za2resza2za2z00_4035;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3381> */
	obj_t BGl_z62zc3anonymousza33381ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16770, obj_t BgL_sz00_16776)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16771;
				long BgL_siza7eza7_16772;
				BgL_ev_absz00_bglt BgL_i1253z00_16773;
				obj_t BgL_bodyz00_16774;
				long BgL_siza7ezd2framez75_16775;

				BgL_ifreesz00_16771 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16770, (int) (((long) 0))));
				BgL_siza7eza7_16772 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16770, (int) (((long) 1))));
				BgL_i1253z00_16773 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16770, (int) (((long) 2))));
				BgL_bodyz00_16774 = PROCEDURE_REF(BgL_envz00_16770, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16775 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16770, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4039;

					BgL_sz00_4039 = BgL_sz00_16776;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4041;

						BgL_bpz00_4041 = VECTOR_REF(BgL_sz00_4039, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4042;

							BgL_valza2za2_4042 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4039,
								BgL_bpz00_4041, BgL_ifreesz00_16771);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16145;

								BgL_runz00_16145 =
									MAKE_FX_PROCEDURE(BGl_z62run5488z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16145,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16772));
								PROCEDURE_SET(BgL_runz00_16145,
									(int) (((long) 1)), BgL_valza2za2_4042);
								PROCEDURE_SET(BgL_runz00_16145,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_16773));
								PROCEDURE_SET(BgL_runz00_16145,
									(int) (((long) 3)), BgL_bodyz00_16774);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16146;

									BgL_mainz00_16146 =
										MAKE_FX_PROCEDURE(BGl_z62main5487z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16772));
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 1)), BgL_valza2za2_4042);
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_16773));
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 3)), BgL_bodyz00_16774);
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 4)), BgL_runz00_16145);
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16775));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12808;

										BgL_objz00_12808 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16145, BgL_objz00_12808);
										BgL_objz00_12808;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3382z00_4045;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3383z00_4046;

											BgL_arg3383z00_4046 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16773))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12812;

												BgL_newz00_12812 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27256;

													BgL_auxz00_27256 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12812, BgL_auxz00_27256,
														BgL_arg3383z00_4046);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27261;
													int BgL_auxz00_27259;

													BgL_auxz00_27261 = BINT(BgL_siza7ezd2framez75_16775);
													BgL_auxz00_27259 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12812, BgL_auxz00_27259,
														BgL_auxz00_27261);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27264;

													BgL_auxz00_27264 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12812, BgL_auxz00_27264,
														BgL_runz00_16145);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27269;
													int BgL_auxz00_27267;

													BgL_auxz00_27269 = BINT(((long) 2));
													BgL_auxz00_27267 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12812, BgL_auxz00_27267,
														BgL_auxz00_27269);
												}
												BgL_arg3382z00_4045 = BgL_newz00_12812;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16146, BgL_arg3382z00_4045);
										BgL_arg3382z00_4045;
									}
									return BgL_mainz00_16146;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5487 */
	obj_t BGl_z62main5487z62zz__evaluate_compz00(obj_t BgL_envz00_16777,
		obj_t BgL_cz00_16784, obj_t BgL_dz00_16785)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16782;
				long BgL_siza7ezd2framez75_16783;

				BgL_runz00_16782 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16777, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16783 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16777, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4047;
					obj_t BgL_dz00_4048;

					BgL_cz00_4047 = BgL_cz00_16784;
					BgL_dz00_4048 = BgL_dz00_16785;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4050;

						BgL_sz00_4050 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4051;

							BgL_bpz00_4051 = VECTOR_REF(BgL_sz00_4050, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_27282;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12743;

									BgL_arg1902z00_12743 = VECTOR_LENGTH(BgL_sz00_4050);
									BgL_testz00_27282 =
										(
										((long) CINT(BgL_bpz00_4051) +
											BgL_siza7ezd2framez75_16783) <
										(long) (BgL_arg1902z00_12743));
								}
								if (BgL_testz00_27282)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3386z00_4053;

											BgL_arg3386z00_4053 =
												((long) CINT(BgL_bpz00_4051) + ((long) 0));
											VECTOR_SET(BgL_sz00_4050,
												(int) (BgL_arg3386z00_4053), BgL_cz00_4047);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3387z00_4054;

											BgL_arg3387z00_4054 =
												((long) CINT(BgL_bpz00_4051) + ((long) 1));
											VECTOR_SET(BgL_sz00_4050,
												(int) (BgL_arg3387z00_4054), BgL_dz00_4048);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1388z00_4055;

											BgL_val1388z00_4055 =
												BGl_zc3exitza33391ze3z83zz__evaluate_compz00
												(BgL_bpz00_4051, BgL_sz00_4050, BgL_runz00_16782);
											VECTOR_SET(BgL_sz00_4050, (int) (((long) 0)),
												BgL_bpz00_4051);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1388z00_4055)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1388z00_4055), CDR(BgL_val1388z00_4055));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1388z00_4055;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4062;

										BgL_nsz00_4062 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4062,
											(int) (((long) 1)), BgL_sz00_4050);
										VECTOR_SET(BgL_nsz00_4062,
											(int) (((long) 2)), BgL_cz00_4047);
										VECTOR_SET(BgL_nsz00_4062,
											(int) (((long) 3)), BgL_dz00_4048);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_27312;

											BgL_auxz00_27312 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27312, BgL_nsz00_4062);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1391z00_4064;

											BgL_val1391z00_4064 =
												BGl_zc3exitza33397ze3z83zz__evaluate_compz00
												(BgL_runz00_16782, BgL_nsz00_4062);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_27316;

												BgL_auxz00_27316 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27316, BgL_sz00_4050);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1391z00_4064)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1391z00_4064), CDR(BgL_val1391z00_4064));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1391z00_4064;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3397> */
	obj_t BGl_zc3exitza33397ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17554,
		obj_t BgL_nsz00_17553)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1392z00_4070;

			if (SET_EXIT(BgL_an_exit1392z00_4070))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1392z00_4070 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1392z00_4070, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1393z00_4071;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12780;

								BgL_savedzd2bpzd2_12780 =
									VECTOR_REF(BgL_nsz00_17553, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17553,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12787;

									BgL_fz00_12787 = BgL_runz00_17554;
								BgL_recz00_12786:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12788;

										BgL_rz00_12788 =
											PROCEDURE_ENTRY(BgL_fz00_12787) (BgL_fz00_12787,
											BgL_nsz00_17553, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_27337;

											if (PROCEDUREP(BgL_rz00_12788))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12793;

													BgL_arg1893z00_12793 = PROCEDURE_ATTR(BgL_rz00_12788);
													if (STRUCTP(BgL_arg1893z00_12793))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27337 =
																(STRUCT_KEY(BgL_arg1893z00_12793) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27337 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_27337 = ((bool_t) 0);
												}
											if (BgL_testz00_27337)
												{
													obj_t BgL_fz00_27345;

													BgL_fz00_27345 = BgL_rz00_12788;
													BgL_fz00_12787 = BgL_fz00_27345;
													goto BgL_recz00_12786;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17553,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12780);
													BgL_val1393z00_4071 = BgL_rz00_12788;
							}}}}}
							POP_EXIT();
							return BgL_val1393z00_4071;
						}
					}
				}
		}
	}



/* <exit:3391> */
	obj_t BGl_zc3exitza33391ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17557,
		obj_t BgL_sz00_17556, obj_t BgL_runz00_17555)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1389z00_4060;

			if (SET_EXIT(BgL_an_exit1389z00_4060))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1389z00_4060 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1389z00_4060, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1390z00_4061;

							BgL_val1390z00_4061 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17555,
								BgL_sz00_17556, BgL_bpz00_17557);
							POP_EXIT();
							return BgL_val1390z00_4061;
						}
					}
				}
		}
	}



/* &run5488 */
	obj_t BGl_z62run5488z62zz__evaluate_compz00(obj_t BgL_envz00_16786,
		obj_t BgL_sz00_16791)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_16787;
				obj_t BgL_valza2za2_16788;
				BgL_ev_absz00_bglt BgL_i1253z00_16789;
				obj_t BgL_bodyz00_16790;

				BgL_siza7eza7_16787 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16786, (int) (((long) 0))));
				BgL_valza2za2_16788 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16786, (int) (((long) 1))));
				BgL_i1253z00_16789 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16786, (int) (((long) 2))));
				BgL_bodyz00_16790 = PROCEDURE_REF(BgL_envz00_16786, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4073;

					BgL_sz00_4073 = BgL_sz00_16791;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4075;

						BgL_bpz00_4075 = VECTOR_REF(BgL_sz00_4073, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4073,
							BgL_valza2za2_16788,
							((long) CINT(BgL_bpz00_4075) + BgL_siza7eza7_16787));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4077;
							obj_t BgL_wherez00_4078;
							obj_t BgL_locz00_4079;

							BgL_z12denvz12_4077 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4078 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16789))->BgL_wherez00);
							BgL_locz00_4079 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16789))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4077, BgL_wherez00_4078,
									BgL_locz00_4079);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4080;

									BgL_za2za2resza2za2z00_4080 =
										PROCEDURE_ENTRY(BgL_bodyz00_16790) (BgL_bodyz00_16790,
										BgL_sz00_4073, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4077);
									return BgL_za2za2resza2za2z00_4080;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3400> */
	obj_t BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16792, obj_t BgL_sz00_16799)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16793;
				obj_t BgL_iboxesz00_16794;
				long BgL_siza7eza7_16795;
				BgL_ev_absz00_bglt BgL_i1253z00_16796;
				obj_t BgL_bodyz00_16797;
				long BgL_siza7ezd2framez75_16798;

				BgL_ifreesz00_16793 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 0))));
				BgL_iboxesz00_16794 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 1))));
				BgL_siza7eza7_16795 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 2))));
				BgL_i1253z00_16796 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 3))));
				BgL_bodyz00_16797 = PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16798 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4082;

					BgL_sz00_4082 = BgL_sz00_16799;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4084;

						BgL_bpz00_4084 = VECTOR_REF(BgL_sz00_4082, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_4085;

							BgL_valza2za2_4085 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4082,
								BgL_bpz00_4084, BgL_ifreesz00_16793);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16142;

								BgL_runz00_16142 =
									MAKE_FX_PROCEDURE(BGl_z62run5490z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 0)), BgL_iboxesz00_16794);
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16795));
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 2)), BgL_valza2za2_4085);
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_16796));
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 4)), BgL_bodyz00_16797);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16143;

									BgL_mainz00_16143 =
										MAKE_FX_PROCEDURE(BGl_z62main5489z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 0)), BgL_iboxesz00_16794);
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16795));
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 2)), BgL_valza2za2_4085);
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_16796));
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 4)), BgL_bodyz00_16797);
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 5)), BgL_runz00_16142);
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16798));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12911;

										BgL_objz00_12911 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16142, BgL_objz00_12911);
										BgL_objz00_12911;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3401z00_4088;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3402z00_4089;

											BgL_arg3402z00_4089 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16796))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12915;

												BgL_newz00_12915 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27438;

													BgL_auxz00_27438 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12915, BgL_auxz00_27438,
														BgL_arg3402z00_4089);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27443;
													int BgL_auxz00_27441;

													BgL_auxz00_27443 = BINT(BgL_siza7ezd2framez75_16798);
													BgL_auxz00_27441 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12915, BgL_auxz00_27441,
														BgL_auxz00_27443);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27446;

													BgL_auxz00_27446 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12915, BgL_auxz00_27446,
														BgL_runz00_16142);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27451;
													int BgL_auxz00_27449;

													BgL_auxz00_27451 = BINT(((long) 2));
													BgL_auxz00_27449 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12915, BgL_auxz00_27449,
														BgL_auxz00_27451);
												}
												BgL_arg3401z00_4088 = BgL_newz00_12915;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16143, BgL_arg3401z00_4088);
										BgL_arg3401z00_4088;
									}
									return BgL_mainz00_16143;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5489 */
	obj_t BGl_z62main5489z62zz__evaluate_compz00(obj_t BgL_envz00_16800,
		obj_t BgL_cz00_16808, obj_t BgL_dz00_16809)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16806;
				long BgL_siza7ezd2framez75_16807;

				BgL_runz00_16806 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16800, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16807 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16800, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4090;
					obj_t BgL_dz00_4091;

					BgL_cz00_4090 = BgL_cz00_16808;
					BgL_dz00_4091 = BgL_dz00_16809;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_4093;

						BgL_sz00_4093 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_4094;

							BgL_bpz00_4094 = VECTOR_REF(BgL_sz00_4093, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_27464;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12846;

									BgL_arg1902z00_12846 = VECTOR_LENGTH(BgL_sz00_4093);
									BgL_testz00_27464 =
										(
										((long) CINT(BgL_bpz00_4094) +
											BgL_siza7ezd2framez75_16807) <
										(long) (BgL_arg1902z00_12846));
								}
								if (BgL_testz00_27464)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3405z00_4096;

											BgL_arg3405z00_4096 =
												((long) CINT(BgL_bpz00_4094) + ((long) 0));
											VECTOR_SET(BgL_sz00_4093,
												(int) (BgL_arg3405z00_4096), BgL_cz00_4090);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3406z00_4097;

											BgL_arg3406z00_4097 =
												((long) CINT(BgL_bpz00_4094) + ((long) 1));
											VECTOR_SET(BgL_sz00_4093,
												(int) (BgL_arg3406z00_4097), BgL_dz00_4091);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1394z00_4098;

											BgL_val1394z00_4098 =
												BGl_zc3exitza33410ze3z83zz__evaluate_compz00
												(BgL_bpz00_4094, BgL_sz00_4093, BgL_runz00_16806);
											VECTOR_SET(BgL_sz00_4093, (int) (((long) 0)),
												BgL_bpz00_4094);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1394z00_4098)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1394z00_4098), CDR(BgL_val1394z00_4098));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1394z00_4098;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_4105;

										BgL_nsz00_4105 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4105,
											(int) (((long) 1)), BgL_sz00_4093);
										VECTOR_SET(BgL_nsz00_4105,
											(int) (((long) 2)), BgL_cz00_4090);
										VECTOR_SET(BgL_nsz00_4105,
											(int) (((long) 3)), BgL_dz00_4091);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_27494;

											BgL_auxz00_27494 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27494, BgL_nsz00_4105);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1397z00_4107;

											BgL_val1397z00_4107 =
												BGl_zc3exitza33418ze3z83zz__evaluate_compz00
												(BgL_runz00_16806, BgL_nsz00_4105);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_27498;

												BgL_auxz00_27498 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27498, BgL_sz00_4093);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1397z00_4107)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1397z00_4107), CDR(BgL_val1397z00_4107));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1397z00_4107;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3418> */
	obj_t BGl_zc3exitza33418ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17549,
		obj_t BgL_nsz00_17548)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1398z00_4113;

			if (SET_EXIT(BgL_an_exit1398z00_4113))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1398z00_4113 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1398z00_4113, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1399z00_4114;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12883;

								BgL_savedzd2bpzd2_12883 =
									VECTOR_REF(BgL_nsz00_17548, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17548,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12890;

									BgL_fz00_12890 = BgL_runz00_17549;
								BgL_recz00_12889:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12891;

										BgL_rz00_12891 =
											PROCEDURE_ENTRY(BgL_fz00_12890) (BgL_fz00_12890,
											BgL_nsz00_17548, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_27519;

											if (PROCEDUREP(BgL_rz00_12891))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12896;

													BgL_arg1893z00_12896 = PROCEDURE_ATTR(BgL_rz00_12891);
													if (STRUCTP(BgL_arg1893z00_12896))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27519 =
																(STRUCT_KEY(BgL_arg1893z00_12896) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27519 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_27519 = ((bool_t) 0);
												}
											if (BgL_testz00_27519)
												{
													obj_t BgL_fz00_27527;

													BgL_fz00_27527 = BgL_rz00_12891;
													BgL_fz00_12890 = BgL_fz00_27527;
													goto BgL_recz00_12889;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17548,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12883);
													BgL_val1399z00_4114 = BgL_rz00_12891;
							}}}}}
							POP_EXIT();
							return BgL_val1399z00_4114;
						}
					}
				}
		}
	}



/* <exit:3410> */
	obj_t BGl_zc3exitza33410ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17552,
		obj_t BgL_sz00_17551, obj_t BgL_runz00_17550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1395z00_4103;

			if (SET_EXIT(BgL_an_exit1395z00_4103))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1395z00_4103 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1395z00_4103, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1396z00_4104;

							BgL_val1396z00_4104 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17550,
								BgL_sz00_17551, BgL_bpz00_17552);
							POP_EXIT();
							return BgL_val1396z00_4104;
						}
					}
				}
		}
	}



/* &run5490 */
	obj_t BGl_z62run5490z62zz__evaluate_compz00(obj_t BgL_envz00_16810,
		obj_t BgL_sz00_16816)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16811;
				long BgL_siza7eza7_16812;
				obj_t BgL_valza2za2_16813;
				BgL_ev_absz00_bglt BgL_i1253z00_16814;
				obj_t BgL_bodyz00_16815;

				BgL_iboxesz00_16811 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16810, (int) (((long) 0))));
				BgL_siza7eza7_16812 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16810, (int) (((long) 1))));
				BgL_valza2za2_16813 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16810, (int) (((long) 2))));
				BgL_i1253z00_16814 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16810, (int) (((long) 3))));
				BgL_bodyz00_16815 = PROCEDURE_REF(BgL_envz00_16810, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4116;

					BgL_sz00_4116 = BgL_sz00_16816;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_4118;

						BgL_bpz00_4118 = VECTOR_REF(BgL_sz00_4116, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4116,
							BgL_iboxesz00_16811, BgL_bpz00_4118);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4116,
							BgL_valza2za2_16813,
							((long) CINT(BgL_bpz00_4118) + BgL_siza7eza7_16812));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_4120;
							obj_t BgL_wherez00_4121;
							obj_t BgL_locz00_4122;

							BgL_z12denvz12_4120 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4121 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16814))->BgL_wherez00);
							BgL_locz00_4122 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16814))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4120, BgL_wherez00_4121,
									BgL_locz00_4122);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_4123;

									BgL_za2za2resza2za2z00_4123 =
										PROCEDURE_ENTRY(BgL_bodyz00_16815) (BgL_bodyz00_16815,
										BgL_sz00_4116, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4120);
									return BgL_za2za2resza2za2z00_4123;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3261> */
	obj_t BGl_z62zc3anonymousza33261ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16817, obj_t BgL_sz00_16821)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16818;
				obj_t BgL_bodyz00_16819;
				long BgL_siza7ezd2framez75_16820;

				BgL_i1253z00_16818 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16817, (int) (((long) 0))));
				BgL_bodyz00_16819 = PROCEDURE_REF(BgL_envz00_16817, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16820 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16817, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3781;

					BgL_sz00_3781 = BgL_sz00_16821;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3783;

						BgL_bpz00_3783 = VECTOR_REF(BgL_sz00_3781, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16139;

								BgL_runz00_16139 =
									MAKE_FX_PROCEDURE(BGl_z62run5492z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16139,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16818));
								PROCEDURE_SET(BgL_runz00_16139,
									(int) (((long) 1)), BgL_bodyz00_16819);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16140;

									BgL_mainz00_16140 =
										MAKE_VA_PROCEDURE(BGl_z62main5491z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16818));
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 1)), BgL_bodyz00_16819);
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 2)), BgL_runz00_16139);
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16820));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12183;

										BgL_objz00_12183 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16139, BgL_objz00_12183);
										BgL_objz00_12183;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3262z00_3786;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3263z00_3787;

											BgL_arg3263z00_3787 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16818))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12187;

												BgL_newz00_12187 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27600;

													BgL_auxz00_27600 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12187, BgL_auxz00_27600,
														BgL_arg3263z00_3787);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27605;
													int BgL_auxz00_27603;

													BgL_auxz00_27605 = BINT(BgL_siza7ezd2framez75_16820);
													BgL_auxz00_27603 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12187, BgL_auxz00_27603,
														BgL_auxz00_27605);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27608;

													BgL_auxz00_27608 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12187, BgL_auxz00_27608,
														BgL_runz00_16139);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27613;
													int BgL_auxz00_27611;

													BgL_auxz00_27613 = BINT(((long) -2));
													BgL_auxz00_27611 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12187, BgL_auxz00_27611,
														BgL_auxz00_27613);
												}
												BgL_arg3262z00_3786 = BgL_newz00_12187;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16140, BgL_arg3262z00_3786);
										BgL_arg3262z00_3786;
									}
									return BgL_mainz00_16140;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5491 */
	obj_t BGl_z62main5491z62zz__evaluate_compz00(obj_t BgL_envz00_16822,
		obj_t BgL_dz00_16827, obj_t BgL_lastz00_16828)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16825;
				long BgL_siza7ezd2framez75_16826;

				BgL_runz00_16825 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16822, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16826 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16822, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3788;
					obj_t BgL_lastz00_3789;

					BgL_dz00_3788 = BgL_dz00_16827;
					BgL_lastz00_3789 = BgL_lastz00_16828;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3791;

						BgL_sz00_3791 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3792;

							BgL_bpz00_3792 = VECTOR_REF(BgL_sz00_3791, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_27626;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12118;

									BgL_arg1902z00_12118 = VECTOR_LENGTH(BgL_sz00_3791);
									BgL_testz00_27626 =
										(
										((long) CINT(BgL_bpz00_3792) +
											BgL_siza7ezd2framez75_16826) <
										(long) (BgL_arg1902z00_12118));
								}
								if (BgL_testz00_27626)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3266z00_3794;

											BgL_arg3266z00_3794 =
												((long) CINT(BgL_bpz00_3792) + ((long) 0));
											VECTOR_SET(BgL_sz00_3791,
												(int) (BgL_arg3266z00_3794), BgL_dz00_3788);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3267z00_3795;

											BgL_arg3267z00_3795 =
												((long) CINT(BgL_bpz00_3792) + ((long) 1));
											VECTOR_SET(BgL_sz00_3791,
												(int) (BgL_arg3267z00_3795), BgL_lastz00_3789);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1352z00_3796;

											BgL_val1352z00_3796 =
												BGl_zc3exitza33271ze3z83zz__evaluate_compz00
												(BgL_bpz00_3792, BgL_sz00_3791, BgL_runz00_16825);
											VECTOR_SET(BgL_sz00_3791, (int) (((long) 0)),
												BgL_bpz00_3792);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1352z00_3796)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1352z00_3796), CDR(BgL_val1352z00_3796));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1352z00_3796;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3803;

										BgL_nsz00_3803 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3803,
											(int) (((long) 1)), BgL_sz00_3791);
										VECTOR_SET(BgL_nsz00_3803,
											(int) (((long) 2)), BgL_dz00_3788);
										VECTOR_SET(BgL_nsz00_3803,
											(int) (((long) 3)), BgL_lastz00_3789);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_27656;

											BgL_auxz00_27656 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27656, BgL_nsz00_3803);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1355z00_3805;

											BgL_val1355z00_3805 =
												BGl_zc3exitza33277ze3z83zz__evaluate_compz00
												(BgL_runz00_16825, BgL_nsz00_3803);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_27660;

												BgL_auxz00_27660 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27660, BgL_sz00_3791);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1355z00_3805)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1355z00_3805), CDR(BgL_val1355z00_3805));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1355z00_3805;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3277> */
	obj_t BGl_zc3exitza33277ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17544,
		obj_t BgL_nsz00_17543)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1356z00_3811;

			if (SET_EXIT(BgL_an_exit1356z00_3811))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1356z00_3811 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1356z00_3811, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1357z00_3812;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12155;

								BgL_savedzd2bpzd2_12155 =
									VECTOR_REF(BgL_nsz00_17543, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17543,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12162;

									BgL_fz00_12162 = BgL_runz00_17544;
								BgL_recz00_12161:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12163;

										BgL_rz00_12163 =
											PROCEDURE_ENTRY(BgL_fz00_12162) (BgL_fz00_12162,
											BgL_nsz00_17543, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_27681;

											if (PROCEDUREP(BgL_rz00_12163))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12168;

													BgL_arg1893z00_12168 = PROCEDURE_ATTR(BgL_rz00_12163);
													if (STRUCTP(BgL_arg1893z00_12168))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27681 =
																(STRUCT_KEY(BgL_arg1893z00_12168) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27681 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_27681 = ((bool_t) 0);
												}
											if (BgL_testz00_27681)
												{
													obj_t BgL_fz00_27689;

													BgL_fz00_27689 = BgL_rz00_12163;
													BgL_fz00_12162 = BgL_fz00_27689;
													goto BgL_recz00_12161;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17543,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12155);
													BgL_val1357z00_3812 = BgL_rz00_12163;
							}}}}}
							POP_EXIT();
							return BgL_val1357z00_3812;
						}
					}
				}
		}
	}



/* <exit:3271> */
	obj_t BGl_zc3exitza33271ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17547,
		obj_t BgL_sz00_17546, obj_t BgL_runz00_17545)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1353z00_3801;

			if (SET_EXIT(BgL_an_exit1353z00_3801))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1353z00_3801 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1353z00_3801, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1354z00_3802;

							BgL_val1354z00_3802 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17545,
								BgL_sz00_17546, BgL_bpz00_17547);
							POP_EXIT();
							return BgL_val1354z00_3802;
						}
					}
				}
		}
	}



/* &run5492 */
	obj_t BGl_z62run5492z62zz__evaluate_compz00(obj_t BgL_envz00_16829,
		obj_t BgL_sz00_16832)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16830;
				obj_t BgL_bodyz00_16831;

				BgL_i1253z00_16830 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16829, (int) (((long) 0))));
				BgL_bodyz00_16831 = PROCEDURE_REF(BgL_envz00_16829, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3814;

					BgL_sz00_3814 = BgL_sz00_16832;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3816;

						BgL_bpz00_3816 = VECTOR_REF(BgL_sz00_3814, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3817;
							obj_t BgL_wherez00_3818;
							obj_t BgL_locz00_3819;

							BgL_z12denvz12_3817 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3818 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16830))->BgL_wherez00);
							BgL_locz00_3819 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16830))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3817, BgL_wherez00_3818,
									BgL_locz00_3819);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3820;

									BgL_za2za2resza2za2z00_3820 =
										PROCEDURE_ENTRY(BgL_bodyz00_16831) (BgL_bodyz00_16831,
										BgL_sz00_3814, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3817);
									return BgL_za2za2resza2za2z00_3820;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3279> */
	obj_t BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16833, obj_t BgL_sz00_16838)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16834;
				BgL_ev_absz00_bglt BgL_i1253z00_16835;
				obj_t BgL_bodyz00_16836;
				long BgL_siza7ezd2framez75_16837;

				BgL_iboxesz00_16834 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16833, (int) (((long) 0))));
				BgL_i1253z00_16835 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16833, (int) (((long) 1))));
				BgL_bodyz00_16836 = PROCEDURE_REF(BgL_envz00_16833, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16837 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16833, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3822;

					BgL_sz00_3822 = BgL_sz00_16838;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3824;

						BgL_bpz00_3824 = VECTOR_REF(BgL_sz00_3822, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16136;

								BgL_runz00_16136 =
									MAKE_FX_PROCEDURE(BGl_z62run5494z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16136,
									(int) (((long) 0)), BgL_iboxesz00_16834);
								PROCEDURE_SET(BgL_runz00_16136,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16835));
								PROCEDURE_SET(BgL_runz00_16136,
									(int) (((long) 2)), BgL_bodyz00_16836);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16137;

									BgL_mainz00_16137 =
										MAKE_VA_PROCEDURE(BGl_z62main5493z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 0)), BgL_iboxesz00_16834);
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16835));
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 2)), BgL_bodyz00_16836);
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 3)), BgL_runz00_16136);
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16837));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12283;

										BgL_objz00_12283 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16136, BgL_objz00_12283);
										BgL_objz00_12283;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3280z00_3827;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3281z00_3828;

											BgL_arg3281z00_3828 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16835))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12287;

												BgL_newz00_12287 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27756;

													BgL_auxz00_27756 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12287, BgL_auxz00_27756,
														BgL_arg3281z00_3828);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27761;
													int BgL_auxz00_27759;

													BgL_auxz00_27761 = BINT(BgL_siza7ezd2framez75_16837);
													BgL_auxz00_27759 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12287, BgL_auxz00_27759,
														BgL_auxz00_27761);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27764;

													BgL_auxz00_27764 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12287, BgL_auxz00_27764,
														BgL_runz00_16136);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27769;
													int BgL_auxz00_27767;

													BgL_auxz00_27769 = BINT(((long) -2));
													BgL_auxz00_27767 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12287, BgL_auxz00_27767,
														BgL_auxz00_27769);
												}
												BgL_arg3280z00_3827 = BgL_newz00_12287;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16137, BgL_arg3280z00_3827);
										BgL_arg3280z00_3827;
									}
									return BgL_mainz00_16137;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5493 */
	obj_t BGl_z62main5493z62zz__evaluate_compz00(obj_t BgL_envz00_16839,
		obj_t BgL_dz00_16845, obj_t BgL_lastz00_16846)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16843;
				long BgL_siza7ezd2framez75_16844;

				BgL_runz00_16843 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16839, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16844 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16839, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3829;
					obj_t BgL_lastz00_3830;

					BgL_dz00_3829 = BgL_dz00_16845;
					BgL_lastz00_3830 = BgL_lastz00_16846;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3832;

						BgL_sz00_3832 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3833;

							BgL_bpz00_3833 = VECTOR_REF(BgL_sz00_3832, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_27782;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12218;

									BgL_arg1902z00_12218 = VECTOR_LENGTH(BgL_sz00_3832);
									BgL_testz00_27782 =
										(
										((long) CINT(BgL_bpz00_3833) +
											BgL_siza7ezd2framez75_16844) <
										(long) (BgL_arg1902z00_12218));
								}
								if (BgL_testz00_27782)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3284z00_3835;

											BgL_arg3284z00_3835 =
												((long) CINT(BgL_bpz00_3833) + ((long) 0));
											VECTOR_SET(BgL_sz00_3832,
												(int) (BgL_arg3284z00_3835), BgL_dz00_3829);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3285z00_3836;

											BgL_arg3285z00_3836 =
												((long) CINT(BgL_bpz00_3833) + ((long) 1));
											VECTOR_SET(BgL_sz00_3832,
												(int) (BgL_arg3285z00_3836), BgL_lastz00_3830);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1358z00_3837;

											BgL_val1358z00_3837 =
												BGl_zc3exitza33289ze3z83zz__evaluate_compz00
												(BgL_bpz00_3833, BgL_sz00_3832, BgL_runz00_16843);
											VECTOR_SET(BgL_sz00_3832, (int) (((long) 0)),
												BgL_bpz00_3833);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1358z00_3837)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1358z00_3837), CDR(BgL_val1358z00_3837));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1358z00_3837;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3844;

										BgL_nsz00_3844 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3844,
											(int) (((long) 1)), BgL_sz00_3832);
										VECTOR_SET(BgL_nsz00_3844,
											(int) (((long) 2)), BgL_dz00_3829);
										VECTOR_SET(BgL_nsz00_3844,
											(int) (((long) 3)), BgL_lastz00_3830);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_27812;

											BgL_auxz00_27812 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27812, BgL_nsz00_3844);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1361z00_3846;

											BgL_val1361z00_3846 =
												BGl_zc3exitza33295ze3z83zz__evaluate_compz00
												(BgL_runz00_16843, BgL_nsz00_3844);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_27816;

												BgL_auxz00_27816 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27816, BgL_sz00_3832);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1361z00_3846)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1361z00_3846), CDR(BgL_val1361z00_3846));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1361z00_3846;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3295> */
	obj_t BGl_zc3exitza33295ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17539,
		obj_t BgL_nsz00_17538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1362z00_3852;

			if (SET_EXIT(BgL_an_exit1362z00_3852))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1362z00_3852 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1362z00_3852, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1363z00_3853;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12255;

								BgL_savedzd2bpzd2_12255 =
									VECTOR_REF(BgL_nsz00_17538, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17538,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12262;

									BgL_fz00_12262 = BgL_runz00_17539;
								BgL_recz00_12261:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12263;

										BgL_rz00_12263 =
											PROCEDURE_ENTRY(BgL_fz00_12262) (BgL_fz00_12262,
											BgL_nsz00_17538, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_27837;

											if (PROCEDUREP(BgL_rz00_12263))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12268;

													BgL_arg1893z00_12268 = PROCEDURE_ATTR(BgL_rz00_12263);
													if (STRUCTP(BgL_arg1893z00_12268))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27837 =
																(STRUCT_KEY(BgL_arg1893z00_12268) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_27837 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_27837 = ((bool_t) 0);
												}
											if (BgL_testz00_27837)
												{
													obj_t BgL_fz00_27845;

													BgL_fz00_27845 = BgL_rz00_12263;
													BgL_fz00_12262 = BgL_fz00_27845;
													goto BgL_recz00_12261;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17538,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12255);
													BgL_val1363z00_3853 = BgL_rz00_12263;
							}}}}}
							POP_EXIT();
							return BgL_val1363z00_3853;
						}
					}
				}
		}
	}



/* <exit:3289> */
	obj_t BGl_zc3exitza33289ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17542,
		obj_t BgL_sz00_17541, obj_t BgL_runz00_17540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1359z00_3842;

			if (SET_EXIT(BgL_an_exit1359z00_3842))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1359z00_3842 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1359z00_3842, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1360z00_3843;

							BgL_val1360z00_3843 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17540,
								BgL_sz00_17541, BgL_bpz00_17542);
							POP_EXIT();
							return BgL_val1360z00_3843;
						}
					}
				}
		}
	}



/* &run5494 */
	obj_t BGl_z62run5494z62zz__evaluate_compz00(obj_t BgL_envz00_16847,
		obj_t BgL_sz00_16851)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16848;
				BgL_ev_absz00_bglt BgL_i1253z00_16849;
				obj_t BgL_bodyz00_16850;

				BgL_iboxesz00_16848 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 0))));
				BgL_i1253z00_16849 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 1))));
				BgL_bodyz00_16850 = PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3855;

					BgL_sz00_3855 = BgL_sz00_16851;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3857;

						BgL_bpz00_3857 = VECTOR_REF(BgL_sz00_3855, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3855,
							BgL_iboxesz00_16848, BgL_bpz00_3857);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3858;
							obj_t BgL_wherez00_3859;
							obj_t BgL_locz00_3860;

							BgL_z12denvz12_3858 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3859 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16849))->BgL_wherez00);
							BgL_locz00_3860 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16849))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3858, BgL_wherez00_3859,
									BgL_locz00_3860);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3861;

									BgL_za2za2resza2za2z00_3861 =
										PROCEDURE_ENTRY(BgL_bodyz00_16850) (BgL_bodyz00_16850,
										BgL_sz00_3855, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3858);
									return BgL_za2za2resza2za2z00_3861;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3299> */
	obj_t BGl_z62zc3anonymousza33299ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16852, obj_t BgL_sz00_16858)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16853;
				long BgL_siza7eza7_16854;
				BgL_ev_absz00_bglt BgL_i1253z00_16855;
				obj_t BgL_bodyz00_16856;
				long BgL_siza7ezd2framez75_16857;

				BgL_ifreesz00_16853 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16852, (int) (((long) 0))));
				BgL_siza7eza7_16854 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16852, (int) (((long) 1))));
				BgL_i1253z00_16855 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16852, (int) (((long) 2))));
				BgL_bodyz00_16856 = PROCEDURE_REF(BgL_envz00_16852, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16857 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16852, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3865;

					BgL_sz00_3865 = BgL_sz00_16858;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3867;

						BgL_bpz00_3867 = VECTOR_REF(BgL_sz00_3865, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_3868;

							BgL_valza2za2_3868 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3865,
								BgL_bpz00_3867, BgL_ifreesz00_16853);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16133;

								BgL_runz00_16133 =
									MAKE_FX_PROCEDURE(BGl_z62run5496z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16133,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16854));
								PROCEDURE_SET(BgL_runz00_16133,
									(int) (((long) 1)), BgL_valza2za2_3868);
								PROCEDURE_SET(BgL_runz00_16133,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_16855));
								PROCEDURE_SET(BgL_runz00_16133,
									(int) (((long) 3)), BgL_bodyz00_16856);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16134;

									BgL_mainz00_16134 =
										MAKE_VA_PROCEDURE(BGl_z62main5495z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16854));
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 1)), BgL_valza2za2_3868);
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_16855));
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 3)), BgL_bodyz00_16856);
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 4)), BgL_runz00_16133);
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16857));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12390;

										BgL_objz00_12390 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16133, BgL_objz00_12390);
										BgL_objz00_12390;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3300z00_3871;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3301z00_3872;

											BgL_arg3301z00_3872 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16855))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12394;

												BgL_newz00_12394 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27926;

													BgL_auxz00_27926 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12394, BgL_auxz00_27926,
														BgL_arg3301z00_3872);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27931;
													int BgL_auxz00_27929;

													BgL_auxz00_27931 = BINT(BgL_siza7ezd2framez75_16857);
													BgL_auxz00_27929 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12394, BgL_auxz00_27929,
														BgL_auxz00_27931);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_27934;

													BgL_auxz00_27934 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12394, BgL_auxz00_27934,
														BgL_runz00_16133);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_27939;
													int BgL_auxz00_27937;

													BgL_auxz00_27939 = BINT(((long) -2));
													BgL_auxz00_27937 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12394, BgL_auxz00_27937,
														BgL_auxz00_27939);
												}
												BgL_arg3300z00_3871 = BgL_newz00_12394;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16134, BgL_arg3300z00_3871);
										BgL_arg3300z00_3871;
									}
									return BgL_mainz00_16134;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5495 */
	obj_t BGl_z62main5495z62zz__evaluate_compz00(obj_t BgL_envz00_16859,
		obj_t BgL_dz00_16866, obj_t BgL_lastz00_16867)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16864;
				long BgL_siza7ezd2framez75_16865;

				BgL_runz00_16864 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16859, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16865 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16859, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3873;
					obj_t BgL_lastz00_3874;

					BgL_dz00_3873 = BgL_dz00_16866;
					BgL_lastz00_3874 = BgL_lastz00_16867;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3876;

						BgL_sz00_3876 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3877;

							BgL_bpz00_3877 = VECTOR_REF(BgL_sz00_3876, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_27952;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12325;

									BgL_arg1902z00_12325 = VECTOR_LENGTH(BgL_sz00_3876);
									BgL_testz00_27952 =
										(
										((long) CINT(BgL_bpz00_3877) +
											BgL_siza7ezd2framez75_16865) <
										(long) (BgL_arg1902z00_12325));
								}
								if (BgL_testz00_27952)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3304z00_3879;

											BgL_arg3304z00_3879 =
												((long) CINT(BgL_bpz00_3877) + ((long) 0));
											VECTOR_SET(BgL_sz00_3876,
												(int) (BgL_arg3304z00_3879), BgL_dz00_3873);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3305z00_3880;

											BgL_arg3305z00_3880 =
												((long) CINT(BgL_bpz00_3877) + ((long) 1));
											VECTOR_SET(BgL_sz00_3876,
												(int) (BgL_arg3305z00_3880), BgL_lastz00_3874);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1364z00_3881;

											BgL_val1364z00_3881 =
												BGl_zc3exitza33309ze3z83zz__evaluate_compz00
												(BgL_bpz00_3877, BgL_sz00_3876, BgL_runz00_16864);
											VECTOR_SET(BgL_sz00_3876, (int) (((long) 0)),
												BgL_bpz00_3877);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1364z00_3881)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1364z00_3881), CDR(BgL_val1364z00_3881));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1364z00_3881;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3888;

										BgL_nsz00_3888 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3888,
											(int) (((long) 1)), BgL_sz00_3876);
										VECTOR_SET(BgL_nsz00_3888,
											(int) (((long) 2)), BgL_dz00_3873);
										VECTOR_SET(BgL_nsz00_3888,
											(int) (((long) 3)), BgL_lastz00_3874);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_27982;

											BgL_auxz00_27982 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27982, BgL_nsz00_3888);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1367z00_3890;

											BgL_val1367z00_3890 =
												BGl_zc3exitza33315ze3z83zz__evaluate_compz00
												(BgL_runz00_16864, BgL_nsz00_3888);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_27986;

												BgL_auxz00_27986 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27986, BgL_sz00_3876);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1367z00_3890)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1367z00_3890), CDR(BgL_val1367z00_3890));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1367z00_3890;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3315> */
	obj_t BGl_zc3exitza33315ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17534,
		obj_t BgL_nsz00_17533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1368z00_3896;

			if (SET_EXIT(BgL_an_exit1368z00_3896))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1368z00_3896 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1368z00_3896, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1369z00_3897;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12362;

								BgL_savedzd2bpzd2_12362 =
									VECTOR_REF(BgL_nsz00_17533, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17533,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12369;

									BgL_fz00_12369 = BgL_runz00_17534;
								BgL_recz00_12368:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12370;

										BgL_rz00_12370 =
											PROCEDURE_ENTRY(BgL_fz00_12369) (BgL_fz00_12369,
											BgL_nsz00_17533, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_28007;

											if (PROCEDUREP(BgL_rz00_12370))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12375;

													BgL_arg1893z00_12375 = PROCEDURE_ATTR(BgL_rz00_12370);
													if (STRUCTP(BgL_arg1893z00_12375))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28007 =
																(STRUCT_KEY(BgL_arg1893z00_12375) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28007 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_28007 = ((bool_t) 0);
												}
											if (BgL_testz00_28007)
												{
													obj_t BgL_fz00_28015;

													BgL_fz00_28015 = BgL_rz00_12370;
													BgL_fz00_12369 = BgL_fz00_28015;
													goto BgL_recz00_12368;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17533,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12362);
													BgL_val1369z00_3897 = BgL_rz00_12370;
							}}}}}
							POP_EXIT();
							return BgL_val1369z00_3897;
						}
					}
				}
		}
	}



/* <exit:3309> */
	obj_t BGl_zc3exitza33309ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17537,
		obj_t BgL_sz00_17536, obj_t BgL_runz00_17535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1365z00_3886;

			if (SET_EXIT(BgL_an_exit1365z00_3886))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1365z00_3886 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1365z00_3886, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1366z00_3887;

							BgL_val1366z00_3887 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17535,
								BgL_sz00_17536, BgL_bpz00_17537);
							POP_EXIT();
							return BgL_val1366z00_3887;
						}
					}
				}
		}
	}



/* &run5496 */
	obj_t BGl_z62run5496z62zz__evaluate_compz00(obj_t BgL_envz00_16868,
		obj_t BgL_sz00_16873)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_16869;
				obj_t BgL_valza2za2_16870;
				BgL_ev_absz00_bglt BgL_i1253z00_16871;
				obj_t BgL_bodyz00_16872;

				BgL_siza7eza7_16869 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16868, (int) (((long) 0))));
				BgL_valza2za2_16870 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16868, (int) (((long) 1))));
				BgL_i1253z00_16871 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16868, (int) (((long) 2))));
				BgL_bodyz00_16872 = PROCEDURE_REF(BgL_envz00_16868, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3899;

					BgL_sz00_3899 = BgL_sz00_16873;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3901;

						BgL_bpz00_3901 = VECTOR_REF(BgL_sz00_3899, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3899,
							BgL_valza2za2_16870,
							((long) CINT(BgL_bpz00_3901) + BgL_siza7eza7_16869));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_3903;
							obj_t BgL_wherez00_3904;
							obj_t BgL_locz00_3905;

							BgL_z12denvz12_3903 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3904 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16871))->BgL_wherez00);
							BgL_locz00_3905 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16871))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3903, BgL_wherez00_3904,
									BgL_locz00_3905);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_3906;

									BgL_za2za2resza2za2z00_3906 =
										PROCEDURE_ENTRY(BgL_bodyz00_16872) (BgL_bodyz00_16872,
										BgL_sz00_3899, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3903);
									return BgL_za2za2resza2za2z00_3906;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3318> */
	obj_t BGl_z62zc3anonymousza33318ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16874, obj_t BgL_sz00_16881)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16875;
				obj_t BgL_iboxesz00_16876;
				long BgL_siza7eza7_16877;
				BgL_ev_absz00_bglt BgL_i1253z00_16878;
				obj_t BgL_bodyz00_16879;
				long BgL_siza7ezd2framez75_16880;

				BgL_ifreesz00_16875 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16874, (int) (((long) 0))));
				BgL_iboxesz00_16876 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16874, (int) (((long) 1))));
				BgL_siza7eza7_16877 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16874, (int) (((long) 2))));
				BgL_i1253z00_16878 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16874, (int) (((long) 3))));
				BgL_bodyz00_16879 = PROCEDURE_REF(BgL_envz00_16874, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16880 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16874, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3908;

					BgL_sz00_3908 = BgL_sz00_16881;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3910;

						BgL_bpz00_3910 = VECTOR_REF(BgL_sz00_3908, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_3911;

							BgL_valza2za2_3911 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3908,
								BgL_bpz00_3910, BgL_ifreesz00_16875);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16130;

								BgL_runz00_16130 =
									MAKE_FX_PROCEDURE(BGl_z62run5498z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 0)), BgL_iboxesz00_16876);
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16877));
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 2)), BgL_valza2za2_3911);
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_16878));
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 4)), BgL_bodyz00_16879);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16131;

									BgL_mainz00_16131 =
										MAKE_VA_PROCEDURE(BGl_z62main5497z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 0)), BgL_iboxesz00_16876);
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16877));
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 2)), BgL_valza2za2_3911);
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_16878));
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 4)), BgL_bodyz00_16879);
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 5)), BgL_runz00_16130);
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16880));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12493;

										BgL_objz00_12493 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16130, BgL_objz00_12493);
										BgL_objz00_12493;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3319z00_3914;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3320z00_3915;

											BgL_arg3320z00_3915 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16878))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12497;

												BgL_newz00_12497 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28108;

													BgL_auxz00_28108 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12497, BgL_auxz00_28108,
														BgL_arg3320z00_3915);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28113;
													int BgL_auxz00_28111;

													BgL_auxz00_28113 = BINT(BgL_siza7ezd2framez75_16880);
													BgL_auxz00_28111 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12497, BgL_auxz00_28111,
														BgL_auxz00_28113);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28116;

													BgL_auxz00_28116 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12497, BgL_auxz00_28116,
														BgL_runz00_16130);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28121;
													int BgL_auxz00_28119;

													BgL_auxz00_28121 = BINT(((long) -2));
													BgL_auxz00_28119 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12497, BgL_auxz00_28119,
														BgL_auxz00_28121);
												}
												BgL_arg3319z00_3914 = BgL_newz00_12497;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16131, BgL_arg3319z00_3914);
										BgL_arg3319z00_3914;
									}
									return BgL_mainz00_16131;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5497 */
	obj_t BGl_z62main5497z62zz__evaluate_compz00(obj_t BgL_envz00_16882,
		obj_t BgL_dz00_16890, obj_t BgL_lastz00_16891)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16888;
				long BgL_siza7ezd2framez75_16889;

				BgL_runz00_16888 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16882, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16889 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16882, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3916;
					obj_t BgL_lastz00_3917;

					BgL_dz00_3916 = BgL_dz00_16890;
					BgL_lastz00_3917 = BgL_lastz00_16891;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3919;

						BgL_sz00_3919 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3920;

							BgL_bpz00_3920 = VECTOR_REF(BgL_sz00_3919, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_28134;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12428;

									BgL_arg1902z00_12428 = VECTOR_LENGTH(BgL_sz00_3919);
									BgL_testz00_28134 =
										(
										((long) CINT(BgL_bpz00_3920) +
											BgL_siza7ezd2framez75_16889) <
										(long) (BgL_arg1902z00_12428));
								}
								if (BgL_testz00_28134)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3323z00_3922;

											BgL_arg3323z00_3922 =
												((long) CINT(BgL_bpz00_3920) + ((long) 0));
											VECTOR_SET(BgL_sz00_3919,
												(int) (BgL_arg3323z00_3922), BgL_dz00_3916);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3324z00_3923;

											BgL_arg3324z00_3923 =
												((long) CINT(BgL_bpz00_3920) + ((long) 1));
											VECTOR_SET(BgL_sz00_3919,
												(int) (BgL_arg3324z00_3923), BgL_lastz00_3917);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1370z00_3924;

											BgL_val1370z00_3924 =
												BGl_zc3exitza33328ze3z83zz__evaluate_compz00
												(BgL_bpz00_3920, BgL_sz00_3919, BgL_runz00_16888);
											VECTOR_SET(BgL_sz00_3919, (int) (((long) 0)),
												BgL_bpz00_3920);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1370z00_3924)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1370z00_3924), CDR(BgL_val1370z00_3924));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1370z00_3924;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3931;

										BgL_nsz00_3931 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3931,
											(int) (((long) 1)), BgL_sz00_3919);
										VECTOR_SET(BgL_nsz00_3931,
											(int) (((long) 2)), BgL_dz00_3916);
										VECTOR_SET(BgL_nsz00_3931,
											(int) (((long) 3)), BgL_lastz00_3917);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_28164;

											BgL_auxz00_28164 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28164, BgL_nsz00_3931);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1373z00_3933;

											BgL_val1373z00_3933 =
												BGl_zc3exitza33334ze3z83zz__evaluate_compz00
												(BgL_runz00_16888, BgL_nsz00_3931);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_28168;

												BgL_auxz00_28168 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28168, BgL_sz00_3919);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1373z00_3933)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1373z00_3933), CDR(BgL_val1373z00_3933));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1373z00_3933;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3334> */
	obj_t BGl_zc3exitza33334ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17529,
		obj_t BgL_nsz00_17528)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1374z00_3939;

			if (SET_EXIT(BgL_an_exit1374z00_3939))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1374z00_3939 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1374z00_3939, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1375z00_3940;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12465;

								BgL_savedzd2bpzd2_12465 =
									VECTOR_REF(BgL_nsz00_17528, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17528,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12472;

									BgL_fz00_12472 = BgL_runz00_17529;
								BgL_recz00_12471:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12473;

										BgL_rz00_12473 =
											PROCEDURE_ENTRY(BgL_fz00_12472) (BgL_fz00_12472,
											BgL_nsz00_17528, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_28189;

											if (PROCEDUREP(BgL_rz00_12473))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12478;

													BgL_arg1893z00_12478 = PROCEDURE_ATTR(BgL_rz00_12473);
													if (STRUCTP(BgL_arg1893z00_12478))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28189 =
																(STRUCT_KEY(BgL_arg1893z00_12478) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28189 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_28189 = ((bool_t) 0);
												}
											if (BgL_testz00_28189)
												{
													obj_t BgL_fz00_28197;

													BgL_fz00_28197 = BgL_rz00_12473;
													BgL_fz00_12472 = BgL_fz00_28197;
													goto BgL_recz00_12471;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17528,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12465);
													BgL_val1375z00_3940 = BgL_rz00_12473;
							}}}}}
							POP_EXIT();
							return BgL_val1375z00_3940;
						}
					}
				}
		}
	}



/* <exit:3328> */
	obj_t BGl_zc3exitza33328ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17532,
		obj_t BgL_sz00_17531, obj_t BgL_runz00_17530)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1371z00_3929;

			if (SET_EXIT(BgL_an_exit1371z00_3929))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1371z00_3929 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1371z00_3929, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1372z00_3930;

							BgL_val1372z00_3930 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17530,
								BgL_sz00_17531, BgL_bpz00_17532);
							POP_EXIT();
							return BgL_val1372z00_3930;
						}
					}
				}
		}
	}



/* &run5498 */
	obj_t BGl_z62run5498z62zz__evaluate_compz00(obj_t BgL_envz00_16892,
		obj_t BgL_sz00_16898)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16893;
				long BgL_siza7eza7_16894;
				obj_t BgL_valza2za2_16895;
				BgL_ev_absz00_bglt BgL_i1253z00_16896;
				obj_t BgL_bodyz00_16897;

				BgL_iboxesz00_16893 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16892, (int) (((long) 0))));
				BgL_siza7eza7_16894 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16892, (int) (((long) 1))));
				BgL_valza2za2_16895 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16892, (int) (((long) 2))));
				BgL_i1253z00_16896 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16892, (int) (((long) 3))));
				BgL_bodyz00_16897 = PROCEDURE_REF(BgL_envz00_16892, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3942;

					BgL_sz00_3942 = BgL_sz00_16898;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3944;

						BgL_bpz00_3944 = VECTOR_REF(BgL_sz00_3942, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3942,
							BgL_iboxesz00_16893, BgL_bpz00_3944);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3942,
							BgL_valza2za2_16895,
							((long) CINT(BgL_bpz00_3944) + BgL_siza7eza7_16894));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_3946;
							obj_t BgL_wherez00_3947;
							obj_t BgL_locz00_3948;

							BgL_z12denvz12_3946 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3947 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16896))->BgL_wherez00);
							BgL_locz00_3948 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16896))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3946, BgL_wherez00_3947,
									BgL_locz00_3948);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_3949;

									BgL_za2za2resza2za2z00_3949 =
										PROCEDURE_ENTRY(BgL_bodyz00_16897) (BgL_bodyz00_16897,
										BgL_sz00_3942, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3946);
									return BgL_za2za2resza2za2z00_3949;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3182> */
	obj_t BGl_z62zc3anonymousza33182ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16899, obj_t BgL_sz00_16903)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16900;
				obj_t BgL_bodyz00_16901;
				long BgL_siza7ezd2framez75_16902;

				BgL_i1253z00_16900 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16899, (int) (((long) 0))));
				BgL_bodyz00_16901 = PROCEDURE_REF(BgL_envz00_16899, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16902 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16899, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3615;

					BgL_sz00_3615 = BgL_sz00_16903;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3617;

						BgL_bpz00_3617 = VECTOR_REF(BgL_sz00_3615, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16127;

								BgL_runz00_16127 =
									MAKE_FX_PROCEDURE(BGl_z62run5500z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16127,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16900));
								PROCEDURE_SET(BgL_runz00_16127,
									(int) (((long) 1)), BgL_bodyz00_16901);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16128;

									BgL_mainz00_16128 =
										MAKE_FX_PROCEDURE(BGl_z62main5499z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16900));
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 1)), BgL_bodyz00_16901);
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 2)), BgL_runz00_16127);
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16902));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11792;

										BgL_objz00_11792 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16127, BgL_objz00_11792);
										BgL_objz00_11792;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3184z00_3620;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3185z00_3621;

											BgL_arg3185z00_3621 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16900))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11796;

												BgL_newz00_11796 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28270;

													BgL_auxz00_28270 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11796, BgL_auxz00_28270,
														BgL_arg3185z00_3621);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28275;
													int BgL_auxz00_28273;

													BgL_auxz00_28275 = BINT(BgL_siza7ezd2framez75_16902);
													BgL_auxz00_28273 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11796, BgL_auxz00_28273,
														BgL_auxz00_28275);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28278;

													BgL_auxz00_28278 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11796, BgL_auxz00_28278,
														BgL_runz00_16127);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28283;
													int BgL_auxz00_28281;

													BgL_auxz00_28283 = BINT(((long) 1));
													BgL_auxz00_28281 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11796, BgL_auxz00_28281,
														BgL_auxz00_28283);
												}
												BgL_arg3184z00_3620 = BgL_newz00_11796;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16128, BgL_arg3184z00_3620);
										BgL_arg3184z00_3620;
									}
									return BgL_mainz00_16128;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5499 */
	obj_t BGl_z62main5499z62zz__evaluate_compz00(obj_t BgL_envz00_16904,
		obj_t BgL_dz00_16909)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16907;
				long BgL_siza7ezd2framez75_16908;

				BgL_runz00_16907 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16904, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16908 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16904, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3622;

					BgL_dz00_3622 = BgL_dz00_16909;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3624;

						BgL_sz00_3624 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3625;

							BgL_bpz00_3625 = VECTOR_REF(BgL_sz00_3624, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_28296;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11736;

									BgL_arg1902z00_11736 = VECTOR_LENGTH(BgL_sz00_3624);
									BgL_testz00_28296 =
										(
										((long) CINT(BgL_bpz00_3625) +
											BgL_siza7ezd2framez75_16908) <
										(long) (BgL_arg1902z00_11736));
								}
								if (BgL_testz00_28296)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3188z00_3627;

											BgL_arg3188z00_3627 =
												((long) CINT(BgL_bpz00_3625) + ((long) 0));
											VECTOR_SET(BgL_sz00_3624,
												(int) (BgL_arg3188z00_3627), BgL_dz00_3622);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1328z00_3628;

											BgL_val1328z00_3628 =
												BGl_zc3exitza33192ze3z83zz__evaluate_compz00
												(BgL_bpz00_3625, BgL_sz00_3624, BgL_runz00_16907);
											VECTOR_SET(BgL_sz00_3624, (int) (((long) 0)),
												BgL_bpz00_3625);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1328z00_3628)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1328z00_3628), CDR(BgL_val1328z00_3628));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1328z00_3628;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3635;

										BgL_nsz00_3635 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3635,
											(int) (((long) 1)), BgL_sz00_3624);
										VECTOR_SET(BgL_nsz00_3635,
											(int) (((long) 2)), BgL_dz00_3622);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_28320;

											BgL_auxz00_28320 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28320, BgL_nsz00_3635);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1331z00_3637;

											BgL_val1331z00_3637 =
												BGl_zc3exitza33198ze3z83zz__evaluate_compz00
												(BgL_runz00_16907, BgL_nsz00_3635);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_28324;

												BgL_auxz00_28324 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28324, BgL_sz00_3624);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1331z00_3637)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1331z00_3637), CDR(BgL_val1331z00_3637));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1331z00_3637;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3198> */
	obj_t BGl_zc3exitza33198ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17524,
		obj_t BgL_nsz00_17523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1332z00_3643;

			if (SET_EXIT(BgL_an_exit1332z00_3643))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1332z00_3643 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1332z00_3643, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1333z00_3644;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11764;

								BgL_savedzd2bpzd2_11764 =
									VECTOR_REF(BgL_nsz00_17523, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17523,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11771;

									BgL_fz00_11771 = BgL_runz00_17524;
								BgL_recz00_11770:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11772;

										BgL_rz00_11772 =
											PROCEDURE_ENTRY(BgL_fz00_11771) (BgL_fz00_11771,
											BgL_nsz00_17523, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_28345;

											if (PROCEDUREP(BgL_rz00_11772))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11777;

													BgL_arg1893z00_11777 = PROCEDURE_ATTR(BgL_rz00_11772);
													if (STRUCTP(BgL_arg1893z00_11777))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28345 =
																(STRUCT_KEY(BgL_arg1893z00_11777) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28345 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_28345 = ((bool_t) 0);
												}
											if (BgL_testz00_28345)
												{
													obj_t BgL_fz00_28353;

													BgL_fz00_28353 = BgL_rz00_11772;
													BgL_fz00_11771 = BgL_fz00_28353;
													goto BgL_recz00_11770;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17523,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11764);
													BgL_val1333z00_3644 = BgL_rz00_11772;
							}}}}}
							POP_EXIT();
							return BgL_val1333z00_3644;
						}
					}
				}
		}
	}



/* <exit:3192> */
	obj_t BGl_zc3exitza33192ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17527,
		obj_t BgL_sz00_17526, obj_t BgL_runz00_17525)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1329z00_3633;

			if (SET_EXIT(BgL_an_exit1329z00_3633))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1329z00_3633 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1329z00_3633, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1330z00_3634;

							BgL_val1330z00_3634 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17525,
								BgL_sz00_17526, BgL_bpz00_17527);
							POP_EXIT();
							return BgL_val1330z00_3634;
						}
					}
				}
		}
	}



/* &run5500 */
	obj_t BGl_z62run5500z62zz__evaluate_compz00(obj_t BgL_envz00_16910,
		obj_t BgL_sz00_16913)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16911;
				obj_t BgL_bodyz00_16912;

				BgL_i1253z00_16911 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16910, (int) (((long) 0))));
				BgL_bodyz00_16912 = PROCEDURE_REF(BgL_envz00_16910, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3646;

					BgL_sz00_3646 = BgL_sz00_16913;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3648;

						BgL_bpz00_3648 = VECTOR_REF(BgL_sz00_3646, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3649;
							obj_t BgL_wherez00_3650;
							obj_t BgL_locz00_3651;

							BgL_z12denvz12_3649 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3650 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16911))->BgL_wherez00);
							BgL_locz00_3651 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16911))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3649, BgL_wherez00_3650,
									BgL_locz00_3651);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3652;

									BgL_za2za2resza2za2z00_3652 =
										PROCEDURE_ENTRY(BgL_bodyz00_16912) (BgL_bodyz00_16912,
										BgL_sz00_3646, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3649);
									return BgL_za2za2resza2za2z00_3652;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3200> */
	obj_t BGl_z62zc3anonymousza33200ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16914, obj_t BgL_sz00_16919)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16915;
				BgL_ev_absz00_bglt BgL_i1253z00_16916;
				obj_t BgL_bodyz00_16917;
				long BgL_siza7ezd2framez75_16918;

				BgL_iboxesz00_16915 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16914, (int) (((long) 0))));
				BgL_i1253z00_16916 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16914, (int) (((long) 1))));
				BgL_bodyz00_16917 = PROCEDURE_REF(BgL_envz00_16914, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16918 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16914, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3654;

					BgL_sz00_3654 = BgL_sz00_16919;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3656;

						BgL_bpz00_3656 = VECTOR_REF(BgL_sz00_3654, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16124;

								BgL_runz00_16124 =
									MAKE_FX_PROCEDURE(BGl_z62run5502z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16124,
									(int) (((long) 0)), BgL_iboxesz00_16915);
								PROCEDURE_SET(BgL_runz00_16124,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16916));
								PROCEDURE_SET(BgL_runz00_16124,
									(int) (((long) 2)), BgL_bodyz00_16917);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16125;

									BgL_mainz00_16125 =
										MAKE_FX_PROCEDURE(BGl_z62main5501z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 0)), BgL_iboxesz00_16915);
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16916));
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 2)), BgL_bodyz00_16917);
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 3)), BgL_runz00_16124);
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16918));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11883;

										BgL_objz00_11883 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16124, BgL_objz00_11883);
										BgL_objz00_11883;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3201z00_3659;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3202z00_3660;

											BgL_arg3202z00_3660 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16916))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11887;

												BgL_newz00_11887 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28420;

													BgL_auxz00_28420 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11887, BgL_auxz00_28420,
														BgL_arg3202z00_3660);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28425;
													int BgL_auxz00_28423;

													BgL_auxz00_28425 = BINT(BgL_siza7ezd2framez75_16918);
													BgL_auxz00_28423 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11887, BgL_auxz00_28423,
														BgL_auxz00_28425);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28428;

													BgL_auxz00_28428 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11887, BgL_auxz00_28428,
														BgL_runz00_16124);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28433;
													int BgL_auxz00_28431;

													BgL_auxz00_28433 = BINT(((long) 1));
													BgL_auxz00_28431 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11887, BgL_auxz00_28431,
														BgL_auxz00_28433);
												}
												BgL_arg3201z00_3659 = BgL_newz00_11887;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16125, BgL_arg3201z00_3659);
										BgL_arg3201z00_3659;
									}
									return BgL_mainz00_16125;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5501 */
	obj_t BGl_z62main5501z62zz__evaluate_compz00(obj_t BgL_envz00_16920,
		obj_t BgL_dz00_16926)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16924;
				long BgL_siza7ezd2framez75_16925;

				BgL_runz00_16924 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16920, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16925 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16920, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3661;

					BgL_dz00_3661 = BgL_dz00_16926;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3663;

						BgL_sz00_3663 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3664;

							BgL_bpz00_3664 = VECTOR_REF(BgL_sz00_3663, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_28446;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11827;

									BgL_arg1902z00_11827 = VECTOR_LENGTH(BgL_sz00_3663);
									BgL_testz00_28446 =
										(
										((long) CINT(BgL_bpz00_3664) +
											BgL_siza7ezd2framez75_16925) <
										(long) (BgL_arg1902z00_11827));
								}
								if (BgL_testz00_28446)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3205z00_3666;

											BgL_arg3205z00_3666 =
												((long) CINT(BgL_bpz00_3664) + ((long) 0));
											VECTOR_SET(BgL_sz00_3663,
												(int) (BgL_arg3205z00_3666), BgL_dz00_3661);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1334z00_3667;

											BgL_val1334z00_3667 =
												BGl_zc3exitza33209ze3z83zz__evaluate_compz00
												(BgL_bpz00_3664, BgL_sz00_3663, BgL_runz00_16924);
											VECTOR_SET(BgL_sz00_3663, (int) (((long) 0)),
												BgL_bpz00_3664);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1334z00_3667)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1334z00_3667), CDR(BgL_val1334z00_3667));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1334z00_3667;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3674;

										BgL_nsz00_3674 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3674,
											(int) (((long) 1)), BgL_sz00_3663);
										VECTOR_SET(BgL_nsz00_3674,
											(int) (((long) 2)), BgL_dz00_3661);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_28470;

											BgL_auxz00_28470 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28470, BgL_nsz00_3674);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1337z00_3676;

											BgL_val1337z00_3676 =
												BGl_zc3exitza33215ze3z83zz__evaluate_compz00
												(BgL_runz00_16924, BgL_nsz00_3674);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_28474;

												BgL_auxz00_28474 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28474, BgL_sz00_3663);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1337z00_3676)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1337z00_3676), CDR(BgL_val1337z00_3676));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1337z00_3676;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3215> */
	obj_t BGl_zc3exitza33215ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17519,
		obj_t BgL_nsz00_17518)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1338z00_3682;

			if (SET_EXIT(BgL_an_exit1338z00_3682))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1338z00_3682 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1338z00_3682, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1339z00_3683;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11855;

								BgL_savedzd2bpzd2_11855 =
									VECTOR_REF(BgL_nsz00_17518, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17518,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11862;

									BgL_fz00_11862 = BgL_runz00_17519;
								BgL_recz00_11861:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11863;

										BgL_rz00_11863 =
											PROCEDURE_ENTRY(BgL_fz00_11862) (BgL_fz00_11862,
											BgL_nsz00_17518, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_28495;

											if (PROCEDUREP(BgL_rz00_11863))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11868;

													BgL_arg1893z00_11868 = PROCEDURE_ATTR(BgL_rz00_11863);
													if (STRUCTP(BgL_arg1893z00_11868))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28495 =
																(STRUCT_KEY(BgL_arg1893z00_11868) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28495 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_28495 = ((bool_t) 0);
												}
											if (BgL_testz00_28495)
												{
													obj_t BgL_fz00_28503;

													BgL_fz00_28503 = BgL_rz00_11863;
													BgL_fz00_11862 = BgL_fz00_28503;
													goto BgL_recz00_11861;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17518,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11855);
													BgL_val1339z00_3683 = BgL_rz00_11863;
							}}}}}
							POP_EXIT();
							return BgL_val1339z00_3683;
						}
					}
				}
		}
	}



/* <exit:3209> */
	obj_t BGl_zc3exitza33209ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17522,
		obj_t BgL_sz00_17521, obj_t BgL_runz00_17520)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1335z00_3672;

			if (SET_EXIT(BgL_an_exit1335z00_3672))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1335z00_3672 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1335z00_3672, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1336z00_3673;

							BgL_val1336z00_3673 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17520,
								BgL_sz00_17521, BgL_bpz00_17522);
							POP_EXIT();
							return BgL_val1336z00_3673;
						}
					}
				}
		}
	}



/* &run5502 */
	obj_t BGl_z62run5502z62zz__evaluate_compz00(obj_t BgL_envz00_16927,
		obj_t BgL_sz00_16931)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16928;
				BgL_ev_absz00_bglt BgL_i1253z00_16929;
				obj_t BgL_bodyz00_16930;

				BgL_iboxesz00_16928 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16927, (int) (((long) 0))));
				BgL_i1253z00_16929 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16927, (int) (((long) 1))));
				BgL_bodyz00_16930 = PROCEDURE_REF(BgL_envz00_16927, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3685;

					BgL_sz00_3685 = BgL_sz00_16931;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3687;

						BgL_bpz00_3687 = VECTOR_REF(BgL_sz00_3685, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3685,
							BgL_iboxesz00_16928, BgL_bpz00_3687);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3688;
							obj_t BgL_wherez00_3689;
							obj_t BgL_locz00_3690;

							BgL_z12denvz12_3688 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3689 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16929))->BgL_wherez00);
							BgL_locz00_3690 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16929))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3688, BgL_wherez00_3689,
									BgL_locz00_3690);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3691;

									BgL_za2za2resza2za2z00_3691 =
										PROCEDURE_ENTRY(BgL_bodyz00_16930) (BgL_bodyz00_16930,
										BgL_sz00_3685, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3688);
									return BgL_za2za2resza2za2z00_3691;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3219> */
	obj_t BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16932, obj_t BgL_sz00_16938)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16933;
				long BgL_siza7eza7_16934;
				BgL_ev_absz00_bglt BgL_i1253z00_16935;
				obj_t BgL_bodyz00_16936;
				long BgL_siza7ezd2framez75_16937;

				BgL_ifreesz00_16933 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16932, (int) (((long) 0))));
				BgL_siza7eza7_16934 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16932, (int) (((long) 1))));
				BgL_i1253z00_16935 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16932, (int) (((long) 2))));
				BgL_bodyz00_16936 = PROCEDURE_REF(BgL_envz00_16932, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16937 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16932, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3695;

					BgL_sz00_3695 = BgL_sz00_16938;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3697;

						BgL_bpz00_3697 = VECTOR_REF(BgL_sz00_3695, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_3698;

							BgL_valza2za2_3698 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3695,
								BgL_bpz00_3697, BgL_ifreesz00_16933);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16121;

								BgL_runz00_16121 =
									MAKE_FX_PROCEDURE(BGl_z62run5504z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16121,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16934));
								PROCEDURE_SET(BgL_runz00_16121,
									(int) (((long) 1)), BgL_valza2za2_3698);
								PROCEDURE_SET(BgL_runz00_16121,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_16935));
								PROCEDURE_SET(BgL_runz00_16121,
									(int) (((long) 3)), BgL_bodyz00_16936);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16122;

									BgL_mainz00_16122 =
										MAKE_FX_PROCEDURE(BGl_z62main5503z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16934));
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 1)), BgL_valza2za2_3698);
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_16935));
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 3)), BgL_bodyz00_16936);
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 4)), BgL_runz00_16121);
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16937));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11981;

										BgL_objz00_11981 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16121, BgL_objz00_11981);
										BgL_objz00_11981;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3220z00_3701;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3221z00_3702;

											BgL_arg3221z00_3702 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16935))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11985;

												BgL_newz00_11985 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28584;

													BgL_auxz00_28584 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11985, BgL_auxz00_28584,
														BgL_arg3221z00_3702);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28589;
													int BgL_auxz00_28587;

													BgL_auxz00_28589 = BINT(BgL_siza7ezd2framez75_16937);
													BgL_auxz00_28587 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11985, BgL_auxz00_28587,
														BgL_auxz00_28589);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28592;

													BgL_auxz00_28592 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11985, BgL_auxz00_28592,
														BgL_runz00_16121);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28597;
													int BgL_auxz00_28595;

													BgL_auxz00_28597 = BINT(((long) 1));
													BgL_auxz00_28595 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11985, BgL_auxz00_28595,
														BgL_auxz00_28597);
												}
												BgL_arg3220z00_3701 = BgL_newz00_11985;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16122, BgL_arg3220z00_3701);
										BgL_arg3220z00_3701;
									}
									return BgL_mainz00_16122;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5503 */
	obj_t BGl_z62main5503z62zz__evaluate_compz00(obj_t BgL_envz00_16939,
		obj_t BgL_dz00_16946)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16944;
				long BgL_siza7ezd2framez75_16945;

				BgL_runz00_16944 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16939, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16945 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16939, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3703;

					BgL_dz00_3703 = BgL_dz00_16946;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3705;

						BgL_sz00_3705 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3706;

							BgL_bpz00_3706 = VECTOR_REF(BgL_sz00_3705, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_28610;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11925;

									BgL_arg1902z00_11925 = VECTOR_LENGTH(BgL_sz00_3705);
									BgL_testz00_28610 =
										(
										((long) CINT(BgL_bpz00_3706) +
											BgL_siza7ezd2framez75_16945) <
										(long) (BgL_arg1902z00_11925));
								}
								if (BgL_testz00_28610)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3225z00_3708;

											BgL_arg3225z00_3708 =
												((long) CINT(BgL_bpz00_3706) + ((long) 0));
											VECTOR_SET(BgL_sz00_3705,
												(int) (BgL_arg3225z00_3708), BgL_dz00_3703);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1340z00_3709;

											BgL_val1340z00_3709 =
												BGl_zc3exitza33229ze3z83zz__evaluate_compz00
												(BgL_bpz00_3706, BgL_sz00_3705, BgL_runz00_16944);
											VECTOR_SET(BgL_sz00_3705, (int) (((long) 0)),
												BgL_bpz00_3706);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1340z00_3709)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1340z00_3709), CDR(BgL_val1340z00_3709));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1340z00_3709;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3716;

										BgL_nsz00_3716 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3716,
											(int) (((long) 1)), BgL_sz00_3705);
										VECTOR_SET(BgL_nsz00_3716,
											(int) (((long) 2)), BgL_dz00_3703);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_28634;

											BgL_auxz00_28634 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28634, BgL_nsz00_3716);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1343z00_3718;

											BgL_val1343z00_3718 =
												BGl_zc3exitza33235ze3z83zz__evaluate_compz00
												(BgL_runz00_16944, BgL_nsz00_3716);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_28638;

												BgL_auxz00_28638 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28638, BgL_sz00_3705);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1343z00_3718)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1343z00_3718), CDR(BgL_val1343z00_3718));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1343z00_3718;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3235> */
	obj_t BGl_zc3exitza33235ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17514,
		obj_t BgL_nsz00_17513)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1344z00_3724;

			if (SET_EXIT(BgL_an_exit1344z00_3724))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1344z00_3724 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1344z00_3724, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1345z00_3725;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11953;

								BgL_savedzd2bpzd2_11953 =
									VECTOR_REF(BgL_nsz00_17513, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17513,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11960;

									BgL_fz00_11960 = BgL_runz00_17514;
								BgL_recz00_11959:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11961;

										BgL_rz00_11961 =
											PROCEDURE_ENTRY(BgL_fz00_11960) (BgL_fz00_11960,
											BgL_nsz00_17513, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_28659;

											if (PROCEDUREP(BgL_rz00_11961))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11966;

													BgL_arg1893z00_11966 = PROCEDURE_ATTR(BgL_rz00_11961);
													if (STRUCTP(BgL_arg1893z00_11966))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28659 =
																(STRUCT_KEY(BgL_arg1893z00_11966) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28659 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_28659 = ((bool_t) 0);
												}
											if (BgL_testz00_28659)
												{
													obj_t BgL_fz00_28667;

													BgL_fz00_28667 = BgL_rz00_11961;
													BgL_fz00_11960 = BgL_fz00_28667;
													goto BgL_recz00_11959;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17513,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11953);
													BgL_val1345z00_3725 = BgL_rz00_11961;
							}}}}}
							POP_EXIT();
							return BgL_val1345z00_3725;
						}
					}
				}
		}
	}



/* <exit:3229> */
	obj_t BGl_zc3exitza33229ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17517,
		obj_t BgL_sz00_17516, obj_t BgL_runz00_17515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1341z00_3714;

			if (SET_EXIT(BgL_an_exit1341z00_3714))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1341z00_3714 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1341z00_3714, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1342z00_3715;

							BgL_val1342z00_3715 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17515,
								BgL_sz00_17516, BgL_bpz00_17517);
							POP_EXIT();
							return BgL_val1342z00_3715;
						}
					}
				}
		}
	}



/* &run5504 */
	obj_t BGl_z62run5504z62zz__evaluate_compz00(obj_t BgL_envz00_16947,
		obj_t BgL_sz00_16952)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_16948;
				obj_t BgL_valza2za2_16949;
				BgL_ev_absz00_bglt BgL_i1253z00_16950;
				obj_t BgL_bodyz00_16951;

				BgL_siza7eza7_16948 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16947, (int) (((long) 0))));
				BgL_valza2za2_16949 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16947, (int) (((long) 1))));
				BgL_i1253z00_16950 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16947, (int) (((long) 2))));
				BgL_bodyz00_16951 = PROCEDURE_REF(BgL_envz00_16947, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3727;

					BgL_sz00_3727 = BgL_sz00_16952;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3729;

						BgL_bpz00_3729 = VECTOR_REF(BgL_sz00_3727, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3727,
							BgL_valza2za2_16949,
							((long) CINT(BgL_bpz00_3729) + BgL_siza7eza7_16948));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_3731;
							obj_t BgL_wherez00_3732;
							obj_t BgL_locz00_3733;

							BgL_z12denvz12_3731 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3732 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16950))->BgL_wherez00);
							BgL_locz00_3733 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16950))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3731, BgL_wherez00_3732,
									BgL_locz00_3733);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_3734;

									BgL_za2za2resza2za2z00_3734 =
										PROCEDURE_ENTRY(BgL_bodyz00_16951) (BgL_bodyz00_16951,
										BgL_sz00_3727, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3731);
									return BgL_za2za2resza2za2z00_3734;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3238> */
	obj_t BGl_z62zc3anonymousza33238ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16953, obj_t BgL_sz00_16960)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_16954;
				obj_t BgL_iboxesz00_16955;
				long BgL_siza7eza7_16956;
				BgL_ev_absz00_bglt BgL_i1253z00_16957;
				obj_t BgL_bodyz00_16958;
				long BgL_siza7ezd2framez75_16959;

				BgL_ifreesz00_16954 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16953, (int) (((long) 0))));
				BgL_iboxesz00_16955 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16953, (int) (((long) 1))));
				BgL_siza7eza7_16956 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16953, (int) (((long) 2))));
				BgL_i1253z00_16957 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16953, (int) (((long) 3))));
				BgL_bodyz00_16958 = PROCEDURE_REF(BgL_envz00_16953, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16959 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16953, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3736;

					BgL_sz00_3736 = BgL_sz00_16960;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3738;

						BgL_bpz00_3738 = VECTOR_REF(BgL_sz00_3736, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_3739;

							BgL_valza2za2_3739 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3736,
								BgL_bpz00_3738, BgL_ifreesz00_16954);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16118;

								BgL_runz00_16118 =
									MAKE_FX_PROCEDURE(BGl_z62run5506z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 0)), BgL_iboxesz00_16955);
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16956));
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 2)), BgL_valza2za2_3739);
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_16957));
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 4)), BgL_bodyz00_16958);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16119;

									BgL_mainz00_16119 =
										MAKE_FX_PROCEDURE(BGl_z62main5505z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 0)), BgL_iboxesz00_16955);
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16956));
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 2)), BgL_valza2za2_3739);
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_16957));
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 4)), BgL_bodyz00_16958);
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 5)), BgL_runz00_16118);
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16959));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_12075;

										BgL_objz00_12075 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16118, BgL_objz00_12075);
										BgL_objz00_12075;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3239z00_3742;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3240z00_3743;

											BgL_arg3240z00_3743 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16957))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_12079;

												BgL_newz00_12079 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28760;

													BgL_auxz00_28760 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12079, BgL_auxz00_28760,
														BgL_arg3240z00_3743);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28765;
													int BgL_auxz00_28763;

													BgL_auxz00_28765 = BINT(BgL_siza7ezd2framez75_16959);
													BgL_auxz00_28763 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12079, BgL_auxz00_28763,
														BgL_auxz00_28765);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28768;

													BgL_auxz00_28768 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12079, BgL_auxz00_28768,
														BgL_runz00_16118);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28773;
													int BgL_auxz00_28771;

													BgL_auxz00_28773 = BINT(((long) 1));
													BgL_auxz00_28771 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12079, BgL_auxz00_28771,
														BgL_auxz00_28773);
												}
												BgL_arg3239z00_3742 = BgL_newz00_12079;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16119, BgL_arg3239z00_3742);
										BgL_arg3239z00_3742;
									}
									return BgL_mainz00_16119;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5505 */
	obj_t BGl_z62main5505z62zz__evaluate_compz00(obj_t BgL_envz00_16961,
		obj_t BgL_dz00_16969)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16967;
				long BgL_siza7ezd2framez75_16968;

				BgL_runz00_16967 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16961, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16968 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16961, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3744;

					BgL_dz00_3744 = BgL_dz00_16969;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3746;

						BgL_sz00_3746 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3747;

							BgL_bpz00_3747 = VECTOR_REF(BgL_sz00_3746, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_28786;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_12019;

									BgL_arg1902z00_12019 = VECTOR_LENGTH(BgL_sz00_3746);
									BgL_testz00_28786 =
										(
										((long) CINT(BgL_bpz00_3747) +
											BgL_siza7ezd2framez75_16968) <
										(long) (BgL_arg1902z00_12019));
								}
								if (BgL_testz00_28786)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3244z00_3749;

											BgL_arg3244z00_3749 =
												((long) CINT(BgL_bpz00_3747) + ((long) 0));
											VECTOR_SET(BgL_sz00_3746,
												(int) (BgL_arg3244z00_3749), BgL_dz00_3744);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1346z00_3750;

											BgL_val1346z00_3750 =
												BGl_zc3exitza33248ze3z83zz__evaluate_compz00
												(BgL_bpz00_3747, BgL_sz00_3746, BgL_runz00_16967);
											VECTOR_SET(BgL_sz00_3746, (int) (((long) 0)),
												BgL_bpz00_3747);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1346z00_3750)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1346z00_3750), CDR(BgL_val1346z00_3750));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1346z00_3750;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3757;

										BgL_nsz00_3757 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3757,
											(int) (((long) 1)), BgL_sz00_3746);
										VECTOR_SET(BgL_nsz00_3757,
											(int) (((long) 2)), BgL_dz00_3744);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_28810;

											BgL_auxz00_28810 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28810, BgL_nsz00_3757);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1349z00_3759;

											BgL_val1349z00_3759 =
												BGl_zc3exitza33254ze3z83zz__evaluate_compz00
												(BgL_runz00_16967, BgL_nsz00_3757);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_28814;

												BgL_auxz00_28814 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28814, BgL_sz00_3746);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1349z00_3759)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1349z00_3759), CDR(BgL_val1349z00_3759));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1349z00_3759;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3254> */
	obj_t BGl_zc3exitza33254ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17509,
		obj_t BgL_nsz00_17508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1350z00_3765;

			if (SET_EXIT(BgL_an_exit1350z00_3765))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1350z00_3765 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1350z00_3765, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1351z00_3766;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_12047;

								BgL_savedzd2bpzd2_12047 =
									VECTOR_REF(BgL_nsz00_17508, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17508,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12054;

									BgL_fz00_12054 = BgL_runz00_17509;
								BgL_recz00_12053:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_12055;

										BgL_rz00_12055 =
											PROCEDURE_ENTRY(BgL_fz00_12054) (BgL_fz00_12054,
											BgL_nsz00_17508, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_28835;

											if (PROCEDUREP(BgL_rz00_12055))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_12060;

													BgL_arg1893z00_12060 = PROCEDURE_ATTR(BgL_rz00_12055);
													if (STRUCTP(BgL_arg1893z00_12060))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28835 =
																(STRUCT_KEY(BgL_arg1893z00_12060) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28835 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_28835 = ((bool_t) 0);
												}
											if (BgL_testz00_28835)
												{
													obj_t BgL_fz00_28843;

													BgL_fz00_28843 = BgL_rz00_12055;
													BgL_fz00_12054 = BgL_fz00_28843;
													goto BgL_recz00_12053;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17508,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12047);
													BgL_val1351z00_3766 = BgL_rz00_12055;
							}}}}}
							POP_EXIT();
							return BgL_val1351z00_3766;
						}
					}
				}
		}
	}



/* <exit:3248> */
	obj_t BGl_zc3exitza33248ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17512,
		obj_t BgL_sz00_17511, obj_t BgL_runz00_17510)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1347z00_3755;

			if (SET_EXIT(BgL_an_exit1347z00_3755))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1347z00_3755 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1347z00_3755, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1348z00_3756;

							BgL_val1348z00_3756 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17510,
								BgL_sz00_17511, BgL_bpz00_17512);
							POP_EXIT();
							return BgL_val1348z00_3756;
						}
					}
				}
		}
	}



/* &run5506 */
	obj_t BGl_z62run5506z62zz__evaluate_compz00(obj_t BgL_envz00_16970,
		obj_t BgL_sz00_16976)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16971;
				long BgL_siza7eza7_16972;
				obj_t BgL_valza2za2_16973;
				BgL_ev_absz00_bglt BgL_i1253z00_16974;
				obj_t BgL_bodyz00_16975;

				BgL_iboxesz00_16971 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16970, (int) (((long) 0))));
				BgL_siza7eza7_16972 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16970, (int) (((long) 1))));
				BgL_valza2za2_16973 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16970, (int) (((long) 2))));
				BgL_i1253z00_16974 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16970, (int) (((long) 3))));
				BgL_bodyz00_16975 = PROCEDURE_REF(BgL_envz00_16970, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3768;

					BgL_sz00_3768 = BgL_sz00_16976;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3770;

						BgL_bpz00_3770 = VECTOR_REF(BgL_sz00_3768, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3768,
							BgL_iboxesz00_16971, BgL_bpz00_3770);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3768,
							BgL_valza2za2_16973,
							((long) CINT(BgL_bpz00_3770) + BgL_siza7eza7_16972));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_3772;
							obj_t BgL_wherez00_3773;
							obj_t BgL_locz00_3774;

							BgL_z12denvz12_3772 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3773 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16974))->BgL_wherez00);
							BgL_locz00_3774 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16974))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3772, BgL_wherez00_3773,
									BgL_locz00_3774);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_3775;

									BgL_za2za2resza2za2z00_3775 =
										PROCEDURE_ENTRY(BgL_bodyz00_16975) (BgL_bodyz00_16975,
										BgL_sz00_3768, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3772);
									return BgL_za2za2resza2za2z00_3775;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3105> */
	obj_t BGl_z62zc3anonymousza33105ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16977, obj_t BgL_sz00_16981)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16978;
				obj_t BgL_bodyz00_16979;
				long BgL_siza7ezd2framez75_16980;

				BgL_i1253z00_16978 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16977, (int) (((long) 0))));
				BgL_bodyz00_16979 = PROCEDURE_REF(BgL_envz00_16977, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16980 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16977, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3449;

					BgL_sz00_3449 = BgL_sz00_16981;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3451;

						BgL_bpz00_3451 = VECTOR_REF(BgL_sz00_3449, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16115;

								BgL_runz00_16115 =
									MAKE_FX_PROCEDURE(BGl_z62run5508z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16115,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_16978));
								PROCEDURE_SET(BgL_runz00_16115,
									(int) (((long) 1)), BgL_bodyz00_16979);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16116;

									BgL_mainz00_16116 =
										MAKE_VA_PROCEDURE(BGl_z62main5507z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_16978));
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 1)), BgL_bodyz00_16979);
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 2)), BgL_runz00_16115);
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16980));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11410;

										BgL_objz00_11410 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16115, BgL_objz00_11410);
										BgL_objz00_11410;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3106z00_3454;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3107z00_3455;

											BgL_arg3107z00_3455 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16978))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11414;

												BgL_newz00_11414 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28916;

													BgL_auxz00_28916 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11414, BgL_auxz00_28916,
														BgL_arg3107z00_3455);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28921;
													int BgL_auxz00_28919;

													BgL_auxz00_28921 = BINT(BgL_siza7ezd2framez75_16980);
													BgL_auxz00_28919 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11414, BgL_auxz00_28919,
														BgL_auxz00_28921);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_28924;

													BgL_auxz00_28924 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11414, BgL_auxz00_28924,
														BgL_runz00_16115);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_28929;
													int BgL_auxz00_28927;

													BgL_auxz00_28929 = BINT(((long) -1));
													BgL_auxz00_28927 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11414, BgL_auxz00_28927,
														BgL_auxz00_28929);
												}
												BgL_arg3106z00_3454 = BgL_newz00_11414;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16116, BgL_arg3106z00_3454);
										BgL_arg3106z00_3454;
									}
									return BgL_mainz00_16116;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5507 */
	obj_t BGl_z62main5507z62zz__evaluate_compz00(obj_t BgL_envz00_16982,
		obj_t BgL_lastz00_16987)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_16985;
				long BgL_siza7ezd2framez75_16986;

				BgL_runz00_16985 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16982, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16986 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16982, (int) (((long) 3))));
				{
					obj_t BgL_lastz00_3456;

					BgL_lastz00_3456 = BgL_lastz00_16987;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3458;

						BgL_sz00_3458 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3459;

							BgL_bpz00_3459 = VECTOR_REF(BgL_sz00_3458, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_28942;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11354;

									BgL_arg1902z00_11354 = VECTOR_LENGTH(BgL_sz00_3458);
									BgL_testz00_28942 =
										(
										((long) CINT(BgL_bpz00_3459) +
											BgL_siza7ezd2framez75_16986) <
										(long) (BgL_arg1902z00_11354));
								}
								if (BgL_testz00_28942)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3110z00_3461;

											BgL_arg3110z00_3461 =
												((long) CINT(BgL_bpz00_3459) + ((long) 0));
											VECTOR_SET(BgL_sz00_3458,
												(int) (BgL_arg3110z00_3461), BgL_lastz00_3456);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1304z00_3462;

											BgL_val1304z00_3462 =
												BGl_zc3exitza33114ze3z83zz__evaluate_compz00
												(BgL_bpz00_3459, BgL_sz00_3458, BgL_runz00_16985);
											VECTOR_SET(BgL_sz00_3458, (int) (((long) 0)),
												BgL_bpz00_3459);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1304z00_3462)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1304z00_3462), CDR(BgL_val1304z00_3462));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1304z00_3462;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3469;

										BgL_nsz00_3469 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3469,
											(int) (((long) 1)), BgL_sz00_3458);
										VECTOR_SET(BgL_nsz00_3469,
											(int) (((long) 2)), BgL_lastz00_3456);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_28966;

											BgL_auxz00_28966 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28966, BgL_nsz00_3469);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1307z00_3471;

											BgL_val1307z00_3471 =
												BGl_zc3exitza33120ze3z83zz__evaluate_compz00
												(BgL_runz00_16985, BgL_nsz00_3469);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_28970;

												BgL_auxz00_28970 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28970, BgL_sz00_3458);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1307z00_3471)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1307z00_3471), CDR(BgL_val1307z00_3471));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1307z00_3471;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3120> */
	obj_t BGl_zc3exitza33120ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17504,
		obj_t BgL_nsz00_17503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1308z00_3477;

			if (SET_EXIT(BgL_an_exit1308z00_3477))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1308z00_3477 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1308z00_3477, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1309z00_3478;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11382;

								BgL_savedzd2bpzd2_11382 =
									VECTOR_REF(BgL_nsz00_17503, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17503,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11389;

									BgL_fz00_11389 = BgL_runz00_17504;
								BgL_recz00_11388:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11390;

										BgL_rz00_11390 =
											PROCEDURE_ENTRY(BgL_fz00_11389) (BgL_fz00_11389,
											BgL_nsz00_17503, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_28991;

											if (PROCEDUREP(BgL_rz00_11390))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11395;

													BgL_arg1893z00_11395 = PROCEDURE_ATTR(BgL_rz00_11390);
													if (STRUCTP(BgL_arg1893z00_11395))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28991 =
																(STRUCT_KEY(BgL_arg1893z00_11395) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_28991 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_28991 = ((bool_t) 0);
												}
											if (BgL_testz00_28991)
												{
													obj_t BgL_fz00_28999;

													BgL_fz00_28999 = BgL_rz00_11390;
													BgL_fz00_11389 = BgL_fz00_28999;
													goto BgL_recz00_11388;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17503,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11382);
													BgL_val1309z00_3478 = BgL_rz00_11390;
							}}}}}
							POP_EXIT();
							return BgL_val1309z00_3478;
						}
					}
				}
		}
	}



/* <exit:3114> */
	obj_t BGl_zc3exitza33114ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17507,
		obj_t BgL_sz00_17506, obj_t BgL_runz00_17505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1305z00_3467;

			if (SET_EXIT(BgL_an_exit1305z00_3467))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1305z00_3467 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1305z00_3467, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1306z00_3468;

							BgL_val1306z00_3468 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17505,
								BgL_sz00_17506, BgL_bpz00_17507);
							POP_EXIT();
							return BgL_val1306z00_3468;
						}
					}
				}
		}
	}



/* &run5508 */
	obj_t BGl_z62run5508z62zz__evaluate_compz00(obj_t BgL_envz00_16988,
		obj_t BgL_sz00_16991)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_16989;
				obj_t BgL_bodyz00_16990;

				BgL_i1253z00_16989 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16988, (int) (((long) 0))));
				BgL_bodyz00_16990 = PROCEDURE_REF(BgL_envz00_16988, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3480;

					BgL_sz00_3480 = BgL_sz00_16991;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3482;

						BgL_bpz00_3482 = VECTOR_REF(BgL_sz00_3480, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3483;
							obj_t BgL_wherez00_3484;
							obj_t BgL_locz00_3485;

							BgL_z12denvz12_3483 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3484 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16989))->BgL_wherez00);
							BgL_locz00_3485 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16989))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3483, BgL_wherez00_3484,
									BgL_locz00_3485);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3486;

									BgL_za2za2resza2za2z00_3486 =
										PROCEDURE_ENTRY(BgL_bodyz00_16990) (BgL_bodyz00_16990,
										BgL_sz00_3480, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3483);
									return BgL_za2za2resza2za2z00_3486;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3122> */
	obj_t BGl_z62zc3anonymousza33122ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16992, obj_t BgL_sz00_16997)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_16993;
				BgL_ev_absz00_bglt BgL_i1253z00_16994;
				obj_t BgL_bodyz00_16995;
				long BgL_siza7ezd2framez75_16996;

				BgL_iboxesz00_16993 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16992, (int) (((long) 0))));
				BgL_i1253z00_16994 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16992, (int) (((long) 1))));
				BgL_bodyz00_16995 = PROCEDURE_REF(BgL_envz00_16992, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16996 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16992, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3488;

					BgL_sz00_3488 = BgL_sz00_16997;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3490;

						BgL_bpz00_3490 = VECTOR_REF(BgL_sz00_3488, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16112;

								BgL_runz00_16112 =
									MAKE_FX_PROCEDURE(BGl_z62run5510z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16112,
									(int) (((long) 0)), BgL_iboxesz00_16993);
								PROCEDURE_SET(BgL_runz00_16112,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_16994));
								PROCEDURE_SET(BgL_runz00_16112,
									(int) (((long) 2)), BgL_bodyz00_16995);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16113;

									BgL_mainz00_16113 =
										MAKE_VA_PROCEDURE(BGl_z62main5509z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 0)), BgL_iboxesz00_16993);
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_16994));
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 2)), BgL_bodyz00_16995);
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 3)), BgL_runz00_16112);
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16996));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11501;

										BgL_objz00_11501 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16112, BgL_objz00_11501);
										BgL_objz00_11501;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3123z00_3493;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3124z00_3494;

											BgL_arg3124z00_3494 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_16994))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11505;

												BgL_newz00_11505 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29066;

													BgL_auxz00_29066 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11505, BgL_auxz00_29066,
														BgL_arg3124z00_3494);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29071;
													int BgL_auxz00_29069;

													BgL_auxz00_29071 = BINT(BgL_siza7ezd2framez75_16996);
													BgL_auxz00_29069 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11505, BgL_auxz00_29069,
														BgL_auxz00_29071);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29074;

													BgL_auxz00_29074 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11505, BgL_auxz00_29074,
														BgL_runz00_16112);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29079;
													int BgL_auxz00_29077;

													BgL_auxz00_29079 = BINT(((long) -1));
													BgL_auxz00_29077 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11505, BgL_auxz00_29077,
														BgL_auxz00_29079);
												}
												BgL_arg3123z00_3493 = BgL_newz00_11505;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16113, BgL_arg3123z00_3493);
										BgL_arg3123z00_3493;
									}
									return BgL_mainz00_16113;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5509 */
	obj_t BGl_z62main5509z62zz__evaluate_compz00(obj_t BgL_envz00_16998,
		obj_t BgL_lastz00_17004)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_17002;
				long BgL_siza7ezd2framez75_17003;

				BgL_runz00_17002 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16998, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17003 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16998, (int) (((long) 4))));
				{
					obj_t BgL_lastz00_3495;

					BgL_lastz00_3495 = BgL_lastz00_17004;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3497;

						BgL_sz00_3497 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3498;

							BgL_bpz00_3498 = VECTOR_REF(BgL_sz00_3497, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_29092;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11445;

									BgL_arg1902z00_11445 = VECTOR_LENGTH(BgL_sz00_3497);
									BgL_testz00_29092 =
										(
										((long) CINT(BgL_bpz00_3498) +
											BgL_siza7ezd2framez75_17003) <
										(long) (BgL_arg1902z00_11445));
								}
								if (BgL_testz00_29092)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3127z00_3500;

											BgL_arg3127z00_3500 =
												((long) CINT(BgL_bpz00_3498) + ((long) 0));
											VECTOR_SET(BgL_sz00_3497,
												(int) (BgL_arg3127z00_3500), BgL_lastz00_3495);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1310z00_3501;

											BgL_val1310z00_3501 =
												BGl_zc3exitza33131ze3z83zz__evaluate_compz00
												(BgL_bpz00_3498, BgL_sz00_3497, BgL_runz00_17002);
											VECTOR_SET(BgL_sz00_3497, (int) (((long) 0)),
												BgL_bpz00_3498);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1310z00_3501)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1310z00_3501), CDR(BgL_val1310z00_3501));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1310z00_3501;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3508;

										BgL_nsz00_3508 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3508,
											(int) (((long) 1)), BgL_sz00_3497);
										VECTOR_SET(BgL_nsz00_3508,
											(int) (((long) 2)), BgL_lastz00_3495);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_29116;

											BgL_auxz00_29116 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29116, BgL_nsz00_3508);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1313z00_3510;

											BgL_val1313z00_3510 =
												BGl_zc3exitza33137ze3z83zz__evaluate_compz00
												(BgL_runz00_17002, BgL_nsz00_3508);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_29120;

												BgL_auxz00_29120 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29120, BgL_sz00_3497);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1313z00_3510)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1313z00_3510), CDR(BgL_val1313z00_3510));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1313z00_3510;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3137> */
	obj_t BGl_zc3exitza33137ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17499,
		obj_t BgL_nsz00_17498)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1314z00_3516;

			if (SET_EXIT(BgL_an_exit1314z00_3516))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1314z00_3516 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1314z00_3516, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1315z00_3517;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11473;

								BgL_savedzd2bpzd2_11473 =
									VECTOR_REF(BgL_nsz00_17498, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17498,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11480;

									BgL_fz00_11480 = BgL_runz00_17499;
								BgL_recz00_11479:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11481;

										BgL_rz00_11481 =
											PROCEDURE_ENTRY(BgL_fz00_11480) (BgL_fz00_11480,
											BgL_nsz00_17498, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_29141;

											if (PROCEDUREP(BgL_rz00_11481))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11486;

													BgL_arg1893z00_11486 = PROCEDURE_ATTR(BgL_rz00_11481);
													if (STRUCTP(BgL_arg1893z00_11486))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29141 =
																(STRUCT_KEY(BgL_arg1893z00_11486) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29141 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_29141 = ((bool_t) 0);
												}
											if (BgL_testz00_29141)
												{
													obj_t BgL_fz00_29149;

													BgL_fz00_29149 = BgL_rz00_11481;
													BgL_fz00_11480 = BgL_fz00_29149;
													goto BgL_recz00_11479;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17498,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11473);
													BgL_val1315z00_3517 = BgL_rz00_11481;
							}}}}}
							POP_EXIT();
							return BgL_val1315z00_3517;
						}
					}
				}
		}
	}



/* <exit:3131> */
	obj_t BGl_zc3exitza33131ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17502,
		obj_t BgL_sz00_17501, obj_t BgL_runz00_17500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1311z00_3506;

			if (SET_EXIT(BgL_an_exit1311z00_3506))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1311z00_3506 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1311z00_3506, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1312z00_3507;

							BgL_val1312z00_3507 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17500,
								BgL_sz00_17501, BgL_bpz00_17502);
							POP_EXIT();
							return BgL_val1312z00_3507;
						}
					}
				}
		}
	}



/* &run5510 */
	obj_t BGl_z62run5510z62zz__evaluate_compz00(obj_t BgL_envz00_17005,
		obj_t BgL_sz00_17009)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_17006;
				BgL_ev_absz00_bglt BgL_i1253z00_17007;
				obj_t BgL_bodyz00_17008;

				BgL_iboxesz00_17006 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17005, (int) (((long) 0))));
				BgL_i1253z00_17007 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17005, (int) (((long) 1))));
				BgL_bodyz00_17008 = PROCEDURE_REF(BgL_envz00_17005, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3519;

					BgL_sz00_3519 = BgL_sz00_17009;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3521;

						BgL_bpz00_3521 = VECTOR_REF(BgL_sz00_3519, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3519,
							BgL_iboxesz00_17006, BgL_bpz00_3521);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3522;
							obj_t BgL_wherez00_3523;
							obj_t BgL_locz00_3524;

							BgL_z12denvz12_3522 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3523 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17007))->BgL_wherez00);
							BgL_locz00_3524 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17007))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3522, BgL_wherez00_3523,
									BgL_locz00_3524);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3525;

									BgL_za2za2resza2za2z00_3525 =
										PROCEDURE_ENTRY(BgL_bodyz00_17008) (BgL_bodyz00_17008,
										BgL_sz00_3519, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3522);
									return BgL_za2za2resza2za2z00_3525;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3141> */
	obj_t BGl_z62zc3anonymousza33141ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17010, obj_t BgL_sz00_17016)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_17011;
				long BgL_siza7eza7_17012;
				BgL_ev_absz00_bglt BgL_i1253z00_17013;
				obj_t BgL_bodyz00_17014;
				long BgL_siza7ezd2framez75_17015;

				BgL_ifreesz00_17011 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17010, (int) (((long) 0))));
				BgL_siza7eza7_17012 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17010, (int) (((long) 1))));
				BgL_i1253z00_17013 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17010, (int) (((long) 2))));
				BgL_bodyz00_17014 = PROCEDURE_REF(BgL_envz00_17010, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17015 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17010, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3529;

					BgL_sz00_3529 = BgL_sz00_17016;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3531;

						BgL_bpz00_3531 = VECTOR_REF(BgL_sz00_3529, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_3532;

							BgL_valza2za2_3532 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3529,
								BgL_bpz00_3531, BgL_ifreesz00_17011);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16109;

								BgL_runz00_16109 =
									MAKE_FX_PROCEDURE(BGl_z62run5512z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16109,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17012));
								PROCEDURE_SET(BgL_runz00_16109,
									(int) (((long) 1)), BgL_valza2za2_3532);
								PROCEDURE_SET(BgL_runz00_16109,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_17013));
								PROCEDURE_SET(BgL_runz00_16109,
									(int) (((long) 3)), BgL_bodyz00_17014);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16110;

									BgL_mainz00_16110 =
										MAKE_VA_PROCEDURE(BGl_z62main5511z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17012));
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 1)), BgL_valza2za2_3532);
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_17013));
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 3)), BgL_bodyz00_17014);
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 4)), BgL_runz00_16109);
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17015));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11599;

										BgL_objz00_11599 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16109, BgL_objz00_11599);
										BgL_objz00_11599;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3142z00_3535;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3143z00_3536;

											BgL_arg3143z00_3536 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17013))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11603;

												BgL_newz00_11603 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29230;

													BgL_auxz00_29230 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11603, BgL_auxz00_29230,
														BgL_arg3143z00_3536);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29235;
													int BgL_auxz00_29233;

													BgL_auxz00_29235 = BINT(BgL_siza7ezd2framez75_17015);
													BgL_auxz00_29233 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11603, BgL_auxz00_29233,
														BgL_auxz00_29235);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29238;

													BgL_auxz00_29238 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11603, BgL_auxz00_29238,
														BgL_runz00_16109);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29243;
													int BgL_auxz00_29241;

													BgL_auxz00_29243 = BINT(((long) -1));
													BgL_auxz00_29241 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11603, BgL_auxz00_29241,
														BgL_auxz00_29243);
												}
												BgL_arg3142z00_3535 = BgL_newz00_11603;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16110, BgL_arg3142z00_3535);
										BgL_arg3142z00_3535;
									}
									return BgL_mainz00_16110;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5511 */
	obj_t BGl_z62main5511z62zz__evaluate_compz00(obj_t BgL_envz00_17017,
		obj_t BgL_lastz00_17024)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_17022;
				long BgL_siza7ezd2framez75_17023;

				BgL_runz00_17022 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17017, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17023 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17017, (int) (((long) 5))));
				{
					obj_t BgL_lastz00_3537;

					BgL_lastz00_3537 = BgL_lastz00_17024;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3539;

						BgL_sz00_3539 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3540;

							BgL_bpz00_3540 = VECTOR_REF(BgL_sz00_3539, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_29256;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11543;

									BgL_arg1902z00_11543 = VECTOR_LENGTH(BgL_sz00_3539);
									BgL_testz00_29256 =
										(
										((long) CINT(BgL_bpz00_3540) +
											BgL_siza7ezd2framez75_17023) <
										(long) (BgL_arg1902z00_11543));
								}
								if (BgL_testz00_29256)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3146z00_3542;

											BgL_arg3146z00_3542 =
												((long) CINT(BgL_bpz00_3540) + ((long) 0));
											VECTOR_SET(BgL_sz00_3539,
												(int) (BgL_arg3146z00_3542), BgL_lastz00_3537);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1316z00_3543;

											BgL_val1316z00_3543 =
												BGl_zc3exitza33150ze3z83zz__evaluate_compz00
												(BgL_bpz00_3540, BgL_sz00_3539, BgL_runz00_17022);
											VECTOR_SET(BgL_sz00_3539, (int) (((long) 0)),
												BgL_bpz00_3540);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1316z00_3543)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1316z00_3543), CDR(BgL_val1316z00_3543));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1316z00_3543;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3550;

										BgL_nsz00_3550 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3550,
											(int) (((long) 1)), BgL_sz00_3539);
										VECTOR_SET(BgL_nsz00_3550,
											(int) (((long) 2)), BgL_lastz00_3537);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_29280;

											BgL_auxz00_29280 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29280, BgL_nsz00_3550);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1319z00_3552;

											BgL_val1319z00_3552 =
												BGl_zc3exitza33156ze3z83zz__evaluate_compz00
												(BgL_runz00_17022, BgL_nsz00_3550);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_29284;

												BgL_auxz00_29284 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29284, BgL_sz00_3539);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1319z00_3552)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1319z00_3552), CDR(BgL_val1319z00_3552));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1319z00_3552;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3156> */
	obj_t BGl_zc3exitza33156ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17494,
		obj_t BgL_nsz00_17493)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1320z00_3558;

			if (SET_EXIT(BgL_an_exit1320z00_3558))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1320z00_3558 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1320z00_3558, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1321z00_3559;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11571;

								BgL_savedzd2bpzd2_11571 =
									VECTOR_REF(BgL_nsz00_17493, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17493,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11578;

									BgL_fz00_11578 = BgL_runz00_17494;
								BgL_recz00_11577:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11579;

										BgL_rz00_11579 =
											PROCEDURE_ENTRY(BgL_fz00_11578) (BgL_fz00_11578,
											BgL_nsz00_17493, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_29305;

											if (PROCEDUREP(BgL_rz00_11579))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11584;

													BgL_arg1893z00_11584 = PROCEDURE_ATTR(BgL_rz00_11579);
													if (STRUCTP(BgL_arg1893z00_11584))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29305 =
																(STRUCT_KEY(BgL_arg1893z00_11584) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29305 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_29305 = ((bool_t) 0);
												}
											if (BgL_testz00_29305)
												{
													obj_t BgL_fz00_29313;

													BgL_fz00_29313 = BgL_rz00_11579;
													BgL_fz00_11578 = BgL_fz00_29313;
													goto BgL_recz00_11577;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17493,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11571);
													BgL_val1321z00_3559 = BgL_rz00_11579;
							}}}}}
							POP_EXIT();
							return BgL_val1321z00_3559;
						}
					}
				}
		}
	}



/* <exit:3150> */
	obj_t BGl_zc3exitza33150ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17497,
		obj_t BgL_sz00_17496, obj_t BgL_runz00_17495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1317z00_3548;

			if (SET_EXIT(BgL_an_exit1317z00_3548))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1317z00_3548 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1317z00_3548, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1318z00_3549;

							BgL_val1318z00_3549 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17495,
								BgL_sz00_17496, BgL_bpz00_17497);
							POP_EXIT();
							return BgL_val1318z00_3549;
						}
					}
				}
		}
	}



/* &run5512 */
	obj_t BGl_z62run5512z62zz__evaluate_compz00(obj_t BgL_envz00_17025,
		obj_t BgL_sz00_17030)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_17026;
				obj_t BgL_valza2za2_17027;
				BgL_ev_absz00_bglt BgL_i1253z00_17028;
				obj_t BgL_bodyz00_17029;

				BgL_siza7eza7_17026 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17025, (int) (((long) 0))));
				BgL_valza2za2_17027 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17025, (int) (((long) 1))));
				BgL_i1253z00_17028 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17025, (int) (((long) 2))));
				BgL_bodyz00_17029 = PROCEDURE_REF(BgL_envz00_17025, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3561;

					BgL_sz00_3561 = BgL_sz00_17030;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3563;

						BgL_bpz00_3563 = VECTOR_REF(BgL_sz00_3561, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3561,
							BgL_valza2za2_17027,
							((long) CINT(BgL_bpz00_3563) + BgL_siza7eza7_17026));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_3565;
							obj_t BgL_wherez00_3566;
							obj_t BgL_locz00_3567;

							BgL_z12denvz12_3565 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3566 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17028))->BgL_wherez00);
							BgL_locz00_3567 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17028))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3565, BgL_wherez00_3566,
									BgL_locz00_3567);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_3568;

									BgL_za2za2resza2za2z00_3568 =
										PROCEDURE_ENTRY(BgL_bodyz00_17029) (BgL_bodyz00_17029,
										BgL_sz00_3561, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3565);
									return BgL_za2za2resza2za2z00_3568;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3159> */
	obj_t BGl_z62zc3anonymousza33159ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17031, obj_t BgL_sz00_17038)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_17032;
				obj_t BgL_iboxesz00_17033;
				long BgL_siza7eza7_17034;
				BgL_ev_absz00_bglt BgL_i1253z00_17035;
				obj_t BgL_bodyz00_17036;
				long BgL_siza7ezd2framez75_17037;

				BgL_ifreesz00_17032 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17031, (int) (((long) 0))));
				BgL_iboxesz00_17033 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17031, (int) (((long) 1))));
				BgL_siza7eza7_17034 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17031, (int) (((long) 2))));
				BgL_i1253z00_17035 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17031, (int) (((long) 3))));
				BgL_bodyz00_17036 = PROCEDURE_REF(BgL_envz00_17031, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17037 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17031, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3570;

					BgL_sz00_3570 = BgL_sz00_17038;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3572;

						BgL_bpz00_3572 = VECTOR_REF(BgL_sz00_3570, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_3573;

							BgL_valza2za2_3573 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3570,
								BgL_bpz00_3572, BgL_ifreesz00_17032);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16106;

								BgL_runz00_16106 =
									MAKE_FX_PROCEDURE(BGl_z62run5514z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 0)), BgL_iboxesz00_17033);
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17034));
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 2)), BgL_valza2za2_3573);
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_17035));
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 4)), BgL_bodyz00_17036);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16107;

									BgL_mainz00_16107 =
										MAKE_VA_PROCEDURE(BGl_z62main5513z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 0)), BgL_iboxesz00_17033);
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17034));
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 2)), BgL_valza2za2_3573);
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_17035));
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 4)), BgL_bodyz00_17036);
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 5)), BgL_runz00_16106);
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17037));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11693;

										BgL_objz00_11693 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16106, BgL_objz00_11693);
										BgL_objz00_11693;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3160z00_3576;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3161z00_3577;

											BgL_arg3161z00_3577 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17035))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11697;

												BgL_newz00_11697 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29406;

													BgL_auxz00_29406 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11697, BgL_auxz00_29406,
														BgL_arg3161z00_3577);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29411;
													int BgL_auxz00_29409;

													BgL_auxz00_29411 = BINT(BgL_siza7ezd2framez75_17037);
													BgL_auxz00_29409 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11697, BgL_auxz00_29409,
														BgL_auxz00_29411);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29414;

													BgL_auxz00_29414 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11697, BgL_auxz00_29414,
														BgL_runz00_16106);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29419;
													int BgL_auxz00_29417;

													BgL_auxz00_29419 = BINT(((long) -1));
													BgL_auxz00_29417 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11697, BgL_auxz00_29417,
														BgL_auxz00_29419);
												}
												BgL_arg3160z00_3576 = BgL_newz00_11697;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16107, BgL_arg3160z00_3576);
										BgL_arg3160z00_3576;
									}
									return BgL_mainz00_16107;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5513 */
	obj_t BGl_z62main5513z62zz__evaluate_compz00(obj_t BgL_envz00_17039,
		obj_t BgL_lastz00_17047)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_17045;
				long BgL_siza7ezd2framez75_17046;

				BgL_runz00_17045 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17039, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17046 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17039, (int) (((long) 6))));
				{
					obj_t BgL_lastz00_3578;

					BgL_lastz00_3578 = BgL_lastz00_17047;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3580;

						BgL_sz00_3580 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3581;

							BgL_bpz00_3581 = VECTOR_REF(BgL_sz00_3580, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_29432;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11637;

									BgL_arg1902z00_11637 = VECTOR_LENGTH(BgL_sz00_3580);
									BgL_testz00_29432 =
										(
										((long) CINT(BgL_bpz00_3581) +
											BgL_siza7ezd2framez75_17046) <
										(long) (BgL_arg1902z00_11637));
								}
								if (BgL_testz00_29432)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3164z00_3583;

											BgL_arg3164z00_3583 =
												((long) CINT(BgL_bpz00_3581) + ((long) 0));
											VECTOR_SET(BgL_sz00_3580,
												(int) (BgL_arg3164z00_3583), BgL_lastz00_3578);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1322z00_3584;

											BgL_val1322z00_3584 =
												BGl_zc3exitza33168ze3z83zz__evaluate_compz00
												(BgL_bpz00_3581, BgL_sz00_3580, BgL_runz00_17045);
											VECTOR_SET(BgL_sz00_3580, (int) (((long) 0)),
												BgL_bpz00_3581);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1322z00_3584)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1322z00_3584), CDR(BgL_val1322z00_3584));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1322z00_3584;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3591;

										BgL_nsz00_3591 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3591,
											(int) (((long) 1)), BgL_sz00_3580);
										VECTOR_SET(BgL_nsz00_3591,
											(int) (((long) 2)), BgL_lastz00_3578);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_29456;

											BgL_auxz00_29456 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29456, BgL_nsz00_3591);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1325z00_3593;

											BgL_val1325z00_3593 =
												BGl_zc3exitza33174ze3z83zz__evaluate_compz00
												(BgL_runz00_17045, BgL_nsz00_3591);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_29460;

												BgL_auxz00_29460 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29460, BgL_sz00_3580);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1325z00_3593)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1325z00_3593), CDR(BgL_val1325z00_3593));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1325z00_3593;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3174> */
	obj_t BGl_zc3exitza33174ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17489,
		obj_t BgL_nsz00_17488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1326z00_3599;

			if (SET_EXIT(BgL_an_exit1326z00_3599))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1326z00_3599 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1326z00_3599, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1327z00_3600;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11665;

								BgL_savedzd2bpzd2_11665 =
									VECTOR_REF(BgL_nsz00_17488, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17488,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11672;

									BgL_fz00_11672 = BgL_runz00_17489;
								BgL_recz00_11671:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11673;

										BgL_rz00_11673 =
											PROCEDURE_ENTRY(BgL_fz00_11672) (BgL_fz00_11672,
											BgL_nsz00_17488, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_29481;

											if (PROCEDUREP(BgL_rz00_11673))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11678;

													BgL_arg1893z00_11678 = PROCEDURE_ATTR(BgL_rz00_11673);
													if (STRUCTP(BgL_arg1893z00_11678))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29481 =
																(STRUCT_KEY(BgL_arg1893z00_11678) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29481 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_29481 = ((bool_t) 0);
												}
											if (BgL_testz00_29481)
												{
													obj_t BgL_fz00_29489;

													BgL_fz00_29489 = BgL_rz00_11673;
													BgL_fz00_11672 = BgL_fz00_29489;
													goto BgL_recz00_11671;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17488,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11665);
													BgL_val1327z00_3600 = BgL_rz00_11673;
							}}}}}
							POP_EXIT();
							return BgL_val1327z00_3600;
						}
					}
				}
		}
	}



/* <exit:3168> */
	obj_t BGl_zc3exitza33168ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17492,
		obj_t BgL_sz00_17491, obj_t BgL_runz00_17490)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1323z00_3589;

			if (SET_EXIT(BgL_an_exit1323z00_3589))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1323z00_3589 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1323z00_3589, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1324z00_3590;

							BgL_val1324z00_3590 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17490,
								BgL_sz00_17491, BgL_bpz00_17492);
							POP_EXIT();
							return BgL_val1324z00_3590;
						}
					}
				}
		}
	}



/* &run5514 */
	obj_t BGl_z62run5514z62zz__evaluate_compz00(obj_t BgL_envz00_17048,
		obj_t BgL_sz00_17054)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_17049;
				long BgL_siza7eza7_17050;
				obj_t BgL_valza2za2_17051;
				BgL_ev_absz00_bglt BgL_i1253z00_17052;
				obj_t BgL_bodyz00_17053;

				BgL_iboxesz00_17049 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 0))));
				BgL_siza7eza7_17050 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 1))));
				BgL_valza2za2_17051 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 2))));
				BgL_i1253z00_17052 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 3))));
				BgL_bodyz00_17053 = PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3602;

					BgL_sz00_3602 = BgL_sz00_17054;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3604;

						BgL_bpz00_3604 = VECTOR_REF(BgL_sz00_3602, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3602,
							BgL_iboxesz00_17049, BgL_bpz00_3604);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3602,
							BgL_valza2za2_17051,
							((long) CINT(BgL_bpz00_3604) + BgL_siza7eza7_17050));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_3606;
							obj_t BgL_wherez00_3607;
							obj_t BgL_locz00_3608;

							BgL_z12denvz12_3606 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3607 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17052))->BgL_wherez00);
							BgL_locz00_3608 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17052))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3606, BgL_wherez00_3607,
									BgL_locz00_3608);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_3609;

									BgL_za2za2resza2za2z00_3609 =
										PROCEDURE_ENTRY(BgL_bodyz00_17053) (BgL_bodyz00_17053,
										BgL_sz00_3602, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3606);
									return BgL_za2za2resza2za2z00_3609;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3031> */
	obj_t BGl_z62zc3anonymousza33031ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17055, obj_t BgL_sz00_17059)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_17056;
				obj_t BgL_bodyz00_17057;
				long BgL_siza7ezd2framez75_17058;

				BgL_i1253z00_17056 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17055, (int) (((long) 0))));
				BgL_bodyz00_17057 = PROCEDURE_REF(BgL_envz00_17055, (int) (((long) 1)));
				BgL_siza7ezd2framez75_17058 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17055, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3291;

					BgL_sz00_3291 = BgL_sz00_17059;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3293;

						BgL_bpz00_3293 = VECTOR_REF(BgL_sz00_3291, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16103;

								BgL_runz00_16103 =
									MAKE_FX_PROCEDURE(BGl_z62run5516z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16103,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_17056));
								PROCEDURE_SET(BgL_runz00_16103,
									(int) (((long) 1)), BgL_bodyz00_17057);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16104;

									BgL_mainz00_16104 =
										MAKE_FX_PROCEDURE(BGl_z62main5515z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 0)), ((obj_t) BgL_i1253z00_17056));
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 1)), BgL_bodyz00_17057);
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 2)), BgL_runz00_16103);
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_17058));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11055;

										BgL_objz00_11055 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16103, BgL_objz00_11055);
										BgL_objz00_11055;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3032z00_3296;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3033z00_3297;

											BgL_arg3033z00_3297 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17056))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11059;

												BgL_newz00_11059 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29562;

													BgL_auxz00_29562 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11059, BgL_auxz00_29562,
														BgL_arg3033z00_3297);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29567;
													int BgL_auxz00_29565;

													BgL_auxz00_29567 = BINT(BgL_siza7ezd2framez75_17058);
													BgL_auxz00_29565 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11059, BgL_auxz00_29565,
														BgL_auxz00_29567);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29570;

													BgL_auxz00_29570 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11059, BgL_auxz00_29570,
														BgL_runz00_16103);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29575;
													int BgL_auxz00_29573;

													BgL_auxz00_29575 = BINT(((long) 0));
													BgL_auxz00_29573 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11059, BgL_auxz00_29573,
														BgL_auxz00_29575);
												}
												BgL_arg3032z00_3296 = BgL_newz00_11059;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16104, BgL_arg3032z00_3296);
										BgL_arg3032z00_3296;
									}
									return BgL_mainz00_16104;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5515 */
	obj_t BGl_z62main5515z62zz__evaluate_compz00(obj_t BgL_envz00_17060)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_17063;
				long BgL_siza7ezd2framez75_17064;

				BgL_runz00_17063 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17060, (int) (((long) 2))));
				BgL_siza7ezd2framez75_17064 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17060, (int) (((long) 3))));
				{

					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3299;

						BgL_sz00_3299 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3300;

							BgL_bpz00_3300 = VECTOR_REF(BgL_sz00_3299, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_29588;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11008;

									BgL_arg1902z00_11008 = VECTOR_LENGTH(BgL_sz00_3299);
									BgL_testz00_29588 =
										(
										((long) CINT(BgL_bpz00_3300) +
											BgL_siza7ezd2framez75_17064) <
										(long) (BgL_arg1902z00_11008));
								}
								if (BgL_testz00_29588)
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_val1280z00_3302;

										BgL_val1280z00_3302 =
											BGl_zc3exitza33039ze3z83zz__evaluate_compz00
											(BgL_bpz00_3300, BgL_sz00_3299, BgL_runz00_17063);
										VECTOR_SET(BgL_sz00_3299, (int) (((long) 0)),
											BgL_bpz00_3300);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1280z00_3302)))
											{	/* Eval/evaluate_comp.scm 1124 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1280z00_3302), CDR(BgL_val1280z00_3302));
											}
										else
											{	/* Eval/evaluate_comp.scm 1124 */
												return BgL_val1280z00_3302;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3309;

										BgL_nsz00_3309 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3309,
											(int) (((long) 1)), BgL_sz00_3299);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_29606;

											BgL_auxz00_29606 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29606, BgL_nsz00_3309);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1283z00_3311;

											BgL_val1283z00_3311 =
												BGl_zc3exitza33045ze3z83zz__evaluate_compz00
												(BgL_runz00_17063, BgL_nsz00_3309);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_29610;

												BgL_auxz00_29610 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29610, BgL_sz00_3299);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1283z00_3311)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1283z00_3311), CDR(BgL_val1283z00_3311));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1283z00_3311;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3045> */
	obj_t BGl_zc3exitza33045ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17484,
		obj_t BgL_nsz00_17483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1284z00_3317;

			if (SET_EXIT(BgL_an_exit1284z00_3317))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1284z00_3317 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1284z00_3317, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1285z00_3318;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11027;

								BgL_savedzd2bpzd2_11027 =
									VECTOR_REF(BgL_nsz00_17483, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17483,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11034;

									BgL_fz00_11034 = BgL_runz00_17484;
								BgL_recz00_11033:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11035;

										BgL_rz00_11035 =
											PROCEDURE_ENTRY(BgL_fz00_11034) (BgL_fz00_11034,
											BgL_nsz00_17483, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_29631;

											if (PROCEDUREP(BgL_rz00_11035))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11040;

													BgL_arg1893z00_11040 = PROCEDURE_ATTR(BgL_rz00_11035);
													if (STRUCTP(BgL_arg1893z00_11040))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29631 =
																(STRUCT_KEY(BgL_arg1893z00_11040) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29631 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_29631 = ((bool_t) 0);
												}
											if (BgL_testz00_29631)
												{
													obj_t BgL_fz00_29639;

													BgL_fz00_29639 = BgL_rz00_11035;
													BgL_fz00_11034 = BgL_fz00_29639;
													goto BgL_recz00_11033;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17483,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11027);
													BgL_val1285z00_3318 = BgL_rz00_11035;
							}}}}}
							POP_EXIT();
							return BgL_val1285z00_3318;
						}
					}
				}
		}
	}



/* <exit:3039> */
	obj_t BGl_zc3exitza33039ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17487,
		obj_t BgL_sz00_17486, obj_t BgL_runz00_17485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1281z00_3307;

			if (SET_EXIT(BgL_an_exit1281z00_3307))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1281z00_3307 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1281z00_3307, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1282z00_3308;

							BgL_val1282z00_3308 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17485,
								BgL_sz00_17486, BgL_bpz00_17487);
							POP_EXIT();
							return BgL_val1282z00_3308;
						}
					}
				}
		}
	}



/* &run5516 */
	obj_t BGl_z62run5516z62zz__evaluate_compz00(obj_t BgL_envz00_17065,
		obj_t BgL_sz00_17068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_17066;
				obj_t BgL_bodyz00_17067;

				BgL_i1253z00_17066 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17065, (int) (((long) 0))));
				BgL_bodyz00_17067 = PROCEDURE_REF(BgL_envz00_17065, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3320;

					BgL_sz00_3320 = BgL_sz00_17068;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3322;

						BgL_bpz00_3322 = VECTOR_REF(BgL_sz00_3320, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3323;
							obj_t BgL_wherez00_3324;
							obj_t BgL_locz00_3325;

							BgL_z12denvz12_3323 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3324 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17066))->BgL_wherez00);
							BgL_locz00_3325 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17066))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3323, BgL_wherez00_3324,
									BgL_locz00_3325);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3326;

									BgL_za2za2resza2za2z00_3326 =
										PROCEDURE_ENTRY(BgL_bodyz00_17067) (BgL_bodyz00_17067,
										BgL_sz00_3320, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3323);
									return BgL_za2za2resza2za2z00_3326;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3047> */
	obj_t BGl_z62zc3anonymousza33047ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17069, obj_t BgL_sz00_17074)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_17070;
				BgL_ev_absz00_bglt BgL_i1253z00_17071;
				obj_t BgL_bodyz00_17072;
				long BgL_siza7ezd2framez75_17073;

				BgL_iboxesz00_17070 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17069, (int) (((long) 0))));
				BgL_i1253z00_17071 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17069, (int) (((long) 1))));
				BgL_bodyz00_17072 = PROCEDURE_REF(BgL_envz00_17069, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17073 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17069, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3328;

					BgL_sz00_3328 = BgL_sz00_17074;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3330;

						BgL_bpz00_3330 = VECTOR_REF(BgL_sz00_3328, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16100;

								BgL_runz00_16100 =
									MAKE_FX_PROCEDURE(BGl_z62run5518z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16100,
									(int) (((long) 0)), BgL_iboxesz00_17070);
								PROCEDURE_SET(BgL_runz00_16100,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_17071));
								PROCEDURE_SET(BgL_runz00_16100,
									(int) (((long) 2)), BgL_bodyz00_17072);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16101;

									BgL_mainz00_16101 =
										MAKE_FX_PROCEDURE(BGl_z62main5517z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 0)), BgL_iboxesz00_17070);
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_17071));
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 2)), BgL_bodyz00_17072);
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 3)), BgL_runz00_16100);
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17073));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11137;

										BgL_objz00_11137 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16100, BgL_objz00_11137);
										BgL_objz00_11137;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3048z00_3333;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3049z00_3334;

											BgL_arg3049z00_3334 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17071))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11141;

												BgL_newz00_11141 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29706;

													BgL_auxz00_29706 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11141, BgL_auxz00_29706,
														BgL_arg3049z00_3334);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29711;
													int BgL_auxz00_29709;

													BgL_auxz00_29711 = BINT(BgL_siza7ezd2framez75_17073);
													BgL_auxz00_29709 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11141, BgL_auxz00_29709,
														BgL_auxz00_29711);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29714;

													BgL_auxz00_29714 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11141, BgL_auxz00_29714,
														BgL_runz00_16100);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29719;
													int BgL_auxz00_29717;

													BgL_auxz00_29719 = BINT(((long) 0));
													BgL_auxz00_29717 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11141, BgL_auxz00_29717,
														BgL_auxz00_29719);
												}
												BgL_arg3048z00_3333 = BgL_newz00_11141;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16101, BgL_arg3048z00_3333);
										BgL_arg3048z00_3333;
									}
									return BgL_mainz00_16101;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5517 */
	obj_t BGl_z62main5517z62zz__evaluate_compz00(obj_t BgL_envz00_17075)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_17079;
				long BgL_siza7ezd2framez75_17080;

				BgL_runz00_17079 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17075, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17080 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17075, (int) (((long) 4))));
				{

					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3336;

						BgL_sz00_3336 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3337;

							BgL_bpz00_3337 = VECTOR_REF(BgL_sz00_3336, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_29732;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11090;

									BgL_arg1902z00_11090 = VECTOR_LENGTH(BgL_sz00_3336);
									BgL_testz00_29732 =
										(
										((long) CINT(BgL_bpz00_3337) +
											BgL_siza7ezd2framez75_17080) <
										(long) (BgL_arg1902z00_11090));
								}
								if (BgL_testz00_29732)
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_val1286z00_3339;

										BgL_val1286z00_3339 =
											BGl_zc3exitza33055ze3z83zz__evaluate_compz00
											(BgL_bpz00_3337, BgL_sz00_3336, BgL_runz00_17079);
										VECTOR_SET(BgL_sz00_3336, (int) (((long) 0)),
											BgL_bpz00_3337);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1286z00_3339)))
											{	/* Eval/evaluate_comp.scm 1124 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1286z00_3339), CDR(BgL_val1286z00_3339));
											}
										else
											{	/* Eval/evaluate_comp.scm 1124 */
												return BgL_val1286z00_3339;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3346;

										BgL_nsz00_3346 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3346,
											(int) (((long) 1)), BgL_sz00_3336);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_29750;

											BgL_auxz00_29750 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29750, BgL_nsz00_3346);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1289z00_3348;

											BgL_val1289z00_3348 =
												BGl_zc3exitza33062ze3z83zz__evaluate_compz00
												(BgL_runz00_17079, BgL_nsz00_3346);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_29754;

												BgL_auxz00_29754 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29754, BgL_sz00_3336);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1289z00_3348)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1289z00_3348), CDR(BgL_val1289z00_3348));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1289z00_3348;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3062> */
	obj_t BGl_zc3exitza33062ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17479,
		obj_t BgL_nsz00_17478)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1290z00_3354;

			if (SET_EXIT(BgL_an_exit1290z00_3354))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1290z00_3354 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1290z00_3354, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1291z00_3355;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11109;

								BgL_savedzd2bpzd2_11109 =
									VECTOR_REF(BgL_nsz00_17478, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17478,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11116;

									BgL_fz00_11116 = BgL_runz00_17479;
								BgL_recz00_11115:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11117;

										BgL_rz00_11117 =
											PROCEDURE_ENTRY(BgL_fz00_11116) (BgL_fz00_11116,
											BgL_nsz00_17478, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_29775;

											if (PROCEDUREP(BgL_rz00_11117))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11122;

													BgL_arg1893z00_11122 = PROCEDURE_ATTR(BgL_rz00_11117);
													if (STRUCTP(BgL_arg1893z00_11122))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29775 =
																(STRUCT_KEY(BgL_arg1893z00_11122) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29775 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_29775 = ((bool_t) 0);
												}
											if (BgL_testz00_29775)
												{
													obj_t BgL_fz00_29783;

													BgL_fz00_29783 = BgL_rz00_11117;
													BgL_fz00_11116 = BgL_fz00_29783;
													goto BgL_recz00_11115;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17478,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11109);
													BgL_val1291z00_3355 = BgL_rz00_11117;
							}}}}}
							POP_EXIT();
							return BgL_val1291z00_3355;
						}
					}
				}
		}
	}



/* <exit:3055> */
	obj_t BGl_zc3exitza33055ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17482,
		obj_t BgL_sz00_17481, obj_t BgL_runz00_17480)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1287z00_3344;

			if (SET_EXIT(BgL_an_exit1287z00_3344))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1287z00_3344 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1287z00_3344, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1288z00_3345;

							BgL_val1288z00_3345 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17480,
								BgL_sz00_17481, BgL_bpz00_17482);
							POP_EXIT();
							return BgL_val1288z00_3345;
						}
					}
				}
		}
	}



/* &run5518 */
	obj_t BGl_z62run5518z62zz__evaluate_compz00(obj_t BgL_envz00_17081,
		obj_t BgL_sz00_17085)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_17082;
				BgL_ev_absz00_bglt BgL_i1253z00_17083;
				obj_t BgL_bodyz00_17084;

				BgL_iboxesz00_17082 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17081, (int) (((long) 0))));
				BgL_i1253z00_17083 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17081, (int) (((long) 1))));
				BgL_bodyz00_17084 = PROCEDURE_REF(BgL_envz00_17081, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3357;

					BgL_sz00_3357 = BgL_sz00_17085;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3359;

						BgL_bpz00_3359 = VECTOR_REF(BgL_sz00_3357, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3357,
							BgL_iboxesz00_17082, BgL_bpz00_3359);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_3360;
							obj_t BgL_wherez00_3361;
							obj_t BgL_locz00_3362;

							BgL_z12denvz12_3360 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3361 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17083))->BgL_wherez00);
							BgL_locz00_3362 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17083))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3360, BgL_wherez00_3361,
									BgL_locz00_3362);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_3363;

									BgL_za2za2resza2za2z00_3363 =
										PROCEDURE_ENTRY(BgL_bodyz00_17084) (BgL_bodyz00_17084,
										BgL_sz00_3357, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3360);
									return BgL_za2za2resza2za2z00_3363;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3066> */
	obj_t BGl_z62zc3anonymousza33066ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17086, obj_t BgL_sz00_17092)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_17087;
				long BgL_siza7eza7_17088;
				BgL_ev_absz00_bglt BgL_i1253z00_17089;
				obj_t BgL_bodyz00_17090;
				long BgL_siza7ezd2framez75_17091;

				BgL_ifreesz00_17087 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17086, (int) (((long) 0))));
				BgL_siza7eza7_17088 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17086, (int) (((long) 1))));
				BgL_i1253z00_17089 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17086, (int) (((long) 2))));
				BgL_bodyz00_17090 = PROCEDURE_REF(BgL_envz00_17086, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17091 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17086, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3367;

					BgL_sz00_3367 = BgL_sz00_17092;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3369;

						BgL_bpz00_3369 = VECTOR_REF(BgL_sz00_3367, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_3370;

							BgL_valza2za2_3370 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3367,
								BgL_bpz00_3369, BgL_ifreesz00_17087);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16097;

								BgL_runz00_16097 =
									MAKE_FX_PROCEDURE(BGl_z62run5520z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16097,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17088));
								PROCEDURE_SET(BgL_runz00_16097,
									(int) (((long) 1)), BgL_valza2za2_3370);
								PROCEDURE_SET(BgL_runz00_16097,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_17089));
								PROCEDURE_SET(BgL_runz00_16097,
									(int) (((long) 3)), BgL_bodyz00_17090);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16098;

									BgL_mainz00_16098 =
										MAKE_FX_PROCEDURE(BGl_z62main5519z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17088));
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 1)), BgL_valza2za2_3370);
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_17089));
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 3)), BgL_bodyz00_17090);
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 4)), BgL_runz00_16097);
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17091));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11226;

										BgL_objz00_11226 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16097, BgL_objz00_11226);
										BgL_objz00_11226;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3067z00_3373;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3068z00_3374;

											BgL_arg3068z00_3374 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17089))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11230;

												BgL_newz00_11230 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29864;

													BgL_auxz00_29864 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11230, BgL_auxz00_29864,
														BgL_arg3068z00_3374);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29869;
													int BgL_auxz00_29867;

													BgL_auxz00_29869 = BINT(BgL_siza7ezd2framez75_17091);
													BgL_auxz00_29867 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11230, BgL_auxz00_29867,
														BgL_auxz00_29869);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_29872;

													BgL_auxz00_29872 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11230, BgL_auxz00_29872,
														BgL_runz00_16097);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_29877;
													int BgL_auxz00_29875;

													BgL_auxz00_29877 = BINT(((long) 0));
													BgL_auxz00_29875 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11230, BgL_auxz00_29875,
														BgL_auxz00_29877);
												}
												BgL_arg3067z00_3373 = BgL_newz00_11230;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16098, BgL_arg3067z00_3373);
										BgL_arg3067z00_3373;
									}
									return BgL_mainz00_16098;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5519 */
	obj_t BGl_z62main5519z62zz__evaluate_compz00(obj_t BgL_envz00_17093)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_17098;
				long BgL_siza7ezd2framez75_17099;

				BgL_runz00_17098 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17093, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17099 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17093, (int) (((long) 5))));
				{

					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3376;

						BgL_sz00_3376 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3377;

							BgL_bpz00_3377 = VECTOR_REF(BgL_sz00_3376, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_29890;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11179;

									BgL_arg1902z00_11179 = VECTOR_LENGTH(BgL_sz00_3376);
									BgL_testz00_29890 =
										(
										((long) CINT(BgL_bpz00_3377) +
											BgL_siza7ezd2framez75_17099) <
										(long) (BgL_arg1902z00_11179));
								}
								if (BgL_testz00_29890)
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_val1292z00_3379;

										BgL_val1292z00_3379 =
											BGl_zc3exitza33075ze3z83zz__evaluate_compz00
											(BgL_bpz00_3377, BgL_sz00_3376, BgL_runz00_17098);
										VECTOR_SET(BgL_sz00_3376, (int) (((long) 0)),
											BgL_bpz00_3377);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1292z00_3379)))
											{	/* Eval/evaluate_comp.scm 1124 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1292z00_3379), CDR(BgL_val1292z00_3379));
											}
										else
											{	/* Eval/evaluate_comp.scm 1124 */
												return BgL_val1292z00_3379;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3386;

										BgL_nsz00_3386 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3386,
											(int) (((long) 1)), BgL_sz00_3376);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_29908;

											BgL_auxz00_29908 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29908, BgL_nsz00_3386);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1295z00_3388;

											BgL_val1295z00_3388 =
												BGl_zc3exitza33081ze3z83zz__evaluate_compz00
												(BgL_runz00_17098, BgL_nsz00_3386);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_29912;

												BgL_auxz00_29912 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29912, BgL_sz00_3376);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1295z00_3388)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1295z00_3388), CDR(BgL_val1295z00_3388));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1295z00_3388;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3081> */
	obj_t BGl_zc3exitza33081ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17474,
		obj_t BgL_nsz00_17473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1296z00_3394;

			if (SET_EXIT(BgL_an_exit1296z00_3394))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1296z00_3394 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1296z00_3394, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1297z00_3395;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11198;

								BgL_savedzd2bpzd2_11198 =
									VECTOR_REF(BgL_nsz00_17473, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17473,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11205;

									BgL_fz00_11205 = BgL_runz00_17474;
								BgL_recz00_11204:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11206;

										BgL_rz00_11206 =
											PROCEDURE_ENTRY(BgL_fz00_11205) (BgL_fz00_11205,
											BgL_nsz00_17473, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_29933;

											if (PROCEDUREP(BgL_rz00_11206))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11211;

													BgL_arg1893z00_11211 = PROCEDURE_ATTR(BgL_rz00_11206);
													if (STRUCTP(BgL_arg1893z00_11211))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29933 =
																(STRUCT_KEY(BgL_arg1893z00_11211) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_29933 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_29933 = ((bool_t) 0);
												}
											if (BgL_testz00_29933)
												{
													obj_t BgL_fz00_29941;

													BgL_fz00_29941 = BgL_rz00_11206;
													BgL_fz00_11205 = BgL_fz00_29941;
													goto BgL_recz00_11204;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17473,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11198);
													BgL_val1297z00_3395 = BgL_rz00_11206;
							}}}}}
							POP_EXIT();
							return BgL_val1297z00_3395;
						}
					}
				}
		}
	}



/* <exit:3075> */
	obj_t BGl_zc3exitza33075ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17477,
		obj_t BgL_sz00_17476, obj_t BgL_runz00_17475)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1293z00_3384;

			if (SET_EXIT(BgL_an_exit1293z00_3384))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1293z00_3384 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1293z00_3384, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1294z00_3385;

							BgL_val1294z00_3385 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17475,
								BgL_sz00_17476, BgL_bpz00_17477);
							POP_EXIT();
							return BgL_val1294z00_3385;
						}
					}
				}
		}
	}



/* &run5520 */
	obj_t BGl_z62run5520z62zz__evaluate_compz00(obj_t BgL_envz00_17100,
		obj_t BgL_sz00_17105)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_17101;
				obj_t BgL_valza2za2_17102;
				BgL_ev_absz00_bglt BgL_i1253z00_17103;
				obj_t BgL_bodyz00_17104;

				BgL_siza7eza7_17101 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17100, (int) (((long) 0))));
				BgL_valza2za2_17102 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17100, (int) (((long) 1))));
				BgL_i1253z00_17103 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17100, (int) (((long) 2))));
				BgL_bodyz00_17104 = PROCEDURE_REF(BgL_envz00_17100, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3397;

					BgL_sz00_3397 = BgL_sz00_17105;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3399;

						BgL_bpz00_3399 = VECTOR_REF(BgL_sz00_3397, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3397,
							BgL_valza2za2_17102,
							((long) CINT(BgL_bpz00_3399) + BgL_siza7eza7_17101));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_3401;
							obj_t BgL_wherez00_3402;
							obj_t BgL_locz00_3403;

							BgL_z12denvz12_3401 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3402 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17103))->BgL_wherez00);
							BgL_locz00_3403 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17103))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3401, BgL_wherez00_3402,
									BgL_locz00_3403);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_3404;

									BgL_za2za2resza2za2z00_3404 =
										PROCEDURE_ENTRY(BgL_bodyz00_17104) (BgL_bodyz00_17104,
										BgL_sz00_3397, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3401);
									return BgL_za2za2resza2za2z00_3404;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3084> */
	obj_t BGl_z62zc3anonymousza33084ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17106, obj_t BgL_sz00_17113)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_17107;
				obj_t BgL_iboxesz00_17108;
				long BgL_siza7eza7_17109;
				BgL_ev_absz00_bglt BgL_i1253z00_17110;
				obj_t BgL_bodyz00_17111;
				long BgL_siza7ezd2framez75_17112;

				BgL_ifreesz00_17107 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17106, (int) (((long) 0))));
				BgL_iboxesz00_17108 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17106, (int) (((long) 1))));
				BgL_siza7eza7_17109 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17106, (int) (((long) 2))));
				BgL_i1253z00_17110 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17106, (int) (((long) 3))));
				BgL_bodyz00_17111 = PROCEDURE_REF(BgL_envz00_17106, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17112 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17106, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3406;

					BgL_sz00_3406 = BgL_sz00_17113;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3408;

						BgL_bpz00_3408 = VECTOR_REF(BgL_sz00_3406, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_3409;

							BgL_valza2za2_3409 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3406,
								BgL_bpz00_3408, BgL_ifreesz00_17107);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16094;

								BgL_runz00_16094 =
									MAKE_FX_PROCEDURE(BGl_z62run5522z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 0)), BgL_iboxesz00_17108);
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17109));
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 2)), BgL_valza2za2_3409);
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_17110));
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 4)), BgL_bodyz00_17111);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16095;

									BgL_mainz00_16095 =
										MAKE_FX_PROCEDURE(BGl_z62main5521z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 0)), BgL_iboxesz00_17108);
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17109));
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 2)), BgL_valza2za2_3409);
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_17110));
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 4)), BgL_bodyz00_17111);
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 5)), BgL_runz00_16094);
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17112));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_11311;

										BgL_objz00_11311 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16094, BgL_objz00_11311);
										BgL_objz00_11311;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3085z00_3412;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3086z00_3413;

											BgL_arg3086z00_3413 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17110))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_11315;

												BgL_newz00_11315 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30034;

													BgL_auxz00_30034 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11315, BgL_auxz00_30034,
														BgL_arg3086z00_3413);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_30039;
													int BgL_auxz00_30037;

													BgL_auxz00_30039 = BINT(BgL_siza7ezd2framez75_17112);
													BgL_auxz00_30037 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11315, BgL_auxz00_30037,
														BgL_auxz00_30039);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30042;

													BgL_auxz00_30042 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11315, BgL_auxz00_30042,
														BgL_runz00_16094);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_30047;
													int BgL_auxz00_30045;

													BgL_auxz00_30047 = BINT(((long) 0));
													BgL_auxz00_30045 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11315, BgL_auxz00_30045,
														BgL_auxz00_30047);
												}
												BgL_arg3085z00_3412 = BgL_newz00_11315;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16095, BgL_arg3085z00_3412);
										BgL_arg3085z00_3412;
									}
									return BgL_mainz00_16095;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5521 */
	obj_t BGl_z62main5521z62zz__evaluate_compz00(obj_t BgL_envz00_17114)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_runz00_17120;
				long BgL_siza7ezd2framez75_17121;

				BgL_runz00_17120 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17114, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17121 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17114, (int) (((long) 6))));
				{

					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_3415;

						BgL_sz00_3415 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_3416;

							BgL_bpz00_3416 = VECTOR_REF(BgL_sz00_3415, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_30060;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_11264;

									BgL_arg1902z00_11264 = VECTOR_LENGTH(BgL_sz00_3415);
									BgL_testz00_30060 =
										(
										((long) CINT(BgL_bpz00_3416) +
											BgL_siza7ezd2framez75_17121) <
										(long) (BgL_arg1902z00_11264));
								}
								if (BgL_testz00_30060)
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_val1298z00_3418;

										BgL_val1298z00_3418 =
											BGl_zc3exitza33092ze3z83zz__evaluate_compz00
											(BgL_bpz00_3416, BgL_sz00_3415, BgL_runz00_17120);
										VECTOR_SET(BgL_sz00_3415, (int) (((long) 0)),
											BgL_bpz00_3416);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1298z00_3418)))
											{	/* Eval/evaluate_comp.scm 1124 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1298z00_3418), CDR(BgL_val1298z00_3418));
											}
										else
											{	/* Eval/evaluate_comp.scm 1124 */
												return BgL_val1298z00_3418;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_3425;

										BgL_nsz00_3425 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3425,
											(int) (((long) 1)), BgL_sz00_3415);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_30078;

											BgL_auxz00_30078 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30078, BgL_nsz00_3425);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1301z00_3427;

											BgL_val1301z00_3427 =
												BGl_zc3exitza33098ze3z83zz__evaluate_compz00
												(BgL_runz00_17120, BgL_nsz00_3425);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_30082;

												BgL_auxz00_30082 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30082, BgL_sz00_3415);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1301z00_3427)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1301z00_3427), CDR(BgL_val1301z00_3427));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1301z00_3427;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3098> */
	obj_t BGl_zc3exitza33098ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17469,
		obj_t BgL_nsz00_17468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1302z00_3433;

			if (SET_EXIT(BgL_an_exit1302z00_3433))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1302z00_3433 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1302z00_3433, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1303z00_3434;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_11283;

								BgL_savedzd2bpzd2_11283 =
									VECTOR_REF(BgL_nsz00_17468, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17468,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11290;

									BgL_fz00_11290 = BgL_runz00_17469;
								BgL_recz00_11289:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_11291;

										BgL_rz00_11291 =
											PROCEDURE_ENTRY(BgL_fz00_11290) (BgL_fz00_11290,
											BgL_nsz00_17468, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_30103;

											if (PROCEDUREP(BgL_rz00_11291))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_11296;

													BgL_arg1893z00_11296 = PROCEDURE_ATTR(BgL_rz00_11291);
													if (STRUCTP(BgL_arg1893z00_11296))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30103 =
																(STRUCT_KEY(BgL_arg1893z00_11296) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30103 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_30103 = ((bool_t) 0);
												}
											if (BgL_testz00_30103)
												{
													obj_t BgL_fz00_30111;

													BgL_fz00_30111 = BgL_rz00_11291;
													BgL_fz00_11290 = BgL_fz00_30111;
													goto BgL_recz00_11289;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17468,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11283);
													BgL_val1303z00_3434 = BgL_rz00_11291;
							}}}}}
							POP_EXIT();
							return BgL_val1303z00_3434;
						}
					}
				}
		}
	}



/* <exit:3092> */
	obj_t BGl_zc3exitza33092ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17472,
		obj_t BgL_sz00_17471, obj_t BgL_runz00_17470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1299z00_3423;

			if (SET_EXIT(BgL_an_exit1299z00_3423))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1299z00_3423 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1299z00_3423, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1300z00_3424;

							BgL_val1300z00_3424 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17470,
								BgL_sz00_17471, BgL_bpz00_17472);
							POP_EXIT();
							return BgL_val1300z00_3424;
						}
					}
				}
		}
	}



/* &run5522 */
	obj_t BGl_z62run5522z62zz__evaluate_compz00(obj_t BgL_envz00_17122,
		obj_t BgL_sz00_17128)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_17123;
				long BgL_siza7eza7_17124;
				obj_t BgL_valza2za2_17125;
				BgL_ev_absz00_bglt BgL_i1253z00_17126;
				obj_t BgL_bodyz00_17127;

				BgL_iboxesz00_17123 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17122, (int) (((long) 0))));
				BgL_siza7eza7_17124 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17122, (int) (((long) 1))));
				BgL_valza2za2_17125 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17122, (int) (((long) 2))));
				BgL_i1253z00_17126 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17122, (int) (((long) 3))));
				BgL_bodyz00_17127 = PROCEDURE_REF(BgL_envz00_17122, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3436;

					BgL_sz00_3436 = BgL_sz00_17128;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_3438;

						BgL_bpz00_3438 = VECTOR_REF(BgL_sz00_3436, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3436,
							BgL_iboxesz00_17123, BgL_bpz00_3438);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3436,
							BgL_valza2za2_17125,
							((long) CINT(BgL_bpz00_3438) + BgL_siza7eza7_17124));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_3440;
							obj_t BgL_wherez00_3441;
							obj_t BgL_locz00_3442;

							BgL_z12denvz12_3440 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3441 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17126))->BgL_wherez00);
							BgL_locz00_3442 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17126))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3440, BgL_wherez00_3441,
									BgL_locz00_3442);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_3443;

									BgL_za2za2resza2za2z00_3443 =
										PROCEDURE_ENTRY(BgL_bodyz00_17127) (BgL_bodyz00_17127,
										BgL_sz00_3436, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3440);
									return BgL_za2za2resza2za2z00_3443;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3862> */
	obj_t BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17129, obj_t BgL_sz00_17133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_17130;
				obj_t BgL_bodyz00_17131;
				long BgL_siza7ezd2framez75_17132;

				BgL_i1253z00_17130 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17129, (int) (((long) 0))));
				BgL_bodyz00_17131 = PROCEDURE_REF(BgL_envz00_17129, (int) (((long) 1)));
				BgL_siza7ezd2framez75_17132 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17129, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5071;

					BgL_sz00_5071 = BgL_sz00_17133;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5073;

						BgL_bpz00_5073 = VECTOR_REF(BgL_sz00_5071, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16223;

								BgL_runz00_16223 =
									MAKE_FX_PROCEDURE(BGl_z62run5524z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16223,
									(int) (((long) 0)), ((obj_t) BgL_i1253z00_17130));
								PROCEDURE_SET(BgL_runz00_16223,
									(int) (((long) 1)), BgL_bodyz00_17131);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16224;

									BgL_mainz00_16224 =
										MAKE_VA_PROCEDURE(BGl_z62main5523z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16224,
										(int) (((long) 0)), BgL_bodyz00_17131);
									PROCEDURE_SET(BgL_mainz00_16224,
										(int) (((long) 1)), ((obj_t) BgL_i1253z00_17130));
									PROCEDURE_SET(BgL_mainz00_16224,
										(int) (((long) 2)), BgL_runz00_16223);
									PROCEDURE_SET(BgL_mainz00_16224,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_17132));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_10520;

										BgL_objz00_10520 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16223, BgL_objz00_10520);
										BgL_objz00_10520;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3863z00_5076;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3864z00_5077;
											obj_t BgL_arg3865z00_5078;

											BgL_arg3864z00_5077 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17130))->
												BgL_arityz00);
											BgL_arg3865z00_5078 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17130))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_10524;

												BgL_newz00_10524 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30185;

													BgL_auxz00_30185 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10524, BgL_auxz00_30185,
														BgL_arg3865z00_5078);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_30190;
													int BgL_auxz00_30188;

													BgL_auxz00_30190 = BINT(BgL_siza7ezd2framez75_17132);
													BgL_auxz00_30188 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10524, BgL_auxz00_30188,
														BgL_auxz00_30190);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30193;

													BgL_auxz00_30193 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10524, BgL_auxz00_30193,
														BgL_runz00_16223);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30196;

													BgL_auxz00_30196 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10524, BgL_auxz00_30196,
														BgL_arg3864z00_5077);
												}
												BgL_arg3863z00_5076 = BgL_newz00_10524;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16224, BgL_arg3863z00_5076);
										BgL_arg3863z00_5076;
									}
									return BgL_mainz00_16224;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5523 */
	obj_t BGl_z62main5523z62zz__evaluate_compz00(obj_t BgL_envz00_17134,
		obj_t BgL_az00_17139, obj_t BgL_bz00_17140, obj_t BgL_cz00_17141,
		obj_t BgL_dz00_17142, obj_t BgL_restz00_17143)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_17136;
				obj_t BgL_runz00_17137;
				long BgL_siza7ezd2framez75_17138;

				BgL_i1253z00_17136 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17134, (int) (((long) 1))));
				BgL_runz00_17137 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17134, (int) (((long) 2))));
				BgL_siza7ezd2framez75_17138 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17134, (int) (((long) 3))));
				{
					obj_t BgL_az00_5079;
					obj_t BgL_bz00_5080;
					obj_t BgL_cz00_5081;
					obj_t BgL_dz00_5082;
					obj_t BgL_restz00_5083;

					BgL_az00_5079 = BgL_az00_17139;
					BgL_bz00_5080 = BgL_bz00_17140;
					BgL_cz00_5081 = BgL_cz00_17141;
					BgL_dz00_5082 = BgL_dz00_17142;
					BgL_restz00_5083 = BgL_restz00_17143;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_5085;

						BgL_sz00_5085 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_5086;

							BgL_bpz00_5086 = VECTOR_REF(BgL_sz00_5085, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_30212;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_10410;

									BgL_arg1902z00_10410 = VECTOR_LENGTH(BgL_sz00_5085);
									BgL_testz00_30212 =
										(
										((long) CINT(BgL_bpz00_5086) +
											BgL_siza7ezd2framez75_17138) <
										(long) (BgL_arg1902z00_10410));
								}
								if (BgL_testz00_30212)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3868z00_5088;

											BgL_arg3868z00_5088 =
												((long) CINT(BgL_bpz00_5086) + ((long) 0));
											VECTOR_SET(BgL_sz00_5085,
												(int) (BgL_arg3868z00_5088), BgL_az00_5079);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3869z00_5089;

											BgL_arg3869z00_5089 =
												((long) CINT(BgL_bpz00_5086) + ((long) 1));
											VECTOR_SET(BgL_sz00_5085,
												(int) (BgL_arg3869z00_5089), BgL_bz00_5080);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3870z00_5090;

											BgL_arg3870z00_5090 =
												((long) CINT(BgL_bpz00_5086) + ((long) 2));
											VECTOR_SET(BgL_sz00_5085,
												(int) (BgL_arg3870z00_5090), BgL_cz00_5081);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3871z00_5091;

											BgL_arg3871z00_5091 =
												((long) CINT(BgL_bpz00_5086) + ((long) 3));
											VECTOR_SET(BgL_sz00_5085,
												(int) (BgL_arg3871z00_5091), BgL_dz00_5082);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3872z00_5092;
											long BgL_arg3873z00_5093;
											long BgL_arg3874z00_5094;
											obj_t BgL_arg3875z00_5095;

											BgL_arg3872z00_5092 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17136))->
												BgL_wherez00);
											BgL_arg3873z00_5093 =
												((long) CINT(BgL_bpz00_5086) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_nz00_10445;

												BgL_nz00_10445 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17136))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10445) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3874z00_5094 =
															((long) CINT(BgL_nz00_10445) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3874z00_5094 =
															((long) CINT(BgL_nz00_10445) - ((long) 4));
											}}
											BgL_arg3875z00_5095 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17136))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5085,
												BgL_arg3872z00_5092, BgL_arg3873z00_5093,
												BgL_arg3874z00_5094, BgL_restz00_5083,
												BgL_arg3875z00_5095);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1254z00_5097;

											BgL_val1254z00_5097 =
												BGl_zc3exitza33880ze3z83zz__evaluate_compz00
												(BgL_bpz00_5086, BgL_sz00_5085, BgL_runz00_17137);
											VECTOR_SET(BgL_sz00_5085, (int) (((long) 0)),
												BgL_bpz00_5086);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1254z00_5097)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1254z00_5097), CDR(BgL_val1254z00_5097));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1254z00_5097;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_5104;

										BgL_nsz00_5104 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5104,
											(int) (((long) 1)), BgL_sz00_5085);
										VECTOR_SET(BgL_nsz00_5104,
											(int) (((long) 2)), BgL_az00_5079);
										VECTOR_SET(BgL_nsz00_5104,
											(int) (((long) 3)), BgL_bz00_5080);
										VECTOR_SET(BgL_nsz00_5104,
											(int) (((long) 4)), BgL_cz00_5081);
										VECTOR_SET(BgL_nsz00_5104,
											(int) (((long) 5)), BgL_dz00_5082);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3881z00_5105;
											long BgL_arg3882z00_5106;
											obj_t BgL_arg3883z00_5107;

											BgL_arg3881z00_5105 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17136))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_nz00_10477;

												BgL_nz00_10477 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17136))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10477) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3882z00_5106 =
															((long) CINT(BgL_nz00_10477) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3882z00_5106 =
															((long) CINT(BgL_nz00_10477) - ((long) 4));
											}}
											BgL_arg3883z00_5107 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17136))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5104,
												BgL_arg3881z00_5105, ((long) 6), BgL_arg3882z00_5106,
												BgL_restz00_5083, BgL_arg3883z00_5107);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_30278;

											BgL_auxz00_30278 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30278, BgL_nsz00_5104);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1257z00_5110;

											BgL_val1257z00_5110 =
												BGl_zc3exitza33890ze3z83zz__evaluate_compz00
												(BgL_runz00_17137, BgL_nsz00_5104);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_30282;

												BgL_auxz00_30282 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30282, BgL_sz00_5085);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1257z00_5110)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1257z00_5110), CDR(BgL_val1257z00_5110));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1257z00_5110;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3890> */
	obj_t BGl_zc3exitza33890ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17464,
		obj_t BgL_nsz00_17463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1258z00_5116;

			if (SET_EXIT(BgL_an_exit1258z00_5116))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1258z00_5116 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1258z00_5116, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1259z00_5117;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_10492;

								BgL_savedzd2bpzd2_10492 =
									VECTOR_REF(BgL_nsz00_17463, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17463,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10499;

									BgL_fz00_10499 = BgL_runz00_17464;
								BgL_recz00_10498:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_10500;

										BgL_rz00_10500 =
											PROCEDURE_ENTRY(BgL_fz00_10499) (BgL_fz00_10499,
											BgL_nsz00_17463, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_30303;

											if (PROCEDUREP(BgL_rz00_10500))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_10505;

													BgL_arg1893z00_10505 = PROCEDURE_ATTR(BgL_rz00_10500);
													if (STRUCTP(BgL_arg1893z00_10505))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30303 =
																(STRUCT_KEY(BgL_arg1893z00_10505) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30303 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_30303 = ((bool_t) 0);
												}
											if (BgL_testz00_30303)
												{
													obj_t BgL_fz00_30311;

													BgL_fz00_30311 = BgL_rz00_10500;
													BgL_fz00_10499 = BgL_fz00_30311;
													goto BgL_recz00_10498;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17463,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10492);
													BgL_val1259z00_5117 = BgL_rz00_10500;
							}}}}}
							POP_EXIT();
							return BgL_val1259z00_5117;
						}
					}
				}
		}
	}



/* <exit:3880> */
	obj_t BGl_zc3exitza33880ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17467,
		obj_t BgL_sz00_17466, obj_t BgL_runz00_17465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1255z00_5102;

			if (SET_EXIT(BgL_an_exit1255z00_5102))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1255z00_5102 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1255z00_5102, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1256z00_5103;

							BgL_val1256z00_5103 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17465,
								BgL_sz00_17466, BgL_bpz00_17467);
							POP_EXIT();
							return BgL_val1256z00_5103;
						}
					}
				}
		}
	}



/* &run5524 */
	obj_t BGl_z62run5524z62zz__evaluate_compz00(obj_t BgL_envz00_17144,
		obj_t BgL_sz00_17147)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_17145;
				obj_t BgL_bodyz00_17146;

				BgL_i1253z00_17145 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17144, (int) (((long) 0))));
				BgL_bodyz00_17146 = PROCEDURE_REF(BgL_envz00_17144, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5119;

					BgL_sz00_5119 = BgL_sz00_17147;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5121;

						BgL_bpz00_5121 = VECTOR_REF(BgL_sz00_5119, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_5122;
							obj_t BgL_wherez00_5123;
							obj_t BgL_locz00_5124;

							BgL_z12denvz12_5122 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5123 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17145))->BgL_wherez00);
							BgL_locz00_5124 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17145))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5122, BgL_wherez00_5123,
									BgL_locz00_5124);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_5125;

									BgL_za2za2resza2za2z00_5125 =
										PROCEDURE_ENTRY(BgL_bodyz00_17146) (BgL_bodyz00_17146,
										BgL_sz00_5119, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5122);
									return BgL_za2za2resza2za2z00_5125;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3892> */
	obj_t BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17148, obj_t BgL_sz00_17153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_17149;
				BgL_ev_absz00_bglt BgL_i1253z00_17150;
				obj_t BgL_bodyz00_17151;
				long BgL_siza7ezd2framez75_17152;

				BgL_iboxesz00_17149 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17148, (int) (((long) 0))));
				BgL_i1253z00_17150 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17148, (int) (((long) 1))));
				BgL_bodyz00_17151 = PROCEDURE_REF(BgL_envz00_17148, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17152 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17148, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5127;

					BgL_sz00_5127 = BgL_sz00_17153;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5129;

						BgL_bpz00_5129 = VECTOR_REF(BgL_sz00_5127, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16220;

								BgL_runz00_16220 =
									MAKE_FX_PROCEDURE(BGl_z62run5526z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16220,
									(int) (((long) 0)), BgL_iboxesz00_17149);
								PROCEDURE_SET(BgL_runz00_16220,
									(int) (((long) 1)), ((obj_t) BgL_i1253z00_17150));
								PROCEDURE_SET(BgL_runz00_16220,
									(int) (((long) 2)), BgL_bodyz00_17151);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16221;

									BgL_mainz00_16221 =
										MAKE_VA_PROCEDURE(BGl_z62main5525z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16221,
										(int) (((long) 0)), BgL_iboxesz00_17149);
									PROCEDURE_SET(BgL_mainz00_16221,
										(int) (((long) 1)), BgL_bodyz00_17151);
									PROCEDURE_SET(BgL_mainz00_16221,
										(int) (((long) 2)), ((obj_t) BgL_i1253z00_17150));
									PROCEDURE_SET(BgL_mainz00_16221,
										(int) (((long) 3)), BgL_runz00_16220);
									PROCEDURE_SET(BgL_mainz00_16221,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17152));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_10665;

										BgL_objz00_10665 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16220, BgL_objz00_10665);
										BgL_objz00_10665;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3893z00_5132;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3894z00_5133;
											obj_t BgL_arg3895z00_5134;

											BgL_arg3894z00_5133 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17150))->
												BgL_arityz00);
											BgL_arg3895z00_5134 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17150))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_10669;

												BgL_newz00_10669 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30379;

													BgL_auxz00_30379 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10669, BgL_auxz00_30379,
														BgL_arg3895z00_5134);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_30384;
													int BgL_auxz00_30382;

													BgL_auxz00_30384 = BINT(BgL_siza7ezd2framez75_17152);
													BgL_auxz00_30382 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10669, BgL_auxz00_30382,
														BgL_auxz00_30384);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30387;

													BgL_auxz00_30387 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10669, BgL_auxz00_30387,
														BgL_runz00_16220);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30390;

													BgL_auxz00_30390 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10669, BgL_auxz00_30390,
														BgL_arg3894z00_5133);
												}
												BgL_arg3893z00_5132 = BgL_newz00_10669;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16221, BgL_arg3893z00_5132);
										BgL_arg3893z00_5132;
									}
									return BgL_mainz00_16221;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5525 */
	obj_t BGl_z62main5525z62zz__evaluate_compz00(obj_t BgL_envz00_17154,
		obj_t BgL_az00_17160, obj_t BgL_bz00_17161, obj_t BgL_cz00_17162,
		obj_t BgL_dz00_17163, obj_t BgL_restz00_17164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_17157;
				obj_t BgL_runz00_17158;
				long BgL_siza7ezd2framez75_17159;

				BgL_i1253z00_17157 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17154, (int) (((long) 2))));
				BgL_runz00_17158 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17154, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17159 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17154, (int) (((long) 4))));
				{
					obj_t BgL_az00_5135;
					obj_t BgL_bz00_5136;
					obj_t BgL_cz00_5137;
					obj_t BgL_dz00_5138;
					obj_t BgL_restz00_5139;

					BgL_az00_5135 = BgL_az00_17160;
					BgL_bz00_5136 = BgL_bz00_17161;
					BgL_cz00_5137 = BgL_cz00_17162;
					BgL_dz00_5138 = BgL_dz00_17163;
					BgL_restz00_5139 = BgL_restz00_17164;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_5141;

						BgL_sz00_5141 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_5142;

							BgL_bpz00_5142 = VECTOR_REF(BgL_sz00_5141, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_30406;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_10555;

									BgL_arg1902z00_10555 = VECTOR_LENGTH(BgL_sz00_5141);
									BgL_testz00_30406 =
										(
										((long) CINT(BgL_bpz00_5142) +
											BgL_siza7ezd2framez75_17159) <
										(long) (BgL_arg1902z00_10555));
								}
								if (BgL_testz00_30406)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3898z00_5144;

											BgL_arg3898z00_5144 =
												((long) CINT(BgL_bpz00_5142) + ((long) 0));
											VECTOR_SET(BgL_sz00_5141,
												(int) (BgL_arg3898z00_5144), BgL_az00_5135);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3899z00_5145;

											BgL_arg3899z00_5145 =
												((long) CINT(BgL_bpz00_5142) + ((long) 1));
											VECTOR_SET(BgL_sz00_5141,
												(int) (BgL_arg3899z00_5145), BgL_bz00_5136);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3900z00_5146;

											BgL_arg3900z00_5146 =
												((long) CINT(BgL_bpz00_5142) + ((long) 2));
											VECTOR_SET(BgL_sz00_5141,
												(int) (BgL_arg3900z00_5146), BgL_cz00_5137);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3901z00_5147;

											BgL_arg3901z00_5147 =
												((long) CINT(BgL_bpz00_5142) + ((long) 3));
											VECTOR_SET(BgL_sz00_5141,
												(int) (BgL_arg3901z00_5147), BgL_dz00_5138);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3902z00_5148;
											long BgL_arg3903z00_5149;
											long BgL_arg3904z00_5150;
											obj_t BgL_arg3905z00_5151;

											BgL_arg3902z00_5148 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17157))->
												BgL_wherez00);
											BgL_arg3903z00_5149 =
												((long) CINT(BgL_bpz00_5142) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_nz00_10590;

												BgL_nz00_10590 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17157))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10590) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3904z00_5150 =
															((long) CINT(BgL_nz00_10590) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3904z00_5150 =
															((long) CINT(BgL_nz00_10590) - ((long) 4));
											}}
											BgL_arg3905z00_5151 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17157))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5141,
												BgL_arg3902z00_5148, BgL_arg3903z00_5149,
												BgL_arg3904z00_5150, BgL_restz00_5139,
												BgL_arg3905z00_5151);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1260z00_5153;

											BgL_val1260z00_5153 =
												BGl_zc3exitza33910ze3z83zz__evaluate_compz00
												(BgL_bpz00_5142, BgL_sz00_5141, BgL_runz00_17158);
											VECTOR_SET(BgL_sz00_5141, (int) (((long) 0)),
												BgL_bpz00_5142);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1260z00_5153)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1260z00_5153), CDR(BgL_val1260z00_5153));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1260z00_5153;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_5160;

										BgL_nsz00_5160 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5160,
											(int) (((long) 1)), BgL_sz00_5141);
										VECTOR_SET(BgL_nsz00_5160,
											(int) (((long) 2)), BgL_az00_5135);
										VECTOR_SET(BgL_nsz00_5160,
											(int) (((long) 3)), BgL_bz00_5136);
										VECTOR_SET(BgL_nsz00_5160,
											(int) (((long) 4)), BgL_cz00_5137);
										VECTOR_SET(BgL_nsz00_5160,
											(int) (((long) 5)), BgL_dz00_5138);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3911z00_5161;
											long BgL_arg3912z00_5162;
											obj_t BgL_arg3913z00_5163;

											BgL_arg3911z00_5161 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17157))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_nz00_10622;

												BgL_nz00_10622 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17157))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10622) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3912z00_5162 =
															((long) CINT(BgL_nz00_10622) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3912z00_5162 =
															((long) CINT(BgL_nz00_10622) - ((long) 4));
											}}
											BgL_arg3913z00_5163 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17157))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5160,
												BgL_arg3911z00_5161, ((long) 6), BgL_arg3912z00_5162,
												BgL_restz00_5139, BgL_arg3913z00_5163);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_30472;

											BgL_auxz00_30472 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30472, BgL_nsz00_5160);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1263z00_5166;

											BgL_val1263z00_5166 =
												BGl_zc3exitza33920ze3z83zz__evaluate_compz00
												(BgL_runz00_17158, BgL_nsz00_5160);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_30476;

												BgL_auxz00_30476 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30476, BgL_sz00_5141);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1263z00_5166)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1263z00_5166), CDR(BgL_val1263z00_5166));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1263z00_5166;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3920> */
	obj_t BGl_zc3exitza33920ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17459,
		obj_t BgL_nsz00_17458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1264z00_5172;

			if (SET_EXIT(BgL_an_exit1264z00_5172))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1264z00_5172 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1264z00_5172, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1265z00_5173;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_10637;

								BgL_savedzd2bpzd2_10637 =
									VECTOR_REF(BgL_nsz00_17458, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17458,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10644;

									BgL_fz00_10644 = BgL_runz00_17459;
								BgL_recz00_10643:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_10645;

										BgL_rz00_10645 =
											PROCEDURE_ENTRY(BgL_fz00_10644) (BgL_fz00_10644,
											BgL_nsz00_17458, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_30497;

											if (PROCEDUREP(BgL_rz00_10645))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_10650;

													BgL_arg1893z00_10650 = PROCEDURE_ATTR(BgL_rz00_10645);
													if (STRUCTP(BgL_arg1893z00_10650))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30497 =
																(STRUCT_KEY(BgL_arg1893z00_10650) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30497 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_30497 = ((bool_t) 0);
												}
											if (BgL_testz00_30497)
												{
													obj_t BgL_fz00_30505;

													BgL_fz00_30505 = BgL_rz00_10645;
													BgL_fz00_10644 = BgL_fz00_30505;
													goto BgL_recz00_10643;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17458,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10637);
													BgL_val1265z00_5173 = BgL_rz00_10645;
							}}}}}
							POP_EXIT();
							return BgL_val1265z00_5173;
						}
					}
				}
		}
	}



/* <exit:3910> */
	obj_t BGl_zc3exitza33910ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17462,
		obj_t BgL_sz00_17461, obj_t BgL_runz00_17460)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1261z00_5158;

			if (SET_EXIT(BgL_an_exit1261z00_5158))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1261z00_5158 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1261z00_5158, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1262z00_5159;

							BgL_val1262z00_5159 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17460,
								BgL_sz00_17461, BgL_bpz00_17462);
							POP_EXIT();
							return BgL_val1262z00_5159;
						}
					}
				}
		}
	}



/* &run5526 */
	obj_t BGl_z62run5526z62zz__evaluate_compz00(obj_t BgL_envz00_17165,
		obj_t BgL_sz00_17169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_17166;
				BgL_ev_absz00_bglt BgL_i1253z00_17167;
				obj_t BgL_bodyz00_17168;

				BgL_iboxesz00_17166 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17165, (int) (((long) 0))));
				BgL_i1253z00_17167 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17165, (int) (((long) 1))));
				BgL_bodyz00_17168 = PROCEDURE_REF(BgL_envz00_17165, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5175;

					BgL_sz00_5175 = BgL_sz00_17169;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5177;

						BgL_bpz00_5177 = VECTOR_REF(BgL_sz00_5175, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5175,
							BgL_iboxesz00_17166, BgL_bpz00_5177);
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_z12denvz12_5178;
							obj_t BgL_wherez00_5179;
							obj_t BgL_locz00_5180;

							BgL_z12denvz12_5178 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5179 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17167))->BgL_wherez00);
							BgL_locz00_5180 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17167))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1124 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5178, BgL_wherez00_5179,
									BgL_locz00_5180);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_za2za2resza2za2z00_5181;

									BgL_za2za2resza2za2z00_5181 =
										PROCEDURE_ENTRY(BgL_bodyz00_17168) (BgL_bodyz00_17168,
										BgL_sz00_5175, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5178);
									return BgL_za2za2resza2za2z00_5181;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3924> */
	obj_t BGl_z62zc3anonymousza33924ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17170, obj_t BgL_sz00_17176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_17171;
				long BgL_siza7eza7_17172;
				BgL_ev_absz00_bglt BgL_i1253z00_17173;
				obj_t BgL_bodyz00_17174;
				long BgL_siza7ezd2framez75_17175;

				BgL_ifreesz00_17171 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17170, (int) (((long) 0))));
				BgL_siza7eza7_17172 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17170, (int) (((long) 1))));
				BgL_i1253z00_17173 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17170, (int) (((long) 2))));
				BgL_bodyz00_17174 = PROCEDURE_REF(BgL_envz00_17170, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17175 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17170, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5185;

					BgL_sz00_5185 = BgL_sz00_17176;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5187;

						BgL_bpz00_5187 = VECTOR_REF(BgL_sz00_5185, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_5188;

							BgL_valza2za2_5188 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5185,
								BgL_bpz00_5187, BgL_ifreesz00_17171);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16217;

								BgL_runz00_16217 =
									MAKE_FX_PROCEDURE(BGl_z62run5528z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16217,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17172));
								PROCEDURE_SET(BgL_runz00_16217,
									(int) (((long) 1)), BgL_valza2za2_5188);
								PROCEDURE_SET(BgL_runz00_16217,
									(int) (((long) 2)), ((obj_t) BgL_i1253z00_17173));
								PROCEDURE_SET(BgL_runz00_16217,
									(int) (((long) 3)), BgL_bodyz00_17174);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16218;

									BgL_mainz00_16218 =
										MAKE_VA_PROCEDURE(BGl_z62main5527z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16218,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17172));
									PROCEDURE_SET(BgL_mainz00_16218,
										(int) (((long) 1)), BgL_valza2za2_5188);
									PROCEDURE_SET(BgL_mainz00_16218,
										(int) (((long) 2)), BgL_bodyz00_17174);
									PROCEDURE_SET(BgL_mainz00_16218,
										(int) (((long) 3)), ((obj_t) BgL_i1253z00_17173));
									PROCEDURE_SET(BgL_mainz00_16218,
										(int) (((long) 4)), BgL_runz00_16217);
									PROCEDURE_SET(BgL_mainz00_16218,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17175));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_10817;

										BgL_objz00_10817 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16217, BgL_objz00_10817);
										BgL_objz00_10817;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3925z00_5191;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3926z00_5192;
											obj_t BgL_arg3927z00_5193;

											BgL_arg3926z00_5192 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17173))->
												BgL_arityz00);
											BgL_arg3927z00_5193 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17173))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_10821;

												BgL_newz00_10821 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30587;

													BgL_auxz00_30587 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10821, BgL_auxz00_30587,
														BgL_arg3927z00_5193);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_30592;
													int BgL_auxz00_30590;

													BgL_auxz00_30592 = BINT(BgL_siza7ezd2framez75_17175);
													BgL_auxz00_30590 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10821, BgL_auxz00_30590,
														BgL_auxz00_30592);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30595;

													BgL_auxz00_30595 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10821, BgL_auxz00_30595,
														BgL_runz00_16217);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30598;

													BgL_auxz00_30598 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10821, BgL_auxz00_30598,
														BgL_arg3926z00_5192);
												}
												BgL_arg3925z00_5191 = BgL_newz00_10821;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16218, BgL_arg3925z00_5191);
										BgL_arg3925z00_5191;
									}
									return BgL_mainz00_16218;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5527 */
	obj_t BGl_z62main5527z62zz__evaluate_compz00(obj_t BgL_envz00_17177,
		obj_t BgL_az00_17184, obj_t BgL_bz00_17185, obj_t BgL_cz00_17186,
		obj_t BgL_dz00_17187, obj_t BgL_restz00_17188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_17181;
				obj_t BgL_runz00_17182;
				long BgL_siza7ezd2framez75_17183;

				BgL_i1253z00_17181 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17177, (int) (((long) 3))));
				BgL_runz00_17182 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17177, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17183 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17177, (int) (((long) 5))));
				{
					obj_t BgL_az00_5194;
					obj_t BgL_bz00_5195;
					obj_t BgL_cz00_5196;
					obj_t BgL_dz00_5197;
					obj_t BgL_restz00_5198;

					BgL_az00_5194 = BgL_az00_17184;
					BgL_bz00_5195 = BgL_bz00_17185;
					BgL_cz00_5196 = BgL_cz00_17186;
					BgL_dz00_5197 = BgL_dz00_17187;
					BgL_restz00_5198 = BgL_restz00_17188;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_5200;

						BgL_sz00_5200 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_5201;

							BgL_bpz00_5201 = VECTOR_REF(BgL_sz00_5200, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_30614;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_10707;

									BgL_arg1902z00_10707 = VECTOR_LENGTH(BgL_sz00_5200);
									BgL_testz00_30614 =
										(
										((long) CINT(BgL_bpz00_5201) +
											BgL_siza7ezd2framez75_17183) <
										(long) (BgL_arg1902z00_10707));
								}
								if (BgL_testz00_30614)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3930z00_5203;

											BgL_arg3930z00_5203 =
												((long) CINT(BgL_bpz00_5201) + ((long) 0));
											VECTOR_SET(BgL_sz00_5200,
												(int) (BgL_arg3930z00_5203), BgL_az00_5194);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3931z00_5204;

											BgL_arg3931z00_5204 =
												((long) CINT(BgL_bpz00_5201) + ((long) 1));
											VECTOR_SET(BgL_sz00_5200,
												(int) (BgL_arg3931z00_5204), BgL_bz00_5195);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3932z00_5205;

											BgL_arg3932z00_5205 =
												((long) CINT(BgL_bpz00_5201) + ((long) 2));
											VECTOR_SET(BgL_sz00_5200,
												(int) (BgL_arg3932z00_5205), BgL_cz00_5196);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3933z00_5206;

											BgL_arg3933z00_5206 =
												((long) CINT(BgL_bpz00_5201) + ((long) 3));
											VECTOR_SET(BgL_sz00_5200,
												(int) (BgL_arg3933z00_5206), BgL_dz00_5197);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3934z00_5207;
											long BgL_arg3935z00_5208;
											long BgL_arg3936z00_5209;
											obj_t BgL_arg3937z00_5210;

											BgL_arg3934z00_5207 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17181))->
												BgL_wherez00);
											BgL_arg3935z00_5208 =
												((long) CINT(BgL_bpz00_5201) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_nz00_10742;

												BgL_nz00_10742 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17181))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10742) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3936z00_5209 =
															((long) CINT(BgL_nz00_10742) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3936z00_5209 =
															((long) CINT(BgL_nz00_10742) - ((long) 4));
											}}
											BgL_arg3937z00_5210 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17181))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5200,
												BgL_arg3934z00_5207, BgL_arg3935z00_5208,
												BgL_arg3936z00_5209, BgL_restz00_5198,
												BgL_arg3937z00_5210);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1266z00_5212;

											BgL_val1266z00_5212 =
												BGl_zc3exitza33942ze3z83zz__evaluate_compz00
												(BgL_bpz00_5201, BgL_sz00_5200, BgL_runz00_17182);
											VECTOR_SET(BgL_sz00_5200, (int) (((long) 0)),
												BgL_bpz00_5201);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1266z00_5212)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1266z00_5212), CDR(BgL_val1266z00_5212));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1266z00_5212;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_5219;

										BgL_nsz00_5219 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 1)), BgL_sz00_5200);
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 2)), BgL_az00_5194);
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 3)), BgL_bz00_5195);
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 4)), BgL_cz00_5196);
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 5)), BgL_dz00_5197);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3943z00_5220;
											long BgL_arg3944z00_5221;
											obj_t BgL_arg3945z00_5222;

											BgL_arg3943z00_5220 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17181))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_nz00_10774;

												BgL_nz00_10774 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17181))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10774) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3944z00_5221 =
															((long) CINT(BgL_nz00_10774) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3944z00_5221 =
															((long) CINT(BgL_nz00_10774) - ((long) 4));
											}}
											BgL_arg3945z00_5222 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17181))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5219,
												BgL_arg3943z00_5220, ((long) 6), BgL_arg3944z00_5221,
												BgL_restz00_5198, BgL_arg3945z00_5222);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_30680;

											BgL_auxz00_30680 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30680, BgL_nsz00_5219);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1269z00_5225;

											BgL_val1269z00_5225 =
												BGl_zc3exitza33952ze3z83zz__evaluate_compz00
												(BgL_runz00_17182, BgL_nsz00_5219);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_30684;

												BgL_auxz00_30684 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30684, BgL_sz00_5200);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1269z00_5225)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1269z00_5225), CDR(BgL_val1269z00_5225));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1269z00_5225;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3952> */
	obj_t BGl_zc3exitza33952ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17454,
		obj_t BgL_nsz00_17453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1270z00_5231;

			if (SET_EXIT(BgL_an_exit1270z00_5231))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1270z00_5231 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1270z00_5231, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1271z00_5232;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_10789;

								BgL_savedzd2bpzd2_10789 =
									VECTOR_REF(BgL_nsz00_17453, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17453,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10796;

									BgL_fz00_10796 = BgL_runz00_17454;
								BgL_recz00_10795:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_10797;

										BgL_rz00_10797 =
											PROCEDURE_ENTRY(BgL_fz00_10796) (BgL_fz00_10796,
											BgL_nsz00_17453, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_30705;

											if (PROCEDUREP(BgL_rz00_10797))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_10802;

													BgL_arg1893z00_10802 = PROCEDURE_ATTR(BgL_rz00_10797);
													if (STRUCTP(BgL_arg1893z00_10802))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30705 =
																(STRUCT_KEY(BgL_arg1893z00_10802) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30705 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_30705 = ((bool_t) 0);
												}
											if (BgL_testz00_30705)
												{
													obj_t BgL_fz00_30713;

													BgL_fz00_30713 = BgL_rz00_10797;
													BgL_fz00_10796 = BgL_fz00_30713;
													goto BgL_recz00_10795;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17453,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10789);
													BgL_val1271z00_5232 = BgL_rz00_10797;
							}}}}}
							POP_EXIT();
							return BgL_val1271z00_5232;
						}
					}
				}
		}
	}



/* <exit:3942> */
	obj_t BGl_zc3exitza33942ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17457,
		obj_t BgL_sz00_17456, obj_t BgL_runz00_17455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1267z00_5217;

			if (SET_EXIT(BgL_an_exit1267z00_5217))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1267z00_5217 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1267z00_5217, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1268z00_5218;

							BgL_val1268z00_5218 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17455,
								BgL_sz00_17456, BgL_bpz00_17457);
							POP_EXIT();
							return BgL_val1268z00_5218;
						}
					}
				}
		}
	}



/* &run5528 */
	obj_t BGl_z62run5528z62zz__evaluate_compz00(obj_t BgL_envz00_17189,
		obj_t BgL_sz00_17194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				long BgL_siza7eza7_17190;
				obj_t BgL_valza2za2_17191;
				BgL_ev_absz00_bglt BgL_i1253z00_17192;
				obj_t BgL_bodyz00_17193;

				BgL_siza7eza7_17190 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 0))));
				BgL_valza2za2_17191 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 1))));
				BgL_i1253z00_17192 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 2))));
				BgL_bodyz00_17193 = PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5234;

					BgL_sz00_5234 = BgL_sz00_17194;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5236;

						BgL_bpz00_5236 = VECTOR_REF(BgL_sz00_5234, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5234,
							BgL_valza2za2_17191,
							((long) CINT(BgL_bpz00_5236) + BgL_siza7eza7_17190));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_5238;
							obj_t BgL_wherez00_5239;
							obj_t BgL_locz00_5240;

							BgL_z12denvz12_5238 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5239 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17192))->BgL_wherez00);
							BgL_locz00_5240 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17192))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5238, BgL_wherez00_5239,
									BgL_locz00_5240);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_5241;

									BgL_za2za2resza2za2z00_5241 =
										PROCEDURE_ENTRY(BgL_bodyz00_17193) (BgL_bodyz00_17193,
										BgL_sz00_5234, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5238);
									return BgL_za2za2resza2za2z00_5241;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3955> */
	obj_t BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17195, obj_t BgL_sz00_17202)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_ifreesz00_17196;
				obj_t BgL_iboxesz00_17197;
				long BgL_siza7eza7_17198;
				BgL_ev_absz00_bglt BgL_i1253z00_17199;
				obj_t BgL_bodyz00_17200;
				long BgL_siza7ezd2framez75_17201;

				BgL_ifreesz00_17196 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17195, (int) (((long) 0))));
				BgL_iboxesz00_17197 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17195, (int) (((long) 1))));
				BgL_siza7eza7_17198 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17195, (int) (((long) 2))));
				BgL_i1253z00_17199 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17195, (int) (((long) 3))));
				BgL_bodyz00_17200 = PROCEDURE_REF(BgL_envz00_17195, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17201 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17195, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5243;

					BgL_sz00_5243 = BgL_sz00_17202;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5245;

						BgL_bpz00_5245 = VECTOR_REF(BgL_sz00_5243, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_valza2za2_5246;

							BgL_valza2za2_5246 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5243,
								BgL_bpz00_5245, BgL_ifreesz00_17196);
							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_runz00_16214;

								BgL_runz00_16214 =
									MAKE_FX_PROCEDURE(BGl_z62run5530z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16214,
									(int) (((long) 0)), BgL_iboxesz00_17197);
								PROCEDURE_SET(BgL_runz00_16214,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17198));
								PROCEDURE_SET(BgL_runz00_16214,
									(int) (((long) 2)), BgL_valza2za2_5246);
								PROCEDURE_SET(BgL_runz00_16214,
									(int) (((long) 3)), ((obj_t) BgL_i1253z00_17199));
								PROCEDURE_SET(BgL_runz00_16214,
									(int) (((long) 4)), BgL_bodyz00_17200);
								{	/* Eval/evaluate_comp.scm 1124 */
									obj_t BgL_mainz00_16215;

									BgL_mainz00_16215 =
										MAKE_VA_PROCEDURE(BGl_z62main5529z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16215,
										(int) (((long) 0)), BgL_iboxesz00_17197);
									PROCEDURE_SET(BgL_mainz00_16215,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17198));
									PROCEDURE_SET(BgL_mainz00_16215,
										(int) (((long) 2)), BgL_valza2za2_5246);
									PROCEDURE_SET(BgL_mainz00_16215,
										(int) (((long) 3)), BgL_bodyz00_17200);
									PROCEDURE_SET(BgL_mainz00_16215,
										(int) (((long) 4)), ((obj_t) BgL_i1253z00_17199));
									PROCEDURE_SET(BgL_mainz00_16215,
										(int) (((long) 5)), BgL_runz00_16214);
									PROCEDURE_SET(BgL_mainz00_16215,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17201));
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_objz00_10965;

										BgL_objz00_10965 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16214, BgL_objz00_10965);
										BgL_objz00_10965;
									}
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_arg3956z00_5249;

										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3957z00_5250;
											obj_t BgL_arg3958z00_5251;

											BgL_arg3957z00_5250 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17199))->
												BgL_arityz00);
											BgL_arg3958z00_5251 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17199))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_newz00_10969;

												BgL_newz00_10969 =
													create_struct(BGl_symbol5560z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30807;

													BgL_auxz00_30807 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10969, BgL_auxz00_30807,
														BgL_arg3958z00_5251);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_auxz00_30812;
													int BgL_auxz00_30810;

													BgL_auxz00_30812 = BINT(BgL_siza7ezd2framez75_17201);
													BgL_auxz00_30810 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10969, BgL_auxz00_30810,
														BgL_auxz00_30812);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30815;

													BgL_auxz00_30815 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10969, BgL_auxz00_30815,
														BgL_runz00_16214);
												}
												{	/* Eval/evaluate_comp.scm 1124 */
													int BgL_auxz00_30818;

													BgL_auxz00_30818 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10969, BgL_auxz00_30818,
														BgL_arg3957z00_5250);
												}
												BgL_arg3956z00_5249 = BgL_newz00_10969;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16215, BgL_arg3956z00_5249);
										BgL_arg3956z00_5249;
									}
									return BgL_mainz00_16215;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5529 */
	obj_t BGl_z62main5529z62zz__evaluate_compz00(obj_t BgL_envz00_17203,
		obj_t BgL_az00_17211, obj_t BgL_bz00_17212, obj_t BgL_cz00_17213,
		obj_t BgL_dz00_17214, obj_t BgL_restz00_17215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				BgL_ev_absz00_bglt BgL_i1253z00_17208;
				obj_t BgL_runz00_17209;
				long BgL_siza7ezd2framez75_17210;

				BgL_i1253z00_17208 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17203, (int) (((long) 4))));
				BgL_runz00_17209 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17203, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17210 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17203, (int) (((long) 6))));
				{
					obj_t BgL_az00_5252;
					obj_t BgL_bz00_5253;
					obj_t BgL_cz00_5254;
					obj_t BgL_dz00_5255;
					obj_t BgL_restz00_5256;

					BgL_az00_5252 = BgL_az00_17211;
					BgL_bz00_5253 = BgL_bz00_17212;
					BgL_cz00_5254 = BgL_cz00_17213;
					BgL_dz00_5255 = BgL_dz00_17214;
					BgL_restz00_5256 = BgL_restz00_17215;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_sz00_5258;

						BgL_sz00_5258 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_bpz00_5259;

							BgL_bpz00_5259 = VECTOR_REF(BgL_sz00_5258, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1124 */
								bool_t BgL_testz00_30834;

								{	/* Eval/evaluate_comp.scm 1124 */
									int BgL_arg1902z00_10855;

									BgL_arg1902z00_10855 = VECTOR_LENGTH(BgL_sz00_5258);
									BgL_testz00_30834 =
										(
										((long) CINT(BgL_bpz00_5259) +
											BgL_siza7ezd2framez75_17210) <
										(long) (BgL_arg1902z00_10855));
								}
								if (BgL_testz00_30834)
									{	/* Eval/evaluate_comp.scm 1124 */
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3961z00_5261;

											BgL_arg3961z00_5261 =
												((long) CINT(BgL_bpz00_5259) + ((long) 0));
											VECTOR_SET(BgL_sz00_5258,
												(int) (BgL_arg3961z00_5261), BgL_az00_5252);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3962z00_5262;

											BgL_arg3962z00_5262 =
												((long) CINT(BgL_bpz00_5259) + ((long) 1));
											VECTOR_SET(BgL_sz00_5258,
												(int) (BgL_arg3962z00_5262), BgL_bz00_5253);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3963z00_5263;

											BgL_arg3963z00_5263 =
												((long) CINT(BgL_bpz00_5259) + ((long) 2));
											VECTOR_SET(BgL_sz00_5258,
												(int) (BgL_arg3963z00_5263), BgL_cz00_5254);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											long BgL_arg3964z00_5264;

											BgL_arg3964z00_5264 =
												((long) CINT(BgL_bpz00_5259) + ((long) 3));
											VECTOR_SET(BgL_sz00_5258,
												(int) (BgL_arg3964z00_5264), BgL_dz00_5255);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3965z00_5265;
											long BgL_arg3966z00_5266;
											long BgL_arg3967z00_5267;
											obj_t BgL_arg3968z00_5268;

											BgL_arg3965z00_5265 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17208))->
												BgL_wherez00);
											BgL_arg3966z00_5266 =
												((long) CINT(BgL_bpz00_5259) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_nz00_10890;

												BgL_nz00_10890 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17208))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10890) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3967z00_5267 =
															((long) CINT(BgL_nz00_10890) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3967z00_5267 =
															((long) CINT(BgL_nz00_10890) - ((long) 4));
											}}
											BgL_arg3968z00_5268 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17208))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5258,
												BgL_arg3965z00_5265, BgL_arg3966z00_5266,
												BgL_arg3967z00_5267, BgL_restz00_5256,
												BgL_arg3968z00_5268);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1272z00_5270;

											BgL_val1272z00_5270 =
												BGl_zc3exitza33973ze3z83zz__evaluate_compz00
												(BgL_bpz00_5259, BgL_sz00_5258, BgL_runz00_17209);
											VECTOR_SET(BgL_sz00_5258, (int) (((long) 0)),
												BgL_bpz00_5259);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1272z00_5270)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1272z00_5270), CDR(BgL_val1272z00_5270));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1272z00_5270;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_nsz00_5277;

										BgL_nsz00_5277 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5277,
											(int) (((long) 1)), BgL_sz00_5258);
										VECTOR_SET(BgL_nsz00_5277,
											(int) (((long) 2)), BgL_az00_5252);
										VECTOR_SET(BgL_nsz00_5277,
											(int) (((long) 3)), BgL_bz00_5253);
										VECTOR_SET(BgL_nsz00_5277,
											(int) (((long) 4)), BgL_cz00_5254);
										VECTOR_SET(BgL_nsz00_5277,
											(int) (((long) 5)), BgL_dz00_5255);
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_arg3974z00_5278;
											long BgL_arg3975z00_5279;
											obj_t BgL_arg3976z00_5280;

											BgL_arg3974z00_5278 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17208))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_nz00_10922;

												BgL_nz00_10922 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17208))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10922) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3975z00_5279 =
															((long) CINT(BgL_nz00_10922) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1124 */
														BgL_arg3975z00_5279 =
															((long) CINT(BgL_nz00_10922) - ((long) 4));
											}}
											BgL_arg3976z00_5280 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17208))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5277,
												BgL_arg3974z00_5278, ((long) 6), BgL_arg3975z00_5279,
												BgL_restz00_5256, BgL_arg3976z00_5280);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_auxz00_30900;

											BgL_auxz00_30900 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30900, BgL_nsz00_5277);
										}
										{	/* Eval/evaluate_comp.scm 1124 */
											obj_t BgL_val1275z00_5283;

											BgL_val1275z00_5283 =
												BGl_zc3exitza33983ze3z83zz__evaluate_compz00
												(BgL_runz00_17209, BgL_nsz00_5277);
											{	/* Eval/evaluate_comp.scm 1124 */
												obj_t BgL_auxz00_30904;

												BgL_auxz00_30904 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30904, BgL_sz00_5258);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1275z00_5283)))
												{	/* Eval/evaluate_comp.scm 1124 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1275z00_5283), CDR(BgL_val1275z00_5283));
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													return BgL_val1275z00_5283;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3983> */
	obj_t BGl_zc3exitza33983ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17449,
		obj_t BgL_nsz00_17448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1276z00_5289;

			if (SET_EXIT(BgL_an_exit1276z00_5289))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1276z00_5289 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1276z00_5289, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1277z00_5290;

							{	/* Eval/evaluate_comp.scm 1124 */
								obj_t BgL_savedzd2bpzd2_10937;

								BgL_savedzd2bpzd2_10937 =
									VECTOR_REF(BgL_nsz00_17448, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17448,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10944;

									BgL_fz00_10944 = BgL_runz00_17449;
								BgL_recz00_10943:
									{	/* Eval/evaluate_comp.scm 1124 */
										obj_t BgL_rz00_10945;

										BgL_rz00_10945 =
											PROCEDURE_ENTRY(BgL_fz00_10944) (BgL_fz00_10944,
											BgL_nsz00_17448, BEOA);
										{	/* Eval/evaluate_comp.scm 1124 */
											bool_t BgL_testz00_30925;

											if (PROCEDUREP(BgL_rz00_10945))
												{	/* Eval/evaluate_comp.scm 1124 */
													obj_t BgL_arg1893z00_10950;

													BgL_arg1893z00_10950 = PROCEDURE_ATTR(BgL_rz00_10945);
													if (STRUCTP(BgL_arg1893z00_10950))
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30925 =
																(STRUCT_KEY(BgL_arg1893z00_10950) ==
																BGl_symbol5539z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1124 */
															BgL_testz00_30925 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													BgL_testz00_30925 = ((bool_t) 0);
												}
											if (BgL_testz00_30925)
												{
													obj_t BgL_fz00_30933;

													BgL_fz00_30933 = BgL_rz00_10945;
													BgL_fz00_10944 = BgL_fz00_30933;
													goto BgL_recz00_10943;
												}
											else
												{	/* Eval/evaluate_comp.scm 1124 */
													VECTOR_SET(BgL_nsz00_17448,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10937);
													BgL_val1277z00_5290 = BgL_rz00_10945;
							}}}}}
							POP_EXIT();
							return BgL_val1277z00_5290;
						}
					}
				}
		}
	}



/* <exit:3973> */
	obj_t BGl_zc3exitza33973ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17452,
		obj_t BgL_sz00_17451, obj_t BgL_runz00_17450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1273z00_5275;

			if (SET_EXIT(BgL_an_exit1273z00_5275))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1273z00_5275 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1124 */

						PUSH_EXIT(BgL_an_exit1273z00_5275, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1124 */
							obj_t BgL_val1274z00_5276;

							BgL_val1274z00_5276 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17450,
								BgL_sz00_17451, BgL_bpz00_17452);
							POP_EXIT();
							return BgL_val1274z00_5276;
						}
					}
				}
		}
	}



/* &run5530 */
	obj_t BGl_z62run5530z62zz__evaluate_compz00(obj_t BgL_envz00_17216,
		obj_t BgL_sz00_17222)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1124 */
			{	/* Eval/evaluate_comp.scm 1124 */
				obj_t BgL_iboxesz00_17217;
				long BgL_siza7eza7_17218;
				obj_t BgL_valza2za2_17219;
				BgL_ev_absz00_bglt BgL_i1253z00_17220;
				obj_t BgL_bodyz00_17221;

				BgL_iboxesz00_17217 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17216, (int) (((long) 0))));
				BgL_siza7eza7_17218 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17216, (int) (((long) 1))));
				BgL_valza2za2_17219 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17216, (int) (((long) 2))));
				BgL_i1253z00_17220 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17216, (int) (((long) 3))));
				BgL_bodyz00_17221 = PROCEDURE_REF(BgL_envz00_17216, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5292;

					BgL_sz00_5292 = BgL_sz00_17222;
					{	/* Eval/evaluate_comp.scm 1124 */
						obj_t BgL_bpz00_5294;

						BgL_bpz00_5294 = VECTOR_REF(BgL_sz00_5292, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5292,
							BgL_iboxesz00_17217, BgL_bpz00_5294);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5292,
							BgL_valza2za2_17219,
							((long) CINT(BgL_bpz00_5294) + BgL_siza7eza7_17218));
						{	/* Eval/evaluate_comp.scm 1044 */
							obj_t BgL_z12denvz12_5296;
							obj_t BgL_wherez00_5297;
							obj_t BgL_locz00_5298;

							BgL_z12denvz12_5296 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5297 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17220))->BgL_wherez00);
							BgL_locz00_5298 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1253z00_17220))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1044 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5296, BgL_wherez00_5297,
									BgL_locz00_5298);
								{	/* Eval/evaluate_comp.scm 1044 */
									obj_t BgL_za2za2resza2za2z00_5299;

									BgL_za2za2resza2za2z00_5299 =
										PROCEDURE_ENTRY(BgL_bodyz00_17221) (BgL_bodyz00_17221,
										BgL_sz00_5292, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5296);
									return BgL_za2za2resza2za2z00_5299;
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_app1684 */
	obj_t BGl_z62compzd2ev_app1684zb0zz__evaluate_compz00(obj_t BgL_envz00_17223,
		obj_t BgL_ez00_17224, obj_t BgL_stkz00_17225)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 993 */
			{
				BgL_ev_appz00_bglt BgL_ez00_3219;
				obj_t BgL_stkz00_3220;

				BgL_ez00_3219 = ((BgL_ev_appz00_bglt) BgL_ez00_17224);
				BgL_stkz00_3220 = BgL_stkz00_17225;
				{	/* Eval/evaluate_comp.scm 995 */
					obj_t BgL__ortest_1239z00_3224;

					BgL__ortest_1239z00_3224 =
						BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ez00_3219,
						BgL_stkz00_3220);
					if (CBOOL(BgL__ortest_1239z00_3224))
						{	/* Eval/evaluate_comp.scm 995 */
							return BgL__ortest_1239z00_3224;
						}
					else
						{	/* Eval/evaluate_comp.scm 996 */
							obj_t BgL__ortest_1240z00_3225;

							BgL__ortest_1240z00_3225 =
								BGl_inlinezd2callzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->BgL_locz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->BgL_funz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->BgL_argsz00),
								BgL_stkz00_3220);
							if (CBOOL(BgL__ortest_1240z00_3225))
								{	/* Eval/evaluate_comp.scm 996 */
									return BgL__ortest_1240z00_3225;
								}
							else
								{	/* Eval/evaluate_comp.scm 996 */
									if (
										(bgl_list_length(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
													BgL_argsz00)) > ((long) 4)))
										{	/* Eval/evaluate_comp.scm 997 */
											return
												BGl_compzd2oldzd2callz00zz__evaluate_compz00
												(BgL_ez00_3219, BgL_stkz00_3220);
										}
									else
										{	/* Eval/evaluate_comp.scm 999 */
											obj_t BgL_fz00_3227;
											long BgL_siza7eza7_3228;
											obj_t BgL_symbzd2funzd2_3229;

											BgL_fz00_3227 =
												BGl_compz00zz__evaluate_compz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
													BgL_funz00), BgL_stkz00_3220);
											BgL_siza7eza7_3228 = bgl_list_length(BgL_stkz00_3220);
											BgL_symbzd2funzd2_3229 =
												BGl_uncompilez00zz__evaluate_uncompz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
													BgL_funz00));
											if (NULLP((((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
														BgL_argsz00)))
												{	/* Eval/evaluate_comp.scm 1000 */
													return
														BGl_compzd2call0zd2zz__evaluate_compz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
															BgL_locz00),
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
															BgL_funz00), BgL_symbzd2funzd2_3229,
														BgL_fz00_3227,
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
															BgL_tailzf3zf3), BgL_stkz00_3220,
														BgL_siza7eza7_3228);
												}
											else
												{	/* Eval/evaluate_comp.scm 1002 */
													obj_t BgL_a1z00_3234;
													obj_t BgL_argsz00_3235;

													{	/* Eval/evaluate_comp.scm 1002 */
														obj_t BgL_arg3017z00_3261;

														BgL_arg3017z00_3261 =
															CAR(
															(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
																BgL_argsz00));
														BgL_a1z00_3234 =
															BGl_compz00zz__evaluate_compz00((
																(BgL_ev_exprz00_bglt) BgL_arg3017z00_3261),
															BgL_stkz00_3220);
													}
													BgL_argsz00_3235 =
														CDR(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
															BgL_argsz00));
													if (NULLP(BgL_argsz00_3235))
														{	/* Eval/evaluate_comp.scm 1002 */
															return
																BGl_compzd2call1zd2zz__evaluate_compz00(
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
																	BgL_locz00),
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
																	BgL_funz00), BgL_symbzd2funzd2_3229,
																BgL_fz00_3227,
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3219))->
																	BgL_tailzf3zf3), BgL_stkz00_3220,
																BgL_siza7eza7_3228, BgL_a1z00_3234);
														}
													else
														{	/* Eval/evaluate_comp.scm 1002 */
															obj_t BgL_a2z00_3240;
															obj_t BgL_argsz00_3241;

															{	/* Eval/evaluate_comp.scm 1002 */
																obj_t BgL_arg3016z00_3260;

																BgL_arg3016z00_3260 = CAR(BgL_argsz00_3235);
																BgL_a2z00_3240 =
																	BGl_compz00zz__evaluate_compz00(
																	((BgL_ev_exprz00_bglt) BgL_arg3016z00_3260),
																	BgL_stkz00_3220);
															}
															BgL_argsz00_3241 = CDR(BgL_argsz00_3235);
															if (NULLP(BgL_argsz00_3241))
																{	/* Eval/evaluate_comp.scm 1002 */
																	return
																		BGl_compzd2call2zd2zz__evaluate_compz00(
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3219))->BgL_locz00),
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3219))->BgL_funz00),
																		BgL_symbzd2funzd2_3229, BgL_fz00_3227,
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3219))->BgL_tailzf3zf3),
																		BgL_stkz00_3220, BgL_siza7eza7_3228,
																		BgL_a1z00_3234, BgL_a2z00_3240);
																}
															else
																{	/* Eval/evaluate_comp.scm 1002 */
																	obj_t BgL_a3z00_3246;
																	obj_t BgL_argsz00_3247;

																	{	/* Eval/evaluate_comp.scm 1002 */
																		obj_t BgL_arg3015z00_3259;

																		BgL_arg3015z00_3259 = CAR(BgL_argsz00_3241);
																		BgL_a3z00_3246 =
																			BGl_compz00zz__evaluate_compz00(
																			((BgL_ev_exprz00_bglt)
																				BgL_arg3015z00_3259), BgL_stkz00_3220);
																	}
																	BgL_argsz00_3247 = CDR(BgL_argsz00_3241);
																	if (NULLP(BgL_argsz00_3247))
																		{	/* Eval/evaluate_comp.scm 1002 */
																			return
																				BGl_compzd2call3zd2zz__evaluate_compz00(
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3219))->BgL_locz00),
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3219))->BgL_funz00),
																				BgL_symbzd2funzd2_3229, BgL_fz00_3227,
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3219))->
																					BgL_tailzf3zf3), BgL_stkz00_3220,
																				BgL_siza7eza7_3228, BgL_a1z00_3234,
																				BgL_a2z00_3240, BgL_a3z00_3246);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1002 */
																			obj_t BgL_a4z00_3252;
																			obj_t BgL_argsz00_3253;

																			{	/* Eval/evaluate_comp.scm 1002 */
																				obj_t BgL_arg3014z00_3258;

																				BgL_arg3014z00_3258 =
																					CAR(BgL_argsz00_3247);
																				BgL_a4z00_3252 =
																					BGl_compz00zz__evaluate_compz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg3014z00_3258),
																					BgL_stkz00_3220);
																			}
																			BgL_argsz00_3253 = CDR(BgL_argsz00_3247);
																			if (NULLP(BgL_argsz00_3253))
																				{	/* Eval/evaluate_comp.scm 1002 */
																					return
																						BGl_compzd2call4zd2zz__evaluate_compz00
																						((((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3219))->
																							BgL_locz00),
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3219))->
																							BgL_funz00),
																						BgL_symbzd2funzd2_3229,
																						BgL_fz00_3227,
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3219))->
																							BgL_tailzf3zf3), BgL_stkz00_3220,
																						BgL_siza7eza7_3228, BgL_a1z00_3234,
																						BgL_a2z00_3240, BgL_a3z00_3246,
																						BgL_a4z00_3252);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1002 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string5543z00zz__evaluate_compz00,
																						BGl_string5658z00zz__evaluate_compz00,
																						BGl_string5659z00zz__evaluate_compz00);
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* &comp-ev_goto1682 */
	obj_t BGl_z62compzd2ev_goto1682zb0zz__evaluate_compz00(obj_t BgL_envz00_17226,
		obj_t BgL_ez00_17227, obj_t BgL_stkz00_17228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 578 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_3176;
				obj_t BgL_stkz00_3177;

				BgL_ez00_3176 = ((BgL_ev_gotoz00_bglt) BgL_ez00_17227);
				BgL_stkz00_3177 = BgL_stkz00_17228;
				{	/* Eval/evaluate_comp.scm 581 */
					obj_t BgL_slotz00_3181;
					long BgL_siza7eza7_3182;
					obj_t BgL_lstkz00_3183;

					BgL_slotz00_3181 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->BgL_labelz00)),
						(((BgL_ev_labelsz00_bglt) CREF(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->
										BgL_labelsz00)))->BgL_envz00));
					BgL_siza7eza7_3182 = bgl_list_length(BgL_stkz00_3177);
					BgL_lstkz00_3183 =
						(((BgL_ev_labelsz00_bglt) CREF(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->BgL_labelsz00)))->
						BgL_stkz00);
					{	/* Eval/evaluate_comp.scm 583 */
						long BgL_llstkz00_3184;
						obj_t BgL_substkz00_3185;
						obj_t BgL_boxesz00_3186;

						BgL_llstkz00_3184 = bgl_list_length(BgL_lstkz00_3183);
						BgL_substkz00_3185 =
							BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_3183,
							BgL_stkz00_3177);
						{	/* Eval/evaluate_comp.scm 583 */
							obj_t BgL_pairz00_10268;

							BgL_pairz00_10268 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->BgL_labelz00)),
								(((BgL_ev_labelsz00_bglt) CREF(
											(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->
												BgL_labelsz00)))->BgL_boxesz00));
							BgL_boxesz00_3186 = CDR(BgL_pairz00_10268);
						}
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->BgL_argsz00),
								BgL_substkz00_3185))
							{	/* Eval/evaluate_comp.scm 586 */
								obj_t BgL_argsz00_3188;
								long BgL_nbargsz00_3189;

								BgL_argsz00_3188 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->BgL_argsz00),
									BgL_stkz00_3177);
								BgL_nbargsz00_3189 =
									bgl_list_length((((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->
										BgL_argsz00));
								{	/* Eval/evaluate_comp.scm 587 */
									obj_t BgL_zc3anonymousza32973ze3z83_16228;

									BgL_zc3anonymousza32973ze3z83_16228 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32973ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_zc3anonymousza32973ze3z83_16228,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3182));
									PROCEDURE_SET(BgL_zc3anonymousza32973ze3z83_16228,
										(int) (((long) 1)), BINT(BgL_llstkz00_3184));
									PROCEDURE_SET(BgL_zc3anonymousza32973ze3z83_16228,
										(int) (((long) 2)), ((obj_t) BgL_ez00_3176));
									PROCEDURE_SET(BgL_zc3anonymousza32973ze3z83_16228,
										(int) (((long) 3)), BgL_argsz00_3188);
									PROCEDURE_SET(BgL_zc3anonymousza32973ze3z83_16228,
										(int) (((long) 4)), BgL_boxesz00_3186);
									PROCEDURE_SET(BgL_zc3anonymousza32973ze3z83_16228,
										(int) (((long) 5)), BINT(BgL_nbargsz00_3189));
									PROCEDURE_SET(BgL_zc3anonymousza32973ze3z83_16228,
										(int) (((long) 6)), BgL_slotz00_3181);
									return BgL_zc3anonymousza32973ze3z83_16228;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 592 */
								obj_t BgL_argsz00_3200;

								BgL_argsz00_3200 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_3177,
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3176))->BgL_argsz00),
									(BgL_siza7eza7_3182 - BgL_llstkz00_3184));
								{	/* Eval/evaluate_comp.scm 593 */
									obj_t BgL_zc3anonymousza32979ze3z83_16229;

									BgL_zc3anonymousza32979ze3z83_16229 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16229,
										(int) (((long) 0)), BINT(BgL_llstkz00_3184));
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16229,
										(int) (((long) 1)), ((obj_t) BgL_ez00_3176));
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16229,
										(int) (((long) 2)), BgL_argsz00_3200);
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16229,
										(int) (((long) 3)), BgL_boxesz00_3186);
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16229,
										(int) (((long) 4)), BgL_slotz00_3181);
									return BgL_zc3anonymousza32979ze3z83_16229;
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:2973> */
	obj_t BGl_z62zc3anonymousza32973ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17229, obj_t BgL_sz00_17237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 587 */
			{	/* Eval/evaluate_comp.scm 587 */
				long BgL_siza7eza7_17230;
				long BgL_llstkz00_17231;
				BgL_ev_gotoz00_bglt BgL_i1141z00_17232;
				obj_t BgL_argsz00_17233;
				obj_t BgL_boxesz00_17234;
				long BgL_nbargsz00_17235;
				obj_t BgL_slotz00_17236;

				BgL_siza7eza7_17230 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17229, (int) (((long) 0))));
				BgL_llstkz00_17231 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17229, (int) (((long) 1))));
				BgL_i1141z00_17232 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_17229, (int) (((long) 2))));
				BgL_argsz00_17233 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17229, (int) (((long) 3))));
				BgL_boxesz00_17234 =
					PROCEDURE_REF(BgL_envz00_17229, (int) (((long) 4)));
				BgL_nbargsz00_17235 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17229, (int) (((long) 5))));
				BgL_slotz00_17236 = PROCEDURE_REF(BgL_envz00_17229, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3190;

					BgL_sz00_3190 = BgL_sz00_17237;
					{	/* Eval/evaluate_comp.scm 587 */
						obj_t BgL_bpz00_3192;

						BgL_bpz00_3192 = VECTOR_REF(BgL_sz00_3190, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 588 */
							long BgL_spz00_3193;
							long BgL_lspz00_3194;

							BgL_spz00_3193 =
								((long) CINT(BgL_bpz00_3192) + BgL_siza7eza7_17230);
							BgL_lspz00_3194 =
								((long) CINT(BgL_bpz00_3192) + BgL_llstkz00_17231);
							BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
								(BgL_sz00_3190, BgL_argsz00_17233, BgL_boxesz00_17234,
								BgL_spz00_3193,
								(((BgL_ev_gotoz00_bglt) CREF(BgL_i1141z00_17232))->BgL_locz00));
							{	/* Eval/evaluate_comp.scm 590 */
								long BgL_arg2975z00_3196;

								BgL_arg2975z00_3196 = (BgL_spz00_3193 + BgL_nbargsz00_17235);
								BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_3190,
									BINT(BgL_lspz00_3194), BgL_sz00_3190,
									BINT(BgL_spz00_3193), BINT(BgL_arg2975z00_3196));
							}
							return CDR(BgL_slotz00_17236);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2979> */
	obj_t BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17238, obj_t BgL_sz00_17244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 593 */
			{	/* Eval/evaluate_comp.scm 593 */
				long BgL_llstkz00_17239;
				BgL_ev_gotoz00_bglt BgL_i1141z00_17240;
				obj_t BgL_argsz00_17241;
				obj_t BgL_boxesz00_17242;
				obj_t BgL_slotz00_17243;

				BgL_llstkz00_17239 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 0))));
				BgL_i1141z00_17240 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 1))));
				BgL_argsz00_17241 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 2))));
				BgL_boxesz00_17242 =
					PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 3)));
				BgL_slotz00_17243 = PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3201;

					BgL_sz00_3201 = BgL_sz00_17244;
					{	/* Eval/evaluate_comp.scm 593 */
						obj_t BgL_bpz00_3203;

						BgL_bpz00_3203 = VECTOR_REF(BgL_sz00_3201, (int) (((long) 0)));
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_3201, BgL_argsz00_17241, BgL_boxesz00_17242,
							((long) CINT(BgL_bpz00_3203) + BgL_llstkz00_17239),
							(((BgL_ev_gotoz00_bglt) CREF(BgL_i1141z00_17240))->BgL_locz00));
						return CDR(BgL_slotz00_17243);
					}
				}
			}
		}
	}



/* &comp-ev_labels1680 */
	obj_t BGl_z62compzd2ev_labels1680zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17245, obj_t BgL_ez00_17246, obj_t BgL_stkz00_17247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 546 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_3130;
				obj_t BgL_stkz00_3131;

				BgL_ez00_3130 = ((BgL_ev_labelsz00_bglt) BgL_ez00_17246);
				BgL_stkz00_3131 = BgL_stkz00_17247;
				((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3130))->BgL_stkz00) =
					((obj_t) BgL_stkz00_3131), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 553 */
					obj_t BgL_envz00_3136;

					{	/* Eval/evaluate_comp.scm 553 */
						obj_t BgL_l1586z00_3154;

						BgL_l1586z00_3154 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3130))->BgL_varsz00);
						if (NULLP(BgL_l1586z00_3154))
							{	/* Eval/evaluate_comp.scm 553 */
								BgL_envz00_3136 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 553 */
								obj_t BgL_head1588z00_3156;

								{	/* Eval/evaluate_comp.scm 553 */
									obj_t BgL_res4928z00_10178;

									BgL_res4928z00_10178 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1588z00_3156 = BgL_res4928z00_10178;
								}
								{
									obj_t BgL_l1586z00_10212;
									obj_t BgL_tail1589z00_10213;

									BgL_l1586z00_10212 = BgL_l1586z00_3154;
									BgL_tail1589z00_10213 = BgL_head1588z00_3156;
								BgL_zc3anonymousza32965ze3z83_10211:
									if (NULLP(BgL_l1586z00_10212))
										{	/* Eval/evaluate_comp.scm 553 */
											BgL_envz00_3136 = CDR(BgL_head1588z00_3156);
										}
									else
										{	/* Eval/evaluate_comp.scm 553 */
											obj_t BgL_newtail1590z00_10220;

											{	/* Eval/evaluate_comp.scm 553 */
												obj_t BgL_arg2968z00_10221;

												{	/* Eval/evaluate_comp.scm 553 */
													obj_t BgL_vz00_10222;

													BgL_vz00_10222 = CAR(BgL_l1586z00_10212);
													BgL_arg2968z00_10221 =
														MAKE_PAIR(BgL_vz00_10222,
														BGl_symbol5660z00zz__evaluate_compz00);
												}
												{	/* Eval/evaluate_comp.scm 553 */
													obj_t BgL_res4934z00_10230;

													BgL_res4934z00_10230 =
														MAKE_PAIR(BgL_arg2968z00_10221, BNIL);
													BgL_newtail1590z00_10220 = BgL_res4934z00_10230;
												}
											}
											SET_CDR(BgL_tail1589z00_10213, BgL_newtail1590z00_10220);
											{
												obj_t BgL_tail1589z00_31171;
												obj_t BgL_l1586z00_31169;

												BgL_l1586z00_31169 = CDR(BgL_l1586z00_10212);
												BgL_tail1589z00_31171 = BgL_newtail1590z00_10220;
												BgL_tail1589z00_10213 = BgL_tail1589z00_31171;
												BgL_l1586z00_10212 = BgL_l1586z00_31169;
												goto BgL_zc3anonymousza32965ze3z83_10211;
											}
										}
								}
							}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3130))->BgL_envz00) =
						((obj_t) BgL_envz00_3136), BUNSPEC);
					{	/* Eval/evaluate_comp.scm 556 */
						obj_t BgL_g1594z00_3138;

						BgL_g1594z00_3138 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3130))->BgL_valsz00);
						{
							obj_t BgL_ll1591z00_3140;
							obj_t BgL_ll1592z00_3141;

							BgL_ll1591z00_3140 = BgL_envz00_3136;
							BgL_ll1592z00_3141 = BgL_g1594z00_3138;
						BgL_zc3anonymousza32953ze3z83_3142:
							if (NULLP(BgL_ll1591z00_3140))
								{	/* Eval/evaluate_comp.scm 556 */
									((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 556 */
									{	/* Eval/evaluate_comp.scm 558 */
										obj_t BgL_slotz00_3144;
										obj_t BgL_valz00_3145;

										BgL_slotz00_3144 = CAR(BgL_ll1591z00_3140);
										BgL_valz00_3145 = CAR(BgL_ll1592z00_3141);
										{	/* Eval/evaluate_comp.scm 559 */
											obj_t BgL_arg2955z00_3146;

											{	/* Eval/evaluate_comp.scm 559 */
												obj_t BgL_arg2958z00_3147;

												{	/* Eval/evaluate_comp.scm 559 */
													obj_t BgL_arg2959z00_3148;
													obj_t BgL_arg2960z00_3149;

													BgL_arg2959z00_3148 = CDR(BgL_valz00_3145);
													BgL_arg2960z00_3149 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_3131, CAR(BgL_valz00_3145));
													BgL_arg2958z00_3147 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg2959z00_3148),
														BgL_arg2960z00_3149);
												}
												{	/* Eval/evaluate_comp.scm 559 */
													obj_t BgL_procz00_10241;
													obj_t BgL_objz00_10242;

													BgL_procz00_10241 = BgL_arg2958z00_3147;
													BgL_objz00_10242 =
														BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
													PROCEDURE_ATTR_SET(BgL_procz00_10241,
														BgL_objz00_10242);
													BgL_objz00_10242;
												}
												BgL_arg2955z00_3146 = BgL_arg2958z00_3147;
											}
											SET_CDR(BgL_slotz00_3144, BgL_arg2955z00_3146);
										}
									}
									{
										obj_t BgL_ll1592z00_31187;
										obj_t BgL_ll1591z00_31185;

										BgL_ll1591z00_31185 = CDR(BgL_ll1591z00_3140);
										BgL_ll1592z00_31187 = CDR(BgL_ll1592z00_3141);
										BgL_ll1592z00_3141 = BgL_ll1592z00_31187;
										BgL_ll1591z00_3140 = BgL_ll1591z00_31185;
										goto BgL_zc3anonymousza32953ze3z83_3142;
									}
								}
						}
					}
				}
				{	/* Eval/evaluate_comp.scm 563 */
					obj_t BgL_bodyz00_3167;

					BgL_bodyz00_3167 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3130))->BgL_bodyz00),
						BgL_stkz00_3131);
					{	/* Eval/evaluate_comp.scm 564 */
						obj_t BgL_zc3anonymousza32969ze3z83_16231;

						BgL_zc3anonymousza32969ze3z83_16231 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32969ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32969ze3z83_16231,
							(int) (((long) 0)), BgL_bodyz00_3167);
						return BgL_zc3anonymousza32969ze3z83_16231;
					}
				}
			}
		}
	}



/* &<anonymous:2969> */
	obj_t BGl_z62zc3anonymousza32969ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17248, obj_t BgL_sz00_17250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 564 */
			{	/* Eval/evaluate_comp.scm 564 */
				obj_t BgL_bodyz00_17249;

				BgL_bodyz00_17249 = PROCEDURE_REF(BgL_envz00_17248, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3168;

					BgL_sz00_3168 = BgL_sz00_17250;
					{	/* Eval/evaluate_comp.scm 564 */
						obj_t BgL_bpz00_10247;

						BgL_bpz00_10247 = VECTOR_REF(BgL_sz00_3168, (int) (((long) 0)));
						{
							obj_t BgL_fz00_10253;

							BgL_fz00_10253 = BgL_bodyz00_17249;
						BgL_recz00_10252:
							{	/* Eval/evaluate_comp.scm 564 */
								obj_t BgL_rz00_10254;

								BgL_rz00_10254 =
									PROCEDURE_ENTRY(BgL_fz00_10253) (BgL_fz00_10253,
									BgL_sz00_3168, BEOA);
								{	/* Eval/evaluate_comp.scm 564 */
									bool_t BgL_testz00_31205;

									if (PROCEDUREP(BgL_rz00_10254))
										{	/* Eval/evaluate_comp.scm 564 */
											obj_t BgL_arg1856z00_10257;

											BgL_arg1856z00_10257 = PROCEDURE_ATTR(BgL_rz00_10254);
											if (STRUCTP(BgL_arg1856z00_10257))
												{	/* Eval/evaluate_comp.scm 564 */
													BgL_testz00_31205 =
														(STRUCT_KEY(BgL_arg1856z00_10257) ==
														BGl_symbol5537z00zz__evaluate_compz00);
												}
											else
												{	/* Eval/evaluate_comp.scm 564 */
													BgL_testz00_31205 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 564 */
											BgL_testz00_31205 = ((bool_t) 0);
										}
									if (BgL_testz00_31205)
										{
											obj_t BgL_fz00_31213;

											BgL_fz00_31213 = BgL_rz00_10254;
											BgL_fz00_10253 = BgL_fz00_31213;
											goto BgL_recz00_10252;
										}
									else
										{	/* Eval/evaluate_comp.scm 564 */
											return BgL_rz00_10254;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_synchronize1678 */
	obj_t BGl_z62compzd2ev_synchroniza7e1678z17zz__evaluate_compz00(obj_t
		BgL_envz00_17251, obj_t BgL_ez00_17252, obj_t BgL_stkz00_17253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 533 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_3114;
				obj_t BgL_stkz00_3115;

				BgL_ez00_3114 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_17252);
				BgL_stkz00_3115 = BgL_stkz00_17253;
				{	/* Eval/evaluate_comp.scm 535 */
					obj_t BgL_mutexz00_3119;
					obj_t BgL_bodyz00_3120;

					BgL_mutexz00_3119 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_3114))->
							BgL_mutexz00), BgL_stkz00_3115);
					BgL_bodyz00_3120 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
								CREF(BgL_ez00_3114))->BgL_bodyz00), BgL_stkz00_3115);
					{	/* Eval/evaluate_comp.scm 536 */
						obj_t BgL_zc3anonymousza32949ze3z83_16233;

						BgL_zc3anonymousza32949ze3z83_16233 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32949ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32949ze3z83_16233,
							(int) (((long) 0)), BgL_mutexz00_3119);
						PROCEDURE_SET(BgL_zc3anonymousza32949ze3z83_16233,
							(int) (((long) 1)), BgL_bodyz00_3120);
						return BgL_zc3anonymousza32949ze3z83_16233;
					}
				}
			}
		}
	}



/* &<anonymous:2949> */
	obj_t BGl_z62zc3anonymousza32949ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17254, obj_t BgL_sz00_17257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 536 */
			{	/* Eval/evaluate_comp.scm 536 */
				obj_t BgL_mutexz00_17255;
				obj_t BgL_bodyz00_17256;

				BgL_mutexz00_17255 =
					PROCEDURE_REF(BgL_envz00_17254, (int) (((long) 0)));
				BgL_bodyz00_17256 = PROCEDURE_REF(BgL_envz00_17254, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3121;

					BgL_sz00_3121 = BgL_sz00_17257;
					{	/* Eval/evaluate_comp.scm 536 */
						obj_t BgL_bpz00_3123;

						BgL_bpz00_3123 = VECTOR_REF(BgL_sz00_3121, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 537 */
							obj_t BgL_mz00_3124;

							BgL_mz00_3124 =
								PROCEDURE_ENTRY(BgL_mutexz00_17255) (BgL_mutexz00_17255,
								BgL_sz00_3121, BEOA);
							{	/* Eval/evaluate_comp.scm 539 */
								obj_t BgL_za2za2resza2za2z00_3126;

								bgl_mutex_lock(BgL_mz00_3124);
								BGl_exitdzd2pushzd2mutexz12z12zz__bexitz00(BgL_mz00_3124);
								{	/* Eval/evaluate_comp.scm 539 */
									obj_t BgL_tmp5792z00_31236;

									BgL_tmp5792z00_31236 =
										PROCEDURE_ENTRY(BgL_bodyz00_17256) (BgL_bodyz00_17256,
										BgL_sz00_3121, BEOA);
									BGl_exitdzd2popzd2mutexz12z12zz__bexitz00(BgL_mz00_3124);
									bgl_mutex_unlock(BgL_mz00_3124);
									BgL_za2za2resza2za2z00_3126 = BgL_tmp5792z00_31236;
								}
								VECTOR_SET(BgL_sz00_3121, (int) (((long) 0)), BgL_bpz00_3123);
								return BgL_za2za2resza2za2z00_3126;
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler1676 */
	obj_t BGl_z62compzd2ev_withzd2handler1676z62zz__evaluate_compz00(obj_t
		BgL_envz00_17258, obj_t BgL_ez00_17259, obj_t BgL_stkz00_17260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 524 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3076;
				obj_t BgL_stkz00_3077;

				BgL_ez00_3076 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_17259);
				BgL_stkz00_3077 = BgL_stkz00_17260;
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_handlerz00_3081;
					obj_t BgL_bodyz00_3082;

					BgL_handlerz00_3081 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_3076))->
							BgL_handlerz00), BgL_stkz00_3077);
					BgL_bodyz00_3082 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_3076))->BgL_bodyz00), BgL_stkz00_3077);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3anonymousza32937ze3z83_16236;

						BgL_zc3anonymousza32937ze3z83_16236 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32937ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32937ze3z83_16236,
							(int) (((long) 0)), BgL_handlerz00_3081);
						PROCEDURE_SET(BgL_zc3anonymousza32937ze3z83_16236,
							(int) (((long) 1)), BgL_bodyz00_3082);
						return BgL_zc3anonymousza32937ze3z83_16236;
					}
				}
			}
		}
	}



/* &<anonymous:2937> */
	obj_t BGl_z62zc3anonymousza32937ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17261, obj_t BgL_sz00_17264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				obj_t BgL_handlerz00_17262;
				obj_t BgL_bodyz00_17263;

				BgL_handlerz00_17262 =
					PROCEDURE_REF(BgL_envz00_17261, (int) (((long) 0)));
				BgL_bodyz00_17263 = PROCEDURE_REF(BgL_envz00_17261, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3083;

					BgL_sz00_3083 = BgL_sz00_17264;
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_bpz00_3085;

						BgL_bpz00_3085 = VECTOR_REF(BgL_sz00_3083, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 528 */
							obj_t BgL_hz00_3086;

							BgL_hz00_3086 =
								PROCEDURE_ENTRY(BgL_handlerz00_17262) (BgL_handlerz00_17262,
								BgL_sz00_3083, BEOA);
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_za2za2resza2za2z00_3088;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_res1128z00_3089;

									BgL_res1128z00_3089 = MAKE_CELL(BUNSPEC);
									if (CBOOL(BGl_zc3exitza32939ze3z83zz__evaluate_compz00
											(BgL_sz00_3083, BgL_bodyz00_17263, BgL_res1128z00_3089)))
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3088 =
												PROCEDURE_ENTRY(BgL_hz00_3086) (BgL_hz00_3086,
												CELL_REF(BgL_res1128z00_3089), BEOA);
										}
									else
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3088 =
												CELL_REF(BgL_res1128z00_3089);
										}
								}
								VECTOR_SET(BgL_sz00_3083, (int) (((long) 0)), BgL_bpz00_3085);
								return BgL_za2za2resza2za2z00_3088;
							}
						}
					}
				}
			}
		}
	}



/* <exit:2943> */
	obj_t BGl_zc3exitza32943ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17444,
		obj_t BgL_bodyz00_17443, obj_t BgL_ohs1126z00_17442,
		obj_t BgL_an_exitd1132z00_17441, obj_t BgL_res1128z00_17440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1136z00_3104;

			if (SET_EXIT(BgL_an_exit1136z00_3104))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1136z00_3104 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1136z00_3104, ((long) 0));
						{	/* Eval/evaluate_comp.scm 530 */
							bool_t BgL_val1137z00_3105;

							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_arg2944z00_3106;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_zc3anonymousza32946ze3z83_16235;

									BgL_zc3anonymousza32946ze3z83_16235 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza32946ze3z83_16235,
										(int) (((long) 0)), BgL_res1128z00_17440);
									PROCEDURE_SET(BgL_zc3anonymousza32946ze3z83_16235,
										(int) (((long) 1)), BgL_an_exitd1132z00_17441);
									BgL_arg2944z00_3106 =
										MAKE_PAIR(BgL_zc3anonymousza32946ze3z83_16235,
										BgL_ohs1126z00_17442);
								}
								BGL_ERROR_HANDLER_SET(BgL_arg2944z00_3106);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_auxz00_17265;

								BgL_auxz00_17265 =
									PROCEDURE_ENTRY(BgL_bodyz00_17443) (BgL_bodyz00_17443,
									BgL_sz00_17444, BEOA);
								CELL_SET(BgL_res1128z00_17440, BgL_auxz00_17265);
							}
							BgL_val1137z00_3105 = ((bool_t) 0);
							POP_EXIT();
							return BBOOL(BgL_val1137z00_3105);
						}
					}
				}
		}
	}



/* <exit:2939> */
	obj_t BGl_zc3exitza32939ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17447,
		obj_t BgL_bodyz00_17446, obj_t BgL_res1128z00_17445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1131z00_3093;

			if (SET_EXIT(BgL_an_exit1131z00_3093))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1131z00_3093 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1131z00_3093, ((long) 1));
						{	/* Eval/evaluate_comp.scm 530 */
							obj_t BgL_an_exitd1132z00_3094;

							BgL_an_exitd1132z00_3094 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_res1134z00_3097;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_ohs1126z00_3098;

									BgL_ohs1126z00_3098 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 530 */
										obj_t BgL_val1135z00_3099;

										BgL_val1135z00_3099 =
											BGl_zc3exitza32943ze3z83zz__evaluate_compz00
											(BgL_sz00_17447, BgL_bodyz00_17446, BgL_ohs1126z00_3098,
											BgL_an_exitd1132z00_3094, BgL_res1128z00_17445);
										BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_3098);
										BUNSPEC;
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1135z00_3099)))
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res1134z00_3097 =
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1135z00_3099), CDR(BgL_val1135z00_3099));
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res1134z00_3097 = BgL_val1135z00_3099;
											}
									}
								}
								POP_EXIT();
								return BgL_res1134z00_3097;
							}
						}
					}
				}
		}
	}



/* &<anonymous:2946> */
	obj_t BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17266, obj_t BgL_ez00_17269)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_res1128z00_17267;
				obj_t BgL_an_exitd1132z00_17268;

				BgL_res1128z00_17267 =
					PROCEDURE_REF(BgL_envz00_17266, (int) (((long) 0)));
				BgL_an_exitd1132z00_17268 =
					PROCEDURE_REF(BgL_envz00_17266, (int) (((long) 1)));
				{
					obj_t BgL_ez00_3108;

					BgL_ez00_3108 = BgL_ez00_17269;
					CELL_SET(BgL_res1128z00_17267, BgL_ez00_3108);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1132z00_17268,
						BTRUE);
				}
			}
		}
	}



/* &comp-ev_unwind-prote1674 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1674z62zz__evaluate_compz00(obj_t
		BgL_envz00_17271, obj_t BgL_ez00_17272, obj_t BgL_stkz00_17273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 515 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3055;
				obj_t BgL_stkz00_3056;

				BgL_ez00_3055 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_17272);
				BgL_stkz00_3056 = BgL_stkz00_17273;
				{	/* Eval/evaluate_comp.scm 517 */
					obj_t BgL_ez00_3060;
					obj_t BgL_bodyz00_3061;

					BgL_ez00_3060 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_3055))->BgL_ez00),
						BgL_stkz00_3056);
					BgL_bodyz00_3061 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
								CREF(BgL_ez00_3055))->BgL_bodyz00), BgL_stkz00_3056);
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_zc3anonymousza32930ze3z83_16238;

						BgL_zc3anonymousza32930ze3z83_16238 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32930ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32930ze3z83_16238,
							(int) (((long) 0)), BgL_ez00_3060);
						PROCEDURE_SET(BgL_zc3anonymousza32930ze3z83_16238,
							(int) (((long) 1)), BgL_bodyz00_3061);
						return BgL_zc3anonymousza32930ze3z83_16238;
					}
				}
			}
		}
	}



/* &<anonymous:2930> */
	obj_t BGl_z62zc3anonymousza32930ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17274, obj_t BgL_sz00_17277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 518 */
			{	/* Eval/evaluate_comp.scm 518 */
				obj_t BgL_ez00_17275;
				obj_t BgL_bodyz00_17276;

				BgL_ez00_17275 = PROCEDURE_REF(BgL_envz00_17274, (int) (((long) 0)));
				BgL_bodyz00_17276 = PROCEDURE_REF(BgL_envz00_17274, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3062;

					BgL_sz00_3062 = BgL_sz00_17277;
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_bpz00_3064;

						BgL_bpz00_3064 = VECTOR_REF(BgL_sz00_3062, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val1122z00_3066;

							BgL_val1122z00_3066 =
								BGl_zc3exitza32934ze3z83zz__evaluate_compz00(BgL_sz00_3062,
								BgL_ez00_17275);
							VECTOR_SET(BgL_sz00_3062, (int) (((long) 0)), BgL_bpz00_3064);
							PROCEDURE_ENTRY(BgL_bodyz00_17276) (BgL_bodyz00_17276,
								BgL_sz00_3062, BEOA);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val1122z00_3066)))
								{	/* Eval/evaluate_comp.scm 522 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val1122z00_3066), CDR(BgL_val1122z00_3066));
								}
							else
								{	/* Eval/evaluate_comp.scm 522 */
									return BgL_val1122z00_3066;
								}
						}
					}
				}
			}
		}
	}



/* <exit:2934> */
	obj_t BGl_zc3exitza32934ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17439,
		obj_t BgL_ez00_17438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 521 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1123z00_3071;

			if (SET_EXIT(BgL_an_exit1123z00_3071))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1123z00_3071 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 521 */

						PUSH_EXIT(BgL_an_exit1123z00_3071, ((long) 0));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val1124z00_3072;

							BgL_val1124z00_3072 =
								PROCEDURE_ENTRY(BgL_ez00_17438) (BgL_ez00_17438, BgL_sz00_17439,
								BEOA);
							POP_EXIT();
							return BgL_val1124z00_3072;
						}
					}
				}
		}
	}



/* &comp-ev_bind-exit1672 */
	obj_t BGl_z62compzd2ev_bindzd2exit1672z62zz__evaluate_compz00(obj_t
		BgL_envz00_17278, obj_t BgL_ez00_17279, obj_t BgL_stkz00_17280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 504 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3028;
				obj_t BgL_stkz00_3029;

				BgL_ez00_3028 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_17279);
				BgL_stkz00_3029 = BgL_stkz00_17280;
				{	/* Eval/evaluate_comp.scm 506 */
					long BgL_siza7eza7_3033;
					obj_t BgL_nstkz00_3034;

					BgL_siza7eza7_3033 = bgl_list_length(BgL_stkz00_3029);
					{	/* Eval/evaluate_comp.scm 506 */
						obj_t BgL_arg2928z00_3052;

						{	/* Eval/evaluate_comp.scm 506 */
							BgL_ev_varz00_bglt BgL_arg2929z00_3053;

							BgL_arg2929z00_3053 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3028))->
								BgL_varz00);
							BgL_arg2928z00_3052 =
								MAKE_PAIR(((obj_t) BgL_arg2929z00_3053), BNIL);
						}
						BgL_nstkz00_3034 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3029,
							BgL_arg2928z00_3052);
					}
					{	/* Eval/evaluate_comp.scm 507 */
						obj_t BgL_bodyz00_3035;
						obj_t BgL_effzf3zf3_3036;

						BgL_bodyz00_3035 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3028))->BgL_bodyz00),
							BgL_nstkz00_3034);
						BgL_effzf3zf3_3036 =
							(((BgL_ev_varz00_bglt) CREF((((BgL_ev_bindzd2exitzd2_bglt)
											CREF(BgL_ez00_3028))->BgL_varz00)))->BgL_effz00);
						{	/* Eval/evaluate_comp.scm 508 */
							obj_t BgL_zc3anonymousza32923ze3z83_16241;

							BgL_zc3anonymousza32923ze3z83_16241 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32923ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza32923ze3z83_16241,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3033));
							PROCEDURE_SET(BgL_zc3anonymousza32923ze3z83_16241,
								(int) (((long) 1)), BgL_effzf3zf3_3036);
							PROCEDURE_SET(BgL_zc3anonymousza32923ze3z83_16241,
								(int) (((long) 2)), BgL_bodyz00_3035);
							return BgL_zc3anonymousza32923ze3z83_16241;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2923> */
	obj_t BGl_z62zc3anonymousza32923ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17281, obj_t BgL_sz00_17285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 508 */
			{	/* Eval/evaluate_comp.scm 508 */
				long BgL_siza7eza7_17282;
				obj_t BgL_effzf3zf3_17283;
				obj_t BgL_bodyz00_17284;

				BgL_siza7eza7_17282 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17281, (int) (((long) 0))));
				BgL_effzf3zf3_17283 =
					PROCEDURE_REF(BgL_envz00_17281, (int) (((long) 1)));
				BgL_bodyz00_17284 = PROCEDURE_REF(BgL_envz00_17281, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3037;

					BgL_sz00_3037 = BgL_sz00_17285;
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_bpz00_3039;

						BgL_bpz00_3039 = VECTOR_REF(BgL_sz00_3037, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_za2za2resza2za2z00_3041;

							BgL_za2za2resza2za2z00_3041 =
								BGl_zc3exitza32924ze3z83zz__evaluate_compz00(BgL_bodyz00_17284,
								BgL_sz00_3037, BgL_effzf3zf3_17283, BgL_siza7eza7_17282,
								BgL_bpz00_3039);
							VECTOR_SET(BgL_sz00_3037, (int) (((long) 0)), BgL_bpz00_3039);
							return BgL_za2za2resza2za2z00_3041;
						}
					}
				}
			}
		}
	}



/* <exit:2924> */
	obj_t BGl_zc3exitza32924ze3z83zz__evaluate_compz00(obj_t BgL_bodyz00_17437,
		obj_t BgL_sz00_17436, obj_t BgL_effzf3zf3_17435, long BgL_siza7eza7_17434,
		obj_t BgL_bpz00_17433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1117z00_3043;

			if (SET_EXIT(BgL_an_exit1117z00_3043))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1117z00_3043 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 510 */

						PUSH_EXIT(BgL_an_exit1117z00_3043, ((long) 1));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_an_exitd1118z00_3044;

							BgL_an_exitd1118z00_3044 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_exitz00_16240;

								BgL_exitz00_16240 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_16240,
									(int) (((long) 0)), BgL_an_exitd1118z00_3044);
								{	/* Eval/evaluate_comp.scm 511 */
									obj_t BgL_res1120z00_3047;

									{	/* Eval/evaluate_comp.scm 511 */
										long BgL_arg2925z00_3048;
										obj_t BgL_arg2926z00_3049;

										BgL_arg2925z00_3048 =
											((long) CINT(BgL_bpz00_17433) + BgL_siza7eza7_17434);
										if (CBOOL(BgL_effzf3zf3_17435))
											{	/* Eval/evaluate_comp.scm 511 */
												obj_t BgL_newz00_10142;

												BgL_newz00_10142 =
													create_struct(BGl_symbol5553z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 511 */
													int BgL_auxz00_31401;

													BgL_auxz00_31401 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10142, BgL_auxz00_31401,
														BgL_exitz00_16240);
												}
												BgL_arg2926z00_3049 = BgL_newz00_10142;
											}
										else
											{	/* Eval/evaluate_comp.scm 511 */
												BgL_arg2926z00_3049 = BgL_exitz00_16240;
											}
										VECTOR_SET(BgL_sz00_17436,
											(int) (BgL_arg2925z00_3048), BgL_arg2926z00_3049);
									}
									BgL_res1120z00_3047 =
										PROCEDURE_ENTRY(BgL_bodyz00_17437) (BgL_bodyz00_17437,
										BgL_sz00_17436, BEOA);
									POP_EXIT();
									return BgL_res1120z00_3047;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_17286,
		obj_t BgL_val1119z00_17288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				obj_t BgL_an_exitd1118z00_17287;

				BgL_an_exitd1118z00_17287 =
					PROCEDURE_REF(BgL_envz00_17286, (int) (((long) 0)));
				{
					obj_t BgL_val1119z00_3045;

					BgL_val1119z00_3045 = BgL_val1119z00_17288;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1118z00_17287,
						BgL_val1119z00_3045);
				}
			}
		}
	}



/* &comp-ev_letrec1670 */
	obj_t BGl_z62compzd2ev_letrec1670zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17289, obj_t BgL_ez00_17290, obj_t BgL_stkz00_17291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 475 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_2929;
				obj_t BgL_stkz00_2930;

				BgL_ez00_2929 = ((BgL_ev_letrecz00_bglt) BgL_ez00_17290);
				BgL_stkz00_2930 = BgL_stkz00_17291;
				{	/* Eval/evaluate_comp.scm 477 */
					long BgL_siza7eza7_2934;
					obj_t BgL_nstkz00_2935;

					BgL_siza7eza7_2934 = bgl_list_length(BgL_stkz00_2930);
					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_arg2922z00_3026;

						BgL_arg2922z00_3026 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2929)))->BgL_varsz00);
						BgL_nstkz00_2935 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2930,
							BgL_arg2922z00_3026);
					}
					{	/* Eval/evaluate_comp.scm 478 */
						obj_t BgL_cvalsz00_2936;
						obj_t BgL_bodyz00_2937;

						{	/* Eval/evaluate_comp.scm 478 */
							obj_t BgL_l1572z00_3012;

							BgL_l1572z00_3012 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2929)))->BgL_valsz00);
							if (NULLP(BgL_l1572z00_3012))
								{	/* Eval/evaluate_comp.scm 478 */
									BgL_cvalsz00_2936 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_head1574z00_3014;

									{	/* Eval/evaluate_comp.scm 478 */
										obj_t BgL_res4886z00_9782;

										BgL_res4886z00_9782 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1574z00_3014 = BgL_res4886z00_9782;
									}
									{
										obj_t BgL_l1572z00_9816;
										obj_t BgL_tail1575z00_9817;

										BgL_l1572z00_9816 = BgL_l1572z00_3012;
										BgL_tail1575z00_9817 = BgL_head1574z00_3014;
									BgL_zc3anonymousza32917ze3z83_9815:
										if (NULLP(BgL_l1572z00_9816))
											{	/* Eval/evaluate_comp.scm 478 */
												BgL_cvalsz00_2936 = CDR(BgL_head1574z00_3014);
											}
										else
											{	/* Eval/evaluate_comp.scm 478 */
												obj_t BgL_newtail1576z00_9824;

												{	/* Eval/evaluate_comp.scm 478 */
													obj_t BgL_arg2920z00_9825;

													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_vz00_9826;

														BgL_vz00_9826 = CAR(BgL_l1572z00_9816);
														BgL_arg2920z00_9825 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9826),
															BgL_nstkz00_2935);
													}
													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_res4892z00_9834;

														BgL_res4892z00_9834 =
															MAKE_PAIR(BgL_arg2920z00_9825, BNIL);
														BgL_newtail1576z00_9824 = BgL_res4892z00_9834;
													}
												}
												SET_CDR(BgL_tail1575z00_9817, BgL_newtail1576z00_9824);
												{
													obj_t BgL_tail1575z00_31433;
													obj_t BgL_l1572z00_31431;

													BgL_l1572z00_31431 = CDR(BgL_l1572z00_9816);
													BgL_tail1575z00_31433 = BgL_newtail1576z00_9824;
													BgL_tail1575z00_9817 = BgL_tail1575z00_31433;
													BgL_l1572z00_9816 = BgL_l1572z00_31431;
													goto BgL_zc3anonymousza32917ze3z83_9815;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 479 */
							BgL_ev_exprz00_bglt BgL_arg2921z00_3025;

							BgL_arg2921z00_3025 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2929)))->BgL_bodyz00);
							BgL_bodyz00_2937 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2921z00_3025,
								BgL_nstkz00_2935);
						}
						{	/* Eval/evaluate_comp.scm 480 */
							bool_t BgL_testz00_31437;

							{
								obj_t BgL_l1577z00_3004;

								BgL_l1577z00_3004 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_2929)))->BgL_valsz00);
							BgL_zc3anonymousza32913ze3z83_3005:
								if (NULLP(BgL_l1577z00_3004))
									{	/* Eval/evaluate_comp.scm 480 */
										BgL_testz00_31437 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_comp.scm 480 */
										bool_t BgL_testz00_31440;

										{	/* Eval/evaluate_comp.scm 480 */
											obj_t BgL_vz00_3010;

											BgL_vz00_3010 = CAR(BgL_l1577z00_3004);
											BgL_testz00_31440 =
												BGl_isazf3zf3zz__objectz00(BgL_vz00_3010,
												BGl_ev_absz00zz__evaluate_typesz00);
										}
										if (BgL_testz00_31440)
											{
												obj_t BgL_l1577z00_31443;

												BgL_l1577z00_31443 = CDR(BgL_l1577z00_3004);
												BgL_l1577z00_3004 = BgL_l1577z00_31443;
												goto BgL_zc3anonymousza32913ze3z83_3005;
											}
										else
											{	/* Eval/evaluate_comp.scm 480 */
												BgL_testz00_31437 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_31437)
								{	/* Eval/evaluate_comp.scm 481 */
									obj_t BgL_zc3anonymousza32883ze3z83_16244;

									BgL_zc3anonymousza32883ze3z83_16244 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_16244,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2934));
									PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_16244,
										(int) (((long) 1)), BgL_cvalsz00_2936);
									PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_16244,
										(int) (((long) 2)), BgL_bodyz00_2937);
									return BgL_zc3anonymousza32883ze3z83_16244;
								}
							else
								{	/* Eval/evaluate_comp.scm 491 */
									obj_t BgL_zc3anonymousza32896ze3z83_16243;

									BgL_zc3anonymousza32896ze3z83_16243 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32896ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32896ze3z83_16243,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2934));
									PROCEDURE_SET(BgL_zc3anonymousza32896ze3z83_16243,
										(int) (((long) 1)), BgL_cvalsz00_2936);
									PROCEDURE_SET(BgL_zc3anonymousza32896ze3z83_16243,
										(int) (((long) 2)), BgL_bodyz00_2937);
									return BgL_zc3anonymousza32896ze3z83_16243;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2883> */
	obj_t BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17292, obj_t BgL_sz00_17296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 481 */
				long BgL_siza7eza7_17293;
				obj_t BgL_cvalsz00_17294;
				obj_t BgL_bodyz00_17295;

				BgL_siza7eza7_17293 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17292, (int) (((long) 0))));
				BgL_cvalsz00_17294 =
					PROCEDURE_REF(BgL_envz00_17292, (int) (((long) 1)));
				BgL_bodyz00_17295 = PROCEDURE_REF(BgL_envz00_17292, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2939;

					BgL_sz00_2939 = BgL_sz00_17296;
					{	/* Eval/evaluate_comp.scm 481 */
						obj_t BgL_bpz00_2941;

						BgL_bpz00_2941 = VECTOR_REF(BgL_sz00_2939, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 482 */
							long BgL_g1111z00_2942;

							BgL_g1111z00_2942 =
								((long) CINT(BgL_bpz00_2941) + BgL_siza7eza7_17293);
							{
								obj_t BgL_lz00_9890;
								long BgL_iz00_9891;

								BgL_lz00_9890 = BgL_cvalsz00_17294;
								BgL_iz00_9891 = BgL_g1111z00_2942;
							BgL_recz00_9889:
								if (NULLP(BgL_lz00_9890))
									{	/* Eval/evaluate_comp.scm 482 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 482 */
										{	/* Eval/evaluate_comp.scm 482 */
											obj_t BgL_arg2886z00_9897;

											{	/* Eval/evaluate_comp.scm 482 */
												obj_t BgL_newz00_9903;

												BgL_newz00_9903 =
													create_struct(BGl_symbol5553z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 482 */
													int BgL_auxz00_31483;

													BgL_auxz00_31483 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9903, BgL_auxz00_31483,
														BUNSPEC);
												}
												BgL_arg2886z00_9897 = BgL_newz00_9903;
											}
											VECTOR_SET(BgL_sz00_2939,
												(int) (BgL_iz00_9891), BgL_arg2886z00_9897);
										}
										{
											long BgL_iz00_31490;
											obj_t BgL_lz00_31488;

											BgL_lz00_31488 = CDR(BgL_lz00_9890);
											BgL_iz00_31490 = (BgL_iz00_9891 + ((long) 1));
											BgL_iz00_9891 = BgL_iz00_31490;
											BgL_lz00_9890 = BgL_lz00_31488;
											goto BgL_recz00_9889;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 486 */
							long BgL_g1112z00_2952;

							BgL_g1112z00_2952 =
								((long) CINT(BgL_bpz00_2941) + BgL_siza7eza7_17293);
							{
								obj_t BgL_lz00_2954;
								long BgL_iz00_2955;

								BgL_lz00_2954 = BgL_cvalsz00_17294;
								BgL_iz00_2955 = BgL_g1112z00_2952;
							BgL_zc3anonymousza32889ze3z83_2956:
								if (NULLP(BgL_lz00_2954))
									{	/* Eval/evaluate_comp.scm 487 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 487 */
										{	/* Eval/evaluate_comp.scm 488 */
											obj_t BgL_arg2891z00_2958;
											obj_t BgL_arg2892z00_2959;

											BgL_arg2891z00_2958 =
												VECTOR_REF(BgL_sz00_2939, (int) (BgL_iz00_2955));
											{	/* Eval/evaluate_comp.scm 488 */
												obj_t BgL_fun2893z00_2960;

												BgL_fun2893z00_2960 = CAR(BgL_lz00_2954);
												BgL_arg2892z00_2959 =
													PROCEDURE_ENTRY(BgL_fun2893z00_2960)
													(BgL_fun2893z00_2960, BgL_sz00_2939, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 488 */
												int BgL_auxz00_31503;

												BgL_auxz00_31503 = (int) (((long) 0));
												STRUCT_SET(BgL_arg2891z00_2958, BgL_auxz00_31503,
													BgL_arg2892z00_2959);
										}}
										{
											long BgL_iz00_31508;
											obj_t BgL_lz00_31506;

											BgL_lz00_31506 = CDR(BgL_lz00_2954);
											BgL_iz00_31508 = (BgL_iz00_2955 + ((long) 1));
											BgL_iz00_2955 = BgL_iz00_31508;
											BgL_lz00_2954 = BgL_lz00_31506;
											goto BgL_zc3anonymousza32889ze3z83_2956;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17295) (BgL_bodyz00_17295,
							BgL_sz00_2939, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:2896> */
	obj_t BGl_z62zc3anonymousza32896ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17297, obj_t BgL_sz00_17301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 491 */
			{	/* Eval/evaluate_comp.scm 491 */
				long BgL_siza7eza7_17298;
				obj_t BgL_cvalsz00_17299;
				obj_t BgL_bodyz00_17300;

				BgL_siza7eza7_17298 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17297, (int) (((long) 0))));
				BgL_cvalsz00_17299 =
					PROCEDURE_REF(BgL_envz00_17297, (int) (((long) 1)));
				BgL_bodyz00_17300 = PROCEDURE_REF(BgL_envz00_17297, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2964;

					BgL_sz00_2964 = BgL_sz00_17301;
					{	/* Eval/evaluate_comp.scm 491 */
						obj_t BgL_bpz00_2966;

						BgL_bpz00_2966 = VECTOR_REF(BgL_sz00_2964, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 492 */
							long BgL_g1113z00_2967;

							BgL_g1113z00_2967 =
								((long) CINT(BgL_bpz00_2966) + BgL_siza7eza7_17298);
							{
								obj_t BgL_lz00_9981;
								long BgL_iz00_9982;

								BgL_lz00_9981 = BgL_cvalsz00_17299;
								BgL_iz00_9982 = BgL_g1113z00_2967;
							BgL_recz00_9980:
								if (NULLP(BgL_lz00_9981))
									{	/* Eval/evaluate_comp.scm 492 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 492 */
										{	/* Eval/evaluate_comp.scm 492 */
											obj_t BgL_arg2899z00_9988;

											{	/* Eval/evaluate_comp.scm 492 */
												obj_t BgL_newz00_9994;

												BgL_newz00_9994 =
													create_struct(BGl_symbol5553z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 492 */
													int BgL_auxz00_31529;

													BgL_auxz00_31529 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9994, BgL_auxz00_31529,
														BUNSPEC);
												}
												BgL_arg2899z00_9988 = BgL_newz00_9994;
											}
											VECTOR_SET(BgL_sz00_2964,
												(int) (BgL_iz00_9982), BgL_arg2899z00_9988);
										}
										{
											long BgL_iz00_31536;
											obj_t BgL_lz00_31534;

											BgL_lz00_31534 = CDR(BgL_lz00_9981);
											BgL_iz00_31536 = (BgL_iz00_9982 + ((long) 1));
											BgL_iz00_9982 = BgL_iz00_31536;
											BgL_lz00_9981 = BgL_lz00_31534;
											goto BgL_recz00_9980;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 496 */
							obj_t BgL_rvalsz00_2977;

							if (NULLP(BgL_cvalsz00_17299))
								{	/* Eval/evaluate_comp.scm 496 */
									BgL_rvalsz00_2977 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 496 */
									obj_t BgL_head1583z00_2991;

									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_res4912z00_10011;

										BgL_res4912z00_10011 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1583z00_2991 = BgL_res4912z00_10011;
									}
									{
										obj_t BgL_l1581z00_10045;
										obj_t BgL_tail1584z00_10046;

										BgL_l1581z00_10045 = BgL_cvalsz00_17299;
										BgL_tail1584z00_10046 = BgL_head1583z00_2991;
									BgL_zc3anonymousza32909ze3z83_10044:
										if (NULLP(BgL_l1581z00_10045))
											{	/* Eval/evaluate_comp.scm 496 */
												BgL_rvalsz00_2977 = CDR(BgL_head1583z00_2991);
											}
										else
											{	/* Eval/evaluate_comp.scm 496 */
												obj_t BgL_newtail1585z00_10053;

												{	/* Eval/evaluate_comp.scm 496 */
													obj_t BgL_arg2912z00_10054;

													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_vz00_10055;

														BgL_vz00_10055 = CAR(BgL_l1581z00_10045);
														BgL_arg2912z00_10054 =
															PROCEDURE_ENTRY(BgL_vz00_10055) (BgL_vz00_10055,
															BgL_sz00_2964, BEOA);
													}
													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_res4918z00_10063;

														BgL_res4918z00_10063 =
															MAKE_PAIR(BgL_arg2912z00_10054, BNIL);
														BgL_newtail1585z00_10053 = BgL_res4918z00_10063;
													}
												}
												SET_CDR(BgL_tail1584z00_10046,
													BgL_newtail1585z00_10053);
												{
													obj_t BgL_tail1584z00_31553;
													obj_t BgL_l1581z00_31551;

													BgL_l1581z00_31551 = CDR(BgL_l1581z00_10045);
													BgL_tail1584z00_31553 = BgL_newtail1585z00_10053;
													BgL_tail1584z00_10046 = BgL_tail1584z00_31553;
													BgL_l1581z00_10045 = BgL_l1581z00_31551;
													goto BgL_zc3anonymousza32909ze3z83_10044;
												}
											}
									}
								}
							{	/* Eval/evaluate_comp.scm 497 */
								long BgL_g1114z00_2978;

								BgL_g1114z00_2978 =
									((long) CINT(BgL_bpz00_2966) + BgL_siza7eza7_17298);
								{
									obj_t BgL_lz00_10111;
									long BgL_iz00_10112;

									BgL_lz00_10111 = BgL_rvalsz00_2977;
									BgL_iz00_10112 = BgL_g1114z00_2978;
								BgL_recz00_10110:
									if (NULLP(BgL_lz00_10111))
										{	/* Eval/evaluate_comp.scm 497 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_auxz00_31563;
												int BgL_auxz00_31561;
												obj_t BgL_auxz00_31558;

												BgL_auxz00_31563 = CAR(BgL_lz00_10111);
												BgL_auxz00_31561 = (int) (((long) 0));
												BgL_auxz00_31558 =
													VECTOR_REF(BgL_sz00_2964, (int) (BgL_iz00_10112));
												STRUCT_SET(BgL_auxz00_31558, BgL_auxz00_31561,
													BgL_auxz00_31563);
											}
											{
												long BgL_iz00_31568;
												obj_t BgL_lz00_31566;

												BgL_lz00_31566 = CDR(BgL_lz00_10111);
												BgL_iz00_31568 = (BgL_iz00_10112 + ((long) 1));
												BgL_iz00_10112 = BgL_iz00_31568;
												BgL_lz00_10111 = BgL_lz00_31566;
												goto BgL_recz00_10110;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_17300) (BgL_bodyz00_17300,
								BgL_sz00_2964, BEOA);
						}
					}
				}
			}
		}
	}



/* &comp-ev_let*1668 */
	obj_t BGl_z62compzd2ev_letza21668z12zz__evaluate_compz00(obj_t
		BgL_envz00_17302, obj_t BgL_ez00_17303, obj_t BgL_stkz00_17304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 462 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_2885;
				obj_t BgL_stkz00_2886;

				BgL_ez00_2885 = ((BgL_ev_letza2za2_bglt) BgL_ez00_17303);
				BgL_stkz00_2886 = BgL_stkz00_17304;
				{	/* Eval/evaluate_comp.scm 464 */
					long BgL_siza7eza7_2890;
					obj_t BgL_nstkz00_2891;

					BgL_siza7eza7_2890 = bgl_list_length(BgL_stkz00_2886);
					{	/* Eval/evaluate_comp.scm 464 */
						obj_t BgL_arg2881z00_2927;

						BgL_arg2881z00_2927 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2885)))->BgL_varsz00);
						BgL_nstkz00_2891 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2886,
							BgL_arg2881z00_2927);
					}
					{	/* Eval/evaluate_comp.scm 465 */
						obj_t BgL_valsz00_2892;
						obj_t BgL_bodyz00_2893;

						{	/* Eval/evaluate_comp.scm 465 */
							obj_t BgL_l1567z00_2913;

							BgL_l1567z00_2913 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2885)))->BgL_valsz00);
							if (NULLP(BgL_l1567z00_2913))
								{	/* Eval/evaluate_comp.scm 465 */
									BgL_valsz00_2892 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 465 */
									obj_t BgL_head1569z00_2915;

									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_res4875z00_9698;

										BgL_res4875z00_9698 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1569z00_2915 = BgL_res4875z00_9698;
									}
									{
										obj_t BgL_l1567z00_9732;
										obj_t BgL_tail1570z00_9733;

										BgL_l1567z00_9732 = BgL_l1567z00_2913;
										BgL_tail1570z00_9733 = BgL_head1569z00_2915;
									BgL_zc3anonymousza32876ze3z83_9731:
										if (NULLP(BgL_l1567z00_9732))
											{	/* Eval/evaluate_comp.scm 465 */
												BgL_valsz00_2892 = CDR(BgL_head1569z00_2915);
											}
										else
											{	/* Eval/evaluate_comp.scm 465 */
												obj_t BgL_newtail1571z00_9740;

												{	/* Eval/evaluate_comp.scm 465 */
													obj_t BgL_arg2879z00_9741;

													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_vz00_9742;

														BgL_vz00_9742 = CAR(BgL_l1567z00_9732);
														BgL_arg2879z00_9741 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9742),
															BgL_nstkz00_2891);
													}
													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_res4881z00_9750;

														BgL_res4881z00_9750 =
															MAKE_PAIR(BgL_arg2879z00_9741, BNIL);
														BgL_newtail1571z00_9740 = BgL_res4881z00_9750;
													}
												}
												SET_CDR(BgL_tail1570z00_9733, BgL_newtail1571z00_9740);
												{
													obj_t BgL_tail1570z00_31593;
													obj_t BgL_l1567z00_31591;

													BgL_l1567z00_31591 = CDR(BgL_l1567z00_9732);
													BgL_tail1570z00_31593 = BgL_newtail1571z00_9740;
													BgL_tail1570z00_9733 = BgL_tail1570z00_31593;
													BgL_l1567z00_9732 = BgL_l1567z00_31591;
													goto BgL_zc3anonymousza32876ze3z83_9731;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 466 */
							BgL_ev_exprz00_bglt BgL_arg2880z00_2926;

							BgL_arg2880z00_2926 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2885)))->BgL_bodyz00);
							BgL_bodyz00_2893 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2880z00_2926,
								BgL_nstkz00_2891);
						}
						{	/* Eval/evaluate_comp.scm 467 */
							obj_t BgL_zc3anonymousza32865ze3z83_16246;

							BgL_zc3anonymousza32865ze3z83_16246 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32865ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32865ze3z83_16246,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2890));
							PROCEDURE_SET(BgL_zc3anonymousza32865ze3z83_16246,
								(int) (((long) 1)), ((obj_t) BgL_ez00_2885));
							PROCEDURE_SET(BgL_zc3anonymousza32865ze3z83_16246,
								(int) (((long) 2)), BgL_valsz00_2892);
							PROCEDURE_SET(BgL_zc3anonymousza32865ze3z83_16246,
								(int) (((long) 3)), BgL_bodyz00_2893);
							return BgL_zc3anonymousza32865ze3z83_16246;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2865> */
	obj_t BGl_z62zc3anonymousza32865ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17305, obj_t BgL_sz00_17310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 467 */
			{	/* Eval/evaluate_comp.scm 467 */
				long BgL_siza7eza7_17306;
				BgL_ev_letza2za2_bglt BgL_i1108z00_17307;
				obj_t BgL_valsz00_17308;
				obj_t BgL_bodyz00_17309;

				BgL_siza7eza7_17306 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17305, (int) (((long) 0))));
				BgL_i1108z00_17307 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_17305, (int) (((long) 1))));
				BgL_valsz00_17308 = PROCEDURE_REF(BgL_envz00_17305, (int) (((long) 2)));
				BgL_bodyz00_17309 = PROCEDURE_REF(BgL_envz00_17305, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2894;

					BgL_sz00_2894 = BgL_sz00_17310;
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_bpz00_2896;

						BgL_bpz00_2896 = VECTOR_REF(BgL_sz00_2894, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 468 */
							long BgL_g1109z00_2897;

							BgL_g1109z00_2897 =
								((long) CINT(BgL_bpz00_2896) + BgL_siza7eza7_17306);
							{
								obj_t BgL_lz00_2900;
								long BgL_iz00_2901;
								obj_t BgL_bza2za2_2902;

								BgL_lz00_2900 = BgL_valsz00_17308;
								BgL_iz00_2901 = BgL_g1109z00_2897;
								BgL_bza2za2_2902 =
									(((BgL_ev_letza2za2_bglt) CREF(BgL_i1108z00_17307))->
									BgL_boxesz00);
							BgL_zc3anonymousza32867ze3z83_2903:
								if (NULLP(BgL_lz00_2900))
									{	/* Eval/evaluate_comp.scm 469 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 469 */
										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_valz00_2905;

											{	/* Eval/evaluate_comp.scm 470 */
												obj_t BgL_fun2871z00_2908;

												BgL_fun2871z00_2908 = CAR(BgL_lz00_2900);
												BgL_valz00_2905 =
													PROCEDURE_ENTRY(BgL_fun2871z00_2908)
													(BgL_fun2871z00_2908, BgL_sz00_2894, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 471 */
												obj_t BgL_arg2869z00_2906;

												{	/* Eval/evaluate_comp.scm 471 */
													bool_t BgL_testz00_31632;

													{	/* Eval/evaluate_comp.scm 471 */
														obj_t BgL_pairz00_9762;

														BgL_pairz00_9762 = BgL_bza2za2_2902;
														BgL_testz00_31632 = CBOOL(CAR(BgL_pairz00_9762));
													}
													if (BgL_testz00_31632)
														{	/* Eval/evaluate_comp.scm 471 */
															obj_t BgL_newz00_9764;

															BgL_newz00_9764 =
																create_struct
																(BGl_symbol5553z00zz__evaluate_compz00,
																(int) (((long) 1)));
															{	/* Eval/evaluate_comp.scm 471 */
																int BgL_auxz00_31637;

																BgL_auxz00_31637 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_9764, BgL_auxz00_31637,
																	BgL_valz00_2905);
															}
															BgL_arg2869z00_2906 = BgL_newz00_9764;
														}
													else
														{	/* Eval/evaluate_comp.scm 471 */
															BgL_arg2869z00_2906 = BgL_valz00_2905;
														}
												}
												VECTOR_SET(BgL_sz00_2894,
													(int) (BgL_iz00_2901), BgL_arg2869z00_2906);
										}}
										{
											obj_t BgL_bza2za2_31646;
											long BgL_iz00_31644;
											obj_t BgL_lz00_31642;

											BgL_lz00_31642 = CDR(BgL_lz00_2900);
											BgL_iz00_31644 = (BgL_iz00_2901 + ((long) 1));
											BgL_bza2za2_31646 = CDR(BgL_bza2za2_2902);
											BgL_bza2za2_2902 = BgL_bza2za2_31646;
											BgL_iz00_2901 = BgL_iz00_31644;
											BgL_lz00_2900 = BgL_lz00_31642;
											goto BgL_zc3anonymousza32867ze3z83_2903;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17309) (BgL_bodyz00_17309,
							BgL_sz00_2894, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let1666 */
	obj_t BGl_z62compzd2ev_let1666zb0zz__evaluate_compz00(obj_t BgL_envz00_17311,
		obj_t BgL_ez00_17312, obj_t BgL_stkz00_17313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 443 */
			{
				BgL_ev_letz00_bglt BgL_ez00_2834;
				obj_t BgL_stkz00_2835;

				BgL_ez00_2834 = ((BgL_ev_letz00_bglt) BgL_ez00_17312);
				BgL_stkz00_2835 = BgL_stkz00_17313;
				{	/* Eval/evaluate_comp.scm 445 */
					long BgL_siza7eza7_2839;
					obj_t BgL_nstkz00_2840;

					BgL_siza7eza7_2839 = bgl_list_length(BgL_stkz00_2835);
					{	/* Eval/evaluate_comp.scm 445 */
						obj_t BgL_arg2864z00_2883;

						BgL_arg2864z00_2883 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2834)))->BgL_varsz00);
						BgL_nstkz00_2840 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2835,
							BgL_arg2864z00_2883);
					}
					{	/* Eval/evaluate_comp.scm 446 */
						obj_t BgL_valsz00_2841;
						obj_t BgL_iboxesz00_2842;
						obj_t BgL_bodyz00_2843;

						{	/* Eval/evaluate_comp.scm 447 */
							obj_t BgL_arg2857z00_2868;

							BgL_arg2857z00_2868 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2834)))->BgL_valsz00);
							BgL_valsz00_2841 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg2857z00_2868, BgL_stkz00_2835);
						}
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_l1562z00_2869;

							BgL_l1562z00_2869 =
								(((BgL_ev_letz00_bglt) CREF(BgL_ez00_2834))->BgL_boxesz00);
							if (NULLP(BgL_l1562z00_2869))
								{	/* Eval/evaluate_comp.scm 448 */
									BgL_iboxesz00_2842 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 448 */
									obj_t BgL_head1564z00_2871;

									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_res4858z00_9559;

										BgL_res4858z00_9559 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1564z00_2871 = BgL_res4858z00_9559;
									}
									{
										obj_t BgL_l1562z00_9593;
										obj_t BgL_tail1565z00_9594;

										BgL_l1562z00_9593 = BgL_l1562z00_2869;
										BgL_tail1565z00_9594 = BgL_head1564z00_2871;
									BgL_zc3anonymousza32859ze3z83_9592:
										if (NULLP(BgL_l1562z00_9593))
											{	/* Eval/evaluate_comp.scm 448 */
												BgL_iboxesz00_2842 = CDR(BgL_head1564z00_2871);
											}
										else
											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_newtail1566z00_9601;

												{	/* Eval/evaluate_comp.scm 448 */
													obj_t BgL_arg2862z00_9602;

													BgL_arg2862z00_9602 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1562z00_9593), BgL_nstkz00_2840);
													{	/* Eval/evaluate_comp.scm 448 */
														obj_t BgL_res4864z00_9611;

														BgL_res4864z00_9611 =
															MAKE_PAIR(BgL_arg2862z00_9602, BNIL);
														BgL_newtail1566z00_9601 = BgL_res4864z00_9611;
													}
												}
												SET_CDR(BgL_tail1565z00_9594, BgL_newtail1566z00_9601);
												{
													obj_t BgL_tail1565z00_31673;
													obj_t BgL_l1562z00_31671;

													BgL_l1562z00_31671 = CDR(BgL_l1562z00_9593);
													BgL_tail1565z00_31673 = BgL_newtail1566z00_9601;
													BgL_tail1565z00_9594 = BgL_tail1565z00_31673;
													BgL_l1562z00_9593 = BgL_l1562z00_31671;
													goto BgL_zc3anonymousza32859ze3z83_9592;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg2863z00_2882;

							BgL_arg2863z00_2882 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2834)))->BgL_bodyz00);
							BgL_bodyz00_2843 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2863z00_2882,
								BgL_nstkz00_2840);
						}
						{	/* Eval/evaluate_comp.scm 450 */
							obj_t BgL_zc3anonymousza32844ze3z83_16248;

							BgL_zc3anonymousza32844ze3z83_16248 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32844ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32844ze3z83_16248,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2839));
							PROCEDURE_SET(BgL_zc3anonymousza32844ze3z83_16248,
								(int) (((long) 1)), BgL_valsz00_2841);
							PROCEDURE_SET(BgL_zc3anonymousza32844ze3z83_16248,
								(int) (((long) 2)), BgL_iboxesz00_2842);
							PROCEDURE_SET(BgL_zc3anonymousza32844ze3z83_16248,
								(int) (((long) 3)), BgL_bodyz00_2843);
							return BgL_zc3anonymousza32844ze3z83_16248;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2844> */
	obj_t BGl_z62zc3anonymousza32844ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17314, obj_t BgL_sz00_17319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 450 */
			{	/* Eval/evaluate_comp.scm 450 */
				long BgL_siza7eza7_17315;
				obj_t BgL_valsz00_17316;
				obj_t BgL_iboxesz00_17317;
				obj_t BgL_bodyz00_17318;

				BgL_siza7eza7_17315 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17314, (int) (((long) 0))));
				BgL_valsz00_17316 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17314, (int) (((long) 1))));
				BgL_iboxesz00_17317 =
					PROCEDURE_REF(BgL_envz00_17314, (int) (((long) 2)));
				BgL_bodyz00_17318 = PROCEDURE_REF(BgL_envz00_17314, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2844;

					BgL_sz00_2844 = BgL_sz00_17319;
					{	/* Eval/evaluate_comp.scm 450 */
						obj_t BgL_bpz00_2846;

						BgL_bpz00_2846 = VECTOR_REF(BgL_sz00_2844, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 451 */
							long BgL_g1107z00_2847;

							BgL_g1107z00_2847 =
								((long) CINT(BgL_bpz00_2846) + BgL_siza7eza7_17315);
							{
								obj_t BgL_lz00_9653;
								long BgL_iz00_9654;

								BgL_lz00_9653 = BgL_valsz00_17316;
								BgL_iz00_9654 = BgL_g1107z00_2847;
							BgL_recz00_9652:
								if (NULLP(BgL_lz00_9653))
									{	/* Eval/evaluate_comp.scm 451 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 451 */
										{	/* Eval/evaluate_comp.scm 451 */
											obj_t BgL_arg2847z00_9661;

											{	/* Eval/evaluate_comp.scm 451 */
												obj_t BgL_fun2848z00_9662;

												BgL_fun2848z00_9662 = CAR(BgL_lz00_9653);
												BgL_arg2847z00_9661 =
													PROCEDURE_ENTRY(BgL_fun2848z00_9662)
													(BgL_fun2848z00_9662, BgL_sz00_2844, BEOA);
											}
											VECTOR_SET(BgL_sz00_2844,
												(int) (BgL_iz00_9654), BgL_arg2847z00_9661);
										}
										{
											long BgL_iz00_31715;
											obj_t BgL_lz00_31713;

											BgL_lz00_31713 = CDR(BgL_lz00_9653);
											BgL_iz00_31715 = (BgL_iz00_9654 + ((long) 1));
											BgL_iz00_9654 = BgL_iz00_31715;
											BgL_lz00_9653 = BgL_lz00_31713;
											goto BgL_recz00_9652;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_2859;

							BgL_lz00_2859 = BgL_iboxesz00_17317;
						BgL_zc3anonymousza32851ze3z83_2860:
							if (NULLP(BgL_lz00_2859))
								{	/* Eval/evaluate_comp.scm 456 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 456 */
									{	/* Eval/evaluate_comp.scm 457 */
										long BgL_iz00_2862;

										{	/* Eval/evaluate_comp.scm 457 */
											long BgL_auxz00_31719;

											{	/* Eval/evaluate_comp.scm 457 */
												obj_t BgL_pairz00_9677;

												BgL_pairz00_9677 = BgL_lz00_2859;
												BgL_auxz00_31719 = (long) CINT(CAR(BgL_pairz00_9677));
											}
											BgL_iz00_2862 =
												((long) CINT(BgL_bpz00_2846) + BgL_auxz00_31719);
										}
										{	/* Eval/evaluate_comp.scm 458 */
											obj_t BgL_arg2853z00_2863;

											{	/* Eval/evaluate_comp.scm 458 */
												obj_t BgL_arg2854z00_2864;

												BgL_arg2854z00_2864 =
													VECTOR_REF(BgL_sz00_2844, (int) (BgL_iz00_2862));
												{	/* Eval/evaluate_comp.scm 458 */
													obj_t BgL_newz00_9684;

													BgL_newz00_9684 =
														create_struct(BGl_symbol5553z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 458 */
														int BgL_auxz00_31728;

														BgL_auxz00_31728 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_9684, BgL_auxz00_31728,
															BgL_arg2854z00_2864);
													}
													BgL_arg2853z00_2863 = BgL_newz00_9684;
											}}
											VECTOR_SET(BgL_sz00_2844,
												(int) (BgL_iz00_2862), BgL_arg2853z00_2863);
									}}
									{
										obj_t BgL_lz00_31733;

										BgL_lz00_31733 = CDR(BgL_lz00_2859);
										BgL_lz00_2859 = BgL_lz00_31733;
										goto BgL_zc3anonymousza32851ze3z83_2860;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17318) (BgL_bodyz00_17318,
							BgL_sz00_2844, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_prog21664 */
	obj_t BGl_z62compzd2ev_prog21664zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17320, obj_t BgL_ez00_17321, obj_t BgL_stkz00_17322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 437 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_2821;
				obj_t BgL_stkz00_2822;

				BgL_ez00_2821 = ((BgL_ev_prog2z00_bglt) BgL_ez00_17321);
				BgL_stkz00_2822 = BgL_stkz00_17322;
				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_e1z00_2826;
					obj_t BgL_e2z00_2827;

					BgL_e1z00_2826 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_2821))->BgL_e1z00),
						BgL_stkz00_2822);
					BgL_e2z00_2827 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_2821))->BgL_e2z00), BgL_stkz00_2822);
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_zc3anonymousza32841ze3z83_16250;

						BgL_zc3anonymousza32841ze3z83_16250 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32841ze3z83_16250,
							(int) (((long) 0)), BgL_e1z00_2826);
						PROCEDURE_SET(BgL_zc3anonymousza32841ze3z83_16250,
							(int) (((long) 1)), BgL_e2z00_2827);
						return BgL_zc3anonymousza32841ze3z83_16250;
					}
				}
			}
		}
	}



/* &<anonymous:2841> */
	obj_t BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17323, obj_t BgL_sz00_17326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_e1z00_17324;
				obj_t BgL_e2z00_17325;

				BgL_e1z00_17324 = PROCEDURE_REF(BgL_envz00_17323, (int) (((long) 0)));
				BgL_e2z00_17325 = PROCEDURE_REF(BgL_envz00_17323, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2828;

					BgL_sz00_2828 = BgL_sz00_17326;
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_bpz00_9552;

						BgL_bpz00_9552 = VECTOR_REF(BgL_sz00_2828, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_17324) (BgL_e1z00_17324, BgL_sz00_2828,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_17325) (BgL_e2z00_17325,
							BgL_sz00_2828, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_and1662 */
	obj_t BGl_z62compzd2ev_and1662zb0zz__evaluate_compz00(obj_t BgL_envz00_17327,
		obj_t BgL_ez00_17328, obj_t BgL_stkz00_17329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 427 */
			{
				BgL_ev_andz00_bglt BgL_ez00_2788;
				obj_t BgL_stkz00_2789;

				BgL_ez00_2788 = ((BgL_ev_andz00_bglt) BgL_ez00_17328);
				BgL_stkz00_2789 = BgL_stkz00_17329;
				{	/* Eval/evaluate_comp.scm 429 */
					obj_t BgL_argsz00_2793;

					{	/* Eval/evaluate_comp.scm 429 */
						obj_t BgL_l1557z00_2807;

						BgL_l1557z00_2807 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2788)))->BgL_argsz00);
						if (NULLP(BgL_l1557z00_2807))
							{	/* Eval/evaluate_comp.scm 429 */
								BgL_argsz00_2793 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 429 */
								obj_t BgL_head1559z00_2809;

								{	/* Eval/evaluate_comp.scm 429 */
									obj_t BgL_res4847z00_9457;

									BgL_res4847z00_9457 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1559z00_2809 = BgL_res4847z00_9457;
								}
								{
									obj_t BgL_l1557z00_9491;
									obj_t BgL_tail1560z00_9492;

									BgL_l1557z00_9491 = BgL_l1557z00_2807;
									BgL_tail1560z00_9492 = BgL_head1559z00_2809;
								BgL_zc3anonymousza32837ze3z83_9490:
									if (NULLP(BgL_l1557z00_9491))
										{	/* Eval/evaluate_comp.scm 429 */
											BgL_argsz00_2793 = CDR(BgL_head1559z00_2809);
										}
									else
										{	/* Eval/evaluate_comp.scm 429 */
											obj_t BgL_newtail1561z00_9499;

											{	/* Eval/evaluate_comp.scm 429 */
												obj_t BgL_arg2840z00_9500;

												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_ez00_9501;

													BgL_ez00_9501 = CAR(BgL_l1557z00_9491);
													BgL_arg2840z00_9500 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9501),
														BgL_stkz00_2789);
												}
												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_res4853z00_9509;

													BgL_res4853z00_9509 =
														MAKE_PAIR(BgL_arg2840z00_9500, BNIL);
													BgL_newtail1561z00_9499 = BgL_res4853z00_9509;
												}
											}
											SET_CDR(BgL_tail1560z00_9492, BgL_newtail1561z00_9499);
											{
												obj_t BgL_tail1560z00_31780;
												obj_t BgL_l1557z00_31778;

												BgL_l1557z00_31778 = CDR(BgL_l1557z00_9491);
												BgL_tail1560z00_31780 = BgL_newtail1561z00_9499;
												BgL_tail1560z00_9492 = BgL_tail1560z00_31780;
												BgL_l1557z00_9491 = BgL_l1557z00_31778;
												goto BgL_zc3anonymousza32837ze3z83_9490;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_zc3anonymousza32831ze3z83_16252;

						BgL_zc3anonymousza32831ze3z83_16252 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32831ze3z83_16252,
							(int) (((long) 0)), BgL_argsz00_2793);
						return BgL_zc3anonymousza32831ze3z83_16252;
					}
				}
			}
		}
	}



/* &<anonymous:2831> */
	obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17330, obj_t BgL_sz00_17332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 430 */
				obj_t BgL_argsz00_17331;

				BgL_argsz00_17331 = PROCEDURE_REF(BgL_envz00_17330, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2794;

					BgL_sz00_2794 = BgL_sz00_17332;
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_bpz00_2796;

						BgL_bpz00_2796 = VECTOR_REF(BgL_sz00_2794, (int) (((long) 0)));
						{
							obj_t BgL_lz00_9536;
							obj_t BgL_rz00_9537;

							BgL_lz00_9536 = BgL_argsz00_17331;
							BgL_rz00_9537 = BTRUE;
						BgL_recz00_9535:
							if (NULLP(BgL_lz00_9536))
								{	/* Eval/evaluate_comp.scm 431 */
									return BgL_rz00_9537;
								}
							else
								{	/* Eval/evaluate_comp.scm 431 */
									obj_t BgL_vz00_9544;

									{	/* Eval/evaluate_comp.scm 431 */
										obj_t BgL_fun2835z00_9545;

										BgL_fun2835z00_9545 = CAR(BgL_lz00_9536);
										BgL_vz00_9544 =
											PROCEDURE_ENTRY(BgL_fun2835z00_9545) (BgL_fun2835z00_9545,
											BgL_sz00_2794, BEOA);
									}
									if (CBOOL(BgL_vz00_9544))
										{
											obj_t BgL_rz00_31802;
											obj_t BgL_lz00_31800;

											BgL_lz00_31800 = CDR(BgL_lz00_9536);
											BgL_rz00_31802 = BgL_vz00_9544;
											BgL_rz00_9537 = BgL_rz00_31802;
											BgL_lz00_9536 = BgL_lz00_31800;
											goto BgL_recz00_9535;
										}
									else
										{	/* Eval/evaluate_comp.scm 431 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_or1660 */
	obj_t BGl_z62compzd2ev_or1660zb0zz__evaluate_compz00(obj_t BgL_envz00_17333,
		obj_t BgL_ez00_17334, obj_t BgL_stkz00_17335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 418 */
			{
				BgL_ev_orz00_bglt BgL_ez00_2757;
				obj_t BgL_stkz00_2758;

				BgL_ez00_2757 = ((BgL_ev_orz00_bglt) BgL_ez00_17334);
				BgL_stkz00_2758 = BgL_stkz00_17335;
				{	/* Eval/evaluate_comp.scm 420 */
					obj_t BgL_argsz00_2762;

					{	/* Eval/evaluate_comp.scm 420 */
						obj_t BgL_l1552z00_2774;

						BgL_l1552z00_2774 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2757)))->BgL_argsz00);
						if (NULLP(BgL_l1552z00_2774))
							{	/* Eval/evaluate_comp.scm 420 */
								BgL_argsz00_2762 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 420 */
								obj_t BgL_head1554z00_2776;

								{	/* Eval/evaluate_comp.scm 420 */
									obj_t BgL_res4838z00_9391;

									BgL_res4838z00_9391 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1554z00_2776 = BgL_res4838z00_9391;
								}
								{
									obj_t BgL_l1552z00_9425;
									obj_t BgL_tail1555z00_9426;

									BgL_l1552z00_9425 = BgL_l1552z00_2774;
									BgL_tail1555z00_9426 = BgL_head1554z00_2776;
								BgL_zc3anonymousza32827ze3z83_9424:
									if (NULLP(BgL_l1552z00_9425))
										{	/* Eval/evaluate_comp.scm 420 */
											BgL_argsz00_2762 = CDR(BgL_head1554z00_2776);
										}
									else
										{	/* Eval/evaluate_comp.scm 420 */
											obj_t BgL_newtail1556z00_9433;

											{	/* Eval/evaluate_comp.scm 420 */
												obj_t BgL_arg2830z00_9434;

												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_ez00_9435;

													BgL_ez00_9435 = CAR(BgL_l1552z00_9425);
													BgL_arg2830z00_9434 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9435),
														BgL_stkz00_2758);
												}
												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_res4844z00_9443;

													BgL_res4844z00_9443 =
														MAKE_PAIR(BgL_arg2830z00_9434, BNIL);
													BgL_newtail1556z00_9433 = BgL_res4844z00_9443;
												}
											}
											SET_CDR(BgL_tail1555z00_9426, BgL_newtail1556z00_9433);
											{
												obj_t BgL_tail1555z00_31818;
												obj_t BgL_l1552z00_31816;

												BgL_l1552z00_31816 = CDR(BgL_l1552z00_9425);
												BgL_tail1555z00_31818 = BgL_newtail1556z00_9433;
												BgL_tail1555z00_9426 = BgL_tail1555z00_31818;
												BgL_l1552z00_9425 = BgL_l1552z00_31816;
												goto BgL_zc3anonymousza32827ze3z83_9424;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_zc3anonymousza32821ze3z83_16254;

						BgL_zc3anonymousza32821ze3z83_16254 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32821ze3z83_16254,
							(int) (((long) 0)), BgL_argsz00_2762);
						return BgL_zc3anonymousza32821ze3z83_16254;
					}
				}
			}
		}
	}



/* &<anonymous:2821> */
	obj_t BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17336, obj_t BgL_sz00_17338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_argsz00_17337;

				BgL_argsz00_17337 = PROCEDURE_REF(BgL_envz00_17336, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2763;

					BgL_sz00_2763 = BgL_sz00_17338;
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_bpz00_2765;

						BgL_bpz00_2765 = VECTOR_REF(BgL_sz00_2763, (int) (((long) 0)));
						{
							obj_t BgL_lz00_2767;

							BgL_lz00_2767 = BgL_argsz00_17337;
						BgL_zc3anonymousza32822ze3z83_2768:
							if (NULLP(BgL_lz00_2767))
								{	/* Eval/evaluate_comp.scm 423 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 425 */
									obj_t BgL__ortest_1102z00_2770;

									{	/* Eval/evaluate_comp.scm 425 */
										obj_t BgL_fun2825z00_2772;

										BgL_fun2825z00_2772 = CAR(BgL_lz00_2767);
										BgL__ortest_1102z00_2770 =
											PROCEDURE_ENTRY(BgL_fun2825z00_2772) (BgL_fun2825z00_2772,
											BgL_sz00_2763, BEOA);
									}
									if (CBOOL(BgL__ortest_1102z00_2770))
										{	/* Eval/evaluate_comp.scm 425 */
											return BgL__ortest_1102z00_2770;
										}
									else
										{
											obj_t BgL_lz00_31838;

											BgL_lz00_31838 = CDR(BgL_lz00_2767);
											BgL_lz00_2767 = BgL_lz00_31838;
											goto BgL_zc3anonymousza32822ze3z83_2768;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_if1658 */
	obj_t BGl_z62compzd2ev_if1658zb0zz__evaluate_compz00(obj_t BgL_envz00_17339,
		obj_t BgL_ez00_17340, obj_t BgL_stkz00_17341)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 412 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_2741;
				obj_t BgL_stkz00_2742;

				BgL_ez00_2741 = ((BgL_ev_ifz00_bglt) BgL_ez00_17340);
				BgL_stkz00_2742 = BgL_stkz00_17341;
				{	/* Eval/evaluate_comp.scm 414 */
					obj_t BgL_pz00_2746;
					obj_t BgL_tz00_2747;
					obj_t BgL_ez00_2748;

					BgL_pz00_2746 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_2741))->BgL_pz00),
						BgL_stkz00_2742);
					BgL_tz00_2747 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2741))->BgL_tz00), BgL_stkz00_2742);
					BgL_ez00_2748 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2741))->BgL_ez00), BgL_stkz00_2742);
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_zc3anonymousza32815ze3z83_16256;

						BgL_zc3anonymousza32815ze3z83_16256 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_16256,
							(int) (((long) 0)), BgL_ez00_2748);
						PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_16256,
							(int) (((long) 1)), BgL_tz00_2747);
						PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_16256,
							(int) (((long) 2)), BgL_pz00_2746);
						return BgL_zc3anonymousza32815ze3z83_16256;
					}
				}
			}
		}
	}



/* &<anonymous:2815> */
	obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17342, obj_t BgL_sz00_17346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 415 */
			{	/* Eval/evaluate_comp.scm 415 */
				obj_t BgL_ez00_17343;
				obj_t BgL_tz00_17344;
				obj_t BgL_pz00_17345;

				BgL_ez00_17343 = PROCEDURE_REF(BgL_envz00_17342, (int) (((long) 0)));
				BgL_tz00_17344 = PROCEDURE_REF(BgL_envz00_17342, (int) (((long) 1)));
				BgL_pz00_17345 = PROCEDURE_REF(BgL_envz00_17342, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2749;

					BgL_sz00_2749 = BgL_sz00_17346;
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_bpz00_9383;

						BgL_bpz00_9383 = VECTOR_REF(BgL_sz00_2749, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_17345) (BgL_pz00_17345,
									BgL_sz00_2749, BEOA)))
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_tz00_17344) (BgL_tz00_17344,
									BgL_sz00_2749, BEOA);
							}
						else
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_ez00_17343) (BgL_ez00_17343,
									BgL_sz00_2749, BEOA);
							}
					}
				}
			}
		}
	}



/* &comp-ev_litt1656 */
	obj_t BGl_z62compzd2ev_litt1656zb0zz__evaluate_compz00(obj_t BgL_envz00_17347,
		obj_t BgL_ez00_17348, obj_t BgL_stkz00_17349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 407 */
			{
				BgL_ev_littz00_bglt BgL_ez00_2732;
				obj_t BgL_stkz00_2733;

				BgL_ez00_2732 = ((BgL_ev_littz00_bglt) BgL_ez00_17348);
				BgL_stkz00_2733 = BgL_stkz00_17349;
				{	/* Eval/evaluate_comp.scm 408 */
					obj_t BgL_zc3anonymousza32814ze3z83_16258;

					BgL_zc3anonymousza32814ze3z83_16258 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32814ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32814ze3z83_16258, (int) (((long) 0)),
						((obj_t) BgL_ez00_2732));
					return BgL_zc3anonymousza32814ze3z83_16258;
				}
			}
		}
	}



/* &<anonymous:2814> */
	obj_t BGl_z62zc3anonymousza32814ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17350, obj_t BgL_sz00_17352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 409 */
			{	/* Eval/evaluate_comp.scm 408 */
				BgL_ev_littz00_bglt BgL_i1099z00_17351;

				BgL_i1099z00_17351 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_17350, (int) (((long) 0))));
				{
					obj_t BgL_sz00_9378;

					BgL_sz00_9378 = BgL_sz00_17352;
					{	/* Eval/evaluate_comp.scm 408 */
						obj_t BgL_bpz00_9380;

						BgL_bpz00_9380 = VECTOR_REF(BgL_sz00_9378, (int) (((long) 0)));
						return
							(((BgL_ev_littz00_bglt) CREF(BgL_i1099z00_17351))->BgL_valuez00);
					}
				}
			}
		}
	}



/* &comp-ev_defglobal1653 */
	obj_t BGl_z62compzd2ev_defglobal1653zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17353, obj_t BgL_ez00_17354, obj_t BgL_stkz00_17355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 376 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_2693;
				obj_t BgL_stkz00_2694;

				BgL_ez00_2693 = ((BgL_ev_defglobalz00_bglt) BgL_ez00_17354);
				BgL_stkz00_2694 = BgL_stkz00_17355;
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_ez00_2698;

					{	/* Eval/evaluate_comp.scm 378 */
						BgL_ev_exprz00_bglt BgL_arg2813z00_2730;

						BgL_arg2813z00_2730 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2693)))->BgL_ez00);
						BgL_ez00_2698 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2813z00_2730,
							BgL_stkz00_2694);
					}
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_zc3anonymousza32786ze3z83_16260;

						BgL_zc3anonymousza32786ze3z83_16260 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32786ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32786ze3z83_16260,
							(int) (((long) 0)), ((obj_t) BgL_ez00_2693));
						PROCEDURE_SET(BgL_zc3anonymousza32786ze3z83_16260,
							(int) (((long) 1)), BgL_ez00_2698);
						return BgL_zc3anonymousza32786ze3z83_16260;
					}
				}
			}
		}
	}



/* &<anonymous:2786> */
	obj_t BGl_z62zc3anonymousza32786ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17356, obj_t BgL_sz00_17359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 379 */
			{	/* Eval/evaluate_comp.scm 379 */
				BgL_ev_defglobalz00_bglt BgL_i1096z00_17357;
				obj_t BgL_ez00_17358;

				BgL_i1096z00_17357 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17356, (int) (((long) 0))));
				BgL_ez00_17358 = PROCEDURE_REF(BgL_envz00_17356, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2699;

					BgL_sz00_2699 = BgL_sz00_17359;
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_bpz00_2701;

						BgL_bpz00_2701 = VECTOR_REF(BgL_sz00_2699, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 380 */
							obj_t BgL_gz00_2702;

							{	/* Eval/evaluate_comp.scm 380 */
								obj_t BgL_arg2811z00_2728;
								obj_t BgL_arg2812z00_2729;

								BgL_arg2811z00_2728 =
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
									BgL_modz00);
								BgL_arg2812z00_2729 =
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
												BgL_i1096z00_17357)))->BgL_namez00);
								BgL_gz00_2702 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg2811z00_2728, BgL_arg2812z00_2729);
							}
							if (CBOOL(BgL_gz00_2702))
								{	/* Eval/evaluate_comp.scm 382 */
									{

										{	/* Eval/evaluate_comp.scm 384 */
											int BgL_aux1098z00_2704;

											{	/* Eval/evaluate_comp.scm 384 */
												int BgL_res4836z00_9323;

												{	/* Eval/evaluate_comp.scm 384 */
													obj_t BgL_evalzd2globalzd2_9320;

													BgL_evalzd2globalzd2_9320 = BgL_gz00_2702;
													{	/* Eval/evaluate_comp.scm 384 */
														int BgL_kz00_9322;

														BgL_kz00_9322 = (int) (((long) 0));
														BgL_res4836z00_9323 =
															CINT(VECTOR_REF(BgL_evalzd2globalzd2_9320,
																BgL_kz00_9322));
												}}
												BgL_aux1098z00_2704 = BgL_res4836z00_9323;
											}
											switch ((long) (BgL_aux1098z00_2704))
												{
												case ((long) 0):

													{	/* Eval/evaluate_comp.scm 386 */
														obj_t BgL_arg2789z00_2706;
														obj_t BgL_arg2790z00_2707;

														BgL_arg2789z00_2706 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_17357)))->BgL_locz00);
														BgL_arg2790z00_2707 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_17357)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2789z00_2706,
															BGl_string5662z00zz__evaluate_compz00,
															BGl_string5663z00zz__evaluate_compz00,
															BgL_arg2790z00_2707);
													} break;
												case ((long) 1):

													{	/* Eval/evaluate_comp.scm 388 */
														obj_t BgL_arg2791z00_2708;
														obj_t BgL_arg2793z00_2709;

														BgL_arg2791z00_2708 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_17357)))->BgL_locz00);
														BgL_arg2793z00_2709 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_17357)))->BgL_namez00);
														{	/* Eval/evaluate_comp.scm 388 */
															obj_t BgL_list2794z00_2710;

															{	/* Eval/evaluate_comp.scm 388 */
																obj_t BgL_arg2795z00_2711;

																{	/* Eval/evaluate_comp.scm 388 */
																	obj_t BgL_arg2796z00_2712;

																	BgL_arg2796z00_2712 =
																		MAKE_PAIR(BgL_arg2793z00_2709, BNIL);
																	BgL_arg2795z00_2711 =
																		MAKE_PAIR
																		(BGl_string5664z00zz__evaluate_compz00,
																		BgL_arg2796z00_2712);
																}
																BgL_list2794z00_2710 =
																	MAKE_PAIR
																	(BGl_string5543z00zz__evaluate_compz00,
																	BgL_arg2795z00_2711);
															}
															BGl_evwarningz00zz__everrorz00
																(BgL_arg2791z00_2708, BgL_list2794z00_2710);
													}}
													{	/* Eval/evaluate_comp.scm 390 */
														obj_t BgL_arg2797z00_2713;
														obj_t BgL_arg2798z00_2714;

														BgL_arg2797z00_2713 =
															VECTOR_REF(BgL_gz00_2702, (int) (((long) 2)));
														BgL_arg2798z00_2714 =
															PROCEDURE_ENTRY(BgL_ez00_17358) (BgL_ez00_17358,
															BgL_sz00_2699, BEOA);
														__EVMEANING_ADDRESS_SET(BgL_arg2797z00_2713,
															BgL_arg2798z00_2714);
													} break;
												case ((long) 2):

													{	/* Eval/evaluate_comp.scm 392 */
														obj_t BgL_arg2799z00_2715;

														BgL_arg2799z00_2715 =
															PROCEDURE_ENTRY(BgL_ez00_17358) (BgL_ez00_17358,
															BgL_sz00_2699, BEOA);
														VECTOR_SET(BgL_gz00_2702, (int) (((long) 2)),
															BgL_arg2799z00_2715);
													} break;
												case ((long) 3):

													{	/* Eval/evaluate_comp.scm 394 */
														obj_t BgL_arg2800z00_2716;

														BgL_arg2800z00_2716 =
															PROCEDURE_ENTRY(BgL_ez00_17358) (BgL_ez00_17358,
															BgL_sz00_2699, BEOA);
														VECTOR_SET(BgL_gz00_2702, (int) (((long) 2)),
															BgL_arg2800z00_2716);
													}
													{	/* Eval/evaluate_comp.scm 395 */
														obj_t BgL_evalzd2globalzd2_9337;
														int BgL_tagz00_9338;

														BgL_evalzd2globalzd2_9337 = BgL_gz00_2702;
														BgL_tagz00_9338 = (int) (((long) 2));
														VECTOR_SET(BgL_evalzd2globalzd2_9337,
															(int) (((long) 0)), BINT(BgL_tagz00_9338));
													} break;
												case ((long) 4):

													{	/* Eval/evaluate_comp.scm 397 */
														obj_t BgL_arg2801z00_2717;

														BgL_arg2801z00_2717 =
															PROCEDURE_ENTRY(BgL_ez00_17358) (BgL_ez00_17358,
															BgL_sz00_2699, BEOA);
														VECTOR_SET(BgL_gz00_2702, (int) (((long) 2)),
															BgL_arg2801z00_2717);
													}
													{	/* Eval/evaluate_comp.scm 398 */
														obj_t BgL_evalzd2globalzd2_9347;
														int BgL_tagz00_9348;

														BgL_evalzd2globalzd2_9347 = BgL_gz00_2702;
														BgL_tagz00_9348 = (int) (((long) 5));
														VECTOR_SET(BgL_evalzd2globalzd2_9347,
															(int) (((long) 0)), BINT(BgL_tagz00_9348));
													} break;
												default:
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_arg2802z00_2718;
														obj_t BgL_arg2803z00_2719;

														BgL_arg2802z00_2718 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_17357)))->BgL_locz00);
														BgL_arg2803z00_2719 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_17357)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2802z00_2718,
															BGl_string5662z00zz__evaluate_compz00,
															BGl_string5663z00zz__evaluate_compz00,
															BgL_arg2803z00_2719);
													}
												}
										}
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
										BgL_namez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 402 */
									obj_t BgL_gz00_2720;

									{	/* Eval/evaluate_comp.scm 402 */
										obj_t BgL_arg2808z00_2725;
										obj_t BgL_arg2809z00_2726;
										obj_t BgL_arg2810z00_2727;

										BgL_arg2808z00_2725 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
											BgL_namez00);
										BgL_arg2809z00_2726 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
											BgL_modz00);
										BgL_arg2810z00_2727 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 402 */
											obj_t BgL_v1630z00_9355;

											BgL_v1630z00_9355 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1630z00_9355,
												(int) (((long) 4)), BgL_arg2810z00_2727);
											VECTOR_SET(BgL_v1630z00_9355,
												(int) (((long) 3)), BgL_arg2809z00_2726);
											VECTOR_SET(BgL_v1630z00_9355,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1630z00_9355,
												(int) (((long) 1)), BgL_arg2808z00_2725);
											VECTOR_SET(BgL_v1630z00_9355,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2720 = BgL_v1630z00_9355;
									}}
									{	/* Eval/evaluate_comp.scm 403 */
										obj_t BgL_arg2804z00_2721;

										BgL_arg2804z00_2721 =
											PROCEDURE_ENTRY(BgL_ez00_17358) (BgL_ez00_17358,
											BgL_sz00_2699, BEOA);
										VECTOR_SET(BgL_gz00_2720, (int) (((long) 2)),
											BgL_arg2804z00_2721);
									}
									{	/* Eval/evaluate_comp.scm 404 */
										obj_t BgL_arg2805z00_2722;
										obj_t BgL_arg2806z00_2723;
										obj_t BgL_arg2807z00_2724;

										BgL_arg2805z00_2722 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
											BgL_modz00);
										BgL_arg2806z00_2723 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
											BgL_namez00);
										BgL_arg2807z00_2724 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
											BgL_locz00);
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg2805z00_2722, BgL_arg2806z00_2723, BgL_gz00_2720,
											BgL_arg2807z00_2724);
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1096z00_17357)))->
										BgL_namez00);
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal1651 */
	obj_t BGl_z62compzd2ev_setglobal1651zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17360, obj_t BgL_ez00_17361, obj_t BgL_stkz00_17362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 353 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_2650;
				obj_t BgL_stkz00_2651;

				BgL_ez00_2650 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_17361);
				BgL_stkz00_2651 = BgL_stkz00_17362;
				{	/* Eval/evaluate_comp.scm 355 */
					obj_t BgL_gz00_2655;
					obj_t BgL_ez00_2656;

					BgL_gz00_2655 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->BgL_modz00),
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->BgL_namez00));
					{	/* Eval/evaluate_comp.scm 355 */
						BgL_ev_exprz00_bglt BgL_arg2785z00_2691;

						BgL_arg2785z00_2691 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2650)))->BgL_ez00);
						BgL_ez00_2656 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2785z00_2691,
							BgL_stkz00_2651);
					}
					if (CBOOL(BgL_gz00_2655))
						{

							{	/* Eval/evaluate_comp.scm 357 */
								int BgL_aux1095z00_2658;

								{	/* Eval/evaluate_comp.scm 357 */
									int BgL_res4835z00_9278;

									{	/* Eval/evaluate_comp.scm 357 */
										obj_t BgL_evalzd2globalzd2_9275;

										BgL_evalzd2globalzd2_9275 = BgL_gz00_2655;
										{	/* Eval/evaluate_comp.scm 357 */
											int BgL_kz00_9277;

											BgL_kz00_9277 = (int) (((long) 0));
											BgL_res4835z00_9278 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9275,
													BgL_kz00_9277));
									}}
									BgL_aux1095z00_2658 = BgL_res4835z00_9278;
								}
								switch ((long) (BgL_aux1095z00_2658))
									{
									case ((long) 1):

										{	/* Eval/evaluate_comp.scm 359 */
											obj_t BgL_zc3anonymousza32762ze3z83_16263;

											BgL_zc3anonymousza32762ze3z83_16263 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32762ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32762ze3z83_16263,
												(int) (((long) 0)), BgL_gz00_2655);
											PROCEDURE_SET(BgL_zc3anonymousza32762ze3z83_16263,
												(int) (((long) 1)), BgL_ez00_2656);
											return BgL_zc3anonymousza32762ze3z83_16263;
										}
										break;
									case ((long) 0):
									case ((long) 4):
									case ((long) 5):

										return
											BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
												BgL_locz00), BGl_string5662z00zz__evaluate_compz00,
											BGl_string5663z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
												BgL_namez00));
										break;
									default:
										{	/* Eval/evaluate_comp.scm 364 */
											obj_t BgL_zc3anonymousza32767ze3z83_16264;

											BgL_zc3anonymousza32767ze3z83_16264 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32767ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32767ze3z83_16264,
												(int) (((long) 0)), BgL_ez00_2656);
											PROCEDURE_SET(BgL_zc3anonymousza32767ze3z83_16264,
												(int) (((long) 1)), BgL_gz00_2655);
											return BgL_zc3anonymousza32767ze3z83_16264;
										}
									}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 365 */
							obj_t BgL_slotz00_2671;

							BgL_slotz00_2671 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 367 */
									obj_t BgL_gz00_2673;

									{	/* Eval/evaluate_comp.scm 367 */
										obj_t BgL_arg2773z00_2677;
										obj_t BgL_arg2774z00_2678;
										obj_t BgL_arg2775z00_2679;

										BgL_arg2773z00_2677 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
											BgL_namez00);
										BgL_arg2774z00_2678 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
											BgL_modz00);
										BgL_arg2775z00_2679 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 367 */
											obj_t BgL_v1630z00_9290;

											BgL_v1630z00_9290 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1630z00_9290,
												(int) (((long) 4)), BgL_arg2775z00_2679);
											VECTOR_SET(BgL_v1630z00_9290,
												(int) (((long) 3)), BgL_arg2774z00_2678);
											VECTOR_SET(BgL_v1630z00_9290,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1630z00_9290,
												(int) (((long) 1)), BgL_arg2773z00_2677);
											VECTOR_SET(BgL_v1630z00_9290,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2673 = BgL_v1630z00_9290;
									}}
									{	/* Eval/evaluate_comp.scm 368 */
										int BgL_tagz00_9307;

										BgL_tagz00_9307 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2673,
											(int) (((long) 0)), BINT(BgL_tagz00_9307));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
											BgL_namez00), BgL_gz00_2673,
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2650))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 366 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 370 */
								obj_t BgL_zc3anonymousza32777ze3z83_16262;

								BgL_zc3anonymousza32777ze3z83_16262 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32777ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32777ze3z83_16262,
									(int) (((long) 0)), ((obj_t) BgL_ez00_2650));
								PROCEDURE_SET(BgL_zc3anonymousza32777ze3z83_16262,
									(int) (((long) 1)), BgL_slotz00_2671);
								PROCEDURE_SET(BgL_zc3anonymousza32777ze3z83_16262,
									(int) (((long) 2)), BgL_ez00_2656);
								return BgL_zc3anonymousza32777ze3z83_16262;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2762> */
	obj_t BGl_z62zc3anonymousza32762ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17363, obj_t BgL_sz00_17366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 359 */
			{	/* Eval/evaluate_comp.scm 359 */
				obj_t BgL_gz00_17364;
				obj_t BgL_ez00_17365;

				BgL_gz00_17364 = PROCEDURE_REF(BgL_envz00_17363, (int) (((long) 0)));
				BgL_ez00_17365 = PROCEDURE_REF(BgL_envz00_17363, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2660;

					BgL_sz00_2660 = BgL_sz00_17366;
					{	/* Eval/evaluate_comp.scm 359 */
						obj_t BgL_bpz00_9279;

						BgL_bpz00_9279 = VECTOR_REF(BgL_sz00_2660, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 359 */
							obj_t BgL_arg2763z00_9280;
							obj_t BgL_arg2764z00_9281;

							BgL_arg2763z00_9280 =
								VECTOR_REF(BgL_gz00_17364, (int) (((long) 2)));
							BgL_arg2764z00_9281 =
								PROCEDURE_ENTRY(BgL_ez00_17365) (BgL_ez00_17365, BgL_sz00_2660,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg2763z00_9280,
								BgL_arg2764z00_9281);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2767> */
	obj_t BGl_z62zc3anonymousza32767ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17367, obj_t BgL_sz00_17370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 364 */
			{	/* Eval/evaluate_comp.scm 364 */
				obj_t BgL_ez00_17368;
				obj_t BgL_gz00_17369;

				BgL_ez00_17368 = PROCEDURE_REF(BgL_envz00_17367, (int) (((long) 0)));
				BgL_gz00_17369 = PROCEDURE_REF(BgL_envz00_17367, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2667;

					BgL_sz00_2667 = BgL_sz00_17370;
					{	/* Eval/evaluate_comp.scm 364 */
						obj_t BgL_bpz00_9266;

						BgL_bpz00_9266 = VECTOR_REF(BgL_sz00_2667, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 364 */
							obj_t BgL_arg2768z00_9267;

							BgL_arg2768z00_9267 =
								PROCEDURE_ENTRY(BgL_ez00_17368) (BgL_ez00_17368, BgL_sz00_2667,
								BEOA);
							return VECTOR_SET(BgL_gz00_17369, (int) (((long) 2)),
								BgL_arg2768z00_9267);
		}}}}}
	}



/* &<anonymous:2777> */
	obj_t BGl_z62zc3anonymousza32777ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17371, obj_t BgL_sz00_17375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 370 */
			{	/* Eval/evaluate_comp.scm 370 */
				BgL_ev_setglobalz00_bglt BgL_i1093z00_17372;
				obj_t BgL_slotz00_17373;
				obj_t BgL_ez00_17374;

				BgL_i1093z00_17372 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17371, (int) (((long) 0))));
				BgL_slotz00_17373 = PROCEDURE_REF(BgL_envz00_17371, (int) (((long) 1)));
				BgL_ez00_17374 = PROCEDURE_REF(BgL_envz00_17371, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2681;

					BgL_sz00_2681 = BgL_sz00_17375;
					{	/* Eval/evaluate_comp.scm 370 */
						obj_t BgL_bpz00_2683;

						BgL_bpz00_2683 = VECTOR_REF(BgL_sz00_2681, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_17373)))
							{	/* Eval/evaluate_comp.scm 371 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 371 */
								{	/* Eval/evaluate_comp.scm 372 */
									obj_t BgL_auxz00_17376;

									BgL_auxz00_17376 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1093z00_17372))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1093z00_17372))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_17373, BgL_auxz00_17376);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_17373)))
									{	/* Eval/evaluate_comp.scm 373 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 373 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1093z00_17372))->
												BgL_locz00), BGl_string5543z00zz__evaluate_compz00,
											BGl_string5665z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1093z00_17372))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 374 */
							obj_t BgL_arg2782z00_2688;

							BgL_arg2782z00_2688 =
								PROCEDURE_ENTRY(BgL_ez00_17374) (BgL_ez00_17374, BgL_sz00_2681,
								BEOA);
							{	/* Eval/evaluate_comp.scm 374 */
								obj_t BgL_evalzd2globalzd2_9313;

								BgL_evalzd2globalzd2_9313 = CELL_REF(BgL_slotz00_17373);
								return
									VECTOR_SET(BgL_evalzd2globalzd2_9313,
									(int) (((long) 2)), BgL_arg2782z00_2688);
		}}}}}}
	}



/* &comp-ev_global1649 */
	obj_t BGl_z62compzd2ev_global1649zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17377, obj_t BgL_varz00_17378, obj_t BgL_stkz00_17379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 327 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_2608;
				obj_t BgL_stkz00_2609;

				BgL_varz00_2608 = ((BgL_ev_globalz00_bglt) BgL_varz00_17378);
				BgL_stkz00_2609 = BgL_stkz00_17379;
				{	/* Eval/evaluate_comp.scm 329 */
					obj_t BgL_gz00_2613;

					BgL_gz00_2613 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->BgL_modz00),
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->BgL_namez00));
					if (CBOOL(BgL_gz00_2613))
						{	/* Eval/evaluate_comp.scm 331 */
							bool_t BgL_testz00_32132;

							{	/* Eval/evaluate_comp.scm 331 */
								int BgL_arg2740z00_2622;

								{	/* Eval/evaluate_comp.scm 331 */
									int BgL_res4831z00_9213;

									{	/* Eval/evaluate_comp.scm 331 */
										obj_t BgL_evalzd2globalzd2_9210;

										BgL_evalzd2globalzd2_9210 = BgL_gz00_2613;
										{	/* Eval/evaluate_comp.scm 331 */
											int BgL_kz00_9212;

											BgL_kz00_9212 = (int) (((long) 0));
											BgL_res4831z00_9213 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9210,
													BgL_kz00_9212));
									}}
									BgL_arg2740z00_2622 = BgL_res4831z00_9213;
								}
								BgL_testz00_32132 =
									(BINT(BgL_arg2740z00_2622) == BINT(((long) 1)));
							}
							if (BgL_testz00_32132)
								{	/* Eval/evaluate_comp.scm 332 */
									obj_t BgL_zc3anonymousza32737ze3z83_16266;

									BgL_zc3anonymousza32737ze3z83_16266 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32737ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32737ze3z83_16266,
										(int) (((long) 0)), BgL_gz00_2613);
									return BgL_zc3anonymousza32737ze3z83_16266;
								}
							else
								{	/* Eval/evaluate_comp.scm 334 */
									obj_t BgL_zc3anonymousza32739ze3z83_16267;

									BgL_zc3anonymousza32739ze3z83_16267 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32739ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32739ze3z83_16267,
										(int) (((long) 0)), BgL_gz00_2613);
									return BgL_zc3anonymousza32739ze3z83_16267;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							obj_t BgL_slotz00_2623;

							BgL_slotz00_2623 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 338 */
									obj_t BgL_gz00_2625;

									{	/* Eval/evaluate_comp.scm 338 */
										obj_t BgL_arg2745z00_2629;
										obj_t BgL_arg2746z00_2630;
										obj_t BgL_arg2747z00_2631;

										BgL_arg2745z00_2629 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->
											BgL_namez00);
										BgL_arg2746z00_2630 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->
											BgL_modz00);
										BgL_arg2747z00_2631 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 338 */
											obj_t BgL_v1630z00_9230;

											BgL_v1630z00_9230 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1630z00_9230,
												(int) (((long) 4)), BgL_arg2747z00_2631);
											VECTOR_SET(BgL_v1630z00_9230,
												(int) (((long) 3)), BgL_arg2746z00_2630);
											VECTOR_SET(BgL_v1630z00_9230,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1630z00_9230,
												(int) (((long) 1)), BgL_arg2745z00_2629);
											VECTOR_SET(BgL_v1630z00_9230,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2625 = BgL_v1630z00_9230;
									}}
									{	/* Eval/evaluate_comp.scm 339 */
										int BgL_tagz00_9247;

										BgL_tagz00_9247 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2625,
											(int) (((long) 0)), BINT(BgL_tagz00_9247));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->
											BgL_namez00), BgL_gz00_2625,
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2608))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 337 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 341 */
								obj_t BgL_zc3anonymousza32749ze3z83_16268;

								BgL_zc3anonymousza32749ze3z83_16268 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32749ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza32749ze3z83_16268,
									(int) (((long) 0)), ((obj_t) BgL_varz00_2608));
								PROCEDURE_SET(BgL_zc3anonymousza32749ze3z83_16268,
									(int) (((long) 1)), BgL_slotz00_2623);
								return BgL_zc3anonymousza32749ze3z83_16268;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2737> */
	obj_t BGl_z62zc3anonymousza32737ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17380, obj_t BgL_sz00_17382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 332 */
				obj_t BgL_gz00_17381;

				BgL_gz00_17381 = PROCEDURE_REF(BgL_envz00_17380, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2615;

					BgL_sz00_2615 = BgL_sz00_17382;
					{	/* Eval/evaluate_comp.scm 332 */
						obj_t BgL_bpz00_9214;

						BgL_bpz00_9214 = VECTOR_REF(BgL_sz00_2615, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 332 */
							obj_t BgL_auxz00_32189;

							BgL_auxz00_32189 = VECTOR_REF(BgL_gz00_17381, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_32189);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2739> */
	obj_t BGl_z62zc3anonymousza32739ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17383, obj_t BgL_sz00_17385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 334 */
			{	/* Eval/evaluate_comp.scm 334 */
				obj_t BgL_gz00_17384;

				BgL_gz00_17384 = PROCEDURE_REF(BgL_envz00_17383, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2619;

					BgL_sz00_2619 = BgL_sz00_17385;
					{	/* Eval/evaluate_comp.scm 334 */
						obj_t BgL_bpz00_9221;

						BgL_bpz00_9221 = VECTOR_REF(BgL_sz00_2619, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_17384, (int) (((long) 2)));
		}}}}
	}



/* &<anonymous:2749> */
	obj_t BGl_z62zc3anonymousza32749ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17386, obj_t BgL_sz00_17389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 341 */
			{	/* Eval/evaluate_comp.scm 341 */
				BgL_ev_globalz00_bglt BgL_i1092z00_17387;
				obj_t BgL_slotz00_17388;

				BgL_i1092z00_17387 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17386, (int) (((long) 0))));
				BgL_slotz00_17388 = PROCEDURE_REF(BgL_envz00_17386, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2633;

					BgL_sz00_2633 = BgL_sz00_17389;
					{	/* Eval/evaluate_comp.scm 341 */
						obj_t BgL_bpz00_2635;

						BgL_bpz00_2635 = VECTOR_REF(BgL_sz00_2633, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_17388)))
							{	/* Eval/evaluate_comp.scm 342 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 342 */
								{	/* Eval/evaluate_comp.scm 343 */
									obj_t BgL_auxz00_17390;

									BgL_auxz00_17390 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_17387))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_17387))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_17388, BgL_auxz00_17390);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_17388)))
									{	/* Eval/evaluate_comp.scm 344 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 344 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_17387))->
												BgL_locz00), BGl_string5543z00zz__evaluate_compz00,
											BGl_string5665z00zz__evaluate_compz00,
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_17387))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 345 */
							obj_t BgL_vz00_2640;

							{	/* Eval/evaluate_comp.scm 345 */
								obj_t BgL_evalzd2globalzd2_9253;

								BgL_evalzd2globalzd2_9253 = CELL_REF(BgL_slotz00_17388);
								BgL_vz00_2640 =
									VECTOR_REF(BgL_evalzd2globalzd2_9253, (int) (((long) 2)));
							}
							if ((BgL_vz00_2640 == BUNSPEC))
								{	/* Eval/evaluate_comp.scm 347 */
									int BgL_tz00_2642;

									{	/* Eval/evaluate_comp.scm 347 */
										int BgL_res4832z00_9259;

										{	/* Eval/evaluate_comp.scm 347 */
											obj_t BgL_evalzd2globalzd2_9256;

											BgL_evalzd2globalzd2_9256 = CELL_REF(BgL_slotz00_17388);
											{	/* Eval/evaluate_comp.scm 347 */
												int BgL_kz00_9258;

												BgL_kz00_9258 = (int) (((long) 0));
												BgL_res4832z00_9259 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_9256,
														BgL_kz00_9258));
										}}
										BgL_tz00_2642 = BgL_res4832z00_9259;
									}
									{	/* Eval/evaluate_comp.scm 348 */
										bool_t BgL_testz00_32223;

										if (((long) (BgL_tz00_2642) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_32223 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_32223 =
													((long) (BgL_tz00_2642) == ((long) 4));
											}
										if (BgL_testz00_32223)
											{	/* Eval/evaluate_comp.scm 348 */
												return
													BGl_everrorz00zz__everrorz00(
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_17387))->
														BgL_locz00), BGl_string5543z00zz__evaluate_compz00,
													BGl_string5666z00zz__evaluate_compz00,
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_17387))->
														BgL_namez00));
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												return BgL_vz00_2640;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 346 */
									return BgL_vz00_2640;
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal1647 */
	obj_t BGl_z62compzd2ev_setlocal1647zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17391, obj_t BgL_ez00_17392, obj_t BgL_stkz00_17393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 309 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_2585;
				obj_t BgL_stkz00_2586;

				BgL_ez00_2585 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_17392);
				BgL_stkz00_2586 = BgL_stkz00_17393;
				{	/* Eval/evaluate_comp.scm 311 */
					obj_t BgL_iz00_2590;
					obj_t BgL_ez00_2591;

					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_varz00_bglt BgL_arg2734z00_2605;

						BgL_arg2734z00_2605 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2585))->BgL_vz00);
						BgL_iz00_2590 =
							BGl__indexz00zz__evaluate_compz00(
							((obj_t) BgL_arg2734z00_2605), BgL_stkz00_2586);
					}
					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_exprz00_bglt BgL_arg2735z00_2606;

						BgL_arg2735z00_2606 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2585)))->BgL_ez00);
						BgL_ez00_2591 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2735z00_2606,
							BgL_stkz00_2586);
					}
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2585))->
											BgL_vz00)))->BgL_effz00)))
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_zc3anonymousza32726ze3z83_16270;

							BgL_zc3anonymousza32726ze3z83_16270 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32726ze3z83_16270,
								(int) (((long) 0)), BgL_iz00_2590);
							PROCEDURE_SET(BgL_zc3anonymousza32726ze3z83_16270,
								(int) (((long) 1)), BgL_ez00_2591);
							return BgL_zc3anonymousza32726ze3z83_16270;
						}
					else
						{	/* Eval/evaluate_comp.scm 316 */
							obj_t BgL_zc3anonymousza32731ze3z83_16271;

							BgL_zc3anonymousza32731ze3z83_16271 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32731ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32731ze3z83_16271,
								(int) (((long) 0)), BgL_iz00_2590);
							PROCEDURE_SET(BgL_zc3anonymousza32731ze3z83_16271,
								(int) (((long) 1)), BgL_ez00_2591);
							return BgL_zc3anonymousza32731ze3z83_16271;
						}
				}
			}
		}
	}



/* &<anonymous:2726> */
	obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17394, obj_t BgL_sz00_17397)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 314 */
			{	/* Eval/evaluate_comp.scm 314 */
				obj_t BgL_iz00_17395;
				obj_t BgL_ez00_17396;

				BgL_iz00_17395 = PROCEDURE_REF(BgL_envz00_17394, (int) (((long) 0)));
				BgL_ez00_17396 = PROCEDURE_REF(BgL_envz00_17394, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2594;

					BgL_sz00_2594 = BgL_sz00_17397;
					{	/* Eval/evaluate_comp.scm 314 */
						obj_t BgL_bpz00_9183;

						BgL_bpz00_9183 = VECTOR_REF(BgL_sz00_2594, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_arg2727z00_9184;
							obj_t BgL_arg2728z00_9185;

							{	/* Eval/evaluate_comp.scm 314 */
								long BgL_arg2730z00_9186;

								BgL_arg2730z00_9186 =
									((long) CINT(BgL_bpz00_9183) + (long) CINT(BgL_iz00_17395));
								BgL_arg2727z00_9184 =
									VECTOR_REF(BgL_sz00_2594, (int) (BgL_arg2730z00_9186));
							}
							BgL_arg2728z00_9185 =
								PROCEDURE_ENTRY(BgL_ez00_17396) (BgL_ez00_17396, BgL_sz00_2594,
								BEOA);
							{	/* Eval/evaluate_comp.scm 314 */
								obj_t BgL_sz00_9196;

								BgL_sz00_9196 = BgL_arg2727z00_9184;
								{	/* Eval/evaluate_comp.scm 314 */
									obj_t BgL_xz00_17707;

									{	/* Eval/evaluate_comp.scm 314 */
										int BgL_auxz00_32272;

										BgL_auxz00_32272 = (int) (((long) 0));
										BgL_xz00_17707 =
											STRUCT_SET(BgL_sz00_9196, BgL_auxz00_32272,
											BgL_arg2728z00_9185);
									}
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2731> */
	obj_t BGl_z62zc3anonymousza32731ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17398, obj_t BgL_sz00_17401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 316 */
				obj_t BgL_iz00_17399;
				obj_t BgL_ez00_17400;

				BgL_iz00_17399 = PROCEDURE_REF(BgL_envz00_17398, (int) (((long) 0)));
				BgL_ez00_17400 = PROCEDURE_REF(BgL_envz00_17398, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2600;

					BgL_sz00_2600 = BgL_sz00_17401;
					{	/* Eval/evaluate_comp.scm 316 */
						obj_t BgL_bpz00_9199;

						BgL_bpz00_9199 = VECTOR_REF(BgL_sz00_2600, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 316 */
							long BgL_arg2732z00_9200;
							obj_t BgL_arg2733z00_9201;

							BgL_arg2732z00_9200 =
								((long) CINT(BgL_bpz00_9199) + (long) CINT(BgL_iz00_17399));
							BgL_arg2733z00_9201 =
								PROCEDURE_ENTRY(BgL_ez00_17400) (BgL_ez00_17400, BgL_sz00_2600,
								BEOA);
							return VECTOR_SET(BgL_sz00_2600, (int) (BgL_arg2732z00_9200),
								BgL_arg2733z00_9201);
		}}}}}
	}



/* &comp-ev_var1645 */
	obj_t BGl_z62compzd2ev_var1645zb0zz__evaluate_compz00(obj_t BgL_envz00_17402,
		obj_t BgL_varz00_17403, obj_t BgL_stkz00_17404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 304 */
			{
				BgL_ev_varz00_bglt BgL_varz00_2525;
				obj_t BgL_stkz00_2526;

				BgL_varz00_2525 = ((BgL_ev_varz00_bglt) BgL_varz00_17403);
				BgL_stkz00_2526 = BgL_stkz00_17404;
				{	/* Eval/evaluate_comp.scm 305 */
					obj_t BgL_iz00_2529;

					BgL_iz00_2529 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_varz00_2525), BgL_stkz00_2526);
					{

						if (INTEGERP(BgL_iz00_2529))
							{	/* Eval/evaluate_comp.scm 307 */
								switch ((long) CINT(BgL_iz00_2529))
									{
									case ((long) 0):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2525))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5667z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5668z00zz__evaluate_compz00;
											}
										break;
									case ((long) 1):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2525))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5669z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5670z00zz__evaluate_compz00;
											}
										break;
									case ((long) 2):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2525))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5671z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5672z00zz__evaluate_compz00;
											}
										break;
									case ((long) 3):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2525))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5673z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5674z00zz__evaluate_compz00;
											}
										break;
									default:
									BgL_case_else1087z00_2531:
										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2525))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza32720ze3z83_16282;

												BgL_zc3anonymousza32720ze3z83_16282 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32720ze3z83_16282,
													(int) (((long) 0)), BgL_iz00_2529);
												return BgL_zc3anonymousza32720ze3z83_16282;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza32723ze3z83_16281;

												BgL_zc3anonymousza32723ze3z83_16281 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32723ze3z83_16281,
													(int) (((long) 0)), BgL_iz00_2529);
												return BgL_zc3anonymousza32723ze3z83_16281;
											}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 307 */
								goto BgL_case_else1087z00_2531;
							}
					}
				}
			}
		}
	}



/* &<anonymous:2714> */
	obj_t BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17405, obj_t BgL_sz00_17406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2565;

				BgL_sz00_2565 = BgL_sz00_17406;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9161;

					BgL_bpz00_9161 = VECTOR_REF(BgL_sz00_2565, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2715z00_9162;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2716z00_9163;

							BgL_arg2716z00_9163 = ((long) CINT(BgL_bpz00_9161) + ((long) 3));
							BgL_arg2715z00_9162 =
								VECTOR_REF(BgL_sz00_2565, (int) (BgL_arg2716z00_9163));
						}
						return STRUCT_REF(BgL_arg2715z00_9162, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2717> */
	obj_t BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17407, obj_t BgL_sz00_17408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2570;

				BgL_sz00_2570 = BgL_sz00_17408;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9174;

					BgL_bpz00_9174 = VECTOR_REF(BgL_sz00_2570, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2718z00_9175;

						BgL_arg2718z00_9175 = ((long) CINT(BgL_bpz00_9174) + ((long) 3));
						return VECTOR_REF(BgL_sz00_2570, (int) (BgL_arg2718z00_9175));
		}}}}
	}



/* &<anonymous:2708> */
	obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17409, obj_t BgL_sz00_17410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2555;

				BgL_sz00_2555 = BgL_sz00_17410;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9139;

					BgL_bpz00_9139 = VECTOR_REF(BgL_sz00_2555, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2709z00_9140;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2710z00_9141;

							BgL_arg2710z00_9141 = ((long) CINT(BgL_bpz00_9139) + ((long) 2));
							BgL_arg2709z00_9140 =
								VECTOR_REF(BgL_sz00_2555, (int) (BgL_arg2710z00_9141));
						}
						return STRUCT_REF(BgL_arg2709z00_9140, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2711> */
	obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17411, obj_t BgL_sz00_17412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2560;

				BgL_sz00_2560 = BgL_sz00_17412;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9152;

					BgL_bpz00_9152 = VECTOR_REF(BgL_sz00_2560, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2712z00_9153;

						BgL_arg2712z00_9153 = ((long) CINT(BgL_bpz00_9152) + ((long) 2));
						return VECTOR_REF(BgL_sz00_2560, (int) (BgL_arg2712z00_9153));
		}}}}
	}



/* &<anonymous:2701> */
	obj_t BGl_z62zc3anonymousza32701ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17413, obj_t BgL_sz00_17414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2545;

				BgL_sz00_2545 = BgL_sz00_17414;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9117;

					BgL_bpz00_9117 = VECTOR_REF(BgL_sz00_2545, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2702z00_9118;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2704z00_9119;

							BgL_arg2704z00_9119 = ((long) CINT(BgL_bpz00_9117) + ((long) 1));
							BgL_arg2702z00_9118 =
								VECTOR_REF(BgL_sz00_2545, (int) (BgL_arg2704z00_9119));
						}
						return STRUCT_REF(BgL_arg2702z00_9118, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2705> */
	obj_t BGl_z62zc3anonymousza32705ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17415, obj_t BgL_sz00_17416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2550;

				BgL_sz00_2550 = BgL_sz00_17416;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9130;

					BgL_bpz00_9130 = VECTOR_REF(BgL_sz00_2550, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2706z00_9131;

						BgL_arg2706z00_9131 = ((long) CINT(BgL_bpz00_9130) + ((long) 1));
						return VECTOR_REF(BgL_sz00_2550, (int) (BgL_arg2706z00_9131));
		}}}}
	}



/* &<anonymous:2695> */
	obj_t BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17417, obj_t BgL_sz00_17418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2535;

				BgL_sz00_2535 = BgL_sz00_17418;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9095;

					BgL_bpz00_9095 = VECTOR_REF(BgL_sz00_2535, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2696z00_9096;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2697z00_9097;

							BgL_arg2697z00_9097 = ((long) CINT(BgL_bpz00_9095) + ((long) 0));
							BgL_arg2696z00_9096 =
								VECTOR_REF(BgL_sz00_2535, (int) (BgL_arg2697z00_9097));
						}
						return STRUCT_REF(BgL_arg2696z00_9096, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2698> */
	obj_t BGl_z62zc3anonymousza32698ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17419, obj_t BgL_sz00_17420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2540;

				BgL_sz00_2540 = BgL_sz00_17420;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9108;

					BgL_bpz00_9108 = VECTOR_REF(BgL_sz00_2540, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2699z00_9109;

						BgL_arg2699z00_9109 = ((long) CINT(BgL_bpz00_9108) + ((long) 0));
						return VECTOR_REF(BgL_sz00_2540, (int) (BgL_arg2699z00_9109));
		}}}}
	}



/* &<anonymous:2720> */
	obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17421, obj_t BgL_sz00_17423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_17422;

				BgL_iz00_17422 = PROCEDURE_REF(BgL_envz00_17421, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2575;

					BgL_sz00_2575 = BgL_sz00_17423;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_9073;

						BgL_bpz00_9073 = VECTOR_REF(BgL_sz00_2575, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							obj_t BgL_arg2721z00_9074;

							{	/* Eval/evaluate_comp.scm 307 */
								long BgL_arg2722z00_9075;

								BgL_arg2722z00_9075 =
									((long) CINT(BgL_bpz00_9073) + (long) CINT(BgL_iz00_17422));
								BgL_arg2721z00_9074 =
									VECTOR_REF(BgL_sz00_2575, (int) (BgL_arg2722z00_9075));
							}
							return STRUCT_REF(BgL_arg2721z00_9074, (int) (((long) 0)));
		}}}}}
	}



/* &<anonymous:2723> */
	obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17424, obj_t BgL_sz00_17426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_17425;

				BgL_iz00_17425 = PROCEDURE_REF(BgL_envz00_17424, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2580;

					BgL_sz00_2580 = BgL_sz00_17426;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_9086;

						BgL_bpz00_9086 = VECTOR_REF(BgL_sz00_2580, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2724z00_9087;

							BgL_arg2724z00_9087 =
								((long) CINT(BgL_bpz00_9086) + (long) CINT(BgL_iz00_17425));
							return VECTOR_REF(BgL_sz00_2580, (int) (BgL_arg2724z00_9087));
		}}}}}
	}



/* &comp-ev_trap1643 */
	obj_t BGl_z62compzd2ev_trap1643zb0zz__evaluate_compz00(obj_t BgL_envz00_17427,
		obj_t BgL_ez00_17428, obj_t BgL_stkz00_17429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 277 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_2507;
				obj_t BgL_stkz00_2508;

				BgL_ez00_2507 = ((BgL_ev_trapz00_bglt) BgL_ez00_17428);
				BgL_stkz00_2508 = BgL_stkz00_17429;
				{	/* Eval/evaluate_comp.scm 279 */
					obj_t BgL_ez00_2512;

					{	/* Eval/evaluate_comp.scm 279 */
						BgL_ev_exprz00_bglt BgL_arg2692z00_2523;

						BgL_arg2692z00_2523 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2507)))->BgL_ez00);
						BgL_ez00_2512 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2692z00_2523,
							BgL_stkz00_2508);
					}
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_zc3anonymousza32686ze3z83_16284;

						BgL_zc3anonymousza32686ze3z83_16284 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32686ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32686ze3z83_16284,
							(int) (((long) 0)), BgL_ez00_2512);
						return BgL_zc3anonymousza32686ze3z83_16284;
					}
				}
			}
		}
	}



/* &<anonymous:2686> */
	obj_t BGl_z62zc3anonymousza32686ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17430, obj_t BgL_sz00_17432)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 280 */
			{	/* Eval/evaluate_comp.scm 280 */
				obj_t BgL_ez00_17431;

				BgL_ez00_17431 = PROCEDURE_REF(BgL_envz00_17430, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2513;

					BgL_sz00_2513 = BgL_sz00_17432;
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_bpz00_2515;

						BgL_bpz00_2515 = VECTOR_REF(BgL_sz00_2513, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 281 */
							obj_t BgL_cmdz00_2516;

							BgL_cmdz00_2516 =
								PROCEDURE_ENTRY(BgL_ez00_17431) (BgL_ez00_17431, BgL_sz00_2513,
								BEOA);
							if ((BgL_cmdz00_2516 == BGl_symbol5675z00zz__evaluate_compz00))
								{	/* Eval/evaluate_comp.scm 282 */
									return BgL_bpz00_2515;
								}
							else
								{	/* Eval/evaluate_comp.scm 282 */
									if (
										(BgL_cmdz00_2516 == BGl_symbol5677z00zz__evaluate_compz00))
										{	/* Eval/evaluate_comp.scm 282 */
											return BGl_reset_profilez00zz__evaluate_compz00();
										}
									else
										{	/* Eval/evaluate_comp.scm 282 */
											if (
												(BgL_cmdz00_2516 ==
													BGl_symbol5679z00zz__evaluate_compz00))
												{	/* Eval/evaluate_comp.scm 282 */
													return BGl_get_profilez00zz__evaluate_compz00();
												}
											else
												{	/* Eval/evaluate_comp.scm 282 */
													if (
														(BgL_cmdz00_2516 ==
															BGl_symbol5681z00zz__evaluate_compz00))
														{	/* Eval/evaluate_comp.scm 282 */
															return
																VECTOR_SET
																(BGl_findzd2statezd2zz__evaluate_compz00(),
																(int) (((long) 0)), BINT(((long) 2)));
														}
													else
														{	/* Eval/evaluate_comp.scm 282 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string5543z00zz__evaluate_compz00,
																BGl_string5683z00zz__evaluate_compz00,
																BgL_cmdz00_2516);
														}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 178211111),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 289341023),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 40444151),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
