/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1357zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit1275zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_synchroni1387zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_labels1431z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1309z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_list1373zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1349z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_global1263z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1325z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1311z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_litt1409z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1299z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle1279zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1331zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1353zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_if1267z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposzd2ev_litt1369zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_synchroni1427z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_prog21271z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letza21391z12zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_list1269z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62subst_gotozd2ev_synchr1351zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_var1261z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1327z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_let1389zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_letza21285zb5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_litt1265z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1307z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot1277zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1315z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1301z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_letrec1287z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_hook1417z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_app1399zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1303z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_hook1377zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal1419z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21341zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_global1367zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_goto1433z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62searchzd2letreczd2ev_syn1319z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf31402z91zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_goto1397zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_if1411z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_hook1273z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailpos1362z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1355zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62subst_goto1328z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1337zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_goto1291z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letrec1393zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr1383z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_global1407z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_prog21415z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit1381z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand1385z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1423z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62fsiza7ezd2ev_labels1289z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_app1435z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit1421z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand1425z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_var1365zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_abs1437z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62searchzd2letrec1296zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1347zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_let1283z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_if1371zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1339zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1359zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_abs1401zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_binder1429z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_app1293z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1335zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1361zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1317z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_labels1395zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_setlocal1379zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7e1258zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_symbol2147z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2149z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1345z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_abs1295z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol2152z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol2154z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1333zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1305z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_prog21375zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1343zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_var1405z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1313z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_synchroniza7e1281zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1321z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1323z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_list1413z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22253z00,
		BGl_z62subst_gotozd2ev_global1333zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22254z00,
		BGl_z62subst_gotozd2ev_litt1335zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22255z00,
		BGl_z62subst_gotozd2ev_if1337zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22256z00,
		BGl_z62subst_gotozd2ev_list1339zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22257z00,
		BGl_z62subst_gotozd2ev_prog21341zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22258z00,
		BGl_z62subst_gotozd2ev_hook1343zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22259z00,
		BGl_z62subst_gotozd2ev_bindzd2e1345z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22260z00,
		BGl_z62subst_gotozd2ev_unwind1347zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22261z00,
		BGl_z62subst_gotozd2ev_withzd2h1349z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2133z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2133za700za7za7_2262za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22263z00,
		BGl_z62subst_gotozd2ev_synchr1351zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2134z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2134za700za7za7_2264za7, "&frame-size", 11);
	      DEFINE_STRING(BGl_string2135z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2135za700za7za7_2265za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2136z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2136za700za7za7_2266za7, "&extract-loops", 14);
	      DEFINE_STRING(BGl_string2138z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2138za700za7za7_2267za7, "fsize1258", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22268z00,
		BGl_z62subst_gotozd2ev_binder1353zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22269z00,
		BGl_z62subst_gotozd2ev_labels1355zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22270z00,
		BGl_z62subst_gotozd2ev_goto1357zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22271z00,
		BGl_z62subst_gotozd2ev_app1359zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22272z00,
		BGl_z62subst_gotozd2ev_abs1361zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2273z00,
		BGl_z62tailposzd2ev_var1365zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2140z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2140za700za7za7_2274za7, "search-letrec1296", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2275z00,
		BGl_z62tailposzd2ev_global1367zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2276z00,
		BGl_z62tailposzd2ev_litt1369zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2142z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2142za700za7za7_2277za7, "subst_goto1328", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2278z00,
		BGl_z62tailposzd2ev_if1371zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2279z00,
		BGl_z62tailposzd2ev_list1373zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2144z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2144za700za7za7_2280za7, "tailpos1362", 11);
	      DEFINE_STRING(BGl_string2146z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2146za700za7za7_2281za7, "hasvar?1402", 11);
	      DEFINE_STRING(BGl_string2148z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2148za700za7za7_2282za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2283z00,
		BGl_z62tailposzd2ev_prog21375zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2284z00,
		BGl_z62tailposzd2ev_hook1377zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2285z00,
		BGl_z62tailposzd2ev_setlocal1379zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2286z00,
		BGl_z62tailposzd2ev_bindzd2exit1381z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2287z00,
		BGl_z62tailposzd2ev_unwindzd2pr1383z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2288z00,
		BGl_z62tailposzd2ev_withzd2hand1385z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2150z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2150za700za7za7_2289za7, "tailpos", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2290z00,
		BGl_z62tailposzd2ev_synchroni1387zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2151z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2151za700za7za7_2291za7, "not defined for", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2292z00,
		BGl_z62tailposzd2ev_let1389zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2293z00,
		BGl_z62tailposzd2ev_letza21391z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2153z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2153za700za7za7_2294za7, "subst_goto", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2295z00,
		BGl_z62tailposzd2ev_letrec1393zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2155z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2155za700za7za7_2296za7, "search-letrec", 13);
	      DEFINE_STRING(BGl_string2156z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2156za700za7za7_2297za7, "eval", 4);
	      DEFINE_STRING(BGl_string2157z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2157za700za7za7_2298za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string2158z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2158za700za7za7_2299za7, "&fsize", 6);
	      DEFINE_STRING(BGl_string2159z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2159za700za7za7_2300za7, "bint", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2301z00,
		BGl_z62tailposzd2ev_labels1395zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2302z00,
		BGl_z62tailposzd2ev_goto1397zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2303z00,
		BGl_z62tailposzd2ev_app1399zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2304z00,
		BGl_z62tailposzd2ev_abs1401zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2305za7,
		BGl_z62hasvarzf3zd2ev_var1405z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2160z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2160za700za7za7_2306za7, "&search-letrec", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2307za7,
		BGl_z62hasvarzf3zd2ev_global1407z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2161z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2161za700za7za7_2308za7, "&subst_goto", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2309za7,
		BGl_z62hasvarzf3zd2ev_litt1409z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2162z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2162za700za7za7_2310za7, "&tailpos", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2311za7,
		BGl_z62hasvarzf3zd2ev_if1411z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2163z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2163za700za7za7_2312za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2313za7,
		BGl_z62hasvarzf3zd2ev_list1413z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2164z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2164za700za7za7_2314za7, "&hasvar?", 8);
	      DEFINE_STRING(BGl_string2166z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2166za700za7za7_2315za7, "fsize::int", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2316za7,
		BGl_z62hasvarzf3zd2ev_prog21415z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2317za7,
		BGl_z62hasvarzf3zd2ev_hook1417z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2318za7,
		BGl_z62hasvarzf3zd2ev_setlocal1419z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2319za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit1421z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2320za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1423z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2321za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand1425z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2322za7,
		BGl_z62hasvarzf3zd2ev_synchroni1427z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2323za7,
		BGl_z62hasvarzf3zd2ev_binder1429z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2324za7,
		BGl_z62hasvarzf3zd2ev_labels1431z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2325za7,
		BGl_z62hasvarzf3zd2ev_goto1433z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2326za7,
		BGl_z62hasvarzf3zd2ev_app1435z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2327za7,
		BGl_z62hasvarzf3zd2ev_abs1437z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za72328z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7622329z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e1258za7c2330za7,
		BGl_z62fsiza7e1258zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2331z00,
		BGl_z62searchzd2letrec1296zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto1322332za7,
		BGl_z62subst_goto1328z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos1362za762333z00,
		BGl_z62tailpos1362z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f314022334z00,
		BGl_z62hasvarzf31402z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2235za700za7za7_2335za7, "hasvar?", 7);
	      DEFINE_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2252za700za7za7_2336za7, "__evaluate_fsize", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2337za7,
		BGl_z62fsiza7ezd2ev_var1261z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2338za7,
		BGl_z62fsiza7ezd2ev_global1263z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2339za7,
		BGl_z62fsiza7ezd2ev_litt1265z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2340za7,
		BGl_z62fsiza7ezd2ev_if1267z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_2341z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2342za7,
		BGl_z62fsiza7ezd2ev_list1269z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2343za7,
		BGl_z62fsiza7ezd2ev_prog21271z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2344za7,
		BGl_z62fsiza7ezd2ev_hook1273z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2345za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit1275zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2346za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot1277zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2347za7,
		BGl_z62fsiza7ezd2ev_withzd2handle1279zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2348za7,
		BGl_z62fsiza7ezd2ev_synchroniza7e1281zb0zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2349za7,
		BGl_z62fsiza7ezd2ev_let1283z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2350za7,
		BGl_z62fsiza7ezd2ev_letza21285zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2351za7,
		BGl_z62fsiza7ezd2ev_letrec1287z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2352za7,
		BGl_z62fsiza7ezd2ev_labels1289z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2353za7,
		BGl_z62fsiza7ezd2ev_goto1291z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2354za7,
		BGl_z62fsiza7ezd2ev_app1293z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2355za7,
		BGl_z62fsiza7ezd2ev_abs1295z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2356z00,
		BGl_z62searchzd2letreczd2ev_var1299z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2357z00,
		BGl_z62searchzd2letreczd2ev_glo1301z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2358z00,
		BGl_z62searchzd2letreczd2ev_lit1303z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2359z00,
		BGl_z62searchzd2letreczd2ev_if1305z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2360z00,
		BGl_z62searchzd2letreczd2ev_lis1307z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2361z00,
		BGl_z62searchzd2letreczd2ev_pro1309z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2362z00,
		BGl_z62searchzd2letreczd2ev_hoo1311z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2363z00,
		BGl_z62searchzd2letreczd2ev_bin1313z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2364z00,
		BGl_z62searchzd2letreczd2ev_unw1315z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2365z00,
		BGl_z62searchzd2letreczd2ev_wit1317z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2366z00,
		BGl_z62searchzd2letreczd2ev_syn1319z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2367z00,
		BGl_z62searchzd2letreczd2ev_bin1321z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2368z00,
		BGl_z62searchzd2letreczd2ev_let1323z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2369z00,
		BGl_z62searchzd2letreczd2ev_app1325z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2370z00,
		BGl_z62searchzd2letreczd2ev_abs1327z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22371z00,
		BGl_z62subst_gotozd2ev_var1331zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a72372za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_2373za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2374z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo2375z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_3585, char *BgL_fromz00_3586)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol2147z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2146z00zz__evaluate_fsiza7eza7);
			BGl_symbol2149z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_symbol2152z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2153z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol2154z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2155z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}
	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3144,
		obj_t BgL_ez00_3145)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			{	/* Eval/evaluate_fsize.scm 66 */
				int BgL_auxz00_3600;

				{	/* Eval/evaluate_fsize.scm 66 */
					BgL_ev_exprz00_bglt BgL_auxz00_3601;

					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3145,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 66 */
							BgL_auxz00_3601 = ((BgL_ev_exprz00_bglt) BgL_ez00_3145);
						}
					else
						{
							obj_t BgL_auxz00_3605;

							BgL_auxz00_3605 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 1965)),
								BGl_string2134z00zz__evaluate_fsiza7eza7,
								BGl_string2135z00zz__evaluate_fsiza7eza7, BgL_ez00_3145);
							FAILURE(BgL_auxz00_3605, BFALSE, BFALSE);
						}
					BgL_auxz00_3600 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_3601);
				}
				return BINT(BgL_auxz00_3600);
			}
		}
	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 167 */
			return
				((BgL_ev_exprz00_bglt)
				BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_42));
		}
	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3146, obj_t BgL_ez00_3147)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 167 */
			{	/* Eval/evaluate_fsize.scm 169 */
				BgL_ev_exprz00_bglt BgL_ez00_3553;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3147,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 169 */
						BgL_ez00_3553 = ((BgL_ev_exprz00_bglt) BgL_ez00_3147);
					}
				else
					{
						obj_t BgL_auxz00_3616;

						BgL_auxz00_3616 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 5014)),
							BGl_string2136z00zz__evaluate_fsiza7eza7,
							BGl_string2135z00zz__evaluate_fsiza7eza7, BgL_ez00_3147);
						FAILURE(BgL_auxz00_3616, BFALSE, BFALSE);
					}
				return
					((BgL_ev_exprz00_bglt)
					BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_3553));
			}
		}
	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 172 */
			{
				obj_t BgL_lz00_819;

				BgL_lz00_819 = BgL_lz00_43;
			BgL_zc3anonymousza31474ze3z83_820:
				if (NULLP(BgL_lz00_819))
					{	/* Eval/evaluate_fsize.scm 174 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 174 */
						{	/* Eval/evaluate_fsize.scm 175 */
							obj_t BgL_arg1476z00_822;

							{	/* Eval/evaluate_fsize.scm 175 */
								obj_t BgL_arg1477z00_823;

								BgL_arg1477z00_823 = CAR(BgL_lz00_819);
								BgL_arg1476z00_822 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1477z00_823));
							}
							SET_CAR(BgL_lz00_819, BgL_arg1476z00_822);
						}
						{
							obj_t BgL_lz00_3628;

							BgL_lz00_3628 = CDR(BgL_lz00_819);
							BgL_lz00_819 = BgL_lz00_3628;
							goto BgL_zc3anonymousza31474ze3z83_820;
						}
					}
			}
		}
	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_60, obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 267 */
			{	/* Eval/evaluate_fsize.scm 268 */
				BgL_ev_labelsz00_bglt BgL_rz00_826;

				{	/* Eval/evaluate_fsize.scm 268 */
					BgL_ev_labelsz00_bglt BgL_new1093z00_845;

					{	/* Eval/evaluate_fsize.scm 268 */
						BgL_ev_labelsz00_bglt BgL_new1092z00_849;

						BgL_new1092z00_849 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_fsize.scm 268 */
							long BgL_arg1493z00_850;

							{	/* Eval/evaluate_fsize.scm 268 */
								long BgL_res1977z00_2084;

								BgL_res1977z00_2084 =
									BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
								BgL_arg1493z00_850 = BgL_res1977z00_2084;
							}
							{	/* Eval/evaluate_fsize.scm 268 */
								BgL_objectz00_bglt BgL_objz00_2085;

								BgL_objz00_2085 = ((BgL_objectz00_bglt) BgL_new1092z00_849);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2085, BgL_arg1493z00_850);
						}}
						{	/* Eval/evaluate_fsize.scm 268 */
							BgL_objectz00_bglt BgL_auxz00_3634;

							BgL_auxz00_3634 = ((BgL_objectz00_bglt) BgL_new1092z00_849);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3634, BFALSE);
						}
						BgL_new1093z00_845 = BgL_new1092z00_849;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_845))->BgL_varsz00) =
						((obj_t) BgL_varsz00_60), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_845))->BgL_valsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_845))->BgL_envz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_845))->BgL_stkz00) =
						((obj_t) BNIL), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_3641;

						{	/* Eval/evaluate_fsize.scm 269 */
							BgL_ev_littz00_bglt BgL_new1096z00_846;

							{	/* Eval/evaluate_fsize.scm 269 */
								BgL_ev_littz00_bglt BgL_new1094z00_847;

								BgL_new1094z00_847 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate_fsize.scm 269 */
									long BgL_arg1492z00_848;

									{	/* Eval/evaluate_fsize.scm 269 */
										long BgL_res1978z00_2088;

										{	/* Eval/evaluate_fsize.scm 269 */
											obj_t BgL_classz00_2087;

											BgL_classz00_2087 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res1978z00_2088 = BGL_CLASS_INDEX(BgL_classz00_2087);
										}
										BgL_arg1492z00_848 = BgL_res1978z00_2088;
									}
									{	/* Eval/evaluate_fsize.scm 269 */
										BgL_objectz00_bglt BgL_objz00_2089;

										BgL_objz00_2089 = ((BgL_objectz00_bglt) BgL_new1094z00_847);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2089,
											BgL_arg1492z00_848);
								}}
								{	/* Eval/evaluate_fsize.scm 269 */
									BgL_objectz00_bglt BgL_auxz00_3646;

									BgL_auxz00_3646 = ((BgL_objectz00_bglt) BgL_new1094z00_847);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3646, BFALSE);
								}
								BgL_new1096z00_846 = BgL_new1094z00_847;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1096z00_846))->
									BgL_valuez00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
							BgL_auxz00_3641 = ((BgL_ev_exprz00_bglt) BgL_new1096z00_846);
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_845))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_3641), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_845))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_rz00_826 = BgL_new1093z00_845;
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_826))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
								BgL_varsz00_60, ((obj_t) BgL_rz00_826)))), BUNSPEC);
				{
					obj_t BgL_auxz00_3658;

					if (NULLP(BgL_valsz00_61))
						{	/* Eval/evaluate_fsize.scm 272 */
							BgL_auxz00_3658 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 272 */
							obj_t BgL_head1195z00_830;

							{	/* Eval/evaluate_fsize.scm 272 */
								obj_t BgL_res1980z00_2095;

								BgL_res1980z00_2095 = MAKE_PAIR(BNIL, BNIL);
								BgL_head1195z00_830 = BgL_res1980z00_2095;
							}
							{
								obj_t BgL_l1193z00_832;
								obj_t BgL_tail1196z00_833;

								BgL_l1193z00_832 = BgL_valsz00_61;
								BgL_tail1196z00_833 = BgL_head1195z00_830;
							BgL_zc3anonymousza31480ze3z83_834:
								if (NULLP(BgL_l1193z00_832))
									{	/* Eval/evaluate_fsize.scm 272 */
										BgL_auxz00_3658 = CDR(BgL_head1195z00_830);
									}
								else
									{	/* Eval/evaluate_fsize.scm 272 */
										obj_t BgL_newtail1197z00_836;

										{	/* Eval/evaluate_fsize.scm 272 */
											obj_t BgL_arg1483z00_838;

											{	/* Eval/evaluate_fsize.scm 272 */
												obj_t BgL_valz00_839;

												{	/* Eval/evaluate_fsize.scm 272 */
													obj_t BgL_pairz00_2099;

													BgL_pairz00_2099 = BgL_l1193z00_832;
													BgL_valz00_839 = CAR(BgL_pairz00_2099);
												}
												{	/* Eval/evaluate_fsize.scm 273 */
													BgL_ev_absz00_bglt BgL_i1098z00_840;

													BgL_i1098z00_840 =
														((BgL_ev_absz00_bglt) BgL_valz00_839);
													{	/* Eval/evaluate_fsize.scm 274 */
														obj_t BgL_arg1484z00_841;
														obj_t BgL_arg1485z00_842;

														BgL_arg1484z00_841 =
															(((BgL_ev_absz00_bglt) CREF(BgL_i1098z00_840))->
															BgL_varsz00);
														{	/* Eval/evaluate_fsize.scm 274 */
															BgL_ev_exprz00_bglt BgL_arg1491z00_843;

															BgL_arg1491z00_843 =
																(((BgL_ev_absz00_bglt) CREF(BgL_i1098z00_840))->
																BgL_bodyz00);
															BgL_arg1485z00_842 =
																BGl_subst_gotoz00zz__evaluate_fsiza7eza7
																(BgL_arg1491z00_843, BgL_varsz00_60,
																((obj_t) BgL_rz00_826));
														}
														BgL_arg1483z00_838 =
															MAKE_PAIR(BgL_arg1484z00_841, BgL_arg1485z00_842);
													}
												}
											}
											{	/* Eval/evaluate_fsize.scm 272 */
												obj_t BgL_res1982z00_2102;

												BgL_res1982z00_2102 =
													MAKE_PAIR(BgL_arg1483z00_838, BNIL);
												BgL_newtail1197z00_836 = BgL_res1982z00_2102;
											}
										}
										SET_CDR(BgL_tail1196z00_833, BgL_newtail1197z00_836);
										{	/* Eval/evaluate_fsize.scm 272 */
											obj_t BgL_arg1482z00_837;

											{	/* Eval/evaluate_fsize.scm 272 */
												obj_t BgL_pairz00_2105;

												BgL_pairz00_2105 = BgL_l1193z00_832;
												BgL_arg1482z00_837 = CDR(BgL_pairz00_2105);
											}
											{
												obj_t BgL_tail1196z00_3676;
												obj_t BgL_l1193z00_3675;

												BgL_l1193z00_3675 = BgL_arg1482z00_837;
												BgL_tail1196z00_3676 = BgL_newtail1197z00_836;
												BgL_tail1196z00_833 = BgL_tail1196z00_3676;
												BgL_l1193z00_832 = BgL_l1193z00_3675;
												goto BgL_zc3anonymousza31480ze3z83_834;
											}
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_826))->BgL_valsz00) =
						((obj_t) BgL_auxz00_3658), BUNSPEC);
				}
				return BgL_rz00_826;
			}
		}
	}



/* letrectail? */
	bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_63,
		obj_t BgL_valsz00_64, BgL_ev_exprz00_bglt BgL_bodyz00_65)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 278 */
			{
				obj_t BgL_l1201z00_852;

				BgL_l1201z00_852 = BgL_varsz00_63;
			BgL_zc3anonymousza31494ze3z83_853:
				if (NULLP(BgL_l1201z00_852))
					{	/* Eval/evaluate_fsize.scm 279 */
						return ((bool_t) 1);
					}
				else
					{	/* Eval/evaluate_fsize.scm 279 */
						bool_t BgL_testz00_3680;

						{	/* Eval/evaluate_fsize.scm 280 */
							obj_t BgL_vz00_858;

							BgL_vz00_858 = CAR(BgL_l1201z00_852);
							{	/* Eval/evaluate_fsize.scm 280 */
								obj_t BgL__andtest_1099z00_859;

								BgL__andtest_1099z00_859 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_65,
									((BgL_ev_varz00_bglt) BgL_vz00_858));
								if (CBOOL(BgL__andtest_1099z00_859))
									{
										obj_t BgL_l1198z00_861;

										BgL_l1198z00_861 = BgL_valsz00_64;
									BgL_zc3anonymousza31497ze3z83_862:
										if (NULLP(BgL_l1198z00_861))
											{	/* Eval/evaluate_fsize.scm 281 */
												BgL_testz00_3680 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_fsize.scm 282 */
												obj_t BgL_nvz00_864;

												{	/* Eval/evaluate_fsize.scm 282 */
													obj_t BgL_ez00_867;

													BgL_ez00_867 = CAR(BgL_l1198z00_861);
													if (BGl_isazf3zf3zz__objectz00(BgL_ez00_867,
															BGl_ev_absz00zz__evaluate_typesz00))
														{	/* Eval/evaluate_fsize.scm 283 */
															BgL_ev_absz00_bglt BgL_i1100z00_869;

															BgL_i1100z00_869 =
																((BgL_ev_absz00_bglt) BgL_ez00_867);
															if (
																((long) CINT(
																		(((BgL_ev_absz00_bglt)
																				CREF(BgL_i1100z00_869))->
																			BgL_arityz00)) >= ((long) 0)))
																{	/* Eval/evaluate_fsize.scm 285 */
																	BgL_ev_exprz00_bglt BgL_arg1501z00_871;

																	BgL_arg1501z00_871 =
																		(((BgL_ev_absz00_bglt)
																			CREF(BgL_i1100z00_869))->BgL_bodyz00);
																	BgL_nvz00_864 =
																		BGl_tailposz00zz__evaluate_fsiza7eza7
																		(BgL_arg1501z00_871,
																		((BgL_ev_varz00_bglt) BgL_vz00_858));
																}
															else
																{	/* Eval/evaluate_fsize.scm 284 */
																	BgL_nvz00_864 = BFALSE;
																}
														}
													else
														{	/* Eval/evaluate_fsize.scm 282 */
															BgL_nvz00_864 = BFALSE;
														}
												}
												if (CBOOL(BgL_nvz00_864))
													{
														obj_t BgL_l1198z00_3701;

														BgL_l1198z00_3701 = CDR(BgL_l1198z00_861);
														BgL_l1198z00_861 = BgL_l1198z00_3701;
														goto BgL_zc3anonymousza31497ze3z83_862;
													}
												else
													{	/* Eval/evaluate_fsize.scm 281 */
														BgL_testz00_3680 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 280 */
										BgL_testz00_3680 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_3680)
							{
								obj_t BgL_l1201z00_3703;

								BgL_l1201z00_3703 = CDR(BgL_l1201z00_852);
								BgL_l1201z00_852 = BgL_l1201z00_3703;
								goto BgL_zc3anonymousza31494ze3z83_853;
							}
						else
							{	/* Eval/evaluate_fsize.scm 279 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc2137z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc2139z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2140z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2141z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2142z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2143z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc2145z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2146z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?1402 */
	obj_t BGl_z62hasvarzf31402z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3153,
		obj_t BgL_ez00_3154, obj_t BgL_vz00_3155)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 480 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_904;
				BgL_ev_varz00_bglt BgL_vz00_905;

				BgL_ez00_904 = ((BgL_ev_exprz00_bglt) BgL_ez00_3154);
				BgL_vz00_905 = ((BgL_ev_varz00_bglt) BgL_vz00_3155);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2147z00zz__evaluate_fsiza7eza7,
					BGl_string2148z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_904));
			}
		}
	}



/* &tailpos1362 */
	obj_t BGl_z62tailpos1362z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3156,
		obj_t BgL_ez00_3157, obj_t BgL_vz00_3158)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 392 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_899;
				BgL_ev_varz00_bglt BgL_vz00_900;

				BgL_ez00_899 = ((BgL_ev_exprz00_bglt) BgL_ez00_3157);
				BgL_vz00_900 = ((BgL_ev_varz00_bglt) BgL_vz00_3158);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2149z00zz__evaluate_fsiza7eza7,
					BGl_string2151z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_899));
			}
		}
	}



/* &subst_goto1328 */
	obj_t BGl_z62subst_goto1328z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3159,
		obj_t BgL_ez00_3160, obj_t BgL_varsz00_3161, obj_t BgL_lblsz00_3162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 297 */
			{	/* Eval/evaluate_fsize.scm 298 */
				BgL_ev_exprz00_bglt BgL_ez00_3554;

				BgL_ez00_3554 = ((BgL_ev_exprz00_bglt) BgL_ez00_3160);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2152z00zz__evaluate_fsiza7eza7,
					BGl_string2151z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_3554));
			}
		}
	}



/* &search-letrec1296 */
	obj_t BGl_z62searchzd2letrec1296zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3163, obj_t BgL_ez00_3164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_889;

				BgL_ez00_889 = ((BgL_ev_exprz00_bglt) BgL_ez00_3164);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2154z00zz__evaluate_fsiza7eza7,
					BGl_string2151z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_889));
			}
		}
	}



/* &fsize1258 */
	obj_t BGl_z62fsiza7e1258zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3165,
		obj_t BgL_ez00_3166, obj_t BgL_nz00_3167)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_884;
				int BgL_nz00_885;

				BgL_ez00_884 = ((BgL_ev_exprz00_bglt) BgL_ez00_3166);
				BgL_nz00_885 = CINT(BgL_nz00_3167);
				return
					BGl_errorz00zz__errorz00(BGl_string2156z00zz__evaluate_fsiza7eza7,
					BGl_string2157z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_884));
			}
		}
	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				obj_t BgL_method1259z00_908;

				{	/* Eval/evaluate_fsize.scm 68 */
					obj_t BgL_res1993z00_2157;

					{	/* Eval/evaluate_fsize.scm 68 */
						BgL_objectz00_bglt BgL_objz00_2129;

						BgL_objz00_2129 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_fsize.scm 68 */
							long BgL_objzd2classzd2numz00_2130;

							{	/* Eval/evaluate_fsize.scm 68 */
								long BgL_res1987z00_2133;

								BgL_res1987z00_2133 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2129);
								BgL_objzd2classzd2numz00_2130 = BgL_res1987z00_2133;
							}
							{	/* Eval/evaluate_fsize.scm 68 */
								obj_t BgL_arg1970z00_2131;

								BgL_arg1970z00_2131 =
									PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 68 */
									obj_t BgL_arrayz00_2134;
									int BgL_offsetz00_2135;

									BgL_arrayz00_2134 = BgL_arg1970z00_2131;
									BgL_offsetz00_2135 = (int) (BgL_objzd2classzd2numz00_2130);
									{	/* Eval/evaluate_fsize.scm 68 */
										long BgL_offsetz00_2136;

										BgL_offsetz00_2136 =
											((long) (BgL_offsetz00_2135) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 68 */
											long BgL_modz00_2137;

											{	/* Eval/evaluate_fsize.scm 68 */
												int BgL_arg1972z00_2138;

												BgL_arg1972z00_2138 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_res1990z00_2148;

													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_auxz00_3736;

														BgL_auxz00_3736 = (long) (BgL_arg1972z00_2138);
														BgL_res1990z00_2148 =
															(BgL_offsetz00_2136 / BgL_auxz00_3736);
													}
													BgL_modz00_2137 = BgL_res1990z00_2148;
											}}
											{	/* Eval/evaluate_fsize.scm 68 */
												long BgL_restz00_2139;

												{	/* Eval/evaluate_fsize.scm 68 */
													int BgL_arg1971z00_2140;

													BgL_arg1971z00_2140 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_res1992z00_2152;

														{	/* Eval/evaluate_fsize.scm 68 */
															long BgL_auxz00_3740;

															BgL_auxz00_3740 = (long) (BgL_arg1971z00_2140);
															BgL_res1992z00_2152 =
																(BgL_offsetz00_2136 % BgL_auxz00_3740);
														}
														BgL_restz00_2139 = BgL_res1992z00_2152;
												}}
												{	/* Eval/evaluate_fsize.scm 68 */

													BgL_res1993z00_2157 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2134,
															(int) (BgL_modz00_2137)),
														(int) (BgL_restz00_2139));
					}}}}}}}}
					BgL_method1259z00_908 = BgL_res1993z00_2157;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1259z00_908) (BgL_method1259z00_908,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}
	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3168,
		obj_t BgL_ez00_3169, obj_t BgL_nz00_3170)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				int BgL_auxz00_3755;

				{	/* Eval/evaluate_fsize.scm 68 */
					int BgL_auxz00_3764;
					BgL_ev_exprz00_bglt BgL_auxz00_3756;

					{	/* Eval/evaluate_fsize.scm 68 */
						obj_t BgL_auxz00_3765;

						if (INTEGERP(BgL_nz00_3170))
							{	/* Eval/evaluate_fsize.scm 68 */
								BgL_auxz00_3765 = BgL_nz00_3170;
							}
						else
							{
								obj_t BgL_auxz00_3768;

								BgL_auxz00_3768 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2133z00zz__evaluate_fsiza7eza7,
									BINT(((long) 1980)), BGl_string2158z00zz__evaluate_fsiza7eza7,
									BGl_string2159z00zz__evaluate_fsiza7eza7, BgL_nz00_3170);
								FAILURE(BgL_auxz00_3768, BFALSE, BFALSE);
							}
						BgL_auxz00_3764 = CINT(BgL_auxz00_3765);
					}
					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3169,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 68 */
							BgL_auxz00_3756 = ((BgL_ev_exprz00_bglt) BgL_ez00_3169);
						}
					else
						{
							obj_t BgL_auxz00_3760;

							BgL_auxz00_3760 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 1980)),
								BGl_string2158z00zz__evaluate_fsiza7eza7,
								BGl_string2135z00zz__evaluate_fsiza7eza7, BgL_ez00_3169);
							FAILURE(BgL_auxz00_3760, BFALSE, BFALSE);
						}
					BgL_auxz00_3755 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_3756,
						BgL_auxz00_3764);
				}
				return BINT(BgL_auxz00_3755);
			}
		}
	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{	/* Eval/evaluate_fsize.scm 178 */
				obj_t BgL_method1297z00_909;

				{	/* Eval/evaluate_fsize.scm 178 */
					obj_t BgL_res2000z00_2186;

					{	/* Eval/evaluate_fsize.scm 178 */
						BgL_objectz00_bglt BgL_objz00_2158;

						BgL_objz00_2158 = ((BgL_objectz00_bglt) BgL_ez00_44);
						{	/* Eval/evaluate_fsize.scm 178 */
							long BgL_objzd2classzd2numz00_2159;

							{	/* Eval/evaluate_fsize.scm 178 */
								long BgL_res1994z00_2162;

								BgL_res1994z00_2162 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2158);
								BgL_objzd2classzd2numz00_2159 = BgL_res1994z00_2162;
							}
							{	/* Eval/evaluate_fsize.scm 178 */
								obj_t BgL_arg1970z00_2160;

								BgL_arg1970z00_2160 =
									PROCEDURE_REF
									(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 178 */
									obj_t BgL_arrayz00_2163;
									int BgL_offsetz00_2164;

									BgL_arrayz00_2163 = BgL_arg1970z00_2160;
									BgL_offsetz00_2164 = (int) (BgL_objzd2classzd2numz00_2159);
									{	/* Eval/evaluate_fsize.scm 178 */
										long BgL_offsetz00_2165;

										BgL_offsetz00_2165 =
											((long) (BgL_offsetz00_2164) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 178 */
											long BgL_modz00_2166;

											{	/* Eval/evaluate_fsize.scm 178 */
												int BgL_arg1972z00_2167;

												BgL_arg1972z00_2167 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 178 */
													long BgL_res1997z00_2177;

													{	/* Eval/evaluate_fsize.scm 178 */
														long BgL_auxz00_3783;

														BgL_auxz00_3783 = (long) (BgL_arg1972z00_2167);
														BgL_res1997z00_2177 =
															(BgL_offsetz00_2165 / BgL_auxz00_3783);
													}
													BgL_modz00_2166 = BgL_res1997z00_2177;
											}}
											{	/* Eval/evaluate_fsize.scm 178 */
												long BgL_restz00_2168;

												{	/* Eval/evaluate_fsize.scm 178 */
													int BgL_arg1971z00_2169;

													BgL_arg1971z00_2169 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 178 */
														long BgL_res1999z00_2181;

														{	/* Eval/evaluate_fsize.scm 178 */
															long BgL_auxz00_3787;

															BgL_auxz00_3787 = (long) (BgL_arg1971z00_2169);
															BgL_res1999z00_2181 =
																(BgL_offsetz00_2165 % BgL_auxz00_3787);
														}
														BgL_restz00_2168 = BgL_res1999z00_2181;
												}}
												{	/* Eval/evaluate_fsize.scm 178 */

													BgL_res2000z00_2186 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2163,
															(int) (BgL_modz00_2166)),
														(int) (BgL_restz00_2168));
					}}}}}}}}
					BgL_method1297z00_909 = BgL_res2000z00_2186;
				}
				return
					PROCEDURE_ENTRY(BgL_method1297z00_909) (BgL_method1297z00_909,
					((obj_t) BgL_ez00_44), BEOA);
			}
		}
	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3171,
		obj_t BgL_ez00_3172)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{	/* Eval/evaluate_fsize.scm 178 */
				BgL_ev_exprz00_bglt BgL_auxz00_3799;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3172,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 178 */
						BgL_auxz00_3799 = ((BgL_ev_exprz00_bglt) BgL_ez00_3172);
					}
				else
					{
						obj_t BgL_auxz00_3803;

						BgL_auxz00_3803 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 5178)),
							BGl_string2160z00zz__evaluate_fsiza7eza7,
							BGl_string2135z00zz__evaluate_fsiza7eza7, BgL_ez00_3172);
						FAILURE(BgL_auxz00_3803, BFALSE, BFALSE);
					}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_3799);
			}
		}
	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_69, obj_t BgL_varsz00_70, obj_t BgL_lblsz00_71)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 297 */
			{	/* Eval/evaluate_fsize.scm 297 */
				obj_t BgL_method1329z00_910;

				{	/* Eval/evaluate_fsize.scm 297 */
					obj_t BgL_res2007z00_2215;

					{	/* Eval/evaluate_fsize.scm 297 */
						BgL_objectz00_bglt BgL_objz00_2187;

						BgL_objz00_2187 = ((BgL_objectz00_bglt) BgL_ez00_69);
						{	/* Eval/evaluate_fsize.scm 297 */
							long BgL_objzd2classzd2numz00_2188;

							{	/* Eval/evaluate_fsize.scm 297 */
								long BgL_res2001z00_2191;

								BgL_res2001z00_2191 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2187);
								BgL_objzd2classzd2numz00_2188 = BgL_res2001z00_2191;
							}
							{	/* Eval/evaluate_fsize.scm 297 */
								obj_t BgL_arg1970z00_2189;

								BgL_arg1970z00_2189 =
									PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 297 */
									obj_t BgL_arrayz00_2192;
									int BgL_offsetz00_2193;

									BgL_arrayz00_2192 = BgL_arg1970z00_2189;
									BgL_offsetz00_2193 = (int) (BgL_objzd2classzd2numz00_2188);
									{	/* Eval/evaluate_fsize.scm 297 */
										long BgL_offsetz00_2194;

										BgL_offsetz00_2194 =
											((long) (BgL_offsetz00_2193) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 297 */
											long BgL_modz00_2195;

											{	/* Eval/evaluate_fsize.scm 297 */
												int BgL_arg1972z00_2196;

												BgL_arg1972z00_2196 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 297 */
													long BgL_res2004z00_2206;

													{	/* Eval/evaluate_fsize.scm 297 */
														long BgL_auxz00_3816;

														BgL_auxz00_3816 = (long) (BgL_arg1972z00_2196);
														BgL_res2004z00_2206 =
															(BgL_offsetz00_2194 / BgL_auxz00_3816);
													}
													BgL_modz00_2195 = BgL_res2004z00_2206;
											}}
											{	/* Eval/evaluate_fsize.scm 297 */
												long BgL_restz00_2197;

												{	/* Eval/evaluate_fsize.scm 297 */
													int BgL_arg1971z00_2198;

													BgL_arg1971z00_2198 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 297 */
														long BgL_res2006z00_2210;

														{	/* Eval/evaluate_fsize.scm 297 */
															long BgL_auxz00_3820;

															BgL_auxz00_3820 = (long) (BgL_arg1971z00_2198);
															BgL_res2006z00_2210 =
																(BgL_offsetz00_2194 % BgL_auxz00_3820);
														}
														BgL_restz00_2197 = BgL_res2006z00_2210;
												}}
												{	/* Eval/evaluate_fsize.scm 297 */

													BgL_res2007z00_2215 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2192,
															(int) (BgL_modz00_2195)),
														(int) (BgL_restz00_2197));
					}}}}}}}}
					BgL_method1329z00_910 = BgL_res2007z00_2215;
				}
				return
					PROCEDURE_ENTRY(BgL_method1329z00_910) (BgL_method1329z00_910,
					((obj_t) BgL_ez00_69), BgL_varsz00_70, BgL_lblsz00_71, BEOA);
			}
		}
	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3173,
		obj_t BgL_ez00_3174, obj_t BgL_varsz00_3175, obj_t BgL_lblsz00_3176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 297 */
			{	/* Eval/evaluate_fsize.scm 297 */
				BgL_ev_exprz00_bglt BgL_auxz00_3834;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3174,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 297 */
						BgL_auxz00_3834 = ((BgL_ev_exprz00_bglt) BgL_ez00_3174);
					}
				else
					{
						obj_t BgL_auxz00_3838;

						BgL_auxz00_3838 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 8392)),
							BGl_string2161z00zz__evaluate_fsiza7eza7,
							BGl_string2135z00zz__evaluate_fsiza7eza7, BgL_ez00_3174);
						FAILURE(BgL_auxz00_3838, BFALSE, BFALSE);
					}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_3834,
					BgL_varsz00_3175, BgL_lblsz00_3176);
			}
		}
	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_120,
		BgL_ev_varz00_bglt BgL_vz00_121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 392 */
			{	/* Eval/evaluate_fsize.scm 392 */
				obj_t BgL_method1363z00_911;

				{	/* Eval/evaluate_fsize.scm 392 */
					obj_t BgL_res2014z00_2244;

					{	/* Eval/evaluate_fsize.scm 392 */
						BgL_objectz00_bglt BgL_objz00_2216;

						BgL_objz00_2216 = ((BgL_objectz00_bglt) BgL_ez00_120);
						{	/* Eval/evaluate_fsize.scm 392 */
							long BgL_objzd2classzd2numz00_2217;

							{	/* Eval/evaluate_fsize.scm 392 */
								long BgL_res2008z00_2220;

								BgL_res2008z00_2220 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2216);
								BgL_objzd2classzd2numz00_2217 = BgL_res2008z00_2220;
							}
							{	/* Eval/evaluate_fsize.scm 392 */
								obj_t BgL_arg1970z00_2218;

								BgL_arg1970z00_2218 =
									PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 392 */
									obj_t BgL_arrayz00_2221;
									int BgL_offsetz00_2222;

									BgL_arrayz00_2221 = BgL_arg1970z00_2218;
									BgL_offsetz00_2222 = (int) (BgL_objzd2classzd2numz00_2217);
									{	/* Eval/evaluate_fsize.scm 392 */
										long BgL_offsetz00_2223;

										BgL_offsetz00_2223 =
											((long) (BgL_offsetz00_2222) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 392 */
											long BgL_modz00_2224;

											{	/* Eval/evaluate_fsize.scm 392 */
												int BgL_arg1972z00_2225;

												BgL_arg1972z00_2225 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 392 */
													long BgL_res2011z00_2235;

													{	/* Eval/evaluate_fsize.scm 392 */
														long BgL_auxz00_3851;

														BgL_auxz00_3851 = (long) (BgL_arg1972z00_2225);
														BgL_res2011z00_2235 =
															(BgL_offsetz00_2223 / BgL_auxz00_3851);
													}
													BgL_modz00_2224 = BgL_res2011z00_2235;
											}}
											{	/* Eval/evaluate_fsize.scm 392 */
												long BgL_restz00_2226;

												{	/* Eval/evaluate_fsize.scm 392 */
													int BgL_arg1971z00_2227;

													BgL_arg1971z00_2227 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 392 */
														long BgL_res2013z00_2239;

														{	/* Eval/evaluate_fsize.scm 392 */
															long BgL_auxz00_3855;

															BgL_auxz00_3855 = (long) (BgL_arg1971z00_2227);
															BgL_res2013z00_2239 =
																(BgL_offsetz00_2223 % BgL_auxz00_3855);
														}
														BgL_restz00_2226 = BgL_res2013z00_2239;
												}}
												{	/* Eval/evaluate_fsize.scm 392 */

													BgL_res2014z00_2244 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2221,
															(int) (BgL_modz00_2224)),
														(int) (BgL_restz00_2226));
					}}}}}}}}
					BgL_method1363z00_911 = BgL_res2014z00_2244;
				}
				return
					PROCEDURE_ENTRY(BgL_method1363z00_911) (BgL_method1363z00_911,
					((obj_t) BgL_ez00_120), ((obj_t) BgL_vz00_121), BEOA);
			}
		}
	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3177,
		obj_t BgL_ez00_3178, obj_t BgL_vz00_3179)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 392 */
			{	/* Eval/evaluate_fsize.scm 392 */
				BgL_ev_varz00_bglt BgL_auxz00_3877;
				BgL_ev_exprz00_bglt BgL_auxz00_3869;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3179,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 392 */
						BgL_auxz00_3877 = ((BgL_ev_varz00_bglt) BgL_vz00_3179);
					}
				else
					{
						obj_t BgL_auxz00_3881;

						BgL_auxz00_3881 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 11301)),
							BGl_string2162z00zz__evaluate_fsiza7eza7,
							BGl_string2163z00zz__evaluate_fsiza7eza7, BgL_vz00_3179);
						FAILURE(BgL_auxz00_3881, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3178,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 392 */
						BgL_auxz00_3869 = ((BgL_ev_exprz00_bglt) BgL_ez00_3178);
					}
				else
					{
						obj_t BgL_auxz00_3873;

						BgL_auxz00_3873 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 11301)),
							BGl_string2162z00zz__evaluate_fsiza7eza7,
							BGl_string2135z00zz__evaluate_fsiza7eza7, BgL_ez00_3178);
						FAILURE(BgL_auxz00_3873, BFALSE, BFALSE);
					}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_3869,
					BgL_auxz00_3877);
			}
		}
	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_160, BgL_ev_varz00_bglt BgL_vz00_161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 480 */
			{	/* Eval/evaluate_fsize.scm 480 */
				obj_t BgL_method1403z00_912;

				{	/* Eval/evaluate_fsize.scm 480 */
					obj_t BgL_res2021z00_2273;

					{	/* Eval/evaluate_fsize.scm 480 */
						BgL_objectz00_bglt BgL_objz00_2245;

						BgL_objz00_2245 = ((BgL_objectz00_bglt) BgL_ez00_160);
						{	/* Eval/evaluate_fsize.scm 480 */
							long BgL_objzd2classzd2numz00_2246;

							{	/* Eval/evaluate_fsize.scm 480 */
								long BgL_res2015z00_2249;

								BgL_res2015z00_2249 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2245);
								BgL_objzd2classzd2numz00_2246 = BgL_res2015z00_2249;
							}
							{	/* Eval/evaluate_fsize.scm 480 */
								obj_t BgL_arg1970z00_2247;

								BgL_arg1970z00_2247 =
									PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 480 */
									obj_t BgL_arrayz00_2250;
									int BgL_offsetz00_2251;

									BgL_arrayz00_2250 = BgL_arg1970z00_2247;
									BgL_offsetz00_2251 = (int) (BgL_objzd2classzd2numz00_2246);
									{	/* Eval/evaluate_fsize.scm 480 */
										long BgL_offsetz00_2252;

										BgL_offsetz00_2252 =
											((long) (BgL_offsetz00_2251) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 480 */
											long BgL_modz00_2253;

											{	/* Eval/evaluate_fsize.scm 480 */
												int BgL_arg1972z00_2254;

												BgL_arg1972z00_2254 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 480 */
													long BgL_res2018z00_2264;

													{	/* Eval/evaluate_fsize.scm 480 */
														long BgL_auxz00_3894;

														BgL_auxz00_3894 = (long) (BgL_arg1972z00_2254);
														BgL_res2018z00_2264 =
															(BgL_offsetz00_2252 / BgL_auxz00_3894);
													}
													BgL_modz00_2253 = BgL_res2018z00_2264;
											}}
											{	/* Eval/evaluate_fsize.scm 480 */
												long BgL_restz00_2255;

												{	/* Eval/evaluate_fsize.scm 480 */
													int BgL_arg1971z00_2256;

													BgL_arg1971z00_2256 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 480 */
														long BgL_res2020z00_2268;

														{	/* Eval/evaluate_fsize.scm 480 */
															long BgL_auxz00_3898;

															BgL_auxz00_3898 = (long) (BgL_arg1971z00_2256);
															BgL_res2020z00_2268 =
																(BgL_offsetz00_2252 % BgL_auxz00_3898);
														}
														BgL_restz00_2255 = BgL_res2020z00_2268;
												}}
												{	/* Eval/evaluate_fsize.scm 480 */

													BgL_res2021z00_2273 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2250,
															(int) (BgL_modz00_2253)),
														(int) (BgL_restz00_2255));
					}}}}}}}}
					BgL_method1403z00_912 = BgL_res2021z00_2273;
				}
				return
					PROCEDURE_ENTRY(BgL_method1403z00_912) (BgL_method1403z00_912,
					((obj_t) BgL_ez00_160), ((obj_t) BgL_vz00_161), BEOA);
			}
		}
	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3180,
		obj_t BgL_ez00_3181, obj_t BgL_vz00_3182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 480 */
			{	/* Eval/evaluate_fsize.scm 480 */
				BgL_ev_varz00_bglt BgL_auxz00_3920;
				BgL_ev_exprz00_bglt BgL_auxz00_3912;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3182,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 480 */
						BgL_auxz00_3920 = ((BgL_ev_varz00_bglt) BgL_vz00_3182);
					}
				else
					{
						obj_t BgL_auxz00_3924;

						BgL_auxz00_3924 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 14187)),
							BGl_string2164z00zz__evaluate_fsiza7eza7,
							BGl_string2163z00zz__evaluate_fsiza7eza7, BgL_vz00_3182);
						FAILURE(BgL_auxz00_3924, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3181,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 480 */
						BgL_auxz00_3912 = ((BgL_ev_exprz00_bglt) BgL_ez00_3181);
					}
				else
					{
						obj_t BgL_auxz00_3916;

						BgL_auxz00_3916 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2133z00zz__evaluate_fsiza7eza7, BINT(((long) 14187)),
							BGl_string2164z00zz__evaluate_fsiza7eza7,
							BGl_string2135z00zz__evaluate_fsiza7eza7, BgL_ez00_3181);
						FAILURE(BgL_auxz00_3916, BFALSE, BFALSE);
					}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_3912,
					BgL_auxz00_3920);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2165z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2167z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2168z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2169z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2170z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2171z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2172z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2173z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2174z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2175z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2176z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2177z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2178z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2179z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2180z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2181z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2182z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2183z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2184z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2185z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2186z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2187z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2188z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2189z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2190z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2191z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2192z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2193z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2194z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2195z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2196z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2197z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2198z00zz__evaluate_fsiza7eza7,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2199z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2200z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2201z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2202z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2203z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2204z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2205z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2206z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2207z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2208z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2209z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2210z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2211z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2212z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2213z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2214z00zz__evaluate_fsiza7eza7,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2215z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2216z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2217z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2218z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2219z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2220z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2221z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2222z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2223z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2224z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2225z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2226z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2227z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2228z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2229z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2230z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2231z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2232z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2233z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2234z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2236z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2237z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2238z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2239z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2240z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2241z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2242z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2243z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2244z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2245z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2246z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2247z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2248z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2249z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2250z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2251z00zz__evaluate_fsiza7eza7,
				BGl_string2235z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?-ev_abs1437 */
	obj_t BGl_z62hasvarzf3zd2ev_abs1437z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3268, obj_t BgL_ez00_3269, obj_t BgL_vz00_3270)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 545 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1815;
				BgL_ev_varz00_bglt BgL_vz00_1816;

				BgL_ez00_1815 = ((BgL_ev_absz00_bglt) BgL_ez00_3269);
				BgL_vz00_1816 = ((BgL_ev_varz00_bglt) BgL_vz00_3270);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1815))->BgL_bodyz00),
					BgL_vz00_1816);
			}
		}
	}



/* &hasvar?-ev_app1435 */
	obj_t BGl_z62hasvarzf3zd2ev_app1435z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3271, obj_t BgL_ez00_3272, obj_t BgL_vz00_3273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 541 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1798;
				BgL_ev_varz00_bglt BgL_vz00_1799;

				BgL_ez00_1798 = ((BgL_ev_appz00_bglt) BgL_ez00_3272);
				BgL_vz00_1799 = ((BgL_ev_varz00_bglt) BgL_vz00_3273);
				{	/* Eval/evaluate_fsize.scm 543 */
					obj_t BgL__ortest_1169z00_1803;

					BgL__ortest_1169z00_1803 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1798))->BgL_funz00),
						BgL_vz00_1799);
					if (CBOOL(BgL__ortest_1169z00_1803))
						{	/* Eval/evaluate_fsize.scm 543 */
							return BgL__ortest_1169z00_1803;
						}
					else
						{	/* Eval/evaluate_fsize.scm 543 */
							obj_t BgL_g1246z00_1804;

							BgL_g1246z00_1804 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1798))->BgL_argsz00);
							{
								obj_t BgL_l1244z00_1806;

								BgL_l1244z00_1806 = BgL_g1246z00_1804;
							BgL_zc3anonymousza31774ze3z83_1807:
								if (NULLP(BgL_l1244z00_1806))
									{	/* Eval/evaluate_fsize.scm 543 */
										return BFALSE;
									}
								else
									{	/* Eval/evaluate_fsize.scm 543 */
										obj_t BgL__ortest_1247z00_1809;

										{	/* Eval/evaluate_fsize.scm 543 */
											obj_t BgL_ez00_1811;

											BgL_ez00_1811 = CAR(BgL_l1244z00_1806);
											BgL__ortest_1247z00_1809 =
												BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1811), BgL_vz00_1799);
										}
										if (CBOOL(BgL__ortest_1247z00_1809))
											{	/* Eval/evaluate_fsize.scm 543 */
												return BgL__ortest_1247z00_1809;
											}
										else
											{
												obj_t BgL_l1244z00_4030;

												BgL_l1244z00_4030 = CDR(BgL_l1244z00_1806);
												BgL_l1244z00_1806 = BgL_l1244z00_4030;
												goto BgL_zc3anonymousza31774ze3z83_1807;
											}
									}
							}
						}
				}
			}
		}
	}



/* &hasvar?-ev_goto1433 */
	obj_t BGl_z62hasvarzf3zd2ev_goto1433z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3274, obj_t BgL_ez00_3275, obj_t BgL_vz00_3276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 537 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1783;
				BgL_ev_varz00_bglt BgL_vz00_1784;

				BgL_ez00_1783 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3275);
				BgL_vz00_1784 = ((BgL_ev_varz00_bglt) BgL_vz00_3276);
				{	/* Eval/evaluate_fsize.scm 539 */
					obj_t BgL_g1242z00_1788;

					BgL_g1242z00_1788 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1783))->BgL_argsz00);
					{
						obj_t BgL_l1240z00_1790;

						BgL_l1240z00_1790 = BgL_g1242z00_1788;
					BgL_zc3anonymousza31771ze3z83_1791:
						if (NULLP(BgL_l1240z00_1790))
							{	/* Eval/evaluate_fsize.scm 539 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 539 */
								obj_t BgL__ortest_1243z00_1793;

								{	/* Eval/evaluate_fsize.scm 539 */
									obj_t BgL_ez00_1795;

									BgL_ez00_1795 = CAR(BgL_l1240z00_1790);
									BgL__ortest_1243z00_1793 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_ez00_1795), BgL_vz00_1784);
								}
								if (CBOOL(BgL__ortest_1243z00_1793))
									{	/* Eval/evaluate_fsize.scm 539 */
										return BgL__ortest_1243z00_1793;
									}
								else
									{
										obj_t BgL_l1240z00_4042;

										BgL_l1240z00_4042 = CDR(BgL_l1240z00_1790);
										BgL_l1240z00_1790 = BgL_l1240z00_4042;
										goto BgL_zc3anonymousza31771ze3z83_1791;
									}
							}
					}
				}
			}
		}
	}



/* &hasvar?-ev_labels1431 */
	obj_t BGl_z62hasvarzf3zd2ev_labels1431z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3277, obj_t BgL_ez00_3278, obj_t BgL_vz00_3279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 532 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1765;
				BgL_ev_varz00_bglt BgL_vz00_1766;

				BgL_ez00_1765 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3278);
				BgL_vz00_1766 = ((BgL_ev_varz00_bglt) BgL_vz00_3279);
				{	/* Eval/evaluate_fsize.scm 534 */
					obj_t BgL__ortest_1166z00_1770;

					{	/* Eval/evaluate_fsize.scm 534 */
						obj_t BgL_g1238z00_1772;

						BgL_g1238z00_1772 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1765))->BgL_valsz00);
						{
							obj_t BgL_l1236z00_1774;

							BgL_l1236z00_1774 = BgL_g1238z00_1772;
						BgL_zc3anonymousza31767ze3z83_1775:
							if (NULLP(BgL_l1236z00_1774))
								{	/* Eval/evaluate_fsize.scm 534 */
									BgL__ortest_1166z00_1770 = BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 534 */
									obj_t BgL__ortest_1239z00_1777;

									{	/* Eval/evaluate_fsize.scm 534 */
										obj_t BgL_ez00_1779;

										BgL_ez00_1779 = CAR(BgL_l1236z00_1774);
										{	/* Eval/evaluate_fsize.scm 534 */
											obj_t BgL_arg1770z00_1780;

											BgL_arg1770z00_1780 = CDR(BgL_ez00_1779);
											BgL__ortest_1239z00_1777 =
												BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1770z00_1780),
												BgL_vz00_1766);
										}
									}
									if (CBOOL(BgL__ortest_1239z00_1777))
										{	/* Eval/evaluate_fsize.scm 534 */
											BgL__ortest_1166z00_1770 = BgL__ortest_1239z00_1777;
										}
									else
										{
											obj_t BgL_l1236z00_4055;

											BgL_l1236z00_4055 = CDR(BgL_l1236z00_1774);
											BgL_l1236z00_1774 = BgL_l1236z00_4055;
											goto BgL_zc3anonymousza31767ze3z83_1775;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1166z00_1770))
						{	/* Eval/evaluate_fsize.scm 534 */
							return BgL__ortest_1166z00_1770;
						}
					else
						{	/* Eval/evaluate_fsize.scm 534 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1765))->BgL_bodyz00),
								BgL_vz00_1766);
						}
				}
			}
		}
	}



/* &hasvar?-ev_binder1429 */
	obj_t BGl_z62hasvarzf3zd2ev_binder1429z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3280, obj_t BgL_ez00_3281, obj_t BgL_vz00_3282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 527 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1748;
				BgL_ev_varz00_bglt BgL_vz00_1749;

				BgL_ez00_1748 = ((BgL_ev_binderz00_bglt) BgL_ez00_3281);
				BgL_vz00_1749 = ((BgL_ev_varz00_bglt) BgL_vz00_3282);
				{	/* Eval/evaluate_fsize.scm 529 */
					obj_t BgL__ortest_1164z00_1753;

					{	/* Eval/evaluate_fsize.scm 529 */
						obj_t BgL_g1234z00_1755;

						BgL_g1234z00_1755 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1748))->BgL_valsz00);
						{
							obj_t BgL_l1232z00_1757;

							BgL_l1232z00_1757 = BgL_g1234z00_1755;
						BgL_zc3anonymousza31763ze3z83_1758:
							if (NULLP(BgL_l1232z00_1757))
								{	/* Eval/evaluate_fsize.scm 529 */
									BgL__ortest_1164z00_1753 = BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 529 */
									obj_t BgL__ortest_1235z00_1760;

									{	/* Eval/evaluate_fsize.scm 529 */
										obj_t BgL_ez00_1762;

										BgL_ez00_1762 = CAR(BgL_l1232z00_1757);
										BgL__ortest_1235z00_1760 =
											BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_ez00_1762), BgL_vz00_1749);
									}
									if (CBOOL(BgL__ortest_1235z00_1760))
										{	/* Eval/evaluate_fsize.scm 529 */
											BgL__ortest_1164z00_1753 = BgL__ortest_1235z00_1760;
										}
									else
										{
											obj_t BgL_l1232z00_4071;

											BgL_l1232z00_4071 = CDR(BgL_l1232z00_1757);
											BgL_l1232z00_1757 = BgL_l1232z00_4071;
											goto BgL_zc3anonymousza31763ze3z83_1758;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1164z00_1753))
						{	/* Eval/evaluate_fsize.scm 529 */
							return BgL__ortest_1164z00_1753;
						}
					else
						{	/* Eval/evaluate_fsize.scm 529 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1748))->BgL_bodyz00),
								BgL_vz00_1749);
						}
				}
			}
		}
	}



/* &hasvar?-ev_synchroni1427 */
	obj_t BGl_z62hasvarzf3zd2ev_synchroni1427z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3283, obj_t BgL_ez00_3284, obj_t BgL_vz00_3285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 523 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1739;
				BgL_ev_varz00_bglt BgL_vz00_1740;

				BgL_ez00_1739 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3284);
				BgL_vz00_1740 = ((BgL_ev_varz00_bglt) BgL_vz00_3285);
				{	/* Eval/evaluate_fsize.scm 524 */
					obj_t BgL__ortest_1162z00_2871;

					BgL__ortest_1162z00_2871 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1739))->
							BgL_mutexz00), BgL_vz00_1740);
					if (CBOOL(BgL__ortest_1162z00_2871))
						{	/* Eval/evaluate_fsize.scm 524 */
							return BgL__ortest_1162z00_2871;
						}
					else
						{	/* Eval/evaluate_fsize.scm 524 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1739))->
									BgL_bodyz00), BgL_vz00_1740);
						}
				}
			}
		}
	}



/* &hasvar?-ev_with-hand1425 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1425z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3286, obj_t BgL_ez00_3287, obj_t BgL_vz00_3288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 519 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1730;
				BgL_ev_varz00_bglt BgL_vz00_1731;

				BgL_ez00_1730 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3287);
				BgL_vz00_1731 = ((BgL_ev_varz00_bglt) BgL_vz00_3288);
				{	/* Eval/evaluate_fsize.scm 520 */
					obj_t BgL__ortest_1160z00_2867;

					BgL__ortest_1160z00_2867 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1730))->
							BgL_handlerz00), BgL_vz00_1731);
					if (CBOOL(BgL__ortest_1160z00_2867))
						{	/* Eval/evaluate_fsize.scm 520 */
							return BgL__ortest_1160z00_2867;
						}
					else
						{	/* Eval/evaluate_fsize.scm 520 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1730))->
									BgL_bodyz00), BgL_vz00_1731);
						}
				}
			}
		}
	}



/* &hasvar?-ev_unwind-pr1423 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1423z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3289, obj_t BgL_ez00_3290, obj_t BgL_vz00_3291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 515 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1721;
				BgL_ev_varz00_bglt BgL_vz00_1722;

				BgL_ez00_1721 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3290);
				BgL_vz00_1722 = ((BgL_ev_varz00_bglt) BgL_vz00_3291);
				{	/* Eval/evaluate_fsize.scm 516 */
					obj_t BgL__ortest_1158z00_2863;

					BgL__ortest_1158z00_2863 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1721))->BgL_ez00),
						BgL_vz00_1722);
					if (CBOOL(BgL__ortest_1158z00_2863))
						{	/* Eval/evaluate_fsize.scm 516 */
							return BgL__ortest_1158z00_2863;
						}
					else
						{	/* Eval/evaluate_fsize.scm 516 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1721))->
									BgL_bodyz00), BgL_vz00_1722);
						}
				}
			}
		}
	}



/* &hasvar?-ev_bind-exit1421 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1421z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3292, obj_t BgL_ez00_3293, obj_t BgL_vz00_3294)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 511 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1714;
				BgL_ev_varz00_bglt BgL_vz00_1715;

				BgL_ez00_1714 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3293);
				BgL_vz00_1715 = ((BgL_ev_varz00_bglt) BgL_vz00_3294);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1714))->BgL_bodyz00),
					BgL_vz00_1715);
			}
		}
	}



/* &hasvar?-ev_setlocal1419 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal1419z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3295, obj_t BgL_ez00_3296, obj_t BgL_varz00_3297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 507 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1705;
				BgL_ev_varz00_bglt BgL_varz00_1706;

				BgL_ez00_1705 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_3296);
				BgL_varz00_1706 = ((BgL_ev_varz00_bglt) BgL_varz00_3297);
				{	/* Eval/evaluate_fsize.scm 508 */
					bool_t BgL__ortest_1155z00_2857;

					BgL__ortest_1155z00_2857 =
						(
						((obj_t)
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1705))->BgL_vz00)) ==
						((obj_t) BgL_varz00_1706));
					if (BgL__ortest_1155z00_2857)
						{	/* Eval/evaluate_fsize.scm 508 */
							return BBOOL(BgL__ortest_1155z00_2857);
						}
					else
						{	/* Eval/evaluate_fsize.scm 508 */
							BgL_ev_exprz00_bglt BgL_arg1753z00_2859;

							BgL_arg1753z00_2859 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_1705)))->BgL_ez00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1753z00_2859,
								BgL_varz00_1706);
						}
				}
			}
		}
	}



/* &hasvar?-ev_hook1417 */
	obj_t BGl_z62hasvarzf3zd2ev_hook1417z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3298, obj_t BgL_ez00_3299, obj_t BgL_vz00_3300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 503 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1698;
				BgL_ev_varz00_bglt BgL_vz00_1699;

				BgL_ez00_1698 = ((BgL_ev_hookz00_bglt) BgL_ez00_3299);
				BgL_vz00_1699 = ((BgL_ev_varz00_bglt) BgL_vz00_3300);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1698))->BgL_ez00),
					BgL_vz00_1699);
			}
		}
	}



/* &hasvar?-ev_prog21415 */
	obj_t BGl_z62hasvarzf3zd2ev_prog21415z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3301, obj_t BgL_ez00_3302, obj_t BgL_vz00_3303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 499 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1689;
				BgL_ev_varz00_bglt BgL_vz00_1690;

				BgL_ez00_1689 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3302);
				BgL_vz00_1690 = ((BgL_ev_varz00_bglt) BgL_vz00_3303);
				{	/* Eval/evaluate_fsize.scm 500 */
					obj_t BgL__ortest_1152z00_2851;

					BgL__ortest_1152z00_2851 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1689))->BgL_e1z00),
						BgL_vz00_1690);
					if (CBOOL(BgL__ortest_1152z00_2851))
						{	/* Eval/evaluate_fsize.scm 500 */
							return BgL__ortest_1152z00_2851;
						}
					else
						{	/* Eval/evaluate_fsize.scm 500 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1689))->BgL_e2z00),
								BgL_vz00_1690);
						}
				}
			}
		}
	}



/* &hasvar?-ev_list1413 */
	obj_t BGl_z62hasvarzf3zd2ev_list1413z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3304, obj_t BgL_ez00_3305, obj_t BgL_vz00_3306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 495 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1674;
				BgL_ev_varz00_bglt BgL_vz00_1675;

				BgL_ez00_1674 = ((BgL_ev_listz00_bglt) BgL_ez00_3305);
				BgL_vz00_1675 = ((BgL_ev_varz00_bglt) BgL_vz00_3306);
				{	/* Eval/evaluate_fsize.scm 497 */
					obj_t BgL_g1230z00_1679;

					BgL_g1230z00_1679 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1674))->BgL_argsz00);
					{
						obj_t BgL_l1228z00_1681;

						BgL_l1228z00_1681 = BgL_g1230z00_1679;
					BgL_zc3anonymousza31747ze3z83_1682:
						if (NULLP(BgL_l1228z00_1681))
							{	/* Eval/evaluate_fsize.scm 497 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 497 */
								obj_t BgL__ortest_1231z00_1684;

								{	/* Eval/evaluate_fsize.scm 497 */
									obj_t BgL_az00_1686;

									BgL_az00_1686 = CAR(BgL_l1228z00_1681);
									BgL__ortest_1231z00_1684 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_az00_1686), BgL_vz00_1675);
								}
								if (CBOOL(BgL__ortest_1231z00_1684))
									{	/* Eval/evaluate_fsize.scm 497 */
										return BgL__ortest_1231z00_1684;
									}
								else
									{
										obj_t BgL_l1228z00_4138;

										BgL_l1228z00_4138 = CDR(BgL_l1228z00_1681);
										BgL_l1228z00_1681 = BgL_l1228z00_4138;
										goto BgL_zc3anonymousza31747ze3z83_1682;
									}
							}
					}
				}
			}
		}
	}



/* &hasvar?-ev_if1411 */
	obj_t BGl_z62hasvarzf3zd2ev_if1411z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3307, obj_t BgL_ez00_3308, obj_t BgL_vz00_3309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 491 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1663;
				BgL_ev_varz00_bglt BgL_vz00_1664;

				BgL_ez00_1663 = ((BgL_ev_ifz00_bglt) BgL_ez00_3308);
				BgL_vz00_1664 = ((BgL_ev_varz00_bglt) BgL_vz00_3309);
				{	/* Eval/evaluate_fsize.scm 492 */
					obj_t BgL__ortest_1148z00_2841;

					BgL__ortest_1148z00_2841 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1663))->BgL_pz00),
						BgL_vz00_1664);
					if (CBOOL(BgL__ortest_1148z00_2841))
						{	/* Eval/evaluate_fsize.scm 492 */
							return BgL__ortest_1148z00_2841;
						}
					else
						{	/* Eval/evaluate_fsize.scm 492 */
							obj_t BgL__ortest_1149z00_2843;

							BgL__ortest_1149z00_2843 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1663))->BgL_tz00),
								BgL_vz00_1664);
							if (CBOOL(BgL__ortest_1149z00_2843))
								{	/* Eval/evaluate_fsize.scm 492 */
									return BgL__ortest_1149z00_2843;
								}
							else
								{	/* Eval/evaluate_fsize.scm 492 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1663))->BgL_ez00),
										BgL_vz00_1664);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_litt1409 */
	obj_t BGl_z62hasvarzf3zd2ev_litt1409z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3310, obj_t BgL_ez00_3311, obj_t BgL_vz00_3312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 488 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_global1407 */
	obj_t BGl_z62hasvarzf3zd2ev_global1407z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3313, obj_t BgL_ez00_3314, obj_t BgL_vz00_3315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 485 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_var1405 */
	obj_t BGl_z62hasvarzf3zd2ev_var1405z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3316, obj_t BgL_ez00_3317, obj_t BgL_vz00_3318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 482 */
			return
				BBOOL(
				(((obj_t)
						((BgL_ev_varz00_bglt) BgL_ez00_3317)) ==
					((obj_t) ((BgL_ev_varz00_bglt) BgL_vz00_3318))));
		}
	}



/* &tailpos-ev_abs1401 */
	obj_t BGl_z62tailposzd2ev_abs1401zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3319, obj_t BgL_ez00_3320, obj_t BgL_vz00_3321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 474 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1640;
				BgL_ev_varz00_bglt BgL_vz00_1641;

				{	/* Eval/evaluate_fsize.scm 475 */
					bool_t BgL_auxz00_4162;

					BgL_ez00_1640 = ((BgL_ev_absz00_bglt) BgL_ez00_3320);
					BgL_vz00_1641 = ((BgL_ev_varz00_bglt) BgL_vz00_3321);
					{	/* Eval/evaluate_fsize.scm 475 */
						bool_t BgL_testz00_4163;

						{	/* Eval/evaluate_fsize.scm 475 */
							BgL_ev_exprz00_bglt BgL_arg1742z00_2839;

							BgL_arg1742z00_2839 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1640))->BgL_bodyz00);
							BgL_testz00_4163 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1742z00_2839, BgL_vz00_1641));
						}
						if (BgL_testz00_4163)
							{	/* Eval/evaluate_fsize.scm 475 */
								BgL_auxz00_4162 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 475 */
								BgL_auxz00_4162 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4162);
				}
			}
		}
	}



/* &tailpos-ev_app1399 */
	obj_t BGl_z62tailposzd2ev_app1399zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3322, obj_t BgL_ez00_3323, obj_t BgL_vz00_3324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 468 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1618;
				BgL_ev_varz00_bglt BgL_vz00_1619;

				{	/* Eval/evaluate_fsize.scm 469 */
					bool_t BgL_auxz00_4170;

					BgL_ez00_1618 = ((BgL_ev_appz00_bglt) BgL_ez00_3323);
					BgL_vz00_1619 = ((BgL_ev_varz00_bglt) BgL_vz00_3324);
					{	/* Eval/evaluate_fsize.scm 470 */
						bool_t BgL_testz00_4171;

						{	/* Eval/evaluate_fsize.scm 470 */
							obj_t BgL_g1226z00_1628;

							BgL_g1226z00_1628 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1618))->BgL_argsz00);
							{
								obj_t BgL_l1224z00_1630;

								BgL_l1224z00_1630 = BgL_g1226z00_1628;
							BgL_zc3anonymousza31737ze3z83_1631:
								if (NULLP(BgL_l1224z00_1630))
									{	/* Eval/evaluate_fsize.scm 470 */
										BgL_testz00_4171 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_fsize.scm 470 */
										bool_t BgL_testz00_4175;

										{	/* Eval/evaluate_fsize.scm 470 */
											bool_t BgL_testz00_4176;

											{	/* Eval/evaluate_fsize.scm 470 */
												obj_t BgL_auxz00_4177;

												{	/* Eval/evaluate_fsize.scm 470 */
													BgL_ev_exprz00_bglt BgL_auxz00_4178;

													{	/* Eval/evaluate_fsize.scm 470 */
														obj_t BgL_pairz00_2835;

														BgL_pairz00_2835 = BgL_l1224z00_1630;
														BgL_auxz00_4178 =
															((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2835));
													}
													BgL_auxz00_4177 =
														BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
														(BgL_auxz00_4178, BgL_vz00_1619);
												}
												BgL_testz00_4176 = CBOOL(BgL_auxz00_4177);
											}
											if (BgL_testz00_4176)
												{	/* Eval/evaluate_fsize.scm 470 */
													BgL_testz00_4175 = ((bool_t) 0);
												}
											else
												{	/* Eval/evaluate_fsize.scm 470 */
													BgL_testz00_4175 = ((bool_t) 1);
												}
										}
										if (BgL_testz00_4175)
											{
												obj_t BgL_l1224z00_4183;

												BgL_l1224z00_4183 = CDR(BgL_l1224z00_1630);
												BgL_l1224z00_1630 = BgL_l1224z00_4183;
												goto BgL_zc3anonymousza31737ze3z83_1631;
											}
										else
											{	/* Eval/evaluate_fsize.scm 470 */
												BgL_testz00_4171 = ((bool_t) 0);
											}
									}
							}
						}
						if (BgL_testz00_4171)
							{	/* Eval/evaluate_fsize.scm 471 */
								bool_t BgL__ortest_1145z00_1624;

								BgL__ortest_1145z00_1624 =
									(
									((obj_t)
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1618))->BgL_funz00)) ==
									((obj_t) BgL_vz00_1619));
								if (BgL__ortest_1145z00_1624)
									{	/* Eval/evaluate_fsize.scm 471 */
										BgL_auxz00_4170 = BgL__ortest_1145z00_1624;
									}
								else
									{	/* Eval/evaluate_fsize.scm 472 */
										bool_t BgL_testz00_4190;

										{	/* Eval/evaluate_fsize.scm 472 */
											BgL_ev_exprz00_bglt BgL_arg1735z00_1626;

											BgL_arg1735z00_1626 =
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1618))->
												BgL_funz00);
											BgL_testz00_4190 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1735z00_1626, BgL_vz00_1619));
										}
										if (BgL_testz00_4190)
											{	/* Eval/evaluate_fsize.scm 472 */
												BgL_auxz00_4170 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 472 */
												BgL_auxz00_4170 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 470 */
								BgL_auxz00_4170 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4170);
				}
			}
		}
	}



/* &tailpos-ev_goto1397 */
	obj_t BGl_z62tailposzd2ev_goto1397zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3325, obj_t BgL_ez00_3326, obj_t BgL_vz00_3327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 464 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1601;
				BgL_ev_varz00_bglt BgL_vz00_1602;

				{	/* Eval/evaluate_fsize.scm 465 */
					bool_t BgL_auxz00_4197;

					BgL_ez00_1601 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3326);
					BgL_vz00_1602 = ((BgL_ev_varz00_bglt) BgL_vz00_3327);
					{	/* Eval/evaluate_fsize.scm 466 */
						obj_t BgL_g1222z00_1606;

						BgL_g1222z00_1606 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1601))->BgL_argsz00);
						{
							obj_t BgL_l1220z00_1608;

							BgL_l1220z00_1608 = BgL_g1222z00_1606;
						BgL_zc3anonymousza31730ze3z83_1609:
							if (NULLP(BgL_l1220z00_1608))
								{	/* Eval/evaluate_fsize.scm 466 */
									BgL_auxz00_4197 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 466 */
									bool_t BgL_testz00_4201;

									{	/* Eval/evaluate_fsize.scm 466 */
										bool_t BgL_testz00_4202;

										{	/* Eval/evaluate_fsize.scm 466 */
											obj_t BgL_auxz00_4203;

											{	/* Eval/evaluate_fsize.scm 466 */
												BgL_ev_exprz00_bglt BgL_auxz00_4204;

												{	/* Eval/evaluate_fsize.scm 466 */
													obj_t BgL_pairz00_2831;

													BgL_pairz00_2831 = BgL_l1220z00_1608;
													BgL_auxz00_4204 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2831));
												}
												BgL_auxz00_4203 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4204, BgL_vz00_1602);
											}
											BgL_testz00_4202 = CBOOL(BgL_auxz00_4203);
										}
										if (BgL_testz00_4202)
											{	/* Eval/evaluate_fsize.scm 466 */
												BgL_testz00_4201 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 466 */
												BgL_testz00_4201 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4201)
										{
											obj_t BgL_l1220z00_4209;

											BgL_l1220z00_4209 = CDR(BgL_l1220z00_1608);
											BgL_l1220z00_1608 = BgL_l1220z00_4209;
											goto BgL_zc3anonymousza31730ze3z83_1609;
										}
									else
										{	/* Eval/evaluate_fsize.scm 466 */
											BgL_auxz00_4197 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4197);
				}
			}
		}
	}



/* &tailpos-ev_labels1395 */
	obj_t BGl_z62tailposzd2ev_labels1395zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3328, obj_t BgL_ez00_3329, obj_t BgL_vz00_3330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 459 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1582;
				BgL_ev_varz00_bglt BgL_vz00_1583;

				BgL_ez00_1582 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3329);
				BgL_vz00_1583 = ((BgL_ev_varz00_bglt) BgL_vz00_3330);
				{	/* Eval/evaluate_fsize.scm 461 */
					bool_t BgL_testz00_4214;

					{	/* Eval/evaluate_fsize.scm 461 */
						obj_t BgL_g1218z00_1589;

						BgL_g1218z00_1589 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1582))->BgL_valsz00);
						{
							obj_t BgL_l1216z00_1591;

							BgL_l1216z00_1591 = BgL_g1218z00_1589;
						BgL_zc3anonymousza31726ze3z83_1592:
							if (NULLP(BgL_l1216z00_1591))
								{	/* Eval/evaluate_fsize.scm 461 */
									BgL_testz00_4214 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 461 */
									obj_t BgL_nvz00_1594;

									{	/* Eval/evaluate_fsize.scm 461 */
										obj_t BgL_ez00_1597;

										BgL_ez00_1597 = CAR(BgL_l1216z00_1591);
										{	/* Eval/evaluate_fsize.scm 461 */
											obj_t BgL_arg1729z00_1598;

											BgL_arg1729z00_1598 = CDR(BgL_ez00_1597);
											BgL_nvz00_1594 =
												BGl_tailposz00zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1729z00_1598),
												BgL_vz00_1583);
										}
									}
									if (CBOOL(BgL_nvz00_1594))
										{
											obj_t BgL_l1216z00_4224;

											BgL_l1216z00_4224 = CDR(BgL_l1216z00_1591);
											BgL_l1216z00_1591 = BgL_l1216z00_4224;
											goto BgL_zc3anonymousza31726ze3z83_1592;
										}
									else
										{	/* Eval/evaluate_fsize.scm 461 */
											BgL_testz00_4214 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4214)
						{	/* Eval/evaluate_fsize.scm 461 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1582))->BgL_bodyz00),
								BgL_vz00_1583);
						}
					else
						{	/* Eval/evaluate_fsize.scm 461 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_letrec1393 */
	obj_t BGl_z62tailposzd2ev_letrec1393zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3331, obj_t BgL_ez00_3332, obj_t BgL_vz00_3333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 454 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1563;
				BgL_ev_varz00_bglt BgL_vz00_1564;

				BgL_ez00_1563 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3332);
				BgL_vz00_1564 = ((BgL_ev_varz00_bglt) BgL_vz00_3333);
				{	/* Eval/evaluate_fsize.scm 456 */
					bool_t BgL_testz00_4230;

					{	/* Eval/evaluate_fsize.scm 456 */
						obj_t BgL_g1214z00_1570;

						BgL_g1214z00_1570 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1563)))->BgL_valsz00);
						{
							obj_t BgL_l1212z00_1572;

							BgL_l1212z00_1572 = BgL_g1214z00_1570;
						BgL_zc3anonymousza31721ze3z83_1573:
							if (NULLP(BgL_l1212z00_1572))
								{	/* Eval/evaluate_fsize.scm 456 */
									BgL_testz00_4230 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 456 */
									bool_t BgL_testz00_4235;

									{	/* Eval/evaluate_fsize.scm 456 */
										bool_t BgL_testz00_4236;

										{	/* Eval/evaluate_fsize.scm 456 */
											obj_t BgL_auxz00_4237;

											{	/* Eval/evaluate_fsize.scm 456 */
												BgL_ev_exprz00_bglt BgL_auxz00_4238;

												{	/* Eval/evaluate_fsize.scm 456 */
													obj_t BgL_pairz00_2822;

													BgL_pairz00_2822 = BgL_l1212z00_1572;
													BgL_auxz00_4238 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2822));
												}
												BgL_auxz00_4237 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4238, BgL_vz00_1564);
											}
											BgL_testz00_4236 = CBOOL(BgL_auxz00_4237);
										}
										if (BgL_testz00_4236)
											{	/* Eval/evaluate_fsize.scm 456 */
												BgL_testz00_4235 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 456 */
												BgL_testz00_4235 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4235)
										{
											obj_t BgL_l1212z00_4243;

											BgL_l1212z00_4243 = CDR(BgL_l1212z00_1572);
											BgL_l1212z00_1572 = BgL_l1212z00_4243;
											goto BgL_zc3anonymousza31721ze3z83_1573;
										}
									else
										{	/* Eval/evaluate_fsize.scm 456 */
											BgL_testz00_4230 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4230)
						{	/* Eval/evaluate_fsize.scm 457 */
							BgL_ev_exprz00_bglt BgL_arg1720z00_1569;

							BgL_arg1720z00_1569 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1563)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1720z00_1569,
								BgL_vz00_1564);
						}
					else
						{	/* Eval/evaluate_fsize.scm 456 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let*1391 */
	obj_t BGl_z62tailposzd2ev_letza21391z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3334, obj_t BgL_ez00_3335, obj_t BgL_vz00_3336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 449 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1544;
				BgL_ev_varz00_bglt BgL_vz00_1545;

				BgL_ez00_1544 = ((BgL_ev_letza2za2_bglt) BgL_ez00_3335);
				BgL_vz00_1545 = ((BgL_ev_varz00_bglt) BgL_vz00_3336);
				{	/* Eval/evaluate_fsize.scm 451 */
					bool_t BgL_testz00_4250;

					{	/* Eval/evaluate_fsize.scm 451 */
						obj_t BgL_g1210z00_1551;

						BgL_g1210z00_1551 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1544)))->BgL_valsz00);
						{
							obj_t BgL_l1208z00_1553;

							BgL_l1208z00_1553 = BgL_g1210z00_1551;
						BgL_zc3anonymousza31716ze3z83_1554:
							if (NULLP(BgL_l1208z00_1553))
								{	/* Eval/evaluate_fsize.scm 451 */
									BgL_testz00_4250 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 451 */
									bool_t BgL_testz00_4255;

									{	/* Eval/evaluate_fsize.scm 451 */
										bool_t BgL_testz00_4256;

										{	/* Eval/evaluate_fsize.scm 451 */
											obj_t BgL_auxz00_4257;

											{	/* Eval/evaluate_fsize.scm 451 */
												BgL_ev_exprz00_bglt BgL_auxz00_4258;

												{	/* Eval/evaluate_fsize.scm 451 */
													obj_t BgL_pairz00_2818;

													BgL_pairz00_2818 = BgL_l1208z00_1553;
													BgL_auxz00_4258 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2818));
												}
												BgL_auxz00_4257 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4258, BgL_vz00_1545);
											}
											BgL_testz00_4256 = CBOOL(BgL_auxz00_4257);
										}
										if (BgL_testz00_4256)
											{	/* Eval/evaluate_fsize.scm 451 */
												BgL_testz00_4255 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 451 */
												BgL_testz00_4255 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4255)
										{
											obj_t BgL_l1208z00_4263;

											BgL_l1208z00_4263 = CDR(BgL_l1208z00_1553);
											BgL_l1208z00_1553 = BgL_l1208z00_4263;
											goto BgL_zc3anonymousza31716ze3z83_1554;
										}
									else
										{	/* Eval/evaluate_fsize.scm 451 */
											BgL_testz00_4250 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4250)
						{	/* Eval/evaluate_fsize.scm 452 */
							BgL_ev_exprz00_bglt BgL_arg1715z00_1550;

							BgL_arg1715z00_1550 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1544)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1715z00_1550,
								BgL_vz00_1545);
						}
					else
						{	/* Eval/evaluate_fsize.scm 451 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let1389 */
	obj_t BGl_z62tailposzd2ev_let1389zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3337, obj_t BgL_ez00_3338, obj_t BgL_vz00_3339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 444 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1525;
				BgL_ev_varz00_bglt BgL_vz00_1526;

				BgL_ez00_1525 = ((BgL_ev_letz00_bglt) BgL_ez00_3338);
				BgL_vz00_1526 = ((BgL_ev_varz00_bglt) BgL_vz00_3339);
				{	/* Eval/evaluate_fsize.scm 446 */
					bool_t BgL_testz00_4270;

					{	/* Eval/evaluate_fsize.scm 446 */
						obj_t BgL_g1206z00_1532;

						BgL_g1206z00_1532 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1525)))->BgL_valsz00);
						{
							obj_t BgL_l1204z00_1534;

							BgL_l1204z00_1534 = BgL_g1206z00_1532;
						BgL_zc3anonymousza31711ze3z83_1535:
							if (NULLP(BgL_l1204z00_1534))
								{	/* Eval/evaluate_fsize.scm 446 */
									BgL_testz00_4270 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 446 */
									bool_t BgL_testz00_4275;

									{	/* Eval/evaluate_fsize.scm 446 */
										bool_t BgL_testz00_4276;

										{	/* Eval/evaluate_fsize.scm 446 */
											obj_t BgL_auxz00_4277;

											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_ev_exprz00_bglt BgL_auxz00_4278;

												{	/* Eval/evaluate_fsize.scm 446 */
													obj_t BgL_pairz00_2814;

													BgL_pairz00_2814 = BgL_l1204z00_1534;
													BgL_auxz00_4278 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2814));
												}
												BgL_auxz00_4277 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4278, BgL_vz00_1526);
											}
											BgL_testz00_4276 = CBOOL(BgL_auxz00_4277);
										}
										if (BgL_testz00_4276)
											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_testz00_4275 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_testz00_4275 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4275)
										{
											obj_t BgL_l1204z00_4283;

											BgL_l1204z00_4283 = CDR(BgL_l1204z00_1534);
											BgL_l1204z00_1534 = BgL_l1204z00_4283;
											goto BgL_zc3anonymousza31711ze3z83_1535;
										}
									else
										{	/* Eval/evaluate_fsize.scm 446 */
											BgL_testz00_4270 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4270)
						{	/* Eval/evaluate_fsize.scm 447 */
							BgL_ev_exprz00_bglt BgL_arg1710z00_1531;

							BgL_arg1710z00_1531 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1525)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1710z00_1531,
								BgL_vz00_1526);
						}
					else
						{	/* Eval/evaluate_fsize.scm 446 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_synchroni1387 */
	obj_t BGl_z62tailposzd2ev_synchroni1387zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3340, obj_t BgL_ez00_3341, obj_t BgL_vz00_3342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 440 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1514;
				BgL_ev_varz00_bglt BgL_vz00_1515;

				{	/* Eval/evaluate_fsize.scm 441 */
					bool_t BgL_auxz00_4290;

					BgL_ez00_1514 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3341);
					BgL_vz00_1515 = ((BgL_ev_varz00_bglt) BgL_vz00_3342);
					{	/* Eval/evaluate_fsize.scm 441 */
						bool_t BgL_testz00_4291;

						{	/* Eval/evaluate_fsize.scm 441 */
							bool_t BgL_testz00_4292;

							{	/* Eval/evaluate_fsize.scm 441 */
								BgL_ev_exprz00_bglt BgL_arg1709z00_2809;

								BgL_arg1709z00_2809 =
									(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1514))->
									BgL_mutexz00);
								BgL_testz00_4292 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1709z00_2809, BgL_vz00_1515));
							}
							if (BgL_testz00_4292)
								{	/* Eval/evaluate_fsize.scm 441 */
									BgL_testz00_4291 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 441 */
									BgL_testz00_4291 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4291)
							{	/* Eval/evaluate_fsize.scm 441 */
								bool_t BgL_testz00_4296;

								{	/* Eval/evaluate_fsize.scm 441 */
									BgL_ev_exprz00_bglt BgL_arg1707z00_2811;

									BgL_arg1707z00_2811 =
										(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1514))->
										BgL_bodyz00);
									BgL_testz00_4296 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1707z00_2811, BgL_vz00_1515));
								}
								if (BgL_testz00_4296)
									{	/* Eval/evaluate_fsize.scm 441 */
										BgL_auxz00_4290 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 441 */
										BgL_auxz00_4290 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 441 */
								BgL_auxz00_4290 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4290);
				}
			}
		}
	}



/* &tailpos-ev_with-hand1385 */
	obj_t BGl_z62tailposzd2ev_withzd2hand1385z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3343, obj_t BgL_ez00_3344, obj_t BgL_vz00_3345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 436 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1503;
				BgL_ev_varz00_bglt BgL_vz00_1504;

				{	/* Eval/evaluate_fsize.scm 437 */
					bool_t BgL_auxz00_4303;

					BgL_ez00_1503 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3344);
					BgL_vz00_1504 = ((BgL_ev_varz00_bglt) BgL_vz00_3345);
					{	/* Eval/evaluate_fsize.scm 437 */
						bool_t BgL_testz00_4304;

						{	/* Eval/evaluate_fsize.scm 437 */
							bool_t BgL_testz00_4305;

							{	/* Eval/evaluate_fsize.scm 437 */
								BgL_ev_exprz00_bglt BgL_arg1705z00_2803;

								BgL_arg1705z00_2803 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1503))->
									BgL_handlerz00);
								BgL_testz00_4305 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1705z00_2803, BgL_vz00_1504));
							}
							if (BgL_testz00_4305)
								{	/* Eval/evaluate_fsize.scm 437 */
									BgL_testz00_4304 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 437 */
									BgL_testz00_4304 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4304)
							{	/* Eval/evaluate_fsize.scm 437 */
								bool_t BgL_testz00_4309;

								{	/* Eval/evaluate_fsize.scm 437 */
									BgL_ev_exprz00_bglt BgL_arg1703z00_2805;

									BgL_arg1703z00_2805 =
										(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1503))->
										BgL_bodyz00);
									BgL_testz00_4309 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1703z00_2805, BgL_vz00_1504));
								}
								if (BgL_testz00_4309)
									{	/* Eval/evaluate_fsize.scm 437 */
										BgL_auxz00_4303 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 437 */
										BgL_auxz00_4303 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 437 */
								BgL_auxz00_4303 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4303);
				}
			}
		}
	}



/* &tailpos-ev_unwind-pr1383 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr1383z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3346, obj_t BgL_ez00_3347, obj_t BgL_vz00_3348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 432 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1492;
				BgL_ev_varz00_bglt BgL_vz00_1493;

				{	/* Eval/evaluate_fsize.scm 433 */
					bool_t BgL_auxz00_4316;

					BgL_ez00_1492 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3347);
					BgL_vz00_1493 = ((BgL_ev_varz00_bglt) BgL_vz00_3348);
					{	/* Eval/evaluate_fsize.scm 433 */
						bool_t BgL_testz00_4317;

						{	/* Eval/evaluate_fsize.scm 433 */
							bool_t BgL_testz00_4318;

							{	/* Eval/evaluate_fsize.scm 433 */
								BgL_ev_exprz00_bglt BgL_arg1701z00_2797;

								BgL_arg1701z00_2797 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1492))->
									BgL_ez00);
								BgL_testz00_4318 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1701z00_2797, BgL_vz00_1493));
							}
							if (BgL_testz00_4318)
								{	/* Eval/evaluate_fsize.scm 433 */
									BgL_testz00_4317 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 433 */
									BgL_testz00_4317 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4317)
							{	/* Eval/evaluate_fsize.scm 433 */
								bool_t BgL_testz00_4322;

								{	/* Eval/evaluate_fsize.scm 433 */
									BgL_ev_exprz00_bglt BgL_arg1699z00_2799;

									BgL_arg1699z00_2799 =
										(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1492))->
										BgL_bodyz00);
									BgL_testz00_4322 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1699z00_2799, BgL_vz00_1493));
								}
								if (BgL_testz00_4322)
									{	/* Eval/evaluate_fsize.scm 433 */
										BgL_auxz00_4316 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 433 */
										BgL_auxz00_4316 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 433 */
								BgL_auxz00_4316 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4316);
				}
			}
		}
	}



/* &tailpos-ev_bind-exit1381 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit1381z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3349, obj_t BgL_ez00_3350, obj_t BgL_vz00_3351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 428 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1484;
				BgL_ev_varz00_bglt BgL_vz00_1485;

				{	/* Eval/evaluate_fsize.scm 429 */
					bool_t BgL_auxz00_4329;

					BgL_ez00_1484 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3350);
					BgL_vz00_1485 = ((BgL_ev_varz00_bglt) BgL_vz00_3351);
					{	/* Eval/evaluate_fsize.scm 429 */
						bool_t BgL_testz00_4330;

						{	/* Eval/evaluate_fsize.scm 429 */
							BgL_ev_exprz00_bglt BgL_arg1697z00_2793;

							BgL_arg1697z00_2793 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1484))->
								BgL_bodyz00);
							BgL_testz00_4330 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1697z00_2793, BgL_vz00_1485));
						}
						if (BgL_testz00_4330)
							{	/* Eval/evaluate_fsize.scm 429 */
								BgL_auxz00_4329 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 429 */
								BgL_auxz00_4329 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4329);
				}
			}
		}
	}



/* &tailpos-ev_setlocal1379 */
	obj_t BGl_z62tailposzd2ev_setlocal1379zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3352, obj_t BgL_ez00_3353, obj_t BgL_varz00_3354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 424 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1473;
				BgL_ev_varz00_bglt BgL_varz00_1474;

				{	/* Eval/evaluate_fsize.scm 425 */
					bool_t BgL_auxz00_4337;

					BgL_ez00_1473 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_3353);
					BgL_varz00_1474 = ((BgL_ev_varz00_bglt) BgL_varz00_3354);
					{	/* Eval/evaluate_fsize.scm 425 */
						bool_t BgL_testz00_4338;

						if (
							(((obj_t)
									(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1473))->
										BgL_vz00)) == ((obj_t) BgL_varz00_1474)))
							{	/* Eval/evaluate_fsize.scm 425 */
								BgL_testz00_4338 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 425 */
								BgL_testz00_4338 = ((bool_t) 1);
							}
						if (BgL_testz00_4338)
							{	/* Eval/evaluate_fsize.scm 425 */
								bool_t BgL_testz00_4344;

								{	/* Eval/evaluate_fsize.scm 425 */
									BgL_ev_exprz00_bglt BgL_arg1693z00_2790;

									BgL_arg1693z00_2790 =
										(((BgL_ev_hookz00_bglt) CREF(
												((BgL_ev_hookz00_bglt) BgL_ez00_1473)))->BgL_ez00);
									BgL_testz00_4344 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1693z00_2790, BgL_varz00_1474));
								}
								if (BgL_testz00_4344)
									{	/* Eval/evaluate_fsize.scm 425 */
										BgL_auxz00_4337 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 425 */
										BgL_auxz00_4337 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 425 */
								BgL_auxz00_4337 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4337);
				}
			}
		}
	}



/* &tailpos-ev_hook1377 */
	obj_t BGl_z62tailposzd2ev_hook1377zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3355, obj_t BgL_ez00_3356, obj_t BgL_vz00_3357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 420 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1465;
				BgL_ev_varz00_bglt BgL_vz00_1466;

				{	/* Eval/evaluate_fsize.scm 421 */
					bool_t BgL_auxz00_4352;

					BgL_ez00_1465 = ((BgL_ev_hookz00_bglt) BgL_ez00_3356);
					BgL_vz00_1466 = ((BgL_ev_varz00_bglt) BgL_vz00_3357);
					{	/* Eval/evaluate_fsize.scm 421 */
						bool_t BgL_testz00_4353;

						{	/* Eval/evaluate_fsize.scm 421 */
							BgL_ev_exprz00_bglt BgL_arg1691z00_2784;

							BgL_arg1691z00_2784 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1465))->BgL_ez00);
							BgL_testz00_4353 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1691z00_2784, BgL_vz00_1466));
						}
						if (BgL_testz00_4353)
							{	/* Eval/evaluate_fsize.scm 421 */
								BgL_auxz00_4352 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 421 */
								BgL_auxz00_4352 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4352);
				}
			}
		}
	}



/* &tailpos-ev_prog21375 */
	obj_t BGl_z62tailposzd2ev_prog21375zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3358, obj_t BgL_ez00_3359, obj_t BgL_vz00_3360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 416 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1455;
				BgL_ev_varz00_bglt BgL_vz00_1456;

				BgL_ez00_1455 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3359);
				BgL_vz00_1456 = ((BgL_ev_varz00_bglt) BgL_vz00_3360);
				{	/* Eval/evaluate_fsize.scm 417 */
					bool_t BgL_testz00_4360;

					{	/* Eval/evaluate_fsize.scm 417 */
						bool_t BgL_testz00_4361;

						{	/* Eval/evaluate_fsize.scm 417 */
							BgL_ev_exprz00_bglt BgL_arg1689z00_2780;

							BgL_arg1689z00_2780 =
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1455))->BgL_e1z00);
							BgL_testz00_4361 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1689z00_2780, BgL_vz00_1456));
						}
						if (BgL_testz00_4361)
							{	/* Eval/evaluate_fsize.scm 417 */
								BgL_testz00_4360 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 417 */
								BgL_testz00_4360 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4360)
						{	/* Eval/evaluate_fsize.scm 417 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1455))->BgL_e2z00),
								BgL_vz00_1456);
						}
					else
						{	/* Eval/evaluate_fsize.scm 417 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_list1373 */
	obj_t BGl_z62tailposzd2ev_list1373zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3361, obj_t BgL_ez00_3362, obj_t BgL_vz00_3363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 408 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1437;
				BgL_ev_varz00_bglt BgL_vz00_1438;

				BgL_ez00_1437 = ((BgL_ev_listz00_bglt) BgL_ez00_3362);
				BgL_vz00_1438 = ((BgL_ev_varz00_bglt) BgL_vz00_3363);
				{
					obj_t BgL_lz00_1444;

					BgL_lz00_1444 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1437))->BgL_argsz00);
				BgL_zc3anonymousza31679ze3z83_1445:
					if (NULLP(CDR(BgL_lz00_1444)))
						{	/* Eval/evaluate_fsize.scm 412 */
							obj_t BgL_arg1681z00_1447;

							BgL_arg1681z00_1447 = CAR(BgL_lz00_1444);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								((BgL_ev_exprz00_bglt) BgL_arg1681z00_1447), BgL_vz00_1438);
						}
					else
						{	/* Eval/evaluate_fsize.scm 413 */
							bool_t BgL_testz00_4375;

							{	/* Eval/evaluate_fsize.scm 413 */
								bool_t BgL_testz00_4376;

								{	/* Eval/evaluate_fsize.scm 413 */
									obj_t BgL_arg1684z00_1451;

									BgL_arg1684z00_1451 = CAR(BgL_lz00_1444);
									BgL_testz00_4376 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1684z00_1451),
											BgL_vz00_1438));
								}
								if (BgL_testz00_4376)
									{	/* Eval/evaluate_fsize.scm 413 */
										BgL_testz00_4375 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 413 */
										BgL_testz00_4375 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_4375)
								{
									obj_t BgL_lz00_4381;

									BgL_lz00_4381 = CDR(BgL_lz00_1444);
									BgL_lz00_1444 = BgL_lz00_4381;
									goto BgL_zc3anonymousza31679ze3z83_1445;
								}
							else
								{	/* Eval/evaluate_fsize.scm 413 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &tailpos-ev_if1371 */
	obj_t BGl_z62tailposzd2ev_if1371zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3364, obj_t BgL_ez00_3365, obj_t BgL_vz00_3366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 404 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1425;
				BgL_ev_varz00_bglt BgL_vz00_1426;

				BgL_ez00_1425 = ((BgL_ev_ifz00_bglt) BgL_ez00_3365);
				BgL_vz00_1426 = ((BgL_ev_varz00_bglt) BgL_vz00_3366);
				{	/* Eval/evaluate_fsize.scm 406 */
					bool_t BgL_testz00_4386;

					{	/* Eval/evaluate_fsize.scm 406 */
						bool_t BgL_testz00_4387;

						{	/* Eval/evaluate_fsize.scm 406 */
							BgL_ev_exprz00_bglt BgL_arg1677z00_1435;

							BgL_arg1677z00_1435 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1425))->BgL_pz00);
							BgL_testz00_4387 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1677z00_1435, BgL_vz00_1426));
						}
						if (BgL_testz00_4387)
							{	/* Eval/evaluate_fsize.scm 406 */
								BgL_testz00_4386 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 406 */
								BgL_testz00_4386 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4386)
						{	/* Eval/evaluate_fsize.scm 406 */
							obj_t BgL__andtest_1119z00_1431;

							BgL__andtest_1119z00_1431 =
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1425))->BgL_tz00),
								BgL_vz00_1426);
							if (CBOOL(BgL__andtest_1119z00_1431))
								{	/* Eval/evaluate_fsize.scm 406 */
									return
										BGl_tailposz00zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1425))->BgL_ez00),
										BgL_vz00_1426);
								}
							else
								{	/* Eval/evaluate_fsize.scm 406 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 406 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_litt1369 */
	obj_t BGl_z62tailposzd2ev_litt1369zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3367, obj_t BgL_ez00_3368, obj_t BgL_vz00_3369)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 401 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_global1367 */
	obj_t BGl_z62tailposzd2ev_global1367zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3370, obj_t BgL_ez00_3371, obj_t BgL_vz00_3372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 398 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_var1365 */
	obj_t BGl_z62tailposzd2ev_var1365zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3373, obj_t BgL_ez00_3374, obj_t BgL_vz00_3375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 395 */
			{
				BgL_ev_varz00_bglt BgL_ez00_1409;
				BgL_ev_varz00_bglt BgL_vz00_1410;

				{	/* Eval/evaluate_fsize.scm 396 */
					bool_t BgL_auxz00_4401;

					BgL_ez00_1409 = ((BgL_ev_varz00_bglt) BgL_ez00_3374);
					BgL_vz00_1410 = ((BgL_ev_varz00_bglt) BgL_vz00_3375);
					if ((((obj_t) BgL_ez00_1409) == ((obj_t) BgL_vz00_1410)))
						{	/* Eval/evaluate_fsize.scm 396 */
							BgL_auxz00_4401 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 396 */
							BgL_auxz00_4401 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_4401);
				}
			}
		}
	}



/* &subst_goto-ev_abs1361 */
	BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1361zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3376, obj_t BgL_ez00_3377, obj_t BgL_varsz00_3378,
		obj_t BgL_lblsz00_3379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 383 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1401;
				obj_t BgL_varsz00_1402;
				obj_t BgL_lblsz00_1403;

				BgL_ez00_1401 = ((BgL_ev_absz00_bglt) BgL_ez00_3377);
				BgL_varsz00_1402 = BgL_varsz00_3378;
				BgL_lblsz00_1403 = BgL_lblsz00_3379;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4409;

					{	/* Eval/evaluate_fsize.scm 384 */
						BgL_ev_exprz00_bglt BgL_arg1672z00_2769;

						BgL_arg1672z00_2769 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1401))->BgL_bodyz00);
						BgL_auxz00_4409 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1672z00_2769,
								BgL_varsz00_1402, BgL_lblsz00_1403));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1401))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4409), BUNSPEC);
				}
				return BgL_ez00_1401;
			}
		}
	}



/* &subst_goto-ev_app1359 */
	BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1359zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3380, obj_t BgL_ez00_3381, obj_t BgL_varsz00_3382,
		obj_t BgL_lblsz00_3383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 375 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1387;
				obj_t BgL_varsz00_1388;
				obj_t BgL_lblsz00_1389;

				BgL_ez00_1387 = ((BgL_ev_appz00_bglt) BgL_ez00_3381);
				BgL_varsz00_1388 = BgL_varsz00_3382;
				BgL_lblsz00_1389 = BgL_lblsz00_3383;
				{	/* Eval/evaluate_fsize.scm 377 */
					obj_t BgL_arg1667z00_1393;

					BgL_arg1667z00_1393 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1387))->BgL_argsz00);
					{
						obj_t BgL_lz00_2753;

						BgL_lz00_2753 = BgL_arg1667z00_1393;
					BgL_recz00_2752:
						if (NULLP(BgL_lz00_2753))
							{	/* Eval/evaluate_fsize.scm 377 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 377 */
								{	/* Eval/evaluate_fsize.scm 377 */
									obj_t BgL_arg1505z00_2755;

									{	/* Eval/evaluate_fsize.scm 377 */
										obj_t BgL_arg1507z00_2756;

										BgL_arg1507z00_2756 = CAR(BgL_lz00_2753);
										BgL_arg1505z00_2755 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1507z00_2756),
											BgL_varsz00_1388, BgL_lblsz00_1389);
									}
									SET_CAR(BgL_lz00_2753, BgL_arg1505z00_2755);
								}
								{
									obj_t BgL_lz00_4422;

									BgL_lz00_4422 = CDR(BgL_lz00_2753);
									BgL_lz00_2753 = BgL_lz00_4422;
									goto BgL_recz00_2752;
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1387))->BgL_funz00)),
							BgL_varsz00_1388)))
					{	/* Eval/evaluate_fsize.scm 379 */
						BgL_ev_gotoz00_bglt BgL_new1115z00_1395;

						{	/* Eval/evaluate_fsize.scm 379 */
							BgL_ev_gotoz00_bglt BgL_new1114z00_1396;

							BgL_new1114z00_1396 =
								((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_fsize.scm 379 */
								long BgL_arg1669z00_1397;

								{	/* Eval/evaluate_fsize.scm 379 */
									long BgL_res2059z00_2765;

									BgL_res2059z00_2765 =
										BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
									BgL_arg1669z00_1397 = BgL_res2059z00_2765;
								}
								{	/* Eval/evaluate_fsize.scm 379 */
									BgL_objectz00_bglt BgL_objz00_2766;

									BgL_objz00_2766 = ((BgL_objectz00_bglt) BgL_new1114z00_1396);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2766,
										BgL_arg1669z00_1397);
							}}
							{	/* Eval/evaluate_fsize.scm 379 */
								BgL_objectz00_bglt BgL_auxz00_4433;

								BgL_auxz00_4433 = ((BgL_objectz00_bglt) BgL_new1114z00_1396);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4433, BFALSE);
							}
							BgL_new1115z00_1395 = BgL_new1114z00_1396;
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1395))->BgL_locz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1387))->
									BgL_locz00)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1395))->BgL_labelz00) =
							((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) (((BgL_ev_appz00_bglt)
											CREF(BgL_ez00_1387))->BgL_funz00))), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1395))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
									BgL_lblsz00_1389)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1395))->BgL_argsz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1387))->
									BgL_argsz00)), BUNSPEC);
						return ((BgL_ev_exprz00_bglt) BgL_new1115z00_1395);
					}
				else
					{	/* Eval/evaluate_fsize.scm 378 */
						{
							BgL_ev_exprz00_bglt BgL_auxz00_4446;

							{	/* Eval/evaluate_fsize.scm 380 */
								BgL_ev_exprz00_bglt BgL_arg1670z00_1398;

								BgL_arg1670z00_1398 =
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1387))->BgL_funz00);
								BgL_auxz00_4446 =
									((BgL_ev_exprz00_bglt)
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1670z00_1398,
										BgL_varsz00_1388, BgL_lblsz00_1389));
							}
							((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1387))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_auxz00_4446), BUNSPEC);
						}
						return ((BgL_ev_exprz00_bglt) BgL_ez00_1387);
					}
			}
		}
	}



/* &subst_goto-ev_goto1357 */
	BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1357zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3384, obj_t BgL_ez00_3385, obj_t BgL_varsz00_3386,
		obj_t BgL_lblsz00_3387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 370 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1379;
				obj_t BgL_varsz00_1380;
				obj_t BgL_lblsz00_1381;

				BgL_ez00_1379 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3385);
				BgL_varsz00_1380 = BgL_varsz00_3386;
				BgL_lblsz00_1381 = BgL_lblsz00_3387;
				{	/* Eval/evaluate_fsize.scm 371 */
					obj_t BgL_arg1666z00_2733;

					BgL_arg1666z00_2733 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1379))->BgL_argsz00);
					{
						obj_t BgL_lz00_2738;

						BgL_lz00_2738 = BgL_arg1666z00_2733;
					BgL_recz00_2737:
						if (NULLP(BgL_lz00_2738))
							{	/* Eval/evaluate_fsize.scm 371 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 371 */
								{	/* Eval/evaluate_fsize.scm 371 */
									obj_t BgL_arg1505z00_2740;

									{	/* Eval/evaluate_fsize.scm 371 */
										obj_t BgL_arg1507z00_2741;

										BgL_arg1507z00_2741 = CAR(BgL_lz00_2738);
										BgL_arg1505z00_2740 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1507z00_2741),
											BgL_varsz00_1380, BgL_lblsz00_1381);
									}
									SET_CAR(BgL_lz00_2738, BgL_arg1505z00_2740);
								}
								{
									obj_t BgL_lz00_4460;

									BgL_lz00_4460 = CDR(BgL_lz00_2738);
									BgL_lz00_2738 = BgL_lz00_4460;
									goto BgL_recz00_2737;
								}
							}
					}
				}
				return BgL_ez00_1379;
			}
		}
	}



/* &subst_goto-ev_labels1355 */
	BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1355zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3388, obj_t BgL_ez00_3389, obj_t BgL_varsz00_3390,
		obj_t BgL_lblsz00_3391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 361 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1361;
				obj_t BgL_varsz00_1362;
				obj_t BgL_lblsz00_1363;

				BgL_ez00_1361 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3389);
				BgL_varsz00_1362 = BgL_varsz00_3390;
				BgL_lblsz00_1363 = BgL_lblsz00_3391;
				{
					obj_t BgL_lz00_1369;

					BgL_lz00_1369 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1361))->BgL_valsz00);
				BgL_zc3anonymousza31659ze3z83_1370:
					if (NULLP(BgL_lz00_1369))
						{	/* Eval/evaluate_fsize.scm 364 */
							((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 364 */
							{	/* Eval/evaluate_fsize.scm 365 */
								obj_t BgL_arg1661z00_1372;
								obj_t BgL_arg1662z00_1373;

								BgL_arg1661z00_1372 = CAR(BgL_lz00_1369);
								{	/* Eval/evaluate_fsize.scm 365 */
									obj_t BgL_arg1663z00_1374;

									{	/* Eval/evaluate_fsize.scm 365 */
										obj_t BgL_pairz00_2725;

										BgL_pairz00_2725 = BgL_lz00_1369;
										BgL_arg1663z00_1374 = CDR(CAR(BgL_pairz00_2725));
									}
									BgL_arg1662z00_1373 =
										BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1663z00_1374),
										BgL_varsz00_1362, BgL_lblsz00_1363);
								}
								SET_CDR(BgL_arg1661z00_1372, BgL_arg1662z00_1373);
							}
							{
								obj_t BgL_lz00_4471;

								BgL_lz00_4471 = CDR(BgL_lz00_1369);
								BgL_lz00_1369 = BgL_lz00_4471;
								goto BgL_zc3anonymousza31659ze3z83_1370;
							}
						}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4474;

					{	/* Eval/evaluate_fsize.scm 367 */
						BgL_ev_exprz00_bglt BgL_arg1665z00_1377;

						BgL_arg1665z00_1377 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1361))->BgL_bodyz00);
						BgL_auxz00_4474 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1665z00_1377,
								BgL_varsz00_1362, BgL_lblsz00_1363));
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1361))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4474), BUNSPEC);
				}
				return BgL_ez00_1361;
			}
		}
	}



/* &subst_goto-ev_binder1353 */
	BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1353zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3392, obj_t BgL_ez00_3393, obj_t BgL_varsz00_3394,
		obj_t BgL_lblsz00_3395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 355 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1352;
				obj_t BgL_varsz00_1353;
				obj_t BgL_lblsz00_1354;

				BgL_ez00_1352 = ((BgL_ev_binderz00_bglt) BgL_ez00_3393);
				BgL_varsz00_1353 = BgL_varsz00_3394;
				BgL_lblsz00_1354 = BgL_lblsz00_3395;
				{	/* Eval/evaluate_fsize.scm 356 */
					obj_t BgL_arg1656z00_2705;

					BgL_arg1656z00_2705 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1352))->BgL_valsz00);
					{
						obj_t BgL_lz00_2711;

						BgL_lz00_2711 = BgL_arg1656z00_2705;
					BgL_recz00_2710:
						if (NULLP(BgL_lz00_2711))
							{	/* Eval/evaluate_fsize.scm 356 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 356 */
								{	/* Eval/evaluate_fsize.scm 356 */
									obj_t BgL_arg1505z00_2713;

									{	/* Eval/evaluate_fsize.scm 356 */
										obj_t BgL_arg1507z00_2714;

										BgL_arg1507z00_2714 = CAR(BgL_lz00_2711);
										BgL_arg1505z00_2713 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1507z00_2714),
											BgL_varsz00_1353, BgL_lblsz00_1354);
									}
									SET_CAR(BgL_lz00_2711, BgL_arg1505z00_2713);
								}
								{
									obj_t BgL_lz00_4487;

									BgL_lz00_4487 = CDR(BgL_lz00_2711);
									BgL_lz00_2711 = BgL_lz00_4487;
									goto BgL_recz00_2710;
								}
							}
					}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4489;

					{	/* Eval/evaluate_fsize.scm 356 */
						BgL_ev_exprz00_bglt BgL_arg1657z00_2706;

						BgL_arg1657z00_2706 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1352))->BgL_bodyz00);
						BgL_auxz00_4489 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1657z00_2706,
								BgL_varsz00_1353, BgL_lblsz00_1354));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1352))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4489), BUNSPEC);
				}
				return BgL_ez00_1352;
			}
		}
	}



/* &subst_goto-ev_synchr1351 */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62subst_gotozd2ev_synchr1351zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3396, obj_t BgL_ez00_3397, obj_t BgL_varsz00_3398,
		obj_t BgL_lblsz00_3399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 349 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1343;
				obj_t BgL_varsz00_1344;
				obj_t BgL_lblsz00_1345;

				BgL_ez00_1343 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3397);
				BgL_varsz00_1344 = BgL_varsz00_3398;
				BgL_lblsz00_1345 = BgL_lblsz00_3399;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4495;

					{	/* Eval/evaluate_fsize.scm 350 */
						BgL_ev_exprz00_bglt BgL_arg1653z00_2702;

						BgL_arg1653z00_2702 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1343))->
							BgL_mutexz00);
						BgL_auxz00_4495 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1653z00_2702,
								BgL_varsz00_1344, BgL_lblsz00_1345));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1343))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4495), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4500;

					{	/* Eval/evaluate_fsize.scm 350 */
						BgL_ev_exprz00_bglt BgL_arg1654z00_2703;

						BgL_arg1654z00_2703 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1343))->
							BgL_bodyz00);
						BgL_auxz00_4500 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1654z00_2703,
								BgL_varsz00_1344, BgL_lblsz00_1345));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1343))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4500), BUNSPEC);
				}
				return BgL_ez00_1343;
			}
		}
	}



/* &subst_goto-ev_with-h1349 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1349z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3400, obj_t BgL_ez00_3401, obj_t BgL_varsz00_3402,
		obj_t BgL_lblsz00_3403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 343 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1334;
				obj_t BgL_varsz00_1335;
				obj_t BgL_lblsz00_1336;

				BgL_ez00_1334 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3401);
				BgL_varsz00_1335 = BgL_varsz00_3402;
				BgL_lblsz00_1336 = BgL_lblsz00_3403;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4506;

					{	/* Eval/evaluate_fsize.scm 344 */
						BgL_ev_exprz00_bglt BgL_arg1651z00_2699;

						BgL_arg1651z00_2699 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1334))->
							BgL_handlerz00);
						BgL_auxz00_4506 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1651z00_2699,
								BgL_varsz00_1335, BgL_lblsz00_1336));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1334))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4506), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4511;

					{	/* Eval/evaluate_fsize.scm 344 */
						BgL_ev_exprz00_bglt BgL_arg1652z00_2700;

						BgL_arg1652z00_2700 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1334))->
							BgL_bodyz00);
						BgL_auxz00_4511 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1652z00_2700,
								BgL_varsz00_1335, BgL_lblsz00_1336));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1334))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4511), BUNSPEC);
				}
				return BgL_ez00_1334;
			}
		}
	}



/* &subst_goto-ev_unwind1347 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1347zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3404, obj_t BgL_exprz00_3405, obj_t BgL_varsz00_3406,
		obj_t BgL_lblsz00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 337 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1325;
				obj_t BgL_varsz00_1326;
				obj_t BgL_lblsz00_1327;

				BgL_exprz00_1325 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_3405);
				BgL_varsz00_1326 = BgL_varsz00_3406;
				BgL_lblsz00_1327 = BgL_lblsz00_3407;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4517;

					{	/* Eval/evaluate_fsize.scm 338 */
						BgL_ev_exprz00_bglt BgL_arg1649z00_2696;

						BgL_arg1649z00_2696 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1325))->
							BgL_ez00);
						BgL_auxz00_4517 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1649z00_2696,
								BgL_varsz00_1326, BgL_lblsz00_1327));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1325))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4517), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4522;

					{	/* Eval/evaluate_fsize.scm 338 */
						BgL_ev_exprz00_bglt BgL_arg1650z00_2697;

						BgL_arg1650z00_2697 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1325))->
							BgL_bodyz00);
						BgL_auxz00_4522 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1650z00_2697,
								BgL_varsz00_1326, BgL_lblsz00_1327));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1325))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4522), BUNSPEC);
				}
				return BgL_exprz00_1325;
			}
		}
	}



/* &subst_goto-ev_bind-e1345 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1345z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3408, obj_t BgL_ez00_3409, obj_t BgL_varsz00_3410,
		obj_t BgL_lblsz00_3411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 332 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1317;
				obj_t BgL_varsz00_1318;
				obj_t BgL_lblsz00_1319;

				BgL_ez00_1317 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3409);
				BgL_varsz00_1318 = BgL_varsz00_3410;
				BgL_lblsz00_1319 = BgL_lblsz00_3411;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4528;

					{	/* Eval/evaluate_fsize.scm 333 */
						BgL_ev_exprz00_bglt BgL_arg1648z00_2694;

						BgL_arg1648z00_2694 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1317))->BgL_bodyz00);
						BgL_auxz00_4528 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1648z00_2694,
								BgL_varsz00_1318, BgL_lblsz00_1319));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1317))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4528), BUNSPEC);
				}
				return BgL_ez00_1317;
			}
		}
	}



/* &subst_goto-ev_hook1343 */
	BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1343zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3412, obj_t BgL_exprz00_3413, obj_t BgL_varsz00_3414,
		obj_t BgL_lblsz00_3415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 327 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1309;
				obj_t BgL_varsz00_1310;
				obj_t BgL_lblsz00_1311;

				BgL_exprz00_1309 = ((BgL_ev_hookz00_bglt) BgL_exprz00_3413);
				BgL_varsz00_1310 = BgL_varsz00_3414;
				BgL_lblsz00_1311 = BgL_lblsz00_3415;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4534;

					{	/* Eval/evaluate_fsize.scm 328 */
						BgL_ev_exprz00_bglt BgL_arg1647z00_2692;

						BgL_arg1647z00_2692 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1309))->BgL_ez00);
						BgL_auxz00_4534 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1647z00_2692,
								BgL_varsz00_1310, BgL_lblsz00_1311));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1309))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4534), BUNSPEC);
				}
				return BgL_exprz00_1309;
			}
		}
	}



/* &subst_goto-ev_prog21341 */
	BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21341zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3416, obj_t BgL_ez00_3417, obj_t BgL_varsz00_3418,
		obj_t BgL_lblsz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 321 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1300;
				obj_t BgL_varsz00_1301;
				obj_t BgL_lblsz00_1302;

				BgL_ez00_1300 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3417);
				BgL_varsz00_1301 = BgL_varsz00_3418;
				BgL_lblsz00_1302 = BgL_lblsz00_3419;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4540;

					{	/* Eval/evaluate_fsize.scm 322 */
						BgL_ev_exprz00_bglt BgL_arg1645z00_2689;

						BgL_arg1645z00_2689 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1300))->BgL_e1z00);
						BgL_auxz00_4540 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1645z00_2689,
								BgL_varsz00_1301, BgL_lblsz00_1302));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1300))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4540), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4545;

					{	/* Eval/evaluate_fsize.scm 322 */
						BgL_ev_exprz00_bglt BgL_arg1646z00_2690;

						BgL_arg1646z00_2690 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1300))->BgL_e2z00);
						BgL_auxz00_4545 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1646z00_2690,
								BgL_varsz00_1301, BgL_lblsz00_1302));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1300))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4545), BUNSPEC);
				}
				return BgL_ez00_1300;
			}
		}
	}



/* &subst_goto-ev_list1339 */
	BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1339zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3420, obj_t BgL_ez00_3421, obj_t BgL_varsz00_3422,
		obj_t BgL_lblsz00_3423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 316 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1292;
				obj_t BgL_varsz00_1293;
				obj_t BgL_lblsz00_1294;

				BgL_ez00_1292 = ((BgL_ev_listz00_bglt) BgL_ez00_3421);
				BgL_varsz00_1293 = BgL_varsz00_3422;
				BgL_lblsz00_1294 = BgL_lblsz00_3423;
				{	/* Eval/evaluate_fsize.scm 317 */
					obj_t BgL_arg1644z00_2672;

					BgL_arg1644z00_2672 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1292))->BgL_argsz00);
					{
						obj_t BgL_lz00_2677;

						BgL_lz00_2677 = BgL_arg1644z00_2672;
					BgL_recz00_2676:
						if (NULLP(BgL_lz00_2677))
							{	/* Eval/evaluate_fsize.scm 317 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 317 */
								{	/* Eval/evaluate_fsize.scm 317 */
									obj_t BgL_arg1505z00_2679;

									{	/* Eval/evaluate_fsize.scm 317 */
										obj_t BgL_arg1507z00_2680;

										BgL_arg1507z00_2680 = CAR(BgL_lz00_2677);
										BgL_arg1505z00_2679 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1507z00_2680),
											BgL_varsz00_1293, BgL_lblsz00_1294);
									}
									SET_CAR(BgL_lz00_2677, BgL_arg1505z00_2679);
								}
								{
									obj_t BgL_lz00_4558;

									BgL_lz00_4558 = CDR(BgL_lz00_2677);
									BgL_lz00_2677 = BgL_lz00_4558;
									goto BgL_recz00_2676;
								}
							}
					}
				}
				return BgL_ez00_1292;
			}
		}
	}



/* &subst_goto-ev_if1337 */
	BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1337zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3424, obj_t BgL_exprz00_3425, obj_t BgL_varsz00_3426,
		obj_t BgL_lblsz00_3427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 309 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1282;
				obj_t BgL_varsz00_1283;
				obj_t BgL_lblsz00_1284;

				BgL_exprz00_1282 = ((BgL_ev_ifz00_bglt) BgL_exprz00_3425);
				BgL_varsz00_1283 = BgL_varsz00_3426;
				BgL_lblsz00_1284 = BgL_lblsz00_3427;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4561;

					{	/* Eval/evaluate_fsize.scm 310 */
						BgL_ev_exprz00_bglt BgL_arg1640z00_2668;

						BgL_arg1640z00_2668 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1282))->BgL_pz00);
						BgL_auxz00_4561 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1640z00_2668,
								BgL_varsz00_1283, BgL_lblsz00_1284));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1282))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4561), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4566;

					{	/* Eval/evaluate_fsize.scm 310 */
						BgL_ev_exprz00_bglt BgL_arg1642z00_2669;

						BgL_arg1642z00_2669 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1282))->BgL_tz00);
						BgL_auxz00_4566 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1642z00_2669,
								BgL_varsz00_1283, BgL_lblsz00_1284));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1282))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4566), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4571;

					{	/* Eval/evaluate_fsize.scm 310 */
						BgL_ev_exprz00_bglt BgL_arg1643z00_2670;

						BgL_arg1643z00_2670 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1282))->BgL_ez00);
						BgL_auxz00_4571 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1643z00_2670,
								BgL_varsz00_1283, BgL_lblsz00_1284));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1282))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4571), BUNSPEC);
				}
				return BgL_exprz00_1282;
			}
		}
	}



/* &subst_goto-ev_litt1335 */
	BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1335zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3428, obj_t BgL_ez00_3429, obj_t BgL_varsz00_3430,
		obj_t BgL_lblsz00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 306 */
			return ((BgL_ev_littz00_bglt) BgL_ez00_3429);
		}
	}



/* &subst_goto-ev_global1333 */
	BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1333zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3432, obj_t BgL_ez00_3433, obj_t BgL_varsz00_3434,
		obj_t BgL_lblsz00_3435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 303 */
			return ((BgL_ev_globalz00_bglt) BgL_ez00_3433);
		}
	}



/* &subst_goto-ev_var1331 */
	BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1331zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3436, obj_t BgL_ez00_3437, obj_t BgL_varsz00_3438,
		obj_t BgL_lblsz00_3439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 300 */
			return ((BgL_ev_varz00_bglt) BgL_ez00_3437);
		}
	}



/* &search-letrec-ev_abs1327 */
	BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1327z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3440, obj_t BgL_ez00_3441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 259 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1258;

				BgL_ez00_1258 = ((BgL_ev_absz00_bglt) BgL_ez00_3441);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4580;

					{	/* Eval/evaluate_fsize.scm 260 */
						BgL_ev_exprz00_bglt BgL_arg1639z00_2666;

						BgL_arg1639z00_2666 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1258))->BgL_bodyz00);
						BgL_auxz00_4580 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1639z00_2666));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1258))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4580), BUNSPEC);
				}
				return BgL_ez00_1258;
			}
		}
	}



/* &search-letrec-ev_app1325 */
	BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1325z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3442, obj_t BgL_ez00_3443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 253 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1251;

				BgL_ez00_1251 = ((BgL_ev_appz00_bglt) BgL_ez00_3443);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4586;

					{	/* Eval/evaluate_fsize.scm 254 */
						BgL_ev_exprz00_bglt BgL_arg1637z00_2663;

						BgL_arg1637z00_2663 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1251))->BgL_funz00);
						BgL_auxz00_4586 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1637z00_2663));
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1251))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4586), BUNSPEC);
				}
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1251))->BgL_argsz00));
				return BgL_ez00_1251;
			}
		}
	}



/* &search-letrec-ev_let1323 */
	BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1323z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3444, obj_t BgL_ez00_3445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 242 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1237;

				BgL_ez00_1237 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3445);
				{	/* Eval/evaluate_fsize.scm 244 */
					obj_t BgL_arg1628z00_1241;

					BgL_arg1628z00_1241 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1628z00_1241);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4597;

					{	/* Eval/evaluate_fsize.scm 245 */
						BgL_ev_exprz00_bglt BgL_arg1629z00_1242;

						BgL_arg1629z00_1242 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_bodyz00);
						BgL_auxz00_4597 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1629z00_1242));
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4597), BUNSPEC);
				}
				{	/* Eval/evaluate_fsize.scm 249 */
					bool_t BgL_testz00_4604;

					{	/* Eval/evaluate_fsize.scm 246 */
						obj_t BgL_arg1633z00_1247;
						obj_t BgL_arg1634z00_1248;
						BgL_ev_exprz00_bglt BgL_arg1636z00_1249;

						BgL_arg1633z00_1247 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_varsz00);
						BgL_arg1634z00_1248 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_valsz00);
						BgL_arg1636z00_1249 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_bodyz00);
						BgL_testz00_4604 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1633z00_1247,
							BgL_arg1634z00_1248, BgL_arg1636z00_1249);
					}
					if (BgL_testz00_4604)
						{	/* Eval/evaluate_fsize.scm 250 */
							obj_t BgL_arg1630z00_1244;
							obj_t BgL_arg1631z00_1245;
							BgL_ev_exprz00_bglt BgL_arg1632z00_1246;

							BgL_arg1630z00_1244 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_varsz00);
							BgL_arg1631z00_1245 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_valsz00);
							BgL_arg1632z00_1246 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1237)))->BgL_bodyz00);
							return
								((BgL_ev_exprz00_bglt)
								BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
								(BgL_arg1630z00_1244, BgL_arg1631z00_1245,
									BgL_arg1632z00_1246));
						}
					else
						{	/* Eval/evaluate_fsize.scm 249 */
							return ((BgL_ev_exprz00_bglt) BgL_ez00_1237);
						}
				}
			}
		}
	}



/* &search-letrec-ev_bin1321 */
	BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1321z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3446, obj_t BgL_ez00_3447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 236 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1230;

				BgL_ez00_1230 = ((BgL_ev_binderz00_bglt) BgL_ez00_3447);
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1230))->BgL_valsz00));
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4624;

					{	/* Eval/evaluate_fsize.scm 237 */
						BgL_ev_exprz00_bglt BgL_arg1627z00_2661;

						BgL_arg1627z00_2661 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1230))->BgL_bodyz00);
						BgL_auxz00_4624 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1627z00_2661));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1230))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4624), BUNSPEC);
				}
				return BgL_ez00_1230;
			}
		}
	}



/* &search-letrec-ev_syn1319 */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62searchzd2letreczd2ev_syn1319z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3448, obj_t BgL_ez00_3449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 230 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1223;

				BgL_ez00_1223 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3449);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4630;

					{	/* Eval/evaluate_fsize.scm 231 */
						BgL_ev_exprz00_bglt BgL_arg1624z00_2657;

						BgL_arg1624z00_2657 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1223))->
							BgL_mutexz00);
						BgL_auxz00_4630 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1624z00_2657));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1223))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4630), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4635;

					{	/* Eval/evaluate_fsize.scm 231 */
						BgL_ev_exprz00_bglt BgL_arg1625z00_2658;

						BgL_arg1625z00_2658 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1223))->
							BgL_bodyz00);
						BgL_auxz00_4635 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1625z00_2658));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1223))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4635), BUNSPEC);
				}
				return BgL_ez00_1223;
			}
		}
	}



/* &search-letrec-ev_wit1317 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1317z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3450, obj_t BgL_ez00_3451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 224 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1216;

				BgL_ez00_1216 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3451);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4641;

					{	/* Eval/evaluate_fsize.scm 225 */
						BgL_ev_exprz00_bglt BgL_arg1622z00_2654;

						BgL_arg1622z00_2654 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1216))->
							BgL_handlerz00);
						BgL_auxz00_4641 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1622z00_2654));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1216))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4641), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4646;

					{	/* Eval/evaluate_fsize.scm 225 */
						BgL_ev_exprz00_bglt BgL_arg1623z00_2655;

						BgL_arg1623z00_2655 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1216))->
							BgL_bodyz00);
						BgL_auxz00_4646 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1623z00_2655));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1216))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4646), BUNSPEC);
				}
				return BgL_ez00_1216;
			}
		}
	}



/* &search-letrec-ev_unw1315 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1315z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3452, obj_t BgL_exprz00_3453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 218 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1209;

				BgL_exprz00_1209 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_3453);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4652;

					{	/* Eval/evaluate_fsize.scm 219 */
						BgL_ev_exprz00_bglt BgL_arg1620z00_2651;

						BgL_arg1620z00_2651 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1209))->
							BgL_ez00);
						BgL_auxz00_4652 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1620z00_2651));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1209))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4652), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4657;

					{	/* Eval/evaluate_fsize.scm 219 */
						BgL_ev_exprz00_bglt BgL_arg1621z00_2652;

						BgL_arg1621z00_2652 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1209))->
							BgL_bodyz00);
						BgL_auxz00_4657 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1621z00_2652));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1209))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4657), BUNSPEC);
				}
				return BgL_exprz00_1209;
			}
		}
	}



/* &search-letrec-ev_bin1313 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1313z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3454, obj_t BgL_ez00_3455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 213 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1203;

				BgL_ez00_1203 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3455);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4663;

					{	/* Eval/evaluate_fsize.scm 214 */
						BgL_ev_exprz00_bglt BgL_arg1619z00_2649;

						BgL_arg1619z00_2649 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1203))->BgL_bodyz00);
						BgL_auxz00_4663 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1619z00_2649));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1203))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4663), BUNSPEC);
				}
				return BgL_ez00_1203;
			}
		}
	}



/* &search-letrec-ev_hoo1311 */
	BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1311z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3456, obj_t BgL_exprz00_3457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 208 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1197;

				BgL_exprz00_1197 = ((BgL_ev_hookz00_bglt) BgL_exprz00_3457);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4669;

					{	/* Eval/evaluate_fsize.scm 209 */
						BgL_ev_exprz00_bglt BgL_arg1618z00_2647;

						BgL_arg1618z00_2647 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1197))->BgL_ez00);
						BgL_auxz00_4669 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1618z00_2647));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1197))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4669), BUNSPEC);
				}
				return BgL_exprz00_1197;
			}
		}
	}



/* &search-letrec-ev_pro1309 */
	BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1309z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3458, obj_t BgL_ez00_3459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 202 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1190;

				BgL_ez00_1190 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3459);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4675;

					{	/* Eval/evaluate_fsize.scm 203 */
						BgL_ev_exprz00_bglt BgL_arg1616z00_2644;

						BgL_arg1616z00_2644 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1190))->BgL_e1z00);
						BgL_auxz00_4675 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1616z00_2644));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1190))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4675), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4680;

					{	/* Eval/evaluate_fsize.scm 203 */
						BgL_ev_exprz00_bglt BgL_arg1617z00_2645;

						BgL_arg1617z00_2645 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1190))->BgL_e2z00);
						BgL_auxz00_4680 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1617z00_2645));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1190))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4680), BUNSPEC);
				}
				return BgL_ez00_1190;
			}
		}
	}



/* &search-letrec-ev_lis1307 */
	BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1307z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3460, obj_t BgL_ez00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 197 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1184;

				BgL_ez00_1184 = ((BgL_ev_listz00_bglt) BgL_ez00_3461);
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1184))->BgL_argsz00));
				return BgL_ez00_1184;
			}
		}
	}



/* &search-letrec-ev_if1305 */
	BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1305z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3462, obj_t BgL_exprz00_3463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 190 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1176;

				BgL_exprz00_1176 = ((BgL_ev_ifz00_bglt) BgL_exprz00_3463);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4689;

					{	/* Eval/evaluate_fsize.scm 192 */
						BgL_ev_exprz00_bglt BgL_arg1611z00_1180;

						BgL_arg1611z00_1180 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1176))->BgL_pz00);
						BgL_auxz00_4689 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1611z00_1180));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1176))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4689), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4694;

					{	/* Eval/evaluate_fsize.scm 193 */
						BgL_ev_exprz00_bglt BgL_arg1612z00_1181;

						BgL_arg1612z00_1181 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1176))->BgL_tz00);
						BgL_auxz00_4694 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1612z00_1181));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1176))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4694), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4699;

					{	/* Eval/evaluate_fsize.scm 194 */
						BgL_ev_exprz00_bglt BgL_arg1613z00_1182;

						BgL_arg1613z00_1182 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1176))->BgL_ez00);
						BgL_auxz00_4699 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1613z00_1182));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1176))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4699), BUNSPEC);
				}
				return BgL_exprz00_1176;
			}
		}
	}



/* &search-letrec-ev_lit1303 */
	BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1303z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3464, obj_t BgL_ez00_3465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 187 */
			return ((BgL_ev_littz00_bglt) BgL_ez00_3465);
		}
	}



/* &search-letrec-ev_glo1301 */
	BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1301z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3466, obj_t BgL_ez00_3467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 184 */
			return ((BgL_ev_globalz00_bglt) BgL_ez00_3467);
		}
	}



/* &search-letrec-ev_var1299 */
	BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1299z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3468, obj_t BgL_ez00_3469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 181 */
			return ((BgL_ev_varz00_bglt) BgL_ez00_3469);
		}
	}



/* &fsize-ev_abs1295 */
	obj_t BGl_z62fsiza7ezd2ev_abs1295z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3470, obj_t BgL_ez00_3471, obj_t BgL_nz00_3472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 158 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1154;
				int BgL_nz00_1155;

				{	/* Eval/evaluate_fsize.scm 159 */
					int BgL_auxz00_4708;

					BgL_ez00_1154 = ((BgL_ev_absz00_bglt) BgL_ez00_3471);
					BgL_nz00_1155 = CINT(BgL_nz00_3472);
					{	/* Eval/evaluate_fsize.scm 159 */
						int BgL_nnz00_2637;

						{	/* Eval/evaluate_fsize.scm 159 */
							BgL_ev_exprz00_bglt BgL_arg1608z00_2638;
							long BgL_arg1609z00_2639;

							BgL_arg1608z00_2638 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1154))->BgL_bodyz00);
							BgL_arg1609z00_2639 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1154))->BgL_varsz00));
							BgL_nnz00_2637 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1608z00_2638,
								(int) (BgL_arg1609z00_2639));
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1154))->BgL_siza7eza7) =
							((int) BgL_nnz00_2637), BUNSPEC);
						BgL_auxz00_4708 = BgL_nz00_1155;
					}
					return BINT(BgL_auxz00_4708);
				}
			}
		}
	}



/* &fsize-ev_app1293 */
	obj_t BGl_z62fsiza7ezd2ev_app1293z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3473, obj_t BgL_ez00_3474, obj_t BgL_nz00_3475)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 151 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1130;
				int BgL_nz00_1131;

				BgL_ez00_1130 = ((BgL_ev_appz00_bglt) BgL_ez00_3474);
				BgL_nz00_1131 = CINT(BgL_nz00_3475);
				{	/* Eval/evaluate_fsize.scm 153 */
					int BgL_g1078z00_1135;

					BgL_g1078z00_1135 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1130))->BgL_funz00),
						BgL_nz00_1131);
					{	/* Eval/evaluate_fsize.scm 153 */
						obj_t BgL_arg1600z00_1137;

						BgL_arg1600z00_1137 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1130))->BgL_argsz00);
						{
							obj_t BgL_lz00_2608;
							int BgL_nz00_2609;
							obj_t BgL_rz00_2610;

							BgL_lz00_2608 = BgL_arg1600z00_1137;
							BgL_nz00_2609 = BgL_nz00_1131;
							BgL_rz00_2610 = BINT(BgL_g1078z00_1135);
						BgL_recz00_2607:
							if (NULLP(BgL_lz00_2608))
								{	/* Eval/evaluate_fsize.scm 153 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_2609),
										BgL_rz00_2610);
								}
							else
								{	/* Eval/evaluate_fsize.scm 153 */
									obj_t BgL_arg1603z00_2623;
									long BgL_arg1604z00_2624;
									obj_t BgL_arg1605z00_2625;

									BgL_arg1603z00_2623 = CDR(BgL_lz00_2608);
									BgL_arg1604z00_2624 = ((long) (BgL_nz00_2609) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 153 */
										int BgL_xz00_2626;

										{	/* Eval/evaluate_fsize.scm 153 */
											obj_t BgL_arg1606z00_2628;

											BgL_arg1606z00_2628 = CAR(BgL_lz00_2608);
											BgL_xz00_2626 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1606z00_2628),
												BgL_nz00_2609);
										}
										BgL_arg1605z00_2625 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2626),
											BgL_rz00_2610);
									}
									{
										obj_t BgL_rz00_4736;
										int BgL_nz00_4734;
										obj_t BgL_lz00_4733;

										BgL_lz00_4733 = BgL_arg1603z00_2623;
										BgL_nz00_4734 = (int) (BgL_arg1604z00_2624);
										BgL_rz00_4736 = BgL_arg1605z00_2625;
										BgL_rz00_2610 = BgL_rz00_4736;
										BgL_nz00_2609 = BgL_nz00_4734;
										BgL_lz00_2608 = BgL_lz00_4733;
										goto BgL_recz00_2607;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_goto1291 */
	obj_t BGl_z62fsiza7ezd2ev_goto1291z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3476, obj_t BgL_ez00_3477, obj_t BgL_nz00_3478)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 144 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1108;
				obj_t BgL_nz00_1109;

				BgL_ez00_1108 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3477);
				BgL_nz00_1109 = BgL_nz00_3478;
				{	/* Eval/evaluate_fsize.scm 146 */
					obj_t BgL_arg1593z00_1114;

					BgL_arg1593z00_1114 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1108))->BgL_argsz00);
					{
						obj_t BgL_lz00_2544;
						obj_t BgL_nz00_2545;
						obj_t BgL_rz00_2546;

						BgL_lz00_2544 = BgL_arg1593z00_1114;
						BgL_nz00_2545 = BgL_nz00_1109;
						BgL_rz00_2546 = BgL_nz00_1109;
					BgL_recz00_2543:
						if (NULLP(BgL_lz00_2544))
							{	/* Eval/evaluate_fsize.scm 146 */
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_2545,
									BgL_rz00_2546);
							}
						else
							{	/* Eval/evaluate_fsize.scm 146 */
								obj_t BgL_arg1596z00_2559;
								long BgL_arg1597z00_2560;
								obj_t BgL_arg1598z00_2561;

								BgL_arg1596z00_2559 = CDR(BgL_lz00_2544);
								BgL_arg1597z00_2560 = ((long) CINT(BgL_nz00_2545) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 146 */
									int BgL_xz00_2562;

									{	/* Eval/evaluate_fsize.scm 146 */
										obj_t BgL_arg1599z00_2564;

										BgL_arg1599z00_2564 = CAR(BgL_lz00_2544);
										BgL_xz00_2562 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1599z00_2564),
											CINT(BgL_nz00_2545));
									}
									BgL_arg1598z00_2561 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2562),
										BgL_rz00_2546);
								}
								{
									obj_t BgL_rz00_4756;
									obj_t BgL_nz00_4754;
									obj_t BgL_lz00_4753;

									BgL_lz00_4753 = BgL_arg1596z00_2559;
									BgL_nz00_4754 = BINT(BgL_arg1597z00_2560);
									BgL_rz00_4756 = BgL_arg1598z00_2561;
									BgL_rz00_2546 = BgL_rz00_4756;
									BgL_nz00_2545 = BgL_nz00_4754;
									BgL_lz00_2544 = BgL_lz00_4753;
									goto BgL_recz00_2543;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_labels1289 */
	obj_t BGl_z62fsiza7ezd2ev_labels1289z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3479, obj_t BgL_ez00_3480, obj_t BgL_nz00_3481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 137 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1084;
				obj_t BgL_nz00_1085;

				BgL_ez00_1084 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3480);
				BgL_nz00_1085 = BgL_nz00_3481;
				{
					obj_t BgL_lz00_1091;
					obj_t BgL_rz00_1092;

					BgL_lz00_1091 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1084))->BgL_valsz00);
					BgL_rz00_1092 = BgL_nz00_1085;
				BgL_zc3anonymousza31584ze3z83_1093:
					if (NULLP(BgL_lz00_1091))
						{	/* Eval/evaluate_fsize.scm 141 */
							int BgL_xz00_1095;

							BgL_xz00_1095 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1084))->BgL_bodyz00),
								CINT(BgL_nz00_1085));
							return
								BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1095),
								BgL_rz00_1092);
						}
					else
						{	/* Eval/evaluate_fsize.scm 142 */
							obj_t BgL_arg1587z00_1098;
							obj_t BgL_arg1588z00_1099;

							BgL_arg1587z00_1098 = CDR(BgL_lz00_1091);
							{	/* Eval/evaluate_fsize.scm 142 */
								int BgL_xz00_1100;

								{	/* Eval/evaluate_fsize.scm 142 */
									obj_t BgL_arg1589z00_1102;
									long BgL_arg1590z00_1103;

									{	/* Eval/evaluate_fsize.scm 142 */
										obj_t BgL_pairz00_2497;

										BgL_pairz00_2497 = BgL_lz00_1091;
										BgL_arg1589z00_1102 = CDR(CAR(BgL_pairz00_2497));
									}
									{	/* Eval/evaluate_fsize.scm 142 */
										long BgL_auxz00_4768;

										{	/* Eval/evaluate_fsize.scm 142 */
											obj_t BgL_auxz00_4770;

											{	/* Eval/evaluate_fsize.scm 142 */
												obj_t BgL_pairz00_2501;

												BgL_pairz00_2501 = BgL_lz00_1091;
												BgL_auxz00_4770 = CAR(CAR(BgL_pairz00_2501));
											}
											BgL_auxz00_4768 = bgl_list_length(BgL_auxz00_4770);
										}
										BgL_arg1590z00_1103 =
											((long) CINT(BgL_nz00_1085) + BgL_auxz00_4768);
									}
									BgL_xz00_1100 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1589z00_1102),
										(int) (BgL_arg1590z00_1103));
								}
								BgL_arg1588z00_1099 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1100),
									BgL_rz00_1092);
							}
							{
								obj_t BgL_rz00_4781;
								obj_t BgL_lz00_4780;

								BgL_lz00_4780 = BgL_arg1587z00_1098;
								BgL_rz00_4781 = BgL_arg1588z00_1099;
								BgL_rz00_1092 = BgL_rz00_4781;
								BgL_lz00_1091 = BgL_lz00_4780;
								goto BgL_zc3anonymousza31584ze3z83_1093;
							}
						}
				}
			}
		}
	}



/* &fsize-ev_letrec1287 */
	obj_t BGl_z62fsiza7ezd2ev_letrec1287z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3482, obj_t BgL_ez00_3483, obj_t BgL_nz00_3484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 129 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1060;
				int BgL_nz00_1061;

				BgL_ez00_1060 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3483);
				BgL_nz00_1061 = CINT(BgL_nz00_3484);
				{	/* Eval/evaluate_fsize.scm 131 */
					long BgL_nz00_1065;

					BgL_nz00_1065 =
						(
						(long) (BgL_nz00_1061) +
						bgl_list_length(
							(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1060)))->BgL_valsz00)));
					{
						obj_t BgL_lz00_1068;
						obj_t BgL_rz00_1069;

						{	/* Eval/evaluate_fsize.scm 132 */
							obj_t BgL_arg1571z00_1067;

							BgL_arg1571z00_1067 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1060)))->BgL_valsz00);
							BgL_lz00_1068 = BgL_arg1571z00_1067;
							BgL_rz00_1069 = BINT(BgL_nz00_1065);
						BgL_zc3anonymousza31572ze3z83_1070:
							if (NULLP(BgL_lz00_1068))
								{	/* Eval/evaluate_fsize.scm 134 */
									int BgL_xz00_1072;

									{	/* Eval/evaluate_fsize.scm 134 */
										BgL_ev_exprz00_bglt BgL_arg1574z00_1074;

										BgL_arg1574z00_1074 =
											(((BgL_ev_binderz00_bglt) CREF(
													((BgL_ev_binderz00_bglt) BgL_ez00_1060)))->
											BgL_bodyz00);
										BgL_xz00_1072 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1574z00_1074,
											(int) (BgL_nz00_1065));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1072),
										BgL_rz00_1069);
								}
							else
								{	/* Eval/evaluate_fsize.scm 135 */
									obj_t BgL_arg1576z00_1075;
									obj_t BgL_arg1578z00_1076;

									BgL_arg1576z00_1075 = CDR(BgL_lz00_1068);
									{	/* Eval/evaluate_fsize.scm 135 */
										int BgL_xz00_1077;

										{	/* Eval/evaluate_fsize.scm 135 */
											obj_t BgL_arg1579z00_1079;

											BgL_arg1579z00_1079 = CAR(BgL_lz00_1068);
											BgL_xz00_1077 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1579z00_1079),
												(int) (BgL_nz00_1065));
										}
										BgL_arg1578z00_1076 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1077),
											BgL_rz00_1069);
									}
									{
										obj_t BgL_rz00_4807;
										obj_t BgL_lz00_4806;

										BgL_lz00_4806 = BgL_arg1576z00_1075;
										BgL_rz00_4807 = BgL_arg1578z00_1076;
										BgL_rz00_1069 = BgL_rz00_4807;
										BgL_lz00_1068 = BgL_lz00_4806;
										goto BgL_zc3anonymousza31572ze3z83_1070;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_let*1285 */
	obj_t BGl_z62fsiza7ezd2ev_letza21285zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3485, obj_t BgL_ez00_3486, obj_t BgL_nz00_3487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 122 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1037;
				int BgL_nz00_1038;

				BgL_ez00_1037 = ((BgL_ev_letza2za2_bglt) BgL_ez00_3486);
				BgL_nz00_1038 = CINT(BgL_nz00_3487);
				{	/* Eval/evaluate_fsize.scm 124 */
					obj_t BgL_arg1558z00_1043;

					BgL_arg1558z00_1043 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1037)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2457;
						int BgL_nz00_2458;
						obj_t BgL_rz00_2459;

						BgL_lz00_2457 = BgL_arg1558z00_1043;
						BgL_nz00_2458 = BgL_nz00_1038;
						BgL_rz00_2459 = BINT(BgL_nz00_1038);
					BgL_recz00_2456:
						if (NULLP(BgL_lz00_2457))
							{	/* Eval/evaluate_fsize.scm 124 */
								int BgL_xz00_2471;

								{	/* Eval/evaluate_fsize.scm 124 */
									BgL_ev_exprz00_bglt BgL_arg1563z00_2473;

									BgL_arg1563z00_2473 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1037)))->BgL_bodyz00);
									BgL_xz00_2471 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1563z00_2473,
										BgL_nz00_2458);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2471),
									BgL_rz00_2459);
							}
						else
							{	/* Eval/evaluate_fsize.scm 124 */
								obj_t BgL_arg1567z00_2474;
								long BgL_arg1568z00_2475;
								obj_t BgL_arg1569z00_2476;

								BgL_arg1567z00_2474 = CDR(BgL_lz00_2457);
								BgL_arg1568z00_2475 = ((long) (BgL_nz00_2458) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 124 */
									int BgL_xz00_2477;

									{	/* Eval/evaluate_fsize.scm 124 */
										obj_t BgL_arg1570z00_2479;

										BgL_arg1570z00_2479 = CAR(BgL_lz00_2457);
										BgL_xz00_2477 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1570z00_2479),
											BgL_nz00_2458);
									}
									BgL_arg1569z00_2476 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2477),
										BgL_rz00_2459);
								}
								{
									obj_t BgL_rz00_4831;
									int BgL_nz00_4829;
									obj_t BgL_lz00_4828;

									BgL_lz00_4828 = BgL_arg1567z00_2474;
									BgL_nz00_4829 = (int) (BgL_arg1568z00_2475);
									BgL_rz00_4831 = BgL_arg1569z00_2476;
									BgL_rz00_2459 = BgL_rz00_4831;
									BgL_nz00_2458 = BgL_nz00_4829;
									BgL_lz00_2457 = BgL_lz00_4828;
									goto BgL_recz00_2456;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_let1283 */
	obj_t BGl_z62fsiza7ezd2ev_let1283z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3488, obj_t BgL_ez00_3489, obj_t BgL_nz00_3490)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 115 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1014;
				int BgL_nz00_1015;

				BgL_ez00_1014 = ((BgL_ev_letz00_bglt) BgL_ez00_3489);
				BgL_nz00_1015 = CINT(BgL_nz00_3490);
				{	/* Eval/evaluate_fsize.scm 117 */
					obj_t BgL_arg1548z00_1020;

					BgL_arg1548z00_1020 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1014)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2389;
						int BgL_nz00_2390;
						obj_t BgL_rz00_2391;

						BgL_lz00_2389 = BgL_arg1548z00_1020;
						BgL_nz00_2390 = BgL_nz00_1015;
						BgL_rz00_2391 = BINT(BgL_nz00_1015);
					BgL_recz00_2388:
						if (NULLP(BgL_lz00_2389))
							{	/* Eval/evaluate_fsize.scm 117 */
								int BgL_xz00_2403;

								{	/* Eval/evaluate_fsize.scm 117 */
									BgL_ev_exprz00_bglt BgL_arg1551z00_2405;

									BgL_arg1551z00_2405 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1014)))->BgL_bodyz00);
									BgL_xz00_2403 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1551z00_2405,
										BgL_nz00_2390);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2403),
									BgL_rz00_2391);
							}
						else
							{	/* Eval/evaluate_fsize.scm 117 */
								obj_t BgL_arg1552z00_2406;
								long BgL_arg1553z00_2407;
								obj_t BgL_arg1554z00_2408;

								BgL_arg1552z00_2406 = CDR(BgL_lz00_2389);
								BgL_arg1553z00_2407 = ((long) (BgL_nz00_2390) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 117 */
									int BgL_xz00_2409;

									{	/* Eval/evaluate_fsize.scm 117 */
										obj_t BgL_arg1555z00_2411;

										BgL_arg1555z00_2411 = CAR(BgL_lz00_2389);
										BgL_xz00_2409 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1555z00_2411),
											BgL_nz00_2390);
									}
									BgL_arg1554z00_2408 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2409),
										BgL_rz00_2391);
								}
								{
									obj_t BgL_rz00_4855;
									int BgL_nz00_4853;
									obj_t BgL_lz00_4852;

									BgL_lz00_4852 = BgL_arg1552z00_2406;
									BgL_nz00_4853 = (int) (BgL_arg1553z00_2407);
									BgL_rz00_4855 = BgL_arg1554z00_2408;
									BgL_rz00_2391 = BgL_rz00_4855;
									BgL_nz00_2390 = BgL_nz00_4853;
									BgL_lz00_2389 = BgL_lz00_4852;
									goto BgL_recz00_2388;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_synchronize1281 */
	obj_t BGl_z62fsiza7ezd2ev_synchroniza7e1281zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3491, obj_t BgL_ez00_3492, obj_t BgL_nz00_3493)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 111 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1004;
				int BgL_nz00_1005;

				BgL_ez00_1004 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3492);
				BgL_nz00_1005 = CINT(BgL_nz00_3493);
				{	/* Eval/evaluate_fsize.scm 112 */
					int BgL_xz00_2347;
					int BgL_yz00_2348;

					BgL_xz00_2347 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1004))->
							BgL_mutexz00), BgL_nz00_1005);
					BgL_yz00_2348 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1004))->
							BgL_bodyz00), BgL_nz00_1005);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2347),
						BINT(BgL_yz00_2348));
				}
			}
		}
	}



/* &fsize-ev_with-handle1279 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle1279zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3494, obj_t BgL_ez00_3495, obj_t BgL_nz00_3496)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 107 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_994;
				int BgL_nz00_995;

				BgL_ez00_994 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3495);
				BgL_nz00_995 = CINT(BgL_nz00_3496);
				{	/* Eval/evaluate_fsize.scm 108 */
					int BgL_xz00_2342;
					int BgL_yz00_2343;

					BgL_xz00_2342 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_994))->
							BgL_handlerz00), BgL_nz00_995);
					BgL_yz00_2343 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_994))->
							BgL_bodyz00), BgL_nz00_995);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2342),
						BINT(BgL_yz00_2343));
				}
			}
		}
	}



/* &fsize-ev_unwind-prot1277 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1277zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3497, obj_t BgL_ez00_3498, obj_t BgL_nz00_3499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 103 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_984;
				int BgL_nz00_985;

				BgL_ez00_984 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3498);
				BgL_nz00_985 = CINT(BgL_nz00_3499);
				{	/* Eval/evaluate_fsize.scm 104 */
					int BgL_xz00_2337;
					int BgL_yz00_2338;

					BgL_xz00_2337 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_984))->BgL_ez00),
						BgL_nz00_985);
					BgL_yz00_2338 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_984))->
							BgL_bodyz00), BgL_nz00_985);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2337),
						BINT(BgL_yz00_2338));
				}
			}
		}
	}



/* &fsize-ev_bind-exit1275 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1275zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3500, obj_t BgL_ez00_3501, obj_t BgL_nz00_3502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 99 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_976;
				int BgL_nz00_977;

				{	/* Eval/evaluate_fsize.scm 100 */
					int BgL_auxz00_4886;

					BgL_ez00_976 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3501);
					BgL_nz00_977 = CINT(BgL_nz00_3502);
					{	/* Eval/evaluate_fsize.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1535z00_2331;
						long BgL_arg1537z00_2332;

						BgL_arg1535z00_2331 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_976))->BgL_bodyz00);
						BgL_arg1537z00_2332 = ((long) (BgL_nz00_977) + ((long) 1));
						BgL_auxz00_4886 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1535z00_2331,
							(int) (BgL_arg1537z00_2332));
					}
					return BINT(BgL_auxz00_4886);
				}
			}
		}
	}



/* &fsize-ev_hook1273 */
	obj_t BGl_z62fsiza7ezd2ev_hook1273z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3503, obj_t BgL_ez00_3504, obj_t BgL_nz00_3505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 95 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_969;
				int BgL_nz00_970;

				{	/* Eval/evaluate_fsize.scm 96 */
					int BgL_auxz00_4895;

					BgL_ez00_969 = ((BgL_ev_hookz00_bglt) BgL_ez00_3504);
					BgL_nz00_970 = CINT(BgL_nz00_3505);
					BgL_auxz00_4895 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_969))->BgL_ez00),
						BgL_nz00_970);
					return BINT(BgL_auxz00_4895);
				}
			}
		}
	}



/* &fsize-ev_prog21271 */
	obj_t BGl_z62fsiza7ezd2ev_prog21271z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3506, obj_t BgL_ez00_3507, obj_t BgL_nz00_3508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_959;
				int BgL_nz00_960;

				BgL_ez00_959 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3507);
				BgL_nz00_960 = CINT(BgL_nz00_3508);
				{	/* Eval/evaluate_fsize.scm 92 */
					int BgL_xz00_2324;
					int BgL_yz00_2325;

					BgL_xz00_2324 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_959))->BgL_e1z00),
						BgL_nz00_960);
					BgL_yz00_2325 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_959))->BgL_e2z00), BgL_nz00_960);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2324),
						BINT(BgL_yz00_2325));
				}
			}
		}
	}



/* &fsize-ev_list1269 */
	obj_t BGl_z62fsiza7ezd2ev_list1269z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3509, obj_t BgL_ez00_3510, obj_t BgL_nz00_3511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 84 */
			{
				BgL_ev_listz00_bglt BgL_ez00_941;
				int BgL_nz00_942;

				BgL_ez00_941 = ((BgL_ev_listz00_bglt) BgL_ez00_3510);
				BgL_nz00_942 = CINT(BgL_nz00_3511);
				{	/* Eval/evaluate_fsize.scm 86 */
					obj_t BgL_arg1521z00_947;

					BgL_arg1521z00_947 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_941))->BgL_argsz00);
					{
						obj_t BgL_lz00_2305;
						obj_t BgL_rz00_2306;

						BgL_lz00_2305 = BgL_arg1521z00_947;
						BgL_rz00_2306 = BINT(BgL_nz00_942);
					BgL_recz00_2304:
						if (NULLP(BgL_lz00_2305))
							{	/* Eval/evaluate_fsize.scm 86 */
								return BgL_rz00_2306;
							}
						else
							{	/* Eval/evaluate_fsize.scm 86 */
								obj_t BgL_arg1524z00_2314;
								obj_t BgL_arg1525z00_2315;

								BgL_arg1524z00_2314 = CDR(BgL_lz00_2305);
								{	/* Eval/evaluate_fsize.scm 86 */
									int BgL_yz00_2317;

									{	/* Eval/evaluate_fsize.scm 86 */
										obj_t BgL_arg1526z00_2318;

										BgL_arg1526z00_2318 = CAR(BgL_lz00_2305);
										BgL_yz00_2317 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1526z00_2318),
											BgL_nz00_942);
									}
									BgL_arg1525z00_2315 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_2306,
										BINT(BgL_yz00_2317));
								}
								{
									obj_t BgL_rz00_4920;
									obj_t BgL_lz00_4919;

									BgL_lz00_4919 = BgL_arg1524z00_2314;
									BgL_rz00_4920 = BgL_arg1525z00_2315;
									BgL_rz00_2306 = BgL_rz00_4920;
									BgL_lz00_2305 = BgL_lz00_4919;
									goto BgL_recz00_2304;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_if1267 */
	obj_t BGl_z62fsiza7ezd2ev_if1267z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3512, obj_t BgL_ez00_3513, obj_t BgL_nz00_3514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_928;
				int BgL_nz00_929;

				BgL_ez00_928 = ((BgL_ev_ifz00_bglt) BgL_ez00_3513);
				BgL_nz00_929 = CINT(BgL_nz00_3514);
				{	/* Eval/evaluate_fsize.scm 81 */
					int BgL_arg1516z00_2275;
					obj_t BgL_arg1517z00_2276;

					BgL_arg1516z00_2275 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_928))->BgL_pz00), BgL_nz00_929);
					{	/* Eval/evaluate_fsize.scm 81 */
						int BgL_xz00_2278;
						int BgL_yz00_2279;

						BgL_xz00_2278 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_928))->BgL_tz00),
							BgL_nz00_929);
						BgL_yz00_2279 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_ifz00_bglt)
									CREF(BgL_ez00_928))->BgL_ez00), BgL_nz00_929);
						BgL_arg1517z00_2276 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2278),
							BINT(BgL_yz00_2279));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1516z00_2275),
						BgL_arg1517z00_2276);
				}
			}
		}
	}



/* &fsize-ev_litt1265 */
	obj_t BGl_z62fsiza7ezd2ev_litt1265z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3515, obj_t BgL_ez00_3516, obj_t BgL_nz00_3517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 77 */
			return BINT(CINT(BgL_nz00_3517));
		}
	}



/* &fsize-ev_global1263 */
	obj_t BGl_z62fsiza7ezd2ev_global1263z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3518, obj_t BgL_varz00_3519, obj_t BgL_nz00_3520)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 74 */
			return BINT(CINT(BgL_nz00_3520));
		}
	}



/* &fsize-ev_var1261 */
	obj_t BGl_z62fsiza7ezd2ev_var1261z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3521, obj_t BgL_ez00_3522, obj_t BgL_nz00_3523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 71 */
			return BINT(CINT(BgL_nz00_3523));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 178211111),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 40444151),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2252z00zz__evaluate_fsiza7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
