/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (3.9b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Nov 18 19:16:12 CET 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_exprz00_bglt BGl_z62lambda1765z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1847z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2561z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2481z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2645z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2566z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32043ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32035ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2650z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2492z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2655z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2574z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2497z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2579z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32028ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_gotoz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2660z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2662z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2589z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2670z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2674z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2594z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letrecz00_bglt BGl_z62lambda1881z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2681z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2683z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31512ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_appz00_bglt BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_exprz00_bglt BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1988z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62zc3anonymousza31802ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_orz00_bglt
		BGl_z62zc3anonymousza31624ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31527ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31608ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31706ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31901ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31731ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_andz00_bglt
		BGl_z62zc3anonymousza31634ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31823ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2033z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31921ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31913ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31484ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2041z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2048z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2049z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2053z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31680ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31761ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2054z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62zc3anonymousza31583ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2059z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2063z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31665ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2068z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2069z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1503z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31942ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_symbol2402z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31782ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62zc3anonymousza31499ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2415z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2419z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32012ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62zc3anonymousza32004ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31856ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2501z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2423z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2428z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32021ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31873ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62zc3anonymousza31849ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2510z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2437z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2519z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1561z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31866ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2603z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2525z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2363z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2365z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2609z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2447z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2369z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31883ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2530z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2613z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2451z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2371z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2536z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2455z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2376z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62zc3anonymousza31973ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2620z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2541z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2460z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2380z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2624z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2382z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2547z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2387z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1670z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1598z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2630z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2551z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2472z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2391z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2637z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2556z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2476z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2397z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31894ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2403z00zz__evaluate_typesz00,
		BgL_bgl_string2403za700za7za7_2685za7, "ev_global", 9);
	      DEFINE_STRING(BGl_string2407z00zz__evaluate_typesz00,
		BgL_bgl_string2407za700za7za7_2686za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1525za7622687z00,
		BGl_z62lambda1525z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2401z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1523za7622688z00,
		BGl_z62lambda1523z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1571za7622689z00,
		BGl_z62lambda1571z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1570za7622690z00,
		BGl_z62lambda1570z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2412z00zz__evaluate_typesz00,
		BgL_bgl_string2412za700za7za7_2691za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72692za7,
		BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1561za7622693z00,
		BGl_z62lambda1561z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2416z00zz__evaluate_typesz00,
		BgL_bgl_string2416za700za7za7_2694za7, "e", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1559za7622695z00,
		BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1588za7622696z00,
		BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2420z00zz__evaluate_typesz00,
		BgL_bgl_string2420za700za7za7_2697za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1587za7622698z00,
		BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2502z00zz__evaluate_typesz00,
		BgL_bgl_string2502za700za7za7_2699za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1593za7622700z00,
		BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2424z00zz__evaluate_typesz00,
		BgL_bgl_string2424za700za7za7_2701za7, "p", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1592za7622702z00,
		BGl_z62lambda1592z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2506z00zz__evaluate_typesz00,
		BgL_bgl_string2506za700za7za7_2703za7, "var", 3);
	      DEFINE_STRING(BGl_string2429z00zz__evaluate_typesz00,
		BgL_bgl_string2429za700za7za7_2704za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1745za7622705z00,
		BGl_z62lambda1745z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2421z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1598za7622706z00,
		BGl_z62lambda1598z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1751za7622707z00,
		BGl_z62lambda1751z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1597za7622708z00,
		BGl_z62lambda1597z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1750za7622709z00,
		BGl_z62lambda1750z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2511z00zz__evaluate_typesz00,
		BgL_bgl_string2511za700za7za7_2710za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72711za7,
		BGl_z62zc3anonymousza31583ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72712za7,
		BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1581za7622713z00,
		BGl_z62lambda1581z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1739za7622714z00,
		BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2433z00zz__evaluate_typesz00,
		BgL_bgl_string2433za700za7za7_2715za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1579za7622716z00,
		BGl_z62lambda1579z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1737za7622717z00,
		BGl_z62lambda1737z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2438z00zz__evaluate_typesz00,
		BgL_bgl_string2438za700za7za7_2718za7, "ev_list", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1613za7622719z00,
		BGl_z62lambda1613z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1766za7622720z00,
		BGl_z62lambda1766z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1612za7622721z00,
		BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1765za7622722z00,
		BGl_z62lambda1765z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2520z00zz__evaluate_typesz00,
		BgL_bgl_string2520za700za7za7_2723za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1771za7622724z00,
		BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1770za7622725z00,
		BGl_z62lambda1770z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72726za7,
		BGl_z62zc3anonymousza31608ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72727za7,
		BGl_z62zc3anonymousza31761ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1606za7622728z00,
		BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2604z00zz__evaluate_typesz00,
		BgL_bgl_string2604za700za7za7_2729za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1759za7622730z00,
		BGl_z62lambda1759z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1604za7622731z00,
		BGl_z62lambda1604z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1757za7622732z00,
		BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2443z00zz__evaluate_typesz00,
		BgL_bgl_string2443za700za7za7_2733za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string2526z00zz__evaluate_typesz00,
		BgL_bgl_string2526za700za7za7_2734za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72735za7,
		BGl_z62zc3anonymousza31624ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2364z00zz__evaluate_typesz00,
		BgL_bgl_string2364za700za7za7_2736za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2366z00zz__evaluate_typesz00,
		BgL_bgl_string2366za700za7za7_2737za7, "__evaluate_types", 16);
	      DEFINE_STRING(BGl_string2448z00zz__evaluate_typesz00,
		BgL_bgl_string2448za700za7za7_2738za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72739za7,
		BGl_z62zc3anonymousza31894ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1892za7622740z00,
		BGl_z62lambda1892z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1889za7622741z00,
		BGl_z62lambda1889z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1787za7622742z00,
		BGl_z62lambda1787z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1622za7622743z00,
		BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1786za7622744z00,
		BGl_z62lambda1786z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1620za7622745z00,
		BGl_z62lambda1620z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72746za7,
		BGl_z62zc3anonymousza31484ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2610z00zz__evaluate_typesz00,
		BgL_bgl_string2610za700za7za7_2747za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1792za7622748z00,
		BGl_z62lambda1792z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1482za7622749z00,
		BGl_z62lambda1482z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2605z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1947za7622750z00,
		BGl_z62lambda1947z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1791za7622751z00,
		BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1480za7622752z00,
		BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1946za7622753z00,
		BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2531z00zz__evaluate_typesz00,
		BgL_bgl_string2531za700za7za7_2754za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72755za7,
		BGl_z62zc3anonymousza31634ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1953za7622756z00,
		BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1632za7622757z00,
		BGl_z62lambda1632z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2370z00zz__evaluate_typesz00,
		BgL_bgl_string2370za700za7za7_2758za7, "type", 4);
	      DEFINE_STRING(BGl_string2614z00zz__evaluate_typesz00,
		BgL_bgl_string2614za700za7za7_2759za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622760z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72761za7,
		BGl_z62zc3anonymousza31782ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2452z00zz__evaluate_typesz00,
		BgL_bgl_string2452za700za7za7_2762za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1630za7622763z00,
		BGl_z62lambda1630z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1779za7622764z00,
		BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2372z00zz__evaluate_typesz00,
		BgL_bgl_string2372za700za7za7_2765za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1777za7622766z00,
		BGl_z62lambda1777z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1504za7622767z00,
		BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1650za7622768z00,
		BGl_z62lambda1650z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1503za7622769z00,
		BGl_z62lambda1503z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2537z00zz__evaluate_typesz00,
		BgL_bgl_string2537za700za7za7_2770za7, "mutex", 5);
	      DEFINE_STRING(BGl_string2456z00zz__evaluate_typesz00,
		BgL_bgl_string2456za700za7za7_2771za7, "e1", 2);
	      DEFINE_STRING(BGl_string2377z00zz__evaluate_typesz00,
		BgL_bgl_string2377za700za7za7_2772za7, "eff", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1958za7622773z00,
		BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1957za7622774z00,
		BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1649za7622775z00,
		BGl_z62lambda1649z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1808za7622776z00,
		BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1807za7622777z00,
		BGl_z62lambda1807z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2621z00zz__evaluate_typesz00,
		BgL_bgl_string2621za700za7za7_2778za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1963za7622779z00,
		BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1813za7622780z00,
		BGl_z62lambda1813z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1655za7622781z00,
		BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1962za7622782z00,
		BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1812za7622783z00,
		BGl_z62lambda1812z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1654za7622784z00,
		BGl_z62lambda1654z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72785za7,
		BGl_z62zc3anonymousza31512ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72786za7,
		BGl_z62zc3anonymousza31942ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2542z00zz__evaluate_typesz00,
		BgL_bgl_string2542za700za7za7_2787za7, "ev_synchronize", 14);
	      DEFINE_STRING(BGl_string2461z00zz__evaluate_typesz00,
		BgL_bgl_string2461za700za7za7_2788za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1511za7622789z00,
		BGl_z62lambda1511z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1940za7622790z00,
		BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2381z00zz__evaluate_typesz00,
		BgL_bgl_string2381za700za7za7_2791za7, "name", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1510za7622792z00,
		BGl_z62lambda1510z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2625z00zz__evaluate_typesz00,
		BgL_bgl_string2625za700za7za7_2793za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2619z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1938za7622794z00,
		BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72795za7,
		BGl_z62zc3anonymousza31802ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72796za7,
		BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1800za7622797z00,
		BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1643za7622798z00,
		BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2383z00zz__evaluate_typesz00,
		BgL_bgl_string2383za700za7za7_2799za7, "symbol", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1641za7622800z00,
		BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1517za7622801z00,
		BGl_z62lambda1517z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1516za7622802z00,
		BGl_z62lambda1516z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2548z00zz__evaluate_typesz00,
		BgL_bgl_string2548za700za7za7_2803za7, "vals", 4);
	      DEFINE_STRING(BGl_string2468z00zz__evaluate_typesz00,
		BgL_bgl_string2468za700za7za7_2804za7, "ev_hook", 7);
	      DEFINE_STRING(BGl_string2388z00zz__evaluate_typesz00,
		BgL_bgl_string2388za700za7za7_2805za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1798za7622806z00,
		BGl_z62lambda1798z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2622z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1978za7622807z00,
		BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1977za7622808z00,
		BGl_z62lambda1977z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1828za7622809z00,
		BGl_z62lambda1828z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1670za7622810z00,
		BGl_z62lambda1670z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2631z00zz__evaluate_typesz00,
		BgL_bgl_string2631za700za7za7_2811za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1827za7622812z00,
		BGl_z62lambda1827z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1669za7622813z00,
		BGl_z62lambda1669z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1983za7622814z00,
		BGl_z62lambda1983z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1833za7622815z00,
		BGl_z62lambda1833z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72816za7,
		BGl_z62zc3anonymousza31665ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1982za7622817z00,
		BGl_z62lambda1982z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2552z00zz__evaluate_typesz00,
		BgL_bgl_string2552za700za7za7_2818za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1832za7622819z00,
		BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1663za7622820z00,
		BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72821za7,
		BGl_z62zc3anonymousza31499ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1988za7622822z00,
		BGl_z62lambda1988z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1661za7622823z00,
		BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1497za7622824z00,
		BGl_z62lambda1497z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1987za7622825z00,
		BGl_z62lambda1987z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2473z00zz__evaluate_typesz00,
		BgL_bgl_string2473za700za7za7_2826za7, "ev_trap", 7);
	      DEFINE_STRING(BGl_string2392z00zz__evaluate_typesz00,
		BgL_bgl_string2392za700za7za7_2827za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1495za7622828z00,
		BGl_z62lambda1495z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1838za7622829z00,
		BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72830za7,
		BGl_z62zc3anonymousza31680ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2638z00zz__evaluate_typesz00,
		BgL_bgl_string2638za700za7za7_2831za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string2557z00zz__evaluate_typesz00,
		BgL_bgl_string2557za700za7za7_2832za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2389z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1537za7622833z00,
		BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2477z00zz__evaluate_typesz00,
		BgL_bgl_string2477za700za7za7_2834za7, "v", 1);
	      DEFINE_STRING(BGl_string2398z00zz__evaluate_typesz00,
		BgL_bgl_string2398za700za7za7_2835za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1837za7622836z00,
		BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1994za7622837z00,
		BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1678za7622838z00,
		BGl_z62lambda1678z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2633z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1993za7622839z00,
		BGl_z62lambda1993z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1676za7622840z00,
		BGl_z62lambda1676z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1536za7622841z00,
		BGl_z62lambda1536z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72842za7,
		BGl_z62zc3anonymousza31973ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72843za7,
		BGl_z62zc3anonymousza31823ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1971za7622844z00,
		BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1821za7622845z00,
		BGl_z62lambda1821z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1969za7622846z00,
		BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1819za7622847z00,
		BGl_z62lambda1819z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1695za7622848z00,
		BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2393z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1543za7622849z00,
		BGl_z62lambda1543z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2562z00zz__evaluate_typesz00,
		BgL_bgl_string2562za700za7za7_2850za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1694za7622851z00,
		BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2394z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1542za7622852z00,
		BGl_z62lambda1542z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2482z00zz__evaluate_typesz00,
		BgL_bgl_string2482za700za7za7_2853za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2395z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1551za7622854z00,
		BGl_z62lambda1551z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2639z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72855za7,
		BGl_z62zc3anonymousza32012ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72856za7,
		BGl_z62zc3anonymousza31856ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1550za7622857z00,
		BGl_z62lambda1550z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2646z00zz__evaluate_typesz00,
		BgL_bgl_string2646za700za7za7_2858za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1855za7622859z00,
		BGl_z62lambda1855z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72860za7,
		BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1688za7622861z00,
		BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2567z00zz__evaluate_typesz00,
		BgL_bgl_string2567za700za7za7_2862za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72863za7,
		BGl_z62zc3anonymousza31527ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2011za7622864z00,
		BGl_z62lambda2011z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2010za7622865z00,
		BGl_z62lambda2010z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1854za7622866z00,
		BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72867za7,
		BGl_z62zc3anonymousza32021ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1686za7622868z00,
		BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2020za7622869z00,
		BGl_z62lambda2020z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2019za7622870z00,
		BGl_z62lambda2019z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72871za7,
		BGl_z62zc3anonymousza31849ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2651z00zz__evaluate_typesz00,
		BgL_bgl_string2651za700za7za7_2872za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1847za7622873z00,
		BGl_z62lambda1847z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1711za7622874z00,
		BGl_z62lambda1711z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1845za7622875z00,
		BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1710za7622876z00,
		BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72877za7,
		BGl_z62zc3anonymousza32028ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1716za7622878z00,
		BGl_z62lambda1716z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2027za7622879z00,
		BGl_z62lambda2027z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1715za7622880z00,
		BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2026za7622881z00,
		BGl_z62lambda2026z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72882za7,
		BGl_z62zc3anonymousza31873ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2493z00zz__evaluate_typesz00,
		BgL_bgl_string2493za700za7za7_2883za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1721za7622884z00,
		BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2656z00zz__evaluate_typesz00,
		BgL_bgl_string2656za700za7za7_2885za7, "bind", 4);
	      DEFINE_STRING(BGl_string2575z00zz__evaluate_typesz00,
		BgL_bgl_string2575za700za7za7_2886za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1872za7622887z00,
		BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1720za7622888z00,
		BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72889za7,
		BGl_z62zc3anonymousza31706ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2498z00zz__evaluate_typesz00,
		BgL_bgl_string2498za700za7za7_2890za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1871za7622891z00,
		BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72892za7,
		BGl_z62zc3anonymousza32035ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72893za7,
		BGl_z62zc3anonymousza31866ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1704za7622894z00,
		BGl_z62lambda1704z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2034za7622895z00,
		BGl_z62lambda2034z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1864za7622896z00,
		BGl_z62lambda1864z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1702za7622897z00,
		BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2033za7622898z00,
		BGl_z62lambda2033z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1862za7622899z00,
		BGl_z62lambda1862z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2661z00zz__evaluate_typesz00,
		BgL_bgl_string2661za700za7za7_2900za7, "size", 4);
	      DEFINE_STRING(BGl_string2580z00zz__evaluate_typesz00,
		BgL_bgl_string2580za700za7za7_2901za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72902za7,
		BGl_z62zc3anonymousza31731ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2663z00zz__evaluate_typesz00,
		BgL_bgl_string2663za700za7za7_2903za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2657z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72904za7,
		BGl_z62zc3anonymousza32043ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72905za7,
		BGl_z62zc3anonymousza31883ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1729za7622906z00,
		BGl_z62lambda1729z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2042za7622907z00,
		BGl_z62lambda2042z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1881za7622908z00,
		BGl_z62lambda1881z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1727za7622909z00,
		BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2041za7622910z00,
		BGl_z62lambda2041z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1879za7622911z00,
		BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1746za7622912z00,
		BGl_z62lambda1746z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72913za7,
		BGl_z62zc3anonymousza31901ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1900za7622914z00,
		BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2049za7622915z00,
		BGl_z62lambda2049z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1899za7622916z00,
		BGl_z62lambda1899z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2671z00zz__evaluate_typesz00,
		BgL_bgl_string2671za700za7za7_2917za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2665z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2048za7622918z00,
		BGl_z62lambda2048z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2590z00zz__evaluate_typesz00,
		BgL_bgl_string2590za700za7za7_2919za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1906za7622920z00,
		BGl_z62lambda1906z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2666z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2054za7622921z00,
		BGl_z62lambda2054z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1905za7622922z00,
		BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2053za7622923z00,
		BGl_z62lambda2053z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2586z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72924za7,
		BGl_z62zc3anonymousza31913ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2059za7622925z00,
		BGl_z62lambda2059z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1912za7622926z00,
		BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2675z00zz__evaluate_typesz00,
		BgL_bgl_string2675za700za7za7_2927za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2058za7622928z00,
		BGl_z62lambda2058z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1911za7622929z00,
		BGl_z62lambda1911z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2595z00zz__evaluate_typesz00,
		BgL_bgl_string2595za700za7za7_2930za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2064za7622931z00,
		BGl_z62lambda2064z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2591z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72932za7,
		BGl_z62zc3anonymousza31921ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2063za7622933z00,
		BGl_z62lambda2063z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1920za7622934z00,
		BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1919za7622935z00,
		BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2682z00zz__evaluate_typesz00,
		BgL_bgl_string2682za700za7za7_2936za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2676z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2069za7622937z00,
		BGl_z62lambda2069z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2068za7622938z00,
		BGl_z62lambda2068z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2596z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1926za7622939z00,
		BGl_z62lambda1926z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2684z00zz__evaluate_typesz00,
		BgL_bgl_string2684za700za7za7_2940za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72941za7,
		BGl_z62zc3anonymousza32004ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2597z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1925za7622942z00,
		BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2002za7622943z00,
		BGl_z62lambda2002z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1931za7622944z00,
		BGl_z62lambda1931z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1930za7622945z00,
		BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2680z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2000za7622946z00,
		BGl_z62lambda2000z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_3760, char *BgL_fromz00_3761)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2363z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2364z00zz__evaluate_typesz00);
			BGl_symbol2365z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2366z00zz__evaluate_typesz00);
			BGl_symbol2369z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2370z00zz__evaluate_typesz00);
			BGl_symbol2371z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2372z00zz__evaluate_typesz00);
			BGl_symbol2376z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2377z00zz__evaluate_typesz00);
			BGl_symbol2380z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2381z00zz__evaluate_typesz00);
			BGl_symbol2382z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2383z00zz__evaluate_typesz00);
			BGl_symbol2387z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2388z00zz__evaluate_typesz00);
			BGl_symbol2391z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2392z00zz__evaluate_typesz00);
			BGl_symbol2397z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2398z00zz__evaluate_typesz00);
			BGl_symbol2402z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2403z00zz__evaluate_typesz00);
			BGl_symbol2406z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00);
			BGl_symbol2411z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00);
			BGl_symbol2415z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2416z00zz__evaluate_typesz00);
			BGl_symbol2419z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2420z00zz__evaluate_typesz00);
			BGl_symbol2423z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2424z00zz__evaluate_typesz00);
			BGl_symbol2428z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2429z00zz__evaluate_typesz00);
			BGl_symbol2432z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00);
			BGl_symbol2437z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2438z00zz__evaluate_typesz00);
			BGl_symbol2442z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00);
			BGl_symbol2447z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2448z00zz__evaluate_typesz00);
			BGl_symbol2451z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2452z00zz__evaluate_typesz00);
			BGl_symbol2455z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2456z00zz__evaluate_typesz00);
			BGl_symbol2460z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2461z00zz__evaluate_typesz00);
			BGl_symbol2467z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00);
			BGl_symbol2472z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2473z00zz__evaluate_typesz00);
			BGl_symbol2476z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2477z00zz__evaluate_typesz00);
			BGl_symbol2481z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2482z00zz__evaluate_typesz00);
			BGl_symbol2492z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2493z00zz__evaluate_typesz00);
			BGl_symbol2497z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2498z00zz__evaluate_typesz00);
			BGl_symbol2501z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2502z00zz__evaluate_typesz00);
			BGl_symbol2505z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00);
			BGl_symbol2510z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2511z00zz__evaluate_typesz00);
			BGl_symbol2519z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2520z00zz__evaluate_typesz00);
			BGl_symbol2525z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2526z00zz__evaluate_typesz00);
			BGl_symbol2530z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2531z00zz__evaluate_typesz00);
			BGl_symbol2536z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2537z00zz__evaluate_typesz00);
			BGl_symbol2541z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2542z00zz__evaluate_typesz00);
			BGl_symbol2547z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2548z00zz__evaluate_typesz00);
			BGl_symbol2551z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2552z00zz__evaluate_typesz00);
			BGl_symbol2556z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2557z00zz__evaluate_typesz00);
			BGl_symbol2561z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2562z00zz__evaluate_typesz00);
			BGl_symbol2566z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2567z00zz__evaluate_typesz00);
			BGl_symbol2574z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2575z00zz__evaluate_typesz00);
			BGl_symbol2579z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2580z00zz__evaluate_typesz00);
			BGl_symbol2589z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2590z00zz__evaluate_typesz00);
			BGl_symbol2594z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2595z00zz__evaluate_typesz00);
			BGl_symbol2603z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2604z00zz__evaluate_typesz00);
			BGl_symbol2609z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2610z00zz__evaluate_typesz00);
			BGl_symbol2613z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2614z00zz__evaluate_typesz00);
			BGl_symbol2620z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2621z00zz__evaluate_typesz00);
			BGl_symbol2624z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluate_typesz00);
			BGl_symbol2630z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2631z00zz__evaluate_typesz00);
			BGl_symbol2637z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2638z00zz__evaluate_typesz00);
			BGl_symbol2645z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2646z00zz__evaluate_typesz00);
			BGl_symbol2650z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2651z00zz__evaluate_typesz00);
			BGl_symbol2655z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2656z00zz__evaluate_typesz00);
			BGl_symbol2660z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2661z00zz__evaluate_typesz00);
			BGl_symbol2662z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2663z00zz__evaluate_typesz00);
			BGl_symbol2670z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2671z00zz__evaluate_typesz00);
			BGl_symbol2674z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2675z00zz__evaluate_typesz00);
			BGl_symbol2681z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2682z00zz__evaluate_typesz00);
			return (BGl_symbol2683z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2684z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1478z00_615;
				obj_t BgL_arg1479z00_616;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1376z00_626;

					BgL_v1376z00_626 = create_vector((int) (((long) 0)));
					BgL_arg1478z00_615 = BgL_v1376z00_626;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1377z00_627;

					BgL_v1377z00_627 = create_vector((int) (((long) 0)));
					BgL_arg1479z00_616 = BgL_v1377z00_627;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2363z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2362z00zz__evaluate_typesz00,
					BGl_proc2361z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2360z00zz__evaluate_typesz00, BFALSE, BgL_arg1478z00_615,
					BgL_arg1479z00_616);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1493z00_634;
				obj_t BgL_arg1494z00_635;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1378z00_648;

					BgL_v1378z00_648 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1378z00_648,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2369z00zz__evaluate_typesz00,
							BGl_proc2368z00zz__evaluate_typesz00,
							BGl_proc2367z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1378z00_648, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2376z00zz__evaluate_typesz00,
							BGl_proc2375z00zz__evaluate_typesz00,
							BGl_proc2374z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2373z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1378z00_648, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2380z00zz__evaluate_typesz00,
							BGl_proc2379z00zz__evaluate_typesz00,
							BGl_proc2378z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00));
					BgL_arg1493z00_634 = BgL_v1378z00_648;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1379z00_688;

					BgL_v1379z00_688 = create_vector((int) (((long) 0)));
					BgL_arg1494z00_635 = BgL_v1379z00_688;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2387z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7625),
					BGl_proc2386z00zz__evaluate_typesz00,
					BGl_proc2385z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2384z00zz__evaluate_typesz00, BFALSE, BgL_arg1493z00_634,
					BgL_arg1494z00_635);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1521z00_695;
				obj_t BgL_arg1522z00_696;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1380z00_709;

					BgL_v1380z00_709 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1380z00_709,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2391z00zz__evaluate_typesz00,
							BGl_proc2390z00zz__evaluate_typesz00,
							BGl_proc2389z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1380z00_709, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2380z00zz__evaluate_typesz00,
							BGl_proc2394z00zz__evaluate_typesz00,
							BGl_proc2393z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1380z00_709, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2397z00zz__evaluate_typesz00,
							BGl_proc2396z00zz__evaluate_typesz00,
							BGl_proc2395z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1521z00_695 = BgL_v1380z00_709;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1381z00_746;

					BgL_v1381z00_746 = create_vector((int) (((long) 0)));
					BgL_arg1522z00_696 = BgL_v1381z00_746;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2402z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2401z00zz__evaluate_typesz00,
					BGl_proc2400z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2399z00zz__evaluate_typesz00, BFALSE, BgL_arg1521z00_695,
					BgL_arg1522z00_696);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1555z00_753;
				obj_t BgL_arg1558z00_754;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1382z00_765;

					BgL_v1382z00_765 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1382z00_765,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2406z00zz__evaluate_typesz00,
							BGl_proc2405z00zz__evaluate_typesz00,
							BGl_proc2404z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1555z00_753 = BgL_v1382z00_765;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1383z00_778;

					BgL_v1383z00_778 = create_vector((int) (((long) 0)));
					BgL_arg1558z00_754 = BgL_v1383z00_778;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2411z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2410z00zz__evaluate_typesz00,
					BGl_proc2409z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2408z00zz__evaluate_typesz00, BFALSE, BgL_arg1555z00_753,
					BgL_arg1558z00_754);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1576z00_785;
				obj_t BgL_arg1578z00_786;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1384z00_799;

					BgL_v1384z00_799 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1384z00_799,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2414z00zz__evaluate_typesz00,
							BGl_proc2413z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1384z00_799, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2419z00zz__evaluate_typesz00,
							BGl_proc2418z00zz__evaluate_typesz00,
							BGl_proc2417z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1384z00_799, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2423z00zz__evaluate_typesz00,
							BGl_proc2422z00zz__evaluate_typesz00,
							BGl_proc2421z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1576z00_785 = BgL_v1384z00_799;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1385z00_836;

					BgL_v1385z00_836 = create_vector((int) (((long) 0)));
					BgL_arg1578z00_786 = BgL_v1385z00_836;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2428z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2427z00zz__evaluate_typesz00,
					BGl_proc2426z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2425z00zz__evaluate_typesz00, BFALSE, BgL_arg1576z00_785,
					BgL_arg1578z00_786);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1602z00_843;
				obj_t BgL_arg1603z00_844;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1386z00_855;

					BgL_v1386z00_855 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1386z00_855,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2432z00zz__evaluate_typesz00,
							BGl_proc2431z00zz__evaluate_typesz00,
							BGl_proc2430z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1602z00_843 = BgL_v1386z00_855;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1387z00_868;

					BgL_v1387z00_868 = create_vector((int) (((long) 0)));
					BgL_arg1603z00_844 = BgL_v1387z00_868;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2437z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2436z00zz__evaluate_typesz00,
					BGl_proc2435z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2434z00zz__evaluate_typesz00, BFALSE, BgL_arg1602z00_843,
					BgL_arg1603z00_844);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1618z00_875;
				obj_t BgL_arg1619z00_876;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1388z00_887;

					BgL_v1388z00_887 = create_vector((int) (((long) 0)));
					BgL_arg1618z00_875 = BgL_v1388z00_887;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1389z00_888;

					BgL_v1389z00_888 = create_vector((int) (((long) 0)));
					BgL_arg1619z00_876 = BgL_v1389z00_888;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2442z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2441z00zz__evaluate_typesz00,
					BGl_proc2440z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BgL_arg1618z00_875,
					BgL_arg1619z00_876);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1628z00_895;
				obj_t BgL_arg1629z00_896;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1390z00_907;

					BgL_v1390z00_907 = create_vector((int) (((long) 0)));
					BgL_arg1628z00_895 = BgL_v1390z00_907;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1391z00_908;

					BgL_v1391z00_908 = create_vector((int) (((long) 0)));
					BgL_arg1629z00_896 = BgL_v1391z00_908;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2447z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2446z00zz__evaluate_typesz00,
					BGl_proc2445z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2444z00zz__evaluate_typesz00, BFALSE, BgL_arg1628z00_895,
					BgL_arg1629z00_896);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1639z00_915;
				obj_t BgL_arg1640z00_916;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1392z00_928;

					BgL_v1392z00_928 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1392z00_928,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2451z00zz__evaluate_typesz00,
							BGl_proc2450z00zz__evaluate_typesz00,
							BGl_proc2449z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_928, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2455z00zz__evaluate_typesz00,
							BGl_proc2454z00zz__evaluate_typesz00,
							BGl_proc2453z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1639z00_915 = BgL_v1392z00_928;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1393z00_953;

					BgL_v1393z00_953 = create_vector((int) (((long) 0)));
					BgL_arg1640z00_916 = BgL_v1393z00_953;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2460z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2459z00zz__evaluate_typesz00,
					BGl_proc2458z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2457z00zz__evaluate_typesz00, BFALSE, BgL_arg1639z00_915,
					BgL_arg1640z00_916);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1659z00_960;
				obj_t BgL_arg1660z00_961;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1394z00_972;

					BgL_v1394z00_972 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1394z00_972,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2463z00zz__evaluate_typesz00,
							BGl_proc2462z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1659z00_960 = BgL_v1394z00_972;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1395z00_985;

					BgL_v1395z00_985 = create_vector((int) (((long) 0)));
					BgL_arg1660z00_961 = BgL_v1395z00_985;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2467z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2466z00zz__evaluate_typesz00,
					BGl_proc2465z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1659z00_960,
					BgL_arg1660z00_961);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1674z00_992;
				obj_t BgL_arg1675z00_993;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1396z00_1004;

					BgL_v1396z00_1004 = create_vector((int) (((long) 0)));
					BgL_arg1674z00_992 = BgL_v1396z00_1004;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1397z00_1005;

					BgL_v1397z00_1005 = create_vector((int) (((long) 0)));
					BgL_arg1675z00_993 = BgL_v1397z00_1005;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2472z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2471z00zz__evaluate_typesz00,
					BGl_proc2470z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2469z00zz__evaluate_typesz00, BFALSE, BgL_arg1674z00_992,
					BgL_arg1675z00_993);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1684z00_1012;
				obj_t BgL_arg1685z00_1013;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1398z00_1025;

					BgL_v1398z00_1025 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1398z00_1025,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2476z00zz__evaluate_typesz00,
							BGl_proc2475z00zz__evaluate_typesz00,
							BGl_proc2474z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1684z00_1012 = BgL_v1398z00_1025;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1399z00_1038;

					BgL_v1399z00_1038 = create_vector((int) (((long) 0)));
					BgL_arg1685z00_1013 = BgL_v1399z00_1038;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2481z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2480z00zz__evaluate_typesz00,
					BGl_proc2479z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2478z00zz__evaluate_typesz00, BFALSE, BgL_arg1684z00_1012,
					BgL_arg1685z00_1013);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1700z00_1045;
				obj_t BgL_arg1701z00_1046;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1400z00_1060;

					BgL_v1400z00_1060 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1400z00_1060,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2391z00zz__evaluate_typesz00,
							BGl_proc2484z00zz__evaluate_typesz00,
							BGl_proc2483z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1400z00_1060, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2380z00zz__evaluate_typesz00,
							BGl_proc2486z00zz__evaluate_typesz00,
							BGl_proc2485z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1400z00_1060, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2397z00zz__evaluate_typesz00,
							BGl_proc2488z00zz__evaluate_typesz00,
							BGl_proc2487z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1700z00_1045 = BgL_v1400z00_1060;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1401z00_1097;

					BgL_v1401z00_1097 = create_vector((int) (((long) 0)));
					BgL_arg1701z00_1046 = BgL_v1401z00_1097;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2492z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2491z00zz__evaluate_typesz00,
					BGl_proc2490z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2489z00zz__evaluate_typesz00, BFALSE, BgL_arg1700z00_1045,
					BgL_arg1701z00_1046);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1725z00_1104;
				obj_t BgL_arg1726z00_1105;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1402z00_1119;

					BgL_v1402z00_1119 = create_vector((int) (((long) 0)));
					BgL_arg1725z00_1104 = BgL_v1402z00_1119;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1403z00_1120;

					BgL_v1403z00_1120 = create_vector((int) (((long) 0)));
					BgL_arg1726z00_1105 = BgL_v1403z00_1120;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2497z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2496z00zz__evaluate_typesz00,
					BGl_proc2495z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2494z00zz__evaluate_typesz00, BFALSE, BgL_arg1725z00_1104,
					BgL_arg1726z00_1105);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1735z00_1127;
				obj_t BgL_arg1736z00_1128;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1404z00_1140;

					BgL_v1404z00_1140 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1404z00_1140,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2500z00zz__evaluate_typesz00,
							BGl_proc2499z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1404z00_1140, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2505z00zz__evaluate_typesz00,
							BGl_proc2504z00zz__evaluate_typesz00,
							BGl_proc2503z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1735z00_1127 = BgL_v1404z00_1140;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1405z00_1165;

					BgL_v1405z00_1165 = create_vector((int) (((long) 0)));
					BgL_arg1736z00_1128 = BgL_v1405z00_1165;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2510z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2509z00zz__evaluate_typesz00,
					BGl_proc2508z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2507z00zz__evaluate_typesz00, BFALSE, BgL_arg1735z00_1127,
					BgL_arg1736z00_1128);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1755z00_1172;
				obj_t BgL_arg1756z00_1173;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1406z00_1185;

					BgL_v1406z00_1185 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1406z00_1185,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2513z00zz__evaluate_typesz00,
							BGl_proc2512z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1185, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2515z00zz__evaluate_typesz00,
							BGl_proc2514z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1755z00_1172 = BgL_v1406z00_1185;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1407z00_1210;

					BgL_v1407z00_1210 = create_vector((int) (((long) 0)));
					BgL_arg1756z00_1173 = BgL_v1407z00_1210;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2519z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2518z00zz__evaluate_typesz00,
					BGl_proc2517z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2516z00zz__evaluate_typesz00, BFALSE, BgL_arg1755z00_1172,
					BgL_arg1756z00_1173);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1775z00_1217;
				obj_t BgL_arg1776z00_1218;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1408z00_1230;

					BgL_v1408z00_1230 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1408z00_1230,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2522z00zz__evaluate_typesz00,
							BGl_proc2521z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1230, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2524z00zz__evaluate_typesz00,
							BGl_proc2523z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1775z00_1217 = BgL_v1408z00_1230;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1409z00_1255;

					BgL_v1409z00_1255 = create_vector((int) (((long) 0)));
					BgL_arg1776z00_1218 = BgL_v1409z00_1255;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2530z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2529z00zz__evaluate_typesz00,
					BGl_proc2528z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2527z00zz__evaluate_typesz00, BFALSE, BgL_arg1775z00_1217,
					BgL_arg1776z00_1218);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1796z00_1262;
				obj_t BgL_arg1797z00_1263;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1410z00_1275;

					BgL_v1410z00_1275 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1410z00_1275,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2533z00zz__evaluate_typesz00,
							BGl_proc2532z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1275, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2536z00zz__evaluate_typesz00,
							BGl_proc2535z00zz__evaluate_typesz00,
							BGl_proc2534z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1796z00_1262 = BgL_v1410z00_1275;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1411z00_1300;

					BgL_v1411z00_1300 = create_vector((int) (((long) 0)));
					BgL_arg1797z00_1263 = BgL_v1411z00_1300;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2541z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 8795),
					BGl_proc2540z00zz__evaluate_typesz00,
					BGl_proc2539z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2538z00zz__evaluate_typesz00, BFALSE, BgL_arg1796z00_1262,
					BgL_arg1797z00_1263);
			}
			{	/* Eval/evaluate_types.scm 95 */
				obj_t BgL_arg1817z00_1307;
				obj_t BgL_arg1818z00_1308;

				{	/* Eval/evaluate_types.scm 95 */
					obj_t BgL_v1412z00_1321;

					BgL_v1412z00_1321 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1412z00_1321,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2544z00zz__evaluate_typesz00,
							BGl_proc2543z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1321, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2547z00zz__evaluate_typesz00,
							BGl_proc2546z00zz__evaluate_typesz00,
							BGl_proc2545z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1321, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2551z00zz__evaluate_typesz00,
							BGl_proc2550z00zz__evaluate_typesz00,
							BGl_proc2549z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1817z00_1307 = BgL_v1412z00_1321;
				}
				{	/* Eval/evaluate_types.scm 95 */
					obj_t BgL_v1413z00_1358;

					BgL_v1413z00_1358 = create_vector((int) (((long) 0)));
					BgL_arg1818z00_1308 = BgL_v1413z00_1358;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2556z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2555z00zz__evaluate_typesz00,
					BGl_proc2554z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2553z00zz__evaluate_typesz00, BFALSE, BgL_arg1817z00_1307,
					BgL_arg1818z00_1308);
			}
			{	/* Eval/evaluate_types.scm 99 */
				obj_t BgL_arg1842z00_1365;
				obj_t BgL_arg1844z00_1366;

				{	/* Eval/evaluate_types.scm 99 */
					obj_t BgL_v1414z00_1380;

					BgL_v1414z00_1380 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1414z00_1380,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2560z00zz__evaluate_typesz00,
							BGl_proc2559z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2558z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1842z00_1365 = BgL_v1414z00_1380;
				}
				{	/* Eval/evaluate_types.scm 99 */
					obj_t BgL_v1415z00_1396;

					BgL_v1415z00_1396 = create_vector((int) (((long) 0)));
					BgL_arg1844z00_1366 = BgL_v1415z00_1396;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2566z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2565z00zz__evaluate_typesz00,
					BGl_proc2564z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2563z00zz__evaluate_typesz00, BFALSE, BgL_arg1842z00_1365,
					BgL_arg1844z00_1366);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1860z00_1403;
				obj_t BgL_arg1861z00_1404;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1416z00_1418;

					BgL_v1416z00_1418 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1416z00_1418,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2570z00zz__evaluate_typesz00,
							BGl_proc2569z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2568z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1860z00_1403 = BgL_v1416z00_1418;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1417z00_1434;

					BgL_v1417z00_1434 = create_vector((int) (((long) 0)));
					BgL_arg1861z00_1404 = BgL_v1417z00_1434;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2574z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2573z00zz__evaluate_typesz00,
					BGl_proc2572z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2571z00zz__evaluate_typesz00, BFALSE, BgL_arg1860z00_1403,
					BgL_arg1861z00_1404);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1877z00_1441;
				obj_t BgL_arg1878z00_1442;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1418z00_1455;

					BgL_v1418z00_1455 = create_vector((int) (((long) 0)));
					BgL_arg1877z00_1441 = BgL_v1418z00_1455;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1419z00_1456;

					BgL_v1419z00_1456 = create_vector((int) (((long) 0)));
					BgL_arg1878z00_1442 = BgL_v1419z00_1456;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2579z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2578z00zz__evaluate_typesz00,
					BGl_proc2577z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2576z00zz__evaluate_typesz00, BFALSE, BgL_arg1877z00_1441,
					BgL_arg1878z00_1442);
			}
			{	/* Eval/evaluate_types.scm 104 */
				obj_t BgL_arg1887z00_1463;
				obj_t BgL_arg1888z00_1464;

				{	/* Eval/evaluate_types.scm 104 */
					obj_t BgL_v1420z00_1480;

					BgL_v1420z00_1480 = create_vector((int) (((long) 6)));
					VECTOR_SET(BgL_v1420z00_1480,
						(int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2583z00zz__evaluate_typesz00,
							BGl_proc2582z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2581z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1480, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2585z00zz__evaluate_typesz00,
							BGl_proc2584z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1480, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2589z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00,
							BGl_proc2587z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2586z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1480, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2594z00zz__evaluate_typesz00,
							BGl_proc2593z00zz__evaluate_typesz00,
							BGl_proc2592z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2591z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1480, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2547z00zz__evaluate_typesz00,
							BGl_proc2597z00zz__evaluate_typesz00,
							BGl_proc2596z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1480, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2551z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00,
							BGl_proc2598z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1887z00_1463 = BgL_v1420z00_1480;
				}
				{	/* Eval/evaluate_types.scm 104 */
					obj_t BgL_v1421z00_1562;

					BgL_v1421z00_1562 = create_vector((int) (((long) 0)));
					BgL_arg1888z00_1464 = BgL_v1421z00_1562;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2603z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2602z00zz__evaluate_typesz00,
					BGl_proc2601z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2600z00zz__evaluate_typesz00, BFALSE, BgL_arg1887z00_1463,
					BgL_arg1888z00_1464);
			}
			{	/* Eval/evaluate_types.scm 112 */
				obj_t BgL_arg1935z00_1569;
				obj_t BgL_arg1937z00_1570;

				{	/* Eval/evaluate_types.scm 112 */
					obj_t BgL_v1422z00_1584;

					BgL_v1422z00_1584 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1422z00_1584,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2432z00zz__evaluate_typesz00,
							BGl_proc2606z00zz__evaluate_typesz00,
							BGl_proc2605z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1422z00_1584, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2609z00zz__evaluate_typesz00,
							BGl_proc2608z00zz__evaluate_typesz00,
							BGl_proc2607z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1422z00_1584, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2613z00zz__evaluate_typesz00,
							BGl_proc2612z00zz__evaluate_typesz00,
							BGl_proc2611z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1422z00_1584, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2397z00zz__evaluate_typesz00,
							BGl_proc2616z00zz__evaluate_typesz00,
							BGl_proc2615z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1935z00_1569 = BgL_v1422z00_1584;
				}
				{	/* Eval/evaluate_types.scm 112 */
					obj_t BgL_v1423z00_1633;

					BgL_v1423z00_1633 = create_vector((int) (((long) 0)));
					BgL_arg1937z00_1570 = BgL_v1423z00_1633;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2620z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2619z00zz__evaluate_typesz00,
					BGl_proc2618z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2617z00zz__evaluate_typesz00, BFALSE, BgL_arg1935z00_1569,
					BgL_arg1937z00_1570);
			}
			{	/* Eval/evaluate_types.scm 117 */
				obj_t BgL_arg1967z00_1640;
				obj_t BgL_arg1968z00_1641;

				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v1424z00_1655;

					BgL_v1424z00_1655 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1424z00_1655,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2624z00zz__evaluate_typesz00,
							BGl_proc2623z00zz__evaluate_typesz00,
							BGl_proc2622z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1424z00_1655, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2432z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1424z00_1655, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2630z00zz__evaluate_typesz00,
							BGl_proc2629z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1424z00_1655, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2397z00zz__evaluate_typesz00,
							BGl_proc2633z00zz__evaluate_typesz00,
							BGl_proc2632z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1967z00_1640 = BgL_v1424z00_1655;
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v1425z00_1704;

					BgL_v1425z00_1704 = create_vector((int) (((long) 0)));
					BgL_arg1968z00_1641 = BgL_v1425z00_1704;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2637z00zz__evaluate_typesz00,
					BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2636z00zz__evaluate_typesz00,
					BGl_proc2635z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2634z00zz__evaluate_typesz00, BFALSE, BgL_arg1967z00_1640,
					BgL_arg1968z00_1641);
			}
			{	/* Eval/evaluate_types.scm 120 */
				obj_t BgL_arg1998z00_1711;
				obj_t BgL_arg1999z00_1712;

				{	/* Eval/evaluate_types.scm 120 */
					obj_t BgL_v1426z00_1732;

					BgL_v1426z00_1732 = create_vector((int) (((long) 10)));
					VECTOR_SET(BgL_v1426z00_1732,
						(int) (((long) 9)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2641z00zz__evaluate_typesz00,
							BGl_proc2640z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2639z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 8)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2645z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00,
							BGl_proc2643z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2642z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 7)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2650z00zz__evaluate_typesz00,
							BGl_proc2649z00zz__evaluate_typesz00,
							BGl_proc2648z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2647z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 6)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2655z00zz__evaluate_typesz00,
							BGl_proc2654z00zz__evaluate_typesz00,
							BGl_proc2653z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2652z00zz__evaluate_typesz00,
							BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2660z00zz__evaluate_typesz00,
							BGl_proc2659z00zz__evaluate_typesz00,
							BGl_proc2658z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2657z00zz__evaluate_typesz00,
							BGl_symbol2662z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2665z00zz__evaluate_typesz00,
							BGl_proc2664z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2551z00zz__evaluate_typesz00,
							BGl_proc2667z00zz__evaluate_typesz00,
							BGl_proc2666z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2670z00zz__evaluate_typesz00,
							BGl_proc2669z00zz__evaluate_typesz00,
							BGl_proc2668z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2674z00zz__evaluate_typesz00,
							BGl_proc2673z00zz__evaluate_typesz00,
							BGl_proc2672z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1426z00_1732, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2397z00zz__evaluate_typesz00,
							BGl_proc2677z00zz__evaluate_typesz00,
							BGl_proc2676z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2371z00zz__evaluate_typesz00));
					BgL_arg1998z00_1711 = BgL_v1426z00_1732;
				}
				{	/* Eval/evaluate_types.scm 120 */
					obj_t BgL_v1427z00_1868;

					BgL_v1427z00_1868 = create_vector((int) (((long) 0)));
					BgL_arg1999z00_1712 = BgL_v1427z00_1868;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2681z00zz__evaluate_typesz00,
						BGl_symbol2365z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2680z00zz__evaluate_typesz00,
						BGl_proc2679z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2678z00zz__evaluate_typesz00, BFALSE, BgL_arg1998z00_1711,
						BgL_arg1999z00_1712), BUNSPEC);
		}}
	}



/* &<anonymous:2004> */
	BgL_ev_absz00_bglt BGl_z62zc3anonymousza32004ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3133, obj_t BgL_new1189z00_3134)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{
				BgL_ev_absz00_bglt BgL_new1189z00_1730;

				BgL_new1189z00_1730 = ((BgL_ev_absz00_bglt) BgL_new1189z00_3134);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4130;

					{	/* Eval/evaluate_types.scm 120 */
						obj_t BgL_classz00_2736;

						BgL_classz00_2736 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 120 */
							obj_t BgL__ortest_1375z00_2737;

							BgL__ortest_1375z00_2737 = BGL_CLASS_NIL(BgL_classz00_2736);
							if (CBOOL(BgL__ortest_1375z00_2737))
								{	/* Eval/evaluate_types.scm 120 */
									BgL_auxz00_4130 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2737);
								}
							else
								{	/* Eval/evaluate_types.scm 120 */
									BgL_auxz00_4130 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2736));
								}
						}
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4130), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1189z00_1730))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1189z00_1730;
			}
		}
	}



/* &lambda2002 */
	BgL_ev_absz00_bglt BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{

				{	/* Eval/evaluate_types.scm 120 */
					BgL_ev_absz00_bglt BgL_new1188z00_1728;

					BgL_new1188z00_1728 =
						((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_absz00_bgl))));
					{	/* Eval/evaluate_types.scm 120 */
						long BgL_arg2003z00_1729;

						{	/* Eval/evaluate_types.scm 120 */
							long BgL_res2329z00_2733;

							BgL_res2329z00_2733 =
								BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
							BgL_arg2003z00_1729 = BgL_res2329z00_2733;
						}
						{	/* Eval/evaluate_types.scm 120 */
							BgL_objectz00_bglt BgL_objz00_2734;

							BgL_objz00_2734 = ((BgL_objectz00_bglt) BgL_new1188z00_1728);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2734, BgL_arg2003z00_1729);
					}}
					{	/* Eval/evaluate_types.scm 120 */
						BgL_objectz00_bglt BgL_auxz00_4149;

						BgL_auxz00_4149 = ((BgL_objectz00_bglt) BgL_new1188z00_1728);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4149, BFALSE);
					}
					return BgL_new1188z00_1728;
				}
			}
		}
	}



/* &lambda2000 */
	BgL_ev_absz00_bglt BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3136, obj_t BgL_loc1178z00_3137, obj_t BgL_where1179z00_3138,
		obj_t BgL_arity1180z00_3139, obj_t BgL_vars1181z00_3140,
		obj_t BgL_body1182z00_3141, obj_t BgL_siza7e1183za7_3142,
		obj_t BgL_bind1184z00_3143, obj_t BgL_free1185z00_3144,
		obj_t BgL_inner1186z00_3145, obj_t BgL_boxes1187z00_3146)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{
				obj_t BgL_loc1178z00_1713;
				obj_t BgL_where1179z00_1714;
				obj_t BgL_arity1180z00_1715;
				obj_t BgL_vars1181z00_1716;
				BgL_ev_exprz00_bglt BgL_body1182z00_1717;
				int BgL_siza7e1183za7_1718;
				obj_t BgL_bind1184z00_1719;
				obj_t BgL_free1185z00_1720;
				obj_t BgL_inner1186z00_1721;
				obj_t BgL_boxes1187z00_1722;

				BgL_loc1178z00_1713 = BgL_loc1178z00_3137;
				BgL_where1179z00_1714 = BgL_where1179z00_3138;
				BgL_arity1180z00_1715 = BgL_arity1180z00_3139;
				BgL_vars1181z00_1716 = BgL_vars1181z00_3140;
				BgL_body1182z00_1717 = ((BgL_ev_exprz00_bglt) BgL_body1182z00_3141);
				BgL_siza7e1183za7_1718 = CINT(BgL_siza7e1183za7_3142);
				BgL_bind1184z00_1719 = BgL_bind1184z00_3143;
				BgL_free1185z00_1720 = BgL_free1185z00_3144;
				BgL_inner1186z00_1721 = BgL_inner1186z00_3145;
				BgL_boxes1187z00_1722 = BgL_boxes1187z00_3146;
				{	/* Eval/evaluate_types.scm 120 */
					BgL_ev_absz00_bglt BgL_new1333z00_2725;

					{	/* Eval/evaluate_types.scm 120 */
						BgL_ev_absz00_bglt BgL_new1332z00_2726;

						BgL_new1332z00_2726 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 120 */
							long BgL_arg2001z00_2727;

							{	/* Eval/evaluate_types.scm 120 */
								long BgL_res2328z00_2729;

								BgL_res2328z00_2729 =
									BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
								BgL_arg2001z00_2727 = BgL_res2328z00_2729;
							}
							{	/* Eval/evaluate_types.scm 120 */
								BgL_objectz00_bglt BgL_objz00_2730;

								BgL_objz00_2730 = ((BgL_objectz00_bglt) BgL_new1332z00_2726);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2730, BgL_arg2001z00_2727);
						}}
						{	/* Eval/evaluate_types.scm 120 */
							BgL_objectz00_bglt BgL_auxz00_4156;

							BgL_auxz00_4156 = ((BgL_objectz00_bglt) BgL_new1332z00_2726);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4156, BFALSE);
						}
						BgL_new1333z00_2725 = BgL_new1332z00_2726;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_locz00) =
						((obj_t) BgL_loc1178z00_1713), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_wherez00) =
						((obj_t) BgL_where1179z00_1714), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_arityz00) =
						((obj_t) BgL_arity1180z00_1715), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_varsz00) =
						((obj_t) BgL_vars1181z00_1716), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1182z00_1717), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_siza7eza7) =
						((int) BgL_siza7e1183za7_1718), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_bindz00) =
						((obj_t) BgL_bind1184z00_1719), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_freez00) =
						((obj_t) BgL_free1185z00_1720), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_innerz00) =
						((obj_t) BgL_inner1186z00_1721), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1333z00_2725))->BgL_boxesz00) =
						((obj_t) BgL_boxes1187z00_1722), BUNSPEC);
					return BgL_new1333z00_2725;
				}
			}
		}
	}



/* &lambda2069 */
	obj_t BGl_z62lambda2069z62zz__evaluate_typesz00(obj_t BgL_envz00_3147,
		obj_t BgL_oz00_3148, obj_t BgL_vz00_3149)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3596;

				BgL_oz00_3596 = ((BgL_ev_absz00_bglt) BgL_oz00_3148);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3596))->BgL_locz00) =
					((obj_t) BgL_vz00_3149), BUNSPEC);
			}
		}
	}



/* &lambda2068 */
	obj_t BGl_z62lambda2068z62zz__evaluate_typesz00(obj_t BgL_envz00_3150,
		obj_t BgL_oz00_3151)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3151)))->BgL_locz00);
		}
	}



/* &lambda2064 */
	obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t BgL_envz00_3152,
		obj_t BgL_oz00_3153, obj_t BgL_vz00_3154)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3599;

				BgL_oz00_3599 = ((BgL_ev_absz00_bglt) BgL_oz00_3153);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3599))->BgL_wherez00) =
					((obj_t) BgL_vz00_3154), BUNSPEC);
			}
		}
	}



/* &lambda2063 */
	obj_t BGl_z62lambda2063z62zz__evaluate_typesz00(obj_t BgL_envz00_3155,
		obj_t BgL_oz00_3156)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3156)))->BgL_wherez00);
		}
	}



/* &lambda2059 */
	obj_t BGl_z62lambda2059z62zz__evaluate_typesz00(obj_t BgL_envz00_3157,
		obj_t BgL_oz00_3158, obj_t BgL_vz00_3159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3602;

				BgL_oz00_3602 = ((BgL_ev_absz00_bglt) BgL_oz00_3158);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3602))->BgL_arityz00) =
					((obj_t) BgL_vz00_3159), BUNSPEC);
			}
		}
	}



/* &lambda2058 */
	obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t BgL_envz00_3160,
		obj_t BgL_oz00_3161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3161)))->BgL_arityz00);
		}
	}



/* &lambda2054 */
	obj_t BGl_z62lambda2054z62zz__evaluate_typesz00(obj_t BgL_envz00_3162,
		obj_t BgL_oz00_3163, obj_t BgL_vz00_3164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3605;

				BgL_oz00_3605 = ((BgL_ev_absz00_bglt) BgL_oz00_3163);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3605))->BgL_varsz00) =
					((obj_t) BgL_vz00_3164), BUNSPEC);
			}
		}
	}



/* &lambda2053 */
	obj_t BGl_z62lambda2053z62zz__evaluate_typesz00(obj_t BgL_envz00_3165,
		obj_t BgL_oz00_3166)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3166)))->BgL_varsz00);
		}
	}



/* &lambda2049 */
	obj_t BGl_z62lambda2049z62zz__evaluate_typesz00(obj_t BgL_envz00_3167,
		obj_t BgL_oz00_3168, obj_t BgL_vz00_3169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3608;
				BgL_ev_exprz00_bglt BgL_vz00_3609;

				BgL_oz00_3608 = ((BgL_ev_absz00_bglt) BgL_oz00_3168);
				BgL_vz00_3609 = ((BgL_ev_exprz00_bglt) BgL_vz00_3169);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3608))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3609), BUNSPEC);
			}
		}
	}



/* &lambda2048 */
	BgL_ev_exprz00_bglt BGl_z62lambda2048z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3170, obj_t BgL_oz00_3171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3171)))->BgL_bodyz00);
		}
	}



/* &<anonymous:2043> */
	obj_t BGl_z62zc3anonymousza32043ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3172)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return BINT(((long) 0));
		}
	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t BgL_envz00_3173,
		obj_t BgL_oz00_3174, obj_t BgL_vz00_3175)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3611;
				int BgL_vz00_3612;

				BgL_oz00_3611 = ((BgL_ev_absz00_bglt) BgL_oz00_3174);
				BgL_vz00_3612 = CINT(BgL_vz00_3175);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3611))->BgL_siza7eza7) =
					((int) BgL_vz00_3612), BUNSPEC);
		}}
	}



/* &lambda2041 */
	obj_t BGl_z62lambda2041z62zz__evaluate_typesz00(obj_t BgL_envz00_3176,
		obj_t BgL_oz00_3177)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3177)))->BgL_siza7eza7));
		}
	}



/* &<anonymous:2035> */
	obj_t BGl_z62zc3anonymousza32035ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3178)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return BNIL;
		}
	}



/* &lambda2034 */
	obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t BgL_envz00_3179,
		obj_t BgL_oz00_3180, obj_t BgL_vz00_3181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3614;

				BgL_oz00_3614 = ((BgL_ev_absz00_bglt) BgL_oz00_3180);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3614))->BgL_bindz00) =
					((obj_t) BgL_vz00_3181), BUNSPEC);
			}
		}
	}



/* &lambda2033 */
	obj_t BGl_z62lambda2033z62zz__evaluate_typesz00(obj_t BgL_envz00_3182,
		obj_t BgL_oz00_3183)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3183)))->BgL_bindz00);
		}
	}



/* &<anonymous:2028> */
	obj_t BGl_z62zc3anonymousza32028ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return BNIL;
		}
	}



/* &lambda2027 */
	obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t BgL_envz00_3185,
		obj_t BgL_oz00_3186, obj_t BgL_vz00_3187)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3617;

				BgL_oz00_3617 = ((BgL_ev_absz00_bglt) BgL_oz00_3186);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3617))->BgL_freez00) =
					((obj_t) BgL_vz00_3187), BUNSPEC);
			}
		}
	}



/* &lambda2026 */
	obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t BgL_envz00_3188,
		obj_t BgL_oz00_3189)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3189)))->BgL_freez00);
		}
	}



/* &<anonymous:2021> */
	obj_t BGl_z62zc3anonymousza32021ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return BNIL;
		}
	}



/* &lambda2020 */
	obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t BgL_envz00_3191,
		obj_t BgL_oz00_3192, obj_t BgL_vz00_3193)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3620;

				BgL_oz00_3620 = ((BgL_ev_absz00_bglt) BgL_oz00_3192);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3620))->BgL_innerz00) =
					((obj_t) BgL_vz00_3193), BUNSPEC);
			}
		}
	}



/* &lambda2019 */
	obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t BgL_envz00_3194,
		obj_t BgL_oz00_3195)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3195)))->BgL_innerz00);
		}
	}



/* &<anonymous:2012> */
	obj_t BGl_z62zc3anonymousza32012ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return BNIL;
		}
	}



/* &lambda2011 */
	obj_t BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t BgL_envz00_3197,
		obj_t BgL_oz00_3198, obj_t BgL_vz00_3199)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_oz00_3623;

				BgL_oz00_3623 = ((BgL_ev_absz00_bglt) BgL_oz00_3198);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3623))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3199), BUNSPEC);
			}
		}
	}



/* &lambda2010 */
	obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t BgL_envz00_3200,
		obj_t BgL_oz00_3201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3201)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1973> */
	BgL_ev_appz00_bglt BGl_z62zc3anonymousza31973ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3202, obj_t BgL_new1176z00_3203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				BgL_ev_appz00_bglt BgL_new1176z00_1653;

				BgL_new1176z00_1653 = ((BgL_ev_appz00_bglt) BgL_new1176z00_3203);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1176z00_1653))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4216;

					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_classz00_2673;

						BgL_classz00_2673 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 117 */
							obj_t BgL__ortest_1375z00_2674;

							BgL__ortest_1375z00_2674 = BGL_CLASS_NIL(BgL_classz00_2673);
							if (CBOOL(BgL__ortest_1375z00_2674))
								{	/* Eval/evaluate_types.scm 117 */
									BgL_auxz00_4216 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2674);
								}
							else
								{	/* Eval/evaluate_types.scm 117 */
									BgL_auxz00_4216 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2673));
								}
						}
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1176z00_1653))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4216), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) CREF(BgL_new1176z00_1653))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1176z00_1653))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1176z00_1653;
			}
		}
	}



/* &lambda1971 */
	BgL_ev_appz00_bglt BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3204)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{

				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_appz00_bglt BgL_new1175z00_1651;

					BgL_new1175z00_1651 =
						((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 117 */
						long BgL_arg1972z00_1652;

						{	/* Eval/evaluate_types.scm 117 */
							long BgL_res2327z00_2670;

							BgL_res2327z00_2670 =
								BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
							BgL_arg1972z00_1652 = BgL_res2327z00_2670;
						}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_objz00_2671;

							BgL_objz00_2671 = ((BgL_objectz00_bglt) BgL_new1175z00_1651);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2671, BgL_arg1972z00_1652);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						BgL_objectz00_bglt BgL_auxz00_4231;

						BgL_auxz00_4231 = ((BgL_objectz00_bglt) BgL_new1175z00_1651);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4231, BFALSE);
					}
					return BgL_new1175z00_1651;
				}
			}
		}
	}



/* &lambda1969 */
	BgL_ev_appz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3205, obj_t BgL_loc1171z00_3206, obj_t BgL_fun1172z00_3207,
		obj_t BgL_args1173z00_3208, obj_t BgL_tailzf31174zf3_3209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				obj_t BgL_loc1171z00_1642;
				BgL_ev_exprz00_bglt BgL_fun1172z00_1643;
				obj_t BgL_args1173z00_1644;
				obj_t BgL_tailzf31174zf3_1645;

				BgL_loc1171z00_1642 = BgL_loc1171z00_3206;
				BgL_fun1172z00_1643 = ((BgL_ev_exprz00_bglt) BgL_fun1172z00_3207);
				BgL_args1173z00_1644 = BgL_args1173z00_3208;
				BgL_tailzf31174zf3_1645 = BgL_tailzf31174zf3_3209;
				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_appz00_bglt BgL_new1323z00_2662;

					{	/* Eval/evaluate_types.scm 117 */
						BgL_ev_appz00_bglt BgL_new1322z00_2663;

						BgL_new1322z00_2663 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate_types.scm 117 */
							long BgL_arg1970z00_2664;

							{	/* Eval/evaluate_types.scm 117 */
								long BgL_res2326z00_2666;

								BgL_res2326z00_2666 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1970z00_2664 = BgL_res2326z00_2666;
							}
							{	/* Eval/evaluate_types.scm 117 */
								BgL_objectz00_bglt BgL_objz00_2667;

								BgL_objz00_2667 = ((BgL_objectz00_bglt) BgL_new1322z00_2663);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2667, BgL_arg1970z00_2664);
						}}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_auxz00_4238;

							BgL_auxz00_4238 = ((BgL_objectz00_bglt) BgL_new1322z00_2663);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4238, BFALSE);
						}
						BgL_new1323z00_2662 = BgL_new1322z00_2663;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1323z00_2662))->BgL_locz00) =
						((obj_t) BgL_loc1171z00_1642), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1323z00_2662))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_fun1172z00_1643), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1323z00_2662))->BgL_argsz00) =
						((obj_t) BgL_args1173z00_1644), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1323z00_2662))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf31174zf3_1645), BUNSPEC);
					return BgL_new1323z00_2662;
				}
			}
		}
	}



/* &lambda1994 */
	obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t BgL_envz00_3210,
		obj_t BgL_oz00_3211, obj_t BgL_vz00_3212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_appz00_bglt BgL_oz00_3626;

				BgL_oz00_3626 = ((BgL_ev_appz00_bglt) BgL_oz00_3211);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3626))->BgL_locz00) =
					((obj_t) BgL_vz00_3212), BUNSPEC);
			}
		}
	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t BgL_envz00_3213,
		obj_t BgL_oz00_3214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3214)))->BgL_locz00);
		}
	}



/* &lambda1988 */
	obj_t BGl_z62lambda1988z62zz__evaluate_typesz00(obj_t BgL_envz00_3215,
		obj_t BgL_oz00_3216, obj_t BgL_vz00_3217)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_appz00_bglt BgL_oz00_3629;
				BgL_ev_exprz00_bglt BgL_vz00_3630;

				BgL_oz00_3629 = ((BgL_ev_appz00_bglt) BgL_oz00_3216);
				BgL_vz00_3630 = ((BgL_ev_exprz00_bglt) BgL_vz00_3217);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3629))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3630), BUNSPEC);
			}
		}
	}



/* &lambda1987 */
	BgL_ev_exprz00_bglt BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3218, obj_t BgL_oz00_3219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3219)))->BgL_funz00);
		}
	}



/* &lambda1983 */
	obj_t BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t BgL_envz00_3220,
		obj_t BgL_oz00_3221, obj_t BgL_vz00_3222)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_appz00_bglt BgL_oz00_3632;

				BgL_oz00_3632 = ((BgL_ev_appz00_bglt) BgL_oz00_3221);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3632))->BgL_argsz00) =
					((obj_t) BgL_vz00_3222), BUNSPEC);
			}
		}
	}



/* &lambda1982 */
	obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t BgL_envz00_3223,
		obj_t BgL_oz00_3224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3224)))->BgL_argsz00);
		}
	}



/* &lambda1978 */
	obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t BgL_envz00_3225,
		obj_t BgL_oz00_3226, obj_t BgL_vz00_3227)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_appz00_bglt BgL_oz00_3635;

				BgL_oz00_3635 = ((BgL_ev_appz00_bglt) BgL_oz00_3226);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3635))->BgL_tailzf3zf3) =
					((obj_t) BgL_vz00_3227), BUNSPEC);
			}
		}
	}



/* &lambda1977 */
	obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t BgL_envz00_3228,
		obj_t BgL_oz00_3229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3229)))->BgL_tailzf3zf3);
		}
	}



/* &<anonymous:1942> */
	BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31942ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3230,
		obj_t BgL_new1169z00_3231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			{
				BgL_ev_gotoz00_bglt BgL_new1169z00_1582;

				BgL_new1169z00_1582 = ((BgL_ev_gotoz00_bglt) BgL_new1169z00_3231);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1169z00_1582))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4264;

					{	/* Eval/evaluate_types.scm 112 */
						obj_t BgL_classz00_2638;

						BgL_classz00_2638 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 112 */
							obj_t BgL__ortest_1375z00_2639;

							BgL__ortest_1375z00_2639 = BGL_CLASS_NIL(BgL_classz00_2638);
							if (CBOOL(BgL__ortest_1375z00_2639))
								{	/* Eval/evaluate_types.scm 112 */
									BgL_auxz00_4264 =
										((BgL_ev_varz00_bglt) BgL__ortest_1375z00_2639);
								}
							else
								{	/* Eval/evaluate_types.scm 112 */
									BgL_auxz00_4264 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2638));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1169z00_1582))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4264), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4272;

					{	/* Eval/evaluate_types.scm 112 */
						obj_t BgL_classz00_2640;

						BgL_classz00_2640 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 112 */
							obj_t BgL__ortest_1375z00_2641;

							BgL__ortest_1375z00_2641 = BGL_CLASS_NIL(BgL_classz00_2640);
							if (CBOOL(BgL__ortest_1375z00_2641))
								{	/* Eval/evaluate_types.scm 112 */
									BgL_auxz00_4272 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1375z00_2641);
								}
							else
								{	/* Eval/evaluate_types.scm 112 */
									BgL_auxz00_4272 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2640));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1169z00_1582))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4272), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1169z00_1582))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1169z00_1582;
			}
		}
	}



/* &lambda1940 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3232)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			{

				{	/* Eval/evaluate_types.scm 112 */
					BgL_ev_gotoz00_bglt BgL_new1168z00_1580;

					BgL_new1168z00_1580 =
						((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 112 */
						long BgL_arg1941z00_1581;

						{	/* Eval/evaluate_types.scm 112 */
							long BgL_res2325z00_2635;

							BgL_res2325z00_2635 =
								BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
							BgL_arg1941z00_1581 = BgL_res2325z00_2635;
						}
						{	/* Eval/evaluate_types.scm 112 */
							BgL_objectz00_bglt BgL_objz00_2636;

							BgL_objz00_2636 = ((BgL_objectz00_bglt) BgL_new1168z00_1580);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2636, BgL_arg1941z00_1581);
					}}
					{	/* Eval/evaluate_types.scm 112 */
						BgL_objectz00_bglt BgL_auxz00_4286;

						BgL_auxz00_4286 = ((BgL_objectz00_bglt) BgL_new1168z00_1580);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4286, BFALSE);
					}
					return BgL_new1168z00_1580;
				}
			}
		}
	}



/* &lambda1938 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3233, obj_t BgL_loc1164z00_3234, obj_t BgL_label1165z00_3235,
		obj_t BgL_labels1166z00_3236, obj_t BgL_args1167z00_3237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			{
				obj_t BgL_loc1164z00_1571;
				BgL_ev_varz00_bglt BgL_label1165z00_1572;
				BgL_ev_labelsz00_bglt BgL_labels1166z00_1573;
				obj_t BgL_args1167z00_1574;

				BgL_loc1164z00_1571 = BgL_loc1164z00_3234;
				BgL_label1165z00_1572 = ((BgL_ev_varz00_bglt) BgL_label1165z00_3235);
				BgL_labels1166z00_1573 =
					((BgL_ev_labelsz00_bglt) BgL_labels1166z00_3236);
				BgL_args1167z00_1574 = BgL_args1167z00_3237;
				{	/* Eval/evaluate_types.scm 112 */
					BgL_ev_gotoz00_bglt BgL_new1313z00_2627;

					{	/* Eval/evaluate_types.scm 112 */
						BgL_ev_gotoz00_bglt BgL_new1312z00_2628;

						BgL_new1312z00_2628 =
							((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_gotoz00_bgl))));
						{	/* Eval/evaluate_types.scm 112 */
							long BgL_arg1939z00_2629;

							{	/* Eval/evaluate_types.scm 112 */
								long BgL_res2324z00_2631;

								BgL_res2324z00_2631 =
									BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
								BgL_arg1939z00_2629 = BgL_res2324z00_2631;
							}
							{	/* Eval/evaluate_types.scm 112 */
								BgL_objectz00_bglt BgL_objz00_2632;

								BgL_objz00_2632 = ((BgL_objectz00_bglt) BgL_new1312z00_2628);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2632, BgL_arg1939z00_2629);
						}}
						{	/* Eval/evaluate_types.scm 112 */
							BgL_objectz00_bglt BgL_auxz00_4293;

							BgL_auxz00_4293 = ((BgL_objectz00_bglt) BgL_new1312z00_2628);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4293, BFALSE);
						}
						BgL_new1313z00_2627 = BgL_new1312z00_2628;
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1313z00_2627))->BgL_locz00) =
						((obj_t) BgL_loc1164z00_1571), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1313z00_2627))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_label1165z00_1572), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1313z00_2627))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_labels1166z00_1573), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1313z00_2627))->BgL_argsz00) =
						((obj_t) BgL_args1167z00_1574), BUNSPEC);
					return BgL_new1313z00_2627;
				}
			}
		}
	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3238,
		obj_t BgL_oz00_3239, obj_t BgL_vz00_3240)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			{	/* Eval/evaluate_types.scm 112 */
				BgL_ev_gotoz00_bglt BgL_oz00_3638;

				BgL_oz00_3638 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3239);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3638))->BgL_locz00) =
					((obj_t) BgL_vz00_3240), BUNSPEC);
			}
		}
	}



/* &lambda1962 */
	obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t BgL_envz00_3241,
		obj_t BgL_oz00_3242)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3242)))->BgL_locz00);
		}
	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t BgL_envz00_3243,
		obj_t BgL_oz00_3244, obj_t BgL_vz00_3245)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			{	/* Eval/evaluate_types.scm 112 */
				BgL_ev_gotoz00_bglt BgL_oz00_3641;
				BgL_ev_varz00_bglt BgL_vz00_3642;

				BgL_oz00_3641 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3244);
				BgL_vz00_3642 = ((BgL_ev_varz00_bglt) BgL_vz00_3245);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3641))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3642), BUNSPEC);
			}
		}
	}



/* &lambda1957 */
	BgL_ev_varz00_bglt BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3246, obj_t BgL_oz00_3247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3247)))->BgL_labelz00);
		}
	}



/* &lambda1953 */
	obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3248,
		obj_t BgL_oz00_3249, obj_t BgL_vz00_3250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			{	/* Eval/evaluate_types.scm 112 */
				BgL_ev_gotoz00_bglt BgL_oz00_3644;
				BgL_ev_labelsz00_bglt BgL_vz00_3645;

				BgL_oz00_3644 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3249);
				BgL_vz00_3645 = ((BgL_ev_labelsz00_bglt) BgL_vz00_3250);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3644))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) BgL_vz00_3645), BUNSPEC);
			}
		}
	}



/* &lambda1952 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3251, obj_t BgL_oz00_3252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3252)))->BgL_labelsz00);
		}
	}



/* &lambda1947 */
	obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t BgL_envz00_3253,
		obj_t BgL_oz00_3254, obj_t BgL_vz00_3255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			{	/* Eval/evaluate_types.scm 112 */
				BgL_ev_gotoz00_bglt BgL_oz00_3647;

				BgL_oz00_3647 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3254);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3647))->BgL_argsz00) =
					((obj_t) BgL_vz00_3255), BUNSPEC);
			}
		}
	}



/* &lambda1946 */
	obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t BgL_envz00_3256,
		obj_t BgL_oz00_3257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 112 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3257)))->BgL_argsz00);
		}
	}



/* &<anonymous:1894> */
	BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31894ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3258,
		obj_t BgL_new1162z00_3259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{
				BgL_ev_labelsz00_bglt BgL_new1162z00_1478;

				BgL_new1162z00_1478 = ((BgL_ev_labelsz00_bglt) BgL_new1162z00_3259);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1162z00_1478))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1162z00_1478))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1162z00_1478))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1162z00_1478))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4324;

					{	/* Eval/evaluate_types.scm 104 */
						obj_t BgL_classz00_2605;

						BgL_classz00_2605 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 104 */
							obj_t BgL__ortest_1375z00_2606;

							BgL__ortest_1375z00_2606 = BGL_CLASS_NIL(BgL_classz00_2605);
							if (CBOOL(BgL__ortest_1375z00_2606))
								{	/* Eval/evaluate_types.scm 104 */
									BgL_auxz00_4324 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2606);
								}
							else
								{	/* Eval/evaluate_types.scm 104 */
									BgL_auxz00_4324 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2605));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1162z00_1478))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4324), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1162z00_1478))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1162z00_1478;
			}
		}
	}



/* &lambda1892 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{

				{	/* Eval/evaluate_types.scm 104 */
					BgL_ev_labelsz00_bglt BgL_new1161z00_1476;

					BgL_new1161z00_1476 =
						((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 104 */
						long BgL_arg1893z00_1477;

						{	/* Eval/evaluate_types.scm 104 */
							long BgL_res2323z00_2602;

							BgL_res2323z00_2602 =
								BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
							BgL_arg1893z00_1477 = BgL_res2323z00_2602;
						}
						{	/* Eval/evaluate_types.scm 104 */
							BgL_objectz00_bglt BgL_objz00_2603;

							BgL_objz00_2603 = ((BgL_objectz00_bglt) BgL_new1161z00_1476);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2603, BgL_arg1893z00_1477);
					}}
					{	/* Eval/evaluate_types.scm 104 */
						BgL_objectz00_bglt BgL_auxz00_4338;

						BgL_auxz00_4338 = ((BgL_objectz00_bglt) BgL_new1161z00_1476);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4338, BFALSE);
					}
					return BgL_new1161z00_1476;
				}
			}
		}
	}



/* &lambda1889 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3261, obj_t BgL_vars1155z00_3262, obj_t BgL_vals1156z00_3263,
		obj_t BgL_env1157z00_3264, obj_t BgL_stk1158z00_3265,
		obj_t BgL_body1159z00_3266, obj_t BgL_boxes1160z00_3267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{
				obj_t BgL_vars1155z00_1465;
				obj_t BgL_vals1156z00_1466;
				obj_t BgL_env1157z00_1467;
				obj_t BgL_stk1158z00_1468;
				BgL_ev_exprz00_bglt BgL_body1159z00_1469;
				obj_t BgL_boxes1160z00_1470;

				BgL_vars1155z00_1465 = BgL_vars1155z00_3262;
				BgL_vals1156z00_1466 = BgL_vals1156z00_3263;
				BgL_env1157z00_1467 = BgL_env1157z00_3264;
				BgL_stk1158z00_1468 = BgL_stk1158z00_3265;
				BgL_body1159z00_1469 = ((BgL_ev_exprz00_bglt) BgL_body1159z00_3266);
				BgL_boxes1160z00_1470 = BgL_boxes1160z00_3267;
				{	/* Eval/evaluate_types.scm 104 */
					BgL_ev_labelsz00_bglt BgL_new1298z00_2594;

					{	/* Eval/evaluate_types.scm 104 */
						BgL_ev_labelsz00_bglt BgL_new1297z00_2595;

						BgL_new1297z00_2595 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_types.scm 104 */
							long BgL_arg1891z00_2596;

							{	/* Eval/evaluate_types.scm 104 */
								long BgL_res2322z00_2598;

								BgL_res2322z00_2598 =
									BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
								BgL_arg1891z00_2596 = BgL_res2322z00_2598;
							}
							{	/* Eval/evaluate_types.scm 104 */
								BgL_objectz00_bglt BgL_objz00_2599;

								BgL_objz00_2599 = ((BgL_objectz00_bglt) BgL_new1297z00_2595);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2599, BgL_arg1891z00_2596);
						}}
						{	/* Eval/evaluate_types.scm 104 */
							BgL_objectz00_bglt BgL_auxz00_4345;

							BgL_auxz00_4345 = ((BgL_objectz00_bglt) BgL_new1297z00_2595);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4345, BFALSE);
						}
						BgL_new1298z00_2594 = BgL_new1297z00_2595;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1298z00_2594))->BgL_varsz00) =
						((obj_t) BgL_vars1155z00_1465), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1298z00_2594))->BgL_valsz00) =
						((obj_t) BgL_vals1156z00_1466), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1298z00_2594))->BgL_envz00) =
						((obj_t) BgL_env1157z00_1467), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1298z00_2594))->BgL_stkz00) =
						((obj_t) BgL_stk1158z00_1468), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1298z00_2594))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1159z00_1469), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1298z00_2594))->BgL_boxesz00) =
						((obj_t) BgL_boxes1160z00_1470), BUNSPEC);
					return BgL_new1298z00_2594;
				}
			}
		}
	}



/* &lambda1931 */
	obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t BgL_envz00_3268,
		obj_t BgL_oz00_3269, obj_t BgL_vz00_3270)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{	/* Eval/evaluate_types.scm 104 */
				BgL_ev_labelsz00_bglt BgL_oz00_3650;

				BgL_oz00_3650 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3269);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3650))->BgL_varsz00) =
					((obj_t) BgL_vz00_3270), BUNSPEC);
			}
		}
	}



/* &lambda1930 */
	obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3271,
		obj_t BgL_oz00_3272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3272)))->BgL_varsz00);
		}
	}



/* &lambda1926 */
	obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t BgL_envz00_3273,
		obj_t BgL_oz00_3274, obj_t BgL_vz00_3275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{	/* Eval/evaluate_types.scm 104 */
				BgL_ev_labelsz00_bglt BgL_oz00_3653;

				BgL_oz00_3653 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3274);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3653))->BgL_valsz00) =
					((obj_t) BgL_vz00_3275), BUNSPEC);
			}
		}
	}



/* &lambda1925 */
	obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3276,
		obj_t BgL_oz00_3277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3277)))->BgL_valsz00);
		}
	}



/* &<anonymous:1921> */
	obj_t BGl_z62zc3anonymousza31921ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3278)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return BNIL;
		}
	}



/* &lambda1920 */
	obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3279,
		obj_t BgL_oz00_3280, obj_t BgL_vz00_3281)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{	/* Eval/evaluate_types.scm 104 */
				BgL_ev_labelsz00_bglt BgL_oz00_3656;

				BgL_oz00_3656 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3280);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3656))->BgL_envz00) =
					((obj_t) BgL_vz00_3281), BUNSPEC);
			}
		}
	}



/* &lambda1919 */
	obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3282,
		obj_t BgL_oz00_3283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3283)))->BgL_envz00);
		}
	}



/* &<anonymous:1913> */
	obj_t BGl_z62zc3anonymousza31913ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return BNIL;
		}
	}



/* &lambda1912 */
	obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t BgL_envz00_3285,
		obj_t BgL_oz00_3286, obj_t BgL_vz00_3287)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{	/* Eval/evaluate_types.scm 104 */
				BgL_ev_labelsz00_bglt BgL_oz00_3659;

				BgL_oz00_3659 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3286);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3659))->BgL_stkz00) =
					((obj_t) BgL_vz00_3287), BUNSPEC);
			}
		}
	}



/* &lambda1911 */
	obj_t BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t BgL_envz00_3288,
		obj_t BgL_oz00_3289)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3289)))->BgL_stkz00);
		}
	}



/* &lambda1906 */
	obj_t BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t BgL_envz00_3290,
		obj_t BgL_oz00_3291, obj_t BgL_vz00_3292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{	/* Eval/evaluate_types.scm 104 */
				BgL_ev_labelsz00_bglt BgL_oz00_3662;
				BgL_ev_exprz00_bglt BgL_vz00_3663;

				BgL_oz00_3662 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3291);
				BgL_vz00_3663 = ((BgL_ev_exprz00_bglt) BgL_vz00_3292);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3662))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3663), BUNSPEC);
			}
		}
	}



/* &lambda1905 */
	BgL_ev_exprz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3293, obj_t BgL_oz00_3294)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3294)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1901> */
	obj_t BGl_z62zc3anonymousza31901ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return BNIL;
		}
	}



/* &lambda1900 */
	obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3296,
		obj_t BgL_oz00_3297, obj_t BgL_vz00_3298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{	/* Eval/evaluate_types.scm 104 */
				BgL_ev_labelsz00_bglt BgL_oz00_3665;

				BgL_oz00_3665 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3297);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3665))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3298), BUNSPEC);
			}
		}
	}



/* &lambda1899 */
	obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t BgL_envz00_3299,
		obj_t BgL_oz00_3300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3300)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1883> */
	BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31883ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3301,
		obj_t BgL_new1153z00_3302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letrecz00_bglt BgL_new1153z00_1453;

				BgL_new1153z00_1453 = ((BgL_ev_letrecz00_bglt) BgL_new1153z00_3302);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1153z00_1453)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1153z00_1453)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4384;

					{	/* Eval/evaluate_types.scm 103 */
						obj_t BgL_classz00_2562;

						BgL_classz00_2562 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL__ortest_1375z00_2563;

							BgL__ortest_1375z00_2563 = BGL_CLASS_NIL(BgL_classz00_2562);
							if (CBOOL(BgL__ortest_1375z00_2563))
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4384 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2563);
								}
							else
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4384 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2562));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1153z00_1453)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4384), BUNSPEC);
				}
				return BgL_new1153z00_1453;
			}
		}
	}



/* &lambda1881 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1881z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letrecz00_bglt BgL_new1152z00_1451;

					BgL_new1152z00_1451 =
						((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1882z00_1452;

						{	/* Eval/evaluate_types.scm 103 */
							long BgL_res2321z00_2559;

							BgL_res2321z00_2559 =
								BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
							BgL_arg1882z00_1452 = BgL_res2321z00_2559;
						}
						{	/* Eval/evaluate_types.scm 103 */
							BgL_objectz00_bglt BgL_objz00_2560;

							BgL_objz00_2560 = ((BgL_objectz00_bglt) BgL_new1152z00_1451);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2560, BgL_arg1882z00_1452);
					}}
					{	/* Eval/evaluate_types.scm 103 */
						BgL_objectz00_bglt BgL_auxz00_4398;

						BgL_auxz00_4398 = ((BgL_objectz00_bglt) BgL_new1152z00_1451);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4398, BFALSE);
					}
					return BgL_new1152z00_1451;
				}
			}
		}
	}



/* &lambda1879 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3304, obj_t BgL_vars1149z00_3305, obj_t BgL_vals1150z00_3306,
		obj_t BgL_body1151z00_3307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{
				obj_t BgL_vars1149z00_1443;
				obj_t BgL_vals1150z00_1444;
				BgL_ev_exprz00_bglt BgL_body1151z00_1445;

				BgL_vars1149z00_1443 = BgL_vars1149z00_3305;
				BgL_vals1150z00_1444 = BgL_vals1150z00_3306;
				BgL_body1151z00_1445 = ((BgL_ev_exprz00_bglt) BgL_body1151z00_3307);
				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letrecz00_bglt BgL_new1296z00_2551;

					{	/* Eval/evaluate_types.scm 103 */
						BgL_ev_letrecz00_bglt BgL_new1295z00_2552;

						BgL_new1295z00_2552 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						{	/* Eval/evaluate_types.scm 103 */
							long BgL_arg1880z00_2553;

							{	/* Eval/evaluate_types.scm 103 */
								long BgL_res2320z00_2555;

								BgL_res2320z00_2555 =
									BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
								BgL_arg1880z00_2553 = BgL_res2320z00_2555;
							}
							{	/* Eval/evaluate_types.scm 103 */
								BgL_objectz00_bglt BgL_objz00_2556;

								BgL_objz00_2556 = ((BgL_objectz00_bglt) BgL_new1295z00_2552);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2556, BgL_arg1880z00_2553);
						}}
						{	/* Eval/evaluate_types.scm 103 */
							BgL_objectz00_bglt BgL_auxz00_4405;

							BgL_auxz00_4405 = ((BgL_objectz00_bglt) BgL_new1295z00_2552);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4405, BFALSE);
						}
						BgL_new1296z00_2551 = BgL_new1295z00_2552;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1296z00_2551)))->
							BgL_varsz00) = ((obj_t) BgL_vars1149z00_1443), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1296z00_2551)))->BgL_valsz00) =
						((obj_t) BgL_vals1150z00_1444), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1296z00_2551)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1151z00_1445), BUNSPEC);
					return BgL_new1296z00_2551;
				}
			}
		}
	}



/* &<anonymous:1866> */
	BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31866ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3308,
		obj_t BgL_new1147z00_3309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letza2za2_bglt BgL_new1147z00_1416;

				BgL_new1147z00_1416 = ((BgL_ev_letza2za2_bglt) BgL_new1147z00_3309);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1147z00_1416)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1147z00_1416)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4419;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_2549;

						BgL_classz00_2549 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1375z00_2550;

							BgL__ortest_1375z00_2550 = BGL_CLASS_NIL(BgL_classz00_2549);
							if (CBOOL(BgL__ortest_1375z00_2550))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4419 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2550);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4419 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2549));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1147z00_1416)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4419), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) CREF(BgL_new1147z00_1416))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1147z00_1416;
			}
		}
	}



/* &lambda1864 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letza2za2_bglt BgL_new1146z00_1414;

					BgL_new1146z00_1414 =
						((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1865z00_1415;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2319z00_2546;

							BgL_res2319z00_2546 =
								BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
							BgL_arg1865z00_1415 = BgL_res2319z00_2546;
						}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_objz00_2547;

							BgL_objz00_2547 = ((BgL_objectz00_bglt) BgL_new1146z00_1414);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2547, BgL_arg1865z00_1415);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_auxz00_4434;

						BgL_auxz00_4434 = ((BgL_objectz00_bglt) BgL_new1146z00_1414);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4434, BFALSE);
					}
					return BgL_new1146z00_1414;
				}
			}
		}
	}



/* &lambda1862 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3311, obj_t BgL_vars1142z00_3312, obj_t BgL_vals1143z00_3313,
		obj_t BgL_body1144z00_3314, obj_t BgL_boxes1145z00_3315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				obj_t BgL_vars1142z00_1405;
				obj_t BgL_vals1143z00_1406;
				BgL_ev_exprz00_bglt BgL_body1144z00_1407;
				obj_t BgL_boxes1145z00_1408;

				BgL_vars1142z00_1405 = BgL_vars1142z00_3312;
				BgL_vals1143z00_1406 = BgL_vals1143z00_3313;
				BgL_body1144z00_1407 = ((BgL_ev_exprz00_bglt) BgL_body1144z00_3314);
				BgL_boxes1145z00_1408 = BgL_boxes1145z00_3315;
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letza2za2_bglt BgL_new1292z00_2538;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_letza2za2_bglt BgL_new1291z00_2539;

						BgL_new1291z00_2539 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						{	/* Eval/evaluate_types.scm 101 */
							long BgL_arg1863z00_2540;

							{	/* Eval/evaluate_types.scm 101 */
								long BgL_res2318z00_2542;

								BgL_res2318z00_2542 =
									BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
								BgL_arg1863z00_2540 = BgL_res2318z00_2542;
							}
							{	/* Eval/evaluate_types.scm 101 */
								BgL_objectz00_bglt BgL_objz00_2543;

								BgL_objz00_2543 = ((BgL_objectz00_bglt) BgL_new1291z00_2539);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2543, BgL_arg1863z00_2540);
						}}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_auxz00_4441;

							BgL_auxz00_4441 = ((BgL_objectz00_bglt) BgL_new1291z00_2539);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4441, BFALSE);
						}
						BgL_new1292z00_2538 = BgL_new1291z00_2539;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1292z00_2538)))->
							BgL_varsz00) = ((obj_t) BgL_vars1142z00_1405), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1292z00_2538)))->BgL_valsz00) =
						((obj_t) BgL_vals1143z00_1406), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1292z00_2538)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1144z00_1407), BUNSPEC);
					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1292z00_2538))->BgL_boxesz00) =
						((obj_t) BgL_boxes1145z00_1408), BUNSPEC);
					return BgL_new1292z00_2538;
				}
			}
		}
	}



/* &<anonymous:1873> */
	obj_t BGl_z62zc3anonymousza31873ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1872 */
	obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3317,
		obj_t BgL_oz00_3318, obj_t BgL_vz00_3319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letza2za2_bglt BgL_oz00_3668;

				BgL_oz00_3668 = ((BgL_ev_letza2za2_bglt) BgL_oz00_3318);
				return
					((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_3668))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3319), BUNSPEC);
			}
		}
	}



/* &lambda1871 */
	obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3320,
		obj_t BgL_oz00_3321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letza2za2_bglt) CREF(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3321)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1849> */
	BgL_ev_letz00_bglt BGl_z62zc3anonymousza31849ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3322, obj_t BgL_new1140z00_3323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{
				BgL_ev_letz00_bglt BgL_new1140z00_1378;

				BgL_new1140z00_1378 = ((BgL_ev_letz00_bglt) BgL_new1140z00_3323);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1140z00_1378)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1140z00_1378)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4460;

					{	/* Eval/evaluate_types.scm 99 */
						obj_t BgL_classz00_2531;

						BgL_classz00_2531 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 99 */
							obj_t BgL__ortest_1375z00_2532;

							BgL__ortest_1375z00_2532 = BGL_CLASS_NIL(BgL_classz00_2531);
							if (CBOOL(BgL__ortest_1375z00_2532))
								{	/* Eval/evaluate_types.scm 99 */
									BgL_auxz00_4460 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2532);
								}
							else
								{	/* Eval/evaluate_types.scm 99 */
									BgL_auxz00_4460 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2531));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1140z00_1378)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4460), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) CREF(BgL_new1140z00_1378))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1140z00_1378;
			}
		}
	}



/* &lambda1847 */
	BgL_ev_letz00_bglt BGl_z62lambda1847z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{

				{	/* Eval/evaluate_types.scm 99 */
					BgL_ev_letz00_bglt BgL_new1139z00_1376;

					BgL_new1139z00_1376 =
						((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 99 */
						long BgL_arg1848z00_1377;

						{	/* Eval/evaluate_types.scm 99 */
							long BgL_res2317z00_2528;

							BgL_res2317z00_2528 =
								BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
							BgL_arg1848z00_1377 = BgL_res2317z00_2528;
						}
						{	/* Eval/evaluate_types.scm 99 */
							BgL_objectz00_bglt BgL_objz00_2529;

							BgL_objz00_2529 = ((BgL_objectz00_bglt) BgL_new1139z00_1376);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2529, BgL_arg1848z00_1377);
					}}
					{	/* Eval/evaluate_types.scm 99 */
						BgL_objectz00_bglt BgL_auxz00_4475;

						BgL_auxz00_4475 = ((BgL_objectz00_bglt) BgL_new1139z00_1376);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4475, BFALSE);
					}
					return BgL_new1139z00_1376;
				}
			}
		}
	}



/* &lambda1845 */
	BgL_ev_letz00_bglt BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3325, obj_t BgL_vars1135z00_3326, obj_t BgL_vals1136z00_3327,
		obj_t BgL_body1137z00_3328, obj_t BgL_boxes1138z00_3329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{
				obj_t BgL_vars1135z00_1367;
				obj_t BgL_vals1136z00_1368;
				BgL_ev_exprz00_bglt BgL_body1137z00_1369;
				obj_t BgL_boxes1138z00_1370;

				BgL_vars1135z00_1367 = BgL_vars1135z00_3326;
				BgL_vals1136z00_1368 = BgL_vals1136z00_3327;
				BgL_body1137z00_1369 = ((BgL_ev_exprz00_bglt) BgL_body1137z00_3328);
				BgL_boxes1138z00_1370 = BgL_boxes1138z00_3329;
				{	/* Eval/evaluate_types.scm 99 */
					BgL_ev_letz00_bglt BgL_new1288z00_2520;

					{	/* Eval/evaluate_types.scm 99 */
						BgL_ev_letz00_bglt BgL_new1287z00_2521;

						BgL_new1287z00_2521 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						{	/* Eval/evaluate_types.scm 99 */
							long BgL_arg1846z00_2522;

							{	/* Eval/evaluate_types.scm 99 */
								long BgL_res2316z00_2524;

								BgL_res2316z00_2524 =
									BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
								BgL_arg1846z00_2522 = BgL_res2316z00_2524;
							}
							{	/* Eval/evaluate_types.scm 99 */
								BgL_objectz00_bglt BgL_objz00_2525;

								BgL_objz00_2525 = ((BgL_objectz00_bglt) BgL_new1287z00_2521);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2525, BgL_arg1846z00_2522);
						}}
						{	/* Eval/evaluate_types.scm 99 */
							BgL_objectz00_bglt BgL_auxz00_4482;

							BgL_auxz00_4482 = ((BgL_objectz00_bglt) BgL_new1287z00_2521);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4482, BFALSE);
						}
						BgL_new1288z00_2520 = BgL_new1287z00_2521;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1288z00_2520)))->
							BgL_varsz00) = ((obj_t) BgL_vars1135z00_1367), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1288z00_2520)))->BgL_valsz00) =
						((obj_t) BgL_vals1136z00_1368), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1288z00_2520)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1137z00_1369), BUNSPEC);
					((((BgL_ev_letz00_bglt) CREF(BgL_new1288z00_2520))->BgL_boxesz00) =
						((obj_t) BgL_boxes1138z00_1370), BUNSPEC);
					return BgL_new1288z00_2520;
				}
			}
		}
	}



/* &<anonymous:1856> */
	obj_t BGl_z62zc3anonymousza31856ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			return BNIL;
		}
	}



/* &lambda1855 */
	obj_t BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t BgL_envz00_3331,
		obj_t BgL_oz00_3332, obj_t BgL_vz00_3333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{	/* Eval/evaluate_types.scm 99 */
				BgL_ev_letz00_bglt BgL_oz00_3671;

				BgL_oz00_3671 = ((BgL_ev_letz00_bglt) BgL_oz00_3332);
				return
					((((BgL_ev_letz00_bglt) CREF(BgL_oz00_3671))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3333), BUNSPEC);
			}
		}
	}



/* &lambda1854 */
	obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3334,
		obj_t BgL_oz00_3335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			return
				(((BgL_ev_letz00_bglt) CREF(
						((BgL_ev_letz00_bglt) BgL_oz00_3335)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1823> */
	BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31823ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3336,
		obj_t BgL_new1133z00_3337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			{
				BgL_ev_binderz00_bglt BgL_new1133z00_1319;

				BgL_new1133z00_1319 = ((BgL_ev_binderz00_bglt) BgL_new1133z00_3337);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1133z00_1319))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1133z00_1319))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4499;

					{	/* Eval/evaluate_types.scm 95 */
						obj_t BgL_classz00_2513;

						BgL_classz00_2513 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 95 */
							obj_t BgL__ortest_1375z00_2514;

							BgL__ortest_1375z00_2514 = BGL_CLASS_NIL(BgL_classz00_2513);
							if (CBOOL(BgL__ortest_1375z00_2514))
								{	/* Eval/evaluate_types.scm 95 */
									BgL_auxz00_4499 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2514);
								}
							else
								{	/* Eval/evaluate_types.scm 95 */
									BgL_auxz00_4499 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2513));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1133z00_1319))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4499), BUNSPEC);
				}
				return BgL_new1133z00_1319;
			}
		}
	}



/* &lambda1821 */
	BgL_ev_binderz00_bglt BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			{

				{	/* Eval/evaluate_types.scm 95 */
					BgL_ev_binderz00_bglt BgL_new1132z00_1317;

					BgL_new1132z00_1317 =
						((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 95 */
						long BgL_arg1822z00_1318;

						{	/* Eval/evaluate_types.scm 95 */
							long BgL_res2315z00_2510;

							BgL_res2315z00_2510 =
								BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
							BgL_arg1822z00_1318 = BgL_res2315z00_2510;
						}
						{	/* Eval/evaluate_types.scm 95 */
							BgL_objectz00_bglt BgL_objz00_2511;

							BgL_objz00_2511 = ((BgL_objectz00_bglt) BgL_new1132z00_1317);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2511, BgL_arg1822z00_1318);
					}}
					{	/* Eval/evaluate_types.scm 95 */
						BgL_objectz00_bglt BgL_auxz00_4512;

						BgL_auxz00_4512 = ((BgL_objectz00_bglt) BgL_new1132z00_1317);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4512, BFALSE);
					}
					return BgL_new1132z00_1317;
				}
			}
		}
	}



/* &lambda1819 */
	BgL_ev_binderz00_bglt BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3339, obj_t BgL_vars1129z00_3340, obj_t BgL_vals1130z00_3341,
		obj_t BgL_body1131z00_3342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			{
				obj_t BgL_vars1129z00_1309;
				obj_t BgL_vals1130z00_1310;
				BgL_ev_exprz00_bglt BgL_body1131z00_1311;

				BgL_vars1129z00_1309 = BgL_vars1129z00_3340;
				BgL_vals1130z00_1310 = BgL_vals1130z00_3341;
				BgL_body1131z00_1311 = ((BgL_ev_exprz00_bglt) BgL_body1131z00_3342);
				{	/* Eval/evaluate_types.scm 95 */
					BgL_ev_binderz00_bglt BgL_new1280z00_2502;

					{	/* Eval/evaluate_types.scm 95 */
						BgL_ev_binderz00_bglt BgL_new1279z00_2503;

						BgL_new1279z00_2503 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						{	/* Eval/evaluate_types.scm 95 */
							long BgL_arg1820z00_2504;

							{	/* Eval/evaluate_types.scm 95 */
								long BgL_res2314z00_2506;

								BgL_res2314z00_2506 =
									BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
								BgL_arg1820z00_2504 = BgL_res2314z00_2506;
							}
							{	/* Eval/evaluate_types.scm 95 */
								BgL_objectz00_bglt BgL_objz00_2507;

								BgL_objz00_2507 = ((BgL_objectz00_bglt) BgL_new1279z00_2503);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2507, BgL_arg1820z00_2504);
						}}
						{	/* Eval/evaluate_types.scm 95 */
							BgL_objectz00_bglt BgL_auxz00_4519;

							BgL_auxz00_4519 = ((BgL_objectz00_bglt) BgL_new1279z00_2503);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4519, BFALSE);
						}
						BgL_new1280z00_2502 = BgL_new1279z00_2503;
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1280z00_2502))->BgL_varsz00) =
						((obj_t) BgL_vars1129z00_1309), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1280z00_2502))->BgL_valsz00) =
						((obj_t) BgL_vals1130z00_1310), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1280z00_2502))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1131z00_1311), BUNSPEC);
					return BgL_new1280z00_2502;
				}
			}
		}
	}



/* &lambda1838 */
	obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3343,
		obj_t BgL_oz00_3344, obj_t BgL_vz00_3345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			{	/* Eval/evaluate_types.scm 95 */
				BgL_ev_binderz00_bglt BgL_oz00_3674;

				BgL_oz00_3674 = ((BgL_ev_binderz00_bglt) BgL_oz00_3344);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3674))->BgL_varsz00) =
					((obj_t) BgL_vz00_3345), BUNSPEC);
			}
		}
	}



/* &lambda1837 */
	obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3346,
		obj_t BgL_oz00_3347)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3347)))->BgL_varsz00);
		}
	}



/* &lambda1833 */
	obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t BgL_envz00_3348,
		obj_t BgL_oz00_3349, obj_t BgL_vz00_3350)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			{	/* Eval/evaluate_types.scm 95 */
				BgL_ev_binderz00_bglt BgL_oz00_3677;

				BgL_oz00_3677 = ((BgL_ev_binderz00_bglt) BgL_oz00_3349);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3677))->BgL_valsz00) =
					((obj_t) BgL_vz00_3350), BUNSPEC);
			}
		}
	}



/* &lambda1832 */
	obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t BgL_envz00_3351,
		obj_t BgL_oz00_3352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3352)))->BgL_valsz00);
		}
	}



/* &lambda1828 */
	obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t BgL_envz00_3353,
		obj_t BgL_oz00_3354, obj_t BgL_vz00_3355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			{	/* Eval/evaluate_types.scm 95 */
				BgL_ev_binderz00_bglt BgL_oz00_3680;
				BgL_ev_exprz00_bglt BgL_vz00_3681;

				BgL_oz00_3680 = ((BgL_ev_binderz00_bglt) BgL_oz00_3354);
				BgL_vz00_3681 = ((BgL_ev_exprz00_bglt) BgL_vz00_3355);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3680))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3681), BUNSPEC);
			}
		}
	}



/* &lambda1827 */
	BgL_ev_exprz00_bglt BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3356, obj_t BgL_oz00_3357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 95 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3357)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1802> */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62zc3anonymousza31802ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3358,
		obj_t BgL_new1127z00_3359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_1273;

				BgL_new1127z00_1273 =
					((BgL_ev_synchroniza7eza7_bglt) BgL_new1127z00_3359);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4539;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2483;

						BgL_classz00_2483 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1375z00_2484;

							BgL__ortest_1375z00_2484 = BGL_CLASS_NIL(BgL_classz00_2483);
							if (CBOOL(BgL__ortest_1375z00_2484))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4539 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2484);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4539 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2483));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1127z00_1273))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4539), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4547;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2485;

						BgL_classz00_2485 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1375z00_2486;

							BgL__ortest_1375z00_2486 = BGL_CLASS_NIL(BgL_classz00_2485);
							if (CBOOL(BgL__ortest_1375z00_2486))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4547 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2486);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4547 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2485));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1127z00_1273))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4547), BUNSPEC);
				}
				return BgL_new1127z00_1273;
			}
		}
	}



/* &lambda1800 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1126z00_1271;

					BgL_new1126z00_1271 =
						((BgL_ev_synchroniza7eza7_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1801z00_1272;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2313z00_2480;

							BgL_res2313z00_2480 =
								BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
							BgL_arg1801z00_1272 = BgL_res2313z00_2480;
						}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_objz00_2481;

							BgL_objz00_2481 = ((BgL_objectz00_bglt) BgL_new1126z00_1271);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2481, BgL_arg1801z00_1272);
					}}
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_auxz00_4560;

						BgL_auxz00_4560 = ((BgL_objectz00_bglt) BgL_new1126z00_1271);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4560, BFALSE);
					}
					return BgL_new1126z00_1271;
				}
			}
		}
	}



/* &lambda1798 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3361, obj_t BgL_mutex1124z00_3362, obj_t BgL_body1125z00_3363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_exprz00_bglt BgL_mutex1124z00_1264;
				BgL_ev_exprz00_bglt BgL_body1125z00_1265;

				BgL_mutex1124z00_1264 = ((BgL_ev_exprz00_bglt) BgL_mutex1124z00_3362);
				BgL_body1125z00_1265 = ((BgL_ev_exprz00_bglt) BgL_body1125z00_3363);
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1274z00_2472;

					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_synchroniza7eza7_bglt BgL_new1273z00_2473;

						BgL_new1273z00_2473 =
							((BgL_ev_synchroniza7eza7_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_synchroniza7eza7_bgl))));
						{	/* Eval/evaluate_types.scm 92 */
							long BgL_arg1799z00_2474;

							{	/* Eval/evaluate_types.scm 92 */
								long BgL_res2312z00_2476;

								BgL_res2312z00_2476 =
									BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
								BgL_arg1799z00_2474 = BgL_res2312z00_2476;
							}
							{	/* Eval/evaluate_types.scm 92 */
								BgL_objectz00_bglt BgL_objz00_2477;

								BgL_objz00_2477 = ((BgL_objectz00_bglt) BgL_new1273z00_2473);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2477, BgL_arg1799z00_2474);
						}}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_auxz00_4567;

							BgL_auxz00_4567 = ((BgL_objectz00_bglt) BgL_new1273z00_2473);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4567, BFALSE);
						}
						BgL_new1274z00_2472 = BgL_new1273z00_2473;
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1274z00_2472))->
							BgL_mutexz00) =
						((BgL_ev_exprz00_bglt) BgL_mutex1124z00_1264), BUNSPEC);
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1274z00_2472))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1125z00_1265), BUNSPEC);
					return BgL_new1274z00_2472;
				}
			}
		}
	}



/* &lambda1813 */
	obj_t BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t BgL_envz00_3364,
		obj_t BgL_oz00_3365, obj_t BgL_vz00_3366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_oz00_3683;
				BgL_ev_exprz00_bglt BgL_vz00_3684;

				BgL_oz00_3683 = ((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3365);
				BgL_vz00_3684 = ((BgL_ev_exprz00_bglt) BgL_vz00_3366);
				return
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_oz00_3683))->
						BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3684), BUNSPEC);
			}
		}
	}



/* &lambda1812 */
	BgL_ev_exprz00_bglt BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3367, obj_t BgL_oz00_3368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3368)))->BgL_mutexz00);
		}
	}



/* &lambda1808 */
	obj_t BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t BgL_envz00_3369,
		obj_t BgL_oz00_3370, obj_t BgL_vz00_3371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_oz00_3686;
				BgL_ev_exprz00_bglt BgL_vz00_3687;

				BgL_oz00_3686 = ((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3370);
				BgL_vz00_3687 = ((BgL_ev_exprz00_bglt) BgL_vz00_3371);
				return
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_oz00_3686))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3687), BUNSPEC);
			}
		}
	}



/* &lambda1807 */
	BgL_ev_exprz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3372, obj_t BgL_oz00_3373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3373)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1782> */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31782ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3374,
		obj_t BgL_new1122z00_3375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1122z00_1228;

				BgL_new1122z00_1228 =
					((BgL_ev_withzd2handlerzd2_bglt) BgL_new1122z00_3375);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4584;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2458;

						BgL_classz00_2458 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1375z00_2459;

							BgL__ortest_1375z00_2459 = BGL_CLASS_NIL(BgL_classz00_2458);
							if (CBOOL(BgL__ortest_1375z00_2459))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4584 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2459);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4584 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2458));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1122z00_1228))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4584), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4592;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2460;

						BgL_classz00_2460 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1375z00_2461;

							BgL__ortest_1375z00_2461 = BGL_CLASS_NIL(BgL_classz00_2460);
							if (CBOOL(BgL__ortest_1375z00_2461))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4592 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2461);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4592 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2460));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1122z00_1228))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4592), BUNSPEC);
				}
				return BgL_new1122z00_1228;
			}
		}
	}



/* &lambda1779 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_1226;

					BgL_new1121z00_1226 =
						((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1781z00_1227;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2311z00_2455;

							BgL_res2311z00_2455 =
								BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
							BgL_arg1781z00_1227 = BgL_res2311z00_2455;
						}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_objz00_2456;

							BgL_objz00_2456 = ((BgL_objectz00_bglt) BgL_new1121z00_1226);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2456, BgL_arg1781z00_1227);
					}}
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_auxz00_4605;

						BgL_auxz00_4605 = ((BgL_objectz00_bglt) BgL_new1121z00_1226);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4605, BFALSE);
					}
					return BgL_new1121z00_1226;
				}
			}
		}
	}



/* &lambda1777 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3377, obj_t BgL_handler1119z00_3378, obj_t BgL_body1120z00_3379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_exprz00_bglt BgL_handler1119z00_1219;
				BgL_ev_exprz00_bglt BgL_body1120z00_1220;

				BgL_handler1119z00_1219 =
					((BgL_ev_exprz00_bglt) BgL_handler1119z00_3378);
				BgL_body1120z00_1220 = ((BgL_ev_exprz00_bglt) BgL_body1120z00_3379);
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1268z00_2447;

					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new1267z00_2448;

						BgL_new1267z00_2448 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						{	/* Eval/evaluate_types.scm 89 */
							long BgL_arg1778z00_2449;

							{	/* Eval/evaluate_types.scm 89 */
								long BgL_res2310z00_2451;

								BgL_res2310z00_2451 =
									BGL_CLASS_INDEX
									(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
								BgL_arg1778z00_2449 = BgL_res2310z00_2451;
							}
							{	/* Eval/evaluate_types.scm 89 */
								BgL_objectz00_bglt BgL_objz00_2452;

								BgL_objz00_2452 = ((BgL_objectz00_bglt) BgL_new1267z00_2448);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2452, BgL_arg1778z00_2449);
						}}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_auxz00_4612;

							BgL_auxz00_4612 = ((BgL_objectz00_bglt) BgL_new1267z00_2448);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4612, BFALSE);
						}
						BgL_new1268z00_2447 = BgL_new1267z00_2448;
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1268z00_2447))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_handler1119z00_1219), BUNSPEC);
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1268z00_2447))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1120z00_1220), BUNSPEC);
					return BgL_new1268z00_2447;
				}
			}
		}
	}



/* &lambda1792 */
	obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t BgL_envz00_3380,
		obj_t BgL_oz00_3381, obj_t BgL_vz00_3382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3689;
				BgL_ev_exprz00_bglt BgL_vz00_3690;

				BgL_oz00_3689 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3381);
				BgL_vz00_3690 = ((BgL_ev_exprz00_bglt) BgL_vz00_3382);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3689))->
						BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3690), BUNSPEC);
			}
		}
	}



/* &lambda1791 */
	BgL_ev_exprz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3383, obj_t BgL_oz00_3384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3384)))->BgL_handlerz00);
		}
	}



/* &lambda1787 */
	obj_t BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t BgL_envz00_3385,
		obj_t BgL_oz00_3386, obj_t BgL_vz00_3387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3692;
				BgL_ev_exprz00_bglt BgL_vz00_3693;

				BgL_oz00_3692 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3386);
				BgL_vz00_3693 = ((BgL_ev_exprz00_bglt) BgL_vz00_3387);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3692))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3693), BUNSPEC);
			}
		}
	}



/* &lambda1786 */
	BgL_ev_exprz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3388, obj_t BgL_oz00_3389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3389)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1761> */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31761ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3390,
		obj_t BgL_new1117z00_3391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_1183;

				BgL_new1117z00_1183 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3391);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4629;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2433;

						BgL_classz00_2433 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1375z00_2434;

							BgL__ortest_1375z00_2434 = BGL_CLASS_NIL(BgL_classz00_2433);
							if (CBOOL(BgL__ortest_1375z00_2434))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4629 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2434);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4629 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2433));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1183))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4629), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4637;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2435;

						BgL_classz00_2435 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1375z00_2436;

							BgL__ortest_1375z00_2436 = BGL_CLASS_NIL(BgL_classz00_2435);
							if (CBOOL(BgL__ortest_1375z00_2436))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4637 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2436);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4637 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2435));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1183))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4637), BUNSPEC);
				}
				return BgL_new1117z00_1183;
			}
		}
	}



/* &lambda1759 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t BgL_envz00_3392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_1181;

					BgL_new1116z00_1181 =
						((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1760z00_1182;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2309z00_2430;

							BgL_res2309z00_2430 =
								BGL_CLASS_INDEX
								(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
							BgL_arg1760z00_1182 = BgL_res2309z00_2430;
						}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_objz00_2431;

							BgL_objz00_2431 = ((BgL_objectz00_bglt) BgL_new1116z00_1181);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2431, BgL_arg1760z00_1182);
					}}
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_auxz00_4650;

						BgL_auxz00_4650 = ((BgL_objectz00_bglt) BgL_new1116z00_1181);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4650, BFALSE);
					}
					return BgL_new1116z00_1181;
				}
			}
		}
	}



/* &lambda1757 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t BgL_envz00_3393,
		obj_t BgL_e1114z00_3394, obj_t BgL_body1115z00_3395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_exprz00_bglt BgL_e1114z00_1174;
				BgL_ev_exprz00_bglt BgL_body1115z00_1175;

				BgL_e1114z00_1174 = ((BgL_ev_exprz00_bglt) BgL_e1114z00_3394);
				BgL_body1115z00_1175 = ((BgL_ev_exprz00_bglt) BgL_body1115z00_3395);
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1262z00_2422;

					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new1261z00_2423;

						BgL_new1261z00_2423 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						{	/* Eval/evaluate_types.scm 86 */
							long BgL_arg1758z00_2424;

							{	/* Eval/evaluate_types.scm 86 */
								long BgL_res2308z00_2426;

								BgL_res2308z00_2426 =
									BGL_CLASS_INDEX
									(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
								BgL_arg1758z00_2424 = BgL_res2308z00_2426;
							}
							{	/* Eval/evaluate_types.scm 86 */
								BgL_objectz00_bglt BgL_objz00_2427;

								BgL_objz00_2427 = ((BgL_objectz00_bglt) BgL_new1261z00_2423);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2427, BgL_arg1758z00_2424);
						}}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_4657;

							BgL_auxz00_4657 = ((BgL_objectz00_bglt) BgL_new1261z00_2423);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4657, BFALSE);
						}
						BgL_new1262z00_2422 = BgL_new1261z00_2423;
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1262z00_2422))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1114z00_1174), BUNSPEC);
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1262z00_2422))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1115z00_1175), BUNSPEC);
					return BgL_new1262z00_2422;
				}
			}
		}
	}



/* &lambda1771 */
	obj_t BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t BgL_envz00_3396,
		obj_t BgL_oz00_3397, obj_t BgL_vz00_3398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3695;
				BgL_ev_exprz00_bglt BgL_vz00_3696;

				BgL_oz00_3695 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3397);
				BgL_vz00_3696 = ((BgL_ev_exprz00_bglt) BgL_vz00_3398);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3695))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3696), BUNSPEC);
			}
		}
	}



/* &lambda1770 */
	BgL_ev_exprz00_bglt BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3399, obj_t BgL_oz00_3400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3400)))->BgL_ez00);
		}
	}



/* &lambda1766 */
	obj_t BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t BgL_envz00_3401,
		obj_t BgL_oz00_3402, obj_t BgL_vz00_3403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3698;
				BgL_ev_exprz00_bglt BgL_vz00_3699;

				BgL_oz00_3698 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3402);
				BgL_vz00_3699 = ((BgL_ev_exprz00_bglt) BgL_vz00_3403);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3698))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3699), BUNSPEC);
			}
		}
	}



/* &lambda1765 */
	BgL_ev_exprz00_bglt BGl_z62lambda1765z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3404, obj_t BgL_oz00_3405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3405)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1741> */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3406,
		obj_t BgL_new1112z00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1112z00_1138;

				BgL_new1112z00_1138 =
					((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3407);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4674;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2408;

						BgL_classz00_2408 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1375z00_2409;

							BgL__ortest_1375z00_2409 = BGL_CLASS_NIL(BgL_classz00_2408);
							if (CBOOL(BgL__ortest_1375z00_2409))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4674 =
										((BgL_ev_varz00_bglt) BgL__ortest_1375z00_2409);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4674 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2408));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1138))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_4674), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4682;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2410;

						BgL_classz00_2410 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1375z00_2411;

							BgL__ortest_1375z00_2411 = BGL_CLASS_NIL(BgL_classz00_2410);
							if (CBOOL(BgL__ortest_1375z00_2411))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4682 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2411);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4682 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2410));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1138))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4682), BUNSPEC);
				}
				return BgL_new1112z00_1138;
			}
		}
	}



/* &lambda1739 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_1136;

					BgL_new1111z00_1136 =
						((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1740z00_1137;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2307z00_2405;

							BgL_res2307z00_2405 =
								BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
							BgL_arg1740z00_1137 = BgL_res2307z00_2405;
						}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_objz00_2406;

							BgL_objz00_2406 = ((BgL_objectz00_bglt) BgL_new1111z00_1136);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2406, BgL_arg1740z00_1137);
					}}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_4695;

						BgL_auxz00_4695 = ((BgL_objectz00_bglt) BgL_new1111z00_1136);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4695, BFALSE);
					}
					return BgL_new1111z00_1136;
				}
			}
		}
	}



/* &lambda1737 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3409, obj_t BgL_var1109z00_3410, obj_t BgL_body1110z00_3411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_varz00_bglt BgL_var1109z00_1129;
				BgL_ev_exprz00_bglt BgL_body1110z00_1130;

				BgL_var1109z00_1129 = ((BgL_ev_varz00_bglt) BgL_var1109z00_3410);
				BgL_body1110z00_1130 = ((BgL_ev_exprz00_bglt) BgL_body1110z00_3411);
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1256z00_2397;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new1255z00_2398;

						BgL_new1255z00_2398 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						{	/* Eval/evaluate_types.scm 83 */
							long BgL_arg1738z00_2399;

							{	/* Eval/evaluate_types.scm 83 */
								long BgL_res2306z00_2401;

								BgL_res2306z00_2401 =
									BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
								BgL_arg1738z00_2399 = BgL_res2306z00_2401;
							}
							{	/* Eval/evaluate_types.scm 83 */
								BgL_objectz00_bglt BgL_objz00_2402;

								BgL_objz00_2402 = ((BgL_objectz00_bglt) BgL_new1255z00_2398);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2402, BgL_arg1738z00_2399);
						}}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_4702;

							BgL_auxz00_4702 = ((BgL_objectz00_bglt) BgL_new1255z00_2398);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4702, BFALSE);
						}
						BgL_new1256z00_2397 = BgL_new1255z00_2398;
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1256z00_2397))->
							BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_var1109z00_1129), BUNSPEC);
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1256z00_2397))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1110z00_1130), BUNSPEC);
					return BgL_new1256z00_2397;
				}
			}
		}
	}



/* &lambda1751 */
	obj_t BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t BgL_envz00_3412,
		obj_t BgL_oz00_3413, obj_t BgL_vz00_3414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3701;
				BgL_ev_varz00_bglt BgL_vz00_3702;

				BgL_oz00_3701 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3413);
				BgL_vz00_3702 = ((BgL_ev_varz00_bglt) BgL_vz00_3414);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3701))->BgL_varz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3702), BUNSPEC);
			}
		}
	}



/* &lambda1750 */
	BgL_ev_varz00_bglt BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3415, obj_t BgL_oz00_3416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3416)))->BgL_varz00);
		}
	}



/* &lambda1746 */
	obj_t BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t BgL_envz00_3417,
		obj_t BgL_oz00_3418, obj_t BgL_vz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3704;
				BgL_ev_exprz00_bglt BgL_vz00_3705;

				BgL_oz00_3704 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3418);
				BgL_vz00_3705 = ((BgL_ev_exprz00_bglt) BgL_vz00_3419);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3704))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3705), BUNSPEC);
			}
		}
	}



/* &lambda1745 */
	BgL_ev_exprz00_bglt BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3420, obj_t BgL_oz00_3421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3421)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1731> */
	BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31731ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3422,
		obj_t BgL_new1107z00_3423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1107z00_1117;

				BgL_new1107z00_1117 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3423);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4719;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_2385;

						BgL_classz00_2385 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1375z00_2386;

							BgL__ortest_1375z00_2386 = BGL_CLASS_NIL(BgL_classz00_2385);
							if (CBOOL(BgL__ortest_1375z00_2386))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4719 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2386);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4719 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2385));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1107z00_1117)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4719), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt) BgL_new1107z00_1117)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1117)))->BgL_namez00) =
					((obj_t) BGl_symbol2683z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1117)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1107z00_1117;
			}
		}
	}



/* &lambda1729 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1106z00_1115;

					BgL_new1106z00_1115 =
						((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1730z00_1116;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2305z00_2382;

							BgL_res2305z00_2382 =
								BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
							BgL_arg1730z00_1116 = BgL_res2305z00_2382;
						}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_objz00_2383;

							BgL_objz00_2383 = ((BgL_objectz00_bglt) BgL_new1106z00_1115);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2383, BgL_arg1730z00_1116);
					}}
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_auxz00_4739;

						BgL_auxz00_4739 = ((BgL_objectz00_bglt) BgL_new1106z00_1115);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4739, BFALSE);
					}
					return BgL_new1106z00_1115;
				}
			}
		}
	}



/* &lambda1727 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3425, obj_t BgL_e1101z00_3426, obj_t BgL_loc1102z00_3427,
		obj_t BgL_name1103z00_3428, obj_t BgL_mod1104z00_3429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_exprz00_bglt BgL_e1101z00_1106;
				obj_t BgL_loc1102z00_1107;
				obj_t BgL_name1103z00_1108;
				obj_t BgL_mod1104z00_1109;

				BgL_e1101z00_1106 = ((BgL_ev_exprz00_bglt) BgL_e1101z00_3426);
				BgL_loc1102z00_1107 = BgL_loc1102z00_3427;
				BgL_name1103z00_1108 = BgL_name1103z00_3428;
				BgL_mod1104z00_1109 = BgL_mod1104z00_3429;
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1254z00_2374;

					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_defglobalz00_bglt BgL_new1253z00_2375;

						BgL_new1253z00_2375 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 82 */
							long BgL_arg1728z00_2376;

							{	/* Eval/evaluate_types.scm 82 */
								long BgL_res2304z00_2378;

								BgL_res2304z00_2378 =
									BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
								BgL_arg1728z00_2376 = BgL_res2304z00_2378;
							}
							{	/* Eval/evaluate_types.scm 82 */
								BgL_objectz00_bglt BgL_objz00_2379;

								BgL_objz00_2379 = ((BgL_objectz00_bglt) BgL_new1253z00_2375);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2379, BgL_arg1728z00_2376);
						}}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_4746;

							BgL_auxz00_4746 = ((BgL_objectz00_bglt) BgL_new1253z00_2375);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4746, BFALSE);
						}
						BgL_new1254z00_2374 = BgL_new1253z00_2375;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1254z00_2374)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1101z00_1106), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1254z00_2374)))->BgL_locz00) =
						((obj_t) BgL_loc1102z00_1107), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1254z00_2374)))->BgL_namez00) =
						((obj_t) BgL_name1103z00_1108), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1254z00_2374)))->BgL_modz00) =
						((obj_t) BgL_mod1104z00_1109), BUNSPEC);
					return BgL_new1254z00_2374;
				}
			}
		}
	}



/* &<anonymous:1706> */
	BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31706ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3430,
		obj_t BgL_new1099z00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1099z00_1058;

				BgL_new1099z00_1058 = ((BgL_ev_setglobalz00_bglt) BgL_new1099z00_3431);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4758;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_2372;

						BgL_classz00_2372 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1375z00_2373;

							BgL__ortest_1375z00_2373 = BGL_CLASS_NIL(BgL_classz00_2372);
							if (CBOOL(BgL__ortest_1375z00_2373))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4758 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2373);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4758 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2372));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1099z00_1058)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4758), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1058))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1058))->BgL_namez00) =
					((obj_t) BGl_symbol2683z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1058))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1099z00_1058;
			}
		}
	}



/* &lambda1704 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3432)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1098z00_1056;

					BgL_new1098z00_1056 =
						((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1705z00_1057;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2303z00_2369;

							BgL_res2303z00_2369 =
								BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
							BgL_arg1705z00_1057 = BgL_res2303z00_2369;
						}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_objz00_2370;

							BgL_objz00_2370 = ((BgL_objectz00_bglt) BgL_new1098z00_1056);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2370, BgL_arg1705z00_1057);
					}}
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_auxz00_4775;

						BgL_auxz00_4775 = ((BgL_objectz00_bglt) BgL_new1098z00_1056);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4775, BFALSE);
					}
					return BgL_new1098z00_1056;
				}
			}
		}
	}



/* &lambda1702 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3433, obj_t BgL_e1094z00_3434, obj_t BgL_loc1095z00_3435,
		obj_t BgL_name1096z00_3436, obj_t BgL_mod1097z00_3437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_exprz00_bglt BgL_e1094z00_1047;
				obj_t BgL_loc1095z00_1048;
				obj_t BgL_name1096z00_1049;
				obj_t BgL_mod1097z00_1050;

				BgL_e1094z00_1047 = ((BgL_ev_exprz00_bglt) BgL_e1094z00_3434);
				BgL_loc1095z00_1048 = BgL_loc1095z00_3435;
				BgL_name1096z00_1049 = BgL_name1096z00_3436;
				BgL_mod1097z00_1050 = BgL_mod1097z00_3437;
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1246z00_2361;

					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_setglobalz00_bglt BgL_new1245z00_2362;

						BgL_new1245z00_2362 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 78 */
							long BgL_arg1703z00_2363;

							{	/* Eval/evaluate_types.scm 78 */
								long BgL_res2302z00_2365;

								BgL_res2302z00_2365 =
									BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
								BgL_arg1703z00_2363 = BgL_res2302z00_2365;
							}
							{	/* Eval/evaluate_types.scm 78 */
								BgL_objectz00_bglt BgL_objz00_2366;

								BgL_objz00_2366 = ((BgL_objectz00_bglt) BgL_new1245z00_2362);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2366, BgL_arg1703z00_2363);
						}}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_4782;

							BgL_auxz00_4782 = ((BgL_objectz00_bglt) BgL_new1245z00_2362);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4782, BFALSE);
						}
						BgL_new1246z00_2361 = BgL_new1245z00_2362;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1246z00_2361)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1094z00_1047), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1246z00_2361))->
							BgL_locz00) = ((obj_t) BgL_loc1095z00_1048), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1246z00_2361))->
							BgL_namez00) = ((obj_t) BgL_name1096z00_1049), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1246z00_2361))->
							BgL_modz00) = ((obj_t) BgL_mod1097z00_1050), BUNSPEC);
					return BgL_new1246z00_2361;
				}
			}
		}
	}



/* &lambda1721 */
	obj_t BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t BgL_envz00_3438,
		obj_t BgL_oz00_3439, obj_t BgL_vz00_3440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3707;

				BgL_oz00_3707 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3439);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3707))->BgL_locz00) =
					((obj_t) BgL_vz00_3440), BUNSPEC);
			}
		}
	}



/* &lambda1720 */
	obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t BgL_envz00_3441,
		obj_t BgL_oz00_3442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3442)))->BgL_locz00);
		}
	}



/* &lambda1716 */
	obj_t BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t BgL_envz00_3443,
		obj_t BgL_oz00_3444, obj_t BgL_vz00_3445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3710;
				obj_t BgL_vz00_3711;

				BgL_oz00_3710 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3444);
				BgL_vz00_3711 = BgL_vz00_3445;
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3710))->BgL_namez00) =
					((obj_t) BgL_vz00_3711), BUNSPEC);
			}
		}
	}



/* &lambda1715 */
	obj_t BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t BgL_envz00_3446,
		obj_t BgL_oz00_3447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3447)))->BgL_namez00);
		}
	}



/* &lambda1711 */
	obj_t BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t BgL_envz00_3448,
		obj_t BgL_oz00_3449, obj_t BgL_vz00_3450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3713;

				BgL_oz00_3713 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3449);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3713))->BgL_modz00) =
					((obj_t) BgL_vz00_3450), BUNSPEC);
			}
		}
	}



/* &lambda1710 */
	obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t BgL_envz00_3451,
		obj_t BgL_oz00_3452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3452)))->BgL_modz00);
		}
	}



/* &<anonymous:1690> */
	BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3453,
		obj_t BgL_new1092z00_3454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1092z00_1023;

				BgL_new1092z00_1023 = ((BgL_ev_setlocalz00_bglt) BgL_new1092z00_3454);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4803;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2342;

						BgL_classz00_2342 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1375z00_2343;

							BgL__ortest_1375z00_2343 = BGL_CLASS_NIL(BgL_classz00_2342);
							if (CBOOL(BgL__ortest_1375z00_2343))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4803 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2343);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4803 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2342));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1092z00_1023)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4803), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_4812;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2344;

						BgL_classz00_2344 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1375z00_2345;

							BgL__ortest_1375z00_2345 = BGL_CLASS_NIL(BgL_classz00_2344);
							if (CBOOL(BgL__ortest_1375z00_2345))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4812 =
										((BgL_ev_varz00_bglt) BgL__ortest_1375z00_2345);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4812 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2344));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1092z00_1023))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4812), BUNSPEC);
				}
				return BgL_new1092z00_1023;
			}
		}
	}



/* &lambda1688 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1091z00_1021;

					BgL_new1091z00_1021 =
						((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1689z00_1022;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2301z00_2339;

							BgL_res2301z00_2339 =
								BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
							BgL_arg1689z00_1022 = BgL_res2301z00_2339;
						}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_objz00_2340;

							BgL_objz00_2340 = ((BgL_objectz00_bglt) BgL_new1091z00_1021);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2340, BgL_arg1689z00_1022);
					}}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_4825;

						BgL_auxz00_4825 = ((BgL_objectz00_bglt) BgL_new1091z00_1021);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4825, BFALSE);
					}
					return BgL_new1091z00_1021;
				}
			}
		}
	}



/* &lambda1686 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3456, obj_t BgL_e1089z00_3457, obj_t BgL_v1090z00_3458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_exprz00_bglt BgL_e1089z00_1014;
				BgL_ev_varz00_bglt BgL_v1090z00_1015;

				BgL_e1089z00_1014 = ((BgL_ev_exprz00_bglt) BgL_e1089z00_3457);
				BgL_v1090z00_1015 = ((BgL_ev_varz00_bglt) BgL_v1090z00_3458);
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1242z00_2331;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_setlocalz00_bglt BgL_new1241z00_2332;

						BgL_new1241z00_2332 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						{	/* Eval/evaluate_types.scm 76 */
							long BgL_arg1687z00_2333;

							{	/* Eval/evaluate_types.scm 76 */
								long BgL_res2300z00_2335;

								BgL_res2300z00_2335 =
									BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
								BgL_arg1687z00_2333 = BgL_res2300z00_2335;
							}
							{	/* Eval/evaluate_types.scm 76 */
								BgL_objectz00_bglt BgL_objz00_2336;

								BgL_objz00_2336 = ((BgL_objectz00_bglt) BgL_new1241z00_2332);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2336, BgL_arg1687z00_2333);
						}}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_4832;

							BgL_auxz00_4832 = ((BgL_objectz00_bglt) BgL_new1241z00_2332);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4832, BFALSE);
						}
						BgL_new1242z00_2331 = BgL_new1241z00_2332;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1242z00_2331)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1089z00_1014), BUNSPEC);
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1242z00_2331))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_v1090z00_1015), BUNSPEC);
					return BgL_new1242z00_2331;
				}
			}
		}
	}



/* &lambda1695 */
	obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t BgL_envz00_3459,
		obj_t BgL_oz00_3460, obj_t BgL_vz00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_1032;
				BgL_ev_varz00_bglt BgL_vz00_1033;

				BgL_oz00_1032 = ((BgL_ev_setlocalz00_bglt) BgL_oz00_3460);
				BgL_vz00_1033 = ((BgL_ev_varz00_bglt) BgL_vz00_3461);
				return
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_1032))->BgL_vz00) =
					((BgL_ev_varz00_bglt) (((BgL_ev_setlocalz00_bglt)
								CREF(BgL_oz00_1032))->BgL_vz00)), BUNSPEC);
			}
		}
	}



/* &lambda1694 */
	BgL_ev_varz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3462, obj_t BgL_oz00_3463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) CREF(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3463)))->BgL_vz00);
		}
	}



/* &<anonymous:1680> */
	BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31680ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3464,
		obj_t BgL_new1087z00_3465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1087z00_1002;

				BgL_new1087z00_1002 = ((BgL_ev_trapz00_bglt) BgL_new1087z00_3465);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4846;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_2324;

						BgL_classz00_2324 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1375z00_2325;

							BgL__ortest_1375z00_2325 = BGL_CLASS_NIL(BgL_classz00_2324);
							if (CBOOL(BgL__ortest_1375z00_2325))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4846 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2325);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4846 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2324));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1087z00_1002)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4846), BUNSPEC);
				}
				return BgL_new1087z00_1002;
			}
		}
	}



/* &lambda1678 */
	BgL_ev_trapz00_bglt BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1086z00_1000;

					BgL_new1086z00_1000 =
						((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1679z00_1001;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2299z00_2321;

							BgL_res2299z00_2321 =
								BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
							BgL_arg1679z00_1001 = BgL_res2299z00_2321;
						}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_objz00_2322;

							BgL_objz00_2322 = ((BgL_objectz00_bglt) BgL_new1086z00_1000);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2322, BgL_arg1679z00_1001);
					}}
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_auxz00_4860;

						BgL_auxz00_4860 = ((BgL_objectz00_bglt) BgL_new1086z00_1000);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4860, BFALSE);
					}
					return BgL_new1086z00_1000;
				}
			}
		}
	}



/* &lambda1676 */
	BgL_ev_trapz00_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3467, obj_t BgL_e1085z00_3468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_exprz00_bglt BgL_e1085z00_994;

				BgL_e1085z00_994 = ((BgL_ev_exprz00_bglt) BgL_e1085z00_3468);
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1240z00_2313;

					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_trapz00_bglt BgL_new1239z00_2314;

						BgL_new1239z00_2314 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						{	/* Eval/evaluate_types.scm 75 */
							long BgL_arg1677z00_2315;

							{	/* Eval/evaluate_types.scm 75 */
								long BgL_res2298z00_2317;

								BgL_res2298z00_2317 =
									BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
								BgL_arg1677z00_2315 = BgL_res2298z00_2317;
							}
							{	/* Eval/evaluate_types.scm 75 */
								BgL_objectz00_bglt BgL_objz00_2318;

								BgL_objz00_2318 = ((BgL_objectz00_bglt) BgL_new1239z00_2314);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2318, BgL_arg1677z00_2315);
						}}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_4867;

							BgL_auxz00_4867 = ((BgL_objectz00_bglt) BgL_new1239z00_2314);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4867, BFALSE);
						}
						BgL_new1240z00_2313 = BgL_new1239z00_2314;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1240z00_2313)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1085z00_994), BUNSPEC);
					return BgL_new1240z00_2313;
				}
			}
		}
	}



/* &<anonymous:1665> */
	BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31665ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3469,
		obj_t BgL_new1083z00_3470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1083z00_970;

				BgL_new1083z00_970 = ((BgL_ev_hookz00_bglt) BgL_new1083z00_3470);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4873;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_2311;

						BgL_classz00_2311 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1375z00_2312;

							BgL__ortest_1375z00_2312 = BGL_CLASS_NIL(BgL_classz00_2311);
							if (CBOOL(BgL__ortest_1375z00_2312))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4873 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2312);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4873 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2311));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1083z00_970))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4873), BUNSPEC);
				}
				return BgL_new1083z00_970;
			}
		}
	}



/* &lambda1663 */
	BgL_ev_hookz00_bglt BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1082z00_968;

					BgL_new1082z00_968 =
						((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1664z00_969;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2297z00_2308;

							BgL_res2297z00_2308 =
								BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
							BgL_arg1664z00_969 = BgL_res2297z00_2308;
						}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_objz00_2309;

							BgL_objz00_2309 = ((BgL_objectz00_bglt) BgL_new1082z00_968);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2309, BgL_arg1664z00_969);
					}}
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_auxz00_4886;

						BgL_auxz00_4886 = ((BgL_objectz00_bglt) BgL_new1082z00_968);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4886, BFALSE);
					}
					return BgL_new1082z00_968;
				}
			}
		}
	}



/* &lambda1661 */
	BgL_ev_hookz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3472, obj_t BgL_e1081z00_3473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_exprz00_bglt BgL_e1081z00_962;

				BgL_e1081z00_962 = ((BgL_ev_exprz00_bglt) BgL_e1081z00_3473);
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1236z00_2300;

					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_hookz00_bglt BgL_new1235z00_2301;

						BgL_new1235z00_2301 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						{	/* Eval/evaluate_types.scm 73 */
							long BgL_arg1662z00_2302;

							{	/* Eval/evaluate_types.scm 73 */
								long BgL_res2296z00_2304;

								BgL_res2296z00_2304 =
									BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
								BgL_arg1662z00_2302 = BgL_res2296z00_2304;
							}
							{	/* Eval/evaluate_types.scm 73 */
								BgL_objectz00_bglt BgL_objz00_2305;

								BgL_objz00_2305 = ((BgL_objectz00_bglt) BgL_new1235z00_2301);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2305, BgL_arg1662z00_2302);
						}}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_4893;

							BgL_auxz00_4893 = ((BgL_objectz00_bglt) BgL_new1235z00_2301);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4893, BFALSE);
						}
						BgL_new1236z00_2300 = BgL_new1235z00_2301;
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1236z00_2300))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1081z00_962), BUNSPEC);
					return BgL_new1236z00_2300;
				}
			}
		}
	}



/* &lambda1670 */
	obj_t BGl_z62lambda1670z62zz__evaluate_typesz00(obj_t BgL_envz00_3474,
		obj_t BgL_oz00_3475, obj_t BgL_vz00_3476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_oz00_3717;
				BgL_ev_exprz00_bglt BgL_vz00_3718;

				BgL_oz00_3717 = ((BgL_ev_hookz00_bglt) BgL_oz00_3475);
				BgL_vz00_3718 = ((BgL_ev_exprz00_bglt) BgL_vz00_3476);
				return
					((((BgL_ev_hookz00_bglt) CREF(BgL_oz00_3717))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3718), BUNSPEC);
			}
		}
	}



/* &lambda1669 */
	BgL_ev_exprz00_bglt BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3477, obj_t BgL_oz00_3478)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) CREF(
						((BgL_ev_hookz00_bglt) BgL_oz00_3478)))->BgL_ez00);
		}
	}



/* &<anonymous:1645> */
	BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3479,
		obj_t BgL_new1079z00_3480)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1079z00_926;

				BgL_new1079z00_926 = ((BgL_ev_prog2z00_bglt) BgL_new1079z00_3480);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4903;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2291;

						BgL_classz00_2291 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1375z00_2292;

							BgL__ortest_1375z00_2292 = BGL_CLASS_NIL(BgL_classz00_2291);
							if (CBOOL(BgL__ortest_1375z00_2292))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4903 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2292);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4903 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2291));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_926))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4903), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4911;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2293;

						BgL_classz00_2293 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1375z00_2294;

							BgL__ortest_1375z00_2294 = BGL_CLASS_NIL(BgL_classz00_2293);
							if (CBOOL(BgL__ortest_1375z00_2294))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4911 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2294);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4911 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2293));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_926))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4911), BUNSPEC);
				}
				return BgL_new1079z00_926;
			}
		}
	}



/* &lambda1643 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1078z00_924;

					BgL_new1078z00_924 =
						((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1644z00_925;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2295z00_2288;

							BgL_res2295z00_2288 =
								BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
							BgL_arg1644z00_925 = BgL_res2295z00_2288;
						}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_objz00_2289;

							BgL_objz00_2289 = ((BgL_objectz00_bglt) BgL_new1078z00_924);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2289, BgL_arg1644z00_925);
					}}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_auxz00_4924;

						BgL_auxz00_4924 = ((BgL_objectz00_bglt) BgL_new1078z00_924);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4924, BFALSE);
					}
					return BgL_new1078z00_924;
				}
			}
		}
	}



/* &lambda1641 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3482, obj_t BgL_e11076z00_3483, obj_t BgL_e21077z00_3484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_exprz00_bglt BgL_e11076z00_917;
				BgL_ev_exprz00_bglt BgL_e21077z00_918;

				BgL_e11076z00_917 = ((BgL_ev_exprz00_bglt) BgL_e11076z00_3483);
				BgL_e21077z00_918 = ((BgL_ev_exprz00_bglt) BgL_e21077z00_3484);
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1230z00_2280;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_prog2z00_bglt BgL_new1229z00_2281;

						BgL_new1229z00_2281 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						{	/* Eval/evaluate_types.scm 70 */
							long BgL_arg1642z00_2282;

							{	/* Eval/evaluate_types.scm 70 */
								long BgL_res2294z00_2284;

								BgL_res2294z00_2284 =
									BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
								BgL_arg1642z00_2282 = BgL_res2294z00_2284;
							}
							{	/* Eval/evaluate_types.scm 70 */
								BgL_objectz00_bglt BgL_objz00_2285;

								BgL_objz00_2285 = ((BgL_objectz00_bglt) BgL_new1229z00_2281);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2285, BgL_arg1642z00_2282);
						}}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_4931;

							BgL_auxz00_4931 = ((BgL_objectz00_bglt) BgL_new1229z00_2281);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4931, BFALSE);
						}
						BgL_new1230z00_2280 = BgL_new1229z00_2281;
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1230z00_2280))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_e11076z00_917), BUNSPEC);
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1230z00_2280))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_e21077z00_918), BUNSPEC);
					return BgL_new1230z00_2280;
				}
			}
		}
	}



/* &lambda1655 */
	obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t BgL_envz00_3485,
		obj_t BgL_oz00_3486, obj_t BgL_vz00_3487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3720;
				BgL_ev_exprz00_bglt BgL_vz00_3721;

				BgL_oz00_3720 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3486);
				BgL_vz00_3721 = ((BgL_ev_exprz00_bglt) BgL_vz00_3487);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3720))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3721), BUNSPEC);
			}
		}
	}



/* &lambda1654 */
	BgL_ev_exprz00_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3488, obj_t BgL_oz00_3489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3489)))->BgL_e1z00);
		}
	}



/* &lambda1650 */
	obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t BgL_envz00_3490,
		obj_t BgL_oz00_3491, obj_t BgL_vz00_3492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3723;
				BgL_ev_exprz00_bglt BgL_vz00_3724;

				BgL_oz00_3723 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3491);
				BgL_vz00_3724 = ((BgL_ev_exprz00_bglt) BgL_vz00_3492);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3723))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3724), BUNSPEC);
			}
		}
	}



/* &lambda1649 */
	BgL_ev_exprz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3493, obj_t BgL_oz00_3494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3494)))->BgL_e2z00);
		}
	}



/* &<anonymous:1634> */
	BgL_ev_andz00_bglt BGl_z62zc3anonymousza31634ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3495, obj_t BgL_new1074z00_3496)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1074z00_905;

				BgL_new1074z00_905 = ((BgL_ev_andz00_bglt) BgL_new1074z00_3496);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1074z00_905)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1074z00_905;
			}
		}
	}



/* &lambda1632 */
	BgL_ev_andz00_bglt BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1073z00_903;

					BgL_new1073z00_903 =
						((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1633z00_904;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2293z00_2267;

							BgL_res2293z00_2267 =
								BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
							BgL_arg1633z00_904 = BgL_res2293z00_2267;
						}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_objz00_2268;

							BgL_objz00_2268 = ((BgL_objectz00_bglt) BgL_new1073z00_903);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2268, BgL_arg1633z00_904);
					}}
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_4955;

						BgL_auxz00_4955 = ((BgL_objectz00_bglt) BgL_new1073z00_903);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4955, BFALSE);
					}
					return BgL_new1073z00_903;
				}
			}
		}
	}



/* &lambda1630 */
	BgL_ev_andz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3498, obj_t BgL_args1072z00_3499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				obj_t BgL_args1072z00_897;

				BgL_args1072z00_897 = BgL_args1072z00_3499;
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1228z00_2259;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_new1227z00_2260;

						BgL_new1227z00_2260 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						{	/* Eval/evaluate_types.scm 69 */
							long BgL_arg1631z00_2261;

							{	/* Eval/evaluate_types.scm 69 */
								long BgL_res2292z00_2263;

								BgL_res2292z00_2263 =
									BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
								BgL_arg1631z00_2261 = BgL_res2292z00_2263;
							}
							{	/* Eval/evaluate_types.scm 69 */
								BgL_objectz00_bglt BgL_objz00_2264;

								BgL_objz00_2264 = ((BgL_objectz00_bglt) BgL_new1227z00_2260);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2264, BgL_arg1631z00_2261);
						}}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_4962;

							BgL_auxz00_4962 = ((BgL_objectz00_bglt) BgL_new1227z00_2260);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4962, BFALSE);
						}
						BgL_new1228z00_2259 = BgL_new1227z00_2260;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1228z00_2259)))->BgL_argsz00) =
						((obj_t) BgL_args1072z00_897), BUNSPEC);
					return BgL_new1228z00_2259;
				}
			}
		}
	}



/* &<anonymous:1624> */
	BgL_ev_orz00_bglt BGl_z62zc3anonymousza31624ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3500, obj_t BgL_new1070z00_3501)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_885;

				BgL_new1070z00_885 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3501);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1070z00_885)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1070z00_885;
			}
		}
	}



/* &lambda1622 */
	BgL_ev_orz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1069z00_883;

					BgL_new1069z00_883 =
						((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1623z00_884;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2291z00_2256;

							BgL_res2291z00_2256 =
								BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
							BgL_arg1623z00_884 = BgL_res2291z00_2256;
						}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_objz00_2257;

							BgL_objz00_2257 = ((BgL_objectz00_bglt) BgL_new1069z00_883);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2257, BgL_arg1623z00_884);
					}}
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_auxz00_4974;

						BgL_auxz00_4974 = ((BgL_objectz00_bglt) BgL_new1069z00_883);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4974, BFALSE);
					}
					return BgL_new1069z00_883;
				}
			}
		}
	}



/* &lambda1620 */
	BgL_ev_orz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3503, obj_t BgL_args1068z00_3504)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				obj_t BgL_args1068z00_877;

				BgL_args1068z00_877 = BgL_args1068z00_3504;
				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1226z00_2248;

					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_new1225z00_2249;

						BgL_new1225z00_2249 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						{	/* Eval/evaluate_types.scm 68 */
							long BgL_arg1621z00_2250;

							{	/* Eval/evaluate_types.scm 68 */
								long BgL_res2290z00_2252;

								BgL_res2290z00_2252 =
									BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
								BgL_arg1621z00_2250 = BgL_res2290z00_2252;
							}
							{	/* Eval/evaluate_types.scm 68 */
								BgL_objectz00_bglt BgL_objz00_2253;

								BgL_objz00_2253 = ((BgL_objectz00_bglt) BgL_new1225z00_2249);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2253, BgL_arg1621z00_2250);
						}}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_4981;

							BgL_auxz00_4981 = ((BgL_objectz00_bglt) BgL_new1225z00_2249);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4981, BFALSE);
						}
						BgL_new1226z00_2248 = BgL_new1225z00_2249;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1226z00_2248)))->BgL_argsz00) =
						((obj_t) BgL_args1068z00_877), BUNSPEC);
					return BgL_new1226z00_2248;
				}
			}
		}
	}



/* &<anonymous:1608> */
	BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31608ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3505,
		obj_t BgL_new1066z00_3506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_853;

				BgL_new1066z00_853 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3506);
				((((BgL_ev_listz00_bglt) CREF(BgL_new1066z00_853))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1066z00_853;
			}
		}
	}



/* &lambda1606 */
	BgL_ev_listz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1065z00_851;

					BgL_new1065z00_851 =
						((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1607z00_852;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2289z00_2245;

							BgL_res2289z00_2245 =
								BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
							BgL_arg1607z00_852 = BgL_res2289z00_2245;
						}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_objz00_2246;

							BgL_objz00_2246 = ((BgL_objectz00_bglt) BgL_new1065z00_851);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2246, BgL_arg1607z00_852);
					}}
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_auxz00_4992;

						BgL_auxz00_4992 = ((BgL_objectz00_bglt) BgL_new1065z00_851);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4992, BFALSE);
					}
					return BgL_new1065z00_851;
				}
			}
		}
	}



/* &lambda1604 */
	BgL_ev_listz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3508, obj_t BgL_args1064z00_3509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				obj_t BgL_args1064z00_845;

				BgL_args1064z00_845 = BgL_args1064z00_3509;
				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1222z00_2237;

					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_new1221z00_2238;

						BgL_new1221z00_2238 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						{	/* Eval/evaluate_types.scm 66 */
							long BgL_arg1605z00_2239;

							{	/* Eval/evaluate_types.scm 66 */
								long BgL_res2288z00_2241;

								BgL_res2288z00_2241 =
									BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
								BgL_arg1605z00_2239 = BgL_res2288z00_2241;
							}
							{	/* Eval/evaluate_types.scm 66 */
								BgL_objectz00_bglt BgL_objz00_2242;

								BgL_objz00_2242 = ((BgL_objectz00_bglt) BgL_new1221z00_2238);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2242, BgL_arg1605z00_2239);
						}}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_auxz00_4999;

							BgL_auxz00_4999 = ((BgL_objectz00_bglt) BgL_new1221z00_2238);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4999, BFALSE);
						}
						BgL_new1222z00_2237 = BgL_new1221z00_2238;
					}
					((((BgL_ev_listz00_bglt) CREF(BgL_new1222z00_2237))->BgL_argsz00) =
						((obj_t) BgL_args1064z00_845), BUNSPEC);
					return BgL_new1222z00_2237;
				}
			}
		}
	}



/* &lambda1613 */
	obj_t BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511, obj_t BgL_vz00_3512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_oz00_3726;

				BgL_oz00_3726 = ((BgL_ev_listz00_bglt) BgL_oz00_3511);
				return
					((((BgL_ev_listz00_bglt) CREF(BgL_oz00_3726))->BgL_argsz00) =
					((obj_t) BgL_vz00_3512), BUNSPEC);
			}
		}
	}



/* &lambda1612 */
	obj_t BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) CREF(
						((BgL_ev_listz00_bglt) BgL_oz00_3514)))->BgL_argsz00);
		}
	}



/* &<anonymous:1583> */
	BgL_ev_ifz00_bglt BGl_z62zc3anonymousza31583ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3515, obj_t BgL_new1062z00_3516)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_797;

				BgL_new1062z00_797 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3516);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5007;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2226;

						BgL_classz00_2226 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1375z00_2227;

							BgL__ortest_1375z00_2227 = BGL_CLASS_NIL(BgL_classz00_2226);
							if (CBOOL(BgL__ortest_1375z00_2227))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5007 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2227);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5007 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2226));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5007), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5015;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2228;

						BgL_classz00_2228 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1375z00_2229;

							BgL__ortest_1375z00_2229 = BGL_CLASS_NIL(BgL_classz00_2228);
							if (CBOOL(BgL__ortest_1375z00_2229))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5015 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2229);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5015 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2228));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5015), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5023;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2230;

						BgL_classz00_2230 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1375z00_2231;

							BgL__ortest_1375z00_2231 = BGL_CLASS_NIL(BgL_classz00_2230);
							if (CBOOL(BgL__ortest_1375z00_2231))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5023 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1375z00_2231);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5023 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2230));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5023), BUNSPEC);
				}
				return BgL_new1062z00_797;
			}
		}
	}



/* &lambda1581 */
	BgL_ev_ifz00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1061z00_795;

					BgL_new1061z00_795 =
						((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1582z00_796;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2287z00_2223;

							BgL_res2287z00_2223 =
								BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
							BgL_arg1582z00_796 = BgL_res2287z00_2223;
						}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_objz00_2224;

							BgL_objz00_2224 = ((BgL_objectz00_bglt) BgL_new1061z00_795);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2224, BgL_arg1582z00_796);
					}}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_auxz00_5036;

						BgL_auxz00_5036 = ((BgL_objectz00_bglt) BgL_new1061z00_795);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5036, BFALSE);
					}
					return BgL_new1061z00_795;
				}
			}
		}
	}



/* &lambda1579 */
	BgL_ev_ifz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3518, obj_t BgL_p1058z00_3519, obj_t BgL_t1059z00_3520,
		obj_t BgL_e1060z00_3521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_p1058z00_787;
				BgL_ev_exprz00_bglt BgL_t1059z00_788;
				BgL_ev_exprz00_bglt BgL_e1060z00_789;

				BgL_p1058z00_787 = ((BgL_ev_exprz00_bglt) BgL_p1058z00_3519);
				BgL_t1059z00_788 = ((BgL_ev_exprz00_bglt) BgL_t1059z00_3520);
				BgL_e1060z00_789 = ((BgL_ev_exprz00_bglt) BgL_e1060z00_3521);
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1214z00_2215;

					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_ifz00_bglt BgL_new1213z00_2216;

						BgL_new1213z00_2216 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						{	/* Eval/evaluate_types.scm 62 */
							long BgL_arg1580z00_2217;

							{	/* Eval/evaluate_types.scm 62 */
								long BgL_res2286z00_2219;

								BgL_res2286z00_2219 =
									BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
								BgL_arg1580z00_2217 = BgL_res2286z00_2219;
							}
							{	/* Eval/evaluate_types.scm 62 */
								BgL_objectz00_bglt BgL_objz00_2220;

								BgL_objz00_2220 = ((BgL_objectz00_bglt) BgL_new1213z00_2216);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2220, BgL_arg1580z00_2217);
						}}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_5043;

							BgL_auxz00_5043 = ((BgL_objectz00_bglt) BgL_new1213z00_2216);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5043, BFALSE);
						}
						BgL_new1214z00_2215 = BgL_new1213z00_2216;
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1214z00_2215))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_p1058z00_787), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1214z00_2215))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_t1059z00_788), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1214z00_2215))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1060z00_789), BUNSPEC);
					return BgL_new1214z00_2215;
				}
			}
		}
	}



/* &lambda1598 */
	obj_t BGl_z62lambda1598z62zz__evaluate_typesz00(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523, obj_t BgL_vz00_3524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3729;
				BgL_ev_exprz00_bglt BgL_vz00_3730;

				BgL_oz00_3729 = ((BgL_ev_ifz00_bglt) BgL_oz00_3523);
				BgL_vz00_3730 = ((BgL_ev_exprz00_bglt) BgL_vz00_3524);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3729))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3730), BUNSPEC);
			}
		}
	}



/* &lambda1597 */
	BgL_ev_exprz00_bglt BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3525, obj_t BgL_oz00_3526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3526)))->BgL_pz00);
		}
	}



/* &lambda1593 */
	obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3527,
		obj_t BgL_oz00_3528, obj_t BgL_vz00_3529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3732;
				BgL_ev_exprz00_bglt BgL_vz00_3733;

				BgL_oz00_3732 = ((BgL_ev_ifz00_bglt) BgL_oz00_3528);
				BgL_vz00_3733 = ((BgL_ev_exprz00_bglt) BgL_vz00_3529);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3732))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3733), BUNSPEC);
			}
		}
	}



/* &lambda1592 */
	BgL_ev_exprz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3530, obj_t BgL_oz00_3531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3531)))->BgL_tz00);
		}
	}



/* &lambda1588 */
	obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t BgL_envz00_3532,
		obj_t BgL_oz00_3533, obj_t BgL_vz00_3534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3735;
				BgL_ev_exprz00_bglt BgL_vz00_3736;

				BgL_oz00_3735 = ((BgL_ev_ifz00_bglt) BgL_oz00_3533);
				BgL_vz00_3736 = ((BgL_ev_exprz00_bglt) BgL_vz00_3534);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3735))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3736), BUNSPEC);
			}
		}
	}



/* &lambda1587 */
	BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3535, obj_t BgL_oz00_3536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3536)))->BgL_ez00);
		}
	}



/* &<anonymous:1564> */
	BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3537,
		obj_t BgL_new1056z00_3538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_763;

				BgL_new1056z00_763 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3538);
				((((BgL_ev_littz00_bglt) CREF(BgL_new1056z00_763))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1056z00_763;
			}
		}
	}



/* &lambda1561 */
	BgL_ev_littz00_bglt BGl_z62lambda1561z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1055z00_761;

					BgL_new1055z00_761 =
						((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1563z00_762;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2285z00_2197;

							BgL_res2285z00_2197 =
								BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
							BgL_arg1563z00_762 = BgL_res2285z00_2197;
						}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_objz00_2198;

							BgL_objz00_2198 = ((BgL_objectz00_bglt) BgL_new1055z00_761);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2198, BgL_arg1563z00_762);
					}}
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_auxz00_5073;

						BgL_auxz00_5073 = ((BgL_objectz00_bglt) BgL_new1055z00_761);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5073, BFALSE);
					}
					return BgL_new1055z00_761;
				}
			}
		}
	}



/* &lambda1559 */
	BgL_ev_littz00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3540, obj_t BgL_value1054z00_3541)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				obj_t BgL_value1054z00_755;

				BgL_value1054z00_755 = BgL_value1054z00_3541;
				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1210z00_2189;

					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_new1209z00_2190;

						BgL_new1209z00_2190 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						{	/* Eval/evaluate_types.scm 60 */
							long BgL_arg1560z00_2191;

							{	/* Eval/evaluate_types.scm 60 */
								long BgL_res2284z00_2193;

								BgL_res2284z00_2193 =
									BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
								BgL_arg1560z00_2191 = BgL_res2284z00_2193;
							}
							{	/* Eval/evaluate_types.scm 60 */
								BgL_objectz00_bglt BgL_objz00_2194;

								BgL_objz00_2194 = ((BgL_objectz00_bglt) BgL_new1209z00_2190);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2194, BgL_arg1560z00_2191);
						}}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_auxz00_5080;

							BgL_auxz00_5080 = ((BgL_objectz00_bglt) BgL_new1209z00_2190);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5080, BFALSE);
						}
						BgL_new1210z00_2189 = BgL_new1209z00_2190;
					}
					((((BgL_ev_littz00_bglt) CREF(BgL_new1210z00_2189))->BgL_valuez00) =
						((obj_t) BgL_value1054z00_755), BUNSPEC);
					return BgL_new1210z00_2189;
				}
			}
		}
	}



/* &lambda1571 */
	obj_t BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t BgL_envz00_3542,
		obj_t BgL_oz00_3543, obj_t BgL_vz00_3544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_oz00_3738;

				BgL_oz00_3738 = ((BgL_ev_littz00_bglt) BgL_oz00_3543);
				return
					((((BgL_ev_littz00_bglt) CREF(BgL_oz00_3738))->BgL_valuez00) =
					((obj_t) BgL_vz00_3544), BUNSPEC);
			}
		}
	}



/* &lambda1570 */
	obj_t BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t BgL_envz00_3545,
		obj_t BgL_oz00_3546)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) CREF(
						((BgL_ev_littz00_bglt) BgL_oz00_3546)))->BgL_valuez00);
		}
	}



/* &<anonymous:1527> */
	BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31527ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3547,
		obj_t BgL_new1052z00_3548)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_707;

				BgL_new1052z00_707 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3548);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_namez00) =
					((obj_t) BGl_symbol2683z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1052z00_707;
			}
		}
	}



/* &lambda1525 */
	BgL_ev_globalz00_bglt BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1051z00_705;

					BgL_new1051z00_705 =
						((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1526z00_706;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2283z00_2181;

							BgL_res2283z00_2181 =
								BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
							BgL_arg1526z00_706 = BgL_res2283z00_2181;
						}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_objz00_2182;

							BgL_objz00_2182 = ((BgL_objectz00_bglt) BgL_new1051z00_705);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2182, BgL_arg1526z00_706);
					}}
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_auxz00_5096;

						BgL_auxz00_5096 = ((BgL_objectz00_bglt) BgL_new1051z00_705);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5096, BFALSE);
					}
					return BgL_new1051z00_705;
				}
			}
		}
	}



/* &lambda1523 */
	BgL_ev_globalz00_bglt BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3550, obj_t BgL_loc1048z00_3551, obj_t BgL_name1049z00_3552,
		obj_t BgL_mod1050z00_3553)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				obj_t BgL_loc1048z00_697;
				obj_t BgL_name1049z00_698;
				obj_t BgL_mod1050z00_699;

				BgL_loc1048z00_697 = BgL_loc1048z00_3551;
				BgL_name1049z00_698 = BgL_name1049z00_3552;
				BgL_mod1050z00_699 = BgL_mod1050z00_3553;
				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1202z00_2173;

					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_new1201z00_2174;

						BgL_new1201z00_2174 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						{	/* Eval/evaluate_types.scm 55 */
							long BgL_arg1524z00_2175;

							{	/* Eval/evaluate_types.scm 55 */
								long BgL_res2282z00_2177;

								BgL_res2282z00_2177 =
									BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
								BgL_arg1524z00_2175 = BgL_res2282z00_2177;
							}
							{	/* Eval/evaluate_types.scm 55 */
								BgL_objectz00_bglt BgL_objz00_2178;

								BgL_objz00_2178 = ((BgL_objectz00_bglt) BgL_new1201z00_2174);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2178, BgL_arg1524z00_2175);
						}}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_auxz00_5103;

							BgL_auxz00_5103 = ((BgL_objectz00_bglt) BgL_new1201z00_2174);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5103, BFALSE);
						}
						BgL_new1202z00_2173 = BgL_new1201z00_2174;
					}
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1202z00_2173))->BgL_locz00) =
						((obj_t) BgL_loc1048z00_697), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1202z00_2173))->BgL_namez00) =
						((obj_t) BgL_name1049z00_698), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1202z00_2173))->BgL_modz00) =
						((obj_t) BgL_mod1050z00_699), BUNSPEC);
					return BgL_new1202z00_2173;
				}
			}
		}
	}



/* &lambda1551 */
	obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t BgL_envz00_3554,
		obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3741;

				BgL_oz00_3741 = ((BgL_ev_globalz00_bglt) BgL_oz00_3555);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3741))->BgL_locz00) =
					((obj_t) BgL_vz00_3556), BUNSPEC);
			}
		}
	}



/* &lambda1550 */
	obj_t BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t BgL_envz00_3557,
		obj_t BgL_oz00_3558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3558)))->BgL_locz00);
		}
	}



/* &lambda1543 */
	obj_t BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t BgL_envz00_3559,
		obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3744;
				obj_t BgL_vz00_3745;

				BgL_oz00_3744 = ((BgL_ev_globalz00_bglt) BgL_oz00_3560);
				BgL_vz00_3745 = BgL_vz00_3561;
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3744))->BgL_namez00) =
					((obj_t) BgL_vz00_3745), BUNSPEC);
			}
		}
	}



/* &lambda1542 */
	obj_t BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t BgL_envz00_3562,
		obj_t BgL_oz00_3563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3563)))->BgL_namez00);
		}
	}



/* &lambda1537 */
	obj_t BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t BgL_envz00_3564,
		obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3747;

				BgL_oz00_3747 = ((BgL_ev_globalz00_bglt) BgL_oz00_3565);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3747))->BgL_modz00) =
					((obj_t) BgL_vz00_3566), BUNSPEC);
			}
		}
	}



/* &lambda1536 */
	obj_t BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t BgL_envz00_3567,
		obj_t BgL_oz00_3568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3568)))->BgL_modz00);
		}
	}



/* &<anonymous:1499> */
	BgL_ev_varz00_bglt BGl_z62zc3anonymousza31499ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3569, obj_t BgL_new1046z00_3570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_646;

				BgL_new1046z00_646 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3570);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_namez00) =
					((obj_t) BGl_symbol2683z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1046z00_646;
			}
		}
	}



/* &lambda1497 */
	BgL_ev_varz00_bglt BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1045z00_644;

					BgL_new1045z00_644 =
						((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1498z00_645;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2281z00_2155;

							BgL_res2281z00_2155 =
								BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
							BgL_arg1498z00_645 = BgL_res2281z00_2155;
						}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_objz00_2156;

							BgL_objz00_2156 = ((BgL_objectz00_bglt) BgL_new1045z00_644);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2156, BgL_arg1498z00_645);
					}}
					{	/* Eval/evaluate_types.scm 51 */
						BgL_objectz00_bglt BgL_auxz00_5129;

						BgL_auxz00_5129 = ((BgL_objectz00_bglt) BgL_new1045z00_644);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5129, BFALSE);
					}
					return BgL_new1045z00_644;
				}
			}
		}
	}



/* &lambda1495 */
	BgL_ev_varz00_bglt BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3572, obj_t BgL_name1042z00_3573, obj_t BgL_eff1043z00_3574,
		obj_t BgL_type1044z00_3575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				obj_t BgL_name1042z00_636;
				obj_t BgL_eff1043z00_637;
				obj_t BgL_type1044z00_638;

				BgL_name1042z00_636 = BgL_name1042z00_3573;
				BgL_eff1043z00_637 = BgL_eff1043z00_3574;
				BgL_type1044z00_638 = BgL_type1044z00_3575;
				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1193z00_2147;

					{	/* Eval/evaluate_types.scm 51 */
						BgL_ev_varz00_bglt BgL_new1192z00_2148;

						BgL_new1192z00_2148 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						{	/* Eval/evaluate_types.scm 51 */
							long BgL_arg1496z00_2149;

							{	/* Eval/evaluate_types.scm 51 */
								long BgL_res2280z00_2151;

								BgL_res2280z00_2151 =
									BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
								BgL_arg1496z00_2149 = BgL_res2280z00_2151;
							}
							{	/* Eval/evaluate_types.scm 51 */
								BgL_objectz00_bglt BgL_objz00_2152;

								BgL_objz00_2152 = ((BgL_objectz00_bglt) BgL_new1192z00_2148);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2152, BgL_arg1496z00_2149);
						}}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_5136;

							BgL_auxz00_5136 = ((BgL_objectz00_bglt) BgL_new1192z00_2148);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5136, BFALSE);
						}
						BgL_new1193z00_2147 = BgL_new1192z00_2148;
					}
					((((BgL_ev_varz00_bglt) CREF(BgL_new1193z00_2147))->BgL_namez00) =
						((obj_t) BgL_name1042z00_636), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1193z00_2147))->BgL_effz00) =
						((obj_t) BgL_eff1043z00_637), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1193z00_2147))->BgL_typez00) =
						((obj_t) BgL_type1044z00_638), BUNSPEC);
					return BgL_new1193z00_2147;
				}
			}
		}
	}



/* &lambda1517 */
	obj_t BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t BgL_envz00_3576,
		obj_t BgL_oz00_3577, obj_t BgL_vz00_3578)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3750;
				obj_t BgL_vz00_3751;

				BgL_oz00_3750 = ((BgL_ev_varz00_bglt) BgL_oz00_3577);
				BgL_vz00_3751 = BgL_vz00_3578;
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3750))->BgL_namez00) =
					((obj_t) BgL_vz00_3751), BUNSPEC);
			}
		}
	}



/* &lambda1516 */
	obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t BgL_envz00_3579,
		obj_t BgL_oz00_3580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3580)))->BgL_namez00);
		}
	}



/* &<anonymous:1512> */
	obj_t BGl_z62zc3anonymousza31512ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3581)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1511 */
	obj_t BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t BgL_envz00_3582,
		obj_t BgL_oz00_3583, obj_t BgL_vz00_3584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3753;

				BgL_oz00_3753 = ((BgL_ev_varz00_bglt) BgL_oz00_3583);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3753))->BgL_effz00) =
					((obj_t) BgL_vz00_3584), BUNSPEC);
			}
		}
	}



/* &lambda1510 */
	obj_t BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t BgL_envz00_3585,
		obj_t BgL_oz00_3586)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3586)))->BgL_effz00);
		}
	}



/* &lambda1504 */
	obj_t BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t BgL_envz00_3587,
		obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3756;

				BgL_oz00_3756 = ((BgL_ev_varz00_bglt) BgL_oz00_3588);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3756))->BgL_typez00) =
					((obj_t) BgL_vz00_3589), BUNSPEC);
			}
		}
	}



/* &lambda1503 */
	obj_t BGl_z62lambda1503z62zz__evaluate_typesz00(obj_t BgL_envz00_3590,
		obj_t BgL_oz00_3591)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3591)))->BgL_typez00);
		}
	}



/* &<anonymous:1484> */
	BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31484ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3592,
		obj_t BgL_new1040z00_3593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			return ((BgL_ev_exprz00_bglt) BgL_new1040z00_3593);
		}
	}



/* &lambda1482 */
	BgL_ev_exprz00_bglt BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1039z00_622;

					BgL_new1039z00_622 =
						((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1483z00_623;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2279z00_2129;

							BgL_res2279z00_2129 =
								BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
							BgL_arg1483z00_623 = BgL_res2279z00_2129;
						}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_objz00_2130;

							BgL_objz00_2130 = ((BgL_objectz00_bglt) BgL_new1039z00_622);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2130, BgL_arg1483z00_623);
					}}
					{	/* Eval/evaluate_types.scm 49 */
						BgL_objectz00_bglt BgL_auxz00_5160;

						BgL_auxz00_5160 = ((BgL_objectz00_bglt) BgL_new1039z00_622);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5160, BFALSE);
					}
					return BgL_new1039z00_622;
				}
			}
		}
	}



/* &lambda1480 */
	BgL_ev_exprz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1191z00_618;

					{	/* Eval/evaluate_types.scm 49 */
						BgL_ev_exprz00_bglt BgL_new1190z00_619;

						BgL_new1190z00_619 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						{	/* Eval/evaluate_types.scm 49 */
							long BgL_arg1481z00_620;

							{	/* Eval/evaluate_types.scm 49 */
								long BgL_res2278z00_2125;

								BgL_res2278z00_2125 =
									BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
								BgL_arg1481z00_620 = BgL_res2278z00_2125;
							}
							{	/* Eval/evaluate_types.scm 49 */
								BgL_objectz00_bglt BgL_objz00_2126;

								BgL_objz00_2126 = ((BgL_objectz00_bglt) BgL_new1190z00_619);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2126, BgL_arg1481z00_620);
						}}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_auxz00_5167;

							BgL_auxz00_5167 = ((BgL_objectz00_bglt) BgL_new1190z00_619);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5167, BFALSE);
						}
						BgL_new1191z00_618 = BgL_new1190z00_619;
					}
					return BgL_new1191z00_618;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 178211111),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 40444151),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2366z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
